## About

DevExpress Dashboard helps you create dashboards and view them on the web and mobile devices. This npm packet is based on the client-server model and represents a client (frontend) part that includes all the necessary styles, scripts, and HTML-templates. You need to create a server (ASP.NET Core or ASP.NET MVC dashboard backend) project and bind the client to it.

- [Get Started - Build Web Dashboard Applications](https://docs.devexpress.com/Dashboard/400423#create-client-and-server-applications)
- [Web Dashboard Technical Overview](https://docs.devexpress.com/Dashboard/119283/)

## Install

To install with `npm`, run the following command:

```shell
npm install devexpress-dashboard devextreme @devexpress/analytics-core --save
```

The **devexpress-dashboard** npm package references **devextreme** and **@devexpress/analytics-core** as [peerDependencies](https://docs.npmjs.com/files/package.json#peerdependencies). Since npm v3 and higher, peerDependencies should be installed manually. This allows developers to control a version of the peerDependencies packages and guarantees that the package is installed once.

Note that versions of the **devexpress-\*** npm packages should be identical (their major and minor versions should be the same). If the versions are different, npm shows a warning after the package is installed.

## Demos

- [Web Dashboard demos](https://demos.devexpress.com/Dashboard/)
- [HTML Javascript Dashboard demo](https://devexpress.github.io/web-dashboard-demo/)


## License

A valid, commercial license for the DevExpress Universal subscription is required to use this package. Use of this package is governed by the terms and conditions set forth in the applicable Developer Express Inc. End-User License Agreement (EULA) found at [https://www.devexpress.com/support/eulas/](https://www.devexpress.com/support/eulas/).

Please visit [https://www.devexpress.com](https://www.devexpress.com) for more information on acquiring and a subscription license.

## Support

For any questions regarding the use of DevExpress Dashboards tools, please refer to our [Support Center](https://www.devexpress.com/Support/Center).
