﻿/**
* DevExpress Dashboard (_dashboard-event.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class DashboardEvent {
    constructor() {
        this.handlers = [];
    }
    add(handler) {
        this.handlers.push(handler);
        return {
            dispose: () => this.remove(handler)
        };
    }
    remove(handler) {
        this.handlers = this.handlers.filter(h => h !== handler);
    }
    fire(args) {
        this.handlers.forEach(h => h(args));
    }
}
