﻿/**
* DevExpress Dashboard (_parameter-dialog-binder.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { IParameterValueViewModel, ParametersCollection } from '../../data/_parameters';
import { DisposableObject } from '../../model/disposable-object';
import { DynamicListLookUpSettings } from '../../model/parameters/dynamic-list-lookup-settings';
import { Parameter } from '../../model/parameters/parameter';
export declare class ParameterDialogViewModel extends DisposableObject {
    private _parameters;
    private _getDashboardParameterType;
    private _getParameterValues;
    private _getParameterDefaultValue;
    constructor(_parameters: ko.ObservableArray<Parameter>, getParameterValues: (parameterType: string, settings: DynamicListLookUpSettings, forceRequest: boolean, tempParameterValues?: {
        [key: string]: any;
    }) => ko.ObservableArray<IParameterValueViewModel>);
    setParameters: (newParameters: any, updateCollection?: boolean) => void;
    _getParameterValuesCallback: (parameterType: string, settings: DynamicListLookUpSettings, forceRequest: boolean, tempParamValues?: {
        [key: string]: any;
    }) => ko.ObservableArray<IParameterValueViewModel>;
    _parametersCollection: ParametersCollection;
    parameterCollection: ko.Computed<ParametersCollection>;
}
