﻿/**
* DevExpress Dashboard (keyboard-navigation-extension.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DisposableObject } from '../../model';
import { IExtension } from '../common-interfaces';
import { DashboardControl } from '../dashboard-control';
export declare class KeyboardNavigationExtension extends DisposableObject implements IExtension {
    private _dashboardControl;
    name: string;
    private _activeDashboardItemElement;
    private _keyboardMode;
    constructor(_dashboardControl: DashboardControl);
    private _isVisible;
    private _filterVisibleElements;
    private _getDashboardItemTabStopElements;
    private _getActiveDashboardItem;
    private _getParentElement;
    private _focusElementRecursive;
    private _ensureTabIndex;
    private _focusElement;
    private _handleTabsArrowKeys;
    start(): void;
    stop?(): void;
    dispose(): void;
    _handleFocusIn: (event: any) => void;
    _handleKeyDown: (event: KeyboardEvent) => void;
    _isTargetPopup(element: HTMLElement): any;
    _handleTabKeyDown: (event: KeyboardEvent) => void;
    _handleEnterKeyDown: (event: KeyboardEvent) => void;
    _handleEscapeKeyDown: (event: KeyboardEvent) => void;
    _handleArrowLeft: (event: KeyboardEvent) => void;
    _handleArrowRight: (event: KeyboardEvent) => void;
    _applyActiveStyles: () => void;
}
