﻿/**
* DevExpress Dashboard (_ko-element-accessor.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
ko.bindingHandlers['dx-dashboard-element-accessor'] = {
    init: function (element, valueAccessor) {
        let componentArgs = ko.unwrap(valueAccessor());
        componentArgs.onInitialize && componentArgs.onInitialize({ element: element });
        componentArgs.targetElement && componentArgs.targetElement(element);
        let inDisposingHandler = false;
        ko.utils.domNodeDisposal.addDisposeCallback(element, () => {
            if (componentArgs.onDisposing && !inDisposingHandler) {
                try {
                    inDisposingHandler = true;
                    componentArgs.onDisposing({ element: element });
                }
                finally {
                    inDisposingHandler = false;
                }
            }
        });
    }
};
