﻿/**
* DevExpress Dashboard (_dashboard-standalone-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { getTemplate } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { SingleItemSizeController } from '../internal/_interfaces';
export const _registerDashboardStandaloneItem = () => {
    const componentName = 'dashboard-standalone-item';
    const templateName = 'dx-dashboard-standalone-item';
    if (ko.components.isRegistered(componentName))
        return;
    ko.components.register(componentName, {
        viewModel: {
            createViewModel: (params, componentInfo) => {
                let element = componentInfo.element;
                return {
                    dashboardItem: ko.unwrap(params.dashboardItem),
                    dashboardContext: ko.unwrap(params.dashboardContext),
                    localContext: ko.unwrap(params.localContext),
                    sizeController: new SingleItemSizeController(element.parentElement, ko.unwrap(params.repaintRequest)),
                    isStandalone: false
                };
            }
        },
        template: getTemplate(templateName)
    });
};
