﻿/**
* DevExpress Dashboard (_dashboard-item-bindings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DisposableType } from '../../model/disposable-object';
import { DashboardItem } from '../../model/items/dashboard-item';
import { ISizeController } from '../internal/_interfaces';
import { IDashboardContext, IDashboardItemContext } from './_viewer-interfaces';
export declare let DashboardItemHeaderHeight: number;
export interface IDashboardItemBindings {
    dashboardItem: DashboardItem;
    dashboardContext: IDashboardContext;
    localContext: IDashboardItemContext;
    sizeController: ISizeController;
}
export declare class DashboardUIItemStateController extends Disposable {
    private _element;
    private _dashboardItem;
    private _sizeController;
    private _bindingContext;
    private _renderDashboardItem;
    private _additionalClasses;
    private _perUiStateSubscriptions;
    constructor(_element: HTMLElement, _dashboardItem: DashboardItem, _sizeController: ISizeController, _bindingContext: ko.BindingContext, _renderDashboardItem: () => DisposableType, _additionalClasses?: string[]);
    render(): void;
    _renderDashboardItemState: () => void;
    dispose(): void;
}
