﻿/**
* DevExpress Dashboard (_element-size-utils.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export function createItemSizeUpdater(item, sizeController) {
    let handler = () => {
        let width = sizeController.getWidth();
        let height = sizeController.getHeight();
        if (Math.abs(width - item.width()) > 1 || Math.abs(height - item.height()) > 1) {
            item.setSize(width, height);
        }
    };
    sizeController.requestRepaint.add(handler);
    return {
        dispose: () => sizeController.requestRepaint.remove(handler)
    };
}
export function createElementSizeUpdater(element, sizeController) {
    let handler = () => {
        setElementSize(element, sizeController);
    };
    sizeController.requestRepaint.add(handler);
    return {
        dispose: () => sizeController.requestRepaint.remove(handler)
    };
}
export function setElementSize(element, sizeController) {
    let width = sizeController.getWidth();
    let height = sizeController.getHeight();
    element.style.width = width + 'px';
    element.style.height = height + 'px';
    if (width === 0 || height === 0) {
        element.classList.add('dx-dashboard-hidden-element');
    }
    else {
        element.classList.remove('dx-dashboard-hidden-element');
    }
}
