﻿/**
* DevExpress Dashboard (_predefined-periods-item-viewer-adapter.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DataItemViewerAdapter } from './_data-item-viewer-adapter';
export class PredefinedPeriodsItemViewerAdapter extends DataItemViewerAdapter {
    attachToModel(viewerItem, rangeFilterItem) {
        super.attachToModel(viewerItem, rangeFilterItem);
        if (rangeFilterItem.currentSelectedDateTimePeriodName())
            rangeFilterItem._processItemSetPredefinedPeriod(rangeFilterItem.currentSelectedDateTimePeriodName());
        this.toDispose(rangeFilterItem.currentSelectedDateTimePeriodName.subscribe(newValue => {
            viewerItem._setPredefinedRange(newValue);
        }));
        viewerItem.predefinedRangeChanged = (newRange) => {
            rangeFilterItem._processItemSetPredefinedPeriod(newRange);
        };
    }
    detachFromModel(viewerItem, rangeFilterItem) {
        super.detachFromModel(viewerItem, rangeFilterItem);
        viewerItem.predefinedRangeChanged = () => { };
    }
}
