﻿/**
* DevExpress Dashboard (_title-component.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DisposableObject } from '../../../model/disposable-object';
import { IExtension } from '../../common-interfaces';
import { DashboardExportExtension } from '../../extensions/export-extension';
import { DashboardParameterDialogExtension } from '../../extensions/parameter-dialog-extension';
import { ViewerApi } from '../_viewer-api';
import { TitleComponentOptions } from './_dashboard-title-model';
export declare class DashboardTitleContext extends Disposable implements IDashboardTitleContext {
    constructor(encodeHtml: boolean, findExtension: (name: string) => IExtension, allowExport: boolean, viewerApi: ViewerApi);
    encodeHtml: boolean;
    parametersExtension: ko.Computed<DashboardParameterDialogExtension>;
    exportExtension: ko.Computed<DashboardExportExtension>;
    viewerApi: ViewerApi;
}
export interface IDashboardTitleContext {
    encodeHtml: boolean;
    parametersExtension: ko.Computed<DashboardParameterDialogExtension>;
    exportExtension: ko.Computed<DashboardExportExtension>;
    viewerApi: ViewerApi;
}
export type DashboardTitleKoComponentArgs = {
    options: ko.Subscribable<TitleComponentOptions>;
    width: ko.Subscribable<number>;
    height: ko.Subscribable<number>;
    encodeHtml: boolean;
    className?: string;
};
export declare class DashboardTitleComponent extends DisposableObject {
    private params;
    private container;
    private controlContainer;
    constructor(params: DashboardTitleKoComponentArgs, container: HTMLElement, controlContainer: HTMLElement);
    initialize(): void;
}
export declare const _registerDashboardTitle: () => void;
