﻿/**
* DevExpress Dashboard (_chart-helper.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export type ChartSeriesTypeInternal = 'area' | 'bar' | 'bubble' | 'candlestick' | 'fullstackedarea' | 'fullstackedbar' | 'fullstackedline' | 'fullstackedspline' | 'fullstackedsplinearea' | 'line' | 'rangearea' | 'rangebar' | 'scatter' | 'spline' | 'splinearea' | 'stackedarea' | 'stackedbar' | 'stackedline' | 'stackedspline' | 'stackedsplinearea' | 'steparea' | 'stepline' | 'stock' | '';
export type PieSeriesType = 'doughnut' | 'pie';
export declare let chartHelper: {
    SelectionMode: {
        Argument: string;
        Series: string;
        Points: string;
    };
    ChartLegendInsidePosition: {
        TopLeftVertical: string;
        TopLeftHorizontal: string;
        TopCenterVertical: string;
        TopCenterHorizontal: string;
        TopRightVertical: string;
        TopRightHorizontal: string;
        BottomLeftVertical: string;
        BottomLeftHorizontal: string;
        BottomCenterVertical: string;
        BottomCenterHorizontal: string;
        BottomRightVertical: string;
        BottomRightHorizontal: string;
    };
    ChartLegendOutsidePosition: {
        TopLeftVertical: string;
        TopLeftHorizontal: string;
        TopCenterHorizontal: string;
        TopRightVertical: string;
        TopRightHorizontal: string;
        BottomLeftVertical: string;
        BottomLeftHorizontal: string;
        BottomCenterHorizontal: string;
        BottomRightVertical: string;
        BottomRightHorizontal: string;
    };
    convertSeriesType: (viewSeriesType: any) => ChartSeriesTypeInternal | PieSeriesType;
    convertPresentationUnit: (argumentViewModel: any) => "quarter" | "month" | "week" | "day" | "hour" | "minute" | "second";
    convertLegendInsidePosition: (position: any) => {
        verticalAlignment: string;
        horizontalAlignment: string;
        orientation: string;
    };
    convertLegendOutsidePosition: (position: any) => {
        verticalAlignment: string;
        horizontalAlignment: string;
        orientation: string;
    };
    convertPointLabelRotationAngle: (orientation: any) => 0 | 90 | 270;
    convertPointLabelPosition: (position: any) => "outside" | "inside";
    allowArgumentAxisMargins: (panes: any) => any;
    isFinancialType: (type: any) => boolean;
    isTransparentColorType: (type: any) => boolean;
    isSeriesColorSupported: (type: ChartSeriesTypeInternal) => boolean;
    isStackedAreaType: (type: ChartSeriesTypeInternal) => boolean;
};
