﻿/**
* DevExpress Dashboard (_localizer.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { getLocalizationById } from './localization/_default';
import { specialValues } from './special-values';
export let ALL_ELEMENT = {
    value: { all: true },
    key: -1,
    get text() {
        return getLocalizationById('DashboardStringId.FilterElementShowAllItem') || '(All)';
    },
    get html() {
        return this.text;
    },
    isAll: true
};
export class localizer {
    static getString(key) {
        return getLocalizationById(key);
    }
    static getPredefinedString(value) {
        switch (value) {
            case null:
            case specialValues.nullValueGuid:
            case specialValues.olapNullValueGuid:
                return getLocalizationById('DashboardStringId.DashboardNullValue');
            case specialValues.othersValueGuid:
                return getLocalizationById('DashboardStringId.TopNOthersValue');
            case specialValues.errorValueGuid:
                return getLocalizationById('DashboardStringId.DashboardErrorValue');
            default:
                return undefined;
        }
    }
}
