﻿/**
* DevExpress Dashboard (_parameters.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import * as ko from 'knockout';
import { DashboardParameter, DashboardParameterCollection } from '../common/parameters-definitions';
import { DynamicListLookUpSettings } from '../model';
export interface IParameterViewModel {
    Name: string;
    DefaultValue: any;
    Description: string;
    Type: any;
    OriginalType: any;
    Visible: boolean;
    AllowNull: boolean;
    AllowMultiselect: boolean;
    Values: IParameterValueViewModel[];
    ContainsDisplayMember: boolean;
    DynamicListLookUpSettings: ko.Observable<DynamicListLookUpSettings>;
    SelectAllValues: boolean;
}
export interface IParameterValueViewModel {
    Value: any;
    DisplayText?: any;
}
export declare class Parameter implements DashboardParameter {
    _name: string;
    _value: any;
    _defaultValue: any;
    _description: any;
    _type: any;
    _visible: boolean;
    _allowNull: boolean;
    _allowmultiselect: boolean;
    _values: any;
    parameterChanged: JQuery.Callbacks<Function>;
    dynamicListLookUpSettings: ko.Observable<DynamicListLookUpSettings>;
    originalType: any;
    _selectAllValues: boolean;
    constructor(parameterViewModel: IParameterViewModel);
    getName(): string;
    getAllowNull(): boolean;
    getAllowMultiselect(): boolean;
    getValue(): any;
    setValue(value: any): void;
    getDefaultValue(): any;
    getDescription(): any;
    getType(): any;
    getLookUpValues(): any;
    setLookUpValues(values: IParameterValueViewModel[], containsDisplayMember: boolean): void;
    isVisible(): boolean;
}
export declare class ParametersCollection implements DashboardParameterCollection {
    collectionChanged: JQuery.Callbacks<Function>;
    _parameters: Parameter[];
    constructor(parametersViewModel: any);
    refreshParameters(newParameters?: IParameterViewModel[]): void;
    updateParameterValues(parametersViewModel: any): void;
    setParameters(newParameters: IParameter[]): void;
    getParameterValues(): IParameter[];
    getParameterDefaultValue(name: any): any;
    getParameterValue(name: any): any;
    setParameterValue(name: any, value: any): void;
    getParameters(): Parameter[];
    getVisibleParameters(): Parameter[];
    getParameterList(): Parameter[];
    getParameterByName(name: string): Parameter;
    getParameterByIndex(index: any): Parameter;
    cleanExtraParameterts(names: string[]): void;
}
export interface IParameter {
    Name: string;
    Value: any;
}
