﻿/**
* DevExpress Dashboard (_bubble-map-data-controller.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { deepExtend } from '../_jquery-helpers';
import { geoPointMapDataControllerBase } from './_geo-point-map-data-controller-base';
export class bubbleMapDataController extends geoPointMapDataControllerBase {
    constructor(options) {
        super(options);
    }
    getPoint(index) {
        return deepExtend(super.getPoint(index), {
            weight: this._getMeasureValue(index, this.viewModel.WeightId),
            color: this._getMeasureValue(index, this.viewModel.ColorId),
            weightText: this._getMeasureDisplayText(index, this.viewModel.WeightId),
            colorText: this._getMeasureDisplayText(index, this.viewModel.ColorId)
        });
    }
    formatColor(value) {
        var measure = this.multiData.getMeasureById(this.viewModel.ColorId);
        return measure ? measure.format(value) : value;
    }
    formatWeight(value) {
        var measure = this.multiData.getMeasureById(this.viewModel.WeightId);
        return measure ? measure.format(value) : value;
    }
}
