﻿/**
* DevExpress Dashboard (_drill-through-data-wrapper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { listSource } from '../_list-source';
export class DrillThroughDataWrapper {
    constructor(drillThroughData) {
        this._drillThroughData = drillThroughData;
    }
    initialize() {
        var that = this;
        that._errorMessage = this._drillThroughData.ErrorMessage;
        if (that.isDataReceived()) {
            that._data = {};
            that._data.dataMembers = that._drillThroughData.DataMembers;
            that._data.displayNames = that._drillThroughData.DataMembersDisplayNames;
            that._data.listSource = new listSource(that._drillThroughData.Data, that._data.dataMembers);
        }
    }
    getRowCount() {
        return this._data.listSource.getRowCount();
    }
    getRowValue(rowIndex, columnName) {
        return this._data.listSource.getRowValue(rowIndex, columnName);
    }
    getDataMembers() {
        return this._data.dataMembers;
    }
    getDisplayNames() {
        return this._data.data.displayNames;
    }
    isDataReceived() {
        return this._drillThroughData && this._drillThroughData.Data != null;
    }
    getRequestDataError() {
        return this._errorMessage;
    }
}
