﻿/**
* DevExpress Dashboard (_currencies.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export var CURRENCIES = [{
        name: 'DJF',
        displayName: 'DJF (Djiboutian Franc)',
        cultures: [{
                name: 'aa-DJ',
                displayName: 'Afar (Djibouti)'
            }, {
                name: 'ar-DJ',
                displayName: 'Arabic (Djibouti)'
            }, {
                name: 'fr-DJ',
                displayName: 'French (Djibouti)'
            }, {
                name: 'so-DJ',
                displayName: 'Somali (Djibouti)'
            }]
    }, {
        name: 'ERN',
        displayName: 'ERN (Eritrean Nakfa)',
        cultures: [{
                name: 'aa-ER',
                displayName: 'Afar (Eritrea)'
            }, {
                name: 'ar-ER',
                displayName: 'Arabic (Eritrea)'
            }, {
                name: 'byn-ER',
                displayName: 'Blin (Eritrea)'
            }, {
                name: 'en-ER',
                displayName: 'English (Eritrea)'
            }, {
                name: 'ssy-ER',
                displayName: 'Saho (Eritrea)'
            }, {
                name: 'ti-ER',
                displayName: 'Tigrinya (Eritrea)'
            }, {
                name: 'tig-ER',
                displayName: 'Tigre (Eritrea)'
            }]
    }, {
        name: 'ETB',
        displayName: 'ETB (Ethiopian Birr)',
        cultures: [{
                name: 'aa-ET',
                displayName: 'Afar (Ethiopia)'
            }, {
                name: 'am-ET',
                displayName: 'Amharic (Ethiopia)'
            }, {
                name: 'om-ET',
                displayName: 'Oromo (Ethiopia)'
            }, {
                name: 'so-ET',
                displayName: 'Somali (Ethiopia)'
            }, {
                name: 'ti-ET',
                displayName: 'Tigrinya (Ethiopia)'
            }, {
                name: 'wal-ET',
                displayName: 'Wolaytta (Ethiopia)'
            }]
    }, {
        name: 'NAD',
        displayName: 'NAD (Namibian Dollar)',
        cultures: [{
                name: 'af-NA',
                displayName: 'Afrikaans (Namibia)'
            }, {
                name: 'en-NA',
                displayName: 'English (Namibia)'
            }, {
                name: 'naq-NA',
                displayName: 'Nama (Namibia)'
            }]
    }, {
        name: 'ZAR',
        displayName: 'ZAR (South African Rand)',
        cultures: [{
                name: 'af-ZA',
                displayName: 'Afrikaans (South Africa)'
            }, {
                name: 'en-LS',
                displayName: 'English (Lesotho)'
            }, {
                name: 'en-ZA',
                displayName: 'English (South Africa)'
            }, {
                name: 'nr-ZA',
                displayName: 'South Ndebele (South Africa)'
            }, {
                name: 'nso-ZA',
                displayName: 'Sesotho sa Leboa (South Africa)'
            }, {
                name: 'ss-ZA',
                displayName: 'Swati (South Africa)'
            }, {
                name: 'st-LS',
                displayName: 'Sesotho (Lesotho)'
            }, {
                name: 'st-ZA',
                displayName: 'Southern Sotho (South Africa)'
            }, {
                name: 'tn-ZA',
                displayName: 'Setswana (South Africa)'
            }, {
                name: 'ts-ZA',
                displayName: 'Tsonga (South Africa)'
            }, {
                name: 've-ZA',
                displayName: 'Venda (South Africa)'
            }, {
                name: 'xh-ZA',
                displayName: 'isiXhosa (South Africa)'
            }, {
                name: 'zu-ZA',
                displayName: 'isiZulu (South Africa)'
            }]
    }, {
        name: 'XAF',
        displayName: 'XAF (Central African CFA Franc)',
        cultures: [{
                name: 'agq-CM',
                displayName: 'Aghem (Cameroon)'
            }, {
                name: 'ar-TD',
                displayName: 'Arabic (Chad)'
            }, {
                name: 'bas-CM',
                displayName: 'Basaa (Cameroon)'
            }, {
                name: 'dua-CM',
                displayName: 'Duala (Cameroon)'
            }, {
                name: 'en-CM',
                displayName: 'English (Cameroon)'
            }, {
                name: 'es-GQ',
                displayName: 'Spanish (Equatorial Guinea)'
            }, {
                name: 'ewo-CM',
                displayName: 'Ewondo (Cameroon)'
            }, {
                name: 'ff-CM',
                displayName: 'Fulah (Cameroon)'
            }, {
                name: 'fr-CF',
                displayName: 'French (Central African Republic)'
            }, {
                name: 'fr-CG',
                displayName: 'French (Congo)'
            }, {
                name: 'fr-CM',
                displayName: 'French (Cameroon)'
            }, {
                name: 'fr-GA',
                displayName: 'French (Gabon)'
            }, {
                name: 'fr-GQ',
                displayName: 'French (Equatorial Guinea)'
            }, {
                name: 'fr-TD',
                displayName: 'French (Chad)'
            }, {
                name: 'jgo-CM',
                displayName: 'Ngomba (Cameroon)'
            }, {
                name: 'kkj-CM',
                displayName: 'Kako (Cameroon)'
            }, {
                name: 'ksf-CM',
                displayName: 'Bafia (Cameroon)'
            }, {
                name: 'ln-CF',
                displayName: 'Lingala (Central African Republic)'
            }, {
                name: 'ln-CG',
                displayName: 'Lingala (Congo)'
            }, {
                name: 'mgo-CM',
                displayName: "Meta' (Cameroon)"
            }, {
                name: 'mua-CM',
                displayName: 'Mundang (Cameroon)'
            }, {
                name: 'nmg-CM',
                displayName: 'Kwasio (Cameroon)'
            }, {
                name: 'nnh-CM',
                displayName: 'Ngiemboon (Cameroon)'
            }, {
                name: 'pt-GQ',
                displayName: 'Portuguese (Equatorial Guinea)'
            }, {
                name: 'sg-CF',
                displayName: 'Sango (Central African Republic)'
            }, {
                name: 'yav-CM',
                displayName: 'Yangben (Cameroon)'
            }]
    }, {
        name: 'GHS',
        displayName: 'GHS (Ghanaian Cedi)',
        cultures: [{
                name: 'ak-GH',
                displayName: 'Akan (Ghana)'
            }, {
                name: 'ee-GH',
                displayName: 'Ewe (Ghana)'
            }, {
                name: 'en-GH',
                displayName: 'English (Ghana)'
            }, {
                name: 'ha-Latn-GH',
                displayName: 'Hausa (Latin, Ghana)'
            }]
    }, {
        name: 'XDR',
        displayName: 'XDR (Special Drawing Rights)',
        cultures: [{
                name: 'ar-001',
                displayName: 'Arabic (World)'
            }, {
                name: 'en-001',
                displayName: 'English (World)'
            }, {
                name: 'en-150',
                displayName: 'English (Europe)'
            }, {
                name: 'eo-001',
                displayName: 'Esperanto (World)'
            }, {
                name: 'es-419',
                displayName: 'Spanish (Latin America)'
            }, {
                name: 'ia-001',
                displayName: 'Interlingua (World)'
            }, {
                name: 'la-001',
                displayName: 'Latin (World)'
            }, {
                name: 'prg-001',
                displayName: 'Prussian (World)'
            }, {
                name: 'vo-001',
                displayName: 'Volapük (World)'
            }, {
                name: 'yi-001',
                displayName: 'Yiddish (World)'
            }]
    }, {
        name: 'AED',
        displayName: 'AED (United Arab Emirates Dirham)',
        cultures: [{
                name: 'ar-AE',
                displayName: 'Arabic (U.A.E.)'
            }]
    }, {
        name: 'BHD',
        displayName: 'BHD (Bahraini Dinar)',
        cultures: [{
                name: 'ar-BH',
                displayName: 'Arabic (Bahrain)'
            }]
    }, {
        name: 'DZD',
        displayName: 'DZD (Algerian Dinar)',
        cultures: [{
                name: 'ar-DZ',
                displayName: 'Arabic (Algeria)'
            }, {
                name: 'fr-DZ',
                displayName: 'French (Algeria)'
            }, {
                name: 'kab-DZ',
                displayName: 'Kabyle (Algeria)'
            }, {
                name: 'tzm-Latn-DZ',
                displayName: 'Tamazight (Latin, Algeria)'
            }]
    }, {
        name: 'EGP',
        displayName: 'EGP (Egyptian Pound)',
        cultures: [{
                name: 'ar-EG',
                displayName: 'Arabic (Egypt)'
            }]
    }, {
        name: 'ILS',
        displayName: 'ILS (Israeli New Shekel)',
        cultures: [{
                name: 'ar-IL',
                displayName: 'Arabic (Israel)'
            }, {
                name: 'ar-PS',
                displayName: 'Arabic (Palestinian Authority)'
            }, {
                name: 'en-IL',
                displayName: 'English (Israel)'
            }, {
                name: 'he-IL',
                displayName: 'Hebrew (Israel)'
            }]
    }, {
        name: 'IQD',
        displayName: 'IQD (Iraqi Dinar)',
        cultures: [{
                name: 'ar-IQ',
                displayName: 'Arabic (Iraq)'
            }, {
                name: 'ku-Arab-IQ',
                displayName: 'Central Kurdish (Iraq)'
            }, {
                name: 'lrc-IQ',
                displayName: 'Northern Luri (Iraq)'
            }]
    }, {
        name: 'JOD',
        displayName: 'JOD (Jordanian Dinar)',
        cultures: [{
                name: 'ar-JO',
                displayName: 'Arabic (Jordan)'
            }]
    }, {
        name: 'KMF',
        displayName: 'KMF (Comorian Franc)',
        cultures: [{
                name: 'ar-KM',
                displayName: 'Arabic (Comoros)'
            }, {
                name: 'fr-KM',
                displayName: 'French (Comoros)'
            }]
    }, {
        name: 'KWD',
        displayName: 'KWD (Kuwaiti Dinar)',
        cultures: [{
                name: 'ar-KW',
                displayName: 'Arabic (Kuwait)'
            }]
    }, {
        name: 'LBP',
        displayName: 'LBP (Lebanese Pound)',
        cultures: [{
                name: 'ar-LB',
                displayName: 'Arabic (Lebanon)'
            }]
    }, {
        name: 'LYD',
        displayName: 'LYD (Libyan Dinar)',
        cultures: [{
                name: 'ar-LY',
                displayName: 'Arabic (Libya)'
            }]
    }, {
        name: 'MAD',
        displayName: 'MAD (Moroccan Dirham)',
        cultures: [{
                name: 'ar-MA',
                displayName: 'Arabic (Morocco)'
            }, {
                name: 'fr-MA',
                displayName: 'French (Morocco)'
            }, {
                name: 'shi-Latn-MA',
                displayName: 'Tachelhit (Latin, Morocco)'
            }, {
                name: 'shi-Tfng-MA',
                displayName: 'Tachelhit (Tifinagh, Morocco)'
            }, {
                name: 'tzm-Arab-MA',
                displayName: 'Central Atlas Tamazight (Arabic, Morocco)'
            }, {
                name: 'tzm-Latn-MA',
                displayName: 'Central Atlas Tamazight (Latin, Morocco)'
            }, {
                name: 'tzm-Tfng-MA',
                displayName: 'Central Atlas Tamazight (Tifinagh, Morocco)'
            }, {
                name: 'zgh-Tfng-MA',
                displayName: 'Standard Moroccan Tamazight (Tifinagh, Morocco)'
            }]
    }, {
        name: 'MRO',
        displayName: 'MRO (Mauritanian Ouguiya)',
        cultures: [{
                name: 'ar-MR',
                displayName: 'Arabic (Mauritania)'
            }, {
                name: 'ff-MR',
                displayName: 'Fulah (Mauritania)'
            }, {
                name: 'fr-MR',
                displayName: 'French (Mauritania)'
            }]
    }, {
        name: 'OMR',
        displayName: 'OMR (Omani Rial)',
        cultures: [{
                name: 'ar-OM',
                displayName: 'Arabic (Oman)'
            }]
    }, {
        name: 'QAR',
        displayName: 'QAR (Qatari Rial)',
        cultures: [{
                name: 'ar-QA',
                displayName: 'Arabic (Qatar)'
            }]
    }, {
        name: 'SAR',
        displayName: 'SAR (Saudi Riyal)',
        cultures: [{
                name: 'ar-SA',
                displayName: 'Arabic (Saudi Arabia)'
            }]
    }, {
        name: 'SDG',
        displayName: 'SDG (Sudanese Pound)',
        cultures: [{
                name: 'ar-SD',
                displayName: 'Arabic (Sudan)'
            }, {
                name: 'en-SD',
                displayName: 'English (Sudan)'
            }]
    }, {
        name: 'SOS',
        displayName: 'SOS (Somali Shilling)',
        cultures: [{
                name: 'ar-SO',
                displayName: 'Arabic (Somalia)'
            }, {
                name: 'so-SO',
                displayName: 'Somali (Somalia)'
            }]
    }, {
        name: 'SSP',
        displayName: 'SSP (South Sudanese Pound)',
        cultures: [{
                name: 'ar-SS',
                displayName: 'Arabic (South Sudan)'
            }, {
                name: 'en-SS',
                displayName: 'English (South Sudan)'
            }, {
                name: 'nus-SS',
                displayName: 'Nuer (South Sudan)'
            }]
    }, {
        name: 'SYP',
        displayName: 'SYP (Syrian Pound)',
        cultures: [{
                name: 'ar-SY',
                displayName: 'Arabic (Syria)'
            }, {
                name: 'fr-SY',
                displayName: 'French (Syria)'
            }, {
                name: 'syr-SY',
                displayName: 'Syriac (Syria)'
            }]
    }, {
        name: 'TND',
        displayName: 'TND (Tunisian Dinar)',
        cultures: [{
                name: 'ar-TN',
                displayName: 'Arabic (Tunisia)'
            }, {
                name: 'fr-TN',
                displayName: 'French (Tunisia)'
            }]
    }, {
        name: 'YER',
        displayName: 'YER (Yemeni Rial)',
        cultures: [{
                name: 'ar-YE',
                displayName: 'Arabic (Yemen)'
            }]
    }, {
        name: 'CLP',
        displayName: 'CLP (Chilean Peso)',
        cultures: [{
                name: 'arn-CL',
                displayName: 'Mapudungun (Chile)'
            }, {
                name: 'es-CL',
                displayName: 'Spanish (Chile)'
            }]
    }, {
        name: 'INR',
        displayName: 'INR (Indian Rupee)',
        cultures: [{
                name: 'as-IN',
                displayName: 'Assamese (India)'
            }, {
                name: 'bn-IN',
                displayName: 'Bangla (India)'
            }, {
                name: 'bo-IN',
                displayName: 'Tibetan (India)'
            }, {
                name: 'brx-IN',
                displayName: 'Bodo (India)'
            }, {
                name: 'en-IN',
                displayName: 'English (India)'
            }, {
                name: 'gu-IN',
                displayName: 'Gujarati (India)'
            }, {
                name: 'hi-IN',
                displayName: 'Hindi (India)'
            }, {
                name: 'kn-IN',
                displayName: 'Kannada (India)'
            }, {
                name: 'kok-IN',
                displayName: 'Konkani (India)'
            }, {
                name: 'ks-Arab-IN',
                displayName: 'Kashmiri (Perso-Arabic)'
            }, {
                name: 'ks-Deva-IN',
                displayName: 'Kashmiri (Devanagari, India)'
            }, {
                name: 'ml-IN',
                displayName: 'Malayalam (India)'
            }, {
                name: 'mni-IN',
                displayName: 'Manipuri (India)'
            }, {
                name: 'mr-IN',
                displayName: 'Marathi (India)'
            }, {
                name: 'ne-IN',
                displayName: 'Nepali (India)'
            }, {
                name: 'or-IN',
                displayName: 'Odia (India)'
            }, {
                name: 'pa-IN',
                displayName: 'Punjabi (India)'
            }, {
                name: 'sa-IN',
                displayName: 'Sanskrit (India)'
            }, {
                name: 'sd-Deva-IN',
                displayName: 'Sindhi (Devanagari, India)'
            }, {
                name: 'ta-IN',
                displayName: 'Tamil (India)'
            }, {
                name: 'te-IN',
                displayName: 'Telugu (India)'
            }, {
                name: 'ur-IN',
                displayName: 'Urdu (India)'
            }]
    }, {
        name: 'TZS',
        displayName: 'TZS (Tanzanian Shilling)',
        cultures: [{
                name: 'asa-TZ',
                displayName: 'Asu (Tanzania)'
            }, {
                name: 'bez-TZ',
                displayName: 'Bena (Tanzania)'
            }, {
                name: 'en-TZ',
                displayName: 'English (Tanzania)'
            }, {
                name: 'jmc-TZ',
                displayName: 'Machame (Tanzania)'
            }, {
                name: 'kde-TZ',
                displayName: 'Makonde (Tanzania)'
            }, {
                name: 'ksb-TZ',
                displayName: 'Shambala (Tanzania)'
            }, {
                name: 'lag-TZ',
                displayName: 'Langi (Tanzania)'
            }, {
                name: 'mas-TZ',
                displayName: 'Masai (Tanzania)'
            }, {
                name: 'rof-TZ',
                displayName: 'Rombo (Tanzania)'
            }, {
                name: 'rwk-TZ',
                displayName: 'Rwa (Tanzania)'
            }, {
                name: 'sbp-TZ',
                displayName: 'Sangu (Tanzania)'
            }, {
                name: 'sw-TZ',
                displayName: 'Kiswahili (Tanzania)'
            }, {
                name: 'vun-TZ',
                displayName: 'Vunjo (Tanzania)'
            }]
    }, {
        name: 'EUR',
        displayName: 'EUR (Euro)',
        cultures: [{
                name: 'ast-ES',
                displayName: 'Asturian (Spain)'
            }, {
                name: 'br-FR',
                displayName: 'Breton (France)'
            }, {
                name: 'ca-AD',
                displayName: 'Catalan (Andorra)'
            }, {
                name: 'ca-ES',
                displayName: 'Catalan (Catalan)'
            }, {
                name: 'ca-ES-valencia',
                displayName: 'Valencian (Spain)'
            }, {
                name: 'ca-FR',
                displayName: 'Catalan (France)'
            }, {
                name: 'ca-IT',
                displayName: 'Catalan (Italy)'
            }, {
                name: 'co-FR',
                displayName: 'Corsican (France)'
            }, {
                name: 'de-AT',
                displayName: 'German (Austria)'
            }, {
                name: 'de-BE',
                displayName: 'German (Belgium)'
            }, {
                name: 'de-DE',
                displayName: 'German (Germany)'
            }, {
                name: 'de-IT',
                displayName: 'German (Italy)'
            }, {
                name: 'de-LU',
                displayName: 'German (Luxembourg)'
            }, {
                name: 'dsb-DE',
                displayName: 'Lower Sorbian (Germany)'
            }, {
                name: 'el-CY',
                displayName: 'Greek (Cyprus)'
            }, {
                name: 'el-GR',
                displayName: 'Greek (Greece)'
            }, {
                name: 'en-AT',
                displayName: 'English (Austria)'
            }, {
                name: 'en-BE',
                displayName: 'English (Belgium)'
            }, {
                name: 'en-CY',
                displayName: 'English (Cyprus)'
            }, {
                name: 'en-DE',
                displayName: 'English (Germany)'
            }, {
                name: 'en-FI',
                displayName: 'English (Finland)'
            }, {
                name: 'en-IE',
                displayName: 'English (Ireland)'
            }, {
                name: 'en-MT',
                displayName: 'English (Malta)'
            }, {
                name: 'en-NL',
                displayName: 'English (Netherlands)'
            }, {
                name: 'en-SI',
                displayName: 'English (Slovenia)'
            }, {
                name: 'es-ES',
                displayName: 'Spanish (Spain)'
            }, {
                name: 'et-EE',
                displayName: 'Estonian (Estonia)'
            }, {
                name: 'eu-ES',
                displayName: 'Basque (Basque)'
            }, {
                name: 'fi-FI',
                displayName: 'Finnish (Finland)'
            }, {
                name: 'fr-BE',
                displayName: 'French (Belgium)'
            }, {
                name: 'fr-BL',
                displayName: 'French (Saint Barthélemy)'
            }, {
                name: 'fr-FR',
                displayName: 'French (France)'
            }, {
                name: 'fr-GF',
                displayName: 'French (French Guiana)'
            }, {
                name: 'fr-GP',
                displayName: 'French (Guadeloupe)'
            }, {
                name: 'fr-LU',
                displayName: 'French (Luxembourg)'
            }, {
                name: 'fr-MC',
                displayName: 'French (Monaco)'
            }, {
                name: 'fr-MF',
                displayName: 'French (Saint Martin)'
            }, {
                name: 'fr-MQ',
                displayName: 'French (Martinique)'
            }, {
                name: 'fr-PM',
                displayName: 'French (Saint Pierre and Miquelon)'
            }, {
                name: 'fr-RE',
                displayName: 'French (Reunion)'
            }, {
                name: 'fr-YT',
                displayName: 'French (Mayotte)'
            }, {
                name: 'fur-IT',
                displayName: 'Friulian (Italy)'
            }, {
                name: 'fy-NL',
                displayName: 'Frisian (Netherlands)'
            }, {
                name: 'ga-IE',
                displayName: 'Irish (Ireland)'
            }, {
                name: 'gl-ES',
                displayName: 'Galician (Galician)'
            }, {
                name: 'gsw-FR',
                displayName: 'Alsatian (France)'
            }, {
                name: 'hsb-DE',
                displayName: 'Upper Sorbian (Germany)'
            }, {
                name: 'ia-FR',
                displayName: 'Interlingua (France)'
            }, {
                name: 'it-IT',
                displayName: 'Italian (Italy)'
            }, {
                name: 'it-SM',
                displayName: 'Italian (San Marino)'
            }, {
                name: 'it-VA',
                displayName: 'Italian (Vatican City)'
            }, {
                name: 'ksh-DE',
                displayName: 'Ripuarian (Germany)'
            }, {
                name: 'lb-LU',
                displayName: 'Luxembourgish (Luxembourg)'
            }, {
                name: 'lt-LT',
                displayName: 'Lithuanian (Lithuania)'
            }, {
                name: 'lv-LV',
                displayName: 'Latvian (Latvia)'
            }, {
                name: 'mt-MT',
                displayName: 'Maltese (Malta)'
            }, {
                name: 'nds-DE',
                displayName: 'Low German (Germany)'
            }, {
                name: 'nds-NL',
                displayName: 'Low German (Netherlands)'
            }, {
                name: 'nl-BE',
                displayName: 'Dutch (Belgium)'
            }, {
                name: 'nl-NL',
                displayName: 'Dutch (Netherlands)'
            }, {
                name: 'oc-FR',
                displayName: 'Occitan (France)'
            }, {
                name: 'pt-LU',
                displayName: 'Portuguese (Luxembourg)'
            }, {
                name: 'pt-PT',
                displayName: 'Portuguese (Portugal)'
            }, {
                name: 'se-FI',
                displayName: 'Sami, Northern (Finland)'
            }, {
                name: 'sk-SK',
                displayName: 'Slovak (Slovakia)'
            }, {
                name: 'sl-SI',
                displayName: 'Slovenian (Slovenia)'
            }, {
                name: 'smn-FI',
                displayName: 'Sami, Inari (Finland)'
            }, {
                name: 'sms-FI',
                displayName: 'Sami, Skolt (Finland)'
            }, {
                name: 'sq-XK',
                displayName: 'Albanian (Kosovo)'
            }, {
                name: 'sr-Cyrl-ME',
                displayName: 'Serbian (Cyrillic, Montenegro)'
            }, {
                name: 'sr-Cyrl-XK',
                displayName: 'Serbian (Cyrillic, Kosovo)'
            }, {
                name: 'sr-Latn-ME',
                displayName: 'Serbian (Latin, Montenegro)'
            }, {
                name: 'sr-Latn-XK',
                displayName: 'Serbian (Latin, Kosovo)'
            }, {
                name: 'sv-AX',
                displayName: 'Swedish (Åland Islands)'
            }, {
                name: 'sv-FI',
                displayName: 'Swedish (Finland)'
            }, {
                name: 'tr-CY',
                displayName: 'Turkish (Cyprus)'
            }]
    }, {
        name: 'AZN',
        displayName: 'AZN (Azerbaijani Manat)',
        cultures: [{
                name: 'az-Cyrl-AZ',
                displayName: 'Azerbaijani (Cyrillic, Azerbaijan)'
            }, {
                name: 'az-Latn-AZ',
                displayName: 'Azerbaijani (Latin, Azerbaijan)'
            }]
    }, {
        name: 'RUB',
        displayName: 'RUB (Russian Ruble)',
        cultures: [{
                name: 'ba-RU',
                displayName: 'Bashkir (Russia)'
            }, {
                name: 'ce-RU',
                displayName: 'Chechen (Russia)'
            }, {
                name: 'cu-RU',
                displayName: 'Church Slavic (Russia)'
            }, {
                name: 'os-RU',
                displayName: 'Ossetian (Cyrillic, Russia)'
            }, {
                name: 'ru-RU',
                displayName: 'Russian (Russia)'
            }, {
                name: 'sah-RU',
                displayName: 'Sakha (Russia)'
            }, {
                name: 'tt-RU',
                displayName: 'Tatar (Russia)'
            }]
    }, {
        name: 'BYN',
        displayName: 'BYN (Belarusian Ruble)',
        cultures: [{
                name: 'be-BY',
                displayName: 'Belarusian (Belarus)'
            }, {
                name: 'ru-BY',
                displayName: 'Russian (Belarus)'
            }]
    }, {
        name: 'ZMW',
        displayName: 'ZMW (Zambian Kwacha)',
        cultures: [{
                name: 'bem-ZM',
                displayName: 'Bemba (Zambia)'
            }, {
                name: 'en-ZM',
                displayName: 'English (Zambia)'
            }]
    }, {
        name: 'BGN',
        displayName: 'BGN (Bulgarian Lev)',
        cultures: [{
                name: 'bg-BG',
                displayName: 'Bulgarian (Bulgaria)'
            }]
    }, {
        name: 'NGN',
        displayName: 'NGN (Nigerian Naira)',
        cultures: [{
                name: 'bin-NG',
                displayName: 'Edo (Nigeria)'
            }, {
                name: 'en-NG',
                displayName: 'English (Nigeria)'
            }, {
                name: 'ff-NG',
                displayName: 'Fulah (Nigeria)'
            }, {
                name: 'ha-Latn-NG',
                displayName: 'Hausa (Latin, Nigeria)'
            }, {
                name: 'ibb-NG',
                displayName: 'Ibibio (Nigeria)'
            }, {
                name: 'ig-NG',
                displayName: 'Igbo (Nigeria)'
            }, {
                name: 'kr-NG',
                displayName: 'Kanuri (Nigeria)'
            }, {
                name: 'yo-NG',
                displayName: 'Yoruba (Nigeria)'
            }]
    }, {
        name: 'XOF',
        displayName: 'XOF (West African CFA Franc)',
        cultures: [{
                name: 'bm-Latn-ML',
                displayName: 'Bambara (Latin, Mali)'
            }, {
                name: 'dje-NE',
                displayName: 'Zarma (Niger)'
            }, {
                name: 'dyo-SN',
                displayName: 'Jola-Fonyi (Senegal)'
            }, {
                name: 'ee-TG',
                displayName: 'Ewe (Togo)'
            }, {
                name: 'ff-Latn-SN',
                displayName: 'Fulah (Latin, Senegal)'
            }, {
                name: 'fr-BF',
                displayName: 'French (Burkina Faso)'
            }, {
                name: 'fr-BJ',
                displayName: 'French (Benin)'
            }, {
                name: 'fr-CI',
                displayName: 'French (Côte d’Ivoire)'
            }, {
                name: 'fr-ML',
                displayName: 'French (Mali)'
            }, {
                name: 'fr-NE',
                displayName: 'French (Niger)'
            }, {
                name: 'fr-SN',
                displayName: 'French (Senegal)'
            }, {
                name: 'fr-TG',
                displayName: 'French (Togo)'
            }, {
                name: 'ha-Latn-NE',
                displayName: 'Hausa (Latin, Niger)'
            }, {
                name: 'khq-ML',
                displayName: 'Koyra Chiini (Mali)'
            }, {
                name: 'pt-GW',
                displayName: 'Portuguese (Guinea-Bissau)'
            }, {
                name: 'ses-ML',
                displayName: 'Koyraboro Senni (Mali)'
            }, {
                name: 'twq-NE',
                displayName: 'Tasawaq (Niger)'
            }, {
                name: 'wo-SN',
                displayName: 'Wolof (Senegal)'
            }, {
                name: 'yo-BJ',
                displayName: 'Yoruba (Benin)'
            }]
    }, {
        name: 'BDT',
        displayName: 'BDT (Bangladeshi Taka)',
        cultures: [{
                name: 'bn-BD',
                displayName: 'Bangla (Bangladesh)'
            }]
    }, {
        name: 'CNY',
        displayName: 'CNY (Chinese Yuan)',
        cultures: [{
                name: 'bo-CN',
                displayName: 'Tibetan (PRC)'
            }, {
                name: 'ii-CN',
                displayName: 'Yi (PRC)'
            }, {
                name: 'mn-Mong-CN',
                displayName: 'Mongolian (Traditional Mongolian, PRC)'
            }, {
                name: 'ug-CN',
                displayName: 'Uyghur (PRC)'
            }, {
                name: 'zh-CN',
                displayName: 'Chinese (Simplified, PRC)'
            }]
    }, {
        name: 'BAM',
        displayName: 'BAM (Bosnia-Herzegovina Convertible Mark)',
        cultures: [{
                name: 'bs-Cyrl-BA',
                displayName: 'Bosnian (Cyrillic, Bosnia and Herzegovina)'
            }, {
                name: 'bs-Latn-BA',
                displayName: 'Bosnian (Latin, Bosnia and Herzegovina)'
            }, {
                name: 'hr-BA',
                displayName: 'Croatian (Latin, Bosnia and Herzegovina)'
            }, {
                name: 'sr-Cyrl-BA',
                displayName: 'Serbian (Cyrillic, Bosnia and Herzegovina)'
            }, {
                name: 'sr-Latn-BA',
                displayName: 'Serbian (Latin, Bosnia and Herzegovina)'
            }]
    }, {
        name: 'UGX',
        displayName: 'UGX (Ugandan Shilling)',
        cultures: [{
                name: 'cgg-UG',
                displayName: 'Chiga (Uganda)'
            }, {
                name: 'en-UG',
                displayName: 'English (Uganda)'
            }, {
                name: 'lg-UG',
                displayName: 'Ganda (Uganda)'
            }, {
                name: 'nyn-UG',
                displayName: 'Nyankole (Uganda)'
            }, {
                name: 'sw-UG',
                displayName: 'Kiswahili (Uganda)'
            }, {
                name: 'teo-UG',
                displayName: 'Teso (Uganda)'
            }, {
                name: 'xog-UG',
                displayName: 'Soga (Uganda)'
            }]
    }, {
        name: 'USD',
        displayName: 'USD (US Dollar)',
        cultures: [{
                name: 'chr-Cher-US',
                displayName: 'Cherokee (Cherokee)'
            }, {
                name: 'en-AS',
                displayName: 'English (American Samoa)'
            }, {
                name: 'en-FM',
                displayName: 'English (Micronesia)'
            }, {
                name: 'en-GU',
                displayName: 'English (Guam)'
            }, {
                name: 'en-IO',
                displayName: 'English (British Indian Ocean Territory)'
            }, {
                name: 'en-MH',
                displayName: 'English (Marshall Islands)'
            }, {
                name: 'en-MP',
                displayName: 'English (Northern Mariana Islands)'
            }, {
                name: 'en-PR',
                displayName: 'English (Puerto Rico)'
            }, {
                name: 'en-PW',
                displayName: 'English (Palau)'
            }, {
                name: 'en-TC',
                displayName: 'English (Turks and Caicos Islands)'
            }, {
                name: 'en-UM',
                displayName: 'English (US Minor Outlying Islands)'
            }, {
                name: 'en-US',
                displayName: 'English (United States)'
            }, {
                name: 'en-VG',
                displayName: 'English (British Virgin Islands)'
            }, {
                name: 'en-VI',
                displayName: 'English (US Virgin Islands)'
            }, {
                name: 'en-ZW',
                displayName: 'English (Zimbabwe)'
            }, {
                name: 'es-EC',
                displayName: 'Spanish (Ecuador)'
            }, {
                name: 'es-PR',
                displayName: 'Spanish (Puerto Rico)'
            }, {
                name: 'es-SV',
                displayName: 'Spanish (El Salvador)'
            }, {
                name: 'es-US',
                displayName: 'Spanish (United States)'
            }, {
                name: 'haw-US',
                displayName: 'Hawaiian (United States)'
            }, {
                name: 'lkt-US',
                displayName: 'Lakota (United States)'
            }, {
                name: 'nd-ZW',
                displayName: 'North Ndebele (Zimbabwe)'
            }, {
                name: 'nl-BQ',
                displayName: 'Dutch (Bonaire, Sint Eustatius and Saba)'
            }, {
                name: 'pap-029',
                displayName: 'Papiamento (Caribbean)'
            }, {
                name: 'pt-TL',
                displayName: 'Portuguese (Timor-Leste)'
            }, {
                name: 'quz-EC',
                displayName: 'Quechua (Ecuador)'
            }, {
                name: 'sn-Latn-ZW',
                displayName: 'Shona (Latin, Zimbabwe)'
            }]
    }, {
        name: 'CZK',
        displayName: 'CZK (Czech Koruna)',
        cultures: [{
                name: 'cs-CZ',
                displayName: 'Czech (Czech Republic)'
            }]
    }, {
        name: 'GBP',
        displayName: 'GBP (British Pound)',
        cultures: [{
                name: 'cy-GB',
                displayName: 'Welsh (United Kingdom)'
            }, {
                name: 'en-GB',
                displayName: 'English (United Kingdom)'
            }, {
                name: 'en-GG',
                displayName: 'English (Guernsey)'
            }, {
                name: 'en-IM',
                displayName: 'English (Isle of Man)'
            }, {
                name: 'en-JE',
                displayName: 'English (Jersey)'
            }, {
                name: 'gd-GB',
                displayName: 'Scottish Gaelic (United Kingdom)'
            }, {
                name: 'gv-IM',
                displayName: 'Manx (Isle of Man)'
            }, {
                name: 'kw-GB',
                displayName: 'Cornish (United Kingdom)'
            }]
    }, {
        name: 'DKK',
        displayName: 'DKK (Danish Krone)',
        cultures: [{
                name: 'da-DK',
                displayName: 'Danish (Denmark)'
            }, {
                name: 'da-GL',
                displayName: 'Danish (Greenland)'
            }, {
                name: 'en-DK',
                displayName: 'English (Denmark)'
            }, {
                name: 'fo-DK',
                displayName: 'Faroese (Denmark)'
            }, {
                name: 'fo-FO',
                displayName: 'Faroese (Faroe Islands)'
            }, {
                name: 'kl-GL',
                displayName: 'Greenlandic (Greenland)'
            }]
    }, {
        name: 'KES',
        displayName: 'KES (Kenyan Shilling)',
        cultures: [{
                name: 'dav-KE',
                displayName: 'Taita (Kenya)'
            }, {
                name: 'ebu-KE',
                displayName: 'Embu (Kenya)'
            }, {
                name: 'en-KE',
                displayName: 'English (Kenya)'
            }, {
                name: 'guz-KE',
                displayName: 'Gusii (Kenya)'
            }, {
                name: 'kam-KE',
                displayName: 'Kamba (Kenya)'
            }, {
                name: 'ki-KE',
                displayName: 'Kikuyu (Kenya)'
            }, {
                name: 'kln-KE',
                displayName: 'Kalenjin (Kenya)'
            }, {
                name: 'luo-KE',
                displayName: 'Luo (Kenya)'
            }, {
                name: 'luy-KE',
                displayName: 'Luyia (Kenya)'
            }, {
                name: 'mas-KE',
                displayName: 'Masai (Kenya)'
            }, {
                name: 'mer-KE',
                displayName: 'Meru (Kenya)'
            }, {
                name: 'om-KE',
                displayName: 'Oromo (Kenya)'
            }, {
                name: 'saq-KE',
                displayName: 'Samburu (Kenya)'
            }, {
                name: 'so-KE',
                displayName: 'Somali (Kenya)'
            }, {
                name: 'sw-KE',
                displayName: 'Kiswahili (Kenya)'
            }, {
                name: 'teo-KE',
                displayName: 'Teso (Kenya)'
            }]
    }, {
        name: 'CHF',
        displayName: 'CHF (Swiss Franc)',
        cultures: [{
                name: 'de-CH',
                displayName: 'German (Switzerland)'
            }, {
                name: 'de-LI',
                displayName: 'German (Liechtenstein)'
            }, {
                name: 'en-CH',
                displayName: 'English (Switzerland)'
            }, {
                name: 'fr-CH',
                displayName: 'French (Switzerland)'
            }, {
                name: 'gsw-CH',
                displayName: 'Alsatian (Switzerland)'
            }, {
                name: 'gsw-LI',
                displayName: 'Alsatian (Liechtenstein)'
            }, {
                name: 'it-CH',
                displayName: 'Italian (Switzerland)'
            }, {
                name: 'pt-CH',
                displayName: 'Portuguese (Switzerland)'
            }, {
                name: 'rm-CH',
                displayName: 'Romansh (Switzerland)'
            }, {
                name: 'wae-CH',
                displayName: 'Walser (Switzerland)'
            }]
    }, {
        name: 'MVR',
        displayName: 'MVR (Maldivian Rufiyaa)',
        cultures: [{
                name: 'dv-MV',
                displayName: 'Divehi (Maldives)'
            }]
    }, {
        name: 'BTN',
        displayName: 'BTN (Bhutanese Ngultrum)',
        cultures: [{
                name: 'dz-BT',
                displayName: 'Dzongkha (Bhutan)'
            }]
    }, {
        name: 'XCD',
        displayName: 'XCD (Eastern Caribbean Dollar)',
        cultures: [{
                name: 'en-029',
                displayName: 'English (Caribbean)'
            }, {
                name: 'fr-029',
                displayName: 'French (Caribbean)'
            }]
    }, {
        name: 'XCD',
        displayName: 'XCD (East Caribbean Dollar)',
        cultures: [{
                name: 'en-AG',
                displayName: 'English (Antigua and Barbuda)'
            }, {
                name: 'en-AI',
                displayName: 'English (Anguilla)'
            }, {
                name: 'en-DM',
                displayName: 'English (Dominica)'
            }, {
                name: 'en-GD',
                displayName: 'English (Grenada)'
            }, {
                name: 'en-KN',
                displayName: 'English (Saint Kitts and Nevis)'
            }, {
                name: 'en-LC',
                displayName: 'English (Saint Lucia)'
            }, {
                name: 'en-MS',
                displayName: 'English (Montserrat)'
            }, {
                name: 'en-VC',
                displayName: 'English (Saint Vincent and the Grenadines)'
            }]
    }, {
        name: 'AUD',
        displayName: 'AUD (Australian Dollar)',
        cultures: [{
                name: 'en-AU',
                displayName: 'English (Australia)'
            }, {
                name: 'en-CC',
                displayName: 'English (Cocos [Keeling] Islands)'
            }, {
                name: 'en-CX',
                displayName: 'English (Christmas Island)'
            }, {
                name: 'en-KI',
                displayName: 'English (Kiribati)'
            }, {
                name: 'en-NF',
                displayName: 'English (Norfolk Island)'
            }, {
                name: 'en-NR',
                displayName: 'English (Nauru)'
            }, {
                name: 'en-TV',
                displayName: 'English (Tuvalu)'
            }]
    }, {
        name: 'BBD',
        displayName: 'BBD (Barbadian Dollar)',
        cultures: [{
                name: 'en-BB',
                displayName: 'English (Barbados)'
            }]
    }, {
        name: 'BIF',
        displayName: 'BIF (Burundian Franc)',
        cultures: [{
                name: 'en-BI',
                displayName: 'English (Burundi)'
            }, {
                name: 'fr-BI',
                displayName: 'French (Burundi)'
            }, {
                name: 'rn-BI',
                displayName: 'Rundi (Burundi)'
            }]
    }, {
        name: 'BMD',
        displayName: 'BMD (Bermudan Dollar)',
        cultures: [{
                name: 'en-BM',
                displayName: 'English (Bermuda)'
            }]
    }, {
        name: 'BSD',
        displayName: 'BSD (Bahamian Dollar)',
        cultures: [{
                name: 'en-BS',
                displayName: 'English (Bahamas)'
            }]
    }, {
        name: 'BWP',
        displayName: 'BWP (Botswanan Pula)',
        cultures: [{
                name: 'en-BW',
                displayName: 'English (Botswana)'
            }, {
                name: 'tn-BW',
                displayName: 'Setswana (Botswana)'
            }]
    }, {
        name: 'BZD',
        displayName: 'BZD (Belize Dollar)',
        cultures: [{
                name: 'en-BZ',
                displayName: 'English (Belize)'
            }, {
                name: 'es-BZ',
                displayName: 'Spanish (Belize)'
            }]
    }, {
        name: 'CAD',
        displayName: 'CAD (Canadian Dollar)',
        cultures: [{
                name: 'en-CA',
                displayName: 'English (Canada)'
            }, {
                name: 'fr-CA',
                displayName: 'French (Canada)'
            }, {
                name: 'iu-Cans-CA',
                displayName: 'Inuktitut (Syllabics, Canada)'
            }, {
                name: 'iu-Latn-CA',
                displayName: 'Inuktitut (Latin, Canada)'
            }, {
                name: 'moh-CA',
                displayName: 'Mohawk (Mohawk)'
            }]
    }, {
        name: 'NZD',
        displayName: 'NZD (New Zealand Dollar)',
        cultures: [{
                name: 'en-CK',
                displayName: 'English (Cook Islands)'
            }, {
                name: 'en-NU',
                displayName: 'English (Niue)'
            }, {
                name: 'en-NZ',
                displayName: 'English (New Zealand)'
            }, {
                name: 'en-PN',
                displayName: 'English (Pitcairn Islands)'
            }, {
                name: 'en-TK',
                displayName: 'English (Tokelau)'
            }, {
                name: 'mi-NZ',
                displayName: 'Maori (New Zealand)'
            }]
    }, {
        name: 'FJD',
        displayName: 'FJD (Fijian Dollar)',
        cultures: [{
                name: 'en-FJ',
                displayName: 'English (Fiji)'
            }]
    }, {
        name: 'FKP',
        displayName: 'FKP (Falkland Islands Pound)',
        cultures: [{
                name: 'en-FK',
                displayName: 'English (Falkland Islands)'
            }]
    }, {
        name: 'GIP',
        displayName: 'GIP (Gibraltar Pound)',
        cultures: [{
                name: 'en-GI',
                displayName: 'English (Gibraltar)'
            }]
    }, {
        name: 'GMD',
        displayName: 'GMD (Gambian Dalasi)',
        cultures: [{
                name: 'en-GM',
                displayName: 'English (Gambia)'
            }]
    }, {
        name: 'GYD',
        displayName: 'GYD (Guyanaese Dollar)',
        cultures: [{
                name: 'en-GY',
                displayName: 'English (Guyana)'
            }]
    }, {
        name: 'HKD',
        displayName: 'HKD (Hong Kong Dollar)',
        cultures: [{
                name: 'en-HK',
                displayName: 'English (Hong Kong SAR)'
            }, {
                name: 'zh-Hans-HK',
                displayName: 'Chinese (Simplified Han, Hong Kong SAR)'
            }, {
                name: 'zh-HK',
                displayName: 'Chinese (Traditional, Hong Kong S.A.R.)'
            }]
    }, {
        name: 'IDR',
        displayName: 'IDR (Indonesian Rupiah)',
        cultures: [{
                name: 'en-ID',
                displayName: 'English (Indonesia)'
            }, {
                name: 'id-ID',
                displayName: 'Indonesian (Indonesia)'
            }, {
                name: 'jv-Java-ID',
                displayName: 'Javanese (Javanese, Indonesia)'
            }, {
                name: 'jv-Latn-ID',
                displayName: 'Javanese (Indonesia)'
            }]
    }, {
        name: 'JMD',
        displayName: 'JMD (Jamaican Dollar)',
        cultures: [{
                name: 'en-JM',
                displayName: 'English (Jamaica)'
            }]
    }, {
        name: 'KYD',
        displayName: 'KYD (Cayman Islands Dollar)',
        cultures: [{
                name: 'en-KY',
                displayName: 'English (Cayman Islands)'
            }]
    }, {
        name: 'LRD',
        displayName: 'LRD (Liberian Dollar)',
        cultures: [{
                name: 'en-LR',
                displayName: 'English (Liberia)'
            }, {
                name: 'vai-Latn-LR',
                displayName: 'Vai (Latin, Liberia)'
            }, {
                name: 'vai-Vaii-LR',
                displayName: 'Vai (Vai, Liberia)'
            }]
    }, {
        name: 'MGA',
        displayName: 'MGA (Malagasy Ariary)',
        cultures: [{
                name: 'en-MG',
                displayName: 'English (Madagascar)'
            }, {
                name: 'fr-MG',
                displayName: 'French (Madagascar)'
            }, {
                name: 'mg-MG',
                displayName: 'Malagasy (Madagascar)'
            }]
    }, {
        name: 'MOP',
        displayName: 'MOP (Macanese Pataca)',
        cultures: [{
                name: 'en-MO',
                displayName: 'English (Macao SAR)'
            }, {
                name: 'pt-MO',
                displayName: 'Portuguese (Macao SAR)'
            }, {
                name: 'zh-Hans-MO',
                displayName: 'Chinese (Simplified Han, Macao SAR)'
            }, {
                name: 'zh-MO',
                displayName: 'Chinese (Traditional, Macao S.A.R.)'
            }]
    }, {
        name: 'MUR',
        displayName: 'MUR (Mauritian Rupee)',
        cultures: [{
                name: 'en-MU',
                displayName: 'English (Mauritius)'
            }, {
                name: 'fr-MU',
                displayName: 'French (Mauritius)'
            }, {
                name: 'mfe-MU',
                displayName: 'Morisyen (Mauritius)'
            }]
    }, {
        name: 'MWK',
        displayName: 'MWK (Malawian Kwacha)',
        cultures: [{
                name: 'en-MW',
                displayName: 'English (Malawi)'
            }]
    }, {
        name: 'MYR',
        displayName: 'MYR (Malaysian Ringgit)',
        cultures: [{
                name: 'en-MY',
                displayName: 'English (Malaysia)'
            }, {
                name: 'ms-MY',
                displayName: 'Malay (Malaysia)'
            }, {
                name: 'ta-MY',
                displayName: 'Tamil (Malaysia)'
            }]
    }, {
        name: 'PGK',
        displayName: 'PGK (Papua New Guinean Kina)',
        cultures: [{
                name: 'en-PG',
                displayName: 'English (Papua New Guinea)'
            }]
    }, {
        name: 'PHP',
        displayName: 'PHP (Philippine Peso)',
        cultures: [{
                name: 'en-PH',
                displayName: 'English (Republic of the Philippines)'
            }, {
                name: 'es-PH',
                displayName: 'Spanish (Philippines)'
            }, {
                name: 'fil-PH',
                displayName: 'Filipino (Philippines)'
            }]
    }, {
        name: 'PKR',
        displayName: 'PKR (Pakistani Rupee)',
        cultures: [{
                name: 'en-PK',
                displayName: 'English (Pakistan)'
            }, {
                name: 'pa-Arab-PK',
                displayName: 'Punjabi (Islamic Republic of Pakistan)'
            }, {
                name: 'sd-Arab-PK',
                displayName: 'Sindhi (Islamic Republic of Pakistan)'
            }, {
                name: 'ur-PK',
                displayName: 'Urdu (Islamic Republic of Pakistan)'
            }]
    }, {
        name: 'RWF',
        displayName: 'RWF (Rwandan Franc)',
        cultures: [{
                name: 'en-RW',
                displayName: 'English (Rwanda)'
            }, {
                name: 'fr-RW',
                displayName: 'French (Rwanda)'
            }, {
                name: 'rw-RW',
                displayName: 'Kinyarwanda (Rwanda)'
            }]
    }, {
        name: 'SBD',
        displayName: 'SBD (Solomon Islands Dollar)',
        cultures: [{
                name: 'en-SB',
                displayName: 'English (Solomon Islands)'
            }]
    }, {
        name: 'SCR',
        displayName: 'SCR (Seychellois Rupee)',
        cultures: [{
                name: 'en-SC',
                displayName: 'English (Seychelles)'
            }, {
                name: 'fr-SC',
                displayName: 'French (Seychelles)'
            }]
    }, {
        name: 'SEK',
        displayName: 'SEK (Swedish Krona)',
        cultures: [{
                name: 'en-SE',
                displayName: 'English (Sweden)'
            }, {
                name: 'se-SE',
                displayName: 'Sami, Northern (Sweden)'
            }, {
                name: 'sma-SE',
                displayName: 'Sami, Southern (Sweden)'
            }, {
                name: 'smj-SE',
                displayName: 'Sami, Lule (Sweden)'
            }, {
                name: 'sv-SE',
                displayName: 'Swedish (Sweden)'
            }]
    }, {
        name: 'SGD',
        displayName: 'SGD (Singapore Dollar)',
        cultures: [{
                name: 'en-SG',
                displayName: 'English (Singapore)'
            }, {
                name: 'ms-SG',
                displayName: 'Malay (Latin, Singapore)'
            }, {
                name: 'ta-SG',
                displayName: 'Tamil (Singapore)'
            }, {
                name: 'zh-SG',
                displayName: 'Chinese (Simplified, Singapore)'
            }]
    }, {
        name: 'SHP',
        displayName: 'SHP (Saint Helena Pound)',
        cultures: [{
                name: 'en-SH',
                displayName: 'English (St Helena, Ascension, Tristan da Cunha)'
            }]
    }, {
        name: 'SLL',
        displayName: 'SLL (Sierra Leonean Leone)',
        cultures: [{
                name: 'en-SL',
                displayName: 'English (Sierra Leone)'
            }]
    }, {
        name: 'ANG',
        displayName: 'ANG (Netherlands Antillean Guilder)',
        cultures: [{
                name: 'en-SX',
                displayName: 'English (Sint Maarten)'
            }, {
                name: 'nl-CW',
                displayName: 'Dutch (Curaçao)'
            }, {
                name: 'nl-SX',
                displayName: 'Dutch (Sint Maarten)'
            }]
    }, {
        name: 'SZL',
        displayName: 'SZL (Swazi Lilangeni)',
        cultures: [{
                name: 'en-SZ',
                displayName: 'English (Swaziland)'
            }, {
                name: 'ss-SZ',
                displayName: 'Swati (Swaziland)'
            }]
    }, {
        name: 'TOP',
        displayName: 'TOP (Tongan Paʻanga)',
        cultures: [{
                name: 'en-TO',
                displayName: 'English (Tonga)'
            }, {
                name: 'to-TO',
                displayName: 'Tongan (Tonga)'
            }]
    }, {
        name: 'TTD',
        displayName: 'TTD (Trinidad and Tobago Dollar)',
        cultures: [{
                name: 'en-TT',
                displayName: 'English (Trinidad and Tobago)'
            }]
    }, {
        name: 'VUV',
        displayName: 'VUV (Vanuatu Vatu)',
        cultures: [{
                name: 'en-VU',
                displayName: 'English (Vanuatu)'
            }, {
                name: 'fr-VU',
                displayName: 'French (Vanuatu)'
            }]
    }, {
        name: 'WST',
        displayName: 'WST (Samoan Tala)',
        cultures: [{
                name: 'en-WS',
                displayName: 'English (Samoa)'
            }]
    }, {
        name: 'ARS',
        displayName: 'ARS (Argentine Peso)',
        cultures: [{
                name: 'es-AR',
                displayName: 'Spanish (Argentina)'
            }]
    }, {
        name: 'BOB',
        displayName: 'BOB (Bolivian Boliviano)',
        cultures: [{
                name: 'es-BO',
                displayName: 'Spanish (Bolivia)'
            }, {
                name: 'quz-BO',
                displayName: 'Quechua (Bolivia)'
            }]
    }, {
        name: 'BRL',
        displayName: 'BRL (Brazilian Real)',
        cultures: [{
                name: 'es-BR',
                displayName: 'Spanish (Brazil)'
            }, {
                name: 'pt-BR',
                displayName: 'Portuguese (Brazil)'
            }]
    }, {
        name: 'COP',
        displayName: 'COP (Colombian Peso)',
        cultures: [{
                name: 'es-CO',
                displayName: 'Spanish (Colombia)'
            }]
    }, {
        name: 'CRC',
        displayName: 'CRC (Costa Rican Colón)',
        cultures: [{
                name: 'es-CR',
                displayName: 'Spanish (Costa Rica)'
            }]
    }, {
        name: 'CUP',
        displayName: 'CUP (Cuban Peso)',
        cultures: [{
                name: 'es-CU',
                displayName: 'Spanish (Cuba)'
            }]
    }, {
        name: 'DOP',
        displayName: 'DOP (Dominican Peso)',
        cultures: [{
                name: 'es-DO',
                displayName: 'Spanish (Dominican Republic)'
            }]
    }, {
        name: 'GTQ',
        displayName: 'GTQ (Guatemalan Quetzal)',
        cultures: [{
                name: 'es-GT',
                displayName: 'Spanish (Guatemala)'
            }, {
                name: 'quc-Latn-GT',
                displayName: "K'iche' (Guatemala)"
            }]
    }, {
        name: 'HNL',
        displayName: 'HNL (Honduran Lempira)',
        cultures: [{
                name: 'es-HN',
                displayName: 'Spanish (Honduras)'
            }]
    }, {
        name: 'MXN',
        displayName: 'MXN (Mexican Peso)',
        cultures: [{
                name: 'es-MX',
                displayName: 'Spanish (Mexico)'
            }]
    }, {
        name: 'NIO',
        displayName: 'NIO (Nicaraguan Córdoba)',
        cultures: [{
                name: 'es-NI',
                displayName: 'Spanish (Nicaragua)'
            }]
    }, {
        name: 'PAB',
        displayName: 'PAB (Panamanian Balboa)',
        cultures: [{
                name: 'es-PA',
                displayName: 'Spanish (Panama)'
            }]
    }, {
        name: 'PEN',
        displayName: 'PEN (Peruvian Sol)',
        cultures: [{
                name: 'es-PE',
                displayName: 'Spanish (Peru)'
            }, {
                name: 'quz-PE',
                displayName: 'Quechua (Peru)'
            }]
    }, {
        name: 'PYG',
        displayName: 'PYG (Paraguayan Guarani)',
        cultures: [{
                name: 'es-PY',
                displayName: 'Spanish (Paraguay)'
            }, {
                name: 'gn-PY',
                displayName: 'Guarani (Paraguay)'
            }]
    }, {
        name: 'UYU',
        displayName: 'UYU (Uruguayan Peso)',
        cultures: [{
                name: 'es-UY',
                displayName: 'Spanish (Uruguay)'
            }]
    }, {
        name: 'VEF',
        displayName: 'VEF (Venezuelan Bolívar)',
        cultures: [{
                name: 'es-VE',
                displayName: 'Spanish (Bolivarian Republic of Venezuela)'
            }]
    }, {
        name: 'IRR',
        displayName: 'IRR (Iranian Rial)',
        cultures: [{
                name: 'fa-IR',
                displayName: 'Persian (Iran)'
            }, {
                name: 'ku-Arab-IR',
                displayName: 'Kurdish (Perso-Arabic, Iran)'
            }, {
                name: 'lrc-IR',
                displayName: 'Northern Luri (Iran)'
            }, {
                name: 'mzn-IR',
                displayName: 'Mazanderani (Iran)'
            }]
    }, {
        name: 'GNF',
        displayName: 'GNF (Guinean Franc)',
        cultures: [{
                name: 'ff-GN',
                displayName: 'Fulah (Guinea)'
            }, {
                name: 'fr-GN',
                displayName: 'French (Guinea)'
            }, {
                name: 'nqo-GN',
                displayName: "N'ko (Guinea)"
            }]
    }, {
        name: 'CDF',
        displayName: 'CDF (Congolese Franc)',
        cultures: [{
                name: 'fr-CD',
                displayName: 'French (Congo DRC)'
            }, {
                name: 'ln-CD',
                displayName: 'Lingala (Congo DRC)'
            }, {
                name: 'lu-CD',
                displayName: 'Luba-Katanga (Congo DRC)'
            }, {
                name: 'sw-CD',
                displayName: 'Kiswahili (Congo DRC)'
            }]
    }, {
        name: 'HTG',
        displayName: 'HTG (Haitian Gourde)',
        cultures: [{
                name: 'fr-HT',
                displayName: 'French (Haiti)'
            }]
    }, {
        name: 'XPF',
        displayName: 'XPF (CFP Franc)',
        cultures: [{
                name: 'fr-NC',
                displayName: 'French (New Caledonia)'
            }, {
                name: 'fr-PF',
                displayName: 'French (French Polynesia)'
            }, {
                name: 'fr-WF',
                displayName: 'French (Wallis and Futuna)'
            }]
    }, {
        name: 'HRK',
        displayName: 'HRK (Croatian Kuna)',
        cultures: [{
                name: 'hr-HR',
                displayName: 'Croatian (Croatia)'
            }]
    }, {
        name: 'HUF',
        displayName: 'HUF (Hungarian Forint)',
        cultures: [{
                name: 'hu-HU',
                displayName: 'Hungarian (Hungary)'
            }]
    }, {
        name: 'AMD',
        displayName: 'AMD (Armenian Dram)',
        cultures: [{
                name: 'hy-AM',
                displayName: 'Armenian (Armenia)'
            }]
    }, {
        name: 'ISK',
        displayName: 'ISK (Icelandic Króna)',
        cultures: [{
                name: 'is-IS',
                displayName: 'Icelandic (Iceland)'
            }]
    }, {
        name: 'JPY',
        displayName: 'JPY (Japanese Yen)',
        cultures: [{
                name: 'ja-JP',
                displayName: 'Japanese (Japan)'
            }]
    }, {
        name: 'GEL',
        displayName: 'GEL (Georgian Lari)',
        cultures: [{
                name: 'ka-GE',
                displayName: 'Georgian (Georgia)'
            }, {
                name: 'os-GE',
                displayName: 'Ossetian (Cyrillic, Georgia)'
            }]
    }, {
        name: 'CVE',
        displayName: 'CVE (Cape Verdean Escudo)',
        cultures: [{
                name: 'kea-CV',
                displayName: 'Kabuverdianu (Cabo Verde)'
            }, {
                name: 'pt-CV',
                displayName: 'Portuguese (Cabo Verde)'
            }]
    }, {
        name: 'KZT',
        displayName: 'KZT (Kazakhstani Tenge)',
        cultures: [{
                name: 'kk-KZ',
                displayName: 'Kazakh (Kazakhstan)'
            }, {
                name: 'ru-KZ',
                displayName: 'Russian (Kazakhstan)'
            }]
    }, {
        name: 'KHR',
        displayName: 'KHR (Cambodian Riel)',
        cultures: [{
                name: 'km-KH',
                displayName: 'Khmer (Cambodia)'
            }]
    }, {
        name: 'KPW',
        displayName: 'KPW (North Korean Won)',
        cultures: [{
                name: 'ko-KP',
                displayName: 'Korean (North Korea)'
            }]
    }, {
        name: 'KRW',
        displayName: 'KRW (South Korean Won)',
        cultures: [{
                name: 'ko-KR',
                displayName: 'Korean (Korea)'
            }]
    }, {
        name: 'KGS',
        displayName: 'KGS (Kyrgystani Som)',
        cultures: [{
                name: 'ky-KG',
                displayName: 'Kyrgyz (Kyrgyzstan)'
            }, {
                name: 'ru-KG',
                displayName: 'Russian (Kyrgyzstan)'
            }]
    }, {
        name: 'AOA',
        displayName: 'AOA (Angolan Kwanza)',
        cultures: [{
                name: 'ln-AO',
                displayName: 'Lingala (Angola)'
            }, {
                name: 'pt-AO',
                displayName: 'Portuguese (Angola)'
            }]
    }, {
        name: 'LAK',
        displayName: 'LAK (Laotian Kip)',
        cultures: [{
                name: 'lo-LA',
                displayName: 'Lao (Lao P.D.R.)'
            }]
    }, {
        name: 'MZN',
        displayName: 'MZN (Mozambican Metical)',
        cultures: [{
                name: 'mgh-MZ',
                displayName: 'Makhuwa-Meetto (Mozambique)'
            }, {
                name: 'pt-MZ',
                displayName: 'Portuguese (Mozambique)'
            }, {
                name: 'seh-MZ',
                displayName: 'Sena (Mozambique)'
            }]
    }, {
        name: 'MKD',
        displayName: 'MKD (Macedonian Denar)',
        cultures: [{
                name: 'mk-MK',
                displayName: 'Macedonian (Former Yugoslav Republic of Macedonia)'
            }, {
                name: 'sq-MK',
                displayName: 'Albanian (Macedonia, FYRO)'
            }]
    }, {
        name: 'MNT',
        displayName: 'MNT (Mongolian Tugrik)',
        cultures: [{
                name: 'mn-MN',
                displayName: 'Mongolian (Cyrillic, Mongolia)'
            }, {
                name: 'mn-Mong-MN',
                displayName: 'Mongolian (Traditional Mongolian, Mongolia)'
            }]
    }, {
        name: 'BND',
        displayName: 'BND (Brunei Dollar)',
        cultures: [{
                name: 'ms-BN',
                displayName: 'Malay (Brunei Darussalam)'
            }]
    }, {
        name: 'MMK',
        displayName: 'MMK (Myanmar Kyat)',
        cultures: [{
                name: 'my-MM',
                displayName: 'Burmese (Myanmar)'
            }]
    }, {
        name: 'NOK',
        displayName: 'NOK (Norwegian Krone)',
        cultures: [{
                name: 'nb-NO',
                displayName: 'Norwegian, Bokmål (Norway)'
            }, {
                name: 'nb-SJ',
                displayName: 'Norwegian, Bokmål (Svalbard and Jan Mayen)'
            }, {
                name: 'nn-NO',
                displayName: 'Norwegian, Nynorsk (Norway)'
            }, {
                name: 'se-NO',
                displayName: 'Sami, Northern (Norway)'
            }, {
                name: 'sma-NO',
                displayName: 'Sami, Southern (Norway)'
            }, {
                name: 'smj-NO',
                displayName: 'Sami, Lule (Norway)'
            }]
    }, {
        name: 'NPR',
        displayName: 'NPR (Nepalese Rupee)',
        cultures: [{
                name: 'ne-NP',
                displayName: 'Nepali (Nepal)'
            }]
    }, {
        name: 'AWG',
        displayName: 'AWG (Aruban Florin)',
        cultures: [{
                name: 'nl-AW',
                displayName: 'Dutch (Aruba)'
            }]
    }, {
        name: 'SRD',
        displayName: 'SRD (Surinamese Dollar)',
        cultures: [{
                name: 'nl-SR',
                displayName: 'Dutch (Suriname)'
            }]
    }, {
        name: 'PLN',
        displayName: 'PLN (Polish Zloty)',
        cultures: [{
                name: 'pl-PL',
                displayName: 'Polish (Poland)'
            }]
    }, {
        name: 'AFN',
        displayName: 'AFN (Afghan Afghani)',
        cultures: [{
                name: 'prs-AF',
                displayName: 'Dari (Afghanistan)'
            }, {
                name: 'ps-AF',
                displayName: 'Pashto (Afghanistan)'
            }, {
                name: 'uz-Arab-AF',
                displayName: 'Uzbek (Perso-Arabic, Afghanistan)'
            }]
    }, {
        name: 'STD',
        displayName: 'STD (São Tomé and Príncipe Dobra)',
        cultures: [{
                name: 'pt-ST',
                displayName: 'Portuguese (São Tomé and Príncipe)'
            }]
    }, {
        name: 'MDL',
        displayName: 'MDL (Moldovan Leu)',
        cultures: [{
                name: 'ro-MD',
                displayName: 'Romanian (Moldova)'
            }, {
                name: 'ru-MD',
                displayName: 'Russian (Moldova)'
            }]
    }, {
        name: 'RON',
        displayName: 'RON (Romanian Leu)',
        cultures: [{
                name: 'ro-RO',
                displayName: 'Romanian (Romania)'
            }]
    }, {
        name: 'UAH',
        displayName: 'UAH (Ukrainian Hryvnia)',
        cultures: [{
                name: 'ru-UA',
                displayName: 'Russian (Ukraine)'
            }, {
                name: 'uk-UA',
                displayName: 'Ukrainian (Ukraine)'
            }]
    }, {
        name: 'LKR',
        displayName: 'LKR (Sri Lankan Rupee)',
        cultures: [{
                name: 'si-LK',
                displayName: 'Sinhala (Sri Lanka)'
            }, {
                name: 'ta-LK',
                displayName: 'Tamil (Sri Lanka)'
            }]
    }, {
        name: 'ALL',
        displayName: 'ALL (Albanian Lek)',
        cultures: [{
                name: 'sq-AL',
                displayName: 'Albanian (Albania)'
            }]
    }, {
        name: 'RSD',
        displayName: 'RSD (Serbian Dinar)',
        cultures: [{
                name: 'sr-Cyrl-RS',
                displayName: 'Serbian (Cyrillic, Serbia)'
            }, {
                name: 'sr-Latn-RS',
                displayName: 'Serbian (Latin, Serbia)'
            }]
    }, {
        name: 'TJS',
        displayName: 'TJS (Tajikistani Somoni)',
        cultures: [{
                name: 'tg-Cyrl-TJ',
                displayName: 'Tajik (Cyrillic, Tajikistan)'
            }]
    }, {
        name: 'THB',
        displayName: 'THB (Thai Baht)',
        cultures: [{
                name: 'th-TH',
                displayName: 'Thai (Thailand)'
            }]
    }, {
        name: 'TMT',
        displayName: 'TMT (Turkmenistani Manat)',
        cultures: [{
                name: 'tk-TM',
                displayName: 'Turkmen (Turkmenistan)'
            }]
    }, {
        name: 'TRY',
        displayName: 'TRY (Turkish Lira)',
        cultures: [{
                name: 'tr-TR',
                displayName: 'Turkish (Turkey)'
            }]
    }, {
        name: 'UZS',
        displayName: 'UZS (Uzbekistani Som)',
        cultures: [{
                name: 'uz-Cyrl-UZ',
                displayName: 'Uzbek (Cyrillic, Uzbekistan)'
            }, {
                name: 'uz-Latn-UZ',
                displayName: 'Uzbek (Latin, Uzbekistan)'
            }]
    }, {
        name: 'VND',
        displayName: 'VND (Vietnamese Dong)',
        cultures: [{
                name: 'vi-VN',
                displayName: 'Vietnamese (Vietnam)'
            }]
    }, {
        name: 'TWD',
        displayName: 'TWD (New Taiwan Dollar)',
        cultures: [{
                name: 'zh-TW',
                displayName: 'Chinese (Traditional, Taiwan)'
            }]
    }];
