﻿/**
* DevExpress Dashboard (dashboard-currency-editor-extension.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { designerExtensions, extensionNameMap } from '../../common/control-options';
import { DashboardMenuItem } from '../toolbox-extension/toolbox-items';
const name = 'dashboardCurrencyEditor';
const nameAlias = 'dashboard-currency-editor';
export class DashboardCurrencyEditorExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = name;
        this._menuItem = new DashboardMenuItem(nameAlias, 'DashboardWebStringId.DashboardMenuCurrency', 230, 67);
        this._menuItem.template = 'dx-dashboard-form-currency-settings';
        this._menuItem.data = dashboardControl;
        this._menuItem.disabled = ko.computed(() => !this.dashboardControl.dashboard());
    }
    start() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.push(this._menuItem);
        }
    }
    stop() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.remove(this._menuItem);
        }
    }
}
designerExtensions[nameAlias] = (dashboardControl, options) => new DashboardCurrencyEditorExtension(dashboardControl);
extensionNameMap[nameAlias] = name;
