﻿/**
* DevExpress Dashboard (_edit-json-data-source-wizard.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { JsonDataSourceWizardPageId, PageFactory, PageIterator, PopupWizard } from '@devexpress/analytics-core/analytics-wizard';
import { getLocalizationById } from '../../../data/localization/_default';
import { _registerChooseJsonSchemaPage } from '../pages/_choose-json-schema-page';
export class EditJsonDataSourceWizardIterator extends PageIterator {
    constructor(factory, stateManager) {
        super(factory, stateManager);
    }
    getNextPageId(pageId) {
        return JsonDataSourceWizardPageId.ChooseJsonSchemaPage;
    }
}
export class EditJsonDataSourceWizard extends PopupWizard {
    constructor() {
        super(...arguments);
        this.title = getLocalizationById('DashboardWebStringId.DataSources.DashboardDataSourceWizard');
        this._container = (element) => {
            return element.closest('.dx-dashboard-widget-container');
        };
        this._extendCssClass = 'dxrd-sqldatasource-wizard';
    }
}
export function createEditJsonDataSourceWizard(requestWrapper, parameters) {
    var factory = new PageFactory();
    _registerChooseJsonSchemaPage(factory, requestWrapper, parameters);
    return new EditJsonDataSourceWizard(factory);
}
