﻿/**
* DevExpress Dashboard (_item-filter-display-name-provider.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { createJQueryDeferred } from '../../data/_jquery-helpers';
import { getDataItemDisplayName } from '../_display-name-provider';
export class ItemFilterDisplayNameProvider {
    constructor(dashboardItem, dataSourceBrowser) {
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
    }
    _mapDataItemProperties(getSourceProperty, getTargetProperty, value) {
        let dataItem = this.dashboardItem.dataItems().filter(di => getSourceProperty(di) === value)[0];
        let result = '';
        if (dataItem) {
            result = getTargetProperty(dataItem);
        }
        else {
            result = value;
        }
        return createJQueryDeferred().resolve(result).promise();
    }
    getDisplayNameByPath(path, dataMember) {
        return this._mapDataItemProperties((dataItem) => dataItem.uniqueName(), (dataItem) => getDataItemDisplayName(this.dataSourceBrowser, this.dashboardItem, dataItem), dataMember);
    }
    getRealName(path, displayDataMember) {
        return this._mapDataItemProperties((dataItem) => getDataItemDisplayName(this.dataSourceBrowser, this.dashboardItem, dataItem), (dataItem) => dataItem.uniqueName(), displayDataMember);
    }
}
