﻿/**
* DevExpress Dashboard (_bound-image-item-properties-composer.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataBindingMode, uriPattern } from '../../../model/items/metadata/_bound-image-item';
import { horizontalAlignment, sizeMode, verticalAlignment } from '../../../model/items/metadata/_image-item';
import { AccordionTab, KnownTabs } from '../../properties-controller/_accordion-tab';
import { DashboardItemPropertiesComposer } from './_base-properties-composer';
import { SharedComposers } from './_shared-composers';
export class BoundImageItemPropertiesComposer extends DashboardItemPropertiesComposer {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var specificDisabledRules = {};
        specificDisabledRules[uriPattern.propertyName] = [dataBindingMode.propertyName, '<>', 'Uri'];
        var result = [
            new AccordionTab(KnownTabs.Common, 'DashboardWebStringId.AccordionTab.ImageOptions', SharedComposers.getCommonWrapper(model, [
                dataBindingMode,
                uriPattern,
                sizeMode,
                horizontalAlignment,
                verticalAlignment,
            ], specificDisabledRules))
        ];
        return result;
    }
}
