﻿/**
* DevExpress Dashboard (_tab-page-properties-composer.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { _tabItemInteractivityOptions } from '../../../model';
import { ignoreMasterFiltersDefaultFalse, isMasterFilterDefaultTrue } from '../../../model/items/options/metadata/_interactivity-options';
import { showItemAsTabPage } from '../../../model/items/tab-container-item/metadata/_dashboard-tab-page';
import { name_ViewModel } from '../../../model/metadata/_base-metadata';
import { ObjectPropertiesWrapper } from '../../form-adapter/_object-properties-wrapper';
import { AccordionTab, KnownTabs } from '../../properties-controller/_accordion-tab';
import { DashboardItemPropertiesComposer } from './_base-properties-composer';
export class DashboardTabPagePropertiesComposer extends DashboardItemPropertiesComposer {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(tabPage, args) {
        const objectPropertiesWrapper = new ObjectPropertiesWrapper({
            model: tabPage,
            properties: [
                name_ViewModel,
                showItemAsTabPage,
                {
                    container: _tabItemInteractivityOptions,
                    properties: [
                        isMasterFilterDefaultTrue,
                        ignoreMasterFiltersDefaultFalse
                    ]
                }
            ]
        });
        return [new AccordionTab(KnownTabs.Common, 'DashboardWebStringId.Options', objectPropertiesWrapper)];
    }
}
