﻿/**
* DevExpress Dashboard (_textbox-item-properties-composer.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { textBoxText } from '../../../model/items/metadata/_text-box-item';
import { filePickerEditor } from '../../form-adapter/_form-adapter-editors';
import { AccordionTab, KnownTabs } from '../../properties-controller/_accordion-tab';
import { DashboardItemPropertiesComposer } from './_base-properties-composer';
import { SharedComposers } from './_shared-composers';
export class TextBoxItemPropertiesComposer extends DashboardItemPropertiesComposer {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var result = [
            new AccordionTab(KnownTabs.Common, 'DashboardWebStringId.AccordionTab.Common', SharedComposers.getCommonWrapper(model, [{
                    ...textBoxText,
                    formAdapterItem: filePickerEditor({ type: 'file', accept: '.rtf', readMode: 'text' })
                }]))
        ];
        return result;
    }
}
