﻿/**
* DevExpress Dashboard (_data-item-link.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { getTemplate } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { getLocalizationById } from '../../../data/localization/_default';
export class DataItemLinkComponent {
    constructor(surface, $element, propertiesController, surfaceItemsFactory) {
        this.surface = surface;
        this.$element = $element;
        this.propertiesController = propertiesController;
        this.surfaceItemsFactory = surfaceItemsFactory;
    }
}
export const _registerDxDashboardDataItemLink = () => {
    const componentName = 'dx-dashboard-data-item-link';
    if (ko.components.isRegistered(componentName))
        return;
    ko.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                if (params.propertiesController) {
                    params.selected = ko.computed(() => (params.propertiesController.mainModel() && params.propertiesController.mainModel().data && ko.unwrap(params.propertiesController.mainModel().data.model)) === (params.selectionTarget ? ko.unwrap(params.selectionTarget) : ko.unwrap(params.item)));
                }
                if (params.isEmpty === undefined) {
                    params.isEmpty = ko.computed(() => {
                        return !(params.item && params.item.dataItem && params.item.dataItem() && params.item.dataItem().dataMember());
                    });
                }
                params.placeholder = getLocalizationById(params.placeholder);
                params.selectedPlaceholder = getLocalizationById(params.selectedPlaceholder);
                return params;
            }
        },
        template: getTemplate(componentName)
    });
};
