﻿/**
* DevExpress Dashboard (text-box-item-editor-extension.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DashboardControl } from '../../common/dashboard-control';
import { ISupportOptionExtension } from '../../common/internal/_interfaces';
import { EventSubscriber, OptionsManager } from '../../common/internal/_options-manager';
import { DisposableObject } from '../../model/disposable-object';
import './_rich-edit-bindings';
export interface RichEditOptionsPreparedEventArgs {
    itemName: string;
    richEditOptions: any;
}
export interface RichEditCreatedEventArgs {
    itemName: string;
    richEditInstance: any;
}
export interface TextBoxItemEditorExtensionOptions {
    onRichEditOptionsPrepared?: (args: RichEditOptionsPreparedEventArgs) => void;
    onRichEditCreated?: (args: RichEditCreatedEventArgs) => void;
}
export type TextBoxItemEditorExtensionEvents = {
    richEditOptionsPrepared: RichEditOptionsPreparedEventArgs;
    richEditCreated: RichEditCreatedEventArgs;
};
export declare class TextBoxItemEditorExtension extends DisposableObject implements ISupportOptionExtension<TextBoxItemEditorExtensionOptions> {
    private readonly _dashboardControl;
    private readonly _viewModel;
    private readonly _customTemplate;
    name: string;
    _optionsManager: OptionsManager<TextBoxItemEditorExtensionOptions, TextBoxItemEditorExtensionEvents>;
    on: EventSubscriber<TextBoxItemEditorExtensionEvents>;
    off: EventSubscriber<TextBoxItemEditorExtensionEvents>;
    constructor(dashboardControl: DashboardControl, options?: TextBoxItemEditorExtensionOptions);
    start(): void;
    private _extendTextBoxSerializationInfo;
    private _getDashboardItemWidth;
    stop(): void;
}
