﻿/**
* DevExpress Dashboard (measure-definition.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISerializationInfoArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { Calculation } from '../data-item/calculations/calculation';
import { WindowDefinition } from '../data-item/window-definition/window-definition';
import { SerializableModel } from '../serializable-model';
import { IDimensionDefinition } from './dimension-key';
export declare class MeasureDefinition extends SerializableModel {
    private static _constructFilteredName;
    displayText: ko.Computed<string>;
    dataMember: ko.Observable<string>;
    summaryType: ko.Observable<string>;
    calculation: Calculation;
    windowDefinition: WindowDefinition;
    expression: ko.Observable<string>;
    filterString: ko.Observable<string>;
    definitions: ko.ObservableArray<IDimensionDefinition>;
    constructor(modelJson?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
    get _id(): string;
}
