﻿/**
* DevExpress Dashboard (_custom-property-validation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { isComponentNameValid as isValidPropertyName } from '../internal/_helper-classes';
export function validateCustomPropertyName(name) {
    if (!isValidPropertyName(name))
        throw new Error(`The property name '${name}' is invalid. It should contain only letters, numbers, and the underscore symbol and cannot start with a number.`);
}
export function validateCustomPropertyValueType(propertyName, value) {
    if (typeof value !== 'string' && typeof value !== 'number' && typeof value !== 'boolean' && value !== null && value !== undefined)
        throw new Error(`The '${propertyName}' custom property value has incorrect type.`);
}
