﻿/**
* DevExpress Dashboard (custom-properties.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import { IDashboardSerializationInfoArray } from '../metadata/_base-metadata';
import { SerializableModel } from '../serializable-model';
export type CustomPropertyValueType = boolean | string | number;
export declare class CustomProperties extends SerializableModel {
    _model: Object;
    getInfo: () => ISerializationInfoArray;
    constructor(json: any, serializer?: IModelSerializer, info?: IDashboardSerializationInfoArray);
    _isKnownProperty(propertyName: string): boolean;
    getValue(propertyName: string): CustomPropertyValueType;
    setValue(propertyName: string, propertyValue: CustomPropertyValueType): void;
}
