﻿/**
* DevExpress Dashboard (_moving-calculation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { floatFromModel } from '../../../metadata/_base-metadata';
import { measureCalculationSerializationsInfo } from './_measure-calculation';
export let summaryType = {
    propertyName: 'summaryType', modelName: '@SummaryType', displayName: 'DashboardWebStringId.SummaryType', defaultVal: 'Sum', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Count': 'DashboardStringId.SummaryTypeCount',
        'Sum': 'DashboardStringId.SummaryTypeSum',
        'Min': 'DashboardStringId.SummaryTypeMin',
        'Max': 'DashboardStringId.SummaryTypeMax',
        'Average': 'DashboardStringId.SummaryTypeAverage',
        'StdDev': 'DashboardStringId.SummaryTypeStdDev',
        'StdDevp': 'DashboardStringId.SummaryTypeStdDevp',
        'Var': 'DashboardStringId.SummaryTypeVar',
        'Varp': 'DashboardStringId.SummaryTypeVarp',
        'CountDistinct': 'DashboardStringId.SummaryTypeCountDistinct',
        'Median': 'DashboardStringId.SummaryTypeMedian',
        'Mode': 'DashboardStringId.SummaryTypeMode'
    }
};
export let previousValuesCount = { propertyName: 'previousValuesCount', modelName: '@PreviousValuesCount', displayName: 'DashboardWebStringId.Calculations.PreviousValuesCount', defaultVal: 2, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel };
export let nextValuesCount = { propertyName: 'nextValuesCount', modelName: '@NextValuesCount', displayName: 'DashboardWebStringId.Calculations.NextValuesCount', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel };
export let movingCalculationSerializationsInfo = measureCalculationSerializationsInfo.concat([summaryType, previousValuesCount, nextValuesCount]);
