﻿/**
* DevExpress Dashboard (moving-calculation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { calculationsTypesMap, MeasureCalculation } from './measure-calculation';
import { movingCalculationSerializationsInfo } from './metadata/_moving-calculation';
export class MovingCalculation extends MeasureCalculation {
    get name() {
        return 'DashboardWebStringId.Calculations.Moving';
    }
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return movingCalculationSerializationsInfo;
    }
    _createInstance() {
        return new MovingCalculation();
    }
    _getExpression(argument) {
        return `${this._getAggrName(this.summaryType())}(${argument}, -${this.previousValuesCount()}, ${this.nextValuesCount()})`;
    }
}
calculationsTypesMap['Moving'] = MovingCalculation;
