﻿/**
* DevExpress Dashboard (percent-of-total-calculation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { calculationsTypesMap, MeasureCalculation } from './measure-calculation';
import { percentOfTotalCalculationSerializationsInfo } from './metadata/_percent-of-total-calculation';
export class PercentOfTotalCalculation extends MeasureCalculation {
    get name() {
        return 'DashboardWebStringId.Calculations.PercentOfTotal';
    }
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return percentOfTotalCalculationSerializationsInfo;
    }
    _createInstance() {
        return new PercentOfTotalCalculation();
    }
    _getExpression(argument) {
        return `ToDouble(${argument}) / Total(${argument})`;
    }
}
calculationsTypesMap['PercentOfTotal'] = PercentOfTotalCalculation;
