﻿/**
* DevExpress Dashboard (running-total-calculation.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { calculationsTypesMap, MeasureCalculation } from './measure-calculation';
import { runningTotalCalculationSerializationsInfo } from './metadata/_running-total-calculation';
export class RunningTotalCalculation extends MeasureCalculation {
    get name() {
        return 'DashboardWebStringId.Calculations.RunningTotal';
    }
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return runningTotalCalculationSerializationsInfo;
    }
    _createInstance() {
        return new RunningTotalCalculation();
    }
    _getExpression(argument) {
        switch (this.summaryType()) {
            case 'Average':
                return `RunningAvg(${argument})`;
            case 'Count':
                return `RunningCount(${argument})`;
            case 'Max':
                return `RunningMax(${argument})`;
            case 'Min':
                return `RunningMin(${argument})`;
            case 'Sum':
                return `RunningSum(${argument})`;
            default:
                return `${this._getAggrName(this.summaryType())}(${argument}, First(), 0)`;
        }
    }
}
calculationsTypesMap['RunningTotal'] = RunningTotalCalculation;
