﻿/**
* DevExpress Dashboard (_data-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { itemType, name, parseBool } from '../../metadata/_base-metadata';
import { AbsoluteVariationNumericFormat, DataItemDateTimeFormat, DataItemNumericFormat, PercentOfTargetNumericFormat, PercentVariationNumericFormat } from '../data-item-format';
export let dataItem = { propertyName: 'dataItem', displayName: 'DashboardWebStringId.DataItem' };
export let uniqueName = { propertyName: 'uniqueName', modelName: '@DefaultId' };
export let dataItemDataMember = { propertyName: 'dataMember', modelName: '@DataMember' };
export let numericFormat = { propertyName: 'numericFormat', modelName: 'NumericFormat', displayName: 'DashboardWebStringId.TextBoxFormatText', type: DataItemNumericFormat };
export let dateTimeFormat = { propertyName: 'dateTimeFormat', modelName: 'DateTimeFormat', displayName: 'DashboardWebStringId.TextBoxFormatText', type: DataItemDateTimeFormat };
export let absoluteVariationNumericFormat = { propertyName: 'absoluteVariationNumericFormat', modelName: 'AbsoluteVariationNumericFormat', type: AbsoluteVariationNumericFormat };
export let percentVariationNumericFormat = { propertyName: 'percentVariationNumericFormat', modelName: 'PercentVariationNumericFormat', type: PercentVariationNumericFormat };
export let percentOfTargetNumericFormat = { propertyName: 'percentOfTargetNumericFormat', modelName: 'PercentOfTargetNumericFormat', type: PercentOfTargetNumericFormat };
export let showValues = { propertyName: 'showValues', modelName: '@ShowValues', displayName: 'DashboardWebStringId.DataItem.ShowValues', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let showTotals = { propertyName: 'showTotals', modelName: '@ShowTotals', displayName: 'DashboardWebStringId.DataItem.ShowTotals', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let showGrandTotals = { propertyName: 'showGrandTotals', modelName: '@ShowGrandTotals', displayName: 'DashboardWebStringId.DataItem.ShowGrandTotals', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let dataItemLinkSerializationsInfo = [itemType, uniqueName, dataItem];
export let dataItemSerializationsInfo = [itemType, dataItemDataMember, name, uniqueName, numericFormat, dateTimeFormat, showValues, showTotals, showGrandTotals];
