﻿/**
* DevExpress Dashboard (card-calc-window-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { MeasureCalculationWindowDefinition, windowDefinitionsTypesMap } from './measure-calc-window-definition';
import { cardWindowDefinitionSerializationsInfo } from './metadata/_card-calc-window-definition';
export class CardWindowDefinition extends MeasureCalculationWindowDefinition {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return cardWindowDefinitionSerializationsInfo;
    }
    equals(def) {
        return (def instanceof CardWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
windowDefinitionsTypesMap['CardWindowDefinition'] = CardWindowDefinition;
