﻿/**
* DevExpress Dashboard (scatter-chart-calc-window-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { MeasureCalculationWindowDefinition, windowDefinitionsTypesMap } from './measure-calc-window-definition';
import { scatterWindowDefinitionSerializationsInfo } from './metadata/_scatter-chart-calc-window-definition';
export class ScatterWindowDefinition extends MeasureCalculationWindowDefinition {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return scatterWindowDefinitionSerializationsInfo;
    }
    equals(def) {
        return def instanceof ScatterWindowDefinition;
    }
}
windowDefinitionsTypesMap['ScatterWindowDefinition'] = ScatterWindowDefinition;
