﻿/**
* DevExpress Dashboard (specific-calc-window-definition.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { ModelSerializer, deserializeArray } from '@devexpress/analytics-core/analytics-utils';
import { compareNotOrderedArrays } from '../../internal/_array-utils';
import { collectionItemType } from '../../internal/_utils';
import { DataItemLink } from '../data-item';
import { MeasureCalculationWindowDefinition, windowDefinitionsTypesMap } from './measure-calc-window-definition';
import { sliceTableDimensions } from './metadata/_specific-calc-window-definition';
export class SpecificWindowDefinition extends MeasureCalculationWindowDefinition {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.dimensions = deserializeArray(modelJson && modelJson.Dimensions, (item) => {
            return new DataItemLink(null, item, serializer);
        });
    }
    getInfo() {
        var dimensionsInfo = sliceTableDimensions;
        if (!!this._dimensionsInfoPatcher) {
            dimensionsInfo = this._dimensionsInfoPatcher(dimensionsInfo);
        }
        return super.getInfo().concat([dimensionsInfo]);
    }
    equals(def) {
        return (def instanceof SpecificWindowDefinition) &&
            compareNotOrderedArrays(this.dimensions(), def.dimensions(), (d1, d2) => d1.uniqueName() === d2.uniqueName());
    }
}
__decorate([
    collectionItemType('Dimension')
], SpecificWindowDefinition.prototype, "dimensions", void 0);
windowDefinitionsTypesMap['SpecificWindowDefinition'] = SpecificWindowDefinition;
