﻿/**
* DevExpress Dashboard (ef-data-source.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DataSource } from './data-source';
import { efDataSourceSerializationsInfo } from './metadata/_ef-data-source';
export class EFDataSource extends DataSource {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this._tables = ko.observableArray();
        this.hasCalculatedFields = true;
        this.supportDataMembers = true;
    }
    getInfo() {
        return efDataSourceSerializationsInfo;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultEFDataSourceName';
    }
    _getDefaultItemType() {
        return 'EFDataSource';
    }
}
