﻿/**
* DevExpress Dashboard (_json-data-source.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { JsonSchemaRootNode } from '@devexpress/analytics-core/analytics-data';
import * as ko from 'knockout';
import { filter, PropertyCategory } from '../../metadata/_base-metadata';
import { dataSourceSerializationsInfo } from './_data-source';
export let jsonDataSourceSerializationsInfo = dataSourceSerializationsInfo.concat([
    filter,
    { propertyName: 'connectionName', modelName: '@ConnectionName' },
    { propertyName: 'rootElement', modelName: '@RootElement', defaultVal: 'root' },
    {
        propertyName: 'schema', modelName: 'Schema',
        from: (model, serializer) => ko.observable(JsonSchemaRootNode.from(model, serializer)),
        toJsonObject: JsonSchemaRootNode.toJson,
        category: PropertyCategory.NoUpdateByObservableValue
    },
    { propertyName: 'source', modelName: 'Source', defaultVal: '' },
]);
