﻿/**
* DevExpress Dashboard (olap-data-source.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { DataSource } from './data-source';
import { olapDataSourceSerializationsInfo } from './metadata/_olap-data-source';
export class OlapDataSource extends DataSource {
    get _isFederationDataProvider() {
        return false;
    }
    constructor(dataSourceJSON = {}, serializer = new ModelSerializer()) {
        super(dataSourceJSON, serializer);
    }
    getInfo() {
        return olapDataSourceSerializationsInfo;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultOlapDataSourceName';
    }
    _getDefaultItemType() {
        return 'OLAPDataSource';
    }
}
