﻿/**
* DevExpress Dashboard (xpo-data-source.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { DataSource } from './data-source';
import { xpoDataSourceSerializationsInfo } from './metadata/_xpo-data-source';
export class XpoDataSource extends DataSource {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.hasFilter = true;
        this.hasCalculatedFields = true;
    }
    getInfo() {
        return xpoDataSourceSerializationsInfo;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultXpoDataSourceName';
    }
    _getDefaultItemType() {
        return 'XPObjectSource';
    }
}
