﻿/**
* DevExpress Dashboard (disposable-object.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class DisposableObject {
    constructor() {
        this._disposables = [];
        this.disposed = false;
    }
    toDispose(...disposables) {
        this._disposables.push(...disposables);
    }
    dispose() {
        this._disposables.forEach(disposable => disposable.dispose());
        this._disposables = [];
        this.disposed = true;
    }
}
