﻿/**
* DevExpress Dashboard (enums.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export type CardRowDataElementType = 'ActualValue' | 'AbsoluteVariation' | 'PercentVariation' | 'PercentOfTarget' | 'TargetValue' | 'DimensionValue' | 'CardName' | 'Title' | 'Subtitle';
export type CardFormatRuleLayoutElement = 'ActualValue' | 'AbsoluteVariation' | 'PercentVariation' | 'PercentOfTarget' | 'TargetValue' | 'CardName' | 'Title' | 'Subtitle' | 'Indicator' | 'AllElements';
export type FormatRuleChartElement = 'Point' | 'LineOrArea';
export type CardWindowDefinitionMode = 'Cards' | 'SparklineArgument' | 'CardsAndSparklineArgument' | 'SparklineArgumentAndCards';
export type ChartLegendInsidePosition = 'TopLeftVertical' | 'TopLeftHorizontal' | 'TopCenterHorizontal' | 'TopCenterVertical' | 'TopRightVertical' | 'TopRightHorizontal' | 'BottomLeftVertical' | 'BottomLeftHorizontal' | 'BottomCenterHorizontal' | 'BottomCenterVertical' | 'BottomRightVertical' | 'BottomRightHorizontal';
export type ChartLegendOutsidePosition = 'TopLeftVertical' | 'TopLeftHorizontal' | 'TopCenterHorizontal' | 'TopRightVertical' | 'TopRightHorizontal' | 'BottomLeftVertical' | 'BottomLeftHorizontal' | 'BottomCenterHorizontal' | 'BottomRightVertical' | 'BottomRightHorizontal';
export type ChartWindowDefinitionMode = 'Arguments' | 'Series' | 'ArgumentsAndSeries' | 'SeriesAndArguments';
export type ColoringMode = 'Default' | 'None' | 'Hue';
export type ComboBoxDashboardItemType = 'Standard' | 'Checked';
export type ContentArrangementMode = 'Auto' | 'FixedRowCount' | 'FixedColumnCount';
export type DateFilterType = 'Between' | 'After' | 'Before' | 'Exact';
export type DateFilterArrangementMode = 'AutoHeight' | 'Horizontal' | 'Vertical';
export type DatePickerLocation = 'Far' | 'Near' | 'Hidden';
export type DashboardFormatCondition = 'Greater' | 'GreaterOrEqual' | 'Less' | 'LessOrEqual' | 'Equal' | 'NotEqual' | 'Between' | 'NotBetween' | 'BetweenOrEqual' | 'NotBetweenOrEqual' | 'ContainsText';
export type DashboardFormatConditionAboveBelowType = 'Above' | 'AboveOrEqual' | 'Below' | 'BelowOrEqual';
export type DashboardFormatConditionComparisonType = 'Greater' | 'GreaterOrEqual';
export type DashboardFormatConditionTopBottomType = 'Top' | 'Bottom';
export type DashboardFormatConditionValueType = 'Number' | 'Percent' | 'Automatic';
export type DashboardLayoutGroupOrientation = 'Vertical' | 'Horizontal';
export type DashboardTitleAlignment = 'Left' | 'Center';
export type DashboardTreemapLayoutAlgorithm = 'SliceAndDice' | 'Squarified' | 'Striped';
export type DashboardTreemapLayoutDirection = 'BottomLeftToTopRight' | 'BottomRightToTopLeft' | 'TopLeftToBottomRight' | 'TopRightToBottomLeft';
export type DataFieldType = 'Text' | 'DateTime' | 'Bool' | 'Integer' | 'Float' | 'Double' | 'Long' | 'Decimal' | 'Enum' | 'Custom' | 'Unknown';
export type DataItemNumericFormatType = 'Auto' | 'General' | 'Number' | 'Currency' | 'Scientific' | 'Percent' | 'Custom';
export type DataItemNumericUnit = 'Auto' | 'Ones' | 'Thousands' | 'Millions' | 'Billions';
export type DateFormat = 'Default' | 'Long' | 'Short';
export type DateTimeFormat = 'Default' | 'Long' | 'Short' | 'TimeOnly';
export type DateTimeGroupInterval = 'Year' | 'Quarter' | 'Month' | 'Day' | 'Hour' | 'Minute' | 'Second' | 'DayOfYear' | 'DayOfWeek' | 'WeekOfYear' | 'WeekOfMonth' | 'MonthYear' | 'QuarterYear' | 'WeekYear' | 'DayMonthYear' | 'DateHour' | 'DateHourMinute' | 'DateHourMinuteSecond' | 'None';
export type DateTimeInterval = 'Year' | 'Quarter' | 'Month' | 'Week' | 'Day' | 'Hour' | 'Minute' | 'Second';
export type DayOfWeekFormat = 'Default' | 'Full' | 'Abbreviated' | 'Numeric';
export type DeltaIndicationMode = 'GreaterIsGood' | 'LessIsGood' | 'WarningIfGreater' | 'WarningIfLess' | 'NoIndication';
export type DeltaIndicationThresholdType = 'Absolute' | 'Percent';
export type DeltaValueType = 'ActualValue' | 'AbsoluteVariation' | 'PercentVariation' | 'PercentOfTarget' | 'TargetValue';
export type DashStyle = 'Solid' | 'Dash' | 'Dot' | 'DashDot' | 'DashDotDot';
export type IndicatorType = 'RegressionLine' | 'TrendLine';
export type DifferenceTarget = 'Previous' | 'Next' | 'First' | 'Last';
export type DifferenceType = 'Absolute' | 'Percentage';
export type DimensionSortMode = 'Value' | 'DisplayText' | 'Key' | 'ID';
export type DimensionSortOrder = 'Ascending' | 'Descending' | 'None';
export type DimensionTopNMode = 'Top' | 'Bottom';
export type ExactDateFormat = 'Year' | 'Quarter' | 'Month' | 'Day' | 'Hour' | 'Minute' | 'Second';
export type DateOccurringFilterDateType = 'BeyondThisYear' | 'LaterThisYear' | 'LaterThisMonth' | 'LaterThisWeek' | 'NextWeek' | 'Tomorrow' | 'Today' | 'Yesterday' | 'EarlierThisWeek' | 'LastWeek' | 'EarlierThisMonth' | 'EarlierThisYear' | 'PriorThisYear' | 'Empty' | 'Beyond' | 'ThisWeek' | 'ThisMonth' | 'MonthAfter1' | 'MonthAfter2' | 'MonthAgo1' | 'MonthAgo2' | 'MonthAgo3' | 'MonthAgo4' | 'MonthAgo5' | 'MonthAgo6' | 'Earlier';
export type FontStyle = 'Regular' | 'Bold' | 'Italic' | 'Underline' | 'Strikeout';
export type FormatConditionAppearanceType = 'None' | 'Custom' | 'PaleRed' | 'PaleYellow' | 'PaleGreen' | 'PaleBlue' | 'PalePurple' | 'PaleCyan' | 'PaleOrange' | 'PaleGray' | 'Red' | 'Yellow' | 'Green' | 'Blue' | 'Purple' | 'Cyan' | 'Orange' | 'Gray' | 'GradientRed' | 'GradientYellow' | 'GradientGreen' | 'GradientBlue' | 'GradientPurple' | 'GradientCyan' | 'GradientOrange' | 'GradientTransparent' | 'FontBold' | 'FontItalic' | 'FontUnderline' | 'FontGrayed' | 'FontRed' | 'FontYellow' | 'FontGreen' | 'FontBlue';
export type FormatConditionIconType = 'None' | 'DirectionalGreenArrowUp' | 'DirectionalYellowUpInclineArrow' | 'DirectionalYellowSideArrow' | 'DirectionalYellowDownInclineArrow' | 'DirectionalRedDownArrow' | 'DirectionalGrayArrowUp' | 'DirectionalGrayUpInclineArrow' | 'DirectionalGraySideArrow' | 'DirectionalGrayDownInclineArrow' | 'DirectionalGrayDownArrow' | 'DirectionalYellowDash' | 'DirectionalRedTriangleDown' | 'DirectionalGreenTriangleUp' | 'RatingFullGrayStar' | 'RatingHalfGrayStar' | 'RatingEmptyGrayStar' | 'RatingFullGrayCircle' | 'Rating1QuarterGrayCircle' | 'Rating2QuartersGrayCircle' | 'Rating3QuartersGrayCircle' | 'RatingEmptyGrayCircle' | 'Rating4Bars' | 'Rating3Bars' | 'Rating2Bars' | 'Rating1Bar' | 'Rating0Bars' | 'Rating4FilledBoxes' | 'Rating3FilledBoxes' | 'Rating2FilledBoxes' | 'Rating1FilledBox' | 'Rating0FilledBoxes' | 'ShapeGreenTrafficLight' | 'ShapeYellowTrafficLight' | 'ShapeRedTrafficLight' | 'ShapeGreenCircle' | 'ShapeYellowCircle' | 'ShapeRedCircle' | 'ShapeLightRedCircle' | 'ShapeLightGrayCircle' | 'ShapeYellowTriangle' | 'ShapeRedDiamond' | 'IndicatorGreenCheck' | 'IndicatorYellowExclamation' | 'IndicatorRedCross' | 'IndicatorCircledGreenCheck' | 'IndicatorCircledYellowExclamation' | 'IndicatorCircledRedCross' | 'IndicatorGreenFlag' | 'IndicatorYellowFlag' | 'IndicatorRedFlag';
export type FormatConditionIntersectionLevelMode = 'Auto' | 'FirstLevel' | 'LastLevel' | 'AllLevels' | 'SpecificLevel';
export type GaugeViewType = 'CircularFull' | 'CircularHalf' | 'CircularQuarterRight' | 'CircularQuarterLeft' | 'CircularThreeFourth' | 'LinearHorizontal' | 'LinearVertical';
export type GridColumnFixedWidthType = 'Weight' | 'FitToContent' | 'FixedWidth';
export type GridColumnTotalType = 'Auto' | 'Count' | 'Min' | 'Max' | 'Avg' | 'Sum';
export type GridColumnValueBarDisplayMode = 'Value' | 'Bar';
export type GridColumnWidthMode = 'Manual' | 'AutoFitToContents' | 'AutoFitToGrid';
export type GridDimensionColumnDisplayMode = 'Text' | 'Image';
export type GridMeasureColumnDisplayMode = 'Value' | 'Bar';
export type GridWindowDefinitionMode = 'Rows' | 'SparklineArgument' | 'RowsAndSparklineArgument' | 'SparklineArgumentAndRows';
export type HourFormat = 'Default' | 'Short' | 'Long';
export type ImageDataBindingMode = 'BinaryArray' | 'Uri';
export type ImageHorizontalAlignment = 'Left' | 'Center' | 'Right';
export type ImageSizeMode = 'Clip' | 'Stretch' | 'Zoom' | 'Squeeze';
export type ImageVerticalAlignment = 'Top' | 'Center' | 'Bottom';
export type ListBoxDashboardItemType = 'Checked' | 'Radio';
export type LogarithmicBase = 'Base2' | 'Base5' | 'Base10';
export type MapLegendOrientation = 'Vertical' | 'Horizontal';
export type MapLegendPosition = 'TopLeft' | 'TopCenter' | 'TopRight' | 'BottomLeft' | 'BottomCenter' | 'BottomRight';
export type MonthFormat = 'Default' | 'Full' | 'Abbreviated' | 'Numeric';
export type OpenHighLowCloseSeriesType = 'CandleStick' | 'Stock';
export type PieValueType = 'None' | 'Argument' | 'Percent' | 'ArgumentAndPercent' | 'Value' | 'ArgumentAndValue' | 'ValueAndPercent' | 'ArgumentValueAndPercent';
export type PieWindowDefinitionMode = 'Arguments' | 'Series' | 'ArgumentsAndSeries' | 'SeriesAndArguments';
export type PivotColumnTotalsPosition = 'Near' | 'Far';
export type PivotLayoutType = 'Compact' | 'Tabular';
export type PivotRowTotalsPosition = 'Top' | 'Bottom';
export type PivotValuesPosition = 'Columns' | 'Rows';
export type PivotWindowDefinitionMode = 'Columns' | 'Rows' | 'ColumnsAndRows' | 'RowsAndColumns' | 'GroupsInColumns' | 'GroupsInRows' | 'GroupsInColumnsAndRows' | 'GroupsInRowsAndColumns';
export type PointLabelOrientation = 'Default' | 'RotateRight' | 'RotateLeft';
export type PointLabelOverlappingMode = 'Hide' | 'None' | 'Reposition';
export type PointLabelPosition = 'Outside' | 'Inside';
export type QuarterFormat = 'Default' | 'Numeric' | 'Full';
export type RangeFilterWindowDefinitionMode = 'Argument' | 'Series' | 'ArgumentAndSeries' | 'SeriesAndArgument';
export type RangeSeriesType = 'SideBySideRangeBar' | 'RangeArea';
export type RankOrder = 'Ascending' | 'Descending';
export type RankType = 'Unique' | 'Competition' | 'Dense' | 'Modified' | 'Percentile';
export type ScatterPointLabelContentType = 'Argument' | 'Weight' | 'Values' | 'ArgumentAndWeight' | 'ArgumentAndValues';
export type ShapefileArea = 'Custom' | 'WorldCountries' | 'Europe' | 'Asia' | 'NorthAmerica' | 'SouthAmerica' | 'Africa' | 'USA' | 'Canada';
export type SimpleSeriesType = 'Bar' | 'StackedBar' | 'FullStackedBar' | 'Point' | 'Line' | 'StackedLine' | 'FullStackedLine' | 'StepLine' | 'Spline' | 'Area' | 'StackedArea' | 'FullStackedArea' | 'StepArea' | 'SplineArea' | 'StackedSplineArea' | 'FullStackedSplineArea';
export type SparklineViewType = 'Line' | 'Area' | 'Bar' | 'WinLoss';
export type SummaryType = 'Count' | 'Sum' | 'Min' | 'Max' | 'Average' | 'StdDev' | 'StdDevp' | 'Var' | 'Varp' | 'CountDistinct' | 'Median' | 'Mode';
export type TargetDimensions = 'Arguments' | 'Series' | 'Points';
export type TextGroupInterval = 'None' | 'Alphabetical';
export type TreemapValueType = 'None' | 'Argument' | 'Value' | 'ArgumentAndValue';
export type WeightedLegendType = 'Linear' | 'Nested';
export type YearFormat = 'Default' | 'Full' | 'Abbreviated';
export type LayoutDimensionMode = 'Auto' | 'Fixed';
export declare enum PointLabelContentType {
    None = 0,
    Argument = 1,
    SeriesName = 2,
    Value = 4,
    Percent = 8
}
export declare let parsePointLabelContentType: (typeModel: any) => PointLabelContentType;
export declare let serializePointLabelContentType: (val: PointLabelContentType) => string;
export declare let getPointLabelContentTypeValues: (val: PointLabelContentType) => Array<PointLabelContentType>;
export declare let PointLabelContentTypeDictionary: {
    Argument: PointLabelContentType;
    SeriesName: PointLabelContentType;
    Value: PointLabelContentType;
    Percent: PointLabelContentType;
};
export declare enum FilterDateType {
    None = 0,
    BeyondThisYear = 2,
    LaterThisYear = 4,
    LaterThisMonth = 8,
    LaterThisWeek = 16,
    NextWeek = 32,
    Tomorrow = 64,
    Today = 128,
    Yesterday = 256,
    EarlierThisWeek = 512,
    LastWeek = 1024,
    EarlierThisMonth = 2048,
    EarlierThisYear = 4096,
    PriorThisYear = 8192,
    Empty = 16384,
    Beyond = 131072,
    ThisWeek = 262144,
    ThisMonth = 524288,
    MonthAfter1 = 1048576,
    MonthAfter2 = 2097152,
    MonthAgo1 = 4194304,
    MonthAgo2 = 8388608,
    MonthAgo3 = 16777216,
    MonthAgo4 = 33554432,
    MonthAgo5 = 67108864,
    MonthAgo6 = 134217728,
    Earlier = 268435456
}
