﻿/**
* DevExpress Dashboard (card-item-format-rule-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DashboardItemFormatRule } from './dashboard-item-format-rule';
export class CardItemFormatRuleBase extends DashboardItemFormatRule {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.layoutItemApplyTo = ko.pureComputed({
            read: () => {
                return this.cardLayoutElement.elementTypeApplyTo();
            },
            write: (newLayoutElement) => {
                if (!(newLayoutElement === 'Dimension' || newLayoutElement === 'Text'))
                    this.cardLayoutElement.elementTypeApplyTo(newLayoutElement);
            }
        }));
    }
}
