﻿/**
* DevExpress Dashboard (chart-item-format-rule-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { DashboardItemFormatRule } from './dashboard-item-format-rule';
import { conditionTypes } from './metadata/_dashboard-item-format-rule';
import { ColorStyleSettings } from './style-settings/color-style-settings';
export class ChartItemFormatRuleBase extends DashboardItemFormatRule {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        if (!this.condition()) {
            conditionTypes
                .map(type => type.propertyName)
                .forEach(propertyName => this[propertyName] && this[propertyName].styleSettings && this[propertyName].styleSettings(new ColorStyleSettings({})));
        }
    }
}
