﻿/**
* DevExpress Dashboard (format-condition-top-bottom.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { FormatConditionStyleBase } from './format-condition-style-base';
import { formatConditionTopBottomSerializationsInfo } from './metadata/_format-condition-top-bottom';
export class FormatConditionTopBottom extends FormatConditionStyleBase {
    constructor(modelJson, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => this.topBottom();
        this.setSpecificType = (type) => {
            this.topBottom(type);
        };
        this.addDisposable(this._actualRankType = ko.pureComputed({
            read: () => this.rankType() === 'Automatic' ? 'Number' : this.rankType(),
            write: value => this.rankType(value)
        }));
    }
    _getInfoButStyleSettings() {
        return formatConditionTopBottomSerializationsInfo;
    }
}
