﻿/**
* DevExpress Dashboard (_format-condition-top-bottom.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { floatFromModel, integerValidationRule } from '../../../metadata/_base-metadata';
import { formatConditionStyleBaseSerializationsInfo } from './_format-condition-style-base';
export let rank = { propertyName: 'rank', modelName: '@Rank', displayName: 'DashboardStringId.SummaryTypeCount', defaultVal: 5, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, editorOptions: { min: 1 }, validationRules: [integerValidationRule] };
let rankType = { propertyName: 'rankType', modelName: '@RankType', defaultVal: 'Automatic' };
export let _actualRankType = { propertyName: '_actualRankType', displayName: 'DashboardWebStringId.Calculations.RankType', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Number': 'DashboardStringId.FormatConditionNumberValueType',
        'Percent': 'DashboardStringId.FormatConditionPercentValueType'
    }
};
export let topBottom = {
    propertyName: 'topBottom', modelName: '@TopBottomType', displayName: 'DashboardWebStringId.TopNMode', defaultVal: 'Top', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Top': 'DashboardStringId.CommandFormatRuleTopN',
        'Bottom': 'DashboardStringId.CommandFormatRuleBottomN'
    }
};
export let formatConditionTopBottomSerializationsInfo = formatConditionStyleBaseSerializationsInfo.concat([rank, rankType, topBottom]);
