﻿/**
* DevExpress Dashboard (format-condition-range-color-bar.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { BarStyleSettings } from '../../style-settings/bar-style-settings';
import { FormatConditionRangeSet } from './format-condition-range-set';
import { formatConditionColorRangeBarSerializationsInfo } from './metadata/_format-condition-range-color-bar';
import { FormatConditionRangeGenerator } from './range-generator';
export class FormatConditionColorRangeBar extends FormatConditionRangeSet {
    get _isApplyToRowColumnRestricted() { return true; }
    constructor(modelJson, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return formatConditionColorRangeBarSerializationsInfo;
    }
    getActualPredefinedType() {
        return FormatConditionRangeGenerator.getPredefinedType(this.actualStyles, type => {
            var c = new FormatConditionColorRangeBar();
            FormatConditionRangeGenerator.generateRangeSet(c, type);
            return c;
        });
    }
    setActualPredefinedType(type) {
        super.setActualPredefinedType(type);
    }
    createStyleSettings(styleListItem) {
        return new BarStyleSettings({ '@PredefinedColor': styleListItem });
    }
}
