﻿/**
* DevExpress Dashboard (format-condition-range-set.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { FormatConditionRangeBase } from './format-condition-range-base';
import { formatConditionRangeSetSerializationsInfo } from './metadata/_format-condition-range-set';
import { FormatConditionRangeGenerator } from './range-generator';
export class FormatConditionRangeSet extends FormatConditionRangeBase {
    constructor(modelJson, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return formatConditionRangeSetSerializationsInfo;
    }
    getActualPredefinedType() {
        return FormatConditionRangeGenerator.getPredefinedType(this.actualStyles, type => {
            var c = new FormatConditionRangeSet();
            FormatConditionRangeGenerator.generateRangeSet(c, type);
            return c;
        });
    }
    setActualPredefinedType(type) {
        FormatConditionRangeGenerator.generateRangeSet(this, type);
    }
}
