﻿/**
* DevExpress Dashboard (icon-settings.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { iconSettingsSerializationsInfo } from './metadata/_icon-settings';
import { StyleSettingsBase } from './style-settings-base';
export class IconSettings extends StyleSettingsBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return iconSettingsSerializationsInfo;
    }
    equals(style) {
        return (style instanceof IconSettings) && this.iconType() === style.iconType();
    }
    clone() {
        var style = new IconSettings({});
        style.iconType(this.iconType());
        return style;
    }
    setSpecificType(type) {
        this.iconType(type);
    }
    init() {
        this.iconType('DirectionalGreenArrowUp');
    }
}
