﻿/**
* DevExpress Dashboard (_icon-settings.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { styleSettingsBaseSerializationsInfo } from './_style-settings-base';
export let iconType = {
    propertyName: 'iconType', modelName: '@IconType', displayName: 'DashboardWebStringId.ConditionalFormatting.IconType', defaultVal: 'None', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'None': 'DashboardWebStringId.ConditionalFormatting.IconType.None',
        'DirectionalGreenArrowUp': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp',
        'DirectionalYellowUpInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow',
        'DirectionalYellowSideArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow',
        'DirectionalYellowDownInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow',
        'DirectionalRedDownArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow',
        'DirectionalGrayArrowUp': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp',
        'DirectionalGrayUpInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow',
        'DirectionalGraySideArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow',
        'DirectionalGrayDownInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow',
        'DirectionalGrayDownArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow',
        'DirectionalYellowDash': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash',
        'DirectionalRedTriangleDown': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown',
        'DirectionalGreenTriangleUp': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp',
        'RatingFullGrayStar': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar',
        'RatingHalfGrayStar': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar',
        'RatingEmptyGrayStar': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar',
        'RatingFullGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle',
        'Rating1QuarterGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle',
        'Rating2QuartersGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle',
        'Rating3QuartersGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle',
        'RatingEmptyGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle',
        'Rating4Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars',
        'Rating3Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars',
        'Rating2Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars',
        'Rating1Bar': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar',
        'Rating0Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars',
        'Rating4FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes',
        'Rating3FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes',
        'Rating2FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes',
        'Rating1FilledBox': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox',
        'Rating0FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes',
        'ShapeGreenTrafficLight': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight',
        'ShapeYellowTrafficLight': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight',
        'ShapeRedTrafficLight': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight',
        'ShapeGreenCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle',
        'ShapeYellowCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle',
        'ShapeRedCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle',
        'ShapeLightRedCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle',
        'ShapeLightGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle',
        'ShapeYellowTriangle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle',
        'ShapeRedDiamond': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond',
        'IndicatorGreenCheck': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck',
        'IndicatorYellowExclamation': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation',
        'IndicatorRedCross': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross',
        'IndicatorCircledGreenCheck': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck',
        'IndicatorCircledYellowExclamation': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation',
        'IndicatorCircledRedCross': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross',
        'IndicatorGreenFlag': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag',
        'IndicatorYellowFlag': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag',
        'IndicatorRedFlag': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag'
    }
};
export let iconSettingsSerializationsInfo = styleSettingsBaseSerializationsInfo.concat([iconType]);
