﻿/**
* DevExpress Dashboard (_dashboard-item_helper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { getLocalizationById } from '../../data/localization/_default';
import { CustomItem } from '../items/custom-item/custom-item';
import { itemTypesMap } from '../serializable-model';
export function getIconName(typeName, icon) {
    var getCamelType = s => s[0].toLowerCase() + s.substr(1, s.length);
    return icon || 'dx-dashboard-toolbox-' + getCamelType(typeName);
}
export function getItemIconName(item) {
    var icon = item instanceof CustomItem ? itemTypesMap[item.customItemType()].icon : undefined;
    return getIconName(item.itemType(), icon);
}
export function getItemTitle(item) {
    var itemType = item instanceof CustomItem ? item.customItemType() : item.itemType();
    var info = itemTypesMap[itemType];
    return !!info.title ? getLocalizationById(info.title) : itemType;
}
export function getItemJson(itemType) {
    var itemTypeDescription = itemTypesMap[itemType];
    return {
        '@ItemType': !!itemTypeDescription.customItemType ? CustomItem.ItemType : itemType,
        '@CustomItemType': !!itemTypeDescription.customItemType ? itemType : undefined
    };
}
