﻿/**
* DevExpress Dashboard (_expression-utils.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { CriteriaOperator, OperandProperty } from '@devexpress/analytics-core/analytics-criteria';
import { ICriteriaOperatorVisitor } from '@devexpress/analytics-core/analytics-criteria-utils';
import * as ko from 'knockout';
export declare function replaceExpressionParametersPrefix(expression: string): ko.Observable<string>;
export declare function hasParametersPrefix(value: string): boolean;
export declare function getFilterCriteria(filterString: string): CriteriaOperator;
export declare function insertDimensionsExpressionsIntoFilterExpression(filterString: string, dimensionsExpressions: {
    [dimensionName: string]: string;
}): string;
export declare class DimensionExpressionInserter implements ICriteriaOperatorVisitor {
    static patch(criteria: CriteriaOperator, dimensionsCriteria: {
        [dimensionName: string]: CriteriaOperator;
    }): CriteriaOperator;
    private _dimensionsCriteria;
    constructor(dimensionsCriteria: {
        [dimensionName: string]: CriteriaOperator;
    });
    visitOperandProperty(element: OperandProperty): CriteriaOperator;
}
