﻿/**
* DevExpress Dashboard (_undo-engine-helper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class UndoEngineContainer {
}
export function wrapFuncWithUndoRedo(func) {
    return function (...args) {
        try {
            UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.start();
            var result = func.apply(this, args);
            return result;
        }
        finally {
            UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.end();
        }
    };
}
export function callFuncWithUndoRedo(func) {
    try {
        UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.start();
        func();
    }
    finally {
        UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.end();
    }
}
export function wrapWithUndoRedo(target, key, value) {
    return {
        value: wrapFuncWithUndoRedo(value.value)
    };
}
