﻿/**
* DevExpress Dashboard (_dashboard-item-factory.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { itemTypesMap } from '../serializable-model';
import { CustomItem } from './custom-item/custom-item';
export function createDashboardItem(dashboardItemJSON, serializer) {
    var customItemTypeName = dashboardItemJSON['@CustomItemType'];
    if (!customItemTypeName) {
        var itemTypeName = dashboardItemJSON['@ItemType'];
        var itemType = itemTypesMap[itemTypeName].type;
        return new itemType(dashboardItemJSON, serializer);
    }
    else {
        var customItemType = !!itemTypesMap[customItemTypeName] ? itemTypesMap[customItemTypeName].type : CustomItem;
        return new customItemType(itemTypesMap[customItemTypeName], dashboardItemJSON, serializer);
    }
}
