﻿/**
* DevExpress Dashboard (_pane-content-holder.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { PropertyCategory } from '../metadata/_base-metadata';
export declare function getCategoryContentName(category: PropertyCategory): string;
export type PaneContent = {
    category: string;
    content: ko.Observable<any>;
    requestsInProgress: ko.Observable<number>;
    needAnotherRequest: boolean;
};
export declare class PaneContentHolder extends Disposable {
    private _content;
    private _lastChangeReason;
    get lastChangeReason(): PropertyCategory;
    dispose(): void;
    private getValidValue;
    private updateIsValidValue;
    constructor();
    private _getContentInfo;
    getContent(category: PropertyCategory): any;
    valid: ko.Observable<boolean>;
    isValid(category: PropertyCategory): boolean;
    isWaitingForContent(category?: PropertyCategory): boolean;
    getCompatibleCategories(category: PropertyCategory): any;
    needRequestContentFromServer(category: PropertyCategory): boolean;
    itemChanged(category?: PropertyCategory): void;
    beginRequest(category: PropertyCategory): void;
    endRequest(args: {
        category?: PropertyCategory;
        response?: any;
    }): void;
}
