﻿/**
* DevExpress Dashboard (chart-pane.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISerializationInfoArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { SerializableModel } from '../../serializable-model';
import { DataDashboardItem } from '../data-dashboard-item';
import { ChartAxisY, ChartSecondaryAxisY } from './chart-axis';
import { ChartSeries } from './chart-series';
export declare class ChartPane extends SerializableModel {
    name: ko.Observable<string>;
    series: ko.ObservableArray<ChartSeries>;
    primaryAxisY: ChartAxisY;
    secondaryAxisY: ChartSecondaryAxisY;
    createSeriesByViewType: (seriesViewType: string) => ChartSeries;
    constructor(dataItemProvider: DataDashboardItem, dashboardItemJSON?: any, serializer?: ModelSerializer);
    dispose(): void;
    getInfo(): ISerializationInfoArray;
}
