﻿/**
* DevExpress Dashboard (point-label-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { pointLabelOptionsBaseSerializationsInfo, pointLabelOptionsSerializationsInfo } from './metadata/_point-label-options';
export class PointLabelOptionsBase extends SerializableModel {
    constructor(JSON = {}, serializer = new ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return pointLabelOptionsBaseSerializationsInfo;
    }
    grabFrom(options) {
        this.showPointLabels(options.showPointLabels());
        this.orientation(options.orientation());
        this.overlappingMode(options.overlappingMode());
    }
}
export class PointLabelOptions extends PointLabelOptionsBase {
    constructor(JSON = {}, serializer = new ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return pointLabelOptionsSerializationsInfo;
    }
    grabFrom(options) {
        super.grabFrom(options);
        this.showForZeroValues(options.showForZeroValues());
        this.position(options.position());
        this.contentType(options.contentType());
    }
}
