﻿/**
* DevExpress Dashboard (combo-box-item.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { PrimitiveType } from '../../../data';
import { ComboBoxDashboardItemType } from '../../enums';
import { IDashboardSerializationInfo } from '../../metadata/_base-metadata';
import { FilterElementItemBase } from './filter-element-item-base';
export declare class ComboBoxItem extends FilterElementItemBase {
    comboBoxType: ko.Observable<ComboBoxDashboardItemType>;
    showAllValue: ko.Observable<boolean>;
    constructor(dashboardItemJSON?: any, serializer?: ModelSerializer);
    protected _getInfoCore(): IDashboardSerializationInfo[];
    protected _getDefaultItemType(): string;
    _getUpdatedSelectionData(selection: Array<Array<PrimitiveType>>): Array<Array<PrimitiveType>>;
    _setSelectionData(selection: Array<Array<PrimitiveType>>, forceSetSelection?: boolean): void;
    protected _correctSelectionValues(allValues: Array<Array<any>>, currentSelection: Array<Array<any>>): Array<Array<any>>;
    protected _allowAllValue(): boolean;
    protected _isMultiselectable(): boolean;
}
