﻿/**
* DevExpress Dashboard (list-box-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { itemTypesMap } from '../../serializable-model';
import { FilterElementItemBase } from './filter-element-item-base';
import { listBoxDashboardItemSerializationsInfo } from './metadata/_list-box-item';
export class ListBoxItem extends FilterElementItemBase {
    constructor(dashboardItemJSON = {}, serializer = new ModelSerializer()) {
        super(dashboardItemJSON, serializer);
    }
    _getInfoCore() {
        return listBoxDashboardItemSerializationsInfo;
    }
    _getDefaultItemType() {
        return 'ListBox';
    }
    _allowAllValue() { return this._isMultiselectable() || this.showAllValue(); }
    _isMultiselectable() { return this.listBoxType() === 'Checked'; }
}
itemTypesMap['ListBox'] = { type: ListBoxItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameListBoxItem', index: 330 };
