﻿/**
* DevExpress Dashboard (tree-view-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { itemTypesMap } from '../../serializable-model';
import { FilterElementItemBase } from './filter-element-item-base';
import { treeViewDashboardItemSerializationsInfo } from './metadata/_tree-view-item';
export class TreeViewItem extends FilterElementItemBase {
    constructor(dashboardItemJSON = {}, serializer = new ModelSerializer()) {
        super(dashboardItemJSON, serializer);
    }
    _getInfoCore() {
        return treeViewDashboardItemSerializationsInfo;
    }
    _getDefaultItemType() {
        return 'TreeView';
    }
    _allowAllValue() { return true; }
    _isMultiselectable() { return true; }
}
itemTypesMap['TreeView'] = { type: TreeViewItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameTreeViewItem', index: 340 };
