﻿/**
* DevExpress Dashboard (grid-column-total.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { getLocalizationById } from '../../../data/localization/_default';
import { itemType } from '../../metadata/_base-metadata';
import { TypedSerializableModel } from '../../serializable-model';
export class GridColumnTotal extends TypedSerializableModel {
    constructor(modelJson, serializer) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _gridColumnTotalSerializationsInfo;
    }
    static getDisplayValue(totalType) {
        return this.getLocalization(totalType);
    }
    static getLocalization(totalType) {
        switch (totalType) {
            case 'Auto':
                return getLocalizationById('DashboardStringId.GridTotalAutoTemplate');
            case 'Min':
                return getLocalizationById('DashboardStringId.GridTotalTypeMin');
            case 'Max':
                return getLocalizationById('DashboardStringId.GridTotalTypeMax');
            case 'Avg':
                return getLocalizationById('DashboardStringId.GridTotalTypeAvg');
            case 'Sum':
                return getLocalizationById('DashboardStringId.GridTotalTypeSum');
            default:
                return getLocalizationById('DashboardStringId.GridTotalTypeCount');
        }
    }
    _getDefaultItemType() {
        return 'Total';
    }
}
export let _totalTypeTemplate = {
    propertyName: 'totalType', modelName: '@Type', displayName: 'DashboardWebStringId.Grid.TotalType', defaultVal: 'Count', simpleFormAdapterItem: 'selectBoxEditor',
};
export let _gridColumnTotalSerializationsInfo = [itemType, _totalTypeTemplate];
