﻿/**
* DevExpress Dashboard (_grid-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataItemLinkSerializationsInfo } from '../../../data-item/metadata/_data-item';
import { sparklineArgumentPropertyName } from '../../../metadata/_base-metadata';
import { dataDashboardItemSerializationsInfo } from '../../metadata/_data-dashboard-item';
import { _dashboardItemInteractivityOptionsMeta } from '../../options/interactivity-options';
import { GridColumnFilterOptions } from '../grid-column-filter-options';
import { GridOptions } from '../grid-options';
export let gridOptions = { propertyName: 'gridOptions', modelName: 'GridOptions', displayName: 'DashboardWebStringId.Grid.Options', type: GridOptions };
export let gridColumnFilter = { propertyName: 'columnFilterOptions', modelName: 'ColumnFilterOptions', displayName: 'DashboardWebStringId.Grid.GridColumnFilter', type: GridColumnFilterOptions };
export let gridColumns = { propertyName: 'columns', modelName: 'GridColumns', displayName: 'DashboardStringId.PivotCalculationAlongColumns', array: true };
export let sparklineArgument = { propertyName: sparklineArgumentPropertyName, modelName: 'SparklineArgument', displayName: 'DashboardStringId.GridCalculationAlongSparklineArgument', info: dataItemLinkSerializationsInfo };
export let dashboardGridItemSerializationsInfo = dataDashboardItemSerializationsInfo.concat(gridColumns, sparklineArgument, gridOptions, _dashboardItemInteractivityOptionsMeta, gridColumnFilter);
