﻿/**
* DevExpress Dashboard (_grid-options.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { parseBool, PropertyCategory } from '../../../metadata/_base-metadata';
export let allowCellMerge = { propertyName: 'allowCellMerge', modelName: '@AllowGridCellMerge', displayName: 'DashboardWebStringId.Grid.MergeCells', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let columnWidthMode = {
    propertyName: 'columnWidthMode', modelName: '@ColumnWidthMode', displayName: 'DashboardWebStringId.Grid.ColumnWidthMode', defaultVal: 'AutoFitToGrid', simpleFormAdapterItem: 'listEditor', category: PropertyCategory.ViewModel, values: {
        'AutoFitToContents': 'DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode',
        'AutoFitToGrid': 'DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode',
        'Manual': 'DashboardWebStringId.Grid.ManualGridColumnWidthMode'
    }
};
export let enableBandedRows = { propertyName: 'enableBandedRows', modelName: '@EnableBandedRows', displayName: 'DashboardWebStringId.Grid.BandedRows', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let showVerticalLines = { propertyName: 'showVerticalLines', modelName: '@ShowVerticalLines', displayName: 'DashboardWebStringId.Grid.VerticalLines', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let showHorizontalLines = { propertyName: 'showHorizontalLines', modelName: '@ShowHorizontalLines', displayName: 'DashboardWebStringId.Grid.HorizontalLines', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let showColumnHeaders = { propertyName: 'showColumnHeaders', modelName: '@ShowColumnHeaders', displayName: 'DashboardWebStringId.Grid.ColumnHeaders', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let wordWrap = { propertyName: 'wordWrap', modelName: '@WordWrap', displayName: 'DashboardWebStringId.Grid.WordWrap', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.ViewModel };
export let gridOptionsSerializationsInfo = [enableBandedRows, showVerticalLines, showHorizontalLines, allowCellMerge, showColumnHeaders, columnWidthMode, wordWrap];
