﻿/**
* DevExpress Dashboard (kpi-element.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { DataItemContainer } from '../data-item-container';
import { kpiElementSerializationsInfo, kpiItemActualValue, kpiItemTargetValue } from './metadata/_kpi-element';
export class KpiElement extends DataItemContainer {
    _getDataId() {
        var dataItem = this.actualValue() || this.targetValue();
        return dataItem && dataItem.uniqueName() || null;
    }
    constructor(dataItemProvider, modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this._displayNameSeparator = 'vs';
        dataItemProvider._attachDataItem(this, kpiItemActualValue.propertyName);
        dataItemProvider._attachDataItem(this, kpiItemTargetValue.propertyName);
    }
    _getInfoCore() {
        return kpiElementSerializationsInfo;
    }
    _getBindingModel() {
        return [
            {
                propertyName: kpiItemActualValue.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.ActualValueCaption'
            },
            {
                propertyName: kpiItemTargetValue.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.TargetValueCaption'
            }
        ];
    }
}
