﻿/**
* DevExpress Dashboard (bubble-map-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { itemTypesMap } from '../../serializable-model';
import { GeoPointMapItemBase } from './geo-point-map-item-base';
import { bubbleMapColor, bubbleMapDashboardItemSerializationsInfo, bubbleMapWeight } from './metadata/_bubble-map-item';
export class BubbleMapItem extends GeoPointMapItemBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this._attachDataItem(this, bubbleMapWeight.propertyName);
        this._attachDataItem(this, bubbleMapColor.propertyName);
    }
    _getInfoCore() {
        return bubbleMapDashboardItemSerializationsInfo;
    }
    _clearBindings() {
        super._clearBindings();
        this.__weight.uniqueName(null);
        this.__color.uniqueName(null);
    }
    _getDefaultItemType() {
        return 'BubbleMap';
    }
}
itemTypesMap['BubbleMap'] = { type: BubbleMapItem, groupName: 'maps', title: 'DashboardWebStringId.DefaultNameBubbleMapItem', index: 230 };
