﻿/**
* DevExpress Dashboard (custom-shape-file-data.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { attributeData, customShapefileDataSerializationsInfo } from './metadata/_custom-shape-file-data';
export class CustomShapefileData extends SerializableModel {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.shapeData.subscribe(newData => !newData && this.attributeData(attributeData.defaultVal)));
    }
    getInfo() {
        return customShapefileDataSerializationsInfo;
    }
}
