﻿/**
* DevExpress Dashboard (geo-point-map-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { AcceptableShapingType } from '../../data-item/data-item';
import { itemTypesMap } from '../../serializable-model';
import { GeoPointMapItemBase } from './geo-point-map-item-base';
import { geoPointMapDashboardItemSerializationsInfo, value } from './metadata/_geo-point-map-item';
export class GeoPointMapItem extends GeoPointMapItemBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this._attachDataItem(this, value.propertyName);
        this.__value._specifics.acceptableShapingType = AcceptableShapingType.String;
    }
    _getInfoCore() {
        return geoPointMapDashboardItemSerializationsInfo;
    }
    _getDefaultItemType() {
        return 'GeoPointMap';
    }
}
itemTypesMap['GeoPointMap'] = { type: GeoPointMapItem, groupName: 'maps', title: 'DashboardWebStringId.DefaultNameGeoPointMapItem', index: 210 };
