﻿/**
* DevExpress Dashboard (map-legend.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import { SerializableModel } from '../../serializable-model';
import { mapLegendSerializationsInfo, weightedLegendSerializationsInfo } from './metadata/_map-legend';
export class MapLegendBase extends SerializableModel {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
}
export class WeightedLegend extends MapLegendBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return weightedLegendSerializationsInfo;
    }
}
export class MapLegend extends MapLegendBase {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return mapLegendSerializationsInfo;
    }
}
