﻿/**
* DevExpress Dashboard (_geo-point-map-item-base.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataItemLinkSerializationsInfo } from '../../../data-item/metadata/_data-item';
import { parseBool } from '../../../metadata/_base-metadata';
import { mapDashboardItemSerializationsInfo } from './_map-item';
export let latitude = { propertyName: '__latitude', modelName: 'Latitude', displayName: 'DashboardStringId.Latitude', info: dataItemLinkSerializationsInfo };
export let longitude = { propertyName: '__longitude', modelName: 'Longitude', displayName: 'DashboardStringId.Longitude', info: dataItemLinkSerializationsInfo };
export let tooltipDimensions = { propertyName: '__tooltipDimensions', modelName: 'TooltipDimensions', displayName: 'DashboardWebStringId.Map.TooltipDimensions', array: true };
export let enableClustering = { propertyName: 'enableClustering', modelName: '@EnableClustering', displayName: 'DashboardWebStringId.GeoPointMapClusterization', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let geoPointMapDashboardItemBaseSerializationsInfo = mapDashboardItemSerializationsInfo.concat([latitude, longitude, tooltipDimensions, enableClustering]);
