﻿/**
* DevExpress Dashboard (_map-viewport.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { floatFromModel, parseBool, PropertyCategory } from '../../../metadata/_base-metadata';
export let topLatitude = { propertyName: 'topLatitude', modelName: '@TopLatitude', displayName: 'DashboardWebStringId.Map.Viewport.TopLatitude', defaultVal: 90, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, category: PropertyCategory.NoUpdate };
export let bottomLatitude = { propertyName: 'bottomLatitude', modelName: '@BottomLatitude', displayName: 'DashboardWebStringId.Map.Viewport.BottomLatitude', defaultVal: -90, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, category: PropertyCategory.NoUpdate };
export let leftLongitude = { propertyName: 'leftLongitude', modelName: '@LeftLongitude', displayName: 'DashboardWebStringId.Map.Viewport.LeftLongitude', defaultVal: -180, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, category: PropertyCategory.NoUpdate };
export let rightLongitude = { propertyName: 'rightLongitude', modelName: '@RightLongitude', displayName: 'DashboardWebStringId.Map.Viewport.RightLongitude', defaultVal: 180, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, category: PropertyCategory.NoUpdate };
export let centerPointLatitude = { propertyName: 'centerPointLatitude', modelName: '@CenterPointLatitude', displayName: 'DashboardWebStringId.Map.Viewport.CenterPointLatitude', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, category: PropertyCategory.NoUpdate };
export let centerPointLongitude = { propertyName: 'centerPointLongitude', modelName: '@CenterPointLongitude', displayName: 'DashboardWebStringId.Map.Viewport.CenterPointLongitude', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: floatFromModel, category: PropertyCategory.NoUpdate };
export let createViewerPaddings = { propertyName: 'createViewerPaddings', modelName: '@CreateViewerPaddings', displayName: 'DashboardWebStringId.Map.Viewport.CreateViewerPaddings', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool, category: PropertyCategory.NoUpdate };
export let mapViewportSerializationsInfo = [topLatitude, bottomLatitude, leftLongitude, rightLongitude, centerPointLatitude, centerPointLongitude, createViewerPaddings];
