﻿/**
* DevExpress Dashboard (_pie-map-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataItemLinkSerializationsInfo } from '../../../data-item/metadata/_data-item';
import { argumentPropertyName, parseBool, valuesPropertyName } from '../../../metadata/_base-metadata';
import { coloringOptions } from '../../options/metadata/_coloring-options';
import { geoPointMapDashboardItemBaseSerializationsInfo } from './_geo-point-map-item-base';
import { colorLegend, weightedLegend } from './_map-item';
export let pieMapArgument = { propertyName: argumentPropertyName, modelName: 'Argument', displayName: 'DashboardStringId.DescriptionItemArgument', info: dataItemLinkSerializationsInfo };
export let pieMapValues = { propertyName: valuesPropertyName, modelName: 'Values', displayName: 'DashboardStringId.DescriptionValues', array: true };
export let isWeighted = { propertyName: 'isWeighted', modelName: '@IsWeighted', displayName: 'DashboardWebStringId.PieMapIsWeighted', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: parseBool };
export let pieMapDashboardItemSerializationsInfo = geoPointMapDashboardItemBaseSerializationsInfo.concat([pieMapArgument, pieMapValues, isWeighted, colorLegend, weightedLegend, coloringOptions]);
