﻿/**
* DevExpress Dashboard (_bound-image-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataItemLinkSerializationsInfo } from '../../data-item/metadata/_data-item';
import { _baseInteractivityOptionsMeta } from '../options/interactivity-options';
import { dataDashboardItemSerializationsInfo } from './_data-dashboard-item';
import { horizontalAlignment, sizeMode, verticalAlignment } from './_image-item';
export let imageItem = { propertyName: '__imageItem', modelName: 'ImageItem', displayName: 'DashboardStringId.DescriptionBoundImageAttribute', info: dataItemLinkSerializationsInfo };
export let dataBindingMode = {
    propertyName: 'dataBindingMode', modelName: '@DataBindingMode', displayName: 'DashboardWebStringId.Image.BindingMode', defaultVal: 'BinaryArray', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'BinaryArray': 'DashboardWebStringId.Image.BindingMode.BinaryArray',
        'Uri': 'DashboardWebStringId.Image.BindingMode.Uri'
    }
};
export let uriPattern = { propertyName: 'uriPattern', modelName: '@UriPattern', displayName: 'DashboardWebStringId.RangeFilter.UriPattern', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor', editorOptions: { placeholder: 'http://www.example.com/{0}.jpg' } };
export let boundImageDashboardItemSerializationsInfo = dataDashboardItemSerializationsInfo.concat([
    imageItem, dataBindingMode, uriPattern, _baseInteractivityOptionsMeta, sizeMode, horizontalAlignment, verticalAlignment
]);
