﻿/**
* DevExpress Dashboard (_data-dashboard-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { replaceExpressionParametersPrefix } from '../../internal/_expression-utils';
import { dataMember, parseBool } from '../../metadata/_base-metadata';
import { dashboardItemSerializationsInfo } from './_dashboard-item';
export let dataSource = { propertyName: 'dataSource', modelName: '@DataSource', displayName: 'DashboardStringId.DefaultDataSourceName', simpleFormAdapterItem: 'textBoxEditor' };
export let filterString = { propertyName: 'filterString', modelName: '@FilterString', from: (filterStr) => {
        return replaceExpressionParametersPrefix(filterStr);
    } };
export let visibleDataFilterString = { propertyName: 'visibleDataFilterString', modelName: '@VisibleDataFilterString' };
export let isMasterFilterCrossDataSource = { propertyName: 'isMasterFilterCrossDataSource', modelName: '@IsMasterFilterCrossDataSource', displayName: 'DashboardWebStringId.CrossDataSourceFiltering', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let itemColorScheme = { propertyName: 'colorScheme', modelName: 'ColorScheme', displayName: 'DashboardWebStringId.DashboardMenuColorScheme', array: true };
export let dataItemsSerializable = { propertyName: 'dataItems', modelName: 'DataItems', displayName: 'DashboardWebStringId.DataSources.DataItems', array: true };
export let hiddenDimensions = { propertyName: '__hiddenDimensions', modelName: 'HiddenDimensions', displayName: 'DashboardWebStringId.Binding.HiddenDimensions', array: true };
export let hiddenMeasures = { propertyName: '__hiddenMeasures', modelName: 'HiddenMeasures', displayName: 'DashboardWebStringId.Binding.HiddenMeasures', array: true };
export let formatRules = { propertyName: 'formatRules', modelName: 'FormatRules', array: true };
export let dataDashboardItemSerializationsInfo = dashboardItemSerializationsInfo.concat([dataSource, dataMember, filterString, visibleDataFilterString, isMasterFilterCrossDataSource, dataItemsSerializable, formatRules, hiddenDimensions, hiddenMeasures, itemColorScheme]);
