﻿/**
* DevExpress Dashboard (delta-options.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DeltaIndicationMode, DeltaIndicationThresholdType, DeltaValueType } from '../../enums';
import { SerializableModel } from '../../serializable-model';
export declare class CardDeltaOptions extends SerializableModel {
    resultIndicationMode: ko.Observable<DeltaIndicationMode>;
    resultIndicationThresholdType: ko.Observable<DeltaIndicationThresholdType>;
    resultIndicationThreshold: ko.Observable<number>;
    constructor(modelJSON?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
}
export declare class DeltaOptions extends CardDeltaOptions {
    valueType: ko.Observable<DeltaValueType>;
    constructor(modelJSON?: any, serializer?: ModelSerializer);
    getInfo(): ISerializationInfoArray;
}
