﻿/**
* DevExpress Dashboard (_range-filter-item-helper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { safeSubscribe } from '../../internal/_knockout-utils';
export const _subscribeToDimension = (dimension, dateTimePeriods, dataManager) => {
    safeSubscribe({
        dimension,
        dateTimePeriods,
        dataManager
    }, (args) => {
        setPeriodFirstDayOfWeek(args.dimension, args.dateTimePeriods, args.dataManager);
        const subscriptions = args.dimension ?
            args.dateTimePeriods.map(curPeriod => curPeriod._subscribeToGroupInterval(args.dimension)) : [];
        return { dispose: () => { subscriptions.forEach(s => s.dispose()); } };
    });
};
const setPeriodFirstDayOfWeek = (dimension, dateTimePeriods, dataManager) => {
    const metaData = dataManager && dataManager.getMetaData();
    const dimensionUniqueName = dimension && dimension.uniqueName();
    const dimensionFormat = metaData && metaData.getDimensionFormat(dimensionUniqueName);
    const firstDayOfWeek = dimensionFormat && dimensionFormat.DateTimeFormat && dimensionFormat.DateTimeFormat.FirstDayOfWeek;
    if (firstDayOfWeek) {
        dateTimePeriods.forEach(period => period._firstDayOfWeek(firstDayOfWeek));
    }
};
