﻿/**
* DevExpress Dashboard (_scatter-chart-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { dataItemLinkSerializationsInfo } from '../../../data-item/metadata/_data-item';
import { argumentsPropertyName, parseBool, weightPropertyName } from '../../../metadata/_base-metadata';
import { ChartAxisY, ScatterChartAxisY } from '../../chart/chart-axis';
import { ChartLegend } from '../../chart/chart-legend';
import { dataDashboardItemSerializationsInfo } from '../../metadata/_data-dashboard-item';
import { _dashboardItemInteractivityOptionsMeta } from '../../options/interactivity-options';
import { coloringOptions } from '../../options/metadata/_coloring-options';
import { ScatterPointLabelOptions } from '../scatter-point-label-options';
export let scatterArgumentsMeta = { propertyName: argumentsPropertyName, modelName: 'Dimensions', array: true };
export let rotated = { propertyName: 'rotated', modelName: '@Rotated', displayName: 'DashboardWebStringId.Chart.Rotated', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: parseBool };
export let legend = { propertyName: 'legend', modelName: 'ChartLegend', displayName: 'DashboardWebStringId.Chart.Legend', type: ChartLegend };
export let axisX = { propertyName: 'axisX', modelName: 'AxisX', displayName: 'DashboardWebStringId.Chart.AxisX', type: ChartAxisY };
export let axisY = { propertyName: 'axisY', modelName: 'AxisY', displayName: 'DashboardWebStringId.Chart.AxisY', type: ScatterChartAxisY };
export let pointLabelOptions = { propertyName: 'pointLabelOptions', modelName: 'PointLabelOptions', displayName: 'DashboardWebStringId.Chart.PointLabelOptions', type: ScatterPointLabelOptions };
export let axisXMeasure = { propertyName: '__axisXMeasure', modelName: 'MeasureX', displayName: 'DashboardWebStringId.Chart.AxisXMeasure', info: dataItemLinkSerializationsInfo };
export let axisYMeasure = { propertyName: '__axisYMeasure', modelName: 'MeasureY', displayName: 'DashboardWebStringId.Chart.AxisYMeasure', info: dataItemLinkSerializationsInfo };
export let scatterChartWeight = { propertyName: weightPropertyName, modelName: 'MeasureWeight', displayName: 'DashboardWebStringId.Chart.Weight', info: dataItemLinkSerializationsInfo };
export let scatterChartDashboardItemSerializationsInfo = dataDashboardItemSerializationsInfo.concat([scatterArgumentsMeta, _dashboardItemInteractivityOptionsMeta, rotated, legend, axisX, axisY, pointLabelOptions, axisXMeasure, axisYMeasure, scatterChartWeight, coloringOptions]);
