﻿/**
* DevExpress Dashboard (series-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { deserializeArray, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DataItemLink } from '../data-item/data-item';
import { collectionItemType } from '../internal/_utils';
import { DataDashboardItem } from './data-dashboard-item';
import { seriesDashboardItemSerializationsInfo, seriesDimensions } from './metadata/_series-item';
export class SeriesItem extends DataDashboardItem {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.__seriesDimensions = ko.observableArray([]);
        this.seriesDimensions = ko.observableArray([]);
        this.__seriesDimensions(deserializeArray(modelJson.SeriesDimensions, (item) => new DataItemLink(this, item, serializer))());
        this._subscribeDataItemLinkArrays(seriesDimensions);
    }
    _getInfoCore() {
        return seriesDashboardItemSerializationsInfo;
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__seriesDimensions);
        this.__seriesDimensions.removeAll();
    }
    _getInteractivityDimensionLinks() {
        return this.__seriesDimensions();
    }
}
__decorate([
    collectionItemType('SeriesDimension')
], SeriesItem.prototype, "__seriesDimensions", void 0);
