﻿/**
* DevExpress Dashboard (_layout-item-placeholder.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DashboardLayoutNode } from './dashboard-layout-node';
export class DashboardLayoutItemPlaceholder extends DashboardLayoutNode {
    get _template() { return 'dx-dashboard-item-placeholder'; }
    constructor(parent, serializer = new ModelSerializer()) {
        super({}, serializer);
        this.parentNode(parent);
    }
    moveTo(itemModel, location) { }
    _delete() { }
    _createViewModel() {
        var baseViewModel = super._createViewModel();
        baseViewModel.create = (modelItemJson, location) => {
            var newItemModel = this.parentNode()._dashboard()._createDashboardLayoutItem(modelItemJson);
            this.parentNode()._addItem(newItemModel);
            return newItemModel._createViewModel();
        };
        baseViewModel.moveTo = (itemModel, location) => { };
        baseViewModel.hasItem = ko.observable(true);
        return baseViewModel;
    }
    _insertItemCore(layoutNodeToInsert, position) {
        if (this.parentNode()) {
            this.parentNode().childNodes.push(layoutNodeToInsert);
        }
    }
    _getDefaultItemType() { return ''; }
}
