﻿/**
* DevExpress Dashboard (look-up-value.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { tryConvertToDateTime } from '../internal/_date-utils';
import { TypedSerializableModel } from '../serializable-model';
import { ParameterHelper } from './_parameters-helper';
export class LookUpValue extends TypedSerializableModel {
    constructor(modelJson = {}, serializer = new ModelSerializer()) {
        super(modelJson, serializer);
        this.valueType = ko.observable('');
        this.value(tryConvertToDateTime(this.value()));
    }
    getInfo() {
        return ParameterHelper.getInfoPerType(this.valueType);
    }
    _getDefaultItemType() {
        return 'Value';
    }
}
