﻿/**
* DevExpress Dashboard (_parameter.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { nameValidationRules } from '@devexpress/analytics-core/analytics-internal';
import { itemType, parseBool } from '../../metadata/_base-metadata';
import { _dynamicListLookUpSettingsSerializationInfo } from '../dynamic-list-lookup-settings';
import { _staticListLookUpSettingsSerializationInfo } from '../static-list-lookup-settings';
import { ParameterHelper } from '../_parameters-helper';
export let parameterVisible = { propertyName: 'parameterVisible', modelName: '@Visible', displayName: 'DevExpress.DashboardCommon.DashboardParameter.Visible', defaultVal: true, simpleFormAdapterItem: 'checkBoxEditor', from: parseBool };
export let description = { propertyName: 'description', modelName: '@Description', displayName: 'DevExpress.DashboardCommon.DashboardParameter.Description', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor' };
export let allowMultiselect = { propertyName: 'allowMultiselect', modelName: '@AllowMultiselect', displayName: 'DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect', defaultVal: false, simpleFormAdapterItem: 'checkBoxEditor', from: parseBool };
export let allowNull = { propertyName: 'allowNull', modelName: '@AllowNull', displayName: 'DevExpress.DashboardCommon.DashboardParameter.AllowNull', defaultVal: false, simpleFormAdapterItem: 'checkBoxEditor', from: parseBool };
export let parameterName = { propertyName: 'name', modelName: '@Name', displayName: 'DashboardWebStringId.DataSources.CalculatedField.Name', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor', validationRules: nameValidationRules };
export let defaultValue = { propertyName: 'defaultValue', modelName: '@Value', displayName: 'DashboardWebStringId.Parameters.DefaultValue' };
export let parameterTypeSerialization = { propertyName: '_type', modelName: '@Type', defaultVal: 'System.String' };
export let parameterTypePropertyGrid = { propertyName: 'type', displayName: 'DashboardWebStringId.FilterItem.Type', simpleFormAdapterItem: 'selectBoxEditor', valuesArray: (ParameterHelper.typeValues) };
export let lookUpSourceType = {
    propertyName: 'lookUpSourceType', displayName: 'DashboardWebStringId.Parameters.LookUpSettingsType', values: {
        'None': 'DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp',
        'StaticListLookUpSettings': 'DashboardWebStringId.Parameters.LookUpSettingsType.StaticList',
        'DynamicListLookUpSettings': 'DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList'
    }
};
export let defaultValues = { propertyName: 'defaultValues', modelName: 'Values', array: true, displayName: 'DashboardWebStringId.Parameters.DefaultValue' };
export let selectAllValues = { propertyName: 'selectAllValues', modelName: '@SelectAllValues', displayName: 'DevExpress.DashboardCommon.DashboardParameter.SelectAllValues', defaultVal: false, simpleFormAdapterItem: 'checkBoxEditor', from: parseBool };
export let dashboardParameterSerializationsInfo = [itemType, parameterName, description, parameterVisible, allowNull, allowMultiselect, parameterTypeSerialization, parameterTypePropertyGrid, defaultValue, selectAllValues, lookUpSourceType, _staticListLookUpSettingsSerializationInfo, _dynamicListLookUpSettingsSerializationInfo, defaultValues];
