﻿/**
* DevExpress Dashboard (serializable-model.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable, IModelSerializer, ISerializationInfoArray } from '@devexpress/analytics-core/analytics-utils';
import * as ko from 'knockout';
import { DashboardItem } from './items/dashboard-item';
import { DataDashboardItem } from './items/data-dashboard-item';
export declare abstract class SerializableModel extends Disposable {
    constructor(model?: any, serializer?: IModelSerializer, info?: ISerializationInfoArray);
    disposed: boolean;
}
export declare abstract class TypedSerializableModel extends SerializableModel {
    itemType: ko.Observable<string>;
    _model: any;
    constructor(model?: any, serializer?: IModelSerializer, info?: ISerializationInfoArray);
    protected abstract _getDefaultItemType(): string;
    protected _getUniqueNamePrefix(): string;
}
export declare let itemTypesMap: {
    [key: string]: {
        type: typeof DashboardItem;
        customItemType?: typeof DataDashboardItem;
        groupName: string;
        title: string;
        index: number;
    };
};
