﻿/**
* DevExpress Dashboard (serializable-model.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { Disposable, ModelSerializer } from '@devexpress/analytics-core/analytics-utils';
export class SerializableModel extends Disposable {
    constructor(model, serializer, info) {
        super();
        serializer = serializer || new ModelSerializer();
        let prevGetInfo = this.getInfo;
        if (info !== undefined)
            this.getInfo = undefined;
        serializer.deserialize(this, model || {}, info);
        if (info !== undefined)
            this.getInfo = prevGetInfo;
    }
}
export class TypedSerializableModel extends SerializableModel {
    constructor(model, serializer, info) {
        super(model, serializer, info);
        !this.itemType() && this.itemType(this._getDefaultItemType());
    }
    _getUniqueNamePrefix() {
        return this.itemType().charAt(0).toLowerCase() + this.itemType().slice(1);
    }
}
export let itemTypesMap = {};
