﻿/**
* DevExpress Dashboard (export-options.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export type DashboardExportPaperKind = 'Letter' | 'Legal' | 'Executive' | 'A5' | 'A4' | 'A3';
export type DashboardExportPageLayout = 'Portrait' | 'Landscape';
export type DashboardMapSizeMode = 'None' | 'Zoom';
export type DashboardRangeFilterExportSizeMode = 'None' | 'Stretch' | 'Zoom';
export type DashboardChartExportSizeMode = 'None' | 'Stretch' | 'Zoom';
export type DashboardExcelFormat = 'Csv' | 'Xls' | 'Xlsx';
export type DashboardExportImageFormat = 'Png' | 'Jpeg' | 'Gif';
export type DashboardTreemapExportSizeMode = 'None' | 'Zoom';
export type DashboardExportDocumentScaleMode = 'None' | 'UseScaleFactor' | 'AutoFitToPagesWidth';
export type DashboardStateExportPosition = 'Below' | 'SeparatePage';
export type DashboardStateExcelExportPosition = 'Below' | 'SeparateSheet';
export interface DashboardPdfExportOptions {
    Title?: string;
    AutoFitPageCount?: number;
    CardAutoArrangeContent?: boolean;
    ChartAutomaticPageLayout?: boolean;
    ChartSizeMode?: DashboardChartExportSizeMode;
    ExportFilters?: boolean;
    ExportParameters?: boolean;
    DashboardStatePosition?: DashboardStateExportPosition;
    GaugeAutoArrangeContent?: boolean;
    GridFitToPageWidth?: boolean;
    GridPrintHeadersOnEveryPage?: boolean;
    MapAutomaticPageLayout?: boolean;
    MapSizeMode?: DashboardMapSizeMode;
    PageLayout?: DashboardExportPageLayout;
    PaperKind?: DashboardExportPaperKind | string;
    PieAutoArrangeContent?: boolean;
    PivotPrintHeadersOnEveryPage?: boolean;
    RangeFilterAutomaticPageLayout?: boolean;
    RangeFilterSizeMode?: DashboardRangeFilterExportSizeMode;
    ScaleFactor?: number;
    DocumentScaleMode?: DashboardExportDocumentScaleMode;
    ShowTitle?: boolean;
    TreemapAutomaticPageLayout?: boolean;
    TreemapSizeMode?: DashboardTreemapExportSizeMode;
    DashboardAutomaticPageLayout?: boolean;
    IncludeHiddenParameters?: boolean;
    FontInfo?: ExportFontInfo;
}
export interface DashboardImageExportOptions {
    Title?: string;
    Format?: DashboardExportImageFormat;
    Resolution?: number;
    ExportFilters?: boolean;
    ExportParameters?: boolean;
    ScaleFactor?: number;
    ShowTitle?: boolean;
    IncludeHiddenParameters?: boolean;
    FontInfo?: ExportFontInfo;
}
export interface DashboardExcelExportOptions {
    CsvValueSeparator?: string;
    ExportFilters?: boolean;
    ExportParameters?: boolean;
    DashboardStatePosition?: DashboardStateExcelExportPosition;
    Format?: DashboardExcelFormat;
    IncludeHiddenParameters?: boolean;
}
export interface ExportFontInfo {
    Name?: string;
    GdiCharSet?: number;
    UseCustomFontInfo?: boolean;
}
