﻿/**
* DevExpress Dashboard (_bound-image-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { imageItem } from './_image-item';
var BASE64_STRING_PREFIX = 'data:image/png;base64,';
export class boundImageItem extends imageItem {
    constructor(container, options) {
        super(container, options);
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        var viewModel = this.options.ViewModel, value = this.dataController ? this._dataController.getImageData() : undefined;
        if (viewModel) {
            if (viewModel.DataBindingMode === 'Uri' && viewModel.UriPattern)
                value = viewModel.UriPattern.replace('{0}', value);
            else
                value = BASE64_STRING_PREFIX + (value || viewModel.DefaultImageBase64String);
        }
        this.imgSrc = value || this._getImageSource(viewModel ? viewModel.ImageViewModel : undefined);
    }
}
