﻿/**
* DevExpress Dashboard (_grid-column-painter.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import 'devextreme/viz/bullet';
import dxBullet from 'devextreme/viz/bullet';
import 'devextreme/viz/sparkline';
import dxSparkline from 'devextreme/viz/sparkline';
import { SparklineData } from '../../../data/data-controllers/_grid-data-controller';
export declare class GridColumnPainter {
    static CssClasses: {
        flexParent: string;
        flexDeltaParent: string;
        sparklineStartValue: string;
        deltaIndicator: string;
        truncated: string;
        fixed: string;
        rightAlignment: string;
    };
    static renderDelta(parentContainer: HTMLElement, deltaValue: any, isDetail: any): void;
    static renderSparkline(name: string, showStartEndValues: boolean, parentContainer: HTMLElement, sparklineData: SparklineData): dxSparkline;
    static renderBar(columnName: string, parentContainer: HTMLElement, tooltipText: string, value: number, zeroValue: number): dxBullet;
    static renderImage(container: HTMLElement, imageData: any): void;
    static renderHyperlink(container: HTMLElement, uri: string, displayValue: string, isEncodeHtml: boolean): void;
    static renderValue(container: HTMLElement, text: string, isEncodeHtml: boolean): void;
    static changeGridSparklineColumnsWidth(gridRootElement: HTMLElement, columnName: string): void;
    static calcMaxWidth(values: NodeListOf<Element>): number;
    static changeGridBarColumnsWidth(gridRootElement: HTMLElement, columnName: string): void;
}
