﻿/**
* DevExpress Dashboard (_static-toolbar.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { arrangeStaticToolbarItems } from './_caption-toolbar-arranger';
import { DashboardCaptionToolbarBase } from './_caption-toolbar-base';
import { cssClasses } from './_caption-toolbar-css-classes';
export class StaticCaptionToolbar extends DashboardCaptionToolbarBase {
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, _className, _hasBorder, allowHideEmptyToolbar) {
        super(_container, _controlContainer, _popupContainer, encodeHtml);
        this._className = _className;
        this._hasBorder = _hasBorder;
        this.allowHideEmptyToolbar = allowHideEmptyToolbar;
    }
    calcHeight(options) {
        if (this._visible(options)) {
            return super.calcHeight(options);
        }
        else {
            return 0;
        }
    }
    calcMinWidth(options) {
        if (this._visible(options)) {
            return super.calcMinWidth(options);
        }
        else {
            return 0;
        }
    }
    update(options) {
        let heightChanded = false;
        if (this._visible(options)) {
            heightChanded = super.update(options);
            if (this._hasBorder) {
                this._toolbarDiv.classList.add(cssClasses.captionBorder);
            }
        }
        else if (this._initialized) {
            this.dispose();
            heightChanded = true;
        }
        return heightChanded;
    }
    _getVisibleItems() {
        return arrangeStaticToolbarItems(this._options, this._disabled);
    }
    _createInstance() {
        return new StaticCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._className, this._hasBorder, this.allowHideEmptyToolbar);
    }
    _visible(options) {
        return !this.allowHideEmptyToolbar || options.actionItems.length > 0 || options.navigationItems.length > 0 || options.stateItems.length > 0 || options.staticItems.length > 0;
    }
}
