﻿/**
* DevExpress Dashboard (_export-options-cache.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export let optionName = {
    pdfTitle: 'pdfTitle',
    imageTitle: 'imageTitle',
    fileName: 'fileName',
    autoFitPageCount: 'autoFitPageCount',
    cardAutoArrangeContent: 'cardAutoArrangeContent',
    chartAutomaticPageLayout: 'chartAutomaticPageLayout',
    chartSizeMode: 'chartSizeMode',
    pdfDashboardStatePosition: 'pdfDashboardStatePosition',
    gaugeAutoArrangeContent: 'gaugeAutoArrangeContent',
    gridFitToPageWidth: 'gridFitToPageWidth',
    gridPrintHeadersOnEveryPage: 'gridPrintHeadersOnEveryPage',
    mapAutomaticPageLayout: 'mapAutomaticPageLayout',
    mapSizeMode: 'mapSizeMode',
    pageLayout: 'pageLayout',
    paperKind: 'paperKind',
    pieAutoArrangeContent: 'pieAutoArrangeContent',
    pivotPrintHeadersOnEveryPage: 'pivotPrintHeadersOnEveryPage',
    rangeFilterAutomaticPageLayout: 'rangeFilterAutomaticPageLayout',
    rangeFilterSizeMode: 'rangeFilterSizeMode',
    pdfScaleFactor: 'pdfScaleFactor',
    scaleMode: 'scaleMode',
    dashboardAutomaticPageLayout: 'dashboardAutomaticPageLayout',
    pdfShowTitle: 'pdfShowTitle',
    treemapAutomaticPageLayout: 'treemapAutomaticPageLayout',
    treemapSizeMode: 'treemapSizeMode',
    imageFormat: 'imageFormat',
    resolution: 'resolution',
    imageScaleFactor: 'imageScaleFactor',
    imageShowTitle: 'imageShowTitle',
    csvValueSeparator: 'csvValueSeparator',
    excelDashboardStatePosition: 'excelDashboardStatePosition',
    excelFormat: 'excelFormat',
    pdfExportFilters: 'pdfExportFilters',
    imageExportFilters: 'imageExportFilters',
    excelExportFilters: 'excelExportFilters',
    pdfExportParameters: 'pdfExportParameters',
    imageExportParameters: 'imageExportParameters',
    excelExportParameters: 'excelExportParameters',
    pdfIncludeHiddenParameters: 'pdfIncludeHiddenParameters',
    imageIncludeHiddenParameters: 'imageIncludeHiddenParameters',
    excelIncludeHiddenParameters: 'excelIncludeHiddenParameters',
    fontInfo: 'fontInfo'
};
export class exportOptionsCache {
    constructor() {
        this._initialize();
    }
    _initialize() {
        this.documentOptions = {};
        this.itemsOptions = {};
        this.pdfOptions = {};
        this.imageOptions = {};
        this.excelOptions = {};
    }
    _addOption(cache, key, defaultValue, actualValue) {
        if (defaultValue == actualValue)
            delete cache[key];
        else
            cache[key] = actualValue;
    }
    add(dashboardItemName, defaultDocumentInfo, actualDocumentInfo) {
        var that = this;
        if (dashboardItemName === '') {
            this._addOption(that.documentOptions, optionName.pdfTitle, defaultDocumentInfo.pdfExportOptions.Title, actualDocumentInfo.pdfExportOptions.Title);
            this._addOption(that.documentOptions, optionName.imageTitle, defaultDocumentInfo.imageExportOptions.Title, actualDocumentInfo.imageExportOptions.Title);
            this._addOption(that.pdfOptions, optionName.pdfShowTitle, defaultDocumentInfo.pdfExportOptions.ShowTitle, actualDocumentInfo.pdfExportOptions.ShowTitle);
            this._addOption(that.imageOptions, optionName.imageShowTitle, defaultDocumentInfo.imageExportOptions.ShowTitle, actualDocumentInfo.imageExportOptions.ShowTitle);
        }
        this._addOption(that.pdfOptions, optionName.pageLayout, defaultDocumentInfo.pdfExportOptions.PageLayout, actualDocumentInfo.pdfExportOptions.PageLayout);
        this._addOption(that.pdfOptions, optionName.paperKind, defaultDocumentInfo.pdfExportOptions.PaperKind, actualDocumentInfo.pdfExportOptions.PaperKind);
        this.itemsOptions[dashboardItemName] = {};
        this._addOption(that.itemsOptions[dashboardItemName], optionName.scaleMode, defaultDocumentInfo.pdfExportOptions.DocumentScaleMode, actualDocumentInfo.pdfExportOptions.DocumentScaleMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.dashboardAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.pdfScaleFactor, defaultDocumentInfo.pdfExportOptions.ScaleFactor, actualDocumentInfo.pdfExportOptions.ScaleFactor);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.imageScaleFactor, defaultDocumentInfo.imageExportOptions.ScaleFactor, actualDocumentInfo.imageExportOptions.ScaleFactor);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.autoFitPageCount, defaultDocumentInfo.pdfExportOptions.AutoFitPageCount, actualDocumentInfo.pdfExportOptions.AutoFitPageCount);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.fileName, defaultDocumentInfo.fileName, actualDocumentInfo.fileName);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.gridPrintHeadersOnEveryPage, defaultDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage, actualDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.gridFitToPageWidth, defaultDocumentInfo.pdfExportOptions.GridFitToPageWidth, actualDocumentInfo.pdfExportOptions.GridFitToPageWidth);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.pivotPrintHeadersOnEveryPage, defaultDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage, actualDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.chartSizeMode, defaultDocumentInfo.pdfExportOptions.ChartSizeMode, actualDocumentInfo.pdfExportOptions.ChartSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.chartAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.mapSizeMode, defaultDocumentInfo.pdfExportOptions.MapSizeMode, actualDocumentInfo.pdfExportOptions.MapSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.mapAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.MapAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.MapAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.treemapSizeMode, defaultDocumentInfo.pdfExportOptions.TreemapSizeMode, actualDocumentInfo.pdfExportOptions.TreemapSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.treemapAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.rangeFilterSizeMode, defaultDocumentInfo.pdfExportOptions.RangeFilterSizeMode, actualDocumentInfo.pdfExportOptions.RangeFilterSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.rangeFilterAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.pieAutoArrangeContent, defaultDocumentInfo.pdfExportOptions.PieAutoArrangeContent, actualDocumentInfo.pdfExportOptions.PieAutoArrangeContent);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.gaugeAutoArrangeContent, defaultDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent, actualDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.cardAutoArrangeContent, defaultDocumentInfo.pdfExportOptions.CardAutoArrangeContent, actualDocumentInfo.pdfExportOptions.CardAutoArrangeContent);
        if (dashboardItemName != '') {
            this._addOption(that.itemsOptions[dashboardItemName], optionName.pdfShowTitle, defaultDocumentInfo.pdfExportOptions.ShowTitle, actualDocumentInfo.pdfExportOptions.ShowTitle);
            this._addOption(that.itemsOptions[dashboardItemName], optionName.imageShowTitle, defaultDocumentInfo.imageExportOptions.ShowTitle, actualDocumentInfo.imageExportOptions.ShowTitle);
            this._addOption(that.itemsOptions[dashboardItemName], optionName.pdfTitle, defaultDocumentInfo.pdfExportOptions.Title, actualDocumentInfo.pdfExportOptions.Title);
            this._addOption(that.itemsOptions[dashboardItemName], optionName.imageTitle, defaultDocumentInfo.imageExportOptions.Title, actualDocumentInfo.imageExportOptions.Title);
        }
        this._addOption(that.documentOptions, optionName.pdfDashboardStatePosition, defaultDocumentInfo.pdfExportOptions.DashboardStatePosition, actualDocumentInfo.pdfExportOptions.DashboardStatePosition);
        this._addOption(that.documentOptions, optionName.pdfExportFilters, defaultDocumentInfo.pdfExportOptions.ExportFilters, actualDocumentInfo.pdfExportOptions.ExportFilters);
        this._addOption(that.documentOptions, optionName.pdfExportParameters, defaultDocumentInfo.pdfExportOptions.ExportParameters, actualDocumentInfo.pdfExportOptions.ExportParameters);
        this._addOption(that.documentOptions, optionName.pdfIncludeHiddenParameters, defaultDocumentInfo.pdfExportOptions.IncludeHiddenParameters, actualDocumentInfo.pdfExportOptions.IncludeHiddenParameters);
        this._addOption(that.documentOptions, optionName.fontInfo, defaultDocumentInfo.pdfExportOptions.FontInfo, actualDocumentInfo.pdfExportOptions.FontInfo);
        this._addOption(that.imageOptions, optionName.imageFormat, defaultDocumentInfo.imageExportOptions.Format, actualDocumentInfo.imageExportOptions.Format);
        this._addOption(that.imageOptions, optionName.resolution, defaultDocumentInfo.imageExportOptions.Resolution, actualDocumentInfo.imageExportOptions.Resolution);
        this._addOption(that.documentOptions, optionName.imageExportFilters, defaultDocumentInfo.imageExportOptions.ExportFilters, actualDocumentInfo.imageExportOptions.ExportFilters);
        this._addOption(that.documentOptions, optionName.imageExportParameters, defaultDocumentInfo.imageExportOptions.ExportParameters, actualDocumentInfo.imageExportOptions.ExportParameters);
        this._addOption(that.documentOptions, optionName.imageIncludeHiddenParameters, defaultDocumentInfo.imageExportOptions.IncludeHiddenParameters, actualDocumentInfo.imageExportOptions.IncludeHiddenParameters);
        this._addOption(that.documentOptions, optionName.fontInfo, defaultDocumentInfo.imageExportOptions.FontInfo, actualDocumentInfo.imageExportOptions.FontInfo);
        this._addOption(that.excelOptions, optionName.excelFormat, defaultDocumentInfo.excelExportOptions.Format, actualDocumentInfo.excelExportOptions.Format);
        this._addOption(that.excelOptions, optionName.csvValueSeparator, defaultDocumentInfo.excelExportOptions.CsvValueSeparator, actualDocumentInfo.excelExportOptions.CsvValueSeparator);
        this._addOption(that.excelOptions, optionName.excelDashboardStatePosition, defaultDocumentInfo.excelExportOptions.DashboardStatePosition, actualDocumentInfo.excelExportOptions.DashboardStatePosition);
        this._addOption(that.documentOptions, optionName.excelExportFilters, defaultDocumentInfo.excelExportOptions.ExportFilters, actualDocumentInfo.excelExportOptions.ExportFilters);
        this._addOption(that.documentOptions, optionName.excelExportParameters, defaultDocumentInfo.excelExportOptions.ExportParameters, actualDocumentInfo.excelExportOptions.ExportParameters);
        this._addOption(that.documentOptions, optionName.excelIncludeHiddenParameters, defaultDocumentInfo.excelExportOptions.IncludeHiddenParameters, actualDocumentInfo.excelExportOptions.IncludeHiddenParameters);
    }
    _setActualValue(cache, key, setActual, defaultValue) {
        var value = cache[key] != undefined ? cache[key] : defaultValue;
        setActual(value);
    }
    getActualDocumentInfo(dashboardItemName, defaultDocumentInfo) {
        var that = this;
        var actualDocumentInfo = {
            pdfExportOptions: {},
            imageExportOptions: {},
            excelExportOptions: {}
        };
        if (dashboardItemName === '') {
            this._setActualValue(that.documentOptions, optionName.pdfTitle, function (actual) { actualDocumentInfo.pdfExportOptions.Title = actual; }, defaultDocumentInfo.pdfExportOptions.Title);
            this._setActualValue(that.documentOptions, optionName.imageTitle, function (actual) { actualDocumentInfo.imageExportOptions.Title = actual; }, defaultDocumentInfo.imageExportOptions.Title);
            this._setActualValue(that.pdfOptions, optionName.pdfShowTitle, function (actual) { actualDocumentInfo.pdfExportOptions.ShowTitle = actual; }, defaultDocumentInfo.pdfExportOptions.ShowTitle);
            this._setActualValue(that.imageOptions, optionName.imageShowTitle, function (actual) { actualDocumentInfo.imageExportOptions.ShowTitle = actual; }, defaultDocumentInfo.imageExportOptions.ShowTitle);
        }
        this._setActualValue(that.pdfOptions, optionName.paperKind, function (actual) { actualDocumentInfo.pdfExportOptions.PaperKind = actual; }, defaultDocumentInfo.pdfExportOptions.PaperKind);
        this._setActualValue(that.pdfOptions, optionName.pageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.PageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.PageLayout);
        if (this.itemsOptions[dashboardItemName] === undefined)
            this.itemsOptions[dashboardItemName] = {};
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.scaleMode, function (actual) { actualDocumentInfo.pdfExportOptions.DocumentScaleMode = actual; }, defaultDocumentInfo.pdfExportOptions.DocumentScaleMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.dashboardAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pdfScaleFactor, function (actual) { actualDocumentInfo.pdfExportOptions.ScaleFactor = actual; }, defaultDocumentInfo.pdfExportOptions.ScaleFactor);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.imageScaleFactor, function (actual) { actualDocumentInfo.imageExportOptions.ScaleFactor = actual; }, defaultDocumentInfo.imageExportOptions.ScaleFactor);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.autoFitPageCount, function (actual) { actualDocumentInfo.pdfExportOptions.AutoFitPageCount = actual; }, defaultDocumentInfo.pdfExportOptions.AutoFitPageCount);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.fileName, function (actual) { actualDocumentInfo.fileName = actual; }, defaultDocumentInfo.fileName);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.fontInfo, function (actual) { actualDocumentInfo.imageExportOptions.FontInfo = actual; }, defaultDocumentInfo.imageExportOptions.FontInfo);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.gridPrintHeadersOnEveryPage, function (actual) { actualDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage = actual; }, defaultDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.gridFitToPageWidth, function (actual) { actualDocumentInfo.pdfExportOptions.GridFitToPageWidth = actual; }, defaultDocumentInfo.pdfExportOptions.GridFitToPageWidth);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pivotPrintHeadersOnEveryPage, function (actual) { actualDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage = actual; }, defaultDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.chartSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.ChartSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.ChartSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.chartAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.mapSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.MapSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.MapSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.mapAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.MapAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.MapAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.treemapSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.TreemapSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.TreemapSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.treemapAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.rangeFilterSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.RangeFilterSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.RangeFilterSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.rangeFilterAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pieAutoArrangeContent, function (actual) { actualDocumentInfo.pdfExportOptions.PieAutoArrangeContent = actual; }, defaultDocumentInfo.pdfExportOptions.PieAutoArrangeContent);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.gaugeAutoArrangeContent, function (actual) { actualDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent = actual; }, defaultDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.cardAutoArrangeContent, function (actual) { actualDocumentInfo.pdfExportOptions.CardAutoArrangeContent = actual; }, defaultDocumentInfo.pdfExportOptions.CardAutoArrangeContent);
        if (dashboardItemName != '') {
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pdfShowTitle, function (actual) { actualDocumentInfo.pdfExportOptions.ShowTitle = actual; }, defaultDocumentInfo.pdfExportOptions.ShowTitle);
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.imageShowTitle, function (actual) { actualDocumentInfo.imageExportOptions.ShowTitle = actual; }, defaultDocumentInfo.imageExportOptions.ShowTitle);
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pdfTitle, function (actual) { actualDocumentInfo.pdfExportOptions.Title = actual; }, defaultDocumentInfo.pdfExportOptions.Title);
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.imageTitle, function (actual) { actualDocumentInfo.imageExportOptions.Title = actual; }, defaultDocumentInfo.imageExportOptions.Title);
        }
        this._setActualValue(that.documentOptions, optionName.pdfDashboardStatePosition, function (actual) { actualDocumentInfo.pdfExportOptions.DashboardStatePosition = actual; }, defaultDocumentInfo.pdfExportOptions.DashboardStatePosition);
        this._setActualValue(that.documentOptions, optionName.pdfExportFilters, function (actual) { actualDocumentInfo.pdfExportOptions.ExportFilters = actual; }, defaultDocumentInfo.pdfExportOptions.ExportFilters);
        this._setActualValue(that.documentOptions, optionName.pdfExportParameters, function (actual) { actualDocumentInfo.pdfExportOptions.ExportParameters = actual; }, defaultDocumentInfo.pdfExportOptions.ExportParameters);
        this._setActualValue(that.documentOptions, optionName.pdfIncludeHiddenParameters, function (actual) { actualDocumentInfo.pdfExportOptions.IncludeHiddenParameters = actual; }, defaultDocumentInfo.pdfExportOptions.IncludeHiddenParameters);
        this._setActualValue(that.documentOptions, optionName.fontInfo, function (actual) { actualDocumentInfo.pdfExportOptions.FontInfo = actual; }, defaultDocumentInfo.pdfExportOptions.FontInfo);
        this._setActualValue(that.imageOptions, optionName.imageFormat, function (actual) { actualDocumentInfo.imageExportOptions.Format = actual; }, defaultDocumentInfo.imageExportOptions.Format);
        this._setActualValue(that.imageOptions, optionName.resolution, function (actual) { actualDocumentInfo.imageExportOptions.Resolution = actual; }, defaultDocumentInfo.imageExportOptions.Resolution);
        this._setActualValue(that.documentOptions, optionName.imageExportFilters, function (actual) { actualDocumentInfo.imageExportOptions.ExportFilters = actual; }, defaultDocumentInfo.imageExportOptions.ExportFilters);
        this._setActualValue(that.documentOptions, optionName.imageExportParameters, function (actual) { actualDocumentInfo.imageExportOptions.ExportParameters = actual; }, defaultDocumentInfo.imageExportOptions.ExportParameters);
        this._setActualValue(that.documentOptions, optionName.imageIncludeHiddenParameters, function (actual) { actualDocumentInfo.imageExportOptions.IncludeHiddenParameters = actual; }, defaultDocumentInfo.imageExportOptions.IncludeHiddenParameters);
        this._setActualValue(that.excelOptions, optionName.excelFormat, function (actual) { actualDocumentInfo.excelExportOptions.Format = actual; }, defaultDocumentInfo.excelExportOptions.Format);
        this._setActualValue(that.excelOptions, optionName.csvValueSeparator, function (actual) { actualDocumentInfo.excelExportOptions.CsvValueSeparator = actual; }, defaultDocumentInfo.excelExportOptions.CsvValueSeparator);
        this._setActualValue(that.excelOptions, optionName.excelDashboardStatePosition, function (actual) { actualDocumentInfo.excelExportOptions.DashboardStatePosition = actual; }, defaultDocumentInfo.excelExportOptions.DashboardStatePosition);
        this._setActualValue(that.documentOptions, optionName.excelExportFilters, function (actual) { actualDocumentInfo.excelExportOptions.ExportFilters = actual; }, defaultDocumentInfo.excelExportOptions.ExportFilters);
        this._setActualValue(that.documentOptions, optionName.excelExportParameters, function (actual) { actualDocumentInfo.excelExportOptions.ExportParameters = actual; }, defaultDocumentInfo.excelExportOptions.ExportParameters);
        this._setActualValue(that.documentOptions, optionName.excelIncludeHiddenParameters, function (actual) { actualDocumentInfo.excelExportOptions.IncludeHiddenParameters = actual; }, defaultDocumentInfo.excelExportOptions.IncludeHiddenParameters);
        return actualDocumentInfo;
    }
}
