﻿/**
* DevExpress Dashboard (_card-layout.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { CardItemFormatRuleModel } from '../../../../data/conditional-formatting/_view-model';
import { CardWidgetImplementation } from '../../../_card-widget-implementation';
import { ICardLayoutElementModel, ICardLayoutModel, SparklineOptionsModel } from '../../../viewer-items/_cards-item';
import { IWidgetItemDataAccessor } from '../../../viewer-items/_widget-viewer-item-core';
export declare class cardLayout {
    private apiHandlers?;
    isDrillDownEnabled?: boolean;
    rows: Array<cardRow>;
    minWidth: number;
    maxWidth: number;
    private _layoutElementCssClassesLinks;
    private _layoutElementCssClassesNames;
    hasRowElementCssClass(className: string): boolean;
    addRowElementCss(className: string, selector: string, properties: Array<{
        propertyName: string;
        propertyValue: any;
    }>, container: HTMLElement): void;
    getCardBackgroundColor(): string;
    getStyleSettings: (data: IWidgetItemDataAccessor) => any;
    private _cardCFFilter;
    constructor(apiHandlers?: CardWidgetImplementation, isDrillDownEnabled?: boolean);
    _isValidCardId(cardRule: CardItemFormatRuleModel, applyToCardId: string): boolean;
    fill(layoutModel: ICardLayoutModel): void;
    private isDeltaType;
    private convertElementColor;
    getElementValue(data: IWidgetItemDataAccessor, elementModel: ICardLayoutElementModel): {
        getValue: () => any;
        getDefaultText: () => string;
    };
    private convertVAlignment;
    private convertHAlignment;
    dispose(): void;
}
export declare class cardRow {
    vAlignment: verticalAlignment;
    indent: number;
    elements: Array<cardRowElementBase>;
    dispose(): void;
}
export declare abstract class cardRowElementBase {
    hAlignment: horizontalAlignment;
    type: string;
    getStyleSettings: (data: IWidgetItemDataAccessor) => any;
    dispose(): void;
}
export declare class cardRowElement extends cardRowElementBase {
    fontFamily: string;
    color: string;
    predefinedColor: string;
    fontSize: number;
    id: string;
    getValueArgs: (data: IWidgetItemDataAccessor) => {
        getValue: () => any;
        getDefaultText: () => string;
    };
    getText: (data: IWidgetItemDataAccessor) => string;
    getIndicatorType: (data: IWidgetItemDataAccessor) => string;
    getIsGood: (data: IWidgetItemDataAccessor) => boolean;
    dispose(): void;
}
export declare class cardIndicatorElement extends cardRowElementBase {
    height: number;
    width: number;
    getIndicatorType: (data: IWidgetItemDataAccessor) => string;
    getIsGood: (data: IWidgetItemDataAccessor) => boolean;
    dispose(): void;
}
export declare class cardSparklineElement extends cardRowElementBase {
    height: number;
    getSparklineOptions: (data: IWidgetItemDataAccessor) => any;
    dispose(): void;
}
export declare class sparklineOptions {
    viewType: string;
    highlightMinMaxPoints: boolean;
    highlightStartEndPoints: boolean;
    constructor(sparklineOptionsModel: SparklineOptionsModel);
}
export declare enum horizontalAlignment {
    left = 0,
    right = 1,
    center = 2
}
export declare enum verticalAlignment {
    top = 0,
    center = 1,
    bottom = 2
}
