﻿/**
* DevExpress Dashboard (_docking-layout-adapter.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import * as ko from 'knockout';
import { DisposableObject, IDisposable } from '../../model/disposable-object';
import { IExtension } from '../common-interfaces';
import { DashboardControl } from '../dashboard-control';
import { DockingLayoutKoComponentArgs } from './_docking-layout-bindings';
import { DockingLayoutController } from './_docking-layout-controller';
interface DockingLayoutViewModelProperties extends IDisposable {
    componentArgs: DockingLayoutKoComponentArgs;
    cssClasses: ko.Subscribable<string>;
}
export type DockingLayoutKoViewModel = ko.Subscribable<DockingLayoutViewModelProperties>;
export declare class DockingLayoutAdapter extends DisposableObject implements IExtension {
    private _dashboardControl;
    private _koViewModel;
    _dockingLayoutController: ko.Observable<DockingLayoutController>;
    name: string;
    constructor(_dashboardControl: DashboardControl);
    private readonly _templateName;
    start(): void;
    stop(): void;
    processKeyEvent(eventName: string, e: JQueryKeyEventObject): boolean;
    dispose(): void;
    private _disposeViewModel;
    private _getKoViewModel;
}
export {};
