﻿/**
* DevExpress Dashboard (dx-dashboard.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 0:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   x: () => (/* binding */ DynamicListLookUpSettings),
/* harmony export */   y: () => (/* binding */ _dynamicListLookUpSettingsSerializationInfo)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(623);




class DynamicListLookUpSettings extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        let clearMembers = () => {
            this.valueMemberName(null);
            this.displayMemberName(null);
            this.sortByMember(null);
        };
        this.addDisposable(this._dataSource = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                return this.dataSource();
            },
            write: (val) => {
                this.dataMember(null);
                clearMembers();
                this.dataSource(val);
            }
        }));
        this.addDisposable(this._dataMember = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                return this.dataMember();
            },
            write: (val) => {
                clearMembers();
                this.dataMember(val);
            }
        }));
    }
    getInfo() {
        return _metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_3__/* .dynamicListLookUpSettingsSerializationsInfo */ .eu;
    }
    equals(target) {
        return this.dataMember() === target.dataMember() &&
            this.dataSource() === target.dataSource() &&
            this.valueMemberName() === target.valueMemberName() &&
            this.displayMemberName() === target.displayMemberName() &&
            this.sortByMember() === target.sortByMember() &&
            this.sortOrder() === target.sortOrder();
    }
    isPropertyDisabled(propertyName) {
        if (propertyName === _metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_3__/* .sortOrder */ .T6.propertyName) {
            return !this.sortByMember();
        }
        return false;
    }
}
DynamicListLookUpSettings.modelName = 'DynamicListLookUpSettings';
let _dynamicListLookUpSettingsSerializationInfo = { propertyName: 'dynamicListLookUpSettings', displayName: 'DashboardWebStringId.Parameters.DynamicListLookUpSettings', type: DynamicListLookUpSettings, defaultVal: null, alwaysSerialize: true };


/***/ }),

/***/ 76:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ PivotItemFormatRuleLevel)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6667);



class PivotItemFormatRuleLevel extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_2__/* .pivotItemFormatRuleLevelSerializationsInfo */ .Ex;
    }
}


/***/ }),

/***/ 82:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KW: () => (/* binding */ deltaOptionsSerializationsInfo),
/* harmony export */   _x: () => (/* binding */ valueType),
/* harmony export */   bx: () => (/* binding */ resultIndicationThresholdType),
/* harmony export */   ft: () => (/* binding */ resultIndicationMode),
/* harmony export */   iv: () => (/* binding */ cardDeltaOptionsSerializationsInfo),
/* harmony export */   k9: () => (/* binding */ deltaValueTypeMap),
/* harmony export */   pE: () => (/* binding */ resultIndicationThreshold)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let deltaValueTypeMap = {
    'ActualValue': 'DashboardStringId.DeltaValueTypeActualValueCaption',
    'AbsoluteVariation': 'DashboardStringId.DeltaValueTypeAbsoluteVariationCaption',
    'PercentVariation': 'DashboardStringId.DeltaValueTypePercentVariationCaption',
    'PercentOfTarget': 'DashboardStringId.DeltaValueTypePercentOfTargetCaption',
    'TargetValue': 'DashboardStringId.DeltaValueTypeTargetValueCaption'
};
let valueType = {
    propertyName: 'valueType', modelName: '@ValueType', displayName: 'DashboardWebStringId.Delta.ValueType', defaultVal: 'AbsoluteVariation', simpleFormAdapterItem: 'listEditor', values: deltaValueTypeMap
};
let resultIndicationMode = {
    propertyName: 'resultIndicationMode', modelName: '@ResultIndicationMode', displayName: 'DashboardWebStringId.Delta.ResultIndication', defaultVal: 'GreaterIsGood', simpleFormAdapterItem: 'listEditor', values: {
        'GreaterIsGood': 'DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption',
        'LessIsGood': 'DashboardStringId.DeltaIndicationModeLessIsGoodCaption',
        'WarningIfGreater': 'DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption',
        'WarningIfLess': 'DashboardStringId.DeltaIndicationModeWarningIfLessCaption',
        'NoIndication': 'DashboardStringId.DeltaIndicationModeNoIndicationCaption'
    }
};
let resultIndicationThresholdType = {
    propertyName: 'resultIndicationThresholdType', modelName: '@ResultIndicationThresholdType', displayName: 'DashboardWebStringId.Delta.ThresholdType', defaultVal: 'Percent', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Absolute': 'DashboardStringId.DeltaThresholdTypeAbsolute',
        'Percent': 'DashboardStringId.DeltaThresholdTypePercent'
    }
};
let resultIndicationThreshold = { propertyName: 'resultIndicationThreshold', modelName: '@ResultIndicationThreshold', displayName: 'DashboardWebStringId.Delta.ThresholdValue', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let cardDeltaOptionsSerializationsInfo = [resultIndicationMode, resultIndicationThresholdType, resultIndicationThreshold];
let deltaOptionsSerializationsInfo = [valueType].concat(cardDeltaOptionsSerializationsInfo);


/***/ }),

/***/ 110:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   XB: () => (/* binding */ ContentInHeaderAccordionTab),
/* harmony export */   __: () => (/* binding */ TypeAccordionTab),
/* harmony export */   gL: () => (/* binding */ ItemGroupAccordionTab),
/* harmony export */   gV: () => (/* binding */ AccordionTab),
/* harmony export */   iq: () => (/* binding */ KnownTabs),
/* harmony export */   pL: () => (/* binding */ BindingAccordionTab),
/* harmony export */   zu: () => (/* binding */ StyleAccordionTab)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);

var KnownTabs = {
    Binding: 'Binding',
    DataShaping: 'DataShaping',
    NumericFormat: 'NumericFormat',
    DateTimeFormat: 'DateTimeFormat',
    TopN: 'TopN',
    Interactivity: 'Interactivity',
    ItemFilter: 'ItemFilter',
    VisibleDataFilter: 'VisibleDataFilter',
    Common: 'Common',
    Totals: 'Totals',
    AxisX: 'AxisX',
    Indicators: 'Indicators',
    IndicatorSettings: 'Indicator settings',
    AxisY: 'AxisY',
    Legend: 'Legend',
    ColoringOptions: 'ColoringOptions',
    ColorLegend: 'ColorLegend',
    WeightedLegend: 'WeightedLegend',
    Layout: 'Layout',
    ConditionalFormatting: 'ConditionalFormatting',
    GridColumnFilter: 'GridColumnFilter',
    FormatRuleCommon: 'FormatRuleBinding',
    FormatRuleCondition: 'FormatRuleCondition',
    FormatRuleChartLegend: 'FormatRuleChartLegend',
    FormatRuleMisc: 'FormatRuleStyle',
    CustomRanges: 'CustomRanges',
    Type: 'Type',
    PointLabels: 'PointLabels',
    DeltaOptions: 'DeltaOptions',
    ScaleOptions: 'ScaleOptions',
    SparklineOptions: 'SparklineOptions',
    CardTemplates: 'CardTemplates',
    DeltaFormats: 'DeltaFormats',
    CardTemplateSettings: 'CardTemplateSettings',
    ContentArrangement: 'ContentArrangement',
    ShapeLabels: 'ShapeLabels',
    Labels: 'Labels',
    DataLayout: 'DataDesign',
    DataItemsGroup: 'DataItemsGroup',
    ColorScheme: 'ColorScheme',
    Calculations: 'Calculations',
    Expression: 'Expression',
    TileOptions: 'TileOptions',
    UnwrappedDataItem: 'UnwrappedDataItem',
    CustomMapOptions: 'CustomMapOptions',
    MeasureFilter: 'MeasureFilter',
    TabContainer: 'TabContainer'
};
class AccordionTab {
    constructor(name, category, tabModel) {
        this.name = name;
        this.category = category;
        this.tabModel = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.orderNo = undefined;
        this.visible = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            let tabModel = this.tabModel();
            return !!(tabModel && ((tabModel.isEmpty === undefined) || !tabModel.isEmpty()));
        });
        if (tabModel) {
            this.tabModel(tabModel);
        }
    }
    grabData(tab) {
        const oldModel = this.tabModel(), newModel = tab.tabModel();
        if (oldModel === newModel) {
            return;
        }
        this.tabModel(tab.tabModel());
        this.disposeTabModel(oldModel);
    }
    get summary() {
        return this.tabModel() && this.tabModel().summary;
    }
    get buttons() {
        return this.tabModel() && this.tabModel().buttons;
    }
    unsubscribeTabModel(tabModel) {
        tabModel && tabModel.summary && tabModel.summary.dispose();
    }
    disposeTabModel(tabModel) {
        if (!tabModel) {
            return;
        }
        this.unsubscribeTabModel(tabModel);
        tabModel.unbindModel && tabModel.unbindModel();
    }
    dispose() {
        this.disposeTabModel(this.tabModel());
    }
}
class ContentInHeaderAccordionTab extends AccordionTab {
    constructor() {
        super(...arguments);
        this.orderNo = 50;
        this.style = 'dx-dashboard-item-type-selector';
        this.headerTemplate = 'dx-dashboard-content-in-tab-header-template';
        this.hasNoBorder = true;
        this.onTitleClick = (tabModel, data, event) => {
            event.stopPropagation();
            return false;
        };
    }
}
class TypeAccordionTab extends AccordionTab {
    constructor() {
        super(...arguments);
        this.orderNo = 50;
        this.style = 'dx-dashboard-item-type-selector';
        this.headerTemplate = 'dx-dashboard-container-type-selector-header';
        this.tabTemplate = 'dx-dashboard-container-type-selector-full';
        this.hasNoBorder = true;
        this.onTitleClick = (tabModel, data, event) => {
            var model = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(tabModel);
            if (model) {
                model.headerClick(data, event);
            }
        };
    }
}
class StyleAccordionTab extends AccordionTab {
    constructor() {
        super(...arguments);
        this.orderNo = 55;
        this.style = 'dx-dashboard-item-type-selector';
        this.headerTemplate = 'dx-dashboard-container-style-selector-header';
        this.hasNoBorder = true;
        this.onTitleClick = (tabModel, data, event) => {
            var model = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(tabModel);
            if (model) {
                model.headerClick(data, event);
            }
        };
    }
}
class ItemGroupAccordionTab extends AccordionTab {
    constructor() {
        super(...arguments);
        this.style = 'dx-dashboard-items-wrapper';
        this.orderNo = 60;
        this.headerTemplate = 'dx-dashboard-data-items-header';
        this.hasNoBorder = true;
    }
    get headerHeight() { return this.tabModel().model()._getBindingModel().length * 40 + 15; }
}
class BindingAccordionTab extends AccordionTab {
    constructor(name, category) {
        super(name, category);
        this.name = name;
        this.category = category;
        this.tabTemplate = 'dx-dashboard-data-item-general';
        this.orderNo = 70;
    }
    get summaryHint() {
        return this.tabModel() && this.tabModel().summaryHint;
    }
    unsubscribeTabModel(tabModel) {
        super.unsubscribeTabModel(tabModel);
        tabModel && tabModel.summaryHint && tabModel.summaryHint.dispose();
    }
    grabData(tab) {
        const oldModel = this.tabModel(), newModel = tab.tabModel();
        if (oldModel == newModel) {
            return;
        }
        if (oldModel.dataItemLink !== newModel.dataItemLink) {
            this.tabModel(tab.tabModel());
            this.disposeTabModel(oldModel);
        }
        else {
            this.unsubscribeTabModel(oldModel);
            oldModel.additionalProperties(newModel.additionalProperties());
            oldModel.dataMemberPath(newModel.dataMemberPath());
            oldModel.choosenField(newModel.choosenField());
            oldModel.dataItemLink = newModel.dataItemLink;
            oldModel.dataSourceBrowser = newModel.dataSourceBrowser;
            oldModel.summary = newModel.summary;
            oldModel.summaryHint = newModel.summaryHint;
        }
    }
}


/***/ }),

/***/ 137:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AX: () => (/* binding */ queryNodes),
/* harmony export */   C3: () => (/* binding */ queryTypeProperty),
/* harmony export */   K8: () => (/* binding */ federationDataSourceSerializationsInfo),
/* harmony export */   MO: () => (/* binding */ queryNodeSerializationsInfo),
/* harmony export */   Ro: () => (/* binding */ sourceSerializationsInfo),
/* harmony export */   Tj: () => (/* binding */ sources),
/* harmony export */   _O: () => (/* binding */ context),
/* harmony export */   bd: () => (/* binding */ dataSourceProperty),
/* harmony export */   cE: () => (/* binding */ contextItemSerializationsInfo),
/* harmony export */   nf: () => (/* binding */ idProperty),
/* harmony export */   oq: () => (/* binding */ dataMemberProperty),
/* harmony export */   ql: () => (/* binding */ aliasProperty)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3689);


let aliasProperty = { propertyName: 'alias', modelName: '@Alias' };
let queryTypeProperty = { propertyName: '_queryType', modelName: '@QueryType' };
let queryNodeSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, aliasProperty, queryTypeProperty];
let queryNodes = { propertyName: 'queries', modelName: 'Queries', array: true };
let idProperty = { propertyName: 'id', modelName: '@ID' };
let contextItemSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, idProperty];
let context = { propertyName: 'context', modelName: 'Context', array: true };
let dataSourceProperty = { propertyName: 'dataSource', modelName: 'DataSource' };
let dataMemberProperty = { propertyName: 'dataMember', modelName: 'DataMember' };
let sourceSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, dataSourceProperty, dataMemberProperty, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .name */ .UU];
let sources = { propertyName: 'sources', modelName: 'Sources', array: true };
let federationDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_1__/* .dataSourceSerializationsInfo */ .v.concat([queryNodes, context, sources]);


/***/ }),

/***/ 151:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ totalTypeValues)
/* harmony export */ });
let totalTypeValues = {
    commonCountTypes: [{ value: 'Count', displayValue: 'DashboardStringId.GridTotalTypeCount' }],
    commonMinMaxTypes: [{ value: 'Min', displayValue: 'DashboardStringId.GridTotalTypeMin' },
        { value: 'Max', displayValue: 'DashboardStringId.GridTotalTypeMax' }],
    numericTypes: [{ value: 'Avg', displayValue: 'DashboardStringId.GridTotalTypeAvg' },
        { value: 'Sum', displayValue: 'DashboardStringId.GridTotalTypeSum' }],
    autoTypes: [{ value: 'Auto', displayValue: 'DashboardStringId.GridTotalTypeAuto' }]
};


/***/ }),

/***/ 158:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FJ: () => (/* binding */ numericFormat),
/* harmony export */   Fi: () => (/* binding */ uniqueName),
/* harmony export */   LE: () => (/* binding */ dateTimeFormat),
/* harmony export */   Ly: () => (/* binding */ showTotals),
/* harmony export */   N5: () => (/* binding */ dataItemLinkSerializationsInfo),
/* harmony export */   V5: () => (/* binding */ absoluteVariationNumericFormat),
/* harmony export */   ad: () => (/* binding */ dataItem),
/* harmony export */   aq: () => (/* binding */ dataItemDataMember),
/* harmony export */   g: () => (/* binding */ showValues),
/* harmony export */   lh: () => (/* binding */ dataItemSerializationsInfo),
/* harmony export */   r9: () => (/* binding */ percentVariationNumericFormat),
/* harmony export */   sS: () => (/* binding */ percentOfTargetNumericFormat),
/* harmony export */   z9: () => (/* binding */ showGrandTotals)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _data_item_format__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7283);


let dataItem = { propertyName: 'dataItem', displayName: 'DashboardWebStringId.DataItem' };
let uniqueName = { propertyName: 'uniqueName', modelName: '@DefaultId' };
let dataItemDataMember = { propertyName: 'dataMember', modelName: '@DataMember' };
let numericFormat = { propertyName: 'numericFormat', modelName: 'NumericFormat', displayName: 'DashboardWebStringId.TextBoxFormatText', type: _data_item_format__WEBPACK_IMPORTED_MODULE_1__/* .DataItemNumericFormat */ .Oh };
let dateTimeFormat = { propertyName: 'dateTimeFormat', modelName: 'DateTimeFormat', displayName: 'DashboardWebStringId.TextBoxFormatText', type: _data_item_format__WEBPACK_IMPORTED_MODULE_1__/* .DataItemDateTimeFormat */ .kN };
let absoluteVariationNumericFormat = { propertyName: 'absoluteVariationNumericFormat', modelName: 'AbsoluteVariationNumericFormat', type: _data_item_format__WEBPACK_IMPORTED_MODULE_1__/* .AbsoluteVariationNumericFormat */ .nm };
let percentVariationNumericFormat = { propertyName: 'percentVariationNumericFormat', modelName: 'PercentVariationNumericFormat', type: _data_item_format__WEBPACK_IMPORTED_MODULE_1__/* .PercentVariationNumericFormat */ .VW };
let percentOfTargetNumericFormat = { propertyName: 'percentOfTargetNumericFormat', modelName: 'PercentOfTargetNumericFormat', type: _data_item_format__WEBPACK_IMPORTED_MODULE_1__/* .PercentOfTargetNumericFormat */ .SL };
let showValues = { propertyName: 'showValues', modelName: '@ShowValues', displayName: 'DashboardWebStringId.DataItem.ShowValues', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let showTotals = { propertyName: 'showTotals', modelName: '@ShowTotals', displayName: 'DashboardWebStringId.DataItem.ShowTotals', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let showGrandTotals = { propertyName: 'showGrandTotals', modelName: '@ShowGrandTotals', displayName: 'DashboardWebStringId.DataItem.ShowGrandTotals', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let dataItemLinkSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, uniqueName, dataItem];
let dataItemSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, dataItemDataMember, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .name */ .UU, uniqueName, numericFormat, dateTimeFormat, showValues, showTotals, showGrandTotals];


/***/ }),

/***/ 164:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LU: () => (/* binding */ primaryAxisY),
/* harmony export */   Wh: () => (/* binding */ chartPaneName),
/* harmony export */   ec: () => (/* binding */ chartPaneSerializationsInfo),
/* harmony export */   je: () => (/* binding */ secondaryAxisY),
/* harmony export */   s2: () => (/* binding */ chartSeries)
/* harmony export */ });
/* harmony import */ var _chart_axis__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(840);

let chartSeries = { propertyName: 'series', modelName: 'Series', displayName: 'DashboardStringId.DescriptionItemSeries', array: true };
let primaryAxisY = { propertyName: 'primaryAxisY', modelName: 'AxisY', displayName: 'DashboardWebStringId.Chart.PrimaryAxisY', type: _chart_axis__WEBPACK_IMPORTED_MODULE_0__/* .ChartAxisY */ .VC };
let secondaryAxisY = { propertyName: 'secondaryAxisY', modelName: 'SecondaryAxisY', displayName: 'DashboardWebStringId.Chart.SecondaryAxisY', type: _chart_axis__WEBPACK_IMPORTED_MODULE_0__/* .ChartSecondaryAxisY */ .H$ };
let chartPaneName = { propertyName: 'name', modelName: '@Name', displayName: 'DashboardWebStringId.Chart.Name', simpleFormAdapterItem: 'textBoxEditor' };
let chartPaneSerializationsInfo = [chartSeries, primaryAxisY, secondaryAxisY, chartPaneName];


/***/ }),

/***/ 165:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $m: () => (/* binding */ colorScheme),
/* harmony export */   FI: () => (/* binding */ parameters),
/* harmony export */   Jf: () => (/* binding */ dashboardTitle),
/* harmony export */   PC: () => (/* binding */ layoutOptions),
/* harmony export */   TN: () => (/* binding */ groups),
/* harmony export */   Zp: () => (/* binding */ layout),
/* harmony export */   fW: () => (/* binding */ currencyCultureName),
/* harmony export */   ld: () => (/* binding */ items),
/* harmony export */   mt: () => (/* binding */ dashboardSerializationsInfo),
/* harmony export */   x6: () => (/* binding */ dataSources)
/* harmony export */ });
/* harmony import */ var _layout_layout_options__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3764);
/* harmony import */ var _title__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8182);
/* harmony import */ var _title__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3411);



let currencyCultureName = { propertyName: 'currencyCultureName', modelName: '@CurrencyCulture' };
let dashboardTitle = { propertyName: 'title', modelName: 'Title', displayName: 'DashboardStringId.Title', type: _title__WEBPACK_IMPORTED_MODULE_1__/* .DashboardTitle */ .B, info: _title__WEBPACK_IMPORTED_MODULE_2__/* .dashboardTitleSerializationsInfo */ .gS };
let items = { propertyName: 'items', modelName: 'Items', displayName: 'DashboardWebStringId.Dashboard.Items', array: true };
let parameters = { propertyName: 'parameters', modelName: 'Parameters', displayName: 'DashboardWebStringId.DashboardParameters', array: true };
let colorScheme = { propertyName: 'colorScheme', modelName: 'ColorScheme', displayName: 'DashboardWebStringId.DashboardMenuColorScheme', array: true };
let groups = { propertyName: 'groups', modelName: 'Groups', displayName: 'DashboardWebStringId.Dashboard.Groups', array: true };
let dataSources = { propertyName: 'dataSources', modelName: 'DataSources', displayName: 'DashboardWebStringId.DashboardMenuDataSources', array: true };
let layout = { propertyName: 'layout', modelName: 'LayoutTree' };
let layoutOptions = { propertyName: 'layoutOptions', modelName: 'LayoutOptions', type: _layout_layout_options__WEBPACK_IMPORTED_MODULE_0__/* .LayoutOptions */ .B };
let dashboardSerializationsInfo = [dashboardTitle, items, groups, dataSources, currencyCultureName, layout, layoutOptions, parameters, colorScheme];


/***/ }),

/***/ 174:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ MovingCalculation)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5354);
/* harmony import */ var _metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7685);



class MovingCalculation extends _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculation */ .Q {
    get name() {
        return 'DashboardWebStringId.Calculations.Moving';
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_2__/* .movingCalculationSerializationsInfo */ .hc;
    }
    _createInstance() {
        return new MovingCalculation();
    }
    _getExpression(argument) {
        return `${this._getAggrName(this.summaryType())}(${argument}, -${this.previousValuesCount()}, ${this.nextValuesCount()})`;
    }
}
_measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .calculationsTypesMap */ .c['Moving'] = MovingCalculation;


/***/ }),

/***/ 191:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Criteria;

/***/ }),

/***/ 206:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ DashboardLayoutCreator)
/* harmony export */ });
/* harmony import */ var _items_tab_container_item_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(517);
/* harmony import */ var _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3536);
/* harmony import */ var _dashboard_layout_group__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7944);



class DashboardLayoutCreator {
    constructor(_clientWidth = 1, _clientHeight = 1, _dashboard) {
        this._clientWidth = _clientWidth;
        this._clientHeight = _clientHeight;
        this._dashboard = _dashboard;
        this._layoutRoot = this._dashboard.layout();
        this.rebuildLayout();
    }
    rebuildLayout() {
        this._removeIncorrectLayoutNodes();
        if (this._layoutRoot.childNodes().length === 0) {
            this._layoutRoot.childNodes.push(new _dashboard_layout_group__WEBPACK_IMPORTED_MODULE_2__/* .DashboardLayoutGroup */ .C());
        }
        this._createLayoutNodes(this._dashboard.items().filter(item => item instanceof _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_1__/* .TabContainerItem */ .i));
        this._createLayoutNodes(this._dashboard._tabPages());
        this._createLayoutNodes(this._dashboard.groups());
        this._createLayoutNodes(this._dashboard.items());
    }
    _removeIncorrectLayoutNodes() {
        var layoutNodesToRemove = this._layoutRoot.getNodesRecursive().filter(layoutNode => {
            if (layoutNode.dashboardItem()) {
                var dashboardItem = this._dashboard.findItem(layoutNode.dashboardItem());
                if (!dashboardItem) {
                    return true;
                }
                else if (!!dashboardItem.parentContainer()) {
                    let parent = layoutNode.parentNode();
                    while (parent != this._layoutRoot && parent.dashboardItem() == null)
                        parent = parent.parentNode();
                    if (parent.dashboardItem() !== dashboardItem.parentContainer())
                        return true;
                }
            }
            else if (layoutNode instanceof _dashboard_layout_group__WEBPACK_IMPORTED_MODULE_2__/* .DashboardLayoutGroup */ .C && layoutNode.childNodes().length === 0) {
                return true;
            }
            return false;
        });
        layoutNodesToRemove.forEach(layoutNode => layoutNode.remove());
    }
    _getParentItem(dashboardItem) {
        if (dashboardItem instanceof _items_tab_container_item_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_0__/* .DashboardTabPage */ .b) {
            return this._dashboard.items()
                .filter(item => item instanceof _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_1__/* .TabContainerItem */ .i)
                .filter(tabContainer => tabContainer.tabPages().indexOf(dashboardItem) !== -1)[0];
        }
        return this._dashboard.findItem(dashboardItem.parentContainer());
    }
    _createLayoutNodes(dashboardItems) {
        dashboardItems
            .filter(dashboardItem => !this._layoutRoot.findLayoutItem(dashboardItem))
            .forEach(dashboardItem => {
            var parentNode = null;
            var parentItem = this._getParentItem(dashboardItem);
            if (parentItem) {
                parentNode = this._layoutRoot.findLayoutItem(parentItem);
            }
            if (!parentNode) {
                parentNode = this._layoutRoot.childNodes()[0];
            }
            this._createLayoutNode(dashboardItem, parentNode);
        });
    }
    _createLayoutNode(dashboardItem, layoutGroup) {
        if (layoutGroup.childNodes().length == 0 || this._getParentItem(dashboardItem) instanceof _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_1__/* .TabContainerItem */ .i) {
            layoutGroup.childNodes.push(this._dashboard._createDashboardLayoutNode(dashboardItem));
            return;
        }
        var maxItem = layoutGroup.getItemsRecursive().reduce((acc, layoutNode) => {
            if (acc === null) {
                return layoutNode;
            }
            else {
                if (acc._relativeArea() < layoutNode._relativeArea())
                    return layoutNode;
                return acc;
            }
        }, null);
        var newLayoutNode = this._dashboard._createDashboardLayoutNode(dashboardItem);
        if (maxItem == null) {
            layoutGroup.childNodes.push(newLayoutNode);
            return;
        }
        if (maxItem.parentNode().orientation() === 'Horizontal') {
            if (maxItem._relativeHeight() * this._clientHeight < maxItem._relativeWidth() * this._clientWidth) {
                maxItem.weight(maxItem.weight() / 2);
                newLayoutNode.weight(maxItem.weight());
                maxItem.insert(newLayoutNode, 'right');
            }
            else {
                newLayoutNode.weight(maxItem.weight());
                maxItem.insert(newLayoutNode, 'bottom');
            }
        }
        else {
            if (maxItem._relativeHeight() * this._clientHeight > maxItem._relativeWidth() * this._clientWidth) {
                maxItem.weight(maxItem.weight() / 2);
                newLayoutNode.weight(maxItem.weight());
                maxItem.insert(newLayoutNode, 'bottom');
            }
            else {
                newLayoutNode.weight(maxItem.weight());
                maxItem.insert(newLayoutNode, 'right');
            }
        }
    }
}


/***/ }),

/***/ 208:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DN: () => (/* binding */ flowDateTimePeriodLimitSerializationsInfo),
/* harmony export */   GF: () => (/* binding */ flowIntervalValues),
/* harmony export */   Nu: () => (/* binding */ convertDateTimeGroupInterval),
/* harmony export */   YP: () => (/* binding */ interval),
/* harmony export */   cY: () => (/* binding */ offset),
/* harmony export */   nS: () => (/* binding */ flowIntervalOrderedValues),
/* harmony export */   p6: () => (/* binding */ date),
/* harmony export */   te: () => (/* binding */ fixedDateTimePeriodLimitSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let flowIntervalOrderedValues = ['Year', 'Quarter', 'Month', 'Week', 'Day', 'Hour', 'Minute', 'Second'];
let flowIntervalValues = {
    'Year': 'DashboardStringId.DateTimeIntervalYear',
    'Quarter': 'DashboardStringId.DateTimeIntervalQuarter',
    'Month': 'DashboardStringId.DateTimeIntervalMonth',
    'Week': 'DashboardStringId.DateTimeIntervalWeek',
    'Day': 'DashboardStringId.DateTimeIntervalDay',
    'Hour': 'DashboardStringId.DateTimeIntervalHour',
    'Minute': 'DashboardStringId.DateTimeIntervalMinute',
    'Second': 'DashboardStringId.DateTimeIntervalSecond'
};
function convertDateTimeGroupInterval(groupInterval) {
    var map = {
        'Year': 'Year',
        'QuarterYear': 'Quarter',
        'MonthYear': 'Month',
        'DayMonthYear': 'Day',
        'DateHour': 'Hour',
        'DateHourMinute': 'Minute',
        'DateHourMinuteSecond': 'Second',
        'None': 'Second'
    };
    var dateTimeInterval = map[groupInterval];
    if (!dateTimeInterval) {
        throw Error('Argument exception');
    }
    return dateTimeInterval;
}
let interval = { propertyName: 'interval', modelName: '@Interval', defaultVal: 'Year' };
let offset = { propertyName: 'offset', modelName: '@Offset', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let flowDateTimePeriodLimitSerializationsInfo = [interval, offset];
let date = { propertyName: 'date', modelName: '@Date', defaultVal: (0,_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .fromDateToString */ .D5)(new Date()), from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .fromStringToDate */ .fl, toJsonObject: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .fromDateToString */ .D5, simpleFormAdapterItem: 'dateBoxEditor' };
let fixedDateTimePeriodLimitSerializationsInfo = [date];


/***/ }),

/***/ 280:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ FlowDateTimePeriodLimit),
/* harmony export */   y: () => (/* binding */ FixedDateTimePeriodLimit)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9167);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(208);





class FixedDateTimePeriodLimit extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.isEmpty = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
    }
    getInfo() {
        return _metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__/* .fixedDateTimePeriodLimitSerializationsInfo */ .te;
    }
    getDateTimeValue() {
        return this.date();
    }
}
class FlowDateTimePeriodLimit extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.isEmpty = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this.argumentInterval = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('Year');
    }
    getInfo() {
        return _metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__/* .flowDateTimePeriodLimitSerializationsInfo */ .DN;
    }
    _getAvailableIntervals() {
        return _metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__/* .flowIntervalOrderedValues */ .nS
            .slice(0, _metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__/* .flowIntervalOrderedValues */ .nS.indexOf((0,_metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__/* .convertDateTimeGroupInterval */ .Nu)(this.argumentInterval())) + 1)
            .map(value => {
            return {
                value: value,
                displayValue: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)(_metadata_period_limit__WEBPACK_IMPORTED_MODULE_4__/* .flowIntervalValues */ .GF[value])
            };
        });
    }
}


/***/ }),

/***/ 341:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ IconSettings)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_icon_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5020);
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2265);



class IconSettings extends _style_settings_base__WEBPACK_IMPORTED_MODULE_2__/* .StyleSettingsBase */ .S {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_icon_settings__WEBPACK_IMPORTED_MODULE_1__/* .iconSettingsSerializationsInfo */ .O;
    }
    equals(style) {
        return (style instanceof IconSettings) && this.iconType() === style.iconType();
    }
    clone() {
        var style = new IconSettings({});
        style.iconType(this.iconType());
        return style;
    }
    setSpecificType(type) {
        this.iconType(type);
    }
    init() {
        this.iconType('DirectionalGreenArrowUp');
    }
}


/***/ }),

/***/ 414:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JU: () => (/* binding */ fixedDateTimePeriodLimitProperty),
/* harmony export */   Ju: () => (/* binding */ flowDateTimePeriodLimitProperty),
/* harmony export */   vQ: () => (/* binding */ limitContainer)
/* harmony export */ });
/* harmony import */ var _period_limit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(280);

let fixedDateTimePeriodLimitProperty = {
    propertyName: 'fixed', modelName: 'FixedDateTimePeriodLimit', type: _period_limit__WEBPACK_IMPORTED_MODULE_0__/* .FixedDateTimePeriodLimit */ .y
};
let flowDateTimePeriodLimitProperty = {
    propertyName: 'flow', modelName: 'FlowDateTimePeriodLimit', type: _period_limit__WEBPACK_IMPORTED_MODULE_0__/* .FlowDateTimePeriodLimit */ .a
};
let limitContainer = [fixedDateTimePeriodLimitProperty, flowDateTimePeriodLimitProperty];


/***/ }),

/***/ 475:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ itemDataAxis)
/* harmony export */ });
/* harmony import */ var _internal_item_data_axis_helper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2456);

var helper = _internal_item_data_axis_helper__WEBPACK_IMPORTED_MODULE_0__/* .itemDataAxisHelper */ .J;
class itemDataAxis {
    constructor(dimensions, axisPoint) {
        this._dimensions = dimensions;
        this._axisPoint = axisPoint;
    }
    getDimensions() {
        return this._dimensions;
    }
    getRootPoint() {
        var getRoot = (point) => {
            var parent = point.getParent();
            if (parent)
                return getRoot(parent);
            return point;
        };
        return getRoot(this._axisPoint);
    }
    getPoints(ignoreRootPoint = false) {
        var dimensions = this.getDimensions(), lastLevelDimension = dimensions ? dimensions[dimensions.length - 1] : null;
        if (lastLevelDimension) {
            return this.getPointsByDimension(lastLevelDimension.id);
        }
        else {
            return ignoreRootPoint ? [] : [this.getRootPoint()];
        }
    }
    getAvaliableLeafPoints() {
        return this.getRootPoint().getAvaliableLeafPoints();
    }
    getPointsByDimension(dimensionId) {
        var root = this.getRootPoint(), points = [];
        if (dimensionId) {
            helper.eachPoint(root, function (point) {
                var dimension = point.getDimension();
                if (dimension && dimension.id == dimensionId) {
                    points.push(point);
                }
            });
        }
        else {
            points.push(root);
        }
        return points;
    }
    getPointByUniqueValues(values) {
        return helper.findFirstPointByUniqueValues(this.getRootPoint(), values);
    }
    getPointByUniqueValueAndDimension(value, dimensionId) {
        return helper.findFirstPointByUniqueValueAndDimension(this.getRootPoint(), value, dimensionId);
    }
    getPointByValues(values) {
        return helper.findFirstPointByValues(this.getRootPoint(), values);
    }
}


/***/ }),

/***/ 488:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M: () => (/* binding */ AppearanceSettings)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5419);
/* harmony import */ var _metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8729);
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2265);




class AppearanceSettings extends _style_settings_base__WEBPACK_IMPORTED_MODULE_3__/* .StyleSettingsBase */ .S {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .appearanceSettingsSerializationsInfo */ .hZ;
    }
    equals(style) {
        return (style instanceof AppearanceSettings) &&
            this.appearanceType() === style.appearanceType() &&
            this.fontFamily() == style.fontFamily() &&
            this.fontStyle() == style.fontStyle() &&
            _color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.equals(this.backColor(), style.backColor()) &&
            _color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.equals(this.foreColor(), style.foreColor());
    }
    clone() {
        return new AppearanceSettings({
            appearanceType: this.appearanceType(),
            fontFamily: this.fontFamily(),
            fontStyle: this.fontStyle(),
            backColor: this.backColor(),
            foreColor: this.foreColor()
        });
    }
    setSpecificType(type) {
        this.appearanceType(type);
    }
    init() {
        this.appearanceType('PaleRed');
    }
}


/***/ }),

/***/ 499:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  E: () => (/* binding */ SimpleFilterEditor)
});

// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
// EXTERNAL MODULE: ./dist/model/disposable-object.js
var disposable_object = __webpack_require__(8398);
// EXTERNAL MODULE: ./dist/data/_jquery-helpers.js
var _jquery_helpers = __webpack_require__(5988);
// EXTERNAL MODULE: ./dist/model/index.js + 12 modules
var model = __webpack_require__(7104);
// EXTERNAL MODULE: ./dist/model/data-item/dimension.js
var dimension = __webpack_require__(3599);
// EXTERNAL MODULE: ./dist/designer/_display-name-provider.js
var _display_name_provider = __webpack_require__(7687);
;// ./dist/designer/filtering/simple-filter-editor/_filter-field-wrapper.js





class FilterFieldWrapper {
    constructor(dimension, getDisplayName) {
        this.getDisplayName = getDisplayName;
        this.add = (d) => this._dimensions.push(d);
        this.dataMember = () => this._dimensions[0].dataMember();
        this.displayName = () => this._dimensions.map(d => '[' + this.getDisplayName(d) + ']').join(' - ');
        this.groupIndex = () => this._dimensions[0].groupIndex();
        this.hasItems = (path) => (this.isGroup() && !!path) ? path.length !== this._dimensions.length : this.isGroup();
        this.isGroup = () => this._dimensions.length > 1;
        this.reorder = (dataFields) => {
            if (!dataFields)
                return;
            let newDimensions = [];
            dataFields.forEach(dataField => {
                let dimension = this._dimensions.filter(d => d.dataMember() == dataField.dataMember())[0];
                if (!!dimension) {
                    newDimensions.push(dimension);
                }
            });
            this._dimensions = newDimensions;
        };
        this._dimensions = [dimension];
    }
}
class FilterFieldSelector extends model.DisposableObject {
    constructor(dashboardItem, dataSourceBrowser, selectedFieldChanged) {
        super();
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
        this._selectedField = external_ko_.observable();
        this._fields = external_ko_.observableArray();
        this.template = {
            name: 'dx-simple-filter-data-field-selector',
            data: {
                selectedField: this._selectedField,
                fields: this._fields
            }
        };
        this.toDispose(this._selectedField.subscribe(field => {
            selectedFieldChanged(field);
        }));
    }
    get selectedField() {
        return this._selectedField();
    }
    init() {
        this._loadDataFields().done((fields) => {
            this._selectedField(fields[0]);
            this._fields(fields);
        });
    }
    clear() {
        this._selectedField(null);
    }
    _loadDataFields() {
        let deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        let dimensions = this.dashboardItem._uniqueDataItems.filter(item => item instanceof dimension/* Dimension */.f);
        let result = this._generateFields(dimensions);
        let findPromises = dimensions.map(dimension => this.dataSourceBrowser.findDataField(this.dashboardItem.dataSource(), this.dashboardItem.dataMember(), dimension.dataMember()));
        (0,_jquery_helpers/* jqueryWhenArray */.wj)(findPromises).done((...dataFields) => {
            result.forEach(wrapper => {
                if (wrapper.groupIndex() !== undefined && wrapper.groupIndex() !== null) {
                    let groupedFields = dataFields.filter(dataField => !!dataField && dataField.groupIndex() == wrapper.groupIndex());
                    wrapper.reorder(groupedFields && groupedFields.length > 0 && groupedFields[0].groupDataItems);
                }
            });
            deferred.resolve(result);
        });
        return deferred.promise();
    }
    _generateFields(dimensions) {
        let fields = [];
        return dimensions.reduce((acc, dimension) => {
            if (dimension.groupIndex() !== undefined && dimension.groupIndex() !== null) {
                var groupField = acc.filter(wrapper => wrapper.groupIndex() === dimension.groupIndex())[0];
                if (groupField) {
                    groupField.add(dimension);
                    return acc;
                }
            }
            acc.push(new FilterFieldWrapper(dimension, (dataItem) => (0,_display_name_provider/* getDataItemDisplayName */.F)(this.dataSourceBrowser, this.dashboardItem, dataItem)));
            return acc;
        }, []);
    }
}

// EXTERNAL MODULE: external "DevExpress.data.ArrayStore"
var external_DevExpress_data_ArrayStore_ = __webpack_require__(6692);
var external_DevExpress_data_ArrayStore_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_ArrayStore_);
// EXTERNAL MODULE: external "DevExpress.data.CustomStore"
var external_DevExpress_data_CustomStore_ = __webpack_require__(2262);
var external_DevExpress_data_CustomStore_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_CustomStore_);
// EXTERNAL MODULE: external "DevExpress.ui.dxCheckBox"
var external_DevExpress_ui_dxCheckBox_ = __webpack_require__(5585);
var external_DevExpress_ui_dxCheckBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxCheckBox_);
// EXTERNAL MODULE: ./dist/data/_utils.js
var _utils = __webpack_require__(4833);
;// ./dist/designer/filtering/simple-filter-editor/_simple-filter-tree-list.js








const treeRootValue = '0';
class SimpleFilterTreeList extends model.DisposableObject {
    constructor(dashboardItem, dataSourceBrowser) {
        super();
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
        this._dataCache = [];
        this.template = {
            name: 'dx-simple-filter-tree-list',
            data: {
                editorOptions: external_ko_.observable(undefined),
                visible: external_ko_.observable(false)
            }
        };
    }
    reload(field) {
        this._dataCache = [];
        this.template.data.editorOptions(this._getTreeListOptions(this._getStore(field), field && !field.isGroup()));
    }
    show(field) {
        this.template.data.visible(true);
        this.reload(field);
    }
    hide() {
        this.template.data.visible(false);
        this.template.data.editorOptions(undefined);
    }
    getTreeListItems() {
        return this._dataCache;
    }
    dispose() {
        this.dispose();
        this._dataCache = [];
        this.treeList?.dispose();
    }
    _getBranchIndexes(filterItems, initialParentId) {
        let branchIndexes = [];
        let parentId = initialParentId;
        while (parentId !== treeRootValue) {
            var index = (0,_utils/* findIndex */.SL)(filterItems, filterItem => filterItem.id == parentId);
            branchIndexes.push(index);
            parentId = filterItems[index].parentId;
        }
        return branchIndexes.reverse();
    }
    _getStore(selectedField) {
        return new (external_DevExpress_data_CustomStore_default())({
            load: (options) => {
                if (!selectedField) {
                    return undefined;
                }
                let result = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                if (options.filter) {
                    new (external_DevExpress_data_ArrayStore_default())({ data: this._dataCache })
                        .load({ filter: options.filter })
                        .then((data) => {
                        if (data && data.length) {
                            result.resolve(data);
                        }
                        else if (options.filter[0] === 'parentId') {
                            let parentId = (options.filter && options.filter[0] === 'parentId') ? options.filter[2] : treeRootValue;
                            let pathComponents = !!parentId ? parentId.split('.') : undefined;
                            let filterItemsState = this.getTreeListItems();
                            let branch = this._getBranchIndexes(filterItemsState, parentId);
                            this.dataSourceBrowser.getDimensionFilterItems(this.dashboardItem, selectedField.dataMember(), filterItemsState.map(i => i.data), branch).done(expandedItems => {
                                let items = expandedItems.map((item, index) => {
                                    return {
                                        id: parentId + '.' + index,
                                        parentId: parentId,
                                        displayName: item.IsBlank ? '(Blank)' : item.Text,
                                        hasItems: selectedField.hasItems(pathComponents),
                                        data: item
                                    };
                                });
                                var parentIndex = (0,_utils/* findIndex */.SL)(this._dataCache, item => item.id === parentId);
                                this._dataCache.splice(parentIndex + 1, 0, ...items);
                                result.resolve(items);
                            });
                        }
                        else {
                            result.resolve([]);
                        }
                    });
                }
                return (0,_jquery_helpers/* $promiseAdapter */.fy)(result.promise());
            }
        });
    }
    _getTreeListOptions(store, searchEnabled) {
        return {
            dataSource: { store: store },
            noDataText: '',
            encodeNoDataText: true,
            rootValue: treeRootValue,
            dataStructure: 'plain',
            keyExpr: 'id',
            parentIdExpr: 'parentId',
            hasItemsExpr: 'hasItems',
            columns: [{
                    caption: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementShowAllItem'),
                    dataField: 'displayName',
                }],
            selection: {
                allowSelectAll: true,
                mode: 'multiple',
                recursive: true
            },
            scrolling: {
                mode: 'virtual'
            },
            searchPanel: {
                placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.SearchNullValuePrompt'),
                visible: searchEnabled,
                width: '100%',
                searchVisibleColumnsOnly: true
            },
            remoteOperations: {
                filtering: true
            },
            showRowLines: false,
            onEditorPrepared: (e) => {
                (0,_jquery_helpers/* $unwrap */.I1)(e.editorElement).classList.remove('dx-treelist-checkbox-size');
            },
            onSelectionChanged: (e) => {
                e.component.forEachNode(node => {
                    node.data.data.IsChecked = e.component.isRowSelected(node.key);
                });
            },
            onCellPrepared: (e) => {
                if (e.rowType === 'data' && (e.data.data.IsChecked === null || e.data.data.IsChecked === undefined)) {
                    let editor = external_DevExpress_ui_dxCheckBox_default().getInstance((0,_jquery_helpers/* $unwrap */.I1)(e.cellElement).querySelector('.dx-select-checkbox'));
                    if (editor) {
                        editor.option('value', undefined);
                    }
                }
            },
            onNodesInitialized: (e) => {
                let selectedKeys = [];
                e.component.forEachNode(node => {
                    if (node.data.data.IsChecked) {
                        selectedKeys.push(node.key);
                    }
                });
                e.component.selectRows(selectedKeys, false);
            },
            onInitialized: (e) => {
                this.treeList = e.component;
            },
        };
    }
}

;// ./dist/designer/filtering/simple-filter-editor/_simple-filter-editor.js





class SimpleFilterEditor extends disposable_object/* DisposableObject */.I {
    constructor(dashboardItem, dataSourceBrowser) {
        super();
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
        this.popupVisible = external_ko_.observable(false);
        this._filterTreeList = new SimpleFilterTreeList(dashboardItem, dataSourceBrowser);
        this._fieldSelector = new FilterFieldSelector(dashboardItem, dataSourceBrowser, (field) => {
            this._filterTreeList.reload(field);
        });
        this._fieldSelector.init();
        this.viewModel = {
            getPopupOptions: (container) => {
                return {
                    target: container,
                    container: container,
                    position: {
                        my: 'center',
                        at: 'center',
                        boundary: container
                    },
                    height: '50%',
                    width: '50%',
                    minHeight: '250px',
                    minWidth: '250px',
                    animation: {},
                    focusStateEnabled: true,
                    resizeEnabled: true,
                    hideOnOutsideClick: false,
                    toolbarItems: [
                        { toolbar: 'bottom',
                            location: 'after',
                            widget: 'dxButton',
                            options: {
                                text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Save'),
                                onClick: () => this._applyHandler()
                            }
                        },
                        { toolbar: 'bottom',
                            location: 'after',
                            widget: 'dxButton',
                            options: {
                                text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Cancel'),
                                onClick: () => { this._onPopupHidden(); }
                            }
                        }
                    ],
                    onHidden: () => this._onPopupHidden(),
                    onShown: () => this._onPopupShown(),
                    visible: this.popupVisible,
                    shadingColor: 'rgba(0, 0, 0, 0.2)',
                    showTitle: true,
                    title: (0,_default/* getLocalizationById */.Mu)('DataAccessUIStringId.FiltersView'),
                    wrapperAttr: {
                        class: 'dx-filter-popup dx-dashboard-typography dx-dashboard-simple-filter'
                    }
                };
            },
            fieldSelector: this._fieldSelector,
            filterTreeList: this._filterTreeList
        };
    }
    _onPopupHidden() {
        this.popupVisible(false);
        this._filterTreeList.hide();
    }
    _onPopupShown() {
        this._filterTreeList.show(this._fieldSelector.selectedField);
    }
    _applyHandler() {
        if (!!this._fieldSelector.selectedField) {
            this.dataSourceBrowser.getDimensionFilterString(this.dashboardItem, this._fieldSelector.selectedField.dataMember(), this._filterTreeList.getTreeListItems().map(i => i.data)).done(filterString => {
                this.dashboardItem.filterString(filterString);
            });
        }
        this.popupVisible(false);
    }
    dispose() {
        super.dispose();
        this._fieldSelector.dispose();
        this._filterTreeList.dispose();
    }
}


/***/ }),

/***/ 507:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ scatterWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let scatterWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([]);


/***/ }),

/***/ 516:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   x: () => (/* binding */ Dashboard)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9167);
/* harmony import */ var _colorization_color_scheme_entry__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3578);
/* harmony import */ var _custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4634);
/* harmony import */ var _dashboard_state__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(2216);
/* harmony import */ var _data_sources_data_source_factory_base__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(858);
/* harmony import */ var _data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3052);
/* harmony import */ var _data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2878);
/* harmony import */ var _data_sources_mongodb_data_source__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(2896);
/* harmony import */ var _data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5709);
/* harmony import */ var _internal_array_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(2972);
/* harmony import */ var _internal_dashboard_component_name_generator__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(1943);
/* harmony import */ var _internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(2020);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(2037);
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(5792);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(1041);
/* harmony import */ var _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(7899);
/* harmony import */ var _items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(1625);
/* harmony import */ var _items_data_dashboard_item__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(9692);
/* harmony import */ var _items_group_group_item__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(818);
/* harmony import */ var _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(3536);
/* harmony import */ var _layout_dashboard_layout_creator__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(206);
/* harmony import */ var _layout_layout_utils__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(3620);
/* harmony import */ var _layout_dashboard_layout_group__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(7944);
/* harmony import */ var _layout_dashboard_layout_item__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(1892);
/* harmony import */ var _metadata_dashboard__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(165);
/* harmony import */ var _parameters_parameter__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(8058);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(1513);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





























class Dashboard extends _serializable_model__WEBPACK_IMPORTED_MODULE_25__/* .SerializableModel */ .Lm {
    static _createDataSource(dataSourceJSON, serializer) {
        var itemTypeName = dataSourceJSON['@ItemType'];
        var itemType = Dashboard._dataSourceTypesMap[itemTypeName];
        return new itemType(dataSourceJSON, serializer);
    }
    get stateString() {
        var state = this._state();
        return Object.keys(state).length ? JSON.stringify(state) : '';
    }
    set stateString(stateVal) {
        if (!stateVal)
            return;
        this._state(JSON.parse(stateVal));
    }
    constructor(dashboardJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardJSON, serializer);
        this.dashboardJSON = dashboardJSON;
        this._tempParameterValues = {};
        this.dataSources = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardJSON.DataSources, (item) => Dashboard._createDataSource(item, serializer));
        this.groups = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardJSON.Groups, (group) => (0,_items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_15__/* .createDashboardItem */ .a)(group, serializer));
        this.items = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardJSON.Items, (item) => (0,_items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_15__/* .createDashboardItem */ .a)(item, serializer));
        this._tabPages = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.addDisposable(this._componentNameGenerator = new _internal_dashboard_component_name_generator__WEBPACK_IMPORTED_MODULE_11__/* .DashboardUniqueNameGenerator */ .O('componentName', 1, this.dataSources, this.items, this.groups, this._tabPages));
        this.addDisposable(this._allItems = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => [...this.items(), ...this.groups(), ...this._tabPages()]));
        this.addDisposable((0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_14__/* .subscribeArrayChange */ .w$)(this.dataSources, {
            added: (newDataSource) => {
                if (newDataSource instanceof _data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_7__/* .FederationDataSource */ .RC) {
                    newDataSource.context()
                        .forEach(contextItem => {
                        var dataSourceToAdd = contextItem.source();
                        if (dataSourceToAdd) {
                            if (!this.dataSources().includes(dataSourceToAdd)) {
                                if (!dataSourceToAdd.componentName() || this.dataSources().find(ds => ds.componentName() === dataSourceToAdd.componentName()) === undefined)
                                    this.dataSources.push(dataSourceToAdd);
                                else {
                                }
                            }
                            newDataSource.sources()
                                .filter(source => source.dataSource() === contextItem.id())
                                .forEach(source => source.dataSource(dataSourceToAdd.componentName()));
                        }
                    });
                    newDataSource.context.removeAll();
                }
                if (!newDataSource.name()) {
                    newDataSource.name(_internal_helper_classes__WEBPACK_IMPORTED_MODULE_13__/* .NameGenerator */ .$A.generateName((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)('DashboardStringId.DefaultDataSourceName') + ' ', knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(this.dataSources), 'name', 1));
                }
            }
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var newTabPagesList = this.items()
                .filter(item => item instanceof _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_18__/* .TabContainerItem */ .i)
                .reduce((acc, tabPage) => acc.concat(tabPage.tabPages()), []);
            this._tabPages()
                .filter(removedTabPage => newTabPagesList.indexOf(removedTabPage) === -1)
                .forEach(removedTabPage => this._tabPages.remove(removedTabPage));
            newTabPagesList
                .filter(newTabPage => this._tabPages().indexOf(newTabPage) === -1)
                .forEach(newTabPage => this._tabPages.push(newTabPage));
        }));
        this.addDisposable(this._componentNameGenerator);
        this.parameters = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.parameters((0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardJSON.Parameters, (item) => new _parameters_parameter__WEBPACK_IMPORTED_MODULE_24__/* .Parameter */ .k(item, serializer))());
        this.colorScheme = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardJSON.ColorScheme, (item) => new _colorization_color_scheme_entry__WEBPACK_IMPORTED_MODULE_3__/* .ColorSchemeEntry */ .r(item, serializer));
        this.addDisposable((0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_14__/* .subscribeArrayChange */ .w$)(this.dataSources, {
            deleted: this._processDeleteDataSource.bind(this)
        }));
        this.addDisposable(this._queryParameters = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return (0,_parameters_parameter__WEBPACK_IMPORTED_MODULE_24__/* ._getParametersQuery */ .q)(this.parameters(), this._tempParameterValues);
        }));
        this.addDisposable(this._dataDashboardItems = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return this.items().filter(item => item instanceof _items_data_dashboard_item__WEBPACK_IMPORTED_MODULE_16__/* .DataDashboardItem */ .s);
        }));
        this.addDisposable(this._masterFilterItems = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return this._dataDashboardItems()
                .filter(item => item._isMasterFilter() && this._interactivityGroupPathToRoot(item).every(containerItem => containerItem.interactivityOptions.isMasterFilter()));
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            this._dataDashboardItems().forEach(detailItem => {
                var masterItems = this._dataDashboardItems()
                    .filter(item => item !== detailItem && item._isMasterFilter())
                    .filter(item => {
                    if (item.isMasterFilterCrossDataSource())
                        return true;
                    return item.dataSource() == detailItem.dataSource() && item.dataMember() == detailItem.dataMember();
                })
                    .filter(item => {
                    let masterGroups = this._interactivityGroupPathToRoot(item).reverse();
                    let detailGroups = this._interactivityGroupPathToRoot(detailItem).reverse();
                    while (masterGroups.length && detailGroups.length && masterGroups[0] === detailGroups[0]) {
                        masterGroups.shift();
                        detailGroups.shift();
                    }
                    if (masterGroups.some(masterGroup => !masterGroup.interactivityOptions.isMasterFilter())) {
                        return false;
                    }
                    if (detailGroups.length === 0) {
                        return !detailItem._isIgnoreMasterFilter();
                    }
                    else {
                        return !detailGroups[0].interactivityOptions.ignoreMasterFilters();
                    }
                });
                if (!(0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_10__/* .arrayEquals */ .ng)(detailItem._masterFilterItems.peek(), masterItems)) {
                    detailItem._masterFilterItems(masterItems);
                }
            });
        }));
        this.addDisposable(this._state = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                var state = new _dashboard_state__WEBPACK_IMPORTED_MODULE_26__/* .DashboardState */ .sl();
                if (this.parameters().length > 0) {
                    var parametersState = {};
                    this.parameters().forEach(param => {
                        parametersState[param.name()] = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_27__/* .toStringArray */ .oU)(param._actualValue());
                    });
                    if (Object.keys(parametersState).length) {
                        state.Parameters = parametersState;
                    }
                }
                if (this.items().length > 0) {
                    var itemsState = {};
                    this.items().forEach(item => {
                        var itemState = item._state();
                        if (itemState && Object.keys(itemState).length) {
                            itemsState[item.componentName()] = itemState;
                        }
                    });
                    if (Object.keys(itemsState).length) {
                        state.Items = itemsState;
                    }
                }
                return state;
            },
            write: (dashboardState) => {
                var obsoleteDashboardState = dashboardState;
                var parametersState = dashboardState.Parameters || obsoleteDashboardState.parameters;
                if (parametersState) {
                    this.parameters().forEach(parameter => {
                        if (parametersState[parameter.name()] !== undefined) {
                            var parameterValue = parametersState[parameter.name()];
                            if (Array.isArray(parameterValue)) {
                                parameterValue = parameterValue.map(_internal_date_utils__WEBPACK_IMPORTED_MODULE_27__/* .tryConvertToDateTime */ .bt);
                            }
                            else {
                                parameterValue = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_27__/* .tryConvertToDateTime */ .bt)(parameterValue);
                            }
                            parameter._value(parameterValue);
                        }
                    });
                }
                var itemsState = dashboardState.Items || obsoleteDashboardState.items;
                if (itemsState) {
                    Object.keys(itemsState).forEach((name) => {
                        var dashboardItemModel = this.findItem(name);
                        if (dashboardItemModel) {
                            dashboardItemModel._setState(itemsState[name]);
                        }
                    });
                }
            }
        }));
        var item = new _layout_dashboard_layout_group__WEBPACK_IMPORTED_MODULE_21__/* .DashboardLayoutRootGroup */ .M(this, dashboardJSON.LayoutTree || {}, serializer);
        this.layout(item);
        this.addDisposable(item);
        this.addDisposable(this._colorableItems = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => this._dataDashboardItems().filter(dataDashboardItem => dataDashboardItem._isGloballyColored)));
    }
    dispose() {
        super.dispose();
        this.title?.dispose();
        this.customProperties?.dispose();
        [this.items, this.groups, this._tabPages, this.parameters, this.colorScheme].forEach((array) => {
            this.disposeObservableArray(array);
        });
        this.removeProperties();
        this.disposed = true;
    }
    getInfo() {
        return _metadata_dashboard__WEBPACK_IMPORTED_MODULE_23__/* .dashboardSerializationsInfo */ .mt.concat((0,_custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_4__/* .getCustomPropertiesSerializationInfo */ .P)(this));
    }
    getJSON() {
        return new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer({ useRefs: false, serializeDate: _internal_date_utils__WEBPACK_IMPORTED_MODULE_27__/* .serializeDate */ .ls }).serialize(this, this.getInfo());
    }
    findItem(itemId) {
        var item = this.items().filter(filterItem => filterItem.componentName() === itemId)[0];
        if (!item) {
            item = this.groups().filter(filterItem => filterItem.componentName() === itemId)[0];
        }
        if (!item) {
            item = this._tabPages().filter(filterItem => filterItem.componentName() === itemId)[0];
        }
        return item;
    }
    rebuildLayout(clientWidth = 1, clientHeight = 1) {
        new _layout_dashboard_layout_creator__WEBPACK_IMPORTED_MODULE_19__/* .DashboardLayoutCreator */ .v(clientWidth, clientHeight, this).rebuildLayout();
    }
    _getDisplayDashboardItem(tabPage) {
        if (!tabPage || !tabPage.showItemAsTabPage())
            return tabPage;
        let itemsOnTabPage = this.items().concat(this.groups()).filter(item => item.parentContainer() === tabPage.componentName());
        return itemsOnTabPage.length === 1 && !(itemsOnTabPage[0] instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_17__/* .GroupItem */ .N) ? itemsOnTabPage[0] : tabPage;
    }
    _changeItem(oldItem, newItem) {
        var dashboardLayoutItem = this.layout().findLayoutItem(oldItem);
        this.items.replace(oldItem, newItem);
        if (dashboardLayoutItem) {
            dashboardLayoutItem.item = newItem;
        }
    }
    _duplicateItem(item) {
        var dashboardLayoutItem = this.layout().findLayoutItem(item);
        var serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer({ useRefs: false });
        var itemJSON = serializer.serialize(item);
        var itemCopy = (0,_items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_15__/* .createDashboardItem */ .a)(itemJSON, serializer);
        itemCopy.componentName(undefined);
        this.items.push(itemCopy);
        var newDashboardLayoutItem = new _layout_dashboard_layout_item__WEBPACK_IMPORTED_MODULE_22__/* .DashboardLayoutItem */ .Q();
        newDashboardLayoutItem.item = itemCopy;
        newDashboardLayoutItem.weight(dashboardLayoutItem.weight());
        dashboardLayoutItem.insert(newDashboardLayoutItem, 'left');
    }
    _createDashboardLayoutItem(modelItemJson) {
        if (!!modelItemJson) {
            var newItemModel = (0,_items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_15__/* .createDashboardItem */ .a)(modelItemJson);
            newItemModel.name(_internal_helper_classes__WEBPACK_IMPORTED_MODULE_13__/* .NameGenerator */ .$A.generateName((0,_internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_12__/* .getItemTitle */ .KT)(newItemModel) + ' ', this.items().concat(this.groups()), 'name', 1));
            if (this.dataSources().length > 0 && newItemModel instanceof _items_data_dashboard_item__WEBPACK_IMPORTED_MODULE_16__/* .DataDashboardItem */ .s) {
                newItemModel.dataSource(this.dataSources()[0].componentName());
                if (this.dataSources()[0] instanceof _data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__/* .SqlDataSource */ .w) {
                    var sqlDataSource = (this.dataSources()[0]);
                    sqlDataSource.queries().length > 0 && newItemModel.dataMember(sqlDataSource.queries()[0].name());
                }
                if (this.dataSources()[0] instanceof _data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_6__/* .EFDataSource */ .f) {
                    var efDataSource = (this.dataSources()[0]);
                    if (!efDataSource._tables().length) {
                        var subscription = efDataSource._tables.subscribe((tables) => {
                            let dataDashboardItem = newItemModel;
                            if (dataDashboardItem.dataSource() === efDataSource.componentName() && !dataDashboardItem.dataMember.peek()) {
                                newItemModel.dataMember(tables[0].dataMember());
                            }
                            subscription.dispose();
                        });
                    }
                    else {
                        newItemModel.dataMember(efDataSource._tables()[0].dataMember());
                    }
                }
                if (this.dataSources()[0] instanceof _data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_7__/* .FederationDataSource */ .RC) {
                    var feredationDataSource = (this.dataSources()[0]);
                    feredationDataSource.queries().length > 0 && newItemModel.dataMember(feredationDataSource.queries()[0].alias());
                }
                if (this.dataSources()[0] instanceof _data_sources_mongodb_data_source__WEBPACK_IMPORTED_MODULE_8__/* .MongoDBDataSource */ .u) {
                    let mongoDBDataSource = (this.dataSources()[0]);
                    mongoDBDataSource.queries().length > 0 && newItemModel.dataMember(mongoDBDataSource.queries()[0]._actualName());
                }
            }
            if (newItemModel instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_17__/* .GroupItem */ .N) {
                this.groups.push(newItemModel);
            }
            else {
                this.items.push(newItemModel);
            }
            return this._createDashboardLayoutNode(newItemModel);
        }
        return new _layout_dashboard_layout_group__WEBPACK_IMPORTED_MODULE_21__/* .DashboardLayoutGroup */ .C();
    }
    _createDashboardLayoutNode(dashboardItem) {
        var itemType = null;
        if (dashboardItem instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_17__/* .GroupItem */ .N) {
            itemType = 'LayoutGroup';
        }
        else if (dashboardItem instanceof _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_18__/* .TabContainerItem */ .i) {
            itemType = 'LayoutTabContainer';
        }
        else {
            itemType = 'LayoutItem';
        }
        var newLayoutItemModel = (0,_layout_layout_utils__WEBPACK_IMPORTED_MODULE_20__/* .deserializeDashboardLayoutNode */ .k)({ '@ItemType': itemType });
        newLayoutItemModel.item = dashboardItem;
        return newLayoutItemModel;
    }
    _findDataItem(itemId) {
        return this._dataDashboardItems().filter(item => item.componentName() == itemId)[0];
    }
    _interactivityGroupPathToRoot(dashboardItem) {
        let getParentContainerItem = (item) => {
            return (!!item.parentContainer() && this.findItem(item.parentContainer()) || undefined);
        };
        let parentContainers = [];
        let parentContainerItem = dashboardItem;
        do {
            parentContainerItem = getParentContainerItem(parentContainerItem);
            if (parentContainerItem) {
                parentContainers.push(parentContainerItem);
            }
        } while (parentContainerItem);
        return parentContainers;
    }
    _processDeleteDataSource(dataSource) {
        this._dataDashboardItems()
            .filter(item => item.dataSource() == dataSource.componentName())
            .forEach(item => item._clearBindings());
    }
}
Dashboard._dataSourceTypesMap = { 'FederationDataSource': _data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_7__/* .FederationDataSource */ .RC, ..._data_sources_data_source_factory_base__WEBPACK_IMPORTED_MODULE_5__/* ._baseDataSourceTypesMap */ .D };
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_28__/* .wrapWithUndoRedo */ .JZ
], Dashboard.prototype, "_changeItem", null);
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_28__/* .wrapWithUndoRedo */ .JZ
], Dashboard.prototype, "_duplicateItem", null);
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_28__/* .wrapWithUndoRedo */ .JZ
], Dashboard.prototype, "_processDeleteDataSource", null);


/***/ }),

/***/ 517:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ DashboardTabPage)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4391);
/* harmony import */ var _metadata_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2570);



class DashboardTabPage extends _dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .DashboardItem */ .K {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this._uniqueNamePrefix = 'dashboardTabPage';
    }
    _getInfoCore() {
        return _metadata_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_2__/* .tabPageSerializationInfo */ .z;
    }
    getUniqueNamePrefix() {
        return this._uniqueNamePrefix;
    }
    _getDefaultItemType() {
        return 'Page';
    }
}


/***/ }),

/***/ 546:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Data;

/***/ }),

/***/ 563:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ getCategoryContentName),
/* harmony export */   g: () => (/* binding */ PaneContentHolder)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4904);



var categoriesCompatibilityInfo = {};
categoriesCompatibilityInfo[_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Initialize] = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Data, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Initialize, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Interactivity, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ClientState, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Coloring];
categoriesCompatibilityInfo[_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Data] = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Data, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Initialize, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Interactivity, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ClientState, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Coloring];
categoriesCompatibilityInfo[_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Interactivity] = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Data, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Initialize, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Interactivity, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ClientState, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Coloring];
categoriesCompatibilityInfo[_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ClientState] = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Data, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Initialize, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Interactivity, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ClientState, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Coloring];
categoriesCompatibilityInfo[_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Coloring] = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Data, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Initialize, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Interactivity, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ClientState, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.Coloring];
var localProcessedCategories = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw.ViewModel];
var categoryContentNames = {
    Data: 'data',
    Initialize: 'data',
    Interactivity: 'data',
    ClientState: 'data',
    Map: 'map',
    ViewModel: 'viewModel',
};
function getCategoryContentName(category) {
    var catName = _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .PropertyCategory */ .Sw[category];
    return categoryContentNames[catName] || 'data';
}
class PaneContentHolder extends _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.Disposable {
    get lastChangeReason() {
        return this._lastChangeReason;
    }
    dispose() {
        super.dispose();
        this.resetObservableArray(this._content);
        this.removeProperties();
    }
    getValidValue() {
        return this._content().length && this._content().filter(content => content.requestsInProgress() !== 0 || !content.content()).length === 0;
    }
    updateIsValidValue() {
        this.valid(this.getValidValue());
    }
    constructor() {
        super();
        this._content = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.valid = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(this.getValidValue());
        this._disposables.push(this._content.subscribe(changes => {
            this.updateIsValidValue();
        }, null, 'arrayChange'));
    }
    _getContentInfo(category) {
        var compatibleCategories = this.getCompatibleCategories(category);
        var catName = getCategoryContentName(compatibleCategories[0]);
        var content = this._content().filter(contentItem => contentItem.category === catName)[0];
        if (!content) {
            content = {
                category: catName,
                content: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(),
                requestsInProgress: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(0),
                needAnotherRequest: false
            };
            this._content.push(content);
        }
        return content;
    }
    getContent(category) {
        return this._getContentInfo(category).content();
    }
    isValid(category) {
        var content = this._getContentInfo(category);
        return content.requestsInProgress() === 0 && !!content.content();
    }
    isWaitingForContent(category) {
        var contents = category ? [this._getContentInfo(category)] : this._content();
        return contents.some(content => content.requestsInProgress() !== 0);
    }
    getCompatibleCategories(category) {
        return categoriesCompatibilityInfo[category] || [category];
    }
    needRequestContentFromServer(category) {
        return localProcessedCategories.indexOf(category) === -1;
    }
    itemChanged(category) {
        var content = this._getContentInfo(category);
        content.needAnotherRequest = this.isWaitingForContent(category);
        content.content(undefined);
        this.updateIsValidValue();
    }
    beginRequest(category) {
        var content = this._getContentInfo(category);
        content.requestsInProgress(content.requestsInProgress() + 1);
        this.updateIsValidValue();
    }
    endRequest(args) {
        this._lastChangeReason = args.category;
        var content = this._getContentInfo(args.category);
        if (!content.needAnotherRequest) {
            content.content(args.response);
        }
        content.needAnotherRequest = false;
        content.requestsInProgress(content.requestsInProgress() - 1);
        this.updateIsValidValue();
    }
}


/***/ }),

/***/ 592:
/***/ ((module) => {

module.exports = DevExpress.QueryBuilder.Utils;

/***/ }),

/***/ 604:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Fl: () => (/* binding */ formatValue),
/* harmony export */   uv: () => (/* binding */ createItemFilterOptions),
/* harmony export */   vj: () => (/* binding */ getValuesList)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2991);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_formatter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6726);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5988);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1923);
/* harmony import */ var _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3599);
/* harmony import */ var _model_parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2809);
/* harmony import */ var _dx_designer_integration__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8042);








function formatValue(value, dataItem, fieldTypeName) {
    var getFormatViewModel = (fieldTypeName) => {
        var fieldType = _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItem */ .sO.typesMap[fieldTypeName];
        switch (fieldType) {
            case _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItem */ .sO.typesMap.DateTime:
                return dataItem.dateTimeFormat._getViewModel(dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_5__/* .Dimension */ .f ? dataItem.dateTimeGroupInterval() : undefined);
            case _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItem */ .sO.typesMap.Decimal:
            case _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItem */ .sO.typesMap.Double:
            case _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItem */ .sO.typesMap.Integer:
                return dataItem.numericFormat._getViewModel();
            default:
                return undefined;
        }
    };
    var formatViewModel = getFormatViewModel(fieldTypeName);
    return !!formatViewModel ? (0,_data_formatter__WEBPACK_IMPORTED_MODULE_2__/* .format */ .GP)(value, formatViewModel) : value;
}
var getValuesList = ({ dataItemValuesProvider, dataSource, dataMember, dataField, dataItem }) => {
    var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
    dataItemValuesProvider.getDimensionUniqueValues(dataSource, dataMember, dataItem)
        .done(values => {
        deferred.resolve((values || [])
            .filter(value => value !== null)
            .map(value => {
            if (dataField.fieldType() === 'Text') {
                return value;
            }
            else {
                return {
                    value: value,
                    display: formatValue(value, dataItem, dataField.fieldType())
                };
            }
        }));
    });
    return deferred.promise();
};
var createItemFilterOptions = (expression, item, _dataSourceBrowser, title) => {
    return knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
        var options = new _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_0__.FilterStringOptions(expression, undefined, undefined, title);
        options.popupContainer = '.dx-dashboard-widget-container';
        options.helper.aceTheme = (0,_dx_designer_integration__WEBPACK_IMPORTED_MODULE_7__/* .getAceTheme */ .r)();
        if (_dataSourceBrowser && _dataSourceBrowser.parameters) {
            options.helper.parameters(_dataSourceBrowser.parameters().map(parameter => {
                var shortTypeName = parameter.type().split(',')[0];
                return { displayName: parameter.name(), name: parameter.name(), specifics: _model_parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_6__/* .ParameterHelper */ ._.typeValues.filter(typeDescription => typeDescription.value === shortTypeName)[0].specifics || 'string' };
            }));
            options.helper.canChoiceParameters = true;
        }
        if (item) {
            options['item'] = item;
        }
        return options;
    });
};


/***/ }),

/***/ 611:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ zIndex)
/* harmony export */ });
const zIndex = {
    floatingToolbar: 95,
    dashboardItemShield: 100,
    dashboardItemTooltips: 110,
};


/***/ }),

/***/ 623:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Gi: () => (/* binding */ valueMemberSerialization),
/* harmony export */   RY: () => (/* binding */ dataMemberSerialization),
/* harmony export */   T6: () => (/* binding */ sortOrder),
/* harmony export */   aX: () => (/* binding */ sortByMember),
/* harmony export */   cF: () => (/* binding */ _dataSourceNameSerialization),
/* harmony export */   ee: () => (/* binding */ _dataMemberSerialization),
/* harmony export */   eu: () => (/* binding */ dynamicListLookUpSettingsSerializationsInfo),
/* harmony export */   jX: () => (/* binding */ dataSourceNameSerialization),
/* harmony export */   n3: () => (/* binding */ displayMemberSerialization)
/* harmony export */ });
let dataSourceNameSerialization = { propertyName: 'dataSource', modelName: '@DataSourceName', defaultVal: null };
let dataMemberSerialization = { propertyName: 'dataMember', modelName: '@DataMember', defaultVal: null };
let valueMemberSerialization = { propertyName: 'valueMemberName', modelName: '@ValueMember', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember', defaultVal: null };
let displayMemberSerialization = { propertyName: 'displayMemberName', modelName: '@DisplayMember', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember', defaultVal: null };
let sortByMember = { propertyName: 'sortByMember', modelName: '@SortByMember', displayName: 'DashboardWebStringId.Parameters.SortByMember', defaultVal: null };
let sortOrder = {
    propertyName: 'sortOrder', modelName: '@SortOrder', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder', defaultVal: 'Ascending', simpleFormAdapterItem: 'listEditor', values: {
        'Ascending': 'DevExpress.DashboardCommon.DimensionSortOrder.Ascending',
        'Descending': 'DevExpress.DashboardCommon.DimensionSortOrder.Descending',
        'None': 'DevExpress.DashboardCommon.DimensionSortOrder.None'
    }
};
let _dataMemberSerialization = { propertyName: '_dataMember', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember' };
let _dataSourceNameSerialization = { propertyName: '_dataSource', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource' };
let dynamicListLookUpSettingsSerializationsInfo = [_dataSourceNameSerialization, dataSourceNameSerialization, _dataMemberSerialization, dataMemberSerialization, valueMemberSerialization, displayMemberSerialization, sortByMember, sortOrder];


/***/ }),

/***/ 633:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ ItemFilterDisplayNameProvider)
/* harmony export */ });
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _display_name_provider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7687);


class ItemFilterDisplayNameProvider {
    constructor(dashboardItem, dataSourceBrowser) {
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
    }
    _mapDataItemProperties(getSourceProperty, getTargetProperty, value) {
        let dataItem = this.dashboardItem.dataItems().filter(di => getSourceProperty(di) === value)[0];
        let result = '';
        if (dataItem) {
            result = getTargetProperty(dataItem);
        }
        else {
            result = value;
        }
        return (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)().resolve(result).promise();
    }
    getDisplayNameByPath(path, dataMember) {
        return this._mapDataItemProperties((dataItem) => dataItem.uniqueName(), (dataItem) => (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_1__/* .getDataItemDisplayName */ .F)(this.dataSourceBrowser, this.dashboardItem, dataItem), dataMember);
    }
    getRealName(path, displayDataMember) {
        return this._mapDataItemProperties((dataItem) => (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_1__/* .getDataItemDisplayName */ .F)(this.dataSourceBrowser, this.dashboardItem, dataItem), (dataItem) => dataItem.uniqueName(), displayDataMember);
    }
}


/***/ }),

/***/ 638:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ DashboardItemColoringOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_dashboard_item_coloring_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3986);



class DashboardItemColoringOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_dashboard_item_coloring_options__WEBPACK_IMPORTED_MODULE_2__/* .dashboardItemColoringOptionsSerializationsInfo */ .aK;
    }
}


/***/ }),

/***/ 641:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ST: () => (/* binding */ enableSearch),
/* harmony export */   Ug: () => (/* binding */ filterDimensions),
/* harmony export */   fL: () => (/* binding */ filterElementItemBaseSerializationInfo),
/* harmony export */   ob: () => (/* binding */ showAllValue)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6157);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);



let filterDimensions = { propertyName: '__filterDimensions', modelName: 'FilterDimensions', displayName: 'DashboardStringId.DescriptionDimensions', array: true };
let showAllValue = { propertyName: 'showAllValue', modelName: '@ShowAllValue', displayName: 'DashboardWebStringId.FilterItem.ShowAllValue', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let enableSearch = { propertyName: 'enableSearch', modelName: '@EnableSearch', displayName: 'DashboardWebStringId.FilterItem.EnableSearch', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let filterElementItemBaseSerializationInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dataDashboardItemSerializationsInfo */ .LH.concat([filterDimensions, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._filterItemInteractivityOptionsMeta */ .Pz, enableSearch]);


/***/ }),

/***/ 645:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ TextBoxItemSurface)
/* harmony export */ });
/* harmony import */ var _properties_composers_textbox_item_properties_composer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3483);
/* harmony import */ var _sections_data_item_collection_surface__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1754);
/* harmony import */ var _section_descriptors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3374);
/* harmony import */ var _base_item_surface__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8406);




class TextBoxItemSurface extends _base_item_surface__WEBPACK_IMPORTED_MODULE_3__/* .DataDashboardItemSurface */ .r {
    fillSections() {
        this.dataSections.push(new _sections_data_item_collection_surface__WEBPACK_IMPORTED_MODULE_1__/* .DataItemCollectionSurface */ .N(this, _section_descriptors__WEBPACK_IMPORTED_MODULE_2__/* .SectionDescriptors */ .g8.Values, (tabs, model) => this.extendTabsHandler && this.extendTabsHandler(tabs, model, this.dashboardItem)));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new _properties_composers_textbox_item_properties_composer__WEBPACK_IMPORTED_MODULE_0__/* .TextBoxItemPropertiesComposer */ .D(this._dashboardItemCustomization);
    }
}
_section_descriptors__WEBPACK_IMPORTED_MODULE_2__/* .surfaceItemsFactory */ .ce.register('TextBox', TextBoxItemSurface);


/***/ }),

/***/ 672:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ appearanceSettingsProvider)
/* harmony export */ });
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);
/* harmony import */ var _viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8117);
/* harmony import */ var _dx_devextreme_themes_integration__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3523);



var AppearanceType = {
    WhiteColor: '#FFFFFF',
    GrayedTextColor: '#D3D3D3',
    LightGradientRedColor: 'rgb(255, 166, 173)',
    LightGradientYellowColor: 'rgb(255, 226, 81)',
    LightGradientGreenColor: 'rgb(139, 210, 78)',
    LightGradientBlueColor: 'rgb(149, 204, 255)',
    LightGradientPurpleColor: 'rgb(223, 166, 232)',
    LightGradientCyanColor: 'rgb(113, 223, 221)',
    LightGradientOrangeColor: 'rgb(255, 182, 90)',
    LightGradientTransparentColor: '#ffffff',
    DarkGradientRedColor: '#AC203D',
    DarkGradientYellowColor: '#FF8A01',
    DarkGradientGreenColor: '#538A31',
    DarkGradientBlueColor: '#4371B0',
    DarkGradientPurpleColor: '#7E53A2',
    DarkGradientCyanColor: '#149BA3',
    DarkGradientOrangeColor: '#D83D00',
    DarkGradientTransparentColor: '#303030',
    LightPaleRedColor: 'rgb(255, 221, 224)',
    LightPaleYellowColor: 'rgb(255, 245, 174)',
    LightPaleGreenColor: 'rgb(208, 239, 172)',
    LightPaleBlueColor: 'rgb(213, 237, 255)',
    LightPalePurpleColor: 'rgb(244, 221, 247)',
    LightPaleCyanColor: 'rgb(194, 244, 243)',
    LightPaleOrangeColor: 'rgb(255, 228, 180)',
    LightPaleGrayColor: 'rgb(234, 234, 234)',
    DarkPaleRedColor: '#5B2D3D',
    DarkPaleYellowColor: '#51492D',
    DarkPaleGreenColor: '#3B4D2D',
    DarkPaleBlueColor: '#2D3F5A',
    DarkPalePurpleColor: '#512D55',
    DarkPaleCyanColor: '#2D4B4B',
    DarkPaleOrangeColor: '#593E2D',
    DarkPaleGrayColor: '#444444',
    LightRedColor: 'rgb(226, 60, 76)',
    LightYellowColor: 'rgb(255, 166, 38)',
    LightGreenColor: 'rgb(101, 172, 80)',
    LightBlueColor: 'rgb(89, 143, 216)',
    LightPurpleColor: 'rgb(148, 105, 184)',
    LightCyanColor: 'rgb(39, 192, 187)',
    LightOrangeColor: 'rgb(255, 92, 12)',
    LightGrayColor: 'rgb(111, 111, 111)',
    DarkRedColor: '#E23C4C',
    DarkYellowColor: '#FFA626',
    DarkGreenColor: '#65AC50',
    DarkBlueColor: '#598FD8',
    DarkPurpleColor: '#9469B8',
    DarkCyanColor: '#27C0BB',
    DarkOrangeColor: '#FF5C0C',
    DarkGrayColor: '#6F6F6F',
    LightDefaultColorizationColor: '#d2d2d2',
    DarkDefaultColorizationColor: '#606060',
};
class appearanceSettingsProvider {
    static getColor(style) {
        let isDark = appearanceSettingsProvider.isDarkColorScheme();
        if (style.AppearanceType === 'Custom')
            return appearanceSettingsProvider._getCustomBackColor(style.Color);
        return appearanceSettingsProvider._getBackColorFromPredefinedStyle(style.AppearanceType, isDark);
    }
    static getDefaultColorizationColor() {
        return appearanceSettingsProvider.isDarkColorScheme() ? AppearanceType.DarkDefaultColorizationColor : AppearanceType.LightDefaultColorizationColor;
    }
    static toCssProperties(appearanceType, drawProperty) {
        const isDark = appearanceSettingsProvider.isDarkColorScheme();
        const styles = (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .getEmptyCssPropertyWrappersArray */ .hV)();
        if (drawProperty == null || drawProperty.shouldDrawBackColorStyle)
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('background-color', appearanceSettingsProvider._getBackColorFromPredefinedStyle(appearanceType, isDark)));
        if (drawProperty == null || drawProperty.shouldDrawFontStyles)
            styles.push(appearanceSettingsProvider._createFontStyles(appearanceType, isDark));
        return styles;
    }
    static toCustomCssProperties(appearance) {
        const styles = (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .getEmptyCssPropertyWrappersArray */ .hV)();
        if (appearance.backColor()) {
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('background-color', appearance.backColor().css));
        }
        if (appearance.foreColor()) {
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', appearance.foreColor().css));
        }
        if (appearance.fontFamily()) {
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('font-family', appearance.fontFamily()));
        }
        const fontOpts = appearance.fontStyle()?.split(',').filter(item => !!item).map(item => item.trim()) || [];
        const fontStyleWrapper = {
            bold: fontOpts.indexOf('Bold') !== -1,
            italic: fontOpts.indexOf('Italic') !== -1,
            underline: fontOpts.indexOf('Underline') !== -1
        };
        fontStyleWrapper.bold ?
            styles.push(this._createFontBold()) :
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('font-weight', 'initial'));
        fontStyleWrapper.italic ?
            styles.push(this._createFontItalic()) :
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('font-style', 'initial'));
        fontStyleWrapper.underline ?
            styles.push(this._createFontUnderline()) :
            styles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('text-decoration', 'initial'));
        return styles;
    }
    static _createFontBold() {
        return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('font-weight', 'bold');
    }
    static _createFontItalic() {
        return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('font-style', 'italic');
    }
    static _createFontUnderline() {
        return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('text-decoration', 'underline');
    }
    static _createFontStyles(appearanceType, isDark) {
        switch (appearanceType) {
            case 'FontBold':
                return this._createFontBold();
            case 'FontItalic':
                return this._createFontItalic();
            case 'FontUnderline':
                return this._createFontUnderline();
            case 'FontGrayed':
                return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', AppearanceType.GrayedTextColor);
            case 'FontRed':
                return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', (isDark ? AppearanceType.DarkRedColor : AppearanceType.LightRedColor));
            case 'FontYellow':
                return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', (isDark ? AppearanceType.DarkYellowColor : AppearanceType.LightYellowColor));
            case 'FontGreen':
                return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', (isDark ? AppearanceType.DarkGreenColor : AppearanceType.LightGreenColor));
            case 'FontBlue':
                return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', (isDark ? AppearanceType.DarkBlueColor : AppearanceType.LightBlueColor));
            default:
                let color = appearanceSettingsProvider.backAndGradientColorGroupsToBackColor(appearanceType);
                if (color !== undefined)
                    return null;
                color = appearanceSettingsProvider._backColorsWithFontGroupToBackColor(appearanceType, isDark);
                if (color !== undefined)
                    return (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_1__/* .createCssPropertyWrapper */ .MZ)('color', AppearanceType.WhiteColor);
                return null;
        }
    }
    static _getBackColorFromPredefinedStyle(appearanceType, isDark) {
        let color = appearanceSettingsProvider.backAndGradientColorGroupsToBackColor(appearanceType);
        if (color !== undefined)
            return color;
        color = appearanceSettingsProvider._backColorsWithFontGroupToBackColor(appearanceType, isDark);
        if (color !== undefined)
            return color;
        return null;
    }
    static backAndGradientColorGroupsToBackColor(appearanceType) {
        var isDark = appearanceSettingsProvider.isDarkColorScheme();
        switch (appearanceType) {
            case 'PaleRed':
                return isDark ? AppearanceType.DarkPaleRedColor : AppearanceType.LightPaleRedColor;
            case 'PaleYellow':
                return isDark ? AppearanceType.DarkPaleYellowColor : AppearanceType.LightPaleYellowColor;
            case 'PaleGreen':
                return isDark ? AppearanceType.DarkPaleGreenColor : AppearanceType.LightPaleGreenColor;
            case 'PaleBlue':
                return isDark ? AppearanceType.DarkPaleBlueColor : AppearanceType.LightPaleBlueColor;
            case 'PalePurple':
                return isDark ? AppearanceType.DarkPalePurpleColor : AppearanceType.LightPalePurpleColor;
            case 'PaleCyan':
                return isDark ? AppearanceType.DarkPaleCyanColor : AppearanceType.LightPaleCyanColor;
            case 'PaleOrange':
                return isDark ? AppearanceType.DarkPaleOrangeColor : AppearanceType.LightPaleOrangeColor;
            case 'PaleGray':
                return isDark ? AppearanceType.DarkPaleGrayColor : AppearanceType.LightPaleGrayColor;
            case 'GradientRed':
                return isDark ? AppearanceType.DarkGradientRedColor : AppearanceType.LightGradientRedColor;
            case 'GradientYellow':
                return isDark ? AppearanceType.DarkGradientYellowColor : AppearanceType.LightGradientYellowColor;
            case 'GradientGreen':
                return isDark ? AppearanceType.DarkGradientGreenColor : AppearanceType.LightGradientGreenColor;
            case 'GradientBlue':
                return isDark ? AppearanceType.DarkGradientBlueColor : AppearanceType.LightGradientBlueColor;
            case 'GradientPurple':
                return isDark ? AppearanceType.DarkGradientPurpleColor : AppearanceType.LightGradientPurpleColor;
            case 'GradientCyan':
                return isDark ? AppearanceType.DarkGradientCyanColor : AppearanceType.LightGradientCyanColor;
            case 'GradientOrange':
                return isDark ? AppearanceType.DarkGradientOrangeColor : AppearanceType.LightGradientOrangeColor;
            case 'GradientTransparent':
                return isDark ? AppearanceType.DarkGradientTransparentColor : AppearanceType.LightGradientTransparentColor;
            default: {
            }
        }
    }
    static _backColorsWithFontGroupToBackColor(appearanceType, isDark) {
        switch (appearanceType) {
            case 'Red':
                return isDark ? AppearanceType.DarkRedColor : AppearanceType.LightRedColor;
            case 'Yellow':
                return isDark ? AppearanceType.DarkYellowColor : AppearanceType.LightYellowColor;
            case 'Green':
                return isDark ? AppearanceType.DarkGreenColor : AppearanceType.LightGreenColor;
            case 'Blue':
                return isDark ? AppearanceType.DarkBlueColor : AppearanceType.LightBlueColor;
            case 'Purple':
                return isDark ? AppearanceType.DarkPurpleColor : AppearanceType.LightPurpleColor;
            case 'Cyan':
                return isDark ? AppearanceType.DarkCyanColor : AppearanceType.LightCyanColor;
            case 'Orange':
                return isDark ? AppearanceType.DarkOrangeColor : AppearanceType.LightOrangeColor;
            case 'Gray':
                return isDark ? AppearanceType.DarkGrayColor : AppearanceType.LightGrayColor;
            default: {
            }
        }
    }
    static _getCustomBackColor(color) {
        if (color.toHex)
            return color.toHex();
        return (0,_data_utils__WEBPACK_IMPORTED_MODULE_0__/* .toColor */ .VR)(color);
    }
    static isDarkColorScheme() {
        return (0,_dx_devextreme_themes_integration__WEBPACK_IMPORTED_MODULE_2__/* .getBaseColorScheme */ .u)() === 'dark';
    }
}


/***/ }),

/***/ 708:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ CollectionEditorViewModelBase),
/* harmony export */   y: () => (/* binding */ CollectionEditorRefreshCallback)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);



class CollectionEditorViewModelBase {
    constructor(params) {
        this.noDataText = params.noDataText || 'DashboardWebStringId.CollectionEditor.NoItems';
        this.customToolbarItems = params.customToolbarItems;
        this.isToolbarVisible = true;
        this.allowAddItem = false;
        this.allowEditItem = true;
        this.allowReorderItem = false;
        this.allowRemoveItem = false;
        this.addEnabled = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        this.editEnabled = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        this.upEnabled = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        this.downEnabled = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        this.removeEnabled = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
    }
    getListOptions() {
        return {
            activeStateEnabled: false,
            itemTemplate: (itemData, itemIndex, itemElement) => this._itemTemplate(itemData, itemIndex, (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(itemElement)),
            noDataText: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(this.noDataText),
            encodeNoDataText: true,
            onContentReady: () => this._updateActionsState(),
            onInitialized: (e) => this.listInstance = e.component,
            onItemClick: () => this._itemClickHandler(),
            selectionMode: 'single',
        };
    }
    get selectedValue() {
        return this.listInstance && this.listInstance.option('selectedItems')[0];
    }
    dispose() {
        this.listInstance?.dispose();
    }
    _itemTemplate(itemData, itemIndex, itemElement) {
        const div = document.createElement('div');
        div.innerText = this._getDisplayText(itemData);
        div.setAttribute('class', 'dx-list-item-text');
        itemElement.appendChild(div);
    }
    _getDisplayText(itemData) {
        return '';
    }
    _itemClickHandler() {
        if (this._innerSelection !== this.selectedValue) {
            this._onSelectionChanged();
        }
        else {
            if (this.isToolbarVisible && this.allowEditItem && this.editEnabled()) {
                this.edit();
            }
        }
    }
    _listSelectionChanged() { }
    _updateActionsState() { }
    _onSelectionChanged() {
        this._innerSelection = this.selectedValue;
        this._listSelectionChanged();
        this._updateActionsState();
    }
    _setListSelection(selectedItem) {
        this.listInstance.option('selectedItems', selectedItem !== undefined ? [selectedItem] : []);
        this._onSelectionChanged();
    }
}
class CollectionEditorRefreshCallback {
    constructor() {
        this.callbacks = [];
        this.refresh = () => this.callbacks.forEach(fn => fn());
        this.subscribe = (fn) => this.callbacks.push(fn);
    }
}


/***/ }),

/***/ 741:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bp: () => (/* binding */ minimum),
/* harmony export */   Ph: () => (/* binding */ maximum),
/* harmony export */   p0: () => (/* binding */ gaugeSerializationsInfo),
/* harmony export */   tZ: () => (/* binding */ scaleLabelNumericFormat)
/* harmony export */ });
/* harmony import */ var _data_item_data_item_format__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7283);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5480);



let minimum = { propertyName: 'minimum', modelName: '@Minimum', displayName: 'DashboardWebStringId.Gauge.Min', defaultVal: NaN, from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1, toJsonObject: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .nullableFloatToModel */ ._Q };
let maximum = { propertyName: 'maximum', modelName: '@Maximum', displayName: 'DashboardWebStringId.Gauge.Max', defaultVal: NaN, from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1, toJsonObject: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .nullableFloatToModel */ ._Q };
let scaleLabelNumericFormat = { propertyName: 'scaleLabelNumericFormat', modelName: 'ScaleLabelNumericFormat', displayName: 'DashboardWebStringId.TextBoxFormatText', type: _data_item_data_item_format__WEBPACK_IMPORTED_MODULE_0__/* .DataItemNumericFormat */ .Oh };
let gaugeSerializationsInfo = _kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__/* .kpiElementSerializationsInfo */ .QS.concat([minimum, maximum, scaleLabelNumericFormat]);


/***/ }),

/***/ 773:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ kpiDashboardItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_series_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8181);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);



let kpiDashboardItemSerializationsInfo = _metadata_series_item__WEBPACK_IMPORTED_MODULE_1__/* .seriesDashboardItemSerializationsInfo */ .c.concat([_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .contentArrangementMode */ .xe, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .contentLineCount */ .Vf, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._dashboardItemInteractivityOptionsMeta */ .FF]);


/***/ }),

/***/ 774:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ measureCalculationWindowDefinitionSerializationsInfo)
/* harmony export */ });
let measureCalculationWindowDefinitionSerializationsInfo = [];


/***/ }),

/***/ 786:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ itemDataTuple)
/* harmony export */ });
class itemDataTuple {
    constructor(axisPoints) {
        this._axisPoints = axisPoints;
    }
    getAxisPoint(axisName) {
        if (axisName) {
            return this._axisPoints.filter(axisPoint => {
                return axisPoint.getAxisName() == axisName;
            })[0];
        }
        else {
            return this._axisPoints[0];
        }
    }
}


/***/ }),

/***/ 793:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Av: () => (/* binding */ sliceTables),
/* harmony export */   HL: () => (/* binding */ customItemType),
/* harmony export */   Ju: () => (/* binding */ coloringMeasures),
/* harmony export */   a: () => (/* binding */ customDashboardItemSerializationsInfo),
/* harmony export */   mP: () => (/* binding */ interactivityTargets),
/* harmony export */   t_: () => (/* binding */ coloringDimensions)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6157);


let customItemType = { propertyName: 'customItemType', modelName: '@CustomItemType' };
let sliceTables = { propertyName: 'sliceTables', modelName: 'SliceTables', array: true, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Data };
let interactivityTargets = { propertyName: 'interactivityTargets', modelName: 'InteractivityTargets', array: true };
let coloringDimensions = { propertyName: 'coloringDimensions', modelName: 'ColoringDimensions', array: true };
let coloringMeasures = { propertyName: 'coloringMeasures', modelName: 'ColoringMeasures', array: true };
let customDashboardItemSerializationsInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dataDashboardItemSerializationsInfo */ .LH.concat([customItemType, sliceTables, interactivityTargets]);


/***/ }),

/***/ 814:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K4: () => (/* binding */ dataControllerBase),
/* harmony export */   jC: () => (/* binding */ DATA_POSTFIX),
/* harmony export */   lF: () => (/* binding */ DEFAULT_SUBTITLE_SEPARATOR)
/* harmony export */ });
/* harmony import */ var _viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2850);
/* harmony import */ var _localization_ids__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4216);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4999);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4833);
/* harmony import */ var _z_index__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(611);





let DATA_POSTFIX = '_Data';
let DEFAULT_SUBTITLE_SEPARATOR = ' - ';
class dataControllerBase {
    constructor(options) {
        this.deltaIndicatorTypes = ['none', 'up', 'down', 'warning'];
        this.multiData = options ? options.multiData : undefined;
        this.viewModel = options ? options.viewModel : undefined;
        this.cfModel = options ? options.cfModel : undefined;
        this.drillDownState = options ? options.drillDownState : undefined;
        this.useNeutralFilterMode = options ? options.useNeutralFilterMode : undefined;
    }
    isMultiselectable() {
        return false;
    }
    update(selectedValues, encodeHtml) {
    }
    getTitle(axisPoint, separator, saveOrder) {
        var axisName = axisPoint.getAxisName(), values;
        if (this.drillDownState[axisName]) {
            var text = axisPoint.getDisplayText();
            return text == undefined ? '' : text;
        }
        else {
            values = axisPoint.getDisplayPath();
            if (!saveOrder) {
                values = values.reverse();
            }
            return values.join(separator ? separator : DEFAULT_SUBTITLE_SEPARATOR);
        }
    }
    _getMeasureValueByAxisPoints(axisPoints, cfMeasureId) {
        var slice = this._getSlice(axisPoints);
        return slice.getConditionalFormattingMeasureValue(cfMeasureId);
    }
    _getSlice(axisPoints) {
        var slice = this.multiData;
        axisPoints.forEach(axisPoint => {
            slice = slice.getSlice(axisPoint);
        });
        return slice;
    }
    _getZeroPosition(zeroPositionMeasureId, columnAxisName, rowAxisName) {
        var that = this, currentZeroPosition, zeroPosition, columnRootPoint, rowRootPoint;
        columnRootPoint = that.multiData.getAxis(columnAxisName).getRootPoint();
        rowRootPoint = that.multiData.getAxis(rowAxisName).getRootPoint();
        currentZeroPosition = that._getMeasureValueByAxisPoints([columnRootPoint, rowRootPoint], zeroPositionMeasureId);
        if (currentZeroPosition !== undefined && currentZeroPosition !== null)
            zeroPosition = currentZeroPosition;
        return zeroPosition;
    }
    _getStyleIndexes(rule, cellInfo, points) {
        return null;
    }
    _getStyleSettingsInfoCore(cellInfo, rules, columnAxisName, rowAxisName) {
        var that = this, currentStyleIndexes = [], uniqueIndexes = [], styleAndRuleMappingTable = {}, ruleIndex, currentNormalizedValue, normalizedValue, zeroPosition, styleSettingsInfo, points = [];
        if (rules.length > 0) {
            rules.forEach(rule => {
                currentStyleIndexes = that._getStyleIndexes(rule, cellInfo, points);
                if (currentStyleIndexes && currentStyleIndexes.length > 0) {
                    ruleIndex = that.cfModel.RuleModels ? that.cfModel.RuleModels.indexOf(rule) : -1;
                    currentStyleIndexes.forEach(styleIndex => {
                        if (uniqueIndexes[styleIndex] === undefined) {
                            uniqueIndexes.push(styleIndex);
                            styleAndRuleMappingTable[styleIndex] = ruleIndex;
                        }
                    });
                }
                currentNormalizedValue = that._getMeasureValueByAxisPoints(points, rule.NormalizedValueMeasureId);
                if (currentNormalizedValue !== undefined && currentNormalizedValue !== null) {
                    normalizedValue = currentNormalizedValue;
                    zeroPosition = that._getZeroPosition(rule.ZeroPositionMeasureId, columnAxisName, rowAxisName);
                }
            });
            styleSettingsInfo = {
                styleIndexes: uniqueIndexes,
                styleAndRuleMappingTable: styleAndRuleMappingTable
            };
            if (normalizedValue !== undefined && zeroPosition !== undefined) {
                styleSettingsInfo.normalizedValue = normalizedValue;
                styleSettingsInfo.zeroPosition = zeroPosition;
            }
        }
        return styleSettingsInfo;
    }
    _generateSparklineOptions(data, options, format) {
        return {
            dataSource: data,
            type: options.ViewType.toLowerCase(),
            onIncidentOccurred: _viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_0__/* .RenderHelper */ .p.widgetIncidentOccurred,
            showMinMax: options.HighlightMinMaxPoints,
            showFirstLast: options.HighlightStartEndPoints,
            tooltip: {
                _justify: true,
                container: _utils__WEBPACK_IMPORTED_MODULE_3__/* .tooltipContainerSelector */ .eX,
                contentTemplate: function (data) {
                    var startText = _localizer__WEBPACK_IMPORTED_MODULE_2__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_1__/* .localizationId */ .d.sparkline.TooltipStartValue), endText = _localizer__WEBPACK_IMPORTED_MODULE_2__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_1__/* .localizationId */ .d.sparkline.TooltipEndValue), minText = _localizer__WEBPACK_IMPORTED_MODULE_2__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_1__/* .localizationId */ .d.sparkline.TooltipMinValue), maxText = _localizer__WEBPACK_IMPORTED_MODULE_2__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_1__/* .localizationId */ .d.sparkline.TooltipMaxValue);
                    var table = document.createElement('table');
                    table.style.borderSpacing = '0px';
                    var createRow = (startText, endText) => {
                        var tr = document.createElement('tr');
                        var td = document.createElement('td');
                        var span = document.createElement('span');
                        span.innerText = startText;
                        td.appendChild(span);
                        tr.appendChild(td);
                        td = document.createElement('td');
                        td.style.width = '15px';
                        tr.appendChild(td);
                        td = document.createElement('td');
                        td.style.textAlign = 'right';
                        var span = document.createElement('span');
                        span.innerText = endText;
                        td.appendChild(span);
                        tr.appendChild(td);
                        return tr;
                    };
                    table.appendChild(createRow(startText, format(data.originalFirstValue)));
                    table.appendChild(createRow(endText, format(data.originalLastValue)));
                    table.appendChild(createRow(minText, format(data.originalMinValue)));
                    table.appendChild(createRow(maxText, format(data.originalMaxValue)));
                    var div = document.createElement('div');
                    div.appendChild(table);
                    return div;
                },
                zIndex: _z_index__WEBPACK_IMPORTED_MODULE_4__/* .zIndex */ .f.dashboardItemTooltips
            }
        };
    }
    _convertIndicatorType(type) {
        return this.deltaIndicatorTypes[type];
    }
    _findAxisPoint(dataId, axisPoint) {
        if (axisPoint) {
            while (axisPoint.getDimension() && axisPoint.getDimension().id !== dataId) {
                axisPoint = axisPoint.getParent();
            }
        }
        return axisPoint && axisPoint.getParent() ? axisPoint : null;
    }
}


/***/ }),

/***/ 818:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ GroupItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _dashboard_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4391);
/* harmony import */ var _metadata_group_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3313);




class GroupItem extends _dashboard_item__WEBPACK_IMPORTED_MODULE_2__/* .DashboardItem */ .K {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
    }
    _getInfoCore() {
        return _metadata_group_item__WEBPACK_IMPORTED_MODULE_3__/* .groupItemSerializationInfo */ .P;
    }
    _getDefaultItemType() {
        return 'Group';
    }
}
_serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .itemTypesMap */ .Jh['Group'] = { type: GroupItem, groupName: 'layout', title: 'DashboardStringId.DefaultNameItemGroup', index: 25 };


/***/ }),

/***/ 840:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H$: () => (/* binding */ ChartSecondaryAxisY),
/* harmony export */   VC: () => (/* binding */ ChartAxisY),
/* harmony export */   af: () => (/* binding */ ChartAxisX),
/* harmony export */   c4: () => (/* binding */ ChartAxis),
/* harmony export */   dq: () => (/* binding */ ScatterChartAxisY)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_chart_axis__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1548);



class ChartAxis extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .chartAxisSerializationsInfo */ .nC;
    }
}
class ChartAxisX extends ChartAxis {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .chartAxisXSerializationsInfo */ .bO;
    }
}
class ChartAxisY extends ChartAxis {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .chartAxisYSerializationsInfo */ .MF;
    }
}
class ScatterChartAxisY extends ChartAxisY {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .scatterChartAxisYSerializationsInfo */ .MX;
    }
}
class ChartSecondaryAxisY extends ChartAxisY {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .chartSecondaryAxisYSerializationsInfo */ .w1;
    }
}


/***/ }),

/***/ 842:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ DashboardLayoutItemPlaceholder)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _dashboard_layout_node__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4307);



class DashboardLayoutItemPlaceholder extends _dashboard_layout_node__WEBPACK_IMPORTED_MODULE_2__/* .DashboardLayoutNode */ .Z {
    get _template() { return 'dx-dashboard-item-placeholder'; }
    constructor(parent, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super({}, serializer);
        this.parentNode(parent);
    }
    moveTo(itemModel, location) { }
    _delete() { }
    _createViewModel() {
        var baseViewModel = super._createViewModel();
        baseViewModel.create = (modelItemJson, location) => {
            var newItemModel = this.parentNode()._dashboard()._createDashboardLayoutItem(modelItemJson);
            this.parentNode()._addItem(newItemModel);
            return newItemModel._createViewModel();
        };
        baseViewModel.moveTo = (itemModel, location) => { };
        baseViewModel.hasItem = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true);
        return baseViewModel;
    }
    _insertItemCore(layoutNodeToInsert, position) {
        if (this.parentNode()) {
            this.parentNode().childNodes.push(layoutNodeToInsert);
        }
    }
    _getDefaultItemType() { return ''; }
}


/***/ }),

/***/ 858:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ _baseDataSourceTypesMap)
/* harmony export */ });
/* harmony import */ var _ef_data_source__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3052);
/* harmony import */ var _excel_data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7746);
/* harmony import */ var _extract_data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2128);
/* harmony import */ var _json_data_source__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9759);
/* harmony import */ var _mongodb_data_source__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2896);
/* harmony import */ var _object_data_source__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6848);
/* harmony import */ var _olap_data_source__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6401);
/* harmony import */ var _sql_data_source__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5709);
/* harmony import */ var _xpo_data_source__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(2560);









let _baseDataSourceTypesMap = {
    'ObjectDataSource': _object_data_source__WEBPACK_IMPORTED_MODULE_5__/* .ObjectDataSource */ .f,
    'SqlDataSource': _sql_data_source__WEBPACK_IMPORTED_MODULE_7__/* .SqlDataSource */ .w,
    'OLAPDataSource': _olap_data_source__WEBPACK_IMPORTED_MODULE_6__/* .OlapDataSource */ .u,
    'EFDataSource': _ef_data_source__WEBPACK_IMPORTED_MODULE_0__/* .EFDataSource */ .f,
    'ExcelDataSource': _excel_data_source__WEBPACK_IMPORTED_MODULE_1__/* .ExcelDataSource */ .D,
    'ExtractFileDataSource': _extract_data_source__WEBPACK_IMPORTED_MODULE_2__/* .ExtractDataSource */ .T,
    'JsonDataSource': _json_data_source__WEBPACK_IMPORTED_MODULE_3__/* .JsonDataSource */ .G,
    'XPObjectSource': _xpo_data_source__WEBPACK_IMPORTED_MODULE_8__/* .XpoDataSource */ .F,
    'MongoDBDataSource': _mongodb_data_source__WEBPACK_IMPORTED_MODULE_4__/* .MongoDBDataSource */ .u
};


/***/ }),

/***/ 860:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ FormatConditionBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_format_condition_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3085);




class FormatConditionBase extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    get _isApplyToRowColumnRestricted() { return false; }
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson || {}, serializer);
        this.dataType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.dateTimeGroupInterval = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._empty = true;
        this.isEmpty = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.isEmpty(!modelJson);
    }
    getInfo() {
        return _metadata_format_condition_base__WEBPACK_IMPORTED_MODULE_3__/* .formatConditionBaseSerializationsInfo */ .R;
    }
    isValid() {
        return true;
    }
    isRange() {
        return false;
    }
    isGradient() {
        return false;
    }
    init() {
        this.isEmpty(false);
    }
}


/***/ }),

/***/ 861:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $Y: () => (/* binding */ pieValues),
/* harmony export */   IA: () => (/* binding */ labelContentType),
/* harmony export */   Ng: () => (/* binding */ showPieCaptions),
/* harmony export */   Xz: () => (/* binding */ pieType),
/* harmony export */   dE: () => (/* binding */ tooltipContentType),
/* harmony export */   "in": () => (/* binding */ labelPosition),
/* harmony export */   nT: () => (/* binding */ pieDashboardItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7604);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);



let pieValues = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .valuesPropertyName */ .Dn, modelName: 'Values', displayName: 'DashboardWebStringId.Binding.Values', array: true };
let labelContentType = {
    propertyName: 'labelContentType', modelName: '@LabelContentType', displayName: 'DashboardWebStringId.Chart.LabelContent', defaultVal: 'ArgumentAndPercent', simpleFormAdapterItem: 'listEditor', values: {
        'None': 'DashboardWebStringId.Pie.LabelContentType.None',
        'Argument': 'DashboardWebStringId.Pie.LabelContentType.Argument',
        'Percent': 'DashboardWebStringId.Pie.LabelContentType.Percent',
        'ArgumentAndPercent': 'DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent',
        'Value': 'DashboardWebStringId.Pie.LabelContentType.Value',
        'ArgumentAndValue': 'DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue',
        'ValueAndPercent': 'DashboardWebStringId.Pie.LabelContentType.ValueAndPercent',
        'ArgumentValueAndPercent': 'DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent'
    }
};
let tooltipContentType = {
    propertyName: 'tooltipContentType', modelName: '@TooltipContentType', displayName: 'DashboardWebStringId.Chart.TooltipContent', defaultVal: 'ArgumentValueAndPercent', simpleFormAdapterItem: 'listEditor', values: {
        'None': 'DashboardWebStringId.Pie.LabelContentType.None',
        'Argument': 'DashboardWebStringId.Pie.LabelContentType.Argument',
        'Percent': 'DashboardWebStringId.Pie.LabelContentType.Percent',
        'ArgumentAndPercent': 'DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent',
        'Value': 'DashboardWebStringId.Pie.LabelContentType.Value',
        'ArgumentAndValue': 'DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue',
        'ValueAndPercent': 'DashboardWebStringId.Pie.LabelContentType.ValueAndPercent',
        'ArgumentValueAndPercent': 'DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent'
    }
};
let pieType = {
    propertyName: 'pieType', modelName: '@PieType', displayName: 'DashboardWebStringId.Pie.Type', defaultVal: 'Pie', valuesArray: [
        { value: 'Pie', displayValue: 'DashboardWebStringId.Pie' },
        { value: 'Donut', displayValue: 'DashboardWebStringId.Pie.Donut' }
    ]
};
let showPieCaptions = { propertyName: 'showPieCaptions', modelName: '@ShowPieCaptions', displayName: 'DashboardWebStringId.Pie.ShowCaptions', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let labelPosition = {
    propertyName: 'labelPosition', modelName: '@LabelPosition', displayName: 'DashboardWebStringId.Pie.LabelPosition', defaultVal: 'Outside', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Outside': 'DashboardWebStringId.Pie.LabelPositionOutside',
        'Inside': 'DashboardWebStringId.Pie.LabelPositionInside'
    }
};
let pieDashboardItemSerializationsInfo = _metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_1__/* .chartItemBaseSerializationsInfo */ .W.concat([pieValues, labelContentType, tooltipContentType, pieType, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .contentArrangementMode */ .xe, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .contentLineCount */ .Vf, showPieCaptions, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._chartItemInteractivityOptionsMeta */ .jI, labelPosition]);


/***/ }),

/***/ 865:
/***/ ((module) => {

module.exports = ko;

/***/ }),

/***/ 887:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ ObsoleteItemState),
/* harmony export */   t: () => (/* binding */ ObsoleteDashboardState)
/* harmony export */ });
class ObsoleteDashboardState {
}
class ObsoleteItemState {
    static unwrapDilldownValues(values) {
        if (!values) {
            return null;
        }
        return values.map(value => value[0][0]);
    }
}


/***/ }),

/***/ 914:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ _customizeTabs)
/* harmony export */ });
/* harmony import */ var _model_custom_properties_custom_properties_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8553);
/* harmony import */ var _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9113);
/* harmony import */ var _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(110);



const CustomTabOrderNo = 500000;
function _customizeTabs(tabs, customSectionOption, object) {
    customSectionOption.items.forEach(item => {
        if (item.dataField && !(0,_model_custom_properties_custom_properties_metadata__WEBPACK_IMPORTED_MODULE_0__/* ._customMetadataContainsProperty */ .KS)(item.dataField) && !object.customProperties._isKnownProperty(item.dataField)) {
            console.warn(`You cannot create an editor for the '${item.dataField}' because the custom property with this name is not registered. First, pass the corresponding custom property options to the registerCustomProperty method.`);
        }
    });
    if (customSectionOption.items.some(formOption => !!object.customProperties._isKnownProperty(formOption.dataField))) {
        let wrapper = new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_1__/* .ObjectPropertiesWrapper */ .U({
            model: object.customProperties,
            properties: customSectionOption.items.map(formItem => {
                return {
                    propertyName: formItem.dataField,
                    dxFormItem: formItem
                };
            })
        });
        wrapper.onContentReady = customSectionOption.onContentReady;
        wrapper.onInitialized = customSectionOption.onInitialized;
        wrapper.onFieldDataChanged = customSectionOption.onFieldDataChanged;
        var tab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_2__/* .AccordionTab */ .gV(customSectionOption.title, customSectionOption.title, wrapper);
        tab.orderNo = CustomTabOrderNo;
        tabs.push(tab);
    }
}


/***/ }),

/***/ 943:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ GridWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_grid_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1886);



class GridWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_grid_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .gridWindowDefinitionSerializationsInfo */ .X;
    }
    equals(def) {
        return (def instanceof GridWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['GridWindowDefinition'] = GridWindowDefinition;


/***/ }),

/***/ 955:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ MapCustomShapefilePropertiesComposer)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5988);
/* harmony import */ var _model_items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1391);
/* harmony import */ var _model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6172);
/* harmony import */ var _form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1884);
/* harmony import */ var _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9113);
/* harmony import */ var _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(110);







class MapCustomShapefilePropertiesComposer {
    composeTabs(model) {
        var layoutsTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_6__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_6__/* .KnownTabs */ .iq.CustomMapOptions, 'DashboardWebStringId.Map.CustomMapOptions');
        this.fillLayoutsTab(layoutsTab, model);
        return [layoutsTab];
    }
    fillLayoutsTab(tab, model) {
        var switcherInfo = {
            propertyName: 'switcher', displayName: 'DashboardWebStringId.Map.CustomMapOptionsSource', defaultVal: !!model.data.shapeData() ? 'file' : 'url', simpleFormAdapterItem: 'buttonGroupEditor', valuesArray: [
                { value: 'url', displayValue: 'DashboardWebStringId.Map.CustomMapOptionsUrl' },
                { value: 'file', displayValue: 'DashboardWebStringId.Map.CustomMapOptionsFile' }
            ]
        };
        var visibilityRules = {};
        visibilityRules[_model_items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_2__/* .customShapefileUrl */ .EI.propertyName] = [switcherInfo.propertyName, '=', 'url'];
        visibilityRules[_model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .shapeData */ .E2.propertyName] = visibilityRules[_model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .attributeData */ .pr.propertyName] = [switcherInfo.propertyName, '=', 'file'];
        var disabilityRules = {};
        disabilityRules[_model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .attributeData */ .pr.propertyName] = [[_model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .shapeData */ .E2.propertyName, '=', _model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .shapeData */ .E2.defaultVal], 'or', [_model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .shapeData */ .E2.propertyName, '=', '']];
        tab.tabModel(new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_5__/* .ObjectPropertiesWrapper */ .U({
            model: (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__/* .extend */ .X$)(model, {
                switcher: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(switcherInfo.defaultVal)
            }),
            properties: [
                switcherInfo,
                _model_items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_2__/* .customShapefileUrl */ .EI, {
                    container: _model_items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_2__/* .customShapefileData */ .nJ,
                    properties: [{
                            ..._model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .shapeData */ .E2,
                            formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_4__/* .filePickerEditor */ .Ip)({
                                type: 'file',
                                accept: '.shp',
                                placeholderId: 'DashboardWebStringId.Map.ShapeFileLoaded',
                                showClearButton: true,
                                readMode: undefined
                            }),
                        }, {
                            ..._model_items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .attributeData */ .pr,
                            formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_4__/* .filePickerEditor */ .Ip)({
                                type: 'file',
                                accept: '.dbf',
                                placeholderId: 'DashboardWebStringId.Map.AttributeFileLoaded',
                                showClearButton: true,
                                readMode: undefined
                            }),
                        }]
                }
            ],
            visibilityFilterRules: visibilityRules,
            disabledFilterRules: disabilityRules
        }));
    }
}


/***/ }),

/***/ 979:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ connectionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

var fromAppConfig = { propertyName: 'fromAppConfig', modelName: '@FromAppConfig' };
let connectionSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .name */ .UU, fromAppConfig];


/***/ }),

/***/ 987:
/***/ ((module) => {

module.exports = DevExpress.ui.dxButtonGroup;

/***/ }),

/***/ 996:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ ScatterWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_scatter_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(507);



class ScatterWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_scatter_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .scatterWindowDefinitionSerializationsInfo */ .L;
    }
    equals(def) {
        return def instanceof ScatterWindowDefinition;
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['ScatterWindowDefinition'] = ScatterWindowDefinition;


/***/ }),

/***/ 1023:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   eg: () => (/* binding */ getFilterCriteria),
/* harmony export */   nV: () => (/* binding */ replaceExpressionParametersPrefix),
/* harmony export */   s0: () => (/* binding */ insertDimensionsExpressionsIntoFilterExpression)
/* harmony export */ });
/* unused harmony exports hasParametersPrefix, DimensionExpressionInserter */
/* harmony import */ var _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8248);
/* harmony import */ var _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9542);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);



var parameterPositions = [];
function visitOperandProperty(element) {
    if (hasParametersPrefix(element.propertyName)) {
        parameterPositions.push({ operandStartPosition: (element.startPosition.column ?? 0) - 1, operandPropertyLength: element.originalPropertyLength });
    }
    return element;
}
function replaceExpressionParametersPrefix(expression) {
    var criteriaOperator = _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__.CriteriaOperatorStateMachine.parse(expression);
    if (!criteriaOperator)
        return knockout__WEBPACK_IMPORTED_MODULE_2__.observable(expression);
    parameterPositions.splice(0);
    criteriaOperator = criteriaOperator.accept({ visitOperandProperty: visitOperandProperty });
    const replaceAtString = (value, startIndex, replaceCount, replacement) => {
        return value.substring(0, startIndex) + replacement + value.substring(startIndex + replaceCount);
    };
    var shift = 0;
    const replaceLength = '[Parameters.'.length;
    parameterPositions.forEach(parameterEntry => {
        const startPosition = parameterEntry.operandStartPosition - shift;
        if (startPosition < 0) {
            console.warn('Operand property should has a start position.');
            return;
        }
        if (expression[startPosition] === '[' && expression[startPosition + parameterEntry.operandPropertyLength - 1] === ']') {
            expression = replaceAtString(expression, startPosition, replaceLength, '?');
            const parameterNameLength = parameterEntry.operandPropertyLength - replaceLength;
            expression = replaceAtString(expression, startPosition + parameterNameLength, 1, '');
            shift += replaceLength;
        }
    });
    return knockout__WEBPACK_IMPORTED_MODULE_2__.observable(expression);
}
function hasParametersPrefix(value) {
    return value.length && value.startsWith('Parameters.');
}
function getFilterCriteria(filterString) {
    let criteriaSerializer = new _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_1__.FilterEditorSerializer();
    return criteriaSerializer.deserialize(filterString);
}
function insertDimensionsExpressionsIntoFilterExpression(filterString, dimensionsExpressions) {
    let criteriaSerializer = new _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_1__.FilterEditorSerializer();
    let filterCriteria = criteriaSerializer.deserialize(filterString);
    let dimensionsCriteria = {};
    for (let dimensionName in dimensionsExpressions)
        dimensionsCriteria[dimensionName] = _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__.CriteriaOperatorStateMachine.parse(dimensionsExpressions[dimensionName]);
    let patched = DimensionExpressionInserter.patch(filterCriteria, dimensionsCriteria);
    return criteriaSerializer.serialize(patched);
}
class DimensionExpressionInserter {
    static patch(criteria, dimensionsCriteria) {
        let patcher = new DimensionExpressionInserter(dimensionsCriteria);
        return criteria.accept(patcher);
    }
    constructor(dimensionsCriteria) {
        this._dimensionsCriteria = dimensionsCriteria;
    }
    visitOperandProperty(element) {
        return this._dimensionsCriteria[element.propertyName];
    }
}


/***/ }),

/***/ 1040:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ styleSettingsTypes),
/* harmony export */   q: () => (/* binding */ styleSettingsTypesMap)
/* harmony export */ });
/* harmony import */ var _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(488);
/* harmony import */ var _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2531);
/* harmony import */ var _style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9045);
/* harmony import */ var _style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(341);




let styleSettingsTypesMap = {
    'AppearanceSettings': _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_0__/* .AppearanceSettings */ .M,
    'IconSettings': _style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_3__/* .IconSettings */ .N,
    'BarStyleSettings': _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__/* .BarStyleSettings */ .S,
    'ColorStyleSettings': _style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_2__/* .ColorStyleSettings */ .W,
};
let styleSettingsTypes = Object.keys(styleSettingsTypesMap);


/***/ }),

/***/ 1041:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EK: () => (/* binding */ subscribeArrayChangeWithCancel),
/* harmony export */   Ro: () => (/* binding */ subscribeToArrayItemProperties),
/* harmony export */   SP: () => (/* binding */ subscribeWithPrev),
/* harmony export */   Tq: () => (/* binding */ safeComputed),
/* harmony export */   bY: () => (/* binding */ syncArrayHelper),
/* harmony export */   hO: () => (/* binding */ createObservableDataSource),
/* harmony export */   l4: () => (/* binding */ subscribeAndPerform),
/* harmony export */   uQ: () => (/* binding */ safeSubscribe),
/* harmony export */   w$: () => (/* binding */ subscribeArrayChange)
/* harmony export */ });
/* harmony import */ var devextreme_data_custom_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2262);
/* harmony import */ var devextreme_data_custom_store__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_data_custom_store__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2951);
/* harmony import */ var devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);



function subscribeArrayChange(array, handlers) {
    return array.subscribe(changes => {
        changes.forEach(arrayChange => {
            var change = arrayChange;
            if (change.status === 'added' && handlers.added) {
                handlers.added(change.value, change.index);
            }
            if (change.status === 'deleted' && handlers.deleted) {
                handlers.deleted(change.value);
            }
        });
    }, null, 'arrayChange');
}
function subscribeWithPrev(target, callback) {
    var prevValue;
    var disposables = [];
    disposables.push(target.subscribe(value => {
        prevValue = value;
    }, null, 'beforeChange'));
    disposables.push(target.subscribe(value => {
        callback(prevValue, value);
        prevValue = undefined;
    }));
    return {
        dispose: () => {
            disposables.forEach(disposable => disposable.dispose());
            disposables = [];
        }
    };
}
function subscribeArrayChangeWithCancel(target, callback) {
    let prevValue;
    let disposables = [];
    disposables.push(target.subscribe(value => {
        prevValue = value && value.slice();
    }, null, 'beforeChange'));
    disposables.push(target.subscribe(changes => {
        let ok = true;
        try {
            ok = callback(changes);
        }
        catch (error) {
            target(prevValue);
            prevValue = undefined;
            throw error;
        }
        if (!ok)
            target(prevValue);
        prevValue = undefined;
    }, null, 'arrayChange'));
    return {
        dispose: () => { disposables.forEach(element => element.dispose()); }
    };
}
function syncArrayHelper(sourceArray, destArray, addHandler) {
    destArray(sourceArray.peek().map(item => addHandler(item)));
    return sourceArray.subscribe((changes) => {
        changes.forEach((arrayChange) => {
            var change = arrayChange;
            if (change.status === 'added') {
                destArray.splice(change.index, 0, addHandler(change.value));
            }
            else if (change.status === 'deleted') {
                destArray.splice(change.index, 1);
            }
        });
    }, null, 'arrayChange');
}
function subscribeToArrayItemProperties(array, handler) {
    let subscriptionInfoList = [];
    let subscribe = (item) => {
        subscriptionInfoList.push({ object: item, subscriptions: [].concat(handler(item) || []) });
    };
    let unsubscribe = (item) => {
        var info = subscriptionInfoList.filter(info => info.object === item)[0];
        if (info) {
            info.subscriptions.forEach(subscription => subscription.dispose());
            subscriptionInfoList.splice(subscriptionInfoList.indexOf(info), 1);
        }
    };
    array().forEach(subscribe);
    let arrayChangeSubscribtion = subscribeArrayChange(array, {
        added: subscribe,
        deleted: unsubscribe
    });
    return {
        dispose: () => {
            arrayChangeSubscribtion.dispose();
            arrayChangeSubscribtion = null;
            subscriptionInfoList.forEach(info => info.subscriptions.forEach(subscription => subscription.dispose()));
            subscriptionInfoList.splice(0, subscriptionInfoList.length);
        }
    };
}
function subscribeAndPerform(subscribable, action) {
    action(subscribable());
    return subscribable.subscribe(action);
}
function safeSubscribe(observables, handler) {
    let computed = knockout__WEBPACK_IMPORTED_MODULE_2__.pureComputed(() => Object.keys(observables).reduce((acc, key) => { acc[key] = observables[key](); return acc; }, {}));
    let prevDisposable = handler(computed());
    let subscription = computed.subscribe(args => {
        prevDisposable && prevDisposable.dispose();
        prevDisposable = handler(args);
    });
    return {
        dispose: () => {
            subscription.dispose();
            computed.dispose();
            prevDisposable && prevDisposable.dispose();
        }
    };
}
function safeComputed(observables, handler) {
    var observable = knockout__WEBPACK_IMPORTED_MODULE_2__.observable();
    var subscription = safeSubscribe(observables, (args) => {
        observable(handler(args));
    });
    var computed = knockout__WEBPACK_IMPORTED_MODULE_2__.pureComputed(() => observable());
    var oldDispose = computed.dispose;
    computed.dispose = () => {
        subscription.dispose();
        oldDispose.call(computed);
    };
    return computed;
}
function createObservableDataSource(observables, load) {
    let computed = knockout__WEBPACK_IMPORTED_MODULE_2__.pureComputed(() => Object.keys(observables).reduce((acc, key) => { acc[key] = observables[key](); return acc; }, {}));
    let dataSource = new (devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_1___default())({
        store: new (devextreme_data_custom_store__WEBPACK_IMPORTED_MODULE_0___default())({
            loadMode: 'raw',
            load: () => load(computed())
        })
    });
    var subscription = computed.subscribe(_ => {
        dataSource.reload();
    });
    return {
        dataSource: dataSource,
        dispose: () => {
            subscription.dispose();
            if (dataSource['_disposed'] !== true)
                dataSource.dispose();
            computed.dispose();
        }
    };
}


/***/ }),

/***/ 1051:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ GridBarCalculator)
/* harmony export */ });
var startPercent = 0.15;
class GridBarCalculator {
    constructor(showZeroLevel) {
        this._valueItems = new Map();
        this._alwaysShowZeroLevel = showZeroLevel;
        this._normalizedValues = new Map();
        this._range = null;
        this._min = null;
        this._max = null;
        this._zeroPosition = null;
        this._normalizationData = null;
    }
    addValue(indexRow, valueItem) {
        this._valueItems.set(indexRow, valueItem);
    }
    getNormalizedValue(index) {
        if (this._normalizedValues.get(index))
            return this._normalizedValues.get(index);
        var normalizedValue = this._normalizeValue(this._valueItems.get(index).getValue());
        this._normalizedValues.set(index, normalizedValue);
        return normalizedValue;
    }
    getZeroPosition() {
        return this._zeroPosition;
    }
    initialize(min, max) {
        this._calcMinMax(min, max);
        this._calcRange();
        this._calcZeroPosition();
        this._calcNormalizationData();
    }
    _normalizeValue(value) {
        var showZero = this._normalizationData.showZero, minimum = this._normalizationData.minimum, ratio = this._normalizationData.ratio, range = this._normalizationData.range, sign = value >= 0 ? 1 : -1;
        return showZero || ratio === 0 ? value / range : sign * (startPercent + ratio * (Math.abs(value) - minimum));
    }
    _calcMinMax(min, max) {
        this._min = min;
        this._max = max;
    }
    _calcRange() {
        var min = this._min, minAbs = Math.abs(min), max = this._max, maxAbs = Math.abs(max);
        this._range = Math.max(max - min, minAbs, maxAbs);
    }
    _calcZeroPosition() {
        var min = this._min, minAbs = Math.abs(min), max = this._max, range = this._range;
        if (min < 0)
            if (max < 0)
                this._zeroPosition = 1;
            else {
                this._zeroPosition = range !== 0 ? minAbs / range : 0;
            }
        else
            this._zeroPosition = 0;
    }
    _calcNormalizationData() {
        var range = this._range || 1, min = this._min, max = this._max, equalSign = (min < 0 && max < 0) || (min >= 0 && max >= 0), minAbs = Math.abs(min), maxAbs = Math.abs(max), minimum = Math.min(minAbs, maxAbs), maximum = Math.max(minAbs, maxAbs), delta = maximum - minimum, ratio = delta !== 0 ? (1 - startPercent) / delta : 0, showZero = !equalSign || this._alwaysShowZeroLevel || (equalSign && minimum / maximum <= startPercent);
        this._normalizationData = {
            showZero: showZero,
            minimum: minimum,
            ratio: ratio,
            range: range
        };
    }
}


/***/ }),

/***/ 1053:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ ChoroplethMapItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _chorolpeth_map__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2953);
/* harmony import */ var _map_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1126);
/* harmony import */ var _metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6476);






class ChoroplethMapItem extends _map_item__WEBPACK_IMPORTED_MODULE_4__/* .MapItem */ .w {
    _getInteractivityDimensionLinks() {
        return [this.__attributeDimension];
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.maps = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Maps, (item) => this._createMap(item, serializer));
        this._attachDataItem(this, _metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_5__/* .attributeDimension */ .LX.propertyName);
        this.addDisposable(this._shapeFilesAttributeNameList.subscribe(list => {
            if ((!this.attributeName() && list && list.length > 0) || list.indexOf(this.attributeName()) === -1) {
                this.attributeName(list[0]);
            }
        }));
    }
    _clearBindings() {
        super._clearBindings();
        this.maps.removeAll();
    }
    _createMap(mapJSON, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        var itemType = mapJSON['@ItemType'];
        return new ChoroplethMapItem.choroplethMapTypesMap[itemType].constructor(this, mapJSON, serializer);
    }
    _getInfoCore() {
        return _metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_5__/* .choroplethMapDashboardItemSerializationsInfo */ .rg;
    }
    _getDefaultItemType() {
        return 'ChoroplethMap';
    }
    _getLayersCount() {
        return !!this.maps ? this.maps().length : 0;
    }
    _getLayerName() {
        return this._getDataItemContainerDisplayName(this.maps()[this._selectedElementIndex() || 0]);
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        var mapContent = this._paneContentHolder.getContent(_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.Map);
        if (mapContent && mapContent.ViewModel) {
            content.ViewModel.ToolTipAttributeName = mapContent.ViewModel.ToolTipAttributeName;
            if (mapContent.ViewModel.ChoroplethColorizer) {
                if (!content.ViewModel.ChoroplethColorizer)
                    content.ViewModel.ChoroplethColorizer = {};
                content.ViewModel.ChoroplethColorizer.AttributeName = mapContent.ViewModel.ChoroplethColorizer.AttributeName;
            }
        }
    }
}
ChoroplethMapItem.choroplethMapTypesMap = {
    'ValueMap': {
        constructor: _chorolpeth_map__WEBPACK_IMPORTED_MODULE_3__/* .ValueMap */ .Yx,
        displayName: 'DashboardWebStringId.Map.ValueMap',
        icon: 'dx-dashboard-grid-column-measure'
    },
    'DeltaMap': {
        constructor: _chorolpeth_map__WEBPACK_IMPORTED_MODULE_3__/* .DeltaMap */ .fB,
        displayName: 'DashboardWebStringId.Map.DeltaMap',
        icon: 'dx-dashboard-grid-column-delta'
    }
};
_serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .itemTypesMap */ .Jh['ChoroplethMap'] = { type: ChoroplethMapItem, groupName: 'maps', title: 'DashboardWebStringId.DefaultNameChoroplethMapItem', index: 220 };


/***/ }),

/***/ 1055:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M: () => (/* binding */ DimensionDefinition)
/* harmony export */ });
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1513);
/* harmony import */ var _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9369);


class DimensionDefinition extends _serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .SerializableModel */ .Lm {
    constructor(model, serializer, info) {
        super(model, serializer, _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_1__/* .definitionInfo */ .ui);
    }
    getInfo() {
        return _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_1__/* .definitionInfo */ .ui;
    }
}


/***/ }),

/***/ 1067:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ed: () => (/* binding */ customTemplateSerializationInfo),
/* harmony export */   KR: () => (/* binding */ deltaIndicator),
/* harmony export */   LZ: () => (/* binding */ autofitTemplateSerializationInfo),
/* harmony export */   MZ: () => (/* binding */ bottomSubValue1),
/* harmony export */   NR: () => (/* binding */ bottomValue),
/* harmony export */   NW: () => (/* binding */ type),
/* harmony export */   Oh: () => (/* binding */ bottomValue1),
/* harmony export */   PJ: () => (/* binding */ mainValue),
/* harmony export */   TH: () => (/* binding */ bottomSubValue2),
/* harmony export */   VV: () => (/* binding */ bottomValue2),
/* harmony export */   b3: () => (/* binding */ ultraCompactTemplateSerializationInfo),
/* harmony export */   fY: () => (/* binding */ nameValueTemplateSerializationInfo),
/* harmony export */   jj: () => (/* binding */ cardLayout),
/* harmony export */   ml: () => (/* binding */ subValue),
/* harmony export */   st: () => (/* binding */ deltaCompactTemplateSerializationInfo),
/* harmony export */   tI: () => (/* binding */ topValue),
/* harmony export */   uo: () => (/* binding */ cardLayoutSparkline),
/* harmony export */   zH: () => (/* binding */ templateSerializationInfo)
/* harmony export */ });
/* harmony import */ var _card_layout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7101);
/* harmony import */ var _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9453);
/* harmony import */ var _card_layout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4432);



let type = { propertyName: 'type', modelName: '@Type' };
let templateSerializationInfo = [_card_layout__WEBPACK_IMPORTED_MODULE_2__/* .minWidth */ .bV, _card_layout__WEBPACK_IMPORTED_MODULE_2__/* .maxWidth */ .JX, type];
let cardLayout = { propertyName: 'layout', modelName: 'Layout', type: _card_layout__WEBPACK_IMPORTED_MODULE_0__/* .CardLayout */ .B };
let customTemplateSerializationInfo = templateSerializationInfo.concat([cardLayout]);
let mainValue = { propertyName: 'mainValue', modelName: 'MainValue', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let subValue = { propertyName: 'subValue', modelName: 'SubValue', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let deltaIndicator = { propertyName: 'deltaIndicator', modelName: 'DeltaIndicator', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDeltaElement */ .vt };
let cardLayoutSparkline = { propertyName: 'sparkline', modelName: 'Sparkline', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateSparklineElement */ .A6 };
let bottomValue = { propertyName: 'bottomValue', modelName: 'BottomValue', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let bottomSubValue1 = { propertyName: 'bottomSubValue1', modelName: 'BottomSubValue1', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let bottomSubValue2 = { propertyName: 'bottomSubValue2', modelName: 'BottomSubValue2', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let deltaCompactTemplateSerializationInfo = templateSerializationInfo.concat([mainValue, subValue, bottomValue, bottomSubValue1, bottomSubValue2, deltaIndicator, cardLayoutSparkline]);
let topValue = { propertyName: 'topValue', modelName: 'TopValue', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let bottomValue1 = { propertyName: 'bottomValue1', modelName: 'BottomValue1', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let bottomValue2 = { propertyName: 'bottomValue2', modelName: 'BottomValue2', type: _card_layout_template_element__WEBPACK_IMPORTED_MODULE_1__/* .CardLayoutTemplateDataElement */ .bf };
let autofitTemplateSerializationInfo = templateSerializationInfo.concat([topValue, mainValue, subValue, bottomValue1, bottomValue2, deltaIndicator, cardLayoutSparkline]);
let nameValueTemplateSerializationInfo = templateSerializationInfo.concat([mainValue, subValue, bottomValue, deltaIndicator, cardLayoutSparkline]);
let ultraCompactTemplateSerializationInfo = templateSerializationInfo.concat([mainValue, subValue, bottomValue, bottomSubValue1, bottomSubValue2, deltaIndicator, cardLayoutSparkline]);


/***/ }),

/***/ 1069:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Br: () => (/* binding */ rowTotalsPosition),
/* harmony export */   Gb: () => (/* binding */ pivotColumns),
/* harmony export */   IG: () => (/* binding */ autoExpandRowGroups),
/* harmony export */   Jd: () => (/* binding */ columnTotalsPosition),
/* harmony export */   RF: () => (/* binding */ layoutType),
/* harmony export */   Tf: () => (/* binding */ showColumnTotals),
/* harmony export */   Ve: () => (/* binding */ pivotValues),
/* harmony export */   aG: () => (/* binding */ autoExpandColumnGroups),
/* harmony export */   aX: () => (/* binding */ pivotRows),
/* harmony export */   au: () => (/* binding */ valuesPosition),
/* harmony export */   h$: () => (/* binding */ pivotDashboardItemSerializationsInfo),
/* harmony export */   vO: () => (/* binding */ showColumnGrandTotals),
/* harmony export */   xM: () => (/* binding */ showRowGrandTotals),
/* harmony export */   z4: () => (/* binding */ showRowTotals)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6157);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);



let pivotColumns = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .columnsPropertyName */ .G3, modelName: 'Columns', displayName: 'DashboardStringId.DescriptionColumns', array: true };
let pivotRows = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .rowsPropertyName */ .qf, modelName: 'Rows', displayName: 'DashboardStringId.DescriptionRows', array: true };
let pivotValues = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .valuesPropertyName */ .Dn, modelName: 'Values', displayName: 'DashboardStringId.DescriptionValues', array: true };
let autoExpandColumnGroups = { propertyName: 'autoExpandColumnGroups', modelName: 'AutoExpandColumnGroups', displayName: 'DashboardWebStringId.PivotGrid.AutoExpandColumnGroups', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let autoExpandRowGroups = { propertyName: 'autoExpandRowGroups', modelName: 'AutoExpandRowGroups', displayName: 'DashboardWebStringId.PivotGrid.AutoExpandRowGroups', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let showColumnGrandTotals = { propertyName: 'showColumnGrandTotals', modelName: 'ShowColumnGrandTotals', displayName: 'DashboardWebStringId.PivotGrid.ColumnGrandTotals', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let showRowGrandTotals = { propertyName: 'showRowGrandTotals', modelName: 'ShowRowGrandTotals', displayName: 'DashboardWebStringId.PivotGrid.RowGrandTotals', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let showColumnTotals = { propertyName: 'showColumnTotals', modelName: 'ShowColumnTotals', displayName: 'DashboardWebStringId.PivotGrid.ColumnTotals', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let showRowTotals = { propertyName: 'showRowTotals', modelName: 'ShowRowTotals', displayName: 'DashboardWebStringId.PivotGrid.RowTotals', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let valuesPosition = {
    propertyName: 'valuesPosition', modelName: 'ValuesPosition', displayName: 'DashboardWebStringId.PivotGrid.ValuesPosition', defaultVal: 'Columns', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Columns': 'DashboardWebStringId.PivotGrid.ValuesPositionColumns',
        'Rows': 'DashboardWebStringId.PivotGrid.ValuesPositionRows'
    }
};
let rowTotalsPosition = {
    propertyName: 'rowTotalsPosition', modelName: 'RowTotalsPosition', displayName: 'DashboardWebStringId.PivotGrid.RowTotalsPosition', defaultVal: 'Bottom', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Bottom': 'DashboardWebStringId.PivotGrid.RowTotalsPositionBottom',
        'Top': 'DashboardWebStringId.PivotGrid.RowTotalsPositionTop'
    }
};
let columnTotalsPosition = {
    propertyName: 'columnTotalsPosition', modelName: 'ColumnTotalsPosition', displayName: 'DashboardWebStringId.PivotGrid.ColumnTotalsPosition', defaultVal: 'Far', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Far': 'DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar',
        'Near': 'DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear'
    }
};
let layoutType = {
    propertyName: 'layoutType', modelName: 'LayoutType', displayName: 'DashboardWebStringId.PivotGrid.LayoutType', defaultVal: 'Compact', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Compact': 'DashboardWebStringId.PivotGrid.LayoutTypeCompact',
        'Tabular': 'DashboardWebStringId.PivotGrid.LayoutTypeTabular'
    }
};
let pivotDashboardItemSerializationsInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dataDashboardItemSerializationsInfo */ .LH.concat([pivotColumns, pivotRows, pivotValues, autoExpandColumnGroups, autoExpandRowGroups, showColumnGrandTotals, showRowGrandTotals, showColumnTotals, showRowTotals, valuesPosition, rowTotalsPosition, columnTotalsPosition, layoutType, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._baseInteractivityOptionsMeta */ .vP]);


/***/ }),

/***/ 1105:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ windowDefinitionsTypesMap),
/* harmony export */   t: () => (/* binding */ MeasureCalculationWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(774);



class MeasureCalculationWindowDefinition extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson || {}, serializer);
    }
    getInfo() {
        return _metadata_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s;
    }
}
let windowDefinitionsTypesMap = {};


/***/ }),

/***/ 1126:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ MapItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _internal_array_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2972);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8588);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4904);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(9692);
/* harmony import */ var _metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(6172);
/* harmony import */ var _metadata_map_item__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7069);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









class MapItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_6__/* .DataDashboardItem */ .s {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.tooltipMeasures = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this._isGeometryChanged = false;
        this._shapeFilesAttributeNameList = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this._initialExtentChanged = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this._isGeometryChangedCallback = () => {
            this._isGeometryChanged = true;
            this.viewport.createViewerPaddings(true);
        };
        this.__tooltipMeasures = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.TooltipMeasures, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_metadata_map_item__WEBPACK_IMPORTED_MODULE_8__/* .tooltipMeasures */ .h_);
        this.addDisposable(this.customShapefile);
        this.addDisposable(this.__tooltipMeasures.subscribe((links) => {
            this._setLinkCollectionAcceptableShapingType(links, _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String);
        }));
        this._setLinkCollectionAcceptableShapingType(this.__tooltipMeasures(), _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String);
        if (!modelJson[_metadata_map_item__WEBPACK_IMPORTED_MODULE_8__/* .viewport */ .R9.modelName] &&
            !modelJson[_metadata_map_item__WEBPACK_IMPORTED_MODULE_8__/* .area */ .Wc.modelName] &&
            !modelJson[_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_7__/* .shapeData */ .E2.modelName]) {
            this.viewport._set({
                'TopLatitude': 83.64513000000001,
                'BottomLatitude': -55.61182999999996,
                'CenterPointLatitude': 44.08908074480383,
                'CenterPointLongitude': 1.4210854715202004e-13,
                'LeftLongitude': -179.99999999999997,
                'RightLongitude': 180
            });
        }
        this._supportedUIStates(['error', 'loading']);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__tooltipMeasures);
        this.__tooltipMeasures.removeAll();
    }
    _getInfoCore() {
        return _metadata_map_item__WEBPACK_IMPORTED_MODULE_8__/* .mapDashboardItemSerializationsInfo */ .dw;
    }
    _isCalculationSupported() {
        return false;
    }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return false; }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _setClientState(clientState) {
        super._setClientState(clientState);
    }
    _getContentCategories() {
        return super._getContentCategories().concat([_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__/* .PropertyCategory */ .Sw.Map]);
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        var mapContent = this._paneContentHolder.getContent(_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__/* .PropertyCategory */ .Sw.Map);
        if (!(0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_3__/* .areArraysEqual */ .BI)(this._shapeFilesAttributeNameList(), mapContent.MapAttributesNames)) {
            this._shapeFilesAttributeNameList(mapContent.MapAttributesNames);
        }
        if (mapContent && mapContent.ViewModel) {
            content.ViewModel.MapItems = mapContent.ViewModel.MapItems;
            content.ViewModel.ShapeTitleAttributeName = mapContent.ViewModel.ShapeTitleAttributeName;
            content.FullViewport = mapContent.FullViewport;
            if (this._isGeometryChanged) {
                this.viewport._set(mapContent.FullViewport);
                this._isGeometryChanged = false;
            }
        }
        content.ViewModel.Viewport = this.viewport._createViewModel();
    }
    _isSortingEnabled() {
        return false;
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_4__/* .collectionItemType */ .s)('TooltipMeasure')
], MapItem.prototype, "__tooltipMeasures", void 0);


/***/ }),

/***/ 1129:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ KpiElement)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item_container__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6465);
/* harmony import */ var _metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5480);



class KpiElement extends _data_item_container__WEBPACK_IMPORTED_MODULE_1__/* .DataItemContainer */ .L {
    _getDataId() {
        var dataItem = this.actualValue() || this.targetValue();
        return dataItem && dataItem.uniqueName() || null;
    }
    constructor(dataItemProvider, modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this._displayNameSeparator = 'vs';
        dataItemProvider._attachDataItem(this, _metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__/* .kpiItemActualValue */ .P$.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__/* .kpiItemTargetValue */ .kV.propertyName);
    }
    _getInfoCore() {
        return _metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__/* .kpiElementSerializationsInfo */ .QS;
    }
    _getBindingModel() {
        return [
            {
                propertyName: _metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__/* .kpiItemActualValue */ .P$.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.ActualValueCaption'
            },
            {
                propertyName: _metadata_kpi_element__WEBPACK_IMPORTED_MODULE_2__/* .kpiItemTargetValue */ .kV.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.TargetValueCaption'
            }
        ];
    }
}


/***/ }),

/***/ 1133:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ itemDataAxisNames)
/* harmony export */ });
let itemDataAxisNames = {
    defaultAxis: 'Default',
    chartSeriesAxis: 'Series',
    chartArgumentAxis: 'Argument',
    sparklineAxis: 'Sparkline',
    pivotColumnAxis: 'Column',
    pivotRowAxis: 'Row'
};


/***/ }),

/***/ 1160:
/***/ ((module) => {

module.exports = DevExpress.ui.dxList;

/***/ }),

/***/ 1187:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $R: () => (/* binding */ dateFilterDimension),
/* harmony export */   Lm: () => (/* binding */ filterType),
/* harmony export */   S0: () => (/* binding */ displayTextPattern),
/* harmony export */   Vj: () => (/* binding */ dateFilterDashboardItemSerializationsInfo),
/* harmony export */   gz: () => (/* binding */ arrangementMode),
/* harmony export */   yQ: () => (/* binding */ datePickerLocation)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6157);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);
/* harmony import */ var _range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3789);




let filterType = {
    propertyName: 'filterType', modelName: '@FilterType', displayName: 'DashboardWebStringId.DateFilter.FilterType', defaultVal: 'Between', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'After': 'DashboardWebStringId.DateFilter.FilterTypeAfter',
        'Before': 'DashboardWebStringId.DateFilter.FilterTypeBefore',
        'Exact': 'DashboardWebStringId.DateFilter.FilterTypeExact',
        'Between': 'DashboardWebStringId.DateFilter.FilterTypeBetween'
    }
};
let arrangementMode = {
    propertyName: 'arrangementMode', modelName: '@ArrangementMode', displayName: 'DashboardWebStringId.DateFilter.ArrangementMode', defaultVal: 'AutoHeight', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'AutoHeight': 'DashboardWebStringId.DateFilter.ArrangementModeAutoHeight',
        'Horizontal': 'DashboardWebStringId.DateFilter.ArrangementModeHorizontal',
        'Vertical': 'DashboardWebStringId.DateFilter.ArrangementModeVertical'
    }
};
let datePickerLocation = {
    propertyName: 'datePickerLocation', modelName: '@DatePickerLocation', displayName: 'DashboardWebStringId.DateFilter.DatePickerLocation', defaultVal: 'Far', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Far': 'DashboardWebStringId.DateFilter.DatePickerLocationFar',
        'Near': 'DashboardWebStringId.DateFilter.DatePickerLocationNear',
        'Hidden': 'DashboardWebStringId.DateFilter.DatePickerLocationHidden'
    }
};
let displayTextPattern = { propertyName: 'displayTextPattern', modelName: '@DisplayTextPattern', displayName: 'DashboardStringId.DateFilterDisplayTextPattern', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor', editorOptions: { placeholder: 'DashboardStringId.FromToDatePeriodCaption' } };
let dateFilterDimension = { propertyName: '__dimension', modelName: 'Dimension', displayName: 'DashboardStringId.DescriptionItemDimension', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let dateFilterDashboardItemSerializationsInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dataDashboardItemSerializationsInfo */ .LH.concat([dateFilterDimension, _range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_3__/* .dateTimePeriods */ ._L, filterType, arrangementMode, datePickerLocation, displayTextPattern, _range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_3__/* .defaultDateTimePeriodName */ .No, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._filterItemInteractivityOptionsMeta */ .Pz]);


/***/ }),

/***/ 1229:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ DashboardViewerConstants)
/* harmony export */ });
class DashboardViewerConstants {
}
DashboardViewerConstants.minPaneHeight = 20;
DashboardViewerConstants.minPaneWidth = 50;
DashboardViewerConstants.elementsCountAnimationThreshold = 7;


/***/ }),

/***/ 1253:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ treemapDataController)
/* harmony export */ });
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _special_values__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2383);
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6726);
/* harmony import */ var _localization_ids__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4216);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4999);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4833);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(814);







class treemapDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_6__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this.elementCustomColor = options.elementCustomColor;
        this._prepare();
    }
    _prepare() {
        var multiData = this.multiData;
        if (multiData) {
            let dimensions = multiData.getDimensions();
            this.last_dimension_id = dimensions.length > 0 ? dimensions[dimensions.length - 1].id : null;
        }
        this.nodeHash = {};
    }
    getDataSource() {
        var that = this, dataSource = [], viewModel = that.viewModel, multiData = that.multiData, measureIndex = 0, contentDescription = viewModel.ContentDescription, measure, measureValue, elementColor, valueId;
        if (viewModel.ProvideValuesAsArguments) {
            for (var i = 0; i < viewModel.ValueDataMembers.length; i++) {
                valueId = viewModel.ValueDataMembers[i];
                measure = multiData.getMeasureById(valueId);
                measureValue = multiData.getMeasureValue(valueId);
                elementColor = (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .toColor */ .VR)(multiData.getMeasureValue(viewModel.ColorDataMembers[i]).getValue());
                elementColor = that._getElementCustomColor(multiData.getAxis().getRootPoint(), elementColor, valueId);
                dataSource.push({
                    name: measure.name,
                    value: measureValue.getValue(),
                    valueText: measureValue.getDisplayText(),
                    color: elementColor
                });
            }
            if (viewModel.LayoutAlgorithm === 'SliceAndDice') {
                dataSource.sort(function (a, b) {
                    return b.value - a.value;
                });
            }
        }
        else {
            if (contentDescription != null && contentDescription.ElementSelectionEnabled)
                measureIndex = contentDescription.SelectedElementIndex;
            if (viewModel.ValueDataMembers.length > 0) {
                var root = multiData.getAxis().getRootPoint();
                dataSource = that._getChildren(root, measureIndex, viewModel.GroupArgumentDataMembers, null);
            }
        }
        return dataSource;
    }
    getLabel(node, encodeHtml = true) {
        var viewModel = this.viewModel;
        return this._getNodeText(node, viewModel.TilesLabelContentType, viewModel.GroupsLabelContentType, encodeHtml);
    }
    getTooltip(node, encodeHtml = true) {
        var viewModel = this.viewModel;
        return this._getNodeText(node, viewModel.TilesTooltipContentType, viewModel.GroupsTooltipContentType, encodeHtml);
    }
    getChildrenNodesUniqueValues(value) {
        var node = this.nodeHash[value], res = [];
        this._fillChildrenNodesUniqueValues(res, node);
        return res;
    }
    _fillChildrenNodesUniqueValues(res, node) {
        if (node.items) {
            for (var i = 0; i < node.items.length; i++) {
                this._fillChildrenNodesUniqueValues(res, node.items[i]);
            }
        }
        else
            res.push(node.uniqueValue);
    }
    _getChildren(currentPoint, measureIndex, groupArgumentDataMembers, prevArgumentDataMember) {
        var that = this, viewModel = that.viewModel, items = [], currentArgumentDataMember = groupArgumentDataMembers[0], points, recoveredGroupArgumentDataMembers, node;
        if (groupArgumentDataMembers.length > 1) {
            recoveredGroupArgumentDataMembers = [];
            for (var i = 1; i < groupArgumentDataMembers.length; i++) {
                recoveredGroupArgumentDataMembers.push(groupArgumentDataMembers[i]);
            }
            points = currentPoint.getPointsByDimensionId(currentArgumentDataMember);
            points.forEach(point => {
                node = that._createNode(point, measureIndex, prevArgumentDataMember);
                node.items = that._getChildren(point, measureIndex, recoveredGroupArgumentDataMembers, currentArgumentDataMember);
                items.push(node);
            });
        }
        else {
            points = currentPoint.getPointsByDimensionId(that.last_dimension_id);
            points.forEach(point => {
                node = that._createNode(point, measureIndex, prevArgumentDataMember);
                node.color = that._getColor(point, measureIndex);
                items.push(node);
            });
        }
        return items;
    }
    _createNode(point, measureIndex, prevArgumentDataMember) {
        var viewModel = this.viewModel, multiData = this.multiData, valueDataMember = viewModel.ValueDataMembers[measureIndex], measureValue = multiData.getSlice(point).getMeasureValue(valueDataMember), uniqueValue = point.getUniquePath(), node = {
            name: this._getArgumentString(point, prevArgumentDataMember),
            value: measureValue.getValue(),
            valueText: measureValue.getDisplayText(),
            uniqueValue: uniqueValue,
            format: function (value) {
                return (0,_formatter__WEBPACK_IMPORTED_MODULE_2__/* .format */ .GP)(value, multiData.getMeasureFormat(valueDataMember));
            }
        };
        this.nodeHash[node.uniqueValue] = node;
        return node;
    }
    _getNodeText(node, tileType, groupType, encodeHtml) {
        if (node.isLeaf()) {
            return this._getTextByContentType(tileType, node.data.name, node.data.valueText, encodeHtml);
        }
        else {
            return this._getTextByContentType(groupType, node.data.name, node.data.format(node.value()), encodeHtml);
        }
    }
    _getTextByContentType(contentType, argumentText, valueText, encodeHtml) {
        var argumentEncoded = encodeHtml ? (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .encodeHtml */ .o4)(argumentText) : argumentText;
        var valueEncoded = encodeHtml ? (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .encodeHtml */ .o4)(valueText) : valueText;
        switch (contentType) {
            case 'Argument':
                return argumentEncoded;
            case 'ArgumentAndValue':
                return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)(_localizer__WEBPACK_IMPORTED_MODULE_4__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_3__/* .localizationId */ .d.TreemapLabelValueTemplate), argumentEncoded, valueEncoded);
            case 'Value':
                return valueEncoded;
        }
    }
    _getArgumentString(point, prevArgumentDataMember) {
        var argumentString, path = point.getAxisPath(), dimension;
        if (this.drillDownState[point.getAxisName()]) {
            return point.getDisplayText();
        }
        for (var i = path.length - 1; i >= 0; i--) {
            dimension = path[i].getDimension();
            if (prevArgumentDataMember && dimension && dimension.id === prevArgumentDataMember)
                break;
            if (path[i].getUniqueValue() !== _special_values__WEBPACK_IMPORTED_MODULE_1__/* .specialValues */ .A.olapNullValueGuid) {
                if (argumentString) {
                    argumentString = (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)(_localizer__WEBPACK_IMPORTED_MODULE_4__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_3__/* .localizationId */ .d.TreemapLabelArgumentTemplate), path[i].getDisplayText(), argumentString);
                }
                else {
                    argumentString = path[i].getDisplayText();
                }
            }
        }
        return argumentString;
    }
    _getColor(point, measureIndex) {
        var that = this, viewModel = that.viewModel, multiData = that.multiData, colorId = viewModel.ColorDataMembers[measureIndex], color;
        if (viewModel.ColorArgument) {
            var colorPoint = point.getParentByDimensionId(viewModel.ColorArgument);
            multiData = multiData.getSlice(colorPoint);
        }
        color = (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .toColor */ .VR)(multiData.getMeasureValue(colorId).getValue());
        return that._getElementCustomColor(point, color, viewModel.ValueDataMembers[measureIndex]);
    }
    _getElementCustomColor(point, color, valueId) {
        var that = this, viewModel = that.viewModel, newColor;
        if (that.elementCustomColor && color) {
            var customElementColorEventArgs = {
                targetElement: [point],
                measureIds: [valueId],
                color: color
            };
            that.elementCustomColor(customElementColorEventArgs);
            newColor = customElementColorEventArgs.color;
            if (!newColor.colorIsInvalid && newColor !== color) {
                return newColor;
            }
        }
        return color;
    }
}


/***/ }),

/***/ 1286:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ defaultDataControllerFactory),
/* harmony export */   T: () => (/* binding */ DataControllerFactory)
/* harmony export */ });
/* harmony import */ var _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2745);
/* harmony import */ var _data_controllers_bubble_map_data_controller__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8478);
/* harmony import */ var _data_controllers_card_data_controller__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2757);
/* harmony import */ var _data_controllers_chart_data_controller__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7975);
/* harmony import */ var _data_controllers_choropleth_map_data_controller__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6306);
/* harmony import */ var _data_controllers_filter_element_data_controller__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3708);
/* harmony import */ var _data_controllers_gauge_data_controller__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3944);
/* harmony import */ var _data_controllers_geo_point_map_data_controller__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4214);
/* harmony import */ var _data_controllers_grid_data_controller__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7275);
/* harmony import */ var _data_controllers_image_data_controller__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1338);
/* harmony import */ var _data_controllers_pie_data_controller__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(5781);
/* harmony import */ var _data_controllers_pie_map_data_controller__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(4018);
/* harmony import */ var _data_controllers_pivot_data_controller__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(4395);
/* harmony import */ var _data_controllers_range_filter_data_controller__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(9645);
/* harmony import */ var _data_controllers_scatter_chart_data_controller__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(8088);
/* harmony import */ var _data_controllers_text_item_data_controller__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(6390);
/* harmony import */ var _data_controllers_treemap_data_controller__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(1253);

















class DataControllerFactory {
    createDataController(type, options) {
        switch (type) {
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.rangeFilter:
                return new _data_controllers_range_filter_data_controller__WEBPACK_IMPORTED_MODULE_13__/* .rangeFilterDataController */ .Y(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.chart:
                return new _data_controllers_chart_data_controller__WEBPACK_IMPORTED_MODULE_3__/* .chartDataController */ .T(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.scatter:
                return new _data_controllers_scatter_chart_data_controller__WEBPACK_IMPORTED_MODULE_14__/* .scatterChartDataController */ .p(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.pie:
                return new _data_controllers_pie_data_controller__WEBPACK_IMPORTED_MODULE_10__/* .pieDataController */ .R(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.pivot:
                return new _data_controllers_pivot_data_controller__WEBPACK_IMPORTED_MODULE_12__/* .pivotDataController */ .z(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.choroplethMap:
                return new _data_controllers_choropleth_map_data_controller__WEBPACK_IMPORTED_MODULE_4__/* .choroplethMapDataController */ .j(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.grid:
                return new _data_controllers_grid_data_controller__WEBPACK_IMPORTED_MODULE_8__/* .gridDataController */ .l(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.card:
                return new _data_controllers_card_data_controller__WEBPACK_IMPORTED_MODULE_2__/* .cardDataController */ .l(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.gauge:
                return new _data_controllers_gauge_data_controller__WEBPACK_IMPORTED_MODULE_6__/* .gaugeDataController */ .Y(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.geoPointMap:
                return new _data_controllers_geo_point_map_data_controller__WEBPACK_IMPORTED_MODULE_7__/* .geoPointMapDataController */ .Y(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.bubbleMap:
                return new _data_controllers_bubble_map_data_controller__WEBPACK_IMPORTED_MODULE_1__/* .bubbleMapDataController */ .R(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.pieMap:
                return new _data_controllers_pie_map_data_controller__WEBPACK_IMPORTED_MODULE_11__/* .pieMapDataController */ .n(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.comboBox:
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.listBox:
                return new _data_controllers_filter_element_data_controller__WEBPACK_IMPORTED_MODULE_5__/* .listViewDataController */ .I3(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.treeView:
                return new _data_controllers_filter_element_data_controller__WEBPACK_IMPORTED_MODULE_5__/* .treeViewDataController */ .eE(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.boundImage:
                return new _data_controllers_image_data_controller__WEBPACK_IMPORTED_MODULE_9__/* .imageDataController */ .c(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.text:
                return new _data_controllers_text_item_data_controller__WEBPACK_IMPORTED_MODULE_15__/* .textItemDataController */ .r(options);
            case _viewer_parts_viewer_item_types__WEBPACK_IMPORTED_MODULE_0__/* .types */ .g.treemap:
                return new _data_controllers_treemap_data_controller__WEBPACK_IMPORTED_MODULE_16__/* .treemapDataController */ .j(options);
            default:
                return undefined;
        }
    }
}
let defaultDataControllerFactory = new DataControllerFactory();


/***/ }),

/***/ 1338:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ imageDataController)
/* harmony export */ });
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(814);

class imageDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_0__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this._imageAxisPoints = this._getImageAxisPoints();
    }
    _getImageAxisPoints() {
        var that = this, multiData = that.multiData, viewModel = that.viewModel;
        return multiData ? multiData.getPointsByDimensionId(viewModel.ImageDimensionId) : null;
    }
    getImageData() {
        return this._imageAxisPoints && this._imageAxisPoints.length ? this._imageAxisPoints[0].getValue() : undefined;
    }
}


/***/ }),

/***/ 1339:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M: () => (/* binding */ ExpressionEditorDisplayNameProvider)
/* harmony export */ });
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3052);
/* harmony import */ var _model_data_sources_object_data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6848);
/* harmony import */ var _model_data_sources_xpo_data_source__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2560);




class ExpressionEditorDisplayNameProvider {
    static create(dataSourceProvider, dataFieldsProvider, dataSourceName, dataMember) {
        var dataSource = dataSourceProvider.findDataSource(dataSourceName);
        if (dataSource instanceof _model_data_sources_object_data_source__WEBPACK_IMPORTED_MODULE_2__/* .ObjectDataSource */ .f || dataSource instanceof _model_data_sources_xpo_data_source__WEBPACK_IMPORTED_MODULE_3__/* .XpoDataSource */ .F || dataSource instanceof _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_1__/* .EFDataSource */ .f) {
            return new ExpressionEditorDisplayNameProvider(dataFieldsProvider, dataSourceName, dataMember);
        }
        return null;
    }
    constructor(_dataFieldsProvider, _dataSourceName, _dataMember) {
        this._dataFieldsProvider = _dataFieldsProvider;
        this._dataSourceName = _dataSourceName;
        this._dataMember = _dataMember;
    }
    getDisplayNameByPath(dataSourcePath, fieldPath) {
        let parts = fieldPath.split('.');
        let result = null;
        let curPath = null;
        for (let i = 0; i < parts.length; i++) {
            curPath = curPath ? curPath + '.' + parts[i] : parts[i];
            let closedCurPath = curPath;
            let addCurDisplayPart = (curDisplayPath) => this._dataFieldsProvider.findDataField(this._dataSourceName, this._dataMember, closedCurPath)
                .then(dataField => {
                let def = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)();
                if (!dataField)
                    def.reject(fieldPath);
                else {
                    let displayName = dataField.displayName() || dataField.dataMember();
                    def.resolve(curDisplayPath ? curDisplayPath + '.' + displayName : displayName);
                }
                return def.promise();
            }, () => fieldPath);
            result = result ? result.then(addCurDisplayPart) : addCurDisplayPart('');
        }
        let removeRejection = (result) => (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)().resolve(result).promise();
        return result.then(removeRejection, removeRejection);
    }
    getRealName(dataSourcePath, fieldDisplayPath) {
        return this._getRealNameRecursive('', fieldDisplayPath.split('.'))
            .then(dataMember => (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)().resolve(dataMember ? dataMember : fieldDisplayPath).promise());
    }
    _getRealNameRecursive(curFieldPath, displayNameParts) {
        return this._dataFieldsProvider.getDataFieldsArray(this._dataSourceName, this._dataMember, curFieldPath, _ => true).then(dataFieldList => {
            let i = 0;
            let dataField;
            for (; i <= displayNameParts.length; i++) {
                const displayName = displayNameParts.slice(0, i).join('.');
                dataField = dataFieldList.filter(dataField => dataField.displayName() === displayName)[0];
                if (dataField)
                    break;
            }
            if (!dataField)
                return;
            if (i === displayNameParts.length)
                return dataField.dataMember();
            return this._getRealNameRecursive(dataField.dataMember(), displayNameParts.slice(i));
        });
    }
}


/***/ }),

/***/ 1345:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ ChartItemFormatRuleBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9651);
/* harmony import */ var _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7540);
/* harmony import */ var _style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9045);




class ChartItemFormatRuleBase extends _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_1__/* .DashboardItemFormatRule */ .d {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        if (!this.condition()) {
            _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .conditionTypes */ .zY
                .map(type => type.propertyName)
                .forEach(propertyName => this[propertyName] && this[propertyName].styleSettings && this[propertyName].styleSettings(new _style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_3__/* .ColorStyleSettings */ .W({})));
        }
    }
}


/***/ }),

/***/ 1360:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Jn: () => (/* binding */ CardLayoutTemplate),
/* harmony export */   aQ: () => (/* binding */ CardCustomLayoutTemplate),
/* harmony export */   b9: () => (/* binding */ CardLightweightLayoutTemplate),
/* harmony export */   cT: () => (/* binding */ CardCompactLayoutTemplate),
/* harmony export */   fS: () => (/* binding */ CardCenteredLayoutTemplate),
/* harmony export */   jX: () => (/* binding */ CardStretchedLayoutTemplate),
/* harmony export */   wb: () => (/* binding */ CardEmptyLayoutTemplate)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1067);




var cardLayoutTypes = {
    Stretched: 'Stretched',
    Centered: 'Centered',
    Compact: 'Compact',
    Lightweight: 'Lightweight',
    Custom: 'Custom',
    None: 'None'
};
var cardLayoutTemplateNames = {
    Stretched: 'DashboardStringId.CardLayoutTemplateStretchedCaption',
    Centered: 'DashboardStringId.CardLayoutTemplateCenteredCaption',
    Compact: 'DashboardStringId.CardLayoutTemplateCompactCaption',
    Lightweight: 'DashboardStringId.CardLayoutTemplateLightweightCaption',
    Custom: 'DashboardStringId.CardLayoutTemplateCustomCaption',
    None: 'DashboardStringId.CardLayoutTemplateNoneCaption'
};
class CardLayoutTemplate extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__/* .templateSerializationInfo */ .zH;
    }
    _resetToDefaults() { }
    clone() {
        var clonedTemplate = this._createInstance();
        this._clone(this, clonedTemplate);
        return clonedTemplate;
    }
    _clone(target, source) {
        var serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer();
        serializer.deserialize(source, serializer.serialize(target));
    }
}
class CardEmptyLayoutTemplate extends CardLayoutTemplate {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.isEmpty = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true);
        this.title = cardLayoutTemplateNames[this.getType()];
    }
    _collectProperties(dimensionNames) {
        return [];
    }
    getType() {
        return cardLayoutTypes.None;
    }
    getInfo() {
        return [];
    }
    _createInstance() {
        return this;
    }
}
class CardCustomLayoutTemplate extends CardLayoutTemplate {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        !this.type() && this.type(cardLayoutTypes.Custom);
        this.title = cardLayoutTemplateNames[this.type()];
    }
    getInfo() {
        return _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__/* .customTemplateSerializationInfo */ .Ed;
    }
    _collectProperties(dimensionNames) {
        return [];
    }
    _resetToDefaults() { }
    getType() {
        return this.type();
    }
    _createInstance() {
        return new CardCustomLayoutTemplate();
    }
}
class CardCenteredLayoutTemplate extends CardLayoutTemplate {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        !this.type() && this.type(cardLayoutTypes.Centered);
        this.title = cardLayoutTemplateNames[this.type()];
    }
    getInfo() {
        return _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__/* .deltaCompactTemplateSerializationInfo */ .st;
    }
    _collectProperties(dimensionNames) {
        return [
            this.mainValue._createEditorModel(dimensionNames),
            this.subValue._createEditorModel(dimensionNames),
            this.bottomValue._createEditorModel(dimensionNames),
            this.bottomSubValue1._createEditorModel(dimensionNames),
            this.bottomSubValue2._createEditorModel(dimensionNames),
            this.deltaIndicator._createEditorModel(dimensionNames),
            this.sparkline._createEditorModel(dimensionNames)
        ];
    }
    _resetToDefaults() {
        this.mainValue._initDefault(true, 'Title');
        this.subValue._initDefault(true, 'Subtitle');
        this.bottomValue._initDefault(true, 'ActualValue');
        this.bottomSubValue1._initDefault(true, 'AbsoluteVariation');
        this.bottomSubValue2._initDefault(true, 'PercentVariation');
        this.deltaIndicator._initDefault(true);
        this.sparkline._initDefault(true);
        this.maxWidth(270);
    }
    getType() {
        return this.type();
    }
    _createInstance() {
        return new CardCenteredLayoutTemplate();
    }
}
class CardStretchedLayoutTemplate extends CardLayoutTemplate {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        !this.type() && this.type(cardLayoutTypes.Stretched);
        this.title = cardLayoutTemplateNames[this.type()];
    }
    getInfo() {
        return _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__/* .autofitTemplateSerializationInfo */ .LZ;
    }
    _collectProperties(dimensionNames) {
        return [
            this.topValue._createEditorModel(dimensionNames),
            this.mainValue._createEditorModel(dimensionNames),
            this.subValue._createEditorModel(dimensionNames),
            this.bottomValue1._createEditorModel(dimensionNames),
            this.bottomValue2._createEditorModel(dimensionNames),
            this.deltaIndicator._createEditorModel(dimensionNames),
            this.sparkline._createEditorModel(dimensionNames)
        ];
    }
    _resetToDefaults() {
        this.topValue._initDefault(true, 'ActualValue');
        this.mainValue._initDefault(true, 'Title');
        this.subValue._initDefault(true, 'Subtitle');
        this.bottomValue1._initDefault(true, 'PercentVariation');
        this.bottomValue2._initDefault(true, 'AbsoluteVariation');
        this.deltaIndicator._initDefault(true);
        this.sparkline._initDefault(true);
    }
    getType() {
        return this.type();
    }
    _createInstance() {
        return new CardStretchedLayoutTemplate();
    }
}
class CardLightweightLayoutTemplate extends CardLayoutTemplate {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        !this.type() && this.type(cardLayoutTypes.Lightweight);
        this.title = cardLayoutTemplateNames[this.type()];
    }
    getInfo() {
        return _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__/* .nameValueTemplateSerializationInfo */ .fY;
    }
    _collectProperties(dimensionNames) {
        return [
            this.mainValue._createEditorModel(dimensionNames),
            this.subValue._createEditorModel(dimensionNames),
            this.bottomValue._createEditorModel(dimensionNames),
            this.deltaIndicator._createEditorModel(dimensionNames),
            this.sparkline._createEditorModel(dimensionNames)
        ];
    }
    _resetToDefaults() {
        this.mainValue._initDefault(true, 'ActualValue');
        this.subValue._initDefault(true, 'Title');
        this.bottomValue._initDefault(true, 'Subtitle');
        this.deltaIndicator._initDefault(false);
        this.sparkline._initDefault(false);
    }
    getType() {
        return this.type();
    }
    _createInstance() {
        return new CardLightweightLayoutTemplate();
    }
}
class CardCompactLayoutTemplate extends CardLayoutTemplate {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        !this.type() && this.type(cardLayoutTypes.Compact);
        this.title = cardLayoutTemplateNames[this.type()];
    }
    getInfo() {
        return _metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_3__/* .deltaCompactTemplateSerializationInfo */ .st;
    }
    _collectProperties(dimensionNames) {
        return [
            this.mainValue._createEditorModel(dimensionNames),
            this.subValue._createEditorModel(dimensionNames),
            this.bottomValue._createEditorModel(dimensionNames),
            this.bottomSubValue1._createEditorModel(dimensionNames),
            this.bottomSubValue2._createEditorModel(dimensionNames),
            this.deltaIndicator._createEditorModel(dimensionNames),
            this.sparkline._createEditorModel(dimensionNames)
        ];
    }
    _resetToDefaults() {
        this.mainValue._initDefault(true, 'Title');
        this.subValue._initDefault(true, 'Subtitle');
        this.bottomValue._initDefault(true, 'ActualValue');
        this.bottomSubValue1._initDefault(true, 'AbsoluteVariation');
        this.bottomSubValue2._initDefault(true, 'PercentVariation');
        this.deltaIndicator._initDefault(true);
        this.sparkline._initDefault(true);
        this.maxWidth(270);
    }
    getType() {
        return this.type();
    }
    _createInstance() {
        return new CardCompactLayoutTemplate();
    }
}


/***/ }),

/***/ 1371:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M: () => (/* binding */ excelDataSourceSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3689);


let excelDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_1__/* .dataSourceSerializationsInfo */ .v.concat([_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .filter */ .pb]);


/***/ }),

/***/ 1383:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ BoundImageItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9692);
/* harmony import */ var _metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3532);




class BoundImageItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_2__/* .DataDashboardItem */ .s {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this._attachDataItem(this, _metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_3__/* .imageItem */ .hY.propertyName);
    }
    _getInfoCore() {
        return _metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_3__/* .boundImageDashboardItemSerializationsInfo */ .WD;
    }
    _isCalculationSupported() {
        return false;
    }
    _isSortingEnabled() {
        return false;
    }
    _isTopNEnabled(dataItem) {
        return false;
    }
    _getDefaultItemType() {
        return 'BoundImage';
    }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getIsVisualInteractivitySupported() { return false; }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        content.ViewModel.SizeMode = this.sizeMode();
        content.ViewModel.HorizontalAlignment = this.horizontalAlignment();
        content.ViewModel.VerticalAlignment = this.verticalAlignment();
    }
}
_serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .itemTypesMap */ .Jh['BoundImage'] = { type: BoundImageItem, groupName: 'common', title: 'DashboardStringId.DefaultNameBoundImageItem', index: 100 };


/***/ }),

/***/ 1386:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ ParametersCollection),
/* harmony export */   k: () => (/* binding */ Parameter)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jquery_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5988);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4833);



class ParameterValue {
    constructor(value, displayText) {
        this._value = value;
        this._displayText = displayText;
    }
    getValue() {
        return this._value;
    }
    getDisplayText() {
        return this._displayText;
    }
}
class Parameter {
    constructor(parameterViewModel) {
        this.parameterChanged = (0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__/* .createJQueryCallbacks */ .NG)();
        this.dynamicListLookUpSettings = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(null);
        this._name = parameterViewModel.Name;
        this._value = parameterViewModel.DefaultValue;
        this._defaultValue = parameterViewModel.DefaultValue;
        this._description = parameterViewModel.Description;
        this._type = parameterViewModel.Type;
        this.originalType = parameterViewModel.OriginalType;
        this._visible = parameterViewModel.Visible;
        this._allowNull = parameterViewModel.AllowNull;
        this._allowmultiselect = parameterViewModel.AllowMultiselect;
        this.dynamicListLookUpSettings = parameterViewModel.DynamicListLookUpSettings;
        this._selectAllValues = parameterViewModel.SelectAllValues;
        this.setLookUpValues(parameterViewModel.Values, parameterViewModel.ContainsDisplayMember);
    }
    getName() {
        return this._name;
    }
    getAllowNull() {
        return this._allowNull;
    }
    getAllowMultiselect() {
        return this._allowmultiselect;
    }
    getValue() {
        return this._value;
    }
    setValue(value) {
        if (!(0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .checkValuesAreEqual */ .rY)(this._value, value, true, true)) {
            this._value = value;
            this.parameterChanged.fire();
        }
    }
    getDefaultValue() {
        return this._defaultValue;
    }
    getDescription() {
        return this._description;
    }
    getType() {
        return this._type;
    }
    getLookUpValues() {
        return this._values;
    }
    setLookUpValues(values, containsDisplayMember) {
        var that = this;
        if (values === null)
            that._values = values;
        else {
            that._values = [];
            if (values) {
                values.forEach(value => {
                    that._values.push(new ParameterValue(value.Value, containsDisplayMember ? value.DisplayText : value.Value));
                });
            }
        }
    }
    isVisible() {
        return this._visible;
    }
}
class ParametersCollection {
    constructor(parametersViewModel) {
        this.collectionChanged = (0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__/* .createJQueryCallbacks */ .NG)();
        this._parameters = [];
        var that = this;
        if (parametersViewModel) {
            parametersViewModel.forEach(parameterViewModel => {
                var parameter = new Parameter(parameterViewModel);
                parameter.parameterChanged.add(function () {
                    that.collectionChanged.fire(parameter);
                });
                that._parameters.push(parameter);
            });
        }
    }
    refreshParameters(newParameters = []) {
        this.cleanExtraParameterts(newParameters.map(newParam => newParam.Name));
        var that = this;
        newParameters.forEach(newParameter => {
            const localParameter = this.getParameterByName(newParameter.Name);
            if (localParameter) {
                localParameter._allowNull = newParameter.AllowNull;
                localParameter._allowmultiselect = newParameter.AllowMultiselect;
                localParameter._defaultValue = newParameter.DefaultValue;
                localParameter._name = newParameter.Name;
                localParameter._selectAllValues = newParameter.SelectAllValues;
                localParameter._type = newParameter.Type;
                localParameter._visible = newParameter.Visible;
                localParameter.dynamicListLookUpSettings = newParameter.DynamicListLookUpSettings;
                localParameter._description = newParameter.Description;
                localParameter.originalType = newParameter.OriginalType;
                localParameter.setLookUpValues(newParameter.Values, newParameter.ContainsDisplayMember);
            }
            else {
                var parameter = new Parameter(newParameter);
                parameter.parameterChanged.add(function () {
                    that.collectionChanged.fire(parameter);
                });
                that._parameters.push(parameter);
            }
        });
        const correctOrder = newParameters.map(parameter => parameter.Name);
        this._parameters.sort((a, b) => {
            return correctOrder.indexOf(a._name) - correctOrder.indexOf(b._name);
        });
    }
    updateParameterValues(parametersViewModel) {
        parametersViewModel.forEach(parameterViewModel => {
            this.getParameterByName(parameterViewModel.Name).setLookUpValues(parameterViewModel.Values, parameterViewModel.ContainsDisplayMember);
        });
    }
    setParameters(newParameters) {
        newParameters.forEach(newParameter => {
            var parameter = this.getParameterByName(newParameter.Name);
            parameter.setValue(newParameter.Value);
        });
    }
    getParameterValues() {
        let parameterValues = [];
        this._parameters.forEach((parameter) => {
            parameterValues.push({
                Name: parameter.getName(),
                Value: parameter.getValue()
            });
        });
        return parameterValues;
    }
    getParameterDefaultValue(name) {
        return this.getParameterByName(name).getDefaultValue();
    }
    getParameterValue(name) {
        return this.getParameterByName(name).getValue();
    }
    setParameterValue(name, value) {
        var parameter = this.getParameterByName(name);
        parameter.setValue(value);
    }
    getParameters() {
        return this.getParameterList();
    }
    getVisibleParameters() {
        return this._parameters.filter(parameter => parameter.isVisible());
    }
    getParameterList() {
        return this._parameters;
    }
    getParameterByName(name) {
        var that = this;
        return that._parameters.filter((parameter) => parameter.getName() == name)[0];
    }
    getParameterByIndex(index) {
        return this._parameters[index];
    }
    cleanExtraParameterts(names) {
        this._parameters = this._parameters.filter(parameter => names.includes(parameter._name));
    }
}


/***/ }),

/***/ 1391:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EI: () => (/* binding */ customShapefileUrl),
/* harmony export */   SA: () => (/* binding */ customShapefileSerializationsInfo),
/* harmony export */   nJ: () => (/* binding */ customShapefileData)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _custom_shape_file_data__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5015);


let customShapefileUrl = { propertyName: 'url', modelName: '@Url', displayName: 'DashboardWebStringId.Map.CustomMapUrl', defaultVal: undefined, simpleFormAdapterItem: 'textBoxEditor', editorOptions: { placeholder: 'http://www.example.com/map.shp' }, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Map };
let customShapefileData = { propertyName: 'data', modelName: 'Data', type: _custom_shape_file_data__WEBPACK_IMPORTED_MODULE_1__/* .CustomShapefileData */ .x };
let customShapefileSerializationsInfo = [customShapefileUrl, customShapefileData];


/***/ }),

/***/ 1461:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ kpiDataController)
/* harmony export */ });
/* harmony import */ var _viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2850);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);
/* harmony import */ var _common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7739);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(814);




class kpiDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_3__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this._initialize();
    }
    getDataSource() {
        var that = this, axisPoints = that._axisPoints, sourceItem, dataSource = [], i;
        if (that.multiData) {
            that._iterateKpiItems(function (kpiElement) {
                if (axisPoints) {
                    for (i = 0; i < axisPoints.length; i++) {
                        sourceItem = that._createSourceItem(axisPoints[i], kpiElement);
                        dataSource.push(sourceItem);
                    }
                }
                else {
                    sourceItem = that._createSourceItem(null, kpiElement);
                    dataSource.push(sourceItem);
                }
            });
        }
        return dataSource;
    }
    _createSourceItem(axisPoint, kpiElement) {
        var that = this, deltaValue = that._getDeltaValue(axisPoint, kpiElement), measure = that.multiData.getMeasureById(kpiElement.ID), measureValue = that._getMeasureValue(axisPoint, kpiElement), sparklineValues = that._getSparklineValues(axisPoint, kpiElement), getDeltaValue = (getter) => {
            return deltaValue ? getter(deltaValue) : undefined;
        }, getCaptions = () => {
            if (axisPoint) {
                var axisName = axisPoint.getAxisName();
                if (that.drillDownState[axisName]) {
                    var text = axisPoint.getDisplayText();
                    return text == undefined ? [''] : [text];
                }
                else {
                    return axisPoint.getDisplayPath();
                }
            }
            else
                return [kpiElement.Title];
        }, properties = {
            getActualValue: function () {
                var value = getDeltaValue((d) => d.getActualValue().getValue());
                return value || measureValue.getValue();
            },
            getActualValueText: function () {
                var text = getDeltaValue((d) => d.getActualValue().getDisplayText());
                return text || measureValue.getDisplayText();
            },
            getTargetValue: function () {
                return getDeltaValue((d) => d.getTargetValue().getValue());
            },
            getTargetValueText: function () {
                return getDeltaValue((d) => d.getTargetValue().getDisplayText());
            },
            getAbsoluteVariationValue: function () {
                return getDeltaValue((d) => d.getAbsoluteVariation().getValue());
            },
            getAbsoluteVariationText: function () {
                return getDeltaValue((d) => d.getAbsoluteVariation().getDisplayText());
            },
            getPercentVariationValue: function () {
                return getDeltaValue((d) => d.getPercentVariation().getValue());
            },
            getPercentVariationText: function () {
                return getDeltaValue((d) => d.getPercentVariation().getDisplayText());
            },
            getPercentOfTargetValue: function () {
                return getDeltaValue((d) => d.getPercentOfTarget().getValue());
            },
            getPercentOfTargetText: function () {
                return getDeltaValue((d) => d.getPercentOfTarget().getDisplayText());
            },
            getDimensionValue: function (dataId) {
                return axisPoint.getParentByDimensionId(dataId).getValue();
            },
            getDimensionValueText: function (dataId) {
                return axisPoint.getParentByDimensionId(dataId).getDisplayText();
            },
            getIndicatorType: function () {
                return that._convertIndicatorType(getDeltaValue((d) => d.getIndicatorType().getValue()));
            },
            getIsGood: function () {
                return getDeltaValue((d) => d.getIsGood().getValue());
            },
            getMainValueText: function () {
                return getDeltaValue((d) => d.getDisplayValue().getDisplayText());
            },
            getSubValue1Text: function () {
                return getDeltaValue((d) => d.getDisplaySubValue1().getDisplayText());
            },
            getSubValue2Text: function () {
                return getDeltaValue((d) => d.getDisplaySubValue2().getDisplayText());
            },
            getMeasureValue: function () {
                return measureValue.getValue();
            },
            getMeasureDisplayText: function () {
                return measureValue.getDisplayText();
            },
            getSparklineOptions: function () {
                var sparklineOptions = undefined;
                if (sparklineValues) {
                    sparklineOptions = that._generateSparklineOptions(sparklineValues, kpiElement.SparklineOptions, measure.format);
                }
                return sparklineOptions;
            },
            getSelectionValues: function () {
                return axisPoint ? axisPoint.getUniquePath() : null;
            },
            getCaptions: function () {
                return getCaptions();
            },
            getTitle: function () {
                var captions = getCaptions();
                if (captions.length > 0)
                    return captions.pop();
            },
            getSubtitle: function () {
                var captions = getCaptions();
                if (captions.length > 1)
                    captions.pop();
                return captions.join(_data_controller_base__WEBPACK_IMPORTED_MODULE_3__/* .DEFAULT_SUBTITLE_SEPARATOR */ .lF);
            },
            getGaugeRange: function () {
                return that._getGaugeRange(kpiElement);
            },
            getCardName: function () {
                return kpiElement.Title;
            },
            getStyleSettingsInfo: (ruleFilter) => {
                return this._getStyleSettingsInfo(axisPoint, kpiElement.ID, ruleFilter);
            },
            getKpiElementId: function () {
                return kpiElement.ID;
            }
        };
        var sourceItem = {};
        sourceItem[_common__WEBPACK_IMPORTED_MODULE_2__/* .DashboardDataIdField */ .e3] = kpiElement.ID;
        sourceItem.onIncidentOccurred = _viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_0__/* .RenderHelper */ .p.widgetIncidentOccurred;
        that.setSourceItemProperties(sourceItem, kpiElement, properties);
        return sourceItem;
    }
    _getDeltaValue(axisPoint, kpiElement) {
        var multiData = this.multiData, measureId = kpiElement.ID;
        if (!multiData.getDeltaById(measureId))
            return undefined;
        return axisPoint ? multiData.getDeltaValueByAxisPoints(measureId, [axisPoint]) : multiData.getDeltaValue(measureId);
    }
    _getMeasureValue(axisPoint, kpiElement) {
        var multiData = this.multiData, measureId = kpiElement.ID;
        return axisPoint ? multiData.getMeasureValueByAxisPoints(measureId, [axisPoint]) : multiData.getMeasureValue(measureId);
    }
    _getSparklineValues(axisPoint, kpiElement) {
        if (!this._sparklineAxisPoints)
            return;
        var that = this, values = [], measureValue, measureId = kpiElement.ID, multiData = that.multiData;
        that._sparklineAxisPoints.forEach(sparklinePoint => {
            measureValue = axisPoint ?
                multiData.getMeasureValueByAxisPoints(measureId, [axisPoint, sparklinePoint]) :
                multiData.getMeasureValueByAxisPoints(measureId, [sparklinePoint]);
            values.push(measureValue.getValue() || 0);
        });
        return values;
    }
    _getStyleSettingsInfo(axisPoint, kpiElementId, ruleFilter) {
        let rules = [], cellInfo = {
            axisPoint: axisPoint
        };
        rules = this.cfModel.RuleModels.filter(rule => ruleFilter(rule, kpiElementId));
        return this._getStyleSettingsInfoCore(cellInfo, rules, this.viewModel.ColumnAxisName, _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.defaultAxis);
    }
    _correctAxisPoint(axisPoint, ruleModel) {
        var correctAxisPoint = null;
        if (ruleModel.CalcByDataId)
            correctAxisPoint = this._findAxisPoint(ruleModel.CalcByDataId, axisPoint);
        return correctAxisPoint || axisPoint;
    }
    _getStyleIndexes(rule, cellInfo, points) {
        var axisPoint, currentStyleIndexes, styleIndexes = [];
        axisPoint = this._correctAxisPoint(cellInfo.axisPoint, rule);
        if (axisPoint)
            points.push(axisPoint);
        currentStyleIndexes = this._getMeasureValueByAxisPoints(points, rule.FormatConditionMeasureId);
        if (currentStyleIndexes) {
            styleIndexes = styleIndexes.concat(currentStyleIndexes);
        }
        return styleIndexes;
    }
    _initialize() {
        if (!this.multiData)
            return;
        var that = this, viewModel = that.viewModel, multiData = that.multiData;
        that._axisPoints = !!this.viewModel.SeriesAxisName ? multiData.getAxis(viewModel.SeriesAxisName).getPoints() : undefined;
        that._sparklineAxisPoints = !!this.viewModel.SparklineAxisName ? multiData.getAxis(viewModel.SparklineAxisName).getPoints() : undefined;
    }
    _iterateKpiItems(delegate) {
    }
    _getGaugeRange(element) {
    }
}


/***/ }),

/***/ 1505:
/***/ ((module) => {

module.exports = DevExpress.localization.date;

/***/ }),

/***/ 1507:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  E: () => (/* binding */ GridItem)
});

// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/common/dashboard-update-hub/_model-subscriber.js
var _model_subscriber = __webpack_require__(9044);
// EXTERNAL MODULE: ./dist/data/_jquery-helpers.js
var _jquery_helpers = __webpack_require__(5988);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/grid-calc-window-definition.js
var grid_calc_window_definition = __webpack_require__(943);
// EXTERNAL MODULE: ./dist/model/data-sources/_data-field.js
var _data_field = __webpack_require__(4270);
;// ./dist/model/internal/_client-filter-manager.js

class ClientFilterManager extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(_updateTotals) {
        super();
        this._updateTotals = _updateTotals;
        this.addDisposable(_updateTotals.subscribe(value => {
            if (!value)
                this.clearFilterParams();
        }));
    }
    getFilterParams() {
        return this._filterParams;
    }
    setFilterParams(clientFilter) {
        if (this._updateTotals()) {
            this._filterParams = clientFilter;
        }
    }
    clearFilterParams() {
        this._filterParams = undefined;
    }
    setFilterState(filterValue) {
        this._filterState = filterValue;
    }
    getFilterState() {
        return this._filterState;
    }
}

// EXTERNAL MODULE: ./dist/model/internal/_undo-engine-helper.js
var _undo_engine_helper = __webpack_require__(7899);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/items/data-dashboard-item.js
var data_dashboard_item = __webpack_require__(9692);
// EXTERNAL MODULE: ./dist/model/items/grid/grid-columns.js
var grid_columns = __webpack_require__(9576);
// EXTERNAL MODULE: ./dist/model/items/grid/metadata/_grid-item.js + 1 modules
var _grid_item = __webpack_require__(8096);
;// ./dist/model/items/grid/grid-item.js
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











class GridItem extends data_dashboard_item/* DataDashboardItem */.s {
    constructor(dashboardItemJSON = {}, serializer) {
        super(dashboardItemJSON, serializer);
        this._processClientFilterChanged = (clientFilter) => {
            if (this._canUpdateTotals()) {
                this._gridClientFilterManager.setFilterParams(clientFilter);
                this._dataQueryParams.notifySubscribers();
            }
        };
        this._processClientFilterStateChanged = (clientFilterState) => {
            this._gridClientFilterManager.setFilterState(clientFilterState);
        };
        this.columns = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(dashboardItemJSON.GridColumns, (item) => this._createGridColumn(item, serializer));
        this._attachDataItem(this, _grid_item/* sparklineArgument */.Jd.propertyName);
        this.addDisposable(this.interactivityOptions.masterFilterMode.subscribe(newMode => {
            if (newMode !== 'None') {
                this.gridOptions.allowCellMerge(false);
            }
        }));
        this.addDisposable(this._gridClientFilterManager = new ClientFilterManager(this.columnFilterOptions.updateTotals));
    }
    _canUpdateTotals() {
        return this.columnFilterOptions.updateTotals()
            && this.columns().length > 0
            && !_data_field/* DataField */.J7.isOlap(this.columns()[0].actualDataItem.dataMember())
            && this.columns().some(c => c.totals().length > 0);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.columns);
        this.columns.removeAll();
    }
    _createGridColumn(columnJSON, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        var itemType = columnJSON['@ItemType'];
        return new GridItem._gridColumnTypesMap[itemType].constructor(this, columnJSON, serializer);
    }
    _getInfoCore() {
        return _grid_item/* dashboardGridItemSerializationsInfo */.nB;
    }
    _getDefaultItemType() {
        return 'Grid';
    }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return this.interactivityOptions.isDrillDownEnabled(); }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getInteractivityDimensionLinks() {
        if (this.columns().length > 0) {
            var dimensionsMap = this.columns().map(col => col instanceof grid_columns/* GridDimensionColumn */.nJ || col instanceof grid_columns/* GridHyperlinkColumn */.xl);
            var startIndex = dimensionsMap.indexOf(true);
            startIndex = startIndex == -1 ? dimensionsMap.length : startIndex;
            var endIndex = dimensionsMap.indexOf(false, startIndex);
            endIndex = endIndex == -1 ? dimensionsMap.length : endIndex;
            return this.columns().slice(startIndex, endIndex)
                .filter(col => col instanceof grid_columns/* GridHyperlinkColumn */.xl || col.displayMode() !== 'Image')
                .map(col => col._actualDataItemLink);
        }
        else {
            return super._getInteractivityDimensionLinks();
        }
    }
    _cleanDataItemDependencies() {
        super._cleanDataItemDependencies();
        var columnsToRemove = this.columns().filter(column => {
            var bindings = column._getBindingModel();
            return bindings.every(binding => !column[binding.propertyName].dataItem());
        });
        columnsToRemove.forEach(column => this.columns.remove(column));
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        content.ViewModel = (0,_jquery_helpers/* deepExtend */.zw)(content.ViewModel || {}, this.gridOptions._getViewModel(), this.columnFilterOptions._getViewModel());
        if (!!content.ViewModel.Columns) {
            content.ViewModel.Columns.forEach(columnModel => {
                var column = this.columns().filter(column => {
                    var actualDataItem = column.actualDataItem;
                    return actualDataItem ? columnModel.DataId == actualDataItem.uniqueName() : false;
                })[0];
                (0,_jquery_helpers/* deepExtend */.zw)(columnModel, !!column ? column._getViewModel() : {});
            });
        }
    }
    _updateDataQueryParams(params) {
        super._updateDataQueryParams(params);
        params.ClientFilter = this._gridClientFilterManager.getFilterParams() ?? params.ClientFilter;
    }
    _updateDataManagerByPartialDataSource(content, itemDataDTO) {
        this._dataManager().updateTotals(itemDataDTO);
        this._gridClientFilterManager.clearFilterParams();
    }
    _extendContentState(content) {
        super._extendContentState(content);
        content.GridClientFilterState = this._gridClientFilterManager.getFilterState();
    }
    _isAttribute(dataItem) {
        return this.columns().some(c => c._isAttribute(dataItem));
    }
    _setColumnWidthOptions(clientState) {
        if (clientState.widthOptions) {
            _model_subscriber/* ModelSubscriber */.K.changePropertyQuietly(this.gridOptions.columnWidthMode, () => this.gridOptions.columnWidthMode(clientState.widthOptions.mode));
            clientState.widthOptions.columnsOptions.forEach((columnOptions, index) => {
                let column = this.columns()[columnOptions.actualIndex];
                _model_subscriber/* ModelSubscriber */.K.changePropertyQuietly(column.widthType, () => column.widthType(columnOptions.widthType));
                _model_subscriber/* ModelSubscriber */.K.changePropertyQuietly(column.weight, () => column.weight(columnOptions.weight));
            });
        }
    }
    _getDefaultCalculationWindowDefinition() {
        return new grid_calc_window_definition/* GridWindowDefinition */.E();
    }
    _setClientState(clientState) {
        super._setClientState(clientState);
        this._setColumnWidthOptions(clientState);
    }
    _getInteractivityAxisDimensionCount() {
        return this.columns().reduce((n, col) => {
            return (col instanceof grid_columns/* GridDimensionColumn */.nJ) || (col instanceof grid_columns/* GridHyperlinkColumn */.xl) ? n + 1 : n;
        }, 0);
    }
}
GridItem._gridColumnTypesMap = {
    'GridDimensionColumn': {
        constructor: grid_columns/* GridDimensionColumn */.nJ,
        displayName: 'DashboardWebStringId.Grid.Dimension',
        icon: 'dx-dashboard-grid-column-dimension'
    },
    'GridMeasureColumn': {
        constructor: grid_columns/* GridMeasureColumn */.rV,
        displayName: 'DashboardWebStringId.Grid.Measure',
        icon: 'dx-dashboard-grid-column-measure'
    },
    'GridDeltaColumn': {
        constructor: grid_columns/* GridDeltaColumn */.d7,
        displayName: 'DashboardWebStringId.Grid.Delta',
        icon: 'dx-dashboard-grid-column-delta'
    },
    'GridSparklineColumn': {
        constructor: grid_columns/* GridSparklineColumn */.og,
        displayName: 'DashboardWebStringId.Grid.Sparkline',
        icon: 'dx-dashboard-grid-column-sparkline'
    },
    'GridHyperlinkColumn': {
        constructor: grid_columns/* GridHyperlinkColumn */.xl,
        displayName: 'DashboardWebStringId.Grid.Hyperlink',
        icon: 'dx-dashboard-grid-column-hyperlink'
    }
};
__decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], GridItem.prototype, "_setColumnWidthOptions", null);
serializable_model/* itemTypesMap */.Jh['Grid'] = { type: GridItem, groupName: 'common', title: 'DashboardStringId.DefaultNameGridItem', index: 10 };


/***/ }),

/***/ 1513:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $t: () => (/* binding */ TypedSerializableModel),
/* harmony export */   Jh: () => (/* binding */ itemTypesMap),
/* harmony export */   Lm: () => (/* binding */ SerializableModel)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);

class SerializableModel extends _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.Disposable {
    constructor(model, serializer, info) {
        super();
        serializer = serializer || new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer();
        let prevGetInfo = this.getInfo;
        if (info !== undefined)
            this.getInfo = undefined;
        serializer.deserialize(this, model || {}, info);
        if (info !== undefined)
            this.getInfo = prevGetInfo;
    }
}
class TypedSerializableModel extends SerializableModel {
    constructor(model, serializer, info) {
        super(model, serializer, info);
        !this.itemType() && this.itemType(this._getDefaultItemType());
    }
    _getUniqueNamePrefix() {
        return this.itemType().charAt(0).toLowerCase() + this.itemType().slice(1);
    }
}
let itemTypesMap = {};


/***/ }),

/***/ 1548:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BE: () => (/* binding */ reverse),
/* harmony export */   Bc: () => (/* binding */ chartAxisYBaseSerializationsInfo),
/* harmony export */   DD: () => (/* binding */ title),
/* harmony export */   Fh: () => (/* binding */ enableZooming),
/* harmony export */   MF: () => (/* binding */ chartAxisYSerializationsInfo),
/* harmony export */   MX: () => (/* binding */ scatterChartAxisYSerializationsInfo),
/* harmony export */   O9: () => (/* binding */ showGridLinesBaseInfo),
/* harmony export */   Px: () => (/* binding */ visiblePointsCount),
/* harmony export */   RK: () => (/* binding */ limitVisiblePoints),
/* harmony export */   WI: () => (/* binding */ logarithmic),
/* harmony export */   Zx: () => (/* binding */ alwaysShowZeroLevelScatter),
/* harmony export */   aY: () => (/* binding */ titleVisibleBaseInfo),
/* harmony export */   b7: () => (/* binding */ logarithmicBase),
/* harmony export */   bO: () => (/* binding */ chartAxisXSerializationsInfo),
/* harmony export */   jR: () => (/* binding */ chartAlwaysShowZeroLevel),
/* harmony export */   kS: () => (/* binding */ axisVisible),
/* harmony export */   nC: () => (/* binding */ chartAxisSerializationsInfo),
/* harmony export */   rp: () => (/* binding */ alwaysShowZeroLevelTemplate),
/* harmony export */   w1: () => (/* binding */ chartSecondaryAxisYSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);


let reverse = { propertyName: 'reverse', modelName: '@Reverse', displayName: 'DashboardWebStringId.Chart.Reverse', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let axisVisible = { propertyName: 'visible', modelName: '@Visible', displayName: 'DashboardWebStringId.Chart.Visible', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let titleVisibleBaseInfo = { propertyName: 'titleVisible', modelName: '@TitleVisible', displayName: 'DashboardWebStringId.Chart.Title', simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
function getInfoTitleVisible(defaultVal) { return { defaultVal: defaultVal, ...titleVisibleBaseInfo }; }
let title = { propertyName: 'title', modelName: '@Title', displayName: 'DashboardWebStringId.Chart.TitleText', simpleFormAdapterItem: 'textBoxEditor' };
let chartAxisSerializationsInfo = [axisVisible, reverse, title, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .numericFormat */ .FJ];
let enableZooming = { propertyName: 'enableZooming', modelName: '@EnableZooming', displayName: 'DashboardWebStringId.Chart.EnableZooming', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let limitVisiblePoints = { propertyName: 'limitVisiblePoints', modelName: '@LimitVisiblePoints', displayName: 'DashboardWebStringId.Chart.LimitVisiblePoints', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let visiblePointsCount = { propertyName: 'visiblePointsCount', modelName: '@VisiblePointsCount', displayName: 'DashboardWebStringId.Chart.VisiblePointsCount', defaultVal: 10, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1, validationRules: [{ type: 'range', min: 1, message: 'DashboardStringId.NumberRangeValidationMessage' }, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .integerValidationRule */ .OY] };
let chartAxisXSerializationsInfo = chartAxisSerializationsInfo.concat([getInfoTitleVisible(false), enableZooming, limitVisiblePoints, visiblePointsCount, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dateTimeFormat */ .LE]);
let alwaysShowZeroLevelTemplate = { propertyName: 'alwaysShowZeroLevel', modelName: '@AlwaysShowZeroLevel', displayName: 'DashboardWebStringId.Chart.AlwaysShowZeroLevel', simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let chartAlwaysShowZeroLevel = { defaultVal: true, ...alwaysShowZeroLevelTemplate };
let alwaysShowZeroLevelScatter = { defaultVal: false, ...alwaysShowZeroLevelTemplate };
let showGridLinesBaseInfo = { propertyName: 'showGridLines', modelName: '@ShowGridLines', displayName: 'DashboardWebStringId.Chart.GridLines', simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
function getInfoShowGridLines(defaultVal) { return { defaultVal: defaultVal, ...showGridLinesBaseInfo }; }
let logarithmic = { propertyName: 'logarithmic', modelName: '@Logarithmic', displayName: 'DashboardWebStringId.Chart.LogarithmicScale', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let logarithmicBase = {
    propertyName: 'logarithmicBase', modelName: '@LogarithmicBase', displayName: 'DashboardWebStringId.Chart.LogarithmicScaleBase', defaultVal: 'Base10', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Base2': 'DashboardWebStringId.Chart.LogarithmicScaleBase2',
        'Base5': 'DashboardWebStringId.Chart.LogarithmicScaleBase5',
        'Base10': 'DashboardWebStringId.Chart.LogarithmicScaleBase10'
    }
};
let chartAxisYBaseSerializationsInfo = chartAxisSerializationsInfo.concat([logarithmic, logarithmicBase]);
let chartAxisYSerializationsInfo = chartAxisYBaseSerializationsInfo.concat([chartAlwaysShowZeroLevel, getInfoTitleVisible(true), getInfoShowGridLines(true)]);
let chartSecondaryAxisYSerializationsInfo = chartAxisYBaseSerializationsInfo.concat([chartAlwaysShowZeroLevel, getInfoTitleVisible(true), getInfoShowGridLines(false)]);
let scatterChartAxisYSerializationsInfo = chartAxisYBaseSerializationsInfo.concat([alwaysShowZeroLevelScatter, getInfoTitleVisible(true), getInfoShowGridLines(true)]);


/***/ }),

/***/ 1569:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ dataStorage)
/* harmony export */ });
/* harmony import */ var _data_slice__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3754);

class dataStorage {
    constructor(dto) {
        this._sliceRep = this._createSliceRep(dto);
    }
    _createSliceRep(dto) {
        var decodeMaps = dto.EncodeMaps, encodeMaps = {}, encodeCounters = {}, sliceListDTO = dto.Slices, decode = function (keyId, key) {
            return key === -1 ? null : decodeMaps[keyId][key];
        }, encode = function (keyId, value) {
            var map = encodeMaps[keyId];
            if (!map) {
                map = {};
                var decodeMap = decodeMaps[keyId];
                if (!decodeMap) {
                    decodeMap = [];
                    decodeMaps[keyId] = decodeMap;
                }
                encodeCounters[keyId] = decodeMap.length;
                decodeMap.forEach((value, index) => {
                    map[value] = index;
                });
                encodeMaps[keyId] = map;
            }
            var code = map[value];
            if (code === undefined) {
                var counter = encodeCounters[keyId];
                map[value] = counter;
                encodeCounters[keyId] = ++counter;
                decodeMaps[keyId].push(value);
            }
            return map[value];
        };
        return new _data_slice__WEBPACK_IMPORTED_MODULE_0__/* .sliceRepository */ .N(sliceListDTO, decode, encode);
    }
    _initialize() {
    }
    getSlices() {
        return this._sliceRep.getAll();
    }
    getSlice(sliceKey) {
        return this._sliceRep.get(sliceKey);
    }
    getSliceKey(keyIds) {
        return this._sliceRep.getKey(keyIds);
    }
    getSliceByIds(keyIds) {
        return this._sliceRep._getByKeyIds(keyIds);
    }
    getOrCreateSlice(keyIds) {
        return this._sliceRep.getOrCreate(keyIds);
    }
    findDataRowKey(sliceKey, dataRowKey) {
        return this._sliceRep.findDataRowKey(sliceKey, dataRowKey);
    }
    getCrossValue(dataRowKeys, valueId) {
        return this._sliceRep.getCrossValue(dataRowKeys, valueId);
    }
    getKeyValue(dataRow, keyId) {
        return this._sliceRep.getKeyValue(dataRow, keyId);
    }
    getValue(dataRow, valueId) {
        return this._sliceRep.getValue(dataRow, valueId);
    }
    isEmpty() {
        return this._sliceRep.isEmpty();
    }
    insert(ds, sortOrderSlices) {
        var that = this, slices = ds.getSlices(), iterators = {};
        slices.forEach((slice) => {
            var keyIds = slice.getKeyIds();
            var ownSlice = that.getOrCreateSlice(keyIds);
            iterators[ownSlice.getKey()] = ownSlice.append(slice);
        });
        return iterators;
    }
    insertSlice(ds, keyIds) {
        let newSlice = ds.getSliceByIds(keyIds);
        if (newSlice) {
            let existedSlice = this.getSliceByIds(keyIds);
            existedSlice.append(newSlice);
        }
    }
}


/***/ }),

/***/ 1571:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   QY: () => (/* binding */ rangeSet),
/* harmony export */   W_: () => (/* binding */ formatConditionRangeBaseSerializationsInfo),
/* harmony export */   dP: () => (/* binding */ rangeValueType)
/* harmony export */ });
/* harmony import */ var _metadata_format_condition_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3085);
/* harmony import */ var _range_set__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3073);


let rangeValueType = {
    propertyName: 'valueType', modelName: '@ValueType', displayName: 'DashboardWebStringId.Delta.ValueType', defaultVal: 'Automatic', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Number': 'DashboardStringId.FormatConditionNumberValueType',
        'Percent': 'DashboardStringId.FormatConditionPercentValueType',
        'Automatic': 'DashboardStringId.FormatConditionAutomaticValueType'
    }
};
let rangeSet = { propertyName: 'rangeSet', modelName: 'RangeSet', type: _range_set__WEBPACK_IMPORTED_MODULE_0__/* .RangeSet */ .o };
let formatConditionRangeBaseSerializationsInfo = _metadata_format_condition_base__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionBaseSerializationsInfo */ .R.concat([rangeValueType, rangeSet]);


/***/ }),

/***/ 1578:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F3: () => (/* binding */ CardRowTextElementBase),
/* harmony export */   Jx: () => (/* binding */ CardRowDataElement),
/* harmony export */   Nr: () => (/* binding */ CardRowElement),
/* harmony export */   er: () => (/* binding */ CardRowTextElement),
/* harmony export */   wg: () => (/* binding */ CardRowIndicatorElement)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_card_row_element__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6481);




class CardRowElement extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .TypedSerializableModel */ .$t {
    constructor(modelJson, serializer) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_row_element__WEBPACK_IMPORTED_MODULE_3__/* .cardRowElementSerializationsInfo */ .gM;
    }
}
class CardRowTextElementBase extends CardRowElement {
    constructor(modelJson, serializer) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_row_element__WEBPACK_IMPORTED_MODULE_3__/* .cardRowTextElementBaseSerializationInfo */ .PL;
    }
}
class CardRowDataElement extends CardRowTextElementBase {
    constructor(modelJson, serializer) {
        super(modelJson, serializer);
        this.title = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => this.valueType());
    }
    getInfo() {
        return _metadata_card_row_element__WEBPACK_IMPORTED_MODULE_3__/* .cardRowDataElementSerializationInfo */ .TX;
    }
    _getDefaultItemType() {
        return 'CardRowDataElement';
    }
}
class CardRowTextElement extends CardRowTextElementBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_row_element__WEBPACK_IMPORTED_MODULE_3__/* .cardRowTextElementSerializationInfo */ .aP;
    }
    _getDefaultItemType() {
        return 'CardRowTextElement';
    }
}
class CardRowIndicatorElement extends CardRowElement {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_row_element__WEBPACK_IMPORTED_MODULE_3__/* .cardRowIndicatorElementSerializationInfo */ .sE;
    }
    _getDefaultItemType() {
        return 'CardRowIndicatorElement';
    }
}


/***/ }),

/***/ 1625:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ createDashboardItem)
/* harmony export */ });
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1513);
/* harmony import */ var _custom_item_custom_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7212);


function createDashboardItem(dashboardItemJSON, serializer) {
    var customItemTypeName = dashboardItemJSON['@CustomItemType'];
    if (!customItemTypeName) {
        var itemTypeName = dashboardItemJSON['@ItemType'];
        var itemType = _serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .itemTypesMap */ .Jh[itemTypeName].type;
        return new itemType(dashboardItemJSON, serializer);
    }
    else {
        var customItemType = !!_serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .itemTypesMap */ .Jh[customItemTypeName] ? _serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .itemTypesMap */ .Jh[customItemTypeName].type : _custom_item_custom_item__WEBPACK_IMPORTED_MODULE_1__/* .CustomItem */ .F;
        return new customItemType(_serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .itemTypesMap */ .Jh[customItemTypeName], dashboardItemJSON, serializer);
    }
}


/***/ }),

/***/ 1637:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ connectionName),
/* harmony export */   z: () => (/* binding */ olapDataSourceSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3689);

let connectionName = { propertyName: 'connectionName', modelName: '@ConnectionName' };
let olapDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_0__/* .dataSourceSerializationsInfo */ .v.concat([connectionName]);


/***/ }),

/***/ 1669:
/***/ ((module) => {

module.exports = jQuery;

/***/ }),

/***/ 1683:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ DataItemSurface)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _common_data_source_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6768);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1923);
/* harmony import */ var _model_data_item_measure__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6779);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4270);
/* harmony import */ var _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7899);
/* harmony import */ var _properties_composers_data_item_properties_composer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4453);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};








class DataItemSurface {
    _changeNewField(container, newField, additionalFunc) {
        if (this.model.itemType() !== 'Seed') {
            if (!(0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .IsOlapHierarchyField */ .Q0)(newField)) {
                var dataItem = container._createDataItem(newField, this.binding);
                if (this.model._specifics.isAttribute && dataItem instanceof _model_data_item_measure__WEBPACK_IMPORTED_MODULE_4__/* .Measure */ .t) {
                    dataItem.summaryType('Min');
                }
                this.model.uniqueName(dataItem.uniqueName());
                this.newItemCreated.fire(this.model, newField);
                this.itemSelected.fire(this.model, newField);
            }
            else {
                var groupIndex = newField.groupIndex();
                newField['groupDataItems'].forEach((groupItem, index) => {
                    var dataItem = container._createDataItem(groupItem, this.binding);
                    dataItem.groupIndex(groupIndex);
                    if (index === 0) {
                        this.model.uniqueName(dataItem.uniqueName());
                        this.newItemCreated.fire(this.model, groupItem);
                    }
                    else {
                        var model = new _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_3__/* .DataItemLink */ .Kz(container);
                        model.uniqueName(dataItem.uniqueName());
                        this.newItemCreated.fire(model, groupItem);
                    }
                });
                this.itemSelected.fire(this.model, newField['groupDataItems'][0]);
            }
        }
        else {
            this.newItemCreated.fire(this.model, newField);
            this.itemSelected.fire(this.model, newField);
        }
        additionalFunc();
    }
    _changeExistingField(container, model, newField, additionalFunc) {
        if (!(0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .IsOlapHierarchyField */ .Q0)(newField)) {
            container._updateDataItem(model.dataItem(), this.binding, newField, model._specifics.acceptableShapingType);
        }
        else {
            var groupIndex = newField.groupIndex();
            newField['groupDataItems'].forEach((groupItem, index) => {
                if (index === 0) {
                    container._updateDataItem(model.dataItem(), this.binding, groupItem, model._specifics.acceptableShapingType);
                    model.dataItem().groupIndex(groupIndex);
                }
                else {
                    var dataItem = container._createDataItem(groupItem, this.binding);
                    dataItem.groupIndex(groupIndex);
                    var dataItemLink = new _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_3__/* .DataItemLink */ .Kz(container);
                    dataItemLink.uniqueName(dataItem.uniqueName());
                    this.newItemCreated.fire(dataItemLink, groupItem);
                }
            });
        }
        additionalFunc();
    }
    get commonDataItemTypeConstraint() {
        if (this.binding.dataItemType === 'Dimension') {
            return (field) => _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .DataField */ .J7.ifOlapThenOnlyDimension(field) && !(field.isAggregate && field.isAggregate());
        }
        if (this.binding.dataItemType === 'Measure') {
            return (field) => _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .DataField */ .J7.ifOlapThenOnlyMeasure(field);
        }
        return () => true;
    }
    get fullConstraint() {
        return (field) => {
            if (!this.commonDataItemTypeConstraint(field))
                return false;
            if (field.isDataFieldNode()) {
                return !this.fieldConstraint || this.fieldConstraint(field);
            }
            else {
                return true;
            }
        };
    }
    constructor(model, binding, container, dataSourceBrowser, propertiesController, unwrappedDataItem, fieldConstraint, extendTabsHandler) {
        this.model = model;
        this.binding = binding;
        this.propertiesController = propertiesController;
        this.unwrappedDataItem = unwrappedDataItem;
        this.fieldConstraint = fieldConstraint;
        this.extendTabsHandler = extendTabsHandler;
        this._disposables = [];
        this.propertiesTabs = knockout__WEBPACK_IMPORTED_MODULE_0__.observableArray([]);
        this.choosenField = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.newItemCreated = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryCallbacks */ .NG)();
        this.itemSelected = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryCallbacks */ .NG)();
        var composer = new _properties_composers_data_item_properties_composer__WEBPACK_IMPORTED_MODULE_6__/* .DataItemsPropertiesComposer */ .Q();
        var updatePropertiesTabs = () => {
            var result = composer.composeTabs(this.model, {
                dataDashboardItem: container,
                choosenField: this.choosenField,
                dataSourceBrowser: dataSourceBrowser,
                unwrappedDataItem: this.unwrappedDataItem,
                constraint: this.fullConstraint,
                propertiesController: this.propertiesController
            });
            this.extendTabsHandler && this.extendTabsHandler(result, this.model.dataItem());
            var promise = dataSourceBrowser.getDataFieldsArray(container.dataSource(), container.dataMember(), '', _common_data_source_browser__WEBPACK_IMPORTED_MODULE_1__/* .isNonCollectionDataField */ .mG);
            promise.done(() => {
                let oldTabs = this.propertiesTabs.peek();
                oldTabs && oldTabs.forEach(tab => tab.dispose());
                this.propertiesTabs(result);
            });
        };
        var subscribeToFieldChanges = () => {
            this._disposables.push(this.choosenField.subscribe((newField) => {
                if (model.dataItem() && model.dataItem().dataMember()) {
                    this._changeExistingField(container, model, newField, updatePropertiesTabs);
                }
                else {
                    this._changeNewField(container, newField, updatePropertiesTabs);
                }
            }));
            updatePropertiesTabs();
        };
        if (!!model.dataItem()) {
            dataSourceBrowser
                .findDataField(container.dataSource(), container.dataMember(), model.dataItem().dataMember())
                .done((field) => {
                if (!!field && field !== this.choosenField()) {
                    this.choosenField(field);
                }
                subscribeToFieldChanges();
            });
        }
        else {
            subscribeToFieldChanges();
        }
        this._disposables.push({
            dispose: () => {
                this.newItemCreated.empty();
            }
        });
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_7__/* .wrapWithUndoRedo */ .JZ
], DataItemSurface.prototype, "_changeNewField", null);
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_7__/* .wrapWithUndoRedo */ .JZ
], DataItemSurface.prototype, "_changeExistingField", null);


/***/ }),

/***/ 1702:
/***/ ((module) => {

module.exports = DevExpress.data.query;

/***/ }),

/***/ 1704:
/***/ ((module) => {

module.exports = DevExpress.utils.string;

/***/ }),

/***/ 1754:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ DataItemCollectionSurface)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1923);
/* harmony import */ var _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3599);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4270);
/* harmony import */ var _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7899);
/* harmony import */ var _display_name_provider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7687);
/* harmony import */ var _binding_details_data_item_surface__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1683);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







class DataItemCollectionSurface {
    constructor(itemSurface, sectionInfo, extendTabsHandler, warning) {
        this.itemSurface = itemSurface;
        this.sectionInfo = sectionInfo;
        this.extendTabsHandler = extendTabsHandler;
        this.warning = warning;
        this._disposables = [];
        this.supportGroups = true;
        this.addClick = () => {
            var dataLink = new _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItemLink */ .Kz(this.itemSurface.dashboardItem);
            this.newItemSample(dataLink);
            var surface = new _binding_details_data_item_surface__WEBPACK_IMPORTED_MODULE_5__/* .DataItemSurface */ .z(dataLink, this.sectionInfo.bindingProperty, this.itemSurface.dashboardItem, this.itemSurface._dataSourceBrowser, this.itemSurface.propertiesController, true, null, this.extendTabsHandler);
            surface.newItemCreated.add(model => this._addDataItem(model));
            surface.itemSelected.add(model => {
                this.newItemSample(undefined);
                this.selectDataItem(model);
            });
            this.itemSurface.propertiesController.mainModel({
                data: surface,
                containingCollection: this.dataItems
            });
        };
        this.removeDataItem = (data) => {
            this._removeDataItem(data);
        };
        this.dataItemDisplayNameProvider = (dataItem) => {
            return (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_4__/* .getDataItemDisplayName */ .F)(this.itemSurface._dataSourceBrowser, this.itemSurface.dashboardItem, dataItem);
        };
        this.selectDataItem = (data) => {
            var surface = new _binding_details_data_item_surface__WEBPACK_IMPORTED_MODULE_5__/* .DataItemSurface */ .z(data, this.sectionInfo.bindingProperty, this.itemSurface.dashboardItem, this.itemSurface._dataSourceBrowser, this.itemSurface.propertiesController, true, null, this.extendTabsHandler);
            surface.newItemCreated.add(model => {
                this._addDataItem(model);
            });
            this.dataItemSurface(surface);
            this.itemSurface.propertiesController.mainModel({
                data: this.dataItemSurface(),
                containingCollection: this.dataItems
            });
        };
        this.dataItemSurface = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.newItemSample = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.template = 'dx-dashboard-data-item-collection';
        this.dataItems = itemSurface.dashboardItem[sectionInfo.bindingProperty.propertyName];
        this.groups = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            var result = [], position = 0;
            this.dataItems().forEach(dataItemLink => {
                if (dataItemLink.dataItem() instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__/* .Dimension */ .f && (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsOlapHierarchyField */ .Q0)(dataItemLink.dataItem())) {
                    var dimension = dataItemLink.dataItem();
                    var group = result.filter(group => group.groupIndex === dimension.groupIndex())[0];
                    if (!group) {
                        group = {
                            groupIndex: dimension.groupIndex(),
                            items: [],
                            position: position++
                        };
                        result.push(group);
                    }
                    group.items.push(dataItemLink);
                }
                else {
                    result.push({
                        groupIndex: undefined,
                        items: [dataItemLink],
                        position: position++
                    });
                }
            });
            return result;
        });
    }
    get items() {
        return this.dataItems;
    }
    _addDataItem(model) {
        this.dataItems.push(model);
    }
    _removeDataItem(link) {
        var dataItem = link.dataItem();
        this.dataItems.remove(link);
        this.itemSurface.dashboardItem._removeDataItem(dataItem, true);
        if (dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__/* .Dimension */ .f && (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsOlapHierarchyField */ .Q0)(dataItem)) {
            for (var i = this.dataItems().length - 1; i >= 0; i--) {
                var groupItemLink = this.dataItems()[i];
                var groupItem = groupItemLink.dataItem();
                if (groupItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__/* .Dimension */ .f && groupItem.groupIndex() == dataItem.groupIndex()) {
                    this.dataItems.remove(groupItemLink);
                    this.itemSurface.dashboardItem._removeDataItem(groupItem, true);
                }
            }
        }
    }
    relocateItem(item, placeholderIndex) {
        var dataLink = new _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItemLink */ .Kz(this.itemSurface.dashboardItem);
        var dataItem;
        if (item instanceof _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItemLink */ .Kz) {
            dataItem = item.dataItem();
        }
        else if (item['_getBindingModel']) {
            var x = item;
            var filledBinding = x._getBindingModel().filter(b => !!item[b.propertyName].uniqueName())[0];
            dataItem = item[filledBinding.propertyName].dataItem();
        }
        this.itemSurface
            ._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), dataItem.dataMember())
            .done((dataField) => {
            this.itemSurface.dashboardItem._removeDataItem(dataItem);
            var newDataItem = this.itemSurface.dashboardItem._createDataItem(dataField, this.sectionInfo.bindingProperty);
            newDataItem.grabFrom(dataItem);
            newDataItem.uniqueName(dataItem.uniqueName());
            dataLink.dataItem(newDataItem);
            this.items.splice(placeholderIndex, 0, dataLink);
        });
    }
    isOlap() {
        var filledItem = this
            .items()
            .filter(item => item.dataItem())[0];
        return _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .DataField */ .J7.isOlap(filledItem.dataItem().dataMember());
    }
    errorFactory(link) {
        var linkErrorState = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        if (link.dataItem()) {
            this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), link.dataItem().dataMember()).done((result) => {
                linkErrorState(!result);
            });
        }
        return linkErrorState;
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_6__/* .wrapWithUndoRedo */ .JZ
], DataItemCollectionSurface.prototype, "_addDataItem", null);
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_6__/* .wrapWithUndoRedo */ .JZ
], DataItemCollectionSurface.prototype, "_removeDataItem", null);
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_6__/* .wrapWithUndoRedo */ .JZ
], DataItemCollectionSurface.prototype, "relocateItem", null);


/***/ }),

/***/ 1807:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Fr: () => (/* binding */ sparklineOptionsSerializationsInfo),
/* harmony export */   gk: () => (/* binding */ highlightMinMaxPoints),
/* harmony export */   mE: () => (/* binding */ viewType),
/* harmony export */   nR: () => (/* binding */ highlightStartEndPoints)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let viewType = { propertyName: 'viewType', modelName: '@ViewType', displayName: 'DashboardWebStringId.Sparkline.ViewType', defaultVal: 'Line' };
let highlightMinMaxPoints = { propertyName: 'highlightMinMaxPoints', modelName: '@HighlightMinMaxPoints', displayName: 'DashboardWebStringId.Sparkline.HighlightMinMaxPoints', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let highlightStartEndPoints = { propertyName: 'highlightStartEndPoints', modelName: '@HighlightStartEndPoints', displayName: 'DashboardWebStringId.Sparkline.HighlightStartEndPoints', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let sparklineOptionsSerializationsInfo = [viewType, highlightMinMaxPoints, highlightStartEndPoints];


/***/ }),

/***/ 1843:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Hu: () => (/* binding */ allowNull),
/* harmony export */   Jh: () => (/* binding */ defaultValue),
/* harmony export */   KJ: () => (/* binding */ parameterVisible),
/* harmony export */   aA: () => (/* binding */ parameterTypeSerialization),
/* harmony export */   gH: () => (/* binding */ defaultValues),
/* harmony export */   h_: () => (/* binding */ description),
/* harmony export */   re: () => (/* binding */ allowMultiselect),
/* harmony export */   rm: () => (/* binding */ selectAllValues),
/* harmony export */   vw: () => (/* binding */ dashboardParameterSerializationsInfo),
/* harmony export */   x: () => (/* binding */ parameterTypePropertyGrid),
/* harmony export */   xd: () => (/* binding */ parameterName),
/* harmony export */   yJ: () => (/* binding */ lookUpSourceType)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(0);
/* harmony import */ var _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5225);
/* harmony import */ var _parameters_helper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2809);





let parameterVisible = { propertyName: 'parameterVisible', modelName: '@Visible', displayName: 'DevExpress.DashboardCommon.DashboardParameter.Visible', defaultVal: true, simpleFormAdapterItem: 'checkBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let description = { propertyName: 'description', modelName: '@Description', displayName: 'DevExpress.DashboardCommon.DashboardParameter.Description', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor' };
let allowMultiselect = { propertyName: 'allowMultiselect', modelName: '@AllowMultiselect', displayName: 'DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect', defaultVal: false, simpleFormAdapterItem: 'checkBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let allowNull = { propertyName: 'allowNull', modelName: '@AllowNull', displayName: 'DevExpress.DashboardCommon.DashboardParameter.AllowNull', defaultVal: false, simpleFormAdapterItem: 'checkBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let parameterName = { propertyName: 'name', modelName: '@Name', displayName: 'DashboardWebStringId.DataSources.CalculatedField.Name', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor', validationRules: _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.nameValidationRules };
let defaultValue = { propertyName: 'defaultValue', modelName: '@Value', displayName: 'DashboardWebStringId.Parameters.DefaultValue' };
let parameterTypeSerialization = { propertyName: '_type', modelName: '@Type', defaultVal: 'System.String' };
let parameterTypePropertyGrid = { propertyName: 'type', displayName: 'DashboardWebStringId.FilterItem.Type', simpleFormAdapterItem: 'selectBoxEditor', valuesArray: (_parameters_helper__WEBPACK_IMPORTED_MODULE_4__/* .ParameterHelper */ ._.typeValues) };
let lookUpSourceType = {
    propertyName: 'lookUpSourceType', displayName: 'DashboardWebStringId.Parameters.LookUpSettingsType', values: {
        'None': 'DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp',
        'StaticListLookUpSettings': 'DashboardWebStringId.Parameters.LookUpSettingsType.StaticList',
        'DynamicListLookUpSettings': 'DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList'
    }
};
let defaultValues = { propertyName: 'defaultValues', modelName: 'Values', array: true, displayName: 'DashboardWebStringId.Parameters.DefaultValue' };
let selectAllValues = { propertyName: 'selectAllValues', modelName: '@SelectAllValues', displayName: 'DevExpress.DashboardCommon.DashboardParameter.SelectAllValues', defaultVal: false, simpleFormAdapterItem: 'checkBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dashboardParameterSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, parameterName, description, parameterVisible, allowNull, allowMultiselect, parameterTypeSerialization, parameterTypePropertyGrid, defaultValue, selectAllValues, lookUpSourceType, _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_3__/* ._staticListLookUpSettingsSerializationInfo */ .d, _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_2__/* ._dynamicListLookUpSettingsSerializationInfo */ .y, defaultValues];


/***/ }),

/***/ 1869:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ chartDataControllerBase)
/* harmony export */ });
/* harmony import */ var devextreme_color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6555);
/* harmony import */ var devextreme_color__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_color__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _item_data_internal_item_data_axis_helper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2456);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1133);
/* harmony import */ var _localization_ids__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4216);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4999);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4833);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(814);







class chartDataControllerBase extends _data_controller_base__WEBPACK_IMPORTED_MODULE_6__/* .dataControllerBase */ .K4 {
    static _getLegendSeriesName(seriesName) {
    }
    static _getLegendSeriesDisplayName(seriesName) {
    }
    constructor(options) {
        super(options);
    }
    getArgument(argumentAxisPoint) {
        if (this.isQualitativeArgument()) {
            return this.getTitle(argumentAxisPoint, '\n');
        }
        else if (this.isDiscreteArgument()) {
            if (argumentAxisPoint.getParent() != null) {
                return argumentAxisPoint.getDisplayText() || '';
            }
            else {
                return _localizer__WEBPACK_IMPORTED_MODULE_4__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_3__/* .localizationId */ .d.ChartTotalValue);
            }
        }
        else {
            return argumentAxisPoint.getValue();
        }
    }
    getArgumentAxisPoints(argumentId) {
        if (this.viewModel) {
            var id = argumentId ? argumentId : this.viewModel.Argument.SummaryArgumentMember, argumentAxis = this._getArgumentAxis();
            return argumentAxis ? argumentAxis.getPointsByDimension(id) : [];
        }
        else {
            return [];
        }
    }
    getSeriesAxisPoints(seriesId) {
        var seriesAxis = this._getSeriesAxis(), id = seriesId ? seriesId : this.viewModel.SummarySeriesMember;
        return seriesAxis ? seriesAxis.getPointsByDimension(id) : [];
    }
    getSingleArgumentDimensionFormat() {
        var argumentDimension = this._getSingleArgumentDimension();
        return argumentDimension ? argumentDimension.getFormat() : undefined;
    }
    getColor(argumentAxisPoint, seriesAxisPoint, measuesIds, colorMeasureId) {
        var that = this, color;
        if (that.viewModel.IsDefaultColorizationDisabled)
            color = that.styleSettingsProvider.getDefaultBackColor();
        else
            color = that._getColorFromData(argumentAxisPoint, seriesAxisPoint, colorMeasureId);
        let cfColor = that.getConditionalFormattingPointColor(argumentAxisPoint, seriesAxisPoint, measuesIds[0]);
        if (cfColor)
            color = cfColor;
        return that._getElementCustomColor(argumentAxisPoint, seriesAxisPoint, measuesIds, color);
    }
    getConditionalFormattingColorCore(argumentAxisPoint, seriesAxisPoint, seriesMeasureId, seriesElement) {
        let color = null;
        if (this.cfModel) {
            let styleSettingsInfo = this._getStyleSettingsInfo(argumentAxisPoint, seriesAxisPoint, seriesMeasureId, seriesElement);
            if (styleSettingsInfo && styleSettingsInfo.styleIndexes.length > 0)
                color = this.styleSettingsProvider.getBackColor(styleSettingsInfo);
        }
        return color;
    }
    getConditionalFormattingSeriesColor(seriesAxisPoint, seriesMeasureId) {
        return this.getConditionalFormattingColorCore(null, seriesAxisPoint, seriesMeasureId, 'LineOrArea');
    }
    getConditionalFormattingPointColor(argumentAxisPoint, seriesAxisPoint, seriesMeasureId) {
        return this.getConditionalFormattingColorCore(argumentAxisPoint, seriesAxisPoint, seriesMeasureId, 'Point');
    }
    isDiscreteArgument() {
        return this.viewModel && (this.viewModel.Argument.Type === 'String');
    }
    isQualitativeArgument() {
        return this._getArgumentAxisDimensions().length > 1 && !this.drillDownState[_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis];
    }
    isSingleArgument() {
        return this._getArgumentAxisDimensions().length == 1 || this.drillDownState[_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis] != null;
    }
    hasSeriesPoints() {
        return this.viewModel && !!this.viewModel.SummarySeriesMember;
    }
    _getElementCustomColor(argumentAxisPoint, seriesAxisPoint, measuesIds, color) {
        var that = this, dxColor = new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(color), newColor;
        if (that.elementCustomColor && color) {
            var customElementColorEventArgs = {
                targetElement: [argumentAxisPoint, seriesAxisPoint],
                measureIds: measuesIds,
                color: dxColor.toHex()
            };
            that.elementCustomColor(customElementColorEventArgs);
            newColor = new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(customElementColorEventArgs.color);
            if (!newColor.colorIsInvalid && customElementColorEventArgs.color !== dxColor.toHex()) {
                return customElementColorEventArgs.color;
            }
        }
        return color;
    }
    _getColorFromData(argumentAxisPoint, seriesAxisPoint, colorMeasureId) {
        var that = this, colorArgumentAxisPoint = argumentAxisPoint ? argumentAxisPoint.getParentByDimensionId(that.viewModel.ArgumentColorDimension) : undefined, colorSeriesAxisPoint = seriesAxisPoint.getParentByDimensionId(that.viewModel.SeriesColorDimension);
        if (_utils__WEBPACK_IMPORTED_MODULE_5__/* .type */ .NW.isDefined(colorMeasureId)) {
            try {
                var colorValue = that._getCrossSlice(colorArgumentAxisPoint, colorSeriesAxisPoint).getColorMeasureValue(colorMeasureId);
                return colorValue !== null ? (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .toColor */ .VR)(colorValue) : undefined;
            }
            catch (e) {
                return undefined;
            }
        }
        return undefined;
    }
    _getStyleSettingsInfo(argumentAxisPoint, seriesAxisPoint, seriesMeasureId, chartElement) {
        if (this.cfModel) {
            let rules = [], seriesInfo = {
                argumentAxisPoint: argumentAxisPoint,
                seriesAxisPoint: seriesAxisPoint,
                chartElement: chartElement
            };
            rules = this.cfModel.RuleModels.filter(rule => rule.ApplyToSeriesId === seriesMeasureId && rule.ApplyToChartElement === chartElement);
            return this._getStyleSettingsInfoCore(seriesInfo, rules, this.viewModel.ColumnAxisName, _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.defaultAxis);
        }
    }
    _getStyleIndexes(rule, seriesInfo, points) {
        let isExpressionRule = rule.CalcByDataId ? false : true;
        let isDimensionRule = this.multiData.getDimensions(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis).concat(this.multiData.getDimensions(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis)).filter(dimension => dimension.id === rule.CalcByDataId).length > 0;
        if (seriesInfo.chartElement === 'Point') {
            if (isExpressionRule) {
                let seriesPointPath = seriesInfo.seriesAxisPoint.getAxisPath();
                let argumentPointPath = seriesInfo.argumentAxisPoint.getAxisPath();
                if (seriesPointPath.length > 0 && argumentPointPath.length > 0)
                    return this.findStylesOnPointPathsIntersection(seriesPointPath, argumentPointPath, rule.FormatConditionMeasureId);
                else if (seriesPointPath.length > 0)
                    return this.findStylesOnPointPath(seriesPointPath, null, rule.FormatConditionMeasureId);
                else
                    return this.findStylesOnPointPath(argumentPointPath, null, rule.FormatConditionMeasureId);
            }
            else if (isDimensionRule)
                return this.findStylesForDimension(seriesInfo.seriesAxisPoint, seriesInfo.argumentAxisPoint, rule.CalcByDataId, rule.FormatConditionMeasureId);
            return this.findStylesOnPointIntersection([seriesInfo.seriesAxisPoint, seriesInfo.argumentAxisPoint], rule.FormatConditionMeasureId);
        }
        else if (seriesInfo.chartElement === 'LineOrArea')
            return this.getStyleIndexesOnArgumentAxis(seriesInfo.seriesAxisPoint, rule.FormatConditionMeasureId, isExpressionRule, isDimensionRule, rule.CalcByDataId);
        return null;
    }
    findStylesForDimension(seriesPoint, argumentPoint, idDimensionCalculateBy, formatRuleMeasureId) {
        let isSeriesDimension = this.multiData.getDimensions(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis).filter(dimension => dimension.id === idDimensionCalculateBy).length > 0, slicePoint = (isSeriesDimension ? seriesPoint : argumentPoint).getParentByDimensionId(idDimensionCalculateBy);
        return this.findStylesOnPointIntersection([slicePoint], formatRuleMeasureId);
    }
    findStylesOnPointIntersection(points, ruleMeasureId) {
        return this._getMeasureValueByAxisPoints(points.filter(point => point), ruleMeasureId);
    }
    findStylesOnPointPath(pointPath, intercestionPoint, ruleMeasureId) {
        let styles;
        for (let point of pointPath) {
            styles = this.findStylesOnPointIntersection([point, intercestionPoint], ruleMeasureId);
            if (styles)
                break;
        }
        return styles;
    }
    findStylesOnPointPathsIntersection(firstPointPath, secondPointPath, ruleMeasureId) {
        let styles;
        for (let point of firstPointPath) {
            styles = this.findStylesOnPointPath(secondPointPath, point, ruleMeasureId);
            if (styles)
                break;
        }
        return styles;
    }
    getStyleIndexesOnArgumentAxis(seriesAxisPoint, cfMeasureId, isExpressionRule, isDimensionRule, idDimensionCalculateBy) {
        let helper = _item_data_internal_item_data_axis_helper__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisHelper */ .J, styles = [], rootArgumentPoint = this.multiData.getAxis(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis).getRootPoint();
        let targetSeriesPoint = seriesAxisPoint ? seriesAxisPoint : this.multiData.getAxis(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis).getRootPoint();
        helper.eachPoint(rootArgumentPoint, (point) => {
            let currentStyles;
            if (isExpressionRule)
                currentStyles = this.findStylesOnPointPath(targetSeriesPoint.getAxisPath(), point, cfMeasureId);
            else if (isDimensionRule)
                currentStyles = this.findStylesForDimension(targetSeriesPoint, point, idDimensionCalculateBy, cfMeasureId);
            else
                currentStyles = this.findStylesOnPointIntersection([point, targetSeriesPoint], cfMeasureId);
            if (currentStyles && currentStyles.length > 0) {
                styles = styles.concat(currentStyles);
                return false;
            }
        });
        return styles;
    }
    _getCrossSlice(argumentAxisPoint, seriesAxisPoint) {
        var slice = this.multiData.getSlice(seriesAxisPoint);
        return argumentAxisPoint ? slice.getSlice(argumentAxisPoint) : slice;
    }
    _getArgumentAxis() {
        return this.multiData ? this.multiData.getAxis(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis) : undefined;
    }
    _getSeriesAxis() {
        return this.multiData ? this.multiData.getAxis(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis) : undefined;
    }
    _getArgumentAxisDimensions() {
        var argumentAxis = this._getArgumentAxis(), dimensions = argumentAxis ? argumentAxis.getDimensions() : [];
        return dimensions ? dimensions : [];
    }
    _getSingleArgumentDimension() {
        var argumentDimensions = this._getArgumentAxisDimensions();
        if (argumentDimensions.length > 0) {
            return argumentDimensions[argumentDimensions.length - 1];
        }
        else {
            return undefined;
        }
    }
}


/***/ }),

/***/ 1880:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   o: () => (/* binding */ CardItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item_window_definition_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5469);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _kpi_kpi_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8648);
/* harmony import */ var _card__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9818);
/* harmony import */ var _metadata_card_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3509);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







class CardItem extends _kpi_kpi_item__WEBPACK_IMPORTED_MODULE_4__/* .KpiItem */ .W {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.cards = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Cards, (item) => new _card__WEBPACK_IMPORTED_MODULE_5__/* .Card */ .Z(this, item, serializer));
        this._attachDataItem(this, _metadata_card_item__WEBPACK_IMPORTED_MODULE_6__/* .cardSparklineArgument */ .BW.propertyName);
    }
    _getInfoCore() {
        return _metadata_card_item__WEBPACK_IMPORTED_MODULE_6__/* .cardDashboardItemSerializationsInfo */ .PO;
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.cards);
        this.cards.removeAll();
    }
    _getDefaultItemType() {
        return 'Card';
    }
    _getLayersCount() {
        return !!this.__seriesDimensions && this.__seriesDimensions().length > 0 ? this.cards().length : 0;
    }
    _getLayerName() {
        return this._getDataItemContainerDisplayName(this.cards()[this._selectedElementIndex() || 0]);
    }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .CardWindowDefinition */ .C();
    }
    _itemInteractivityByColumnAxis() {
        return false;
    }
    _getInteractivityAxisDimensionCount() {
        return this.seriesDimensions().length;
    }
    _conditionFormattingExpressionEditorFilter(dataItem) {
        let isHiddenMeasure = this.hiddenMeasures().filter(hm => hm.uniqueName() === dataItem.uniqueName()).length > 0;
        let isSeriesDimension = this.seriesDimensions().filter(sd => sd.uniqueName() === dataItem.uniqueName()).length > 0;
        return isHiddenMeasure || isSeriesDimension;
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_2__/* .collectionItemType */ .s)('Card')
], CardItem.prototype, "cards", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .itemTypesMap */ .Jh['Card'] = { type: CardItem, groupName: 'common', title: 'DashboardStringId.DefaultNameCardItem', index: 60 };


/***/ }),

/***/ 1884:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  uu: () => (/* binding */ actionButtons),
  Vo: () => (/* binding */ buttonGroupEditor),
  JM: () => (/* binding */ calculationExpressionEditor),
  Lf: () => (/* binding */ checkBoxEditor),
  oL: () => (/* binding */ collectionEditor),
  E9: () => (/* binding */ colorBoxEditor),
  jU: () => (/* binding */ conditionTypeEditor),
  l3: () => (/* binding */ currencyEditor),
  fG: () => (/* binding */ dateBoxEditor),
  uf: () => (/* binding */ dynamicSelectBoxEditor),
  G: () => (/* binding */ editableListEditor),
  Ip: () => (/* binding */ filePickerEditor),
  iP: () => (/* binding */ filterEditor),
  A1: () => (/* binding */ flagsEnumListEditor),
  nL: () => (/* binding */ flagsEnumTagBoxEditor),
  Or: () => (/* binding */ flowModeSettingsEditor),
  GR: () => (/* binding */ getFieldValue),
  hC: () => (/* binding */ guidEditor),
  pM: () => (/* binding */ iconTypeEditor),
  JI: () => (/* binding */ inlineEditCollectionEditor),
  yo: () => (/* binding */ listEditor),
  uD: () => (/* binding */ nestedPropertyGridEditor),
  pJ: () => (/* binding */ nullableNumberBoxEditor),
  kx: () => (/* binding */ numberBoxEditor),
  i6: () => (/* binding */ observableSelectBoxEditor),
  gP: () => (/* binding */ ruleRangesEditor),
  Zn: () => (/* binding */ selectBoxEditor),
  Uj: () => (/* binding */ simpleFilterEditor),
  _f: () => (/* binding */ styleSettingsEditor),
  Cv: () => (/* binding */ textBoxEditor),
  ln: () => (/* binding */ textPreviewEditor)
});

// EXTERNAL MODULE: external "DevExpress.Analytics.Widgets.Internal"
var external_DevExpress_Analytics_Widgets_Internal_ = __webpack_require__(9542);
// EXTERNAL MODULE: external "DevExpress.data.DataSource"
var external_DevExpress_data_DataSource_ = __webpack_require__(2951);
var external_DevExpress_data_DataSource_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_DataSource_);
// EXTERNAL MODULE: external "DevExpress.ui.dxList"
var external_DevExpress_ui_dxList_ = __webpack_require__(1160);
var external_DevExpress_ui_dxList_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxList_);
// EXTERNAL MODULE: external "DevExpress.ui.dxTagBox"
var external_DevExpress_ui_dxTagBox_ = __webpack_require__(2193);
var external_DevExpress_ui_dxTagBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTagBox_);
// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/data/_common.js
var _common = __webpack_require__(7739);
// EXTERNAL MODULE: ./dist/data/_jquery-helpers.js
var _jquery_helpers = __webpack_require__(5988);
// EXTERNAL MODULE: ./dist/data/_localization-ids.js
var _localization_ids = __webpack_require__(4216);
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
// EXTERNAL MODULE: ./dist/model/parameters/_parameters-helper.js
var _parameters_helper = __webpack_require__(2809);
// EXTERNAL MODULE: ./dist/designer/calculations/_expression-editor.js
var _expression_editor = __webpack_require__(6318);
// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_condition-type-editor.js
var _condition_type_editor = __webpack_require__(4150);
// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_rule-ranges-editor.js
var _rule_ranges_editor = __webpack_require__(9025);
// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_style-settings-editor.js
var _style_settings_editor = __webpack_require__(6553);
// EXTERNAL MODULE: ./dist/designer/currency-selector/_currency-selector.js
var _currency_selector = __webpack_require__(3680);
// EXTERNAL MODULE: ./dist/designer/expression-editor/_filter-expression-editor.js
var _filter_expression_editor = __webpack_require__(7395);
// EXTERNAL MODULE: ./dist/designer/filtering/simple-filter-editor/_simple-filter-editor.js + 2 modules
var _simple_filter_editor = __webpack_require__(499);
;// ./dist/designer/filtering/simple-filter-editor/_simple-filter-editor-view-model.js


class SimpleFilterExpressionEditorViewModel {
    constructor(options) {
        this.options = options;
        this.editorTemplate = 'dx-simple-filter-popup';
        this.editor = new _simple_filter_editor/* SimpleFilterEditor */.E(options.dashboardItem, options.dataSourceBrowser);
        this.criteriaString = external_ko_.computed(() => options.dashboardItem.filterString());
    }
    edit() {
        this.editor.popupVisible(true);
    }
    remove() {
        this.options.dashboardItem.filterString(null);
    }
}

// EXTERNAL MODULE: ./dist/designer/items/container-type-selector/_container-type-selector.js
var _container_type_selector = __webpack_require__(5715);
// EXTERNAL MODULE: ./dist/designer/public-editors/form-item-templates.js
var form_item_templates = __webpack_require__(3253);
// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_collection-editor-viewmodel.js
var _collection_editor_viewmodel = __webpack_require__(5584);
// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_editable-list-editor-viewmodel.js
var _editable_list_editor_viewmodel = __webpack_require__(6365);
// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_inline-edit-collection-editor-viewmodel.js
var _inline_edit_collection_editor_viewmodel = __webpack_require__(5621);
;// ./dist/designer/form-adapter/_form-adapter-editors.js






















function getFieldValue(args) {
    return external_ko_.unwrap(args.component.option('formData')[args.dataField]);
}
function localizeValues(v) {
    return v.map(v => ({ value: v.value, displayValue: (0,_default/* tryLocalize */.HH)(v.displayValueId) }));
}
const dateBoxEditor = () => ({
    editorType: 'dxDateBox',
    editorOptions: {
        closeOnValueChange: true,
        showClearButton: true,
        type: 'datetime',
        applyButtonText: (0,_default/* getLocalizationById */.Mu)(_localization_ids/* localizationId */.d.buttonNames.ButtonOK),
        cancelButtonText: (0,_default/* getLocalizationById */.Mu)(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel),
        todayButtonText: (0,_default/* getLocalizationById */.Mu)(_localization_ids/* localizationId */.d.labelName.ParametersFormCalendarTodayButton)
    }
});
const colorBoxEditor = () => ({
    editorType: 'dxColorBox',
    editorOptions: {
        showClearButton: true,
        editAlphaChannel: true,
        applyButtonText: (0,_default/* getLocalizationById */.Mu)(_localization_ids/* localizationId */.d.buttonNames.ButtonOK),
        cancelButtonText: (0,_default/* getLocalizationById */.Mu)(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel)
    }
});
const numberBoxEditor = (options = {}) => ({
    editorType: 'dxNumberBox',
    editorOptions: {
        ...options,
        showSpinButtons: true
    },
    comparableEditorOptions: ['format']
});
const checkBoxEditor = (args) => {
    var text = args && args.text || null;
    return {
        editorType: 'dxCheckBox',
        label: { visible: !text },
        editorOptions: {
            elementAttr: {
                class: 'dx-dashboard-check-box'
            },
            text: text
        }
    };
};
const textBoxEditor = () => ({ editorType: 'dxTextBox' });
const guidEditor = () => ({
    editorType: 'dxTextBox',
    validationRules: [
        {
            type: 'custom',
            validationCallback: (options) => { return (0,_parameters_helper/* validateGuid */.C)(options.value); },
            message: (0,_default/* getLocalizationById */.Mu)('AnalyticsCoreStringId.GuidIsRequired_Error')
        }
    ]
});
const selectBoxEditor = values => context => {
    return {
        editorType: 'dxSelectBox',
        editorOptions: {
            items: localizeValues(values),
            valueExpr: 'value',
            displayExpr: 'displayValue',
            displayCustomValue: true,
            dropDownOptions: { container: context.widgetContainer }
        }
    };
};
function dynamicSelectBoxEditor(options) {
    return observableSelectBoxEditor({
        ...options,
        observables: { values: options.values },
        load: (args) => localizeValues(args.values),
    });
}
function observableSelectBoxEditor(options) {
    return context => {
        let dataSource = new (external_DevExpress_data_DataSource_default())({
            load: () => options.load(Object.keys(options.observables).reduce((acc, key) => { acc[key] = options.observables[key](); return acc; }, {})),
            key: 'value',
            loadMode: 'raw'
        });
        const dynamicOptions = options.additionalOptions && options.additionalOptions() || {};
        return {
            editorType: 'dxSelectBox',
            editorOptions: {
                dataSource: dataSource,
                valueExpr: 'value',
                displayExpr: 'displayValue',
                displayCustomValue: true,
                dropDownOptions: { container: context.widgetContainer },
                onInitialized: e => {
                    const disposables = e.component.__DX_DASHBOARD_DISPOSABLES = (e.component.__DX_DASHBOARD_DISPOSABLES || []);
                    Object.keys(options.observables).map(obsName => options.observables[obsName].subscribe(newValue => {
                        dataSource.reload();
                    })).forEach(d => disposables.push(d));
                },
                onDisposing: e => {
                    (e.component.__DX_DASHBOARD_DISPOSABLES || []).forEach(d => d && d.dispose());
                    e.component.__DX_DASHBOARD_DISPOSABLES = [];
                },
                ...dynamicOptions
            },
            comparableEditorOptions: options.comparableEditorOptions
        };
    };
}
const buttonGroupEditor = values => ({
    template: form_item_templates/* FormItemTemplates */.Z.buttonGroup,
    editorOptions: {
        keyExpr: 'value',
        items: values.map((val) => ({ value: val.value, text: (0,_default/* getLocalizationById */.Mu)(val.displayValueId) })),
    }
});
const listEditor = (values) => ({
    template: args => getListTemplate(args, values)
});
function getListTemplate(args, values) {
    var div = document.createElement('div');
    var initialValue = getFieldValue(args);
    var options = {
        dataSource: values,
        selectionMode: 'single',
        disabled: args.editorOptions && args.editorOptions.disabled || undefined,
        selectedItems: values.filter(value => { return value.value === initialValue; }),
        onItemClick: (e) => { args.component.updateData(args.dataField, e.itemData.value); },
        itemTemplate: (itemData) => {
            var span = document.createElement('span');
            span.innerText = (0,_default/* getLocalizationById */.Mu)(itemData.displayValueId);
            return span;
        }
    };
    new (external_DevExpress_ui_dxList_default())(div, options);
    return div;
}
const editableListEditor = options => context => {
    return {
        editorOptions: options,
        template: args => editableListEditorTemplate(args, context, options)
    };
};
const editableListEditorTemplate = (args, context, options) => {
    let viewModel = new _editable_list_editor_viewmodel/* EditableListEditorViewModel */.a(options, args.component.option('formData')[args.dataField]);
    const div = document.createElement('div');
    external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-collection-editor', data: viewModel } }, context.bindingContext);
    return div;
};
const collectionEditor = options => context => {
    return {
        editorOptions: options,
        template: (args) => collectionEditorTemplate(args, context, options)
    };
};
const collectionEditorTemplate = (args, context, options) => {
    let viewModel = new _collection_editor_viewmodel/* CollectionEditorViewModel */.e(options, args.component.option('formData')[args.dataField]);
    const div = document.createElement('div');
    external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-collection-editor', data: viewModel } }, context.bindingContext);
    return div;
};
const inlineEditCollectionEditor = options => context => ({
    editorOptions: options,
    template: (args, elt) => inlineEditCollectionEditorTemplate(args, (0,_jquery_helpers/* $unwrap */.I1)(elt), context, options)
});
const inlineEditCollectionEditorTemplate = (args, elt, context, options) => {
    const viewModel = new _inline_edit_collection_editor_viewmodel/* InlineEditCollectionEditorViewModel */.V(options, args.component.option('formData')[args.dataField]);
    external_ko_.applyBindingsToNode(elt, { template: { name: 'dx-dashboard-editable-collection-editor', data: viewModel } }, context.bindingContext);
};
const textPreviewEditor = options => context => {
    return {
        template: args => {
            const field = args.component.option('formData')[args.dataField];
            const div = document.createElement('div');
            div.classList.add('dx-dashboard-text-preview');
            external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-text-preview', data: options.target } }, context.bindingContext);
            return div;
        }
    };
};
const actionButtons = (options) => context => {
    return {
        template: args => {
            const div = document.createElement('div');
            external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-action-buttons', data: { buttons: options } } }, context.bindingContext);
            return div;
        }
    };
};
const flagsEnumListEditor = options => {
    return {
        template: args => {
            const div = document.createElement('div');
            div.classList.add('dx-dashboard-point-label-content-type-selector');
            new (external_DevExpress_ui_dxList_default())(div, {
                showSelectionControls: true,
                selectionMode: 'multiple',
                keyExpr: 'value',
                onInitialized: function (e) {
                    e.component.option('selectedItemKeys', (0,_common/* getFlagsEnumTypeValues */.pC)(getFieldValue(args), options.enumDeclaration, 'value'));
                },
                ...getFlagsEnumWidgetCommonOptions(args, options.values)
            });
            return div;
        }
    };
};
const flagsEnumTagBoxEditor = options => context => {
    return {
        template: args => {
            const div = document.createElement('div');
            div.classList.add('dx-dashboard-enum-flags-date-type-selector');
            new (external_DevExpress_ui_dxTagBox_default())(div, {
                placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ConditionalFormatting.DatesOccurringNone'),
                selectAllMode: 'allPages',
                showSelectionControls: true,
                showDropDownButton: true,
                multiline: false,
                searchEnabled: true,
                valueExpr: 'value',
                onInitialized: function (e) {
                    e.component.option('value', (0,_common/* getFlagsEnumTypeValues */.pC)(getFieldValue(args), options.enumDeclaration, 'value'));
                },
                ...getFlagsEnumWidgetCommonOptions(args, options.values),
                ...{
                    selectAllText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementShowAllItem'),
                    pageLoadMode: 'scrollBottom',
                    dropDownOptions: { container: context.widgetContainer }
                }
            });
            return div;
        }
    };
};
function getFlagsEnumWidgetCommonOptions(args, values) {
    return {
        dataSource: values,
        displayExpr: e => e && (0,_default/* getLocalizationById */.Mu)(e.displayValueId),
        onSelectionChanged: function (e) {
            var val = getFieldValue(args);
            e.addedItems.forEach(function (added) {
                val = val | added.value;
            });
            e.removedItems.forEach(function (removed) {
                val = val & ~removed.value;
            });
            args.component.updateData(args.dataField, val);
        },
    };
}
const currencyEditor = () => (context) => ({
    template: args => currencyEditorTemplate(args, context)
});
const currencyEditorTemplate = (args, context) => {
    const div = document.createElement('div');
    let viewModel = new _currency_selector/* CurrencySelector */.JH(args.component.option('formData')[args.dataField], args.editorOptions.disabled);
    external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-currency-editor-template', data: viewModel } }, context.bindingContext);
    return div;
};
const iconTypeEditor = (options) => context => ({
    template: args => iconTypeEditorTemplate(args, context, options)
});
const iconTypeEditorTemplate = (args, context, options) => {
    const div = document.createElement('div');
    var value = args.component.option('formData')[args.dataField];
    var viewModel = new _container_type_selector/* ContainerTypeSelector */.z(options.containersMap, value, options.containerGroupLocalization || undefined, options.highlightedTypes);
    external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-container-type-selector-full', data: viewModel } }, context.bindingContext);
    return div;
};
const nullableNumberBoxEditor = (options) => context => {
    return {
        template: (args) => nullableNumberBoxEditorTemplate(args, context, options)
    };
};
const nullableNumberBoxEditorTemplate = (args, context, options) => {
    const div = document.createElement('div');
    var value = args.component.option('formData')[args.dataField];
    const defaultValue = options.defaultValue ? options.defaultValue : 0;
    const viewModel = {
        buttonGroupOptions: {
            selectedItemKeys: external_ko_.pureComputed(() => [isNaN(value())]),
            keyExpr: 'value',
            width: '100%',
            items: [
                { value: true, text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Gauge.Scale.Auto') },
                { value: false, text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Gauge.Scale.Custom') }
            ],
            onItemClick: e => { value(e.itemData.value ? NaN : defaultValue); }
        },
        numberBoxOptions: {
            ...options.editorOptions,
            disabled: external_ko_.pureComputed(() => isNaN(value())),
            value: value,
            showSpinButtons: true,
            step: 1
        }
    };
    external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-nullable-numberbox', data: viewModel } }, context.bindingContext);
    return div;
};
const flowModeSettingsEditor = () => context => {
    return {
        template: (args, itemElement) => {
            const periodLimit = args.component.option('formData')[args.dataField];
            const viewModel = {
                selectBoxOptions: {
                    items: periodLimit._getAvailableIntervals(),
                    value: periodLimit.interval,
                    valueExpr: 'value',
                    displayExpr: 'displayValue',
                    displayCustomValue: true,
                    dropDownOptions: { container: args.editorOptions.dashboardWidgetContainer }
                },
                numberBoxOptions: {
                    value: periodLimit.offset,
                    showSpinButtons: true,
                    step: 1
                }
            };
            external_ko_.applyBindingsToNode((0,_jquery_helpers/* $unwrap */.I1)(itemElement), { template: { name: 'dx-dashboard-flow-mode-settings', data: viewModel } }, context.bindingContext);
        }
    };
};
const calculationExpressionEditor = options => expressionEditorFormAdapter(() => new _expression_editor/* CalculationExpressionEditor */.J(options));
const filterEditor = options => expressionEditorFormAdapter(() => new _filter_expression_editor/* FilterExpressionEditorViewModel */.y(options));
const simpleFilterEditor = options => expressionEditorFormAdapter(() => new SimpleFilterExpressionEditorViewModel(options));
function expressionEditorFormAdapter(createEditorViewModel) {
    return context => {
        return {
            template: (args, itemElement) => {
                var viewModel = createEditorViewModel();
                external_ko_.applyBindingsToNode((0,_jquery_helpers/* $unwrap */.I1)(itemElement), { template: { name: 'dx-dashboard-expression-editor-view', data: viewModel } }, context.bindingContext);
            }
        };
    };
}
const filePickerEditor = (options) => {
    return {
        template: (args) => {
            var div = document.createElement('div');
            new external_DevExpress_Analytics_Widgets_Internal_.dxFileImagePicker(div, {
                ...options,
                value: getFieldValue(args),
                onValueChanged: (e) => {
                    args.component.updateData(args.dataField, e.value);
                }
            });
            return div;
        }
    };
};
const nestedPropertyGridEditor = (caption) => context => {
    return {
        template: (args, itemElement) => {
            const formatModel = args.component.option('formData')[args.dataField];
            external_ko_.applyBindingsToNode((0,_jquery_helpers/* $unwrap */.I1)(itemElement), { template: { name: 'dx-dashboard-nested-propertygrid-editor', data: {
                        object: formatModel,
                        caption: caption
                    } } }, context.bindingContext);
        }
    };
};
const ruleRangesEditor = (options) => context => {
    return {
        options: options,
        template: (args, itemElement) => {
            var viewModel = new _rule_ranges_editor/* RuleRangesEditor */.m(options);
            external_ko_.utils.domNodeDisposal.addDisposeCallback(itemElement, (itemElement) => {
                viewModel?.dispose();
            });
            external_ko_.applyBindingsToNode((0,_jquery_helpers/* $unwrap */.I1)(itemElement), { template: { name: 'dx-dashboard-rule-ranges-editor', data: viewModel } }, context.bindingContext);
        }
    };
};
const styleSettingsEditor = (options) => context => {
    return {
        options: options,
        template: (args, itemElement) => {
            const styleSettings = args.component.option('formData')[args.dataField];
            if (!options.restrictToColor) {
                options.getAvailableFontFamilies = () => {
                    const getAvailableFontFamilies = args.component.option('formData').model.condition()._getAvailableFontFamilies;
                    if (getAvailableFontFamilies) {
                        return getAvailableFontFamilies();
                    }
                    return external_ko_.computed(() => []);
                };
            }
            var viewModel = new _style_settings_editor/* StyleSettingsEditor */.k(styleSettings, options);
            external_ko_.applyBindingsToNode((0,_jquery_helpers/* $unwrap */.I1)(itemElement), { template: { name: 'dx-dashboard-style-settings-editor', data: viewModel } }, context.bindingContext);
        }
    };
};
const conditionTypeEditor = options => context => {
    return {
        options: options,
        template: (args, itemElement) => {
            const viewModel = new _condition_type_editor/* FormatConditionTypeEditorSurface */.T(options);
            external_ko_.utils.domNodeDisposal.addDisposeCallback(itemElement, (element) => {
                viewModel?.dispose();
            });
            external_ko_.applyBindingsToNode((0,_jquery_helpers/* $unwrap */.I1)(itemElement), { template: { name: 'dx-dashboard-format-rule-condition-type-editor', data: viewModel } }, context.bindingContext);
        }
    };
};


/***/ }),

/***/ 1886:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ gridWindowDefinitionSerializationsInfo),
/* harmony export */   x: () => (/* binding */ gridDefinitionMode)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let gridDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Rows', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Rows': 'DashboardStringId.GridCalculationAlongRows',
        'SparklineArgument': 'DashboardStringId.GridCalculationAlongSparklineArgument',
        'RowsAndSparklineArgument': 'DashboardStringId.GridCalculationAlongRowsAndSparklineArgument',
        'SparklineArgumentAndRows': 'DashboardStringId.GridCalculationAlongSparklineArgumentAndRows'
    }
};
let gridWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([gridDefinitionMode]);


/***/ }),

/***/ 1892:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ DashboardLayoutItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _dashboard_layout_node__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4307);
/* harmony import */ var _layout_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3620);



class DashboardLayoutItem extends _dashboard_layout_node__WEBPACK_IMPORTED_MODULE_1__/* .DashboardLayoutNode */ .Z {
    get _template() { return 'dx-dashboard-item'; }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getDefaultItemType() { return 'LayoutItem'; }
    _deleteDashbordItem() {
        if (this._dashboard()) {
            this._dashboard().items.remove(this.item);
        }
    }
}
_layout_utils__WEBPACK_IMPORTED_MODULE_2__/* ._layoutItemTypeMap */ .r['LayoutItem'] = DashboardLayoutItem;


/***/ }),

/***/ 1910:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $A: () => (/* binding */ layoutWeight),
/* harmony export */   JW: () => (/* binding */ orientation),
/* harmony export */   SD: () => (/* binding */ layoutItemsSerializable),
/* harmony export */   _4: () => (/* binding */ dashboardItem),
/* harmony export */   fx: () => (/* binding */ layoutItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let dashboardItem = { propertyName: 'dashboardItem', modelName: '@DashboardItem' };
let orientation = { propertyName: 'orientation', modelName: '@Orientation', displayName: 'DashboardWebStringId.Chart.Orientation', defaultVal: 'Horizontal', simpleFormAdapterItem: 'textBoxEditor' };
let layoutWeight = { propertyName: 'weight', modelName: '@Weight', defaultVal: 1, displayName: 'DashboardStringId.WeightCaption', simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let layoutItemsSerializable = { propertyName: 'childNodes', modelName: 'LayoutItems', displayName: 'DashboardWebStringId.Dashboard.LayoutItems', array: true };
let layoutItemSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, layoutWeight, orientation, layoutItemsSerializable, dashboardItem];


/***/ }),

/***/ 1923:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Kz: () => (/* binding */ DataItemLink),
/* harmony export */   sO: () => (/* binding */ DataItem),
/* harmony export */   zH: () => (/* binding */ AcceptableShapingType)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(158);




class DataItem extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .TypedSerializableModel */ .$t {
    constructor(dataItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataItemJSON, serializer);
    }
    getInfo() {
        return _metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .dataItemSerializationsInfo */ .lh;
    }
    grabFrom(dataItem) {
        this.name(dataItem.name());
        this.numericFormat.unit(dataItem.numericFormat.unit());
        this.numericFormat.precision(dataItem.numericFormat.precision());
        this.numericFormat.includeGroupSeparator(dataItem.numericFormat.includeGroupSeparator());
        this.numericFormat.formatType(dataItem.numericFormat.formatType());
        this.numericFormat.currencyCultureName(dataItem.numericFormat.currencyCultureName());
        this.dateTimeFormat.yearFormat(dataItem.dateTimeFormat.yearFormat());
        this.dateTimeFormat.quarterFormat(dataItem.dateTimeFormat.quarterFormat());
        this.dateTimeFormat.monthFormat(dataItem.dateTimeFormat.monthFormat());
        this.dateTimeFormat.dayOfWeekFormat(dataItem.dateTimeFormat.dayOfWeekFormat());
        this.dateTimeFormat.dateFormat(dataItem.dateTimeFormat.dateFormat());
        this.dateTimeFormat.dateHourFormat(dataItem.dateTimeFormat.dateHourFormat());
        this.dateTimeFormat.dateHourMinuteFormat(dataItem.dateTimeFormat.dateHourMinuteFormat());
        this.dateTimeFormat.dateTimeFormat(dataItem.dateTimeFormat.dateTimeFormat());
        this.dateTimeFormat.hourFormat(dataItem.dateTimeFormat.hourFormat());
        this.dateTimeFormat.exactDateFormat(dataItem.dateTimeFormat.exactDateFormat());
    }
    isDefinitionEquals(dataItem) {
        return !!dataItem && this.dataMember() === dataItem.dataMember();
    }
    getUniqueNamePrefix() {
        return 'DataItem';
    }
}
DataItem.typesMap = {
    Integer: 'integer',
    Long: 'integer',
    Float: 'double',
    Double: 'double',
    Decimal: 'double',
    DateTime: 'date',
    Text: 'string',
    String: 'string',
    Bool: 'Bool',
    Boolean: 'Bool',
    Enum: 'string'
};
var AcceptableShapingType;
(function (AcceptableShapingType) {
    AcceptableShapingType[AcceptableShapingType["Number"] = 0] = "Number";
    AcceptableShapingType[AcceptableShapingType["String"] = 1] = "String";
    AcceptableShapingType[AcceptableShapingType["RangeDate"] = 2] = "RangeDate";
    AcceptableShapingType[AcceptableShapingType["Attribute"] = 3] = "Attribute";
    AcceptableShapingType[AcceptableShapingType["Hidden"] = 4] = "Hidden";
})(AcceptableShapingType || (AcceptableShapingType = {}));
class DataItemLink extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .TypedSerializableModel */ .$t {
    static create(dataItemProvider, dataItemLink) {
        var link = new DataItemLink(dataItemProvider, { '@DefaultId': dataItemLink.uniqueName() }, undefined);
        return link;
    }
    constructor(dataItemProvider, dataItemLinkJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataItemLinkJSON, serializer);
        this._dataItemProvider = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        this._specifics = {
            acceptableShapingType: AcceptableShapingType.Number,
            customOptionsProperties: [],
            customDataShapingProperties: [],
            isAttribute: false,
            skipFormatting: false,
            supportsTopNOther: true,
            forceAddOlapExactDateFormat: false
        };
        this._updateProvider(dataItemProvider);
        this.addDisposable(this.dataItem = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
            read: () => !!this._dataItemProvider() ? this._dataItemProvider()._getDataItem(this.uniqueName()) : undefined,
            write: (value) => this.uniqueName(value && value.uniqueName())
        }));
    }
    getInfo() {
        return _metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .dataItemLinkSerializationsInfo */ .N5;
    }
    _getDefaultItemType() {
        return undefined;
    }
    _updateProvider(dataItemProvider) {
        this._dataItemProvider(dataItemProvider);
    }
}


/***/ }),

/***/ 1943:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ DashboardUniqueNameGenerator)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _helper_classes__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5792);
/* harmony import */ var _knockout_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1041);



class DashboardUniqueNameGenerator extends _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.Disposable {
    constructor(_propertyName, _startIndex, ...collections) {
        super();
        this._propertyName = _propertyName;
        this._startIndex = _startIndex;
        this._componentsCollections = collections;
        this._componentsCollections.map(collection => {
            collection().forEach(item => this._ensureUniqueName(item));
            this.addDisposable((0,_knockout_utils__WEBPACK_IMPORTED_MODULE_2__/* .subscribeArrayChangeWithCancel */ .EK)(collection, changes => {
                for (const itemChange of changes) {
                    var change = itemChange;
                    if (change.status === 'added') {
                        if (!this._ensureUniqueName(change.value))
                            return false;
                    }
                }
                return true;
            }));
        });
    }
    _ensureUniqueName(item) {
        var affectedItems = this._componentsCollections.reduce((result, collection) => result.concat(collection()), []), itemIndex = affectedItems.indexOf(item), uniqueName = item[this._propertyName]();
        affectedItems.splice(itemIndex, 1);
        if (!!uniqueName && !_helper_classes__WEBPACK_IMPORTED_MODULE_1__/* .NameGenerator */ .$A.isValidName(uniqueName, affectedItems, this._propertyName))
            throw new Error(`Invalid Name "${uniqueName}": An item with the same name already exists. Check the name or set it to 'undefined' to generate a unique name automatically.`);
        if (!uniqueName) {
            item[this._propertyName](_helper_classes__WEBPACK_IMPORTED_MODULE_1__/* .NameGenerator */ .$A.generateName(item.getUniqueNamePrefix(), affectedItems, this._propertyName, this._startIndex));
        }
        return true;
    }
}


/***/ }),

/***/ 1957:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ DateTimePeriodConverter)
/* harmony export */ });
/* harmony import */ var _range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9667);

function getFirstWeekDate(date, firstDayOfWeek) {
    const delta = (date.getDay() - firstDayOfWeek + 7) % 7;
    const result = new Date(date);
    result.setDate(date.getDate() - delta);
    return result;
}
class DateTimePeriodConverter {
    static toRange(period, firstDayOfWeek) {
        let now = new Date();
        var range = {
            startValue: this._getDateTime(period.Start, now, firstDayOfWeek),
            endValue: this._getDateTime(period.End, now, firstDayOfWeek)
        };
        let endLimit = period.Start && period.End && period.End < period.Start ? period.Start : period.End;
        range = _range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_0__/* .RangeFilterSelectionValidator */ .A.validateLimitsOrder(range);
        if (endLimit && endLimit.Relative) {
            range.endValue.setMilliseconds(range.endValue.getMilliseconds() - 1);
            range = _range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_0__/* .RangeFilterSelectionValidator */ .A.validateLimitsOrder(range);
        }
        return range;
    }
    static _getDateTime(limit, now, firstDayOfWeek) {
        if (limit) {
            if (!limit.Relative)
                return limit.Date;
            switch (limit.Interval) {
                case 'Year':
                    return new Date(now.getFullYear() + limit.Offset, 0, 1);
                case 'Quarter':
                    var quarterIndex = Math.floor(now.getMonth() / 3);
                    return new Date(now.getFullYear(), quarterIndex * 3 + 3 * limit.Offset, 1);
                case 'Month':
                    return new Date(now.getFullYear(), now.getMonth() + limit.Offset, 1);
                case 'Week':
                    var firstDayOfCurrentWeek = getFirstWeekDate(now, firstDayOfWeek);
                    return new Date(firstDayOfCurrentWeek.getFullYear(), firstDayOfCurrentWeek.getMonth(), firstDayOfCurrentWeek.getDate() + 7 * limit.Offset);
                case 'Day':
                    return new Date(now.getFullYear(), now.getMonth(), now.getDate() + limit.Offset);
                case 'Hour':
                    return new Date(now.getFullYear(), now.getMonth(), now.getDate(), now.getHours() + limit.Offset, 0, 0, 0);
                case 'Minute':
                    return new Date(now.getFullYear(), now.getMonth(), now.getDate(), now.getHours(), now.getMinutes() + limit.Offset, 0, 0);
                case 'Second':
                    return new Date(now.getFullYear(), now.getMonth(), now.getDate(), now.getHours(), now.getMinutes(), now.getSeconds() + limit.Offset, 0);
            }
        }
    }
}


/***/ }),

/***/ 1965:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ coloringOptions)
/* harmony export */ });
/* harmony import */ var _coloring_options__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(638);

let coloringOptions = { propertyName: 'coloringOptions', modelName: 'ColoringOptions', displayName: 'DashboardWebStringId.ColoringOptions', type: _coloring_options__WEBPACK_IMPORTED_MODULE_0__/* .DashboardItemColoringOptions */ .L };


/***/ }),

/***/ 1967:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Eu: () => (/* binding */ insidePosition),
/* harmony export */   K4: () => (/* binding */ chartLegendVisible),
/* harmony export */   Mo: () => (/* binding */ isInsideDiagram),
/* harmony export */   Tg: () => (/* binding */ chartLegendSerializationsInfo),
/* harmony export */   Tu: () => (/* binding */ outsidePosition)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let outsidePosition = {
    propertyName: 'outsidePosition', modelName: '@OutsidePosition', displayName: 'DashboardWebStringId.Chart.Position', defaultVal: 'TopRightHorizontal', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'TopLeftVertical': 'DashboardWebStringId.Chart.Position.TopLeftVertical',
        'TopLeftHorizontal': 'DashboardWebStringId.Chart.Position.TopLeftHorizontal',
        'TopCenterHorizontal': 'DashboardWebStringId.Chart.Position.TopCenterHorizontal',
        'TopRightVertical': 'DashboardWebStringId.Chart.Position.TopRightVertical',
        'TopRightHorizontal': 'DashboardWebStringId.Chart.Position.TopRightHorizontal',
        'BottomLeftVertical': 'DashboardWebStringId.Chart.Position.BottomLeftVertical',
        'BottomLeftHorizontal': 'DashboardWebStringId.Chart.Position.BottomLeftHorizontal',
        'BottomCenterHorizontal': 'DashboardWebStringId.Chart.Position.BottomCenterHorizontal',
        'BottomRightVertical': 'DashboardWebStringId.Chart.Position.BottomRightVertical',
        'BottomRightHorizontal': 'DashboardWebStringId.Chart.Position.BottomRightHorizontal'
    }
};
let insidePosition = {
    propertyName: 'insidePosition', modelName: '@InsidePosition', displayName: 'DashboardWebStringId.Chart.Position', defaultVal: 'TopRightHorizontal', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'TopLeftVertical': 'DashboardWebStringId.Chart.Position.TopLeftVertical',
        'TopLeftHorizontal': 'DashboardWebStringId.Chart.Position.TopLeftHorizontal',
        'TopCenterHorizontal': 'DashboardWebStringId.Chart.Position.TopCenterHorizontal',
        'TopCenterVertical': 'DashboardWebStringId.Chart.Position.TopCenterVertical',
        'TopRightVertical': 'DashboardWebStringId.Chart.Position.TopRightVertical',
        'TopRightHorizontal': 'DashboardWebStringId.Chart.Position.TopRightHorizontal',
        'BottomLeftVertical': 'DashboardWebStringId.Chart.Position.BottomLeftVertical',
        'BottomLeftHorizontal': 'DashboardWebStringId.Chart.Position.BottomLeftHorizontal',
        'BottomCenterHorizontal': 'DashboardWebStringId.Chart.Position.BottomCenterHorizontal',
        'BottomCenterVertical': 'DashboardWebStringId.Chart.Position.BottomCenterVertical',
        'BottomRightVertical': 'DashboardWebStringId.Chart.Position.BottomRightVertical',
        'BottomRightHorizontal': 'DashboardWebStringId.Chart.Position.BottomRightHorizontal'
    }
};
let isInsideDiagram = { propertyName: 'isInsideDiagram', modelName: '@IsInsidePosition', displayName: 'DashboardWebStringId.Chart.IsInsideOfDiagram', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let chartLegendVisible = { propertyName: 'visible', modelName: '@Visible', displayName: 'DashboardWebStringId.Chart.ShowLegend', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let chartLegendSerializationsInfo = [outsidePosition, insidePosition, isInsideDiagram, chartLegendVisible];


/***/ }),

/***/ 1973:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ ComplexValue)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2809);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6744);





class ComplexValue extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    isEmpty() {
        return !this._persistedValue || !this.type || !this.type();
    }
    get isInfinity() {
        return this._persistedValue() == _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_4__/* .negativeInfinity */ .qv;
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        if (!this.isEmpty() && !this.isInfinity) {
            this._persistedValue(_parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_2__/* .ParameterHelper */ ._.convertSingleValue(this._persistedValue(), this.type()));
        }
        this.addDisposable(this.value = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
            read: () => this._persistedValue(),
            write: (val) => {
                if (val === _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_4__/* .negativeInfinity */ .qv) {
                    this.type('System.Double');
                }
                this._persistedValue(val);
            }
        }));
    }
    getInfo() {
        return _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_4__/* .complexValueInfo */ .EZ;
    }
    setValue(value, type) {
        this.value(value);
        this.type(type);
    }
}


/***/ }),

/***/ 1985:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   x: () => (/* binding */ ComboBoxItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_hashset_wrapper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6570);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _filter_element_item_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8090);
/* harmony import */ var _metadata_combo_box_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5842);





class ComboBoxItem extends _filter_element_item_base__WEBPACK_IMPORTED_MODULE_3__/* .FilterElementItemBase */ .Z {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
    }
    _getInfoCore() {
        return _metadata_combo_box_item__WEBPACK_IMPORTED_MODULE_4__/* .comboBoxDashboardItemSerializationsInfo */ .a;
    }
    _getDefaultItemType() {
        return 'ComboBox';
    }
    _getUpdatedSelectionData(selection) {
        if (!this._multiData) {
            return selection;
        }
        var currentSelection = this._selectionValues();
        if (!this._useNeutralFilterMode() &&
            this._isMultiselectable() &&
            !!currentSelection &&
            this._unselectedValues()) {
            this._updateUnselectedValues(selection, currentSelection);
        }
        if (!!selection) {
            var hashset = new _data_hashset_wrapper__WEBPACK_IMPORTED_MODULE_1__/* .HashsetWrapper */ .e(selection);
            var allValues = this._getAllSelectionValues(this._interactivityDimensions.map(d => d.uniqueName()));
            return hashset.getIntersection(allValues);
        }
        return selection;
    }
    _setSelectionData(selection, forceSetSelection = false) {
        super._setSelectionData(this._getUpdatedSelectionData(selection), forceSetSelection);
    }
    _correctSelectionValues(allValues, currentSelection) {
        if (!this._isMultiselectable()) {
            return super._correctSelectionValues(allValues, currentSelection);
        }
        if (this._useNeutralFilterMode()) {
            return allValues.length <= currentSelection.length
                ? allValues
                : currentSelection;
        }
        var unknownSelection = allValues.filter(x => (!this._arrayContains(currentSelection, x) &&
            !this._arrayContains(this._unselectedValues(), x)));
        return currentSelection.concat(unknownSelection);
    }
    _allowAllValue() { return this._isMultiselectable() || this.showAllValue(); }
    _isMultiselectable() { return this.comboBoxType() === 'Checked'; }
}
_serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .itemTypesMap */ .Jh['ComboBox'] = { type: ComboBoxItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameComboBoxItem', index: 320 };


/***/ }),

/***/ 2020:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KT: () => (/* binding */ getItemTitle),
/* harmony export */   Mi: () => (/* binding */ getItemJson),
/* harmony export */   RU: () => (/* binding */ getIconName),
/* harmony export */   oq: () => (/* binding */ getItemIconName)
/* harmony export */ });
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9167);
/* harmony import */ var _items_custom_item_custom_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7212);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);



function getIconName(typeName, icon) {
    var getCamelType = s => s[0].toLowerCase() + s.substr(1, s.length);
    return icon || 'dx-dashboard-toolbox-' + getCamelType(typeName);
}
function getItemIconName(item) {
    var icon = item instanceof _items_custom_item_custom_item__WEBPACK_IMPORTED_MODULE_1__/* .CustomItem */ .F ? _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .itemTypesMap */ .Jh[item.customItemType()].icon : undefined;
    return getIconName(item.itemType(), icon);
}
function getItemTitle(item) {
    var itemType = item instanceof _items_custom_item_custom_item__WEBPACK_IMPORTED_MODULE_1__/* .CustomItem */ .F ? item.customItemType() : item.itemType();
    var info = _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .itemTypesMap */ .Jh[itemType];
    return !!info.title ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)(info.title) : itemType;
}
function getItemJson(itemType) {
    var itemTypeDescription = _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .itemTypesMap */ .Jh[itemType];
    return {
        '@ItemType': !!itemTypeDescription.customItemType ? _items_custom_item_custom_item__WEBPACK_IMPORTED_MODULE_1__/* .CustomItem */ .F.ItemType : itemType,
        '@CustomItemType': !!itemTypeDescription.customItemType ? itemType : undefined
    };
}


/***/ }),

/***/ 2037:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Aq: () => (/* binding */ getIsStartOfFirstWeek),
/* harmony export */   OE: () => (/* binding */ patchDateTime),
/* harmony export */   bt: () => (/* binding */ tryConvertToDateTime),
/* harmony export */   fK: () => (/* binding */ divideIntoWeeks),
/* harmony export */   fi: () => (/* binding */ addDays),
/* harmony export */   kc: () => (/* binding */ getStartOfFirstWeek),
/* harmony export */   ku: () => (/* binding */ toUtcDate),
/* harmony export */   ls: () => (/* binding */ serializeDate),
/* harmony export */   o8: () => (/* binding */ clone),
/* harmony export */   oU: () => (/* binding */ toStringArray),
/* harmony export */   zd: () => (/* binding */ fromUtcDateToString)
/* harmony export */ });
const isoDataTimePattern = /^\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d/;
function tryConvertToDateTime(value) {
    if (typeof (value) === 'string' && isoDataTimePattern.test(value)) {
        return toUtcDate(value);
    }
    return value;
}
function patchDateTime(storageDTO) {
    var _tryPatchDateTime = (obj, property) => {
        obj[property] = tryConvertToDateTime(obj[property]);
    };
    for (var sliceId in storageDTO.Slices) {
        var slice = storageDTO.Slices[sliceId];
        for (var keyIds in slice.Data) {
            var dataPoint = slice.Data[keyIds];
            for (var valueId in dataPoint) {
                _tryPatchDateTime(dataPoint, valueId);
            }
        }
    }
    for (var dataItemName in storageDTO.EncodeMaps) {
        var uniqueValues = storageDTO.EncodeMaps[dataItemName];
        var len = uniqueValues.length;
        if (len > 0) {
            for (var i = 0; i < len; i++) {
                _tryPatchDateTime(uniqueValues, i);
            }
        }
    }
}
function toStringArray(value) {
    if (!value) {
        return value;
    }
    if (Array.isArray(value)) {
        return value.map(v => toStringArray(v));
    }
    else if (value instanceof Date) {
        return fromUtcDateToString(value);
    }
    else if (value instanceof Object) {
        for (var key in value) {
            value[key] = toStringArray(value[key]);
        }
    }
    return value;
}
function toUtcDate(value) {
    let result = value;
    var hasDateZone = value[value.length - 3] == ':' && ['+', '-'].indexOf(value[value.length - 6]) !== -1;
    if (value[value.length - 1] !== 'Z' && !hasDateZone) {
        value += 'Z';
    }
    var date = new Date(value);
    if (isNaN(date.getTime()))
        return result;
    return new Date(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate(), date.getUTCHours(), date.getUTCMinutes(), date.getUTCSeconds(), date.getUTCMilliseconds());
}
function fromUtcDateToString(date) {
    var toString = (n, useThreeDigits = false) => {
        var s = n.toString();
        if (useThreeDigits) {
            return s.length == 2 ? '0' + s : (s.length == 1 ? '00' + s : s);
        }
        else {
            return s.length == 1 ? '0' + s : s;
        }
    };
    return date.getFullYear() + '-' +
        toString(date.getMonth() + 1) + '-' +
        toString(date.getDate()) + 'T' +
        toString(date.getHours()) + ':' +
        toString(date.getMinutes()) + ':' +
        toString(date.getSeconds()) + '.' +
        toString(date.getMilliseconds(), true);
}
function serializeDate(date) {
    return date instanceof Date ? fromUtcDateToString(date) : String(date);
}
function clone(date) {
    return new Date(date.valueOf());
}
function addDays(date, days) {
    date.setDate(date.getDate() + days);
}
function getIsStartOfFirstWeek(calendarWeekRule) {
    switch (calendarWeekRule) {
        case 'FirstDay':
            return (date) => isStartOfFirstWeek(date, 1);
        case 'FirstFourDayWeek':
            return (date) => isStartOfFirstWeek(date, 4);
        case 'FirstFullWeek':
            return (date) => isStartOfFirstWeek(date, 7);
    }
}
function isStartOfFirstWeek(weekStart, numberOfWeekDaysNeededInYear) {
    let month = weekStart.getMonth();
    let day = weekStart.getDate();
    return month === 11 && day >= 25 + numberOfWeekDaysNeededInYear ||
        month === 0 && day <= numberOfWeekDaysNeededInYear;
}
function divideIntoWeeks(start, end, firstDayOfWeek, calendarWeekRule, add) {
    if (start > end)
        throw new Error("'start' must be less or equal to 'end'.");
    if (start.getMonth() === 0 && start.getDate() === 1) {
        let firstWeekStart = getStartOfFirstWeek(start.getFullYear(), firstDayOfWeek, calendarWeekRule);
        let secondWeekStart = clone(firstWeekStart);
        addDays(secondWeekStart, 7);
        if (firstWeekStart < start && secondWeekStart > start) {
            add(clone(start));
            start = secondWeekStart;
        }
        else if (firstWeekStart > start) {
            add(clone(start));
            start = firstWeekStart;
        }
        if (start > end)
            return;
    }
    let current = clone(start);
    let isInFirstWeek = getIsStartOfFirstWeek(calendarWeekRule);
    while (current < end) {
        add(clone(current));
        if (current.getMonth() === 11 &&
            current.getDate() !== 25 &&
            isInFirstWeek(current))
            add(new Date(current.getFullYear() + 1, 0, 1));
        addDays(current, 7);
    }
    add(clone(end));
}
function getStartOfFirstWeek(year, firstDayOfWeek, calendarWeekRule) {
    let current = new Date(year, 0, 1);
    addDays(current, -7);
    while (current.getDay() !== firstDayOfWeek)
        addDays(current, 1);
    let isStartOfFirstWeek = getIsStartOfFirstWeek(calendarWeekRule);
    while (!isStartOfFirstWeek(current))
        addDays(current, 7);
    return current;
}


/***/ }),

/***/ 2056:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ SqlConnection)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_connection__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(979);



class SqlConnection extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    getInfo() {
        return _metadata_connection__WEBPACK_IMPORTED_MODULE_2__/* .connectionSerializationsInfo */ .w;
    }
    constructor(connectionJSON, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(connectionJSON, serializer);
    }
}


/***/ }),

/***/ 2058:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ listSource)
/* harmony export */ });
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6726);

class listSource {
    constructor(dataSource, dataMembers) {
        this.dataSource = this._wrapIfRequired(dataSource, dataMembers);
        this.dataMembers = dataMembers;
        if (this.dataSource && this.dataMembers) {
            this.rowCount = this.dataSource.length;
            this.columnCount = this.dataMembers.length;
        }
        else {
            this.dataSource = [];
            this.dataMembers = [];
            this.rowCount = 0;
            this.columnCount = 0;
        }
    }
    _wrapIfRequired(dataSource, dataMembers) {
        var dataRow, dataSourceWrapper = [], isWrapRequired = dataSource && dataSource.length > 0 && Array.isArray(dataSource) && Array.isArray(dataSource[0]);
        if (isWrapRequired) {
            for (var i = 0; i < dataSource.length; i++) {
                dataRow = dataSource[i];
                if (dataMembers && dataRow && dataRow.length === dataMembers.length) {
                    dataSourceWrapper[i] = {};
                    for (var j = 0; j < dataRow.length; j++) {
                        dataSourceWrapper[i][dataMembers[j]] = dataRow[j];
                    }
                }
                else {
                    isWrapRequired = false;
                    break;
                }
            }
        }
        return isWrapRequired ? dataSourceWrapper : dataSource;
    }
    getRowValue(rowIndex, dataMember) {
        return this.dataSource[rowIndex][dataMember];
    }
    getFormattedRowValue(rowIndex, dataMember, formatInfo) {
        var value = this.getRowValue(rowIndex, dataMember);
        return (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .formatNumeric */ .bH)(value, formatInfo);
    }
    getFormattedArgumentRowValue(rowIndex, dataMember, formatInfo) {
        var value = this.getRowValue(rowIndex, dataMember);
        return (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .format */ .GP)(value, formatInfo);
    }
    getColumnIndex(dataMember) {
        return this.dataMembers.indexOf(dataMember);
    }
    getRowCount() {
        return this.rowCount;
    }
}


/***/ }),

/***/ 2084:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   QC: () => (/* binding */ displayName),
/* harmony export */   ds: () => (/* binding */ dataItemName),
/* harmony export */   iD: () => (/* binding */ showInLegend),
/* harmony export */   zh: () => (/* binding */ chartItemFormatRuleSerializationsInfoBase)
/* harmony export */ });
/* harmony import */ var _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7540);

let showInLegend = { propertyName: 'showInLegend', modelName: '@ShowInLegend', displayName: 'DashboardStringId.FormatRuleDisplayInLegend', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor' };
let displayName = { propertyName: 'displayName', modelName: '@DisplayName', displayName: 'DashboardStringId.FormatRuleDisplayName', simpleFormAdapterItem: 'textBoxEditor' };
let dataItemName = { propertyName: 'dataItemName', modelName: '@DataItem', displayName: 'DashboardWebStringId.ConditionalFormatting.CalculatedBy', simpleFormAdapterItem: 'selectBoxEditor' };
let chartItemFormatRuleSerializationsInfoBase = _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_0__/* .dashboardItemFormatRuleSerializationsInfo */ .Qd.concat([showInLegend, displayName, dataItemName]);


/***/ }),

/***/ 2124:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ editorTemplates)
/* harmony export */ });
let editorTemplates = {
    radioGroup: 'radioGroup',
    image: 'image',
    text: 'text',
    bool: 'bool',
    boolYesNo: 'boolYesNo',
    boolVisibleHidden: 'boolVisibleHidden',
    boolDiscreteContinuous: 'boolDiscreteContinuous',
    checkBox: 'checkBox',
    list: 'list',
    numeric: 'numeric',
    date: 'data',
    combobox: 'combobox',
    buttonGroup: 'buttonGroup',
    guid: 'guid',
};


/***/ }),

/***/ 2128:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ ExtractDataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6844);
/* harmony import */ var _metadata_extract_data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8109);



class ExtractDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_1__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.hasCalculatedFields = true;
        this.hasFilter = true;
    }
    getInfo() {
        return _metadata_extract_data_source__WEBPACK_IMPORTED_MODULE_2__/* .extractDataSourceSerializationsInfo */ .U;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultFileExtractDataSourceName';
    }
    _getDefaultItemType() {
        return 'ExtractFileDataSource';
    }
}


/***/ }),

/***/ 2160:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ FormatConditionColorRangeBar)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2531);
/* harmony import */ var _format_condition_range_set__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7339);
/* harmony import */ var _metadata_format_condition_range_color_bar__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8011);
/* harmony import */ var _range_generator__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5771);





class FormatConditionColorRangeBar extends _format_condition_range_set__WEBPACK_IMPORTED_MODULE_2__/* .FormatConditionRangeSet */ .E {
    get _isApplyToRowColumnRestricted() { return true; }
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_format_condition_range_color_bar__WEBPACK_IMPORTED_MODULE_3__/* .formatConditionColorRangeBarSerializationsInfo */ .L;
    }
    getActualPredefinedType() {
        return _range_generator__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeGenerator */ .N.getPredefinedType(this.actualStyles, type => {
            var c = new FormatConditionColorRangeBar();
            _range_generator__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeGenerator */ .N.generateRangeSet(c, type);
            return c;
        });
    }
    setActualPredefinedType(type) {
        super.setActualPredefinedType(type);
    }
    createStyleSettings(styleListItem) {
        return new _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__/* .BarStyleSettings */ .S({ '@PredefinedColor': styleListItem });
    }
}


/***/ }),

/***/ 2193:
/***/ ((module) => {

module.exports = DevExpress.ui.dxTagBox;

/***/ }),

/***/ 2203:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ LimitContainer)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_limit_container__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(414);




class LimitContainer extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.mode = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.argumentInterval = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('Year');
        this.addDisposable(this.mode.subscribe(newMode => {
            if (newMode === 'None') {
                this.flow.isEmpty(true);
                this.fixed.isEmpty(true);
            }
            else if (newMode === 'Flow') {
                this.flow.isEmpty(false);
                this.fixed.isEmpty(true);
            }
            else if (newMode === 'Fixed') {
                this.flow.isEmpty(true);
                this.fixed.isEmpty(false);
            }
        }));
        if (!modelJson.hasOwnProperty('FixedDateTimePeriodLimit')) {
            if (!modelJson.hasOwnProperty('FlowDateTimePeriodLimit')) {
                this.mode('None');
            }
            else {
                this.mode('Flow');
            }
        }
        else {
            this.mode('Fixed');
        }
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            this.flow.argumentInterval(this.argumentInterval());
        }));
    }
    getInfo() {
        return _metadata_limit_container__WEBPACK_IMPORTED_MODULE_3__/* .limitContainer */ .vQ;
    }
    isEmpty() {
        return this.mode() === 'None';
    }
    getInterval() {
        if (this.mode() === 'Flow') {
            return this.flow.interval();
        }
        else {
            return null;
        }
    }
}


/***/ }),

/***/ 2210:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ pivotWindowDefinitionSerializationsInfo),
/* harmony export */   H: () => (/* binding */ pivotDefinitionMode)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let pivotDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Columns', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Columns': 'DashboardStringId.PivotCalculationAlongColumns',
        'Rows': 'DashboardStringId.PivotCalculationAlongRows',
        'ColumnsAndRows': 'DashboardStringId.PivotCalculationAlongColumnsAndRows',
        'RowsAndColumns': 'DashboardStringId.PivotCalculationAlongRowsAndColumns',
        'GroupsInColumns': 'DashboardStringId.PivotCalculationAlongGroupsInColumns',
        'GroupsInRows': 'DashboardStringId.PivotCalculationAlongGroupsInRows',
        'GroupsInColumnsAndRows': 'DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows',
        'GroupsInRowsAndColumns': 'DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns'
    }
};
let pivotWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([pivotDefinitionMode]);


/***/ }),

/***/ 2216:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S$: () => (/* binding */ RangeFilterSelection),
/* harmony export */   hF: () => (/* binding */ ItemState),
/* harmony export */   pg: () => (/* binding */ RangeFilterState),
/* harmony export */   sl: () => (/* binding */ DashboardState)
/* harmony export */ });
class DashboardState {
}
class RangeFilterSelection {
}
class RangeFilterState {
}
class ItemState {
}


/***/ }),

/***/ 2241:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ windowDefinitionSerializationsInfo)
/* harmony export */ });
let windowDefinitionSerializationsInfo = [];


/***/ }),

/***/ 2248:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H3: () => (/* binding */ geoPointMapDashboardItemBaseSerializationsInfo),
/* harmony export */   Sg: () => (/* binding */ enableClustering),
/* harmony export */   _P: () => (/* binding */ longitude),
/* harmony export */   zL: () => (/* binding */ tooltipDimensions),
/* harmony export */   zr: () => (/* binding */ latitude)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _map_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7069);



let latitude = { propertyName: '__latitude', modelName: 'Latitude', displayName: 'DashboardStringId.Latitude', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let longitude = { propertyName: '__longitude', modelName: 'Longitude', displayName: 'DashboardStringId.Longitude', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let tooltipDimensions = { propertyName: '__tooltipDimensions', modelName: 'TooltipDimensions', displayName: 'DashboardWebStringId.Map.TooltipDimensions', array: true };
let enableClustering = { propertyName: 'enableClustering', modelName: '@EnableClustering', displayName: 'DashboardWebStringId.GeoPointMapClusterization', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let geoPointMapDashboardItemBaseSerializationsInfo = _map_item__WEBPACK_IMPORTED_MODULE_2__/* .mapDashboardItemSerializationsInfo */ .dw.concat([latitude, longitude, tooltipDimensions, enableClustering]);


/***/ }),

/***/ 2251:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  FC: () => (/* binding */ cardItemFormatRuleSerializationsInfoBase),
  NT: () => (/* binding */ cardLayoutElement)
});

// UNUSED EXPORTS: layoutItemApplyTo

// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_card-format-rule-row-element.js
var _card_format_rule_row_element = __webpack_require__(9850);
;// ./dist/model/format-rules/card-format-rule-row-element.js



class CardFormatRuleRowElement extends serializable_model/* SerializableModel */.Lm {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _card_format_rule_row_element/* cardFormatRuleRowElementSerializationsInfo */.TI;
    }
}

// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_dashboard-item-format-rule.js
var _dashboard_item_format_rule = __webpack_require__(7540);
;// ./dist/model/format-rules/metadata/_card-item-format-rule-base.js



let layoutItemApplyTo = { propertyName: 'layoutItemApplyTo', modelName: '@LayoutItemApplyTo', displayName: 'DashboardStringId.FormatRuleApplyTo', defaultVal: 'Title' };
let cardLayoutElement = { propertyName: 'cardLayoutElement', modelName: 'CardFormatRuleLayoutElement', displayName: 'DashboardStringId.FormatRuleApplyTo', type: CardFormatRuleRowElement, info: _card_format_rule_row_element/* cardFormatRuleRowElementSerializationsInfo */.TI };
let cardItemFormatRuleSerializationsInfoBase = _dashboard_item_format_rule/* dashboardItemFormatRuleSerializationsInfo */.Qd.concat([cardLayoutElement, layoutItemApplyTo]);


/***/ }),

/***/ 2253:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ws: () => (/* binding */ getIndicatorDisplayNameFromSeries),
/* harmony export */   Ye: () => (/* binding */ getChartApplyToDataItems),
/* harmony export */   cJ: () => (/* binding */ getChartSeries),
/* harmony export */   "do": () => (/* binding */ getChartCFSeries),
/* harmony export */   k$: () => (/* binding */ getAvailableValueLevels)
/* harmony export */ });
/* unused harmony export getDefaultSeriesDataId */
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _designer_display_name_provider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7687);
/* harmony import */ var _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9508);
/* harmony import */ var _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7011);
/* harmony import */ var _items_chart_metadata_chart_indicators__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7576);






function getChartCFSeries(dashboardItem) {
    return []
        .concat(...dashboardItem.panes().map(pane => pane.series()))
        .filter(series => series._isConditionalFormattingSupported);
}
function getChartApplyToDataItems(dashboardItem, dataSourceBrowser, getChartSeries = getChartCFSeries) {
    return () => getChartSeries(dashboardItem).reduce((result, series) => {
        result.push({
            uniqueName: series._getDataId(),
            displayName: series.name() || (0,_designer_display_name_provider__WEBPACK_IMPORTED_MODULE_2__/* .getDataItemContainerDisplayName */ .A)(dataSourceBrowser, dashboardItem, series)
        });
        return result;
    }, []);
}
function getChartSeries(dashboardItem) {
    return []
        .concat(...dashboardItem.panes().map(pane => pane.series()));
}
function getAvailableValueLevels(seriesDataId, dashboardItem) {
    const series = getChartSeries(dashboardItem);
    const chosenSeries = series.filter(series => series._getDataId() === seriesDataId)[0];
    let availableValueLevels = [];
    switch (chosenSeries?.constructor) {
        case _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_3__/* .HighLowCloseSeries */ .cC:
            availableValueLevels = [_model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .low */ .R0, _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .high */ .$t, _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .close */ .VN];
            break;
        case _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_3__/* .OpenHighLowCloseSeries */ .o4:
            availableValueLevels = [_model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .open */ .ho, _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .low */ .R0, _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .high */ .$t, _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .close */ .VN];
            break;
        case _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_3__/* .SimpleSeries */ .K9:
        case _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_3__/* .WeightedSeries */ .HP:
        case _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_3__/* .RangeSeries */ .lr:
            availableValueLevels = [_model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_4__/* .chartSeriesValue */ .Hq];
            break;
    }
    return availableValueLevels.map(level => { return { value: level.modelName, displayValueId: level.displayName }; });
}
function getIndicatorDisplayNameFromSeries(model, dashboardItem, dataSourceBrowser) {
    let seriesDataId = model.value();
    let chosenSeriesName = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(getChartApplyToDataItems(dashboardItem, dataSourceBrowser, getChartSeries)()
        .filter(x => x.uniqueName === seriesDataId)[0]?.displayName);
    chosenSeriesName = chosenSeriesName + ' ' + (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_items_chart_metadata_chart_indicators__WEBPACK_IMPORTED_MODULE_5__/* .indicatorTypeMap */ .AD[model.itemType()]);
    return chosenSeriesName;
}
function getDefaultSeriesDataId(model, dashboardItem, dataSourceBrowser) {
    const seriesDataItems = ko.pureComputed(() => {
        const chartSeries = getChartApplyToDataItems(dashboardItem, dataSourceBrowser, getChartSeries)();
        return chartSeries.map((m) => ({ value: ko.unwrap(m.uniqueName), displayValueId: ko.unwrap(m.displayName) }));
    });
    const seriesDataItemNames = seriesDataItems().map(dataItem => ko.unwrap(dataItem.value));
    if (!model.value() && seriesDataItemNames.length) {
        model.value(seriesDataItemNames[0]);
    }
}


/***/ }),

/***/ 2262:
/***/ ((module) => {

module.exports = DevExpress.data.CustomStore;

/***/ }),

/***/ 2265:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ StyleSettingsBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3024);



class StyleSettingsBase extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_2__/* .styleSettingsBaseSerializationsInfo */ .i;
    }
    init() { }
    setSpecificType(type) {
    }
}


/***/ }),

/***/ 2323:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FN: () => (/* binding */ overlappingMode),
/* harmony export */   Fl: () => (/* binding */ showForZeroValues),
/* harmony export */   G1: () => (/* binding */ position),
/* harmony export */   IM: () => (/* binding */ contentType),
/* harmony export */   LD: () => (/* binding */ showPointLabels),
/* harmony export */   XN: () => (/* binding */ pointLabelOptionsBaseSerializationsInfo),
/* harmony export */   c3: () => (/* binding */ pointLabelOptionsSerializationsInfo),
/* harmony export */   pq: () => (/* binding */ pointLabelOrientation)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _enums__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4950);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4904);



let showPointLabels = { propertyName: 'showPointLabels', modelName: '@Visible', displayName: 'DashboardWebStringId.Chart.ShowPointLablels', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .parseBool */ .q6 };
let pointLabelOrientation = {
    propertyName: 'orientation', modelName: '@Orientation', displayName: 'DashboardWebStringId.Chart.Orientation', defaultVal: 'Default', simpleFormAdapterItem: 'listEditor', values: {
        'Default': 'DashboardWebStringId.Chart.Orientation.Default',
        'RotateRight': 'DashboardWebStringId.Chart.Orientation.RotateRight',
        'RotateLeft': 'DashboardWebStringId.Chart.Orientation.RotateLeft'
    }
};
let overlappingMode = {
    propertyName: 'overlappingMode', modelName: '@OverlappingMode', displayName: 'DashboardWebStringId.Chart.OverlappingMode', defaultVal: 'Hide', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Hide': 'DashboardWebStringId.Chart.OverlappingMode.Hide',
        'None': 'DashboardWebStringId.Chart.OverlappingMode.None'
    }
};
let pointLabelOptionsBaseSerializationsInfo = [showPointLabels, pointLabelOrientation, overlappingMode];
let showForZeroValues = { propertyName: 'showForZeroValues', modelName: '@ShowForZeroValues', displayName: 'DashboardWebStringId.Chart.ShowZeroValues', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .parseBool */ .q6 };
let position = {
    propertyName: 'position', modelName: '@Position', displayName: 'DashboardWebStringId.Chart.Position', defaultVal: 'Outside', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Outside': 'DashboardWebStringId.Chart.Position.Outside',
        'Inside': 'DashboardWebStringId.Chart.Position.Inside'
    }
};
let contentType = {
    propertyName: 'contentType', modelName: '@ContentType', displayName: 'DashboardWebStringId.Chart.Content', defaultVal: 'None',
    from: st => knockout__WEBPACK_IMPORTED_MODULE_0__.observable((0,_enums__WEBPACK_IMPORTED_MODULE_1__/* .parsePointLabelContentType */ .TR)(st)), toJsonObject: _enums__WEBPACK_IMPORTED_MODULE_1__/* .serializePointLabelContentType */ .uB
};
let pointLabelOptionsSerializationsInfo = pointLabelOptionsBaseSerializationsInfo.concat([showForZeroValues, position, contentType]);


/***/ }),

/***/ 2369:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GF: () => (/* binding */ cardSerializationsInfo),
/* harmony export */   Gi: () => (/* binding */ cardSparklineOptions),
/* harmony export */   ZM: () => (/* binding */ layoutTemplate),
/* harmony export */   bu: () => (/* binding */ cardDeltaOptions),
/* harmony export */   l5: () => (/* binding */ showSparkline)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5480);
/* harmony import */ var _options_delta_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8191);
/* harmony import */ var _options_sparkline_options__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7490);




let cardDeltaOptions = { propertyName: 'cardDeltaOptions', modelName: 'CardDeltaOptions', displayName: 'DashboardWebStringId.Grid.DeltaOptions', type: _options_delta_options__WEBPACK_IMPORTED_MODULE_2__/* .CardDeltaOptions */ .X };
let cardSparklineOptions = { propertyName: 'sparklineOptions', modelName: 'SparklineOptions', displayName: 'DashboardWebStringId.Card.SparklineOptions', type: _options_sparkline_options__WEBPACK_IMPORTED_MODULE_3__/* .SparklineOptions */ .C };
let showSparkline = { propertyName: 'showSparkline', modelName: '@ShowStartEndValues', displayName: 'DashboardWebStringId.Card.SparklineVisible', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let layoutTemplate = { propertyName: 'layoutTemplate', modelName: 'LayoutTemplate' };
let cardSerializationsInfo = _kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_1__/* .kpiElementSerializationsInfo */ .QS.concat([cardDeltaOptions, cardSparklineOptions, showSparkline, layoutTemplate]);


/***/ }),

/***/ 2383:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ specialValues)
/* harmony export */ });
let specialValues = {
    nullValueGuid: 'D86D8A6C-0D87-4CA4-9C15-3356A83699B5',
    othersValueGuid: '5821CCA5-303B-425D-909F-B8373FB7FAE3',
    olapNullValueGuid: '764E2930-72BE-4464-ACB6-4ADB205BD414',
    errorValueGuid: 'D7BB8881-C9F3-45E3-B370-2EA8E836FC5D'
};


/***/ }),

/***/ 2400:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ SeriesItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8588);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9692);
/* harmony import */ var _metadata_series_item__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8181);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






class SeriesItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__/* .DataDashboardItem */ .s {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.__seriesDimensions = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.seriesDimensions = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.__seriesDimensions((0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.SeriesDimensions, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer))());
        this._subscribeDataItemLinkArrays(_metadata_series_item__WEBPACK_IMPORTED_MODULE_5__/* .seriesDimensions */ .b);
    }
    _getInfoCore() {
        return _metadata_series_item__WEBPACK_IMPORTED_MODULE_5__/* .seriesDashboardItemSerializationsInfo */ .c;
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__seriesDimensions);
        this.__seriesDimensions.removeAll();
    }
    _getInteractivityDimensionLinks() {
        return this.__seriesDimensions();
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_3__/* .collectionItemType */ .s)('SeriesDimension')
], SeriesItem.prototype, "__seriesDimensions", void 0);


/***/ }),

/***/ 2456:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ itemDataAxisHelper)
/* harmony export */ });
/* harmony import */ var devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8231);
/* harmony import */ var devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__);

let itemDataAxisHelper = {
    eachPoint: function (point, _process) {
        var that = this, children = point.getChildren();
        if (_process(point) === false)
            return false;
        children.forEach(childPoint => {
            if (that.eachPoint(childPoint, _process) === false)
                return false;
        });
    },
    findFirstPoint: function (root, predicate) {
        var that = this, foundPoint = undefined;
        that.eachPoint(root, function (point) {
            var points = point.getAxisPath();
            if (predicate(points)) {
                foundPoint = point;
                return false;
            }
        });
        return foundPoint;
    },
    findFirstPointByUniqueValues: function (root, values) {
        var that = this;
        return that.findFirstPoint(root, function (points) {
            return that._equalPredicate(points, values, function (value, point) {
                return that._areEqual(value, point.getUniqueValue());
            });
        });
    },
    findFirstPointByValues: function (root, values) {
        var that = this;
        return that.findFirstPoint(root, function (points) {
            return that._equalPredicate(points, values, function (value, point) {
                return that._areEqual(value, point.getValue());
            });
        });
    },
    findFirstPointByUniqueValueAndDimension: function (root, value, dimensionId) {
        var that = this, foundPoint = undefined;
        that.eachPoint(root, function (point) {
            var dimension = point.getDimension();
            if (!!dimension && dimension.id === dimensionId && that._areEqual(value, point.getUniqueValue())) {
                foundPoint = point;
                return false;
            }
        });
        return foundPoint;
    },
    _areEqual: function (value1, value2) {
        return (0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__.toComparable)(value1, false) === (0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__.toComparable)(value2, false);
    },
    _equalPredicate: function (points, values, equal) {
        values = values || [];
        if (points.length != values.length)
            return false;
        var passes = true;
        values.forEach((value, index) => {
            passes = passes && equal(value, points[index]);
            return passes;
        });
        return passes;
    },
    forSamePoints: function (baseItem, item, process) {
        var that = this;
        process(baseItem, item);
        baseItem.getChildren().forEach(baseChild => {
            var child = that.findChildByUniqueValue(item, baseChild.getUniqueValue());
            if (child)
                that.forSamePoints(baseChild, child, process);
        });
    },
    findChildByUniqueValue: function (point, value) {
        var that = this, children = point.getChildren(), foundPoint = undefined;
        children.forEach(child => {
            if (that._areEqual(value, child.getUniqueValue())) {
                foundPoint = child;
                return false;
            }
        });
        return foundPoint;
    },
    getValuesByTuples: function (tuples, dimensionIds) {
        var values = [], dimensionCount = dimensionIds.length;
        tuples.forEach(tuple => {
            var value = [], axisPoint = tuple.getAxisPoint();
            while (axisPoint.getParent() != null) {
                value.push(axisPoint.getUniqueValue());
                if (dimensionCount == 1)
                    break;
                axisPoint = axisPoint.getParent();
            }
            value.reverse();
            values.push(value);
        });
        return values;
    }
};


/***/ }),

/***/ 2460:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ CURRENCIES)
/* harmony export */ });
var CURRENCIES = [{
        name: 'DJF',
        displayName: 'DJF (Djiboutian Franc)',
        cultures: [{
                name: 'aa-DJ',
                displayName: 'Afar (Djibouti)'
            }, {
                name: 'ar-DJ',
                displayName: 'Arabic (Djibouti)'
            }, {
                name: 'fr-DJ',
                displayName: 'French (Djibouti)'
            }, {
                name: 'so-DJ',
                displayName: 'Somali (Djibouti)'
            }]
    }, {
        name: 'ERN',
        displayName: 'ERN (Eritrean Nakfa)',
        cultures: [{
                name: 'aa-ER',
                displayName: 'Afar (Eritrea)'
            }, {
                name: 'ar-ER',
                displayName: 'Arabic (Eritrea)'
            }, {
                name: 'byn-ER',
                displayName: 'Blin (Eritrea)'
            }, {
                name: 'en-ER',
                displayName: 'English (Eritrea)'
            }, {
                name: 'ssy-ER',
                displayName: 'Saho (Eritrea)'
            }, {
                name: 'ti-ER',
                displayName: 'Tigrinya (Eritrea)'
            }, {
                name: 'tig-ER',
                displayName: 'Tigre (Eritrea)'
            }]
    }, {
        name: 'ETB',
        displayName: 'ETB (Ethiopian Birr)',
        cultures: [{
                name: 'aa-ET',
                displayName: 'Afar (Ethiopia)'
            }, {
                name: 'am-ET',
                displayName: 'Amharic (Ethiopia)'
            }, {
                name: 'om-ET',
                displayName: 'Oromo (Ethiopia)'
            }, {
                name: 'so-ET',
                displayName: 'Somali (Ethiopia)'
            }, {
                name: 'ti-ET',
                displayName: 'Tigrinya (Ethiopia)'
            }, {
                name: 'wal-ET',
                displayName: 'Wolaytta (Ethiopia)'
            }]
    }, {
        name: 'NAD',
        displayName: 'NAD (Namibian Dollar)',
        cultures: [{
                name: 'af-NA',
                displayName: 'Afrikaans (Namibia)'
            }, {
                name: 'en-NA',
                displayName: 'English (Namibia)'
            }, {
                name: 'naq-NA',
                displayName: 'Nama (Namibia)'
            }]
    }, {
        name: 'ZAR',
        displayName: 'ZAR (South African Rand)',
        cultures: [{
                name: 'af-ZA',
                displayName: 'Afrikaans (South Africa)'
            }, {
                name: 'en-LS',
                displayName: 'English (Lesotho)'
            }, {
                name: 'en-ZA',
                displayName: 'English (South Africa)'
            }, {
                name: 'nr-ZA',
                displayName: 'South Ndebele (South Africa)'
            }, {
                name: 'nso-ZA',
                displayName: 'Sesotho sa Leboa (South Africa)'
            }, {
                name: 'ss-ZA',
                displayName: 'Swati (South Africa)'
            }, {
                name: 'st-LS',
                displayName: 'Sesotho (Lesotho)'
            }, {
                name: 'st-ZA',
                displayName: 'Southern Sotho (South Africa)'
            }, {
                name: 'tn-ZA',
                displayName: 'Setswana (South Africa)'
            }, {
                name: 'ts-ZA',
                displayName: 'Tsonga (South Africa)'
            }, {
                name: 've-ZA',
                displayName: 'Venda (South Africa)'
            }, {
                name: 'xh-ZA',
                displayName: 'isiXhosa (South Africa)'
            }, {
                name: 'zu-ZA',
                displayName: 'isiZulu (South Africa)'
            }]
    }, {
        name: 'XAF',
        displayName: 'XAF (Central African CFA Franc)',
        cultures: [{
                name: 'agq-CM',
                displayName: 'Aghem (Cameroon)'
            }, {
                name: 'ar-TD',
                displayName: 'Arabic (Chad)'
            }, {
                name: 'bas-CM',
                displayName: 'Basaa (Cameroon)'
            }, {
                name: 'dua-CM',
                displayName: 'Duala (Cameroon)'
            }, {
                name: 'en-CM',
                displayName: 'English (Cameroon)'
            }, {
                name: 'es-GQ',
                displayName: 'Spanish (Equatorial Guinea)'
            }, {
                name: 'ewo-CM',
                displayName: 'Ewondo (Cameroon)'
            }, {
                name: 'ff-CM',
                displayName: 'Fulah (Cameroon)'
            }, {
                name: 'fr-CF',
                displayName: 'French (Central African Republic)'
            }, {
                name: 'fr-CG',
                displayName: 'French (Congo)'
            }, {
                name: 'fr-CM',
                displayName: 'French (Cameroon)'
            }, {
                name: 'fr-GA',
                displayName: 'French (Gabon)'
            }, {
                name: 'fr-GQ',
                displayName: 'French (Equatorial Guinea)'
            }, {
                name: 'fr-TD',
                displayName: 'French (Chad)'
            }, {
                name: 'jgo-CM',
                displayName: 'Ngomba (Cameroon)'
            }, {
                name: 'kkj-CM',
                displayName: 'Kako (Cameroon)'
            }, {
                name: 'ksf-CM',
                displayName: 'Bafia (Cameroon)'
            }, {
                name: 'ln-CF',
                displayName: 'Lingala (Central African Republic)'
            }, {
                name: 'ln-CG',
                displayName: 'Lingala (Congo)'
            }, {
                name: 'mgo-CM',
                displayName: "Meta' (Cameroon)"
            }, {
                name: 'mua-CM',
                displayName: 'Mundang (Cameroon)'
            }, {
                name: 'nmg-CM',
                displayName: 'Kwasio (Cameroon)'
            }, {
                name: 'nnh-CM',
                displayName: 'Ngiemboon (Cameroon)'
            }, {
                name: 'pt-GQ',
                displayName: 'Portuguese (Equatorial Guinea)'
            }, {
                name: 'sg-CF',
                displayName: 'Sango (Central African Republic)'
            }, {
                name: 'yav-CM',
                displayName: 'Yangben (Cameroon)'
            }]
    }, {
        name: 'GHS',
        displayName: 'GHS (Ghanaian Cedi)',
        cultures: [{
                name: 'ak-GH',
                displayName: 'Akan (Ghana)'
            }, {
                name: 'ee-GH',
                displayName: 'Ewe (Ghana)'
            }, {
                name: 'en-GH',
                displayName: 'English (Ghana)'
            }, {
                name: 'ha-Latn-GH',
                displayName: 'Hausa (Latin, Ghana)'
            }]
    }, {
        name: 'XDR',
        displayName: 'XDR (Special Drawing Rights)',
        cultures: [{
                name: 'ar-001',
                displayName: 'Arabic (World)'
            }, {
                name: 'en-001',
                displayName: 'English (World)'
            }, {
                name: 'en-150',
                displayName: 'English (Europe)'
            }, {
                name: 'eo-001',
                displayName: 'Esperanto (World)'
            }, {
                name: 'es-419',
                displayName: 'Spanish (Latin America)'
            }, {
                name: 'ia-001',
                displayName: 'Interlingua (World)'
            }, {
                name: 'la-001',
                displayName: 'Latin (World)'
            }, {
                name: 'prg-001',
                displayName: 'Prussian (World)'
            }, {
                name: 'vo-001',
                displayName: 'Volapük (World)'
            }, {
                name: 'yi-001',
                displayName: 'Yiddish (World)'
            }]
    }, {
        name: 'AED',
        displayName: 'AED (United Arab Emirates Dirham)',
        cultures: [{
                name: 'ar-AE',
                displayName: 'Arabic (U.A.E.)'
            }]
    }, {
        name: 'BHD',
        displayName: 'BHD (Bahraini Dinar)',
        cultures: [{
                name: 'ar-BH',
                displayName: 'Arabic (Bahrain)'
            }]
    }, {
        name: 'DZD',
        displayName: 'DZD (Algerian Dinar)',
        cultures: [{
                name: 'ar-DZ',
                displayName: 'Arabic (Algeria)'
            }, {
                name: 'fr-DZ',
                displayName: 'French (Algeria)'
            }, {
                name: 'kab-DZ',
                displayName: 'Kabyle (Algeria)'
            }, {
                name: 'tzm-Latn-DZ',
                displayName: 'Tamazight (Latin, Algeria)'
            }]
    }, {
        name: 'EGP',
        displayName: 'EGP (Egyptian Pound)',
        cultures: [{
                name: 'ar-EG',
                displayName: 'Arabic (Egypt)'
            }]
    }, {
        name: 'ILS',
        displayName: 'ILS (Israeli New Shekel)',
        cultures: [{
                name: 'ar-IL',
                displayName: 'Arabic (Israel)'
            }, {
                name: 'ar-PS',
                displayName: 'Arabic (Palestinian Authority)'
            }, {
                name: 'en-IL',
                displayName: 'English (Israel)'
            }, {
                name: 'he-IL',
                displayName: 'Hebrew (Israel)'
            }]
    }, {
        name: 'IQD',
        displayName: 'IQD (Iraqi Dinar)',
        cultures: [{
                name: 'ar-IQ',
                displayName: 'Arabic (Iraq)'
            }, {
                name: 'ku-Arab-IQ',
                displayName: 'Central Kurdish (Iraq)'
            }, {
                name: 'lrc-IQ',
                displayName: 'Northern Luri (Iraq)'
            }]
    }, {
        name: 'JOD',
        displayName: 'JOD (Jordanian Dinar)',
        cultures: [{
                name: 'ar-JO',
                displayName: 'Arabic (Jordan)'
            }]
    }, {
        name: 'KMF',
        displayName: 'KMF (Comorian Franc)',
        cultures: [{
                name: 'ar-KM',
                displayName: 'Arabic (Comoros)'
            }, {
                name: 'fr-KM',
                displayName: 'French (Comoros)'
            }]
    }, {
        name: 'KWD',
        displayName: 'KWD (Kuwaiti Dinar)',
        cultures: [{
                name: 'ar-KW',
                displayName: 'Arabic (Kuwait)'
            }]
    }, {
        name: 'LBP',
        displayName: 'LBP (Lebanese Pound)',
        cultures: [{
                name: 'ar-LB',
                displayName: 'Arabic (Lebanon)'
            }]
    }, {
        name: 'LYD',
        displayName: 'LYD (Libyan Dinar)',
        cultures: [{
                name: 'ar-LY',
                displayName: 'Arabic (Libya)'
            }]
    }, {
        name: 'MAD',
        displayName: 'MAD (Moroccan Dirham)',
        cultures: [{
                name: 'ar-MA',
                displayName: 'Arabic (Morocco)'
            }, {
                name: 'fr-MA',
                displayName: 'French (Morocco)'
            }, {
                name: 'shi-Latn-MA',
                displayName: 'Tachelhit (Latin, Morocco)'
            }, {
                name: 'shi-Tfng-MA',
                displayName: 'Tachelhit (Tifinagh, Morocco)'
            }, {
                name: 'tzm-Arab-MA',
                displayName: 'Central Atlas Tamazight (Arabic, Morocco)'
            }, {
                name: 'tzm-Latn-MA',
                displayName: 'Central Atlas Tamazight (Latin, Morocco)'
            }, {
                name: 'tzm-Tfng-MA',
                displayName: 'Central Atlas Tamazight (Tifinagh, Morocco)'
            }, {
                name: 'zgh-Tfng-MA',
                displayName: 'Standard Moroccan Tamazight (Tifinagh, Morocco)'
            }]
    }, {
        name: 'MRO',
        displayName: 'MRO (Mauritanian Ouguiya)',
        cultures: [{
                name: 'ar-MR',
                displayName: 'Arabic (Mauritania)'
            }, {
                name: 'ff-MR',
                displayName: 'Fulah (Mauritania)'
            }, {
                name: 'fr-MR',
                displayName: 'French (Mauritania)'
            }]
    }, {
        name: 'OMR',
        displayName: 'OMR (Omani Rial)',
        cultures: [{
                name: 'ar-OM',
                displayName: 'Arabic (Oman)'
            }]
    }, {
        name: 'QAR',
        displayName: 'QAR (Qatari Rial)',
        cultures: [{
                name: 'ar-QA',
                displayName: 'Arabic (Qatar)'
            }]
    }, {
        name: 'SAR',
        displayName: 'SAR (Saudi Riyal)',
        cultures: [{
                name: 'ar-SA',
                displayName: 'Arabic (Saudi Arabia)'
            }]
    }, {
        name: 'SDG',
        displayName: 'SDG (Sudanese Pound)',
        cultures: [{
                name: 'ar-SD',
                displayName: 'Arabic (Sudan)'
            }, {
                name: 'en-SD',
                displayName: 'English (Sudan)'
            }]
    }, {
        name: 'SOS',
        displayName: 'SOS (Somali Shilling)',
        cultures: [{
                name: 'ar-SO',
                displayName: 'Arabic (Somalia)'
            }, {
                name: 'so-SO',
                displayName: 'Somali (Somalia)'
            }]
    }, {
        name: 'SSP',
        displayName: 'SSP (South Sudanese Pound)',
        cultures: [{
                name: 'ar-SS',
                displayName: 'Arabic (South Sudan)'
            }, {
                name: 'en-SS',
                displayName: 'English (South Sudan)'
            }, {
                name: 'nus-SS',
                displayName: 'Nuer (South Sudan)'
            }]
    }, {
        name: 'SYP',
        displayName: 'SYP (Syrian Pound)',
        cultures: [{
                name: 'ar-SY',
                displayName: 'Arabic (Syria)'
            }, {
                name: 'fr-SY',
                displayName: 'French (Syria)'
            }, {
                name: 'syr-SY',
                displayName: 'Syriac (Syria)'
            }]
    }, {
        name: 'TND',
        displayName: 'TND (Tunisian Dinar)',
        cultures: [{
                name: 'ar-TN',
                displayName: 'Arabic (Tunisia)'
            }, {
                name: 'fr-TN',
                displayName: 'French (Tunisia)'
            }]
    }, {
        name: 'YER',
        displayName: 'YER (Yemeni Rial)',
        cultures: [{
                name: 'ar-YE',
                displayName: 'Arabic (Yemen)'
            }]
    }, {
        name: 'CLP',
        displayName: 'CLP (Chilean Peso)',
        cultures: [{
                name: 'arn-CL',
                displayName: 'Mapudungun (Chile)'
            }, {
                name: 'es-CL',
                displayName: 'Spanish (Chile)'
            }]
    }, {
        name: 'INR',
        displayName: 'INR (Indian Rupee)',
        cultures: [{
                name: 'as-IN',
                displayName: 'Assamese (India)'
            }, {
                name: 'bn-IN',
                displayName: 'Bangla (India)'
            }, {
                name: 'bo-IN',
                displayName: 'Tibetan (India)'
            }, {
                name: 'brx-IN',
                displayName: 'Bodo (India)'
            }, {
                name: 'en-IN',
                displayName: 'English (India)'
            }, {
                name: 'gu-IN',
                displayName: 'Gujarati (India)'
            }, {
                name: 'hi-IN',
                displayName: 'Hindi (India)'
            }, {
                name: 'kn-IN',
                displayName: 'Kannada (India)'
            }, {
                name: 'kok-IN',
                displayName: 'Konkani (India)'
            }, {
                name: 'ks-Arab-IN',
                displayName: 'Kashmiri (Perso-Arabic)'
            }, {
                name: 'ks-Deva-IN',
                displayName: 'Kashmiri (Devanagari, India)'
            }, {
                name: 'ml-IN',
                displayName: 'Malayalam (India)'
            }, {
                name: 'mni-IN',
                displayName: 'Manipuri (India)'
            }, {
                name: 'mr-IN',
                displayName: 'Marathi (India)'
            }, {
                name: 'ne-IN',
                displayName: 'Nepali (India)'
            }, {
                name: 'or-IN',
                displayName: 'Odia (India)'
            }, {
                name: 'pa-IN',
                displayName: 'Punjabi (India)'
            }, {
                name: 'sa-IN',
                displayName: 'Sanskrit (India)'
            }, {
                name: 'sd-Deva-IN',
                displayName: 'Sindhi (Devanagari, India)'
            }, {
                name: 'ta-IN',
                displayName: 'Tamil (India)'
            }, {
                name: 'te-IN',
                displayName: 'Telugu (India)'
            }, {
                name: 'ur-IN',
                displayName: 'Urdu (India)'
            }]
    }, {
        name: 'TZS',
        displayName: 'TZS (Tanzanian Shilling)',
        cultures: [{
                name: 'asa-TZ',
                displayName: 'Asu (Tanzania)'
            }, {
                name: 'bez-TZ',
                displayName: 'Bena (Tanzania)'
            }, {
                name: 'en-TZ',
                displayName: 'English (Tanzania)'
            }, {
                name: 'jmc-TZ',
                displayName: 'Machame (Tanzania)'
            }, {
                name: 'kde-TZ',
                displayName: 'Makonde (Tanzania)'
            }, {
                name: 'ksb-TZ',
                displayName: 'Shambala (Tanzania)'
            }, {
                name: 'lag-TZ',
                displayName: 'Langi (Tanzania)'
            }, {
                name: 'mas-TZ',
                displayName: 'Masai (Tanzania)'
            }, {
                name: 'rof-TZ',
                displayName: 'Rombo (Tanzania)'
            }, {
                name: 'rwk-TZ',
                displayName: 'Rwa (Tanzania)'
            }, {
                name: 'sbp-TZ',
                displayName: 'Sangu (Tanzania)'
            }, {
                name: 'sw-TZ',
                displayName: 'Kiswahili (Tanzania)'
            }, {
                name: 'vun-TZ',
                displayName: 'Vunjo (Tanzania)'
            }]
    }, {
        name: 'EUR',
        displayName: 'EUR (Euro)',
        cultures: [{
                name: 'ast-ES',
                displayName: 'Asturian (Spain)'
            }, {
                name: 'br-FR',
                displayName: 'Breton (France)'
            }, {
                name: 'ca-AD',
                displayName: 'Catalan (Andorra)'
            }, {
                name: 'ca-ES',
                displayName: 'Catalan (Catalan)'
            }, {
                name: 'ca-ES-valencia',
                displayName: 'Valencian (Spain)'
            }, {
                name: 'ca-FR',
                displayName: 'Catalan (France)'
            }, {
                name: 'ca-IT',
                displayName: 'Catalan (Italy)'
            }, {
                name: 'co-FR',
                displayName: 'Corsican (France)'
            }, {
                name: 'de-AT',
                displayName: 'German (Austria)'
            }, {
                name: 'de-BE',
                displayName: 'German (Belgium)'
            }, {
                name: 'de-DE',
                displayName: 'German (Germany)'
            }, {
                name: 'de-IT',
                displayName: 'German (Italy)'
            }, {
                name: 'de-LU',
                displayName: 'German (Luxembourg)'
            }, {
                name: 'dsb-DE',
                displayName: 'Lower Sorbian (Germany)'
            }, {
                name: 'el-CY',
                displayName: 'Greek (Cyprus)'
            }, {
                name: 'el-GR',
                displayName: 'Greek (Greece)'
            }, {
                name: 'en-AT',
                displayName: 'English (Austria)'
            }, {
                name: 'en-BE',
                displayName: 'English (Belgium)'
            }, {
                name: 'en-CY',
                displayName: 'English (Cyprus)'
            }, {
                name: 'en-DE',
                displayName: 'English (Germany)'
            }, {
                name: 'en-FI',
                displayName: 'English (Finland)'
            }, {
                name: 'en-IE',
                displayName: 'English (Ireland)'
            }, {
                name: 'en-MT',
                displayName: 'English (Malta)'
            }, {
                name: 'en-NL',
                displayName: 'English (Netherlands)'
            }, {
                name: 'en-SI',
                displayName: 'English (Slovenia)'
            }, {
                name: 'es-ES',
                displayName: 'Spanish (Spain)'
            }, {
                name: 'et-EE',
                displayName: 'Estonian (Estonia)'
            }, {
                name: 'eu-ES',
                displayName: 'Basque (Basque)'
            }, {
                name: 'fi-FI',
                displayName: 'Finnish (Finland)'
            }, {
                name: 'fr-BE',
                displayName: 'French (Belgium)'
            }, {
                name: 'fr-BL',
                displayName: 'French (Saint Barthélemy)'
            }, {
                name: 'fr-FR',
                displayName: 'French (France)'
            }, {
                name: 'fr-GF',
                displayName: 'French (French Guiana)'
            }, {
                name: 'fr-GP',
                displayName: 'French (Guadeloupe)'
            }, {
                name: 'fr-LU',
                displayName: 'French (Luxembourg)'
            }, {
                name: 'fr-MC',
                displayName: 'French (Monaco)'
            }, {
                name: 'fr-MF',
                displayName: 'French (Saint Martin)'
            }, {
                name: 'fr-MQ',
                displayName: 'French (Martinique)'
            }, {
                name: 'fr-PM',
                displayName: 'French (Saint Pierre and Miquelon)'
            }, {
                name: 'fr-RE',
                displayName: 'French (Reunion)'
            }, {
                name: 'fr-YT',
                displayName: 'French (Mayotte)'
            }, {
                name: 'fur-IT',
                displayName: 'Friulian (Italy)'
            }, {
                name: 'fy-NL',
                displayName: 'Frisian (Netherlands)'
            }, {
                name: 'ga-IE',
                displayName: 'Irish (Ireland)'
            }, {
                name: 'gl-ES',
                displayName: 'Galician (Galician)'
            }, {
                name: 'gsw-FR',
                displayName: 'Alsatian (France)'
            }, {
                name: 'hsb-DE',
                displayName: 'Upper Sorbian (Germany)'
            }, {
                name: 'ia-FR',
                displayName: 'Interlingua (France)'
            }, {
                name: 'it-IT',
                displayName: 'Italian (Italy)'
            }, {
                name: 'it-SM',
                displayName: 'Italian (San Marino)'
            }, {
                name: 'it-VA',
                displayName: 'Italian (Vatican City)'
            }, {
                name: 'ksh-DE',
                displayName: 'Ripuarian (Germany)'
            }, {
                name: 'lb-LU',
                displayName: 'Luxembourgish (Luxembourg)'
            }, {
                name: 'lt-LT',
                displayName: 'Lithuanian (Lithuania)'
            }, {
                name: 'lv-LV',
                displayName: 'Latvian (Latvia)'
            }, {
                name: 'mt-MT',
                displayName: 'Maltese (Malta)'
            }, {
                name: 'nds-DE',
                displayName: 'Low German (Germany)'
            }, {
                name: 'nds-NL',
                displayName: 'Low German (Netherlands)'
            }, {
                name: 'nl-BE',
                displayName: 'Dutch (Belgium)'
            }, {
                name: 'nl-NL',
                displayName: 'Dutch (Netherlands)'
            }, {
                name: 'oc-FR',
                displayName: 'Occitan (France)'
            }, {
                name: 'pt-LU',
                displayName: 'Portuguese (Luxembourg)'
            }, {
                name: 'pt-PT',
                displayName: 'Portuguese (Portugal)'
            }, {
                name: 'se-FI',
                displayName: 'Sami, Northern (Finland)'
            }, {
                name: 'sk-SK',
                displayName: 'Slovak (Slovakia)'
            }, {
                name: 'sl-SI',
                displayName: 'Slovenian (Slovenia)'
            }, {
                name: 'smn-FI',
                displayName: 'Sami, Inari (Finland)'
            }, {
                name: 'sms-FI',
                displayName: 'Sami, Skolt (Finland)'
            }, {
                name: 'sq-XK',
                displayName: 'Albanian (Kosovo)'
            }, {
                name: 'sr-Cyrl-ME',
                displayName: 'Serbian (Cyrillic, Montenegro)'
            }, {
                name: 'sr-Cyrl-XK',
                displayName: 'Serbian (Cyrillic, Kosovo)'
            }, {
                name: 'sr-Latn-ME',
                displayName: 'Serbian (Latin, Montenegro)'
            }, {
                name: 'sr-Latn-XK',
                displayName: 'Serbian (Latin, Kosovo)'
            }, {
                name: 'sv-AX',
                displayName: 'Swedish (Åland Islands)'
            }, {
                name: 'sv-FI',
                displayName: 'Swedish (Finland)'
            }, {
                name: 'tr-CY',
                displayName: 'Turkish (Cyprus)'
            }]
    }, {
        name: 'AZN',
        displayName: 'AZN (Azerbaijani Manat)',
        cultures: [{
                name: 'az-Cyrl-AZ',
                displayName: 'Azerbaijani (Cyrillic, Azerbaijan)'
            }, {
                name: 'az-Latn-AZ',
                displayName: 'Azerbaijani (Latin, Azerbaijan)'
            }]
    }, {
        name: 'RUB',
        displayName: 'RUB (Russian Ruble)',
        cultures: [{
                name: 'ba-RU',
                displayName: 'Bashkir (Russia)'
            }, {
                name: 'ce-RU',
                displayName: 'Chechen (Russia)'
            }, {
                name: 'cu-RU',
                displayName: 'Church Slavic (Russia)'
            }, {
                name: 'os-RU',
                displayName: 'Ossetian (Cyrillic, Russia)'
            }, {
                name: 'ru-RU',
                displayName: 'Russian (Russia)'
            }, {
                name: 'sah-RU',
                displayName: 'Sakha (Russia)'
            }, {
                name: 'tt-RU',
                displayName: 'Tatar (Russia)'
            }]
    }, {
        name: 'BYN',
        displayName: 'BYN (Belarusian Ruble)',
        cultures: [{
                name: 'be-BY',
                displayName: 'Belarusian (Belarus)'
            }, {
                name: 'ru-BY',
                displayName: 'Russian (Belarus)'
            }]
    }, {
        name: 'ZMW',
        displayName: 'ZMW (Zambian Kwacha)',
        cultures: [{
                name: 'bem-ZM',
                displayName: 'Bemba (Zambia)'
            }, {
                name: 'en-ZM',
                displayName: 'English (Zambia)'
            }]
    }, {
        name: 'BGN',
        displayName: 'BGN (Bulgarian Lev)',
        cultures: [{
                name: 'bg-BG',
                displayName: 'Bulgarian (Bulgaria)'
            }]
    }, {
        name: 'NGN',
        displayName: 'NGN (Nigerian Naira)',
        cultures: [{
                name: 'bin-NG',
                displayName: 'Edo (Nigeria)'
            }, {
                name: 'en-NG',
                displayName: 'English (Nigeria)'
            }, {
                name: 'ff-NG',
                displayName: 'Fulah (Nigeria)'
            }, {
                name: 'ha-Latn-NG',
                displayName: 'Hausa (Latin, Nigeria)'
            }, {
                name: 'ibb-NG',
                displayName: 'Ibibio (Nigeria)'
            }, {
                name: 'ig-NG',
                displayName: 'Igbo (Nigeria)'
            }, {
                name: 'kr-NG',
                displayName: 'Kanuri (Nigeria)'
            }, {
                name: 'yo-NG',
                displayName: 'Yoruba (Nigeria)'
            }]
    }, {
        name: 'XOF',
        displayName: 'XOF (West African CFA Franc)',
        cultures: [{
                name: 'bm-Latn-ML',
                displayName: 'Bambara (Latin, Mali)'
            }, {
                name: 'dje-NE',
                displayName: 'Zarma (Niger)'
            }, {
                name: 'dyo-SN',
                displayName: 'Jola-Fonyi (Senegal)'
            }, {
                name: 'ee-TG',
                displayName: 'Ewe (Togo)'
            }, {
                name: 'ff-Latn-SN',
                displayName: 'Fulah (Latin, Senegal)'
            }, {
                name: 'fr-BF',
                displayName: 'French (Burkina Faso)'
            }, {
                name: 'fr-BJ',
                displayName: 'French (Benin)'
            }, {
                name: 'fr-CI',
                displayName: 'French (Côte d’Ivoire)'
            }, {
                name: 'fr-ML',
                displayName: 'French (Mali)'
            }, {
                name: 'fr-NE',
                displayName: 'French (Niger)'
            }, {
                name: 'fr-SN',
                displayName: 'French (Senegal)'
            }, {
                name: 'fr-TG',
                displayName: 'French (Togo)'
            }, {
                name: 'ha-Latn-NE',
                displayName: 'Hausa (Latin, Niger)'
            }, {
                name: 'khq-ML',
                displayName: 'Koyra Chiini (Mali)'
            }, {
                name: 'pt-GW',
                displayName: 'Portuguese (Guinea-Bissau)'
            }, {
                name: 'ses-ML',
                displayName: 'Koyraboro Senni (Mali)'
            }, {
                name: 'twq-NE',
                displayName: 'Tasawaq (Niger)'
            }, {
                name: 'wo-SN',
                displayName: 'Wolof (Senegal)'
            }, {
                name: 'yo-BJ',
                displayName: 'Yoruba (Benin)'
            }]
    }, {
        name: 'BDT',
        displayName: 'BDT (Bangladeshi Taka)',
        cultures: [{
                name: 'bn-BD',
                displayName: 'Bangla (Bangladesh)'
            }]
    }, {
        name: 'CNY',
        displayName: 'CNY (Chinese Yuan)',
        cultures: [{
                name: 'bo-CN',
                displayName: 'Tibetan (PRC)'
            }, {
                name: 'ii-CN',
                displayName: 'Yi (PRC)'
            }, {
                name: 'mn-Mong-CN',
                displayName: 'Mongolian (Traditional Mongolian, PRC)'
            }, {
                name: 'ug-CN',
                displayName: 'Uyghur (PRC)'
            }, {
                name: 'zh-CN',
                displayName: 'Chinese (Simplified, PRC)'
            }]
    }, {
        name: 'BAM',
        displayName: 'BAM (Bosnia-Herzegovina Convertible Mark)',
        cultures: [{
                name: 'bs-Cyrl-BA',
                displayName: 'Bosnian (Cyrillic, Bosnia and Herzegovina)'
            }, {
                name: 'bs-Latn-BA',
                displayName: 'Bosnian (Latin, Bosnia and Herzegovina)'
            }, {
                name: 'hr-BA',
                displayName: 'Croatian (Latin, Bosnia and Herzegovina)'
            }, {
                name: 'sr-Cyrl-BA',
                displayName: 'Serbian (Cyrillic, Bosnia and Herzegovina)'
            }, {
                name: 'sr-Latn-BA',
                displayName: 'Serbian (Latin, Bosnia and Herzegovina)'
            }]
    }, {
        name: 'UGX',
        displayName: 'UGX (Ugandan Shilling)',
        cultures: [{
                name: 'cgg-UG',
                displayName: 'Chiga (Uganda)'
            }, {
                name: 'en-UG',
                displayName: 'English (Uganda)'
            }, {
                name: 'lg-UG',
                displayName: 'Ganda (Uganda)'
            }, {
                name: 'nyn-UG',
                displayName: 'Nyankole (Uganda)'
            }, {
                name: 'sw-UG',
                displayName: 'Kiswahili (Uganda)'
            }, {
                name: 'teo-UG',
                displayName: 'Teso (Uganda)'
            }, {
                name: 'xog-UG',
                displayName: 'Soga (Uganda)'
            }]
    }, {
        name: 'USD',
        displayName: 'USD (US Dollar)',
        cultures: [{
                name: 'chr-Cher-US',
                displayName: 'Cherokee (Cherokee)'
            }, {
                name: 'en-AS',
                displayName: 'English (American Samoa)'
            }, {
                name: 'en-FM',
                displayName: 'English (Micronesia)'
            }, {
                name: 'en-GU',
                displayName: 'English (Guam)'
            }, {
                name: 'en-IO',
                displayName: 'English (British Indian Ocean Territory)'
            }, {
                name: 'en-MH',
                displayName: 'English (Marshall Islands)'
            }, {
                name: 'en-MP',
                displayName: 'English (Northern Mariana Islands)'
            }, {
                name: 'en-PR',
                displayName: 'English (Puerto Rico)'
            }, {
                name: 'en-PW',
                displayName: 'English (Palau)'
            }, {
                name: 'en-TC',
                displayName: 'English (Turks and Caicos Islands)'
            }, {
                name: 'en-UM',
                displayName: 'English (US Minor Outlying Islands)'
            }, {
                name: 'en-US',
                displayName: 'English (United States)'
            }, {
                name: 'en-VG',
                displayName: 'English (British Virgin Islands)'
            }, {
                name: 'en-VI',
                displayName: 'English (US Virgin Islands)'
            }, {
                name: 'en-ZW',
                displayName: 'English (Zimbabwe)'
            }, {
                name: 'es-EC',
                displayName: 'Spanish (Ecuador)'
            }, {
                name: 'es-PR',
                displayName: 'Spanish (Puerto Rico)'
            }, {
                name: 'es-SV',
                displayName: 'Spanish (El Salvador)'
            }, {
                name: 'es-US',
                displayName: 'Spanish (United States)'
            }, {
                name: 'haw-US',
                displayName: 'Hawaiian (United States)'
            }, {
                name: 'lkt-US',
                displayName: 'Lakota (United States)'
            }, {
                name: 'nd-ZW',
                displayName: 'North Ndebele (Zimbabwe)'
            }, {
                name: 'nl-BQ',
                displayName: 'Dutch (Bonaire, Sint Eustatius and Saba)'
            }, {
                name: 'pap-029',
                displayName: 'Papiamento (Caribbean)'
            }, {
                name: 'pt-TL',
                displayName: 'Portuguese (Timor-Leste)'
            }, {
                name: 'quz-EC',
                displayName: 'Quechua (Ecuador)'
            }, {
                name: 'sn-Latn-ZW',
                displayName: 'Shona (Latin, Zimbabwe)'
            }]
    }, {
        name: 'CZK',
        displayName: 'CZK (Czech Koruna)',
        cultures: [{
                name: 'cs-CZ',
                displayName: 'Czech (Czech Republic)'
            }]
    }, {
        name: 'GBP',
        displayName: 'GBP (British Pound)',
        cultures: [{
                name: 'cy-GB',
                displayName: 'Welsh (United Kingdom)'
            }, {
                name: 'en-GB',
                displayName: 'English (United Kingdom)'
            }, {
                name: 'en-GG',
                displayName: 'English (Guernsey)'
            }, {
                name: 'en-IM',
                displayName: 'English (Isle of Man)'
            }, {
                name: 'en-JE',
                displayName: 'English (Jersey)'
            }, {
                name: 'gd-GB',
                displayName: 'Scottish Gaelic (United Kingdom)'
            }, {
                name: 'gv-IM',
                displayName: 'Manx (Isle of Man)'
            }, {
                name: 'kw-GB',
                displayName: 'Cornish (United Kingdom)'
            }]
    }, {
        name: 'DKK',
        displayName: 'DKK (Danish Krone)',
        cultures: [{
                name: 'da-DK',
                displayName: 'Danish (Denmark)'
            }, {
                name: 'da-GL',
                displayName: 'Danish (Greenland)'
            }, {
                name: 'en-DK',
                displayName: 'English (Denmark)'
            }, {
                name: 'fo-DK',
                displayName: 'Faroese (Denmark)'
            }, {
                name: 'fo-FO',
                displayName: 'Faroese (Faroe Islands)'
            }, {
                name: 'kl-GL',
                displayName: 'Greenlandic (Greenland)'
            }]
    }, {
        name: 'KES',
        displayName: 'KES (Kenyan Shilling)',
        cultures: [{
                name: 'dav-KE',
                displayName: 'Taita (Kenya)'
            }, {
                name: 'ebu-KE',
                displayName: 'Embu (Kenya)'
            }, {
                name: 'en-KE',
                displayName: 'English (Kenya)'
            }, {
                name: 'guz-KE',
                displayName: 'Gusii (Kenya)'
            }, {
                name: 'kam-KE',
                displayName: 'Kamba (Kenya)'
            }, {
                name: 'ki-KE',
                displayName: 'Kikuyu (Kenya)'
            }, {
                name: 'kln-KE',
                displayName: 'Kalenjin (Kenya)'
            }, {
                name: 'luo-KE',
                displayName: 'Luo (Kenya)'
            }, {
                name: 'luy-KE',
                displayName: 'Luyia (Kenya)'
            }, {
                name: 'mas-KE',
                displayName: 'Masai (Kenya)'
            }, {
                name: 'mer-KE',
                displayName: 'Meru (Kenya)'
            }, {
                name: 'om-KE',
                displayName: 'Oromo (Kenya)'
            }, {
                name: 'saq-KE',
                displayName: 'Samburu (Kenya)'
            }, {
                name: 'so-KE',
                displayName: 'Somali (Kenya)'
            }, {
                name: 'sw-KE',
                displayName: 'Kiswahili (Kenya)'
            }, {
                name: 'teo-KE',
                displayName: 'Teso (Kenya)'
            }]
    }, {
        name: 'CHF',
        displayName: 'CHF (Swiss Franc)',
        cultures: [{
                name: 'de-CH',
                displayName: 'German (Switzerland)'
            }, {
                name: 'de-LI',
                displayName: 'German (Liechtenstein)'
            }, {
                name: 'en-CH',
                displayName: 'English (Switzerland)'
            }, {
                name: 'fr-CH',
                displayName: 'French (Switzerland)'
            }, {
                name: 'gsw-CH',
                displayName: 'Alsatian (Switzerland)'
            }, {
                name: 'gsw-LI',
                displayName: 'Alsatian (Liechtenstein)'
            }, {
                name: 'it-CH',
                displayName: 'Italian (Switzerland)'
            }, {
                name: 'pt-CH',
                displayName: 'Portuguese (Switzerland)'
            }, {
                name: 'rm-CH',
                displayName: 'Romansh (Switzerland)'
            }, {
                name: 'wae-CH',
                displayName: 'Walser (Switzerland)'
            }]
    }, {
        name: 'MVR',
        displayName: 'MVR (Maldivian Rufiyaa)',
        cultures: [{
                name: 'dv-MV',
                displayName: 'Divehi (Maldives)'
            }]
    }, {
        name: 'BTN',
        displayName: 'BTN (Bhutanese Ngultrum)',
        cultures: [{
                name: 'dz-BT',
                displayName: 'Dzongkha (Bhutan)'
            }]
    }, {
        name: 'XCD',
        displayName: 'XCD (Eastern Caribbean Dollar)',
        cultures: [{
                name: 'en-029',
                displayName: 'English (Caribbean)'
            }, {
                name: 'fr-029',
                displayName: 'French (Caribbean)'
            }]
    }, {
        name: 'XCD',
        displayName: 'XCD (East Caribbean Dollar)',
        cultures: [{
                name: 'en-AG',
                displayName: 'English (Antigua and Barbuda)'
            }, {
                name: 'en-AI',
                displayName: 'English (Anguilla)'
            }, {
                name: 'en-DM',
                displayName: 'English (Dominica)'
            }, {
                name: 'en-GD',
                displayName: 'English (Grenada)'
            }, {
                name: 'en-KN',
                displayName: 'English (Saint Kitts and Nevis)'
            }, {
                name: 'en-LC',
                displayName: 'English (Saint Lucia)'
            }, {
                name: 'en-MS',
                displayName: 'English (Montserrat)'
            }, {
                name: 'en-VC',
                displayName: 'English (Saint Vincent and the Grenadines)'
            }]
    }, {
        name: 'AUD',
        displayName: 'AUD (Australian Dollar)',
        cultures: [{
                name: 'en-AU',
                displayName: 'English (Australia)'
            }, {
                name: 'en-CC',
                displayName: 'English (Cocos [Keeling] Islands)'
            }, {
                name: 'en-CX',
                displayName: 'English (Christmas Island)'
            }, {
                name: 'en-KI',
                displayName: 'English (Kiribati)'
            }, {
                name: 'en-NF',
                displayName: 'English (Norfolk Island)'
            }, {
                name: 'en-NR',
                displayName: 'English (Nauru)'
            }, {
                name: 'en-TV',
                displayName: 'English (Tuvalu)'
            }]
    }, {
        name: 'BBD',
        displayName: 'BBD (Barbadian Dollar)',
        cultures: [{
                name: 'en-BB',
                displayName: 'English (Barbados)'
            }]
    }, {
        name: 'BIF',
        displayName: 'BIF (Burundian Franc)',
        cultures: [{
                name: 'en-BI',
                displayName: 'English (Burundi)'
            }, {
                name: 'fr-BI',
                displayName: 'French (Burundi)'
            }, {
                name: 'rn-BI',
                displayName: 'Rundi (Burundi)'
            }]
    }, {
        name: 'BMD',
        displayName: 'BMD (Bermudan Dollar)',
        cultures: [{
                name: 'en-BM',
                displayName: 'English (Bermuda)'
            }]
    }, {
        name: 'BSD',
        displayName: 'BSD (Bahamian Dollar)',
        cultures: [{
                name: 'en-BS',
                displayName: 'English (Bahamas)'
            }]
    }, {
        name: 'BWP',
        displayName: 'BWP (Botswanan Pula)',
        cultures: [{
                name: 'en-BW',
                displayName: 'English (Botswana)'
            }, {
                name: 'tn-BW',
                displayName: 'Setswana (Botswana)'
            }]
    }, {
        name: 'BZD',
        displayName: 'BZD (Belize Dollar)',
        cultures: [{
                name: 'en-BZ',
                displayName: 'English (Belize)'
            }, {
                name: 'es-BZ',
                displayName: 'Spanish (Belize)'
            }]
    }, {
        name: 'CAD',
        displayName: 'CAD (Canadian Dollar)',
        cultures: [{
                name: 'en-CA',
                displayName: 'English (Canada)'
            }, {
                name: 'fr-CA',
                displayName: 'French (Canada)'
            }, {
                name: 'iu-Cans-CA',
                displayName: 'Inuktitut (Syllabics, Canada)'
            }, {
                name: 'iu-Latn-CA',
                displayName: 'Inuktitut (Latin, Canada)'
            }, {
                name: 'moh-CA',
                displayName: 'Mohawk (Mohawk)'
            }]
    }, {
        name: 'NZD',
        displayName: 'NZD (New Zealand Dollar)',
        cultures: [{
                name: 'en-CK',
                displayName: 'English (Cook Islands)'
            }, {
                name: 'en-NU',
                displayName: 'English (Niue)'
            }, {
                name: 'en-NZ',
                displayName: 'English (New Zealand)'
            }, {
                name: 'en-PN',
                displayName: 'English (Pitcairn Islands)'
            }, {
                name: 'en-TK',
                displayName: 'English (Tokelau)'
            }, {
                name: 'mi-NZ',
                displayName: 'Maori (New Zealand)'
            }]
    }, {
        name: 'FJD',
        displayName: 'FJD (Fijian Dollar)',
        cultures: [{
                name: 'en-FJ',
                displayName: 'English (Fiji)'
            }]
    }, {
        name: 'FKP',
        displayName: 'FKP (Falkland Islands Pound)',
        cultures: [{
                name: 'en-FK',
                displayName: 'English (Falkland Islands)'
            }]
    }, {
        name: 'GIP',
        displayName: 'GIP (Gibraltar Pound)',
        cultures: [{
                name: 'en-GI',
                displayName: 'English (Gibraltar)'
            }]
    }, {
        name: 'GMD',
        displayName: 'GMD (Gambian Dalasi)',
        cultures: [{
                name: 'en-GM',
                displayName: 'English (Gambia)'
            }]
    }, {
        name: 'GYD',
        displayName: 'GYD (Guyanaese Dollar)',
        cultures: [{
                name: 'en-GY',
                displayName: 'English (Guyana)'
            }]
    }, {
        name: 'HKD',
        displayName: 'HKD (Hong Kong Dollar)',
        cultures: [{
                name: 'en-HK',
                displayName: 'English (Hong Kong SAR)'
            }, {
                name: 'zh-Hans-HK',
                displayName: 'Chinese (Simplified Han, Hong Kong SAR)'
            }, {
                name: 'zh-HK',
                displayName: 'Chinese (Traditional, Hong Kong S.A.R.)'
            }]
    }, {
        name: 'IDR',
        displayName: 'IDR (Indonesian Rupiah)',
        cultures: [{
                name: 'en-ID',
                displayName: 'English (Indonesia)'
            }, {
                name: 'id-ID',
                displayName: 'Indonesian (Indonesia)'
            }, {
                name: 'jv-Java-ID',
                displayName: 'Javanese (Javanese, Indonesia)'
            }, {
                name: 'jv-Latn-ID',
                displayName: 'Javanese (Indonesia)'
            }]
    }, {
        name: 'JMD',
        displayName: 'JMD (Jamaican Dollar)',
        cultures: [{
                name: 'en-JM',
                displayName: 'English (Jamaica)'
            }]
    }, {
        name: 'KYD',
        displayName: 'KYD (Cayman Islands Dollar)',
        cultures: [{
                name: 'en-KY',
                displayName: 'English (Cayman Islands)'
            }]
    }, {
        name: 'LRD',
        displayName: 'LRD (Liberian Dollar)',
        cultures: [{
                name: 'en-LR',
                displayName: 'English (Liberia)'
            }, {
                name: 'vai-Latn-LR',
                displayName: 'Vai (Latin, Liberia)'
            }, {
                name: 'vai-Vaii-LR',
                displayName: 'Vai (Vai, Liberia)'
            }]
    }, {
        name: 'MGA',
        displayName: 'MGA (Malagasy Ariary)',
        cultures: [{
                name: 'en-MG',
                displayName: 'English (Madagascar)'
            }, {
                name: 'fr-MG',
                displayName: 'French (Madagascar)'
            }, {
                name: 'mg-MG',
                displayName: 'Malagasy (Madagascar)'
            }]
    }, {
        name: 'MOP',
        displayName: 'MOP (Macanese Pataca)',
        cultures: [{
                name: 'en-MO',
                displayName: 'English (Macao SAR)'
            }, {
                name: 'pt-MO',
                displayName: 'Portuguese (Macao SAR)'
            }, {
                name: 'zh-Hans-MO',
                displayName: 'Chinese (Simplified Han, Macao SAR)'
            }, {
                name: 'zh-MO',
                displayName: 'Chinese (Traditional, Macao S.A.R.)'
            }]
    }, {
        name: 'MUR',
        displayName: 'MUR (Mauritian Rupee)',
        cultures: [{
                name: 'en-MU',
                displayName: 'English (Mauritius)'
            }, {
                name: 'fr-MU',
                displayName: 'French (Mauritius)'
            }, {
                name: 'mfe-MU',
                displayName: 'Morisyen (Mauritius)'
            }]
    }, {
        name: 'MWK',
        displayName: 'MWK (Malawian Kwacha)',
        cultures: [{
                name: 'en-MW',
                displayName: 'English (Malawi)'
            }]
    }, {
        name: 'MYR',
        displayName: 'MYR (Malaysian Ringgit)',
        cultures: [{
                name: 'en-MY',
                displayName: 'English (Malaysia)'
            }, {
                name: 'ms-MY',
                displayName: 'Malay (Malaysia)'
            }, {
                name: 'ta-MY',
                displayName: 'Tamil (Malaysia)'
            }]
    }, {
        name: 'PGK',
        displayName: 'PGK (Papua New Guinean Kina)',
        cultures: [{
                name: 'en-PG',
                displayName: 'English (Papua New Guinea)'
            }]
    }, {
        name: 'PHP',
        displayName: 'PHP (Philippine Peso)',
        cultures: [{
                name: 'en-PH',
                displayName: 'English (Republic of the Philippines)'
            }, {
                name: 'es-PH',
                displayName: 'Spanish (Philippines)'
            }, {
                name: 'fil-PH',
                displayName: 'Filipino (Philippines)'
            }]
    }, {
        name: 'PKR',
        displayName: 'PKR (Pakistani Rupee)',
        cultures: [{
                name: 'en-PK',
                displayName: 'English (Pakistan)'
            }, {
                name: 'pa-Arab-PK',
                displayName: 'Punjabi (Islamic Republic of Pakistan)'
            }, {
                name: 'sd-Arab-PK',
                displayName: 'Sindhi (Islamic Republic of Pakistan)'
            }, {
                name: 'ur-PK',
                displayName: 'Urdu (Islamic Republic of Pakistan)'
            }]
    }, {
        name: 'RWF',
        displayName: 'RWF (Rwandan Franc)',
        cultures: [{
                name: 'en-RW',
                displayName: 'English (Rwanda)'
            }, {
                name: 'fr-RW',
                displayName: 'French (Rwanda)'
            }, {
                name: 'rw-RW',
                displayName: 'Kinyarwanda (Rwanda)'
            }]
    }, {
        name: 'SBD',
        displayName: 'SBD (Solomon Islands Dollar)',
        cultures: [{
                name: 'en-SB',
                displayName: 'English (Solomon Islands)'
            }]
    }, {
        name: 'SCR',
        displayName: 'SCR (Seychellois Rupee)',
        cultures: [{
                name: 'en-SC',
                displayName: 'English (Seychelles)'
            }, {
                name: 'fr-SC',
                displayName: 'French (Seychelles)'
            }]
    }, {
        name: 'SEK',
        displayName: 'SEK (Swedish Krona)',
        cultures: [{
                name: 'en-SE',
                displayName: 'English (Sweden)'
            }, {
                name: 'se-SE',
                displayName: 'Sami, Northern (Sweden)'
            }, {
                name: 'sma-SE',
                displayName: 'Sami, Southern (Sweden)'
            }, {
                name: 'smj-SE',
                displayName: 'Sami, Lule (Sweden)'
            }, {
                name: 'sv-SE',
                displayName: 'Swedish (Sweden)'
            }]
    }, {
        name: 'SGD',
        displayName: 'SGD (Singapore Dollar)',
        cultures: [{
                name: 'en-SG',
                displayName: 'English (Singapore)'
            }, {
                name: 'ms-SG',
                displayName: 'Malay (Latin, Singapore)'
            }, {
                name: 'ta-SG',
                displayName: 'Tamil (Singapore)'
            }, {
                name: 'zh-SG',
                displayName: 'Chinese (Simplified, Singapore)'
            }]
    }, {
        name: 'SHP',
        displayName: 'SHP (Saint Helena Pound)',
        cultures: [{
                name: 'en-SH',
                displayName: 'English (St Helena, Ascension, Tristan da Cunha)'
            }]
    }, {
        name: 'SLL',
        displayName: 'SLL (Sierra Leonean Leone)',
        cultures: [{
                name: 'en-SL',
                displayName: 'English (Sierra Leone)'
            }]
    }, {
        name: 'ANG',
        displayName: 'ANG (Netherlands Antillean Guilder)',
        cultures: [{
                name: 'en-SX',
                displayName: 'English (Sint Maarten)'
            }, {
                name: 'nl-CW',
                displayName: 'Dutch (Curaçao)'
            }, {
                name: 'nl-SX',
                displayName: 'Dutch (Sint Maarten)'
            }]
    }, {
        name: 'SZL',
        displayName: 'SZL (Swazi Lilangeni)',
        cultures: [{
                name: 'en-SZ',
                displayName: 'English (Swaziland)'
            }, {
                name: 'ss-SZ',
                displayName: 'Swati (Swaziland)'
            }]
    }, {
        name: 'TOP',
        displayName: 'TOP (Tongan Paʻanga)',
        cultures: [{
                name: 'en-TO',
                displayName: 'English (Tonga)'
            }, {
                name: 'to-TO',
                displayName: 'Tongan (Tonga)'
            }]
    }, {
        name: 'TTD',
        displayName: 'TTD (Trinidad and Tobago Dollar)',
        cultures: [{
                name: 'en-TT',
                displayName: 'English (Trinidad and Tobago)'
            }]
    }, {
        name: 'VUV',
        displayName: 'VUV (Vanuatu Vatu)',
        cultures: [{
                name: 'en-VU',
                displayName: 'English (Vanuatu)'
            }, {
                name: 'fr-VU',
                displayName: 'French (Vanuatu)'
            }]
    }, {
        name: 'WST',
        displayName: 'WST (Samoan Tala)',
        cultures: [{
                name: 'en-WS',
                displayName: 'English (Samoa)'
            }]
    }, {
        name: 'ARS',
        displayName: 'ARS (Argentine Peso)',
        cultures: [{
                name: 'es-AR',
                displayName: 'Spanish (Argentina)'
            }]
    }, {
        name: 'BOB',
        displayName: 'BOB (Bolivian Boliviano)',
        cultures: [{
                name: 'es-BO',
                displayName: 'Spanish (Bolivia)'
            }, {
                name: 'quz-BO',
                displayName: 'Quechua (Bolivia)'
            }]
    }, {
        name: 'BRL',
        displayName: 'BRL (Brazilian Real)',
        cultures: [{
                name: 'es-BR',
                displayName: 'Spanish (Brazil)'
            }, {
                name: 'pt-BR',
                displayName: 'Portuguese (Brazil)'
            }]
    }, {
        name: 'COP',
        displayName: 'COP (Colombian Peso)',
        cultures: [{
                name: 'es-CO',
                displayName: 'Spanish (Colombia)'
            }]
    }, {
        name: 'CRC',
        displayName: 'CRC (Costa Rican Colón)',
        cultures: [{
                name: 'es-CR',
                displayName: 'Spanish (Costa Rica)'
            }]
    }, {
        name: 'CUP',
        displayName: 'CUP (Cuban Peso)',
        cultures: [{
                name: 'es-CU',
                displayName: 'Spanish (Cuba)'
            }]
    }, {
        name: 'DOP',
        displayName: 'DOP (Dominican Peso)',
        cultures: [{
                name: 'es-DO',
                displayName: 'Spanish (Dominican Republic)'
            }]
    }, {
        name: 'GTQ',
        displayName: 'GTQ (Guatemalan Quetzal)',
        cultures: [{
                name: 'es-GT',
                displayName: 'Spanish (Guatemala)'
            }, {
                name: 'quc-Latn-GT',
                displayName: "K'iche' (Guatemala)"
            }]
    }, {
        name: 'HNL',
        displayName: 'HNL (Honduran Lempira)',
        cultures: [{
                name: 'es-HN',
                displayName: 'Spanish (Honduras)'
            }]
    }, {
        name: 'MXN',
        displayName: 'MXN (Mexican Peso)',
        cultures: [{
                name: 'es-MX',
                displayName: 'Spanish (Mexico)'
            }]
    }, {
        name: 'NIO',
        displayName: 'NIO (Nicaraguan Córdoba)',
        cultures: [{
                name: 'es-NI',
                displayName: 'Spanish (Nicaragua)'
            }]
    }, {
        name: 'PAB',
        displayName: 'PAB (Panamanian Balboa)',
        cultures: [{
                name: 'es-PA',
                displayName: 'Spanish (Panama)'
            }]
    }, {
        name: 'PEN',
        displayName: 'PEN (Peruvian Sol)',
        cultures: [{
                name: 'es-PE',
                displayName: 'Spanish (Peru)'
            }, {
                name: 'quz-PE',
                displayName: 'Quechua (Peru)'
            }]
    }, {
        name: 'PYG',
        displayName: 'PYG (Paraguayan Guarani)',
        cultures: [{
                name: 'es-PY',
                displayName: 'Spanish (Paraguay)'
            }, {
                name: 'gn-PY',
                displayName: 'Guarani (Paraguay)'
            }]
    }, {
        name: 'UYU',
        displayName: 'UYU (Uruguayan Peso)',
        cultures: [{
                name: 'es-UY',
                displayName: 'Spanish (Uruguay)'
            }]
    }, {
        name: 'VEF',
        displayName: 'VEF (Venezuelan Bolívar)',
        cultures: [{
                name: 'es-VE',
                displayName: 'Spanish (Bolivarian Republic of Venezuela)'
            }]
    }, {
        name: 'IRR',
        displayName: 'IRR (Iranian Rial)',
        cultures: [{
                name: 'fa-IR',
                displayName: 'Persian (Iran)'
            }, {
                name: 'ku-Arab-IR',
                displayName: 'Kurdish (Perso-Arabic, Iran)'
            }, {
                name: 'lrc-IR',
                displayName: 'Northern Luri (Iran)'
            }, {
                name: 'mzn-IR',
                displayName: 'Mazanderani (Iran)'
            }]
    }, {
        name: 'GNF',
        displayName: 'GNF (Guinean Franc)',
        cultures: [{
                name: 'ff-GN',
                displayName: 'Fulah (Guinea)'
            }, {
                name: 'fr-GN',
                displayName: 'French (Guinea)'
            }, {
                name: 'nqo-GN',
                displayName: "N'ko (Guinea)"
            }]
    }, {
        name: 'CDF',
        displayName: 'CDF (Congolese Franc)',
        cultures: [{
                name: 'fr-CD',
                displayName: 'French (Congo DRC)'
            }, {
                name: 'ln-CD',
                displayName: 'Lingala (Congo DRC)'
            }, {
                name: 'lu-CD',
                displayName: 'Luba-Katanga (Congo DRC)'
            }, {
                name: 'sw-CD',
                displayName: 'Kiswahili (Congo DRC)'
            }]
    }, {
        name: 'HTG',
        displayName: 'HTG (Haitian Gourde)',
        cultures: [{
                name: 'fr-HT',
                displayName: 'French (Haiti)'
            }]
    }, {
        name: 'XPF',
        displayName: 'XPF (CFP Franc)',
        cultures: [{
                name: 'fr-NC',
                displayName: 'French (New Caledonia)'
            }, {
                name: 'fr-PF',
                displayName: 'French (French Polynesia)'
            }, {
                name: 'fr-WF',
                displayName: 'French (Wallis and Futuna)'
            }]
    }, {
        name: 'HRK',
        displayName: 'HRK (Croatian Kuna)',
        cultures: [{
                name: 'hr-HR',
                displayName: 'Croatian (Croatia)'
            }]
    }, {
        name: 'HUF',
        displayName: 'HUF (Hungarian Forint)',
        cultures: [{
                name: 'hu-HU',
                displayName: 'Hungarian (Hungary)'
            }]
    }, {
        name: 'AMD',
        displayName: 'AMD (Armenian Dram)',
        cultures: [{
                name: 'hy-AM',
                displayName: 'Armenian (Armenia)'
            }]
    }, {
        name: 'ISK',
        displayName: 'ISK (Icelandic Króna)',
        cultures: [{
                name: 'is-IS',
                displayName: 'Icelandic (Iceland)'
            }]
    }, {
        name: 'JPY',
        displayName: 'JPY (Japanese Yen)',
        cultures: [{
                name: 'ja-JP',
                displayName: 'Japanese (Japan)'
            }]
    }, {
        name: 'GEL',
        displayName: 'GEL (Georgian Lari)',
        cultures: [{
                name: 'ka-GE',
                displayName: 'Georgian (Georgia)'
            }, {
                name: 'os-GE',
                displayName: 'Ossetian (Cyrillic, Georgia)'
            }]
    }, {
        name: 'CVE',
        displayName: 'CVE (Cape Verdean Escudo)',
        cultures: [{
                name: 'kea-CV',
                displayName: 'Kabuverdianu (Cabo Verde)'
            }, {
                name: 'pt-CV',
                displayName: 'Portuguese (Cabo Verde)'
            }]
    }, {
        name: 'KZT',
        displayName: 'KZT (Kazakhstani Tenge)',
        cultures: [{
                name: 'kk-KZ',
                displayName: 'Kazakh (Kazakhstan)'
            }, {
                name: 'ru-KZ',
                displayName: 'Russian (Kazakhstan)'
            }]
    }, {
        name: 'KHR',
        displayName: 'KHR (Cambodian Riel)',
        cultures: [{
                name: 'km-KH',
                displayName: 'Khmer (Cambodia)'
            }]
    }, {
        name: 'KPW',
        displayName: 'KPW (North Korean Won)',
        cultures: [{
                name: 'ko-KP',
                displayName: 'Korean (North Korea)'
            }]
    }, {
        name: 'KRW',
        displayName: 'KRW (South Korean Won)',
        cultures: [{
                name: 'ko-KR',
                displayName: 'Korean (Korea)'
            }]
    }, {
        name: 'KGS',
        displayName: 'KGS (Kyrgystani Som)',
        cultures: [{
                name: 'ky-KG',
                displayName: 'Kyrgyz (Kyrgyzstan)'
            }, {
                name: 'ru-KG',
                displayName: 'Russian (Kyrgyzstan)'
            }]
    }, {
        name: 'AOA',
        displayName: 'AOA (Angolan Kwanza)',
        cultures: [{
                name: 'ln-AO',
                displayName: 'Lingala (Angola)'
            }, {
                name: 'pt-AO',
                displayName: 'Portuguese (Angola)'
            }]
    }, {
        name: 'LAK',
        displayName: 'LAK (Laotian Kip)',
        cultures: [{
                name: 'lo-LA',
                displayName: 'Lao (Lao P.D.R.)'
            }]
    }, {
        name: 'MZN',
        displayName: 'MZN (Mozambican Metical)',
        cultures: [{
                name: 'mgh-MZ',
                displayName: 'Makhuwa-Meetto (Mozambique)'
            }, {
                name: 'pt-MZ',
                displayName: 'Portuguese (Mozambique)'
            }, {
                name: 'seh-MZ',
                displayName: 'Sena (Mozambique)'
            }]
    }, {
        name: 'MKD',
        displayName: 'MKD (Macedonian Denar)',
        cultures: [{
                name: 'mk-MK',
                displayName: 'Macedonian (Former Yugoslav Republic of Macedonia)'
            }, {
                name: 'sq-MK',
                displayName: 'Albanian (Macedonia, FYRO)'
            }]
    }, {
        name: 'MNT',
        displayName: 'MNT (Mongolian Tugrik)',
        cultures: [{
                name: 'mn-MN',
                displayName: 'Mongolian (Cyrillic, Mongolia)'
            }, {
                name: 'mn-Mong-MN',
                displayName: 'Mongolian (Traditional Mongolian, Mongolia)'
            }]
    }, {
        name: 'BND',
        displayName: 'BND (Brunei Dollar)',
        cultures: [{
                name: 'ms-BN',
                displayName: 'Malay (Brunei Darussalam)'
            }]
    }, {
        name: 'MMK',
        displayName: 'MMK (Myanmar Kyat)',
        cultures: [{
                name: 'my-MM',
                displayName: 'Burmese (Myanmar)'
            }]
    }, {
        name: 'NOK',
        displayName: 'NOK (Norwegian Krone)',
        cultures: [{
                name: 'nb-NO',
                displayName: 'Norwegian, Bokmål (Norway)'
            }, {
                name: 'nb-SJ',
                displayName: 'Norwegian, Bokmål (Svalbard and Jan Mayen)'
            }, {
                name: 'nn-NO',
                displayName: 'Norwegian, Nynorsk (Norway)'
            }, {
                name: 'se-NO',
                displayName: 'Sami, Northern (Norway)'
            }, {
                name: 'sma-NO',
                displayName: 'Sami, Southern (Norway)'
            }, {
                name: 'smj-NO',
                displayName: 'Sami, Lule (Norway)'
            }]
    }, {
        name: 'NPR',
        displayName: 'NPR (Nepalese Rupee)',
        cultures: [{
                name: 'ne-NP',
                displayName: 'Nepali (Nepal)'
            }]
    }, {
        name: 'AWG',
        displayName: 'AWG (Aruban Florin)',
        cultures: [{
                name: 'nl-AW',
                displayName: 'Dutch (Aruba)'
            }]
    }, {
        name: 'SRD',
        displayName: 'SRD (Surinamese Dollar)',
        cultures: [{
                name: 'nl-SR',
                displayName: 'Dutch (Suriname)'
            }]
    }, {
        name: 'PLN',
        displayName: 'PLN (Polish Zloty)',
        cultures: [{
                name: 'pl-PL',
                displayName: 'Polish (Poland)'
            }]
    }, {
        name: 'AFN',
        displayName: 'AFN (Afghan Afghani)',
        cultures: [{
                name: 'prs-AF',
                displayName: 'Dari (Afghanistan)'
            }, {
                name: 'ps-AF',
                displayName: 'Pashto (Afghanistan)'
            }, {
                name: 'uz-Arab-AF',
                displayName: 'Uzbek (Perso-Arabic, Afghanistan)'
            }]
    }, {
        name: 'STD',
        displayName: 'STD (São Tomé and Príncipe Dobra)',
        cultures: [{
                name: 'pt-ST',
                displayName: 'Portuguese (São Tomé and Príncipe)'
            }]
    }, {
        name: 'MDL',
        displayName: 'MDL (Moldovan Leu)',
        cultures: [{
                name: 'ro-MD',
                displayName: 'Romanian (Moldova)'
            }, {
                name: 'ru-MD',
                displayName: 'Russian (Moldova)'
            }]
    }, {
        name: 'RON',
        displayName: 'RON (Romanian Leu)',
        cultures: [{
                name: 'ro-RO',
                displayName: 'Romanian (Romania)'
            }]
    }, {
        name: 'UAH',
        displayName: 'UAH (Ukrainian Hryvnia)',
        cultures: [{
                name: 'ru-UA',
                displayName: 'Russian (Ukraine)'
            }, {
                name: 'uk-UA',
                displayName: 'Ukrainian (Ukraine)'
            }]
    }, {
        name: 'LKR',
        displayName: 'LKR (Sri Lankan Rupee)',
        cultures: [{
                name: 'si-LK',
                displayName: 'Sinhala (Sri Lanka)'
            }, {
                name: 'ta-LK',
                displayName: 'Tamil (Sri Lanka)'
            }]
    }, {
        name: 'ALL',
        displayName: 'ALL (Albanian Lek)',
        cultures: [{
                name: 'sq-AL',
                displayName: 'Albanian (Albania)'
            }]
    }, {
        name: 'RSD',
        displayName: 'RSD (Serbian Dinar)',
        cultures: [{
                name: 'sr-Cyrl-RS',
                displayName: 'Serbian (Cyrillic, Serbia)'
            }, {
                name: 'sr-Latn-RS',
                displayName: 'Serbian (Latin, Serbia)'
            }]
    }, {
        name: 'TJS',
        displayName: 'TJS (Tajikistani Somoni)',
        cultures: [{
                name: 'tg-Cyrl-TJ',
                displayName: 'Tajik (Cyrillic, Tajikistan)'
            }]
    }, {
        name: 'THB',
        displayName: 'THB (Thai Baht)',
        cultures: [{
                name: 'th-TH',
                displayName: 'Thai (Thailand)'
            }]
    }, {
        name: 'TMT',
        displayName: 'TMT (Turkmenistani Manat)',
        cultures: [{
                name: 'tk-TM',
                displayName: 'Turkmen (Turkmenistan)'
            }]
    }, {
        name: 'TRY',
        displayName: 'TRY (Turkish Lira)',
        cultures: [{
                name: 'tr-TR',
                displayName: 'Turkish (Turkey)'
            }]
    }, {
        name: 'UZS',
        displayName: 'UZS (Uzbekistani Som)',
        cultures: [{
                name: 'uz-Cyrl-UZ',
                displayName: 'Uzbek (Cyrillic, Uzbekistan)'
            }, {
                name: 'uz-Latn-UZ',
                displayName: 'Uzbek (Latin, Uzbekistan)'
            }]
    }, {
        name: 'VND',
        displayName: 'VND (Vietnamese Dong)',
        cultures: [{
                name: 'vi-VN',
                displayName: 'Vietnamese (Vietnam)'
            }]
    }, {
        name: 'TWD',
        displayName: 'TWD (New Taiwan Dollar)',
        cultures: [{
                name: 'zh-TW',
                displayName: 'Chinese (Traditional, Taiwan)'
            }]
    }];


/***/ }),

/***/ 2472:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ gaugeRangeCalculator)
/* harmony export */ });
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);

class gaugeRangeCalculator {
    constructor(options) {
        this._values = options.values;
        this._gaugeViewType = options.gaugeModel.Type;
        this._customMin = options.gaugeModel.MinValue;
        this._customMax = options.gaugeModel.MaxValue;
        this._minDefined = this._customMin != null;
        this._maxDefined = this._customMax != null;
        this._defineMinMaxTicks();
    }
    getGaugeRange() {
        this._defineMinMax();
        this._setRangeStart();
        this._extendRange();
        var left = Math.min(this._min, this._max), right = Math.max(this._min, this._max), rangeLength = right - left, scaleReversed = this._min > this._max, majorTickCount, minorTickCount, stepCount, step, delta, fit, currentStep, currentDelta, currentFit;
        if (rangeLength === 0) {
            majorTickCount = 1;
            minorTickCount = 0;
        }
        else {
            stepCount = this._minTickCount - 1;
            step = this._chooseMultiplier(rangeLength / stepCount);
            delta = step * stepCount - rangeLength;
            fit = this._isFit(left, right, step, stepCount);
            for (var i = stepCount + 1; i < this._maxTickCount; i++) {
                currentStep = this._chooseMultiplier(rangeLength / i);
                currentDelta = currentStep * i - rangeLength;
                currentFit = this._isFit(left, right, currentStep, i);
                if (currentFit && (currentDelta < delta || !fit)) {
                    delta = currentDelta;
                    step = currentStep;
                    fit = currentFit;
                    stepCount = i;
                }
            }
            left = this._getLeft(left, step);
            right = this._getRight(right, step);
            this._min = !scaleReversed ? left : right;
            this._max = !scaleReversed ? right : left;
            majorTickCount = stepCount + 1;
            if (step % 5 === 0)
                minorTickCount = 4;
            else if (step % 3 === 0)
                minorTickCount = 2;
            else
                minorTickCount = 3;
            return {
                minorTickCount: minorTickCount,
                majorTickCount: majorTickCount,
                min: this._min,
                max: this._max
            };
        }
    }
    _getLeft(left, step) {
        var sign = left > 0 ? 1 : -1;
        if (this._equalSign && left > 0)
            return Math.floor(Math.abs(left) / step) * step * sign;
        else
            return Math.ceil(Math.abs(left) / step) * step * sign;
    }
    _getRight(right, step) {
        var sign = right > 0 ? 1 : -1;
        if (this._equalSign && right < 0)
            return Math.floor(Math.abs(right) / step) * step * sign;
        else
            return Math.ceil(Math.abs(right) / step) * step * sign;
    }
    _isFit(left, right, step, tickCount) {
        var leftAbs = Math.abs(left), rigthAbs = Math.abs(right), isFit = false;
        if (!this._signsEqual(left, right)) {
            isFit = (Math.ceil(leftAbs / step) + Math.ceil(rigthAbs / step)) <= tickCount;
        }
        else {
            var minAbs = Math.min(leftAbs, rigthAbs), maxAbs = Math.max(leftAbs, rigthAbs);
            isFit = Math.ceil(maxAbs / step) - Math.floor(minAbs / step) <= tickCount;
        }
        return isFit;
    }
    _extendRange() {
        var that = this, extendMin = function (coef) {
            if (!that._minDefined)
                that._min *= coef;
        }, extendMax = function (coef) {
            if (!that._maxDefined)
                that._max *= coef;
        };
        if (this._equalSign) {
            if (Math.abs(this._min) < Math.abs(this._max)) {
                extendMin(0.95);
                extendMax(1.05);
            }
            else {
                extendMin(1.05);
                extendMax(0.95);
            }
        }
        else {
            extendMin(1.05);
            extendMax(1.05);
        }
        if (this._min === this._max) {
            if (this._min !== 0)
                this._max *= 1.4;
            else
                this._max = 1;
        }
    }
    _setRangeStart() {
        if (this._equalSign) {
            if (this._min === this._max) {
                if (this._min > 0) {
                    if (!this._minDefined)
                        this._min = 0;
                }
                else {
                    if (!this._maxDefined)
                        this._max = 0;
                }
            }
            if (Math.abs(this._min) <= Math.abs(this._max)) {
                if (!this._minDefined)
                    this._min = 0;
            }
            else {
                if (!this._maxDefined)
                    this._max = 0;
            }
        }
    }
    _defineMinMax() {
        if (this._minDefined)
            this._min = this._customMin;
        else
            this._min = this._values.length > 0 ? Math.min.apply(Math, this._values) : 0;
        if (this._maxDefined)
            this._max = this._customMax;
        else
            this._max = this._values.length > 0 ? Math.max.apply(Math, this._values) : 1;
        this._equalSign = this._signsEqual(this._min, this._max);
    }
    _signsEqual(number1, number2) {
        return (number1 >= 0 && number2 >= 0) || (number1 < 0 && number2 < 0);
    }
    _defineMinMaxTicks() {
        switch (this._gaugeViewType) {
            case _utils__WEBPACK_IMPORTED_MODULE_0__/* .gaugeViewType */ .Tf.CircularFull:
                this._minTickCount = 6;
                this._maxTickCount = 9;
                break;
            case _utils__WEBPACK_IMPORTED_MODULE_0__/* .gaugeViewType */ .Tf.LinearHorizontal:
                this._minTickCount = 3;
                this._maxTickCount = 3;
                break;
            default:
                this._minTickCount = 4;
                this._maxTickCount = 6;
                break;
        }
    }
    _chooseMultiplier(delta) {
        var multipliers = [1, 2, 3, 5], result, exp, scale, normDelta, newResult, i;
        if (delta > 1) {
            for (var factor = 1;; factor *= 10) {
                for (i = 0; i < multipliers.length; i++) {
                    result = multipliers[i] * factor;
                    if (delta <= result)
                        return result;
                }
            }
        }
        else {
            result = 10;
            exp = Math.floor(Math.log(Math.abs(delta)) / Math.LN10);
            scale = Math.pow(10, -exp);
            normDelta = delta * scale;
            for (i = multipliers.length - 1; i >= 0; i--) {
                newResult = multipliers[i];
                if (normDelta > newResult) {
                    break;
                }
                result = newResult;
            }
            return result / scale;
        }
    }
}


/***/ }),

/***/ 2531:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ BarStyleSettings)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _color_style_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9045);


class BarStyleSettings extends _color_style_settings__WEBPACK_IMPORTED_MODULE_1__/* .ColorStyleSettings */ .W {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    clone() {
        var style = new BarStyleSettings({});
        style.predefinedColor(this.predefinedColor());
        style.color(this.color());
        return style;
    }
    init() {
        this.predefinedColor('PaleRed');
    }
}


/***/ }),

/***/ 2560:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  F: () => (/* binding */ XpoDataSource)
});

// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/data-sources/data-source.js
var data_source = __webpack_require__(6844);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
// EXTERNAL MODULE: ./dist/model/data-sources/metadata/_data-source.js
var _data_source = __webpack_require__(3689);
;// ./dist/model/data-sources/metadata/_xpo-data-source.js


let xpoDataSourceSerializationsInfo = _data_source/* dataSourceSerializationsInfo */.v.concat([_base_metadata/* filter */.pb, _base_metadata/* nameTag */.oM]);

;// ./dist/model/data-sources/xpo-data-source.js



class XpoDataSource extends data_source/* DataSource */.q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.hasFilter = true;
        this.hasCalculatedFields = true;
    }
    getInfo() {
        return xpoDataSourceSerializationsInfo;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultXpoDataSourceName';
    }
    _getDefaultItemType() {
        return 'XPObjectSource';
    }
}


/***/ }),

/***/ 2570:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ showItemAsTabPage),
/* harmony export */   z: () => (/* binding */ tabPageSerializationInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3888);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);



let showItemAsTabPage = { propertyName: 'showItemAsTabPage', modelName: '@ShowItemAsTabPage', displayName: 'DashboardWebStringId.DisplayItemAsPage', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let tabPageSerializationInfo = _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dashboardItemSerializationsInfo */ .xg.concat([_options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._tabItemInteractivityOptions */ .Lv, showItemAsTabPage]);


/***/ }),

/***/ 2573:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ averageType),
/* harmony export */   f: () => (/* binding */ formatConditionAverageSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8245);

let averageType = {
    propertyName: 'averageType', modelName: '@AverageType', displayName: 'DashboardWebStringId.ConditionalFormatting.AverageType', defaultVal: 'Above', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Above': 'DashboardWebStringId.ConditionalFormatting.Above',
        'AboveOrEqual': 'DashboardWebStringId.ConditionalFormatting.AboveOrEqual',
        'Below': 'DashboardWebStringId.ConditionalFormatting.Below',
        'BelowOrEqual': 'DashboardWebStringId.ConditionalFormatting.BelowOrEqual'
    }
};
let formatConditionAverageSerializationsInfo = _format_condition_style_base__WEBPACK_IMPORTED_MODULE_0__/* .formatConditionStyleBaseSerializationsInfo */ .i.concat([averageType]);


/***/ }),

/***/ 2591:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $4: () => (/* binding */ commonInteractivityOptions),
/* harmony export */   Jc: () => (/* binding */ targetDimensions),
/* harmony export */   Ny: () => (/* binding */ ignoreMasterFiltersDefaultTrue),
/* harmony export */   gu: () => (/* binding */ isMasterFilterDefaultTrue),
/* harmony export */   ht: () => (/* binding */ isDrillDownEnabled),
/* harmony export */   rH: () => (/* binding */ isMasterFilterDefaultFalse),
/* harmony export */   rZ: () => (/* binding */ getInteractivityOptionsPropertyInfo),
/* harmony export */   u3: () => (/* binding */ masterFilterMode),
/* harmony export */   ym: () => (/* binding */ ignoreMasterFiltersDefaultFalse)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let ignoreMasterFiltersDefaultFalse = { propertyName: 'ignoreMasterFilters', modelName: '@IgnoreMasterFilters', displayName: 'DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Interactivity };
let ignoreMasterFiltersDefaultTrue = { propertyName: 'ignoreMasterFilters', modelName: '@IgnoreMasterFilters', displayName: 'DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Interactivity };
let isMasterFilterDefaultFalse = { propertyName: 'isMasterFilter', modelName: '@IsMasterFilter', displayName: 'DashboardWebStringId.InteractivityOptions.IsMasterFilter', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let isMasterFilterDefaultTrue = { propertyName: 'isMasterFilter', modelName: '@IsMasterFilter', displayName: 'DashboardWebStringId.InteractivityOptions.IsMasterFilter', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let masterFilterMode = {
    propertyName: 'masterFilterMode', modelName: '@MasterFilterMode', displayName: 'DashboardWebStringId.MasterFilterMode', defaultVal: 'None', simpleFormAdapterItem: 'buttonGroupEditor', category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Interactivity, values: {
        'None': 'DashboardWebStringId.InteractivityOptions.MasterFilterMode.None',
        'Single': 'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single',
        'Multiple': 'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple'
    }
};
let isDrillDownEnabled = { propertyName: 'isDrillDownEnabled', modelName: '@IsDrillDownEnabled', displayName: 'DashboardWebStringId.InteractivityOptions.DrillDown', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Data };
let targetDimensions = {
    propertyName: 'targetDimensions', modelName: '@TargetDimensions', displayName: 'DashboardWebStringId.InteractivityOptions.TargetDimensions', defaultVal: 'Arguments', simpleFormAdapterItem: 'buttonGroupEditor', category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Interactivity, values: {
        'Arguments': 'DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments',
        'Series': 'DashboardWebStringId.InteractivityOptions.TargetDimensions.Series',
        'Points': 'DashboardWebStringId.InteractivityOptions.TargetDimensions.Points'
    }
};
let commonInteractivityOptions = { propertyName: 'interactivityOptions', modelName: 'InteractivityOptions', displayName: 'DashboardWebStringId.InteractivityOptions' };
function getInteractivityOptionsPropertyInfo(type) { return { type: type, ...commonInteractivityOptions }; }


/***/ }),

/***/ 2692:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DP: () => (/* binding */ WeightedLegend),
/* harmony export */   Yn: () => (/* binding */ MapLegend),
/* harmony export */   fV: () => (/* binding */ MapLegendBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_map_legend__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3559);



class MapLegendBase extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
}
class WeightedLegend extends MapLegendBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_map_legend__WEBPACK_IMPORTED_MODULE_2__/* .weightedLegendSerializationsInfo */ ._8;
    }
}
class MapLegend extends MapLegendBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_map_legend__WEBPACK_IMPORTED_MODULE_2__/* .mapLegendSerializationsInfo */ .Pf;
    }
}


/***/ }),

/***/ 2745:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   g: () => (/* binding */ types)
/* harmony export */ });
let types = {
    group: 'GROUP',
    page: 'PAGE',
    tabPage: 'TABPAGE',
    tabContainer: 'TABCONTAINER',
    rangeFilter: 'RANGEFILTER',
    chart: 'CHART',
    scatter: 'SCATTERCHART',
    pie: 'PIE',
    card: 'CARD',
    grid: 'GRID',
    pivot: 'PIVOT',
    gauge: 'GAUGE',
    text: 'TEXT',
    image: 'IMAGE',
    boundImage: 'BOUNDIMAGE',
    map: 'MAP',
    choroplethMap: 'CHOROPLETHMAP',
    geoPointMap: 'GEOPOINTMAP',
    bubbleMap: 'BUBBLEMAP',
    pieMap: 'PIEMAP',
    comboBox: 'COMBOBOX',
    listBox: 'LISTBOX',
    treeView: 'TREEVIEW',
    treemap: 'TREEMAP',
    dateFilter: 'DATEFILTER',
    custom: 'CUSTOMITEM'
};


/***/ }),

/***/ 2757:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ cardDataController)
/* harmony export */ });
/* harmony import */ var _kpi_data_controller__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1461);

class cardDataController extends _kpi_data_controller__WEBPACK_IMPORTED_MODULE_0__/* .kpiDataController */ .p {
    constructor(options) {
        super(options);
    }
    _iterateKpiItems(delegate) {
        var that = this;
        if (that.viewModel) {
            that.viewModel.Cards.forEach(delegate);
        }
    }
}


/***/ }),

/***/ 2780:
/***/ ((module) => {

module.exports = DevExpress.localization.number;

/***/ }),

/***/ 2807:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L2: () => (/* binding */ dataItemApplyTo),
/* harmony export */   a1: () => (/* binding */ applyToRow),
/* harmony export */   pm: () => (/* binding */ cellsItemFormatRuleSerializationsInfo),
/* harmony export */   zq: () => (/* binding */ formatRuleDataItem)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7540);


let applyToRow = { propertyName: 'applyToRow', modelName: '@ApplyToRow', displayName: 'DashboardStringId.FormatRuleApplyToRow', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let formatRuleDataItem = { propertyName: 'dataItemName', modelName: '@DataItem', displayName: 'DashboardWebStringId.ConditionalFormatting.CalculatedBy', simpleFormAdapterItem: 'selectBoxEditor' };
let dataItemApplyTo = { propertyName: '_dataItemApplyToName', modelName: '@DataItemApplyTo', displayName: 'DashboardStringId.FormatRuleApplyTo', simpleFormAdapterItem: 'selectBoxEditor' };
let cellsItemFormatRuleSerializationsInfo = _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_1__/* .dashboardItemFormatRuleSerializationsInfo */ .Qd.concat([applyToRow, formatRuleDataItem, dataItemApplyTo]);


/***/ }),

/***/ 2809:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ validateGuid),
/* harmony export */   _: () => (/* binding */ ParameterHelper)
/* harmony export */ });
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2037);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);



function validateGuid(guid) {
    return guid && (/^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$/.test(guid)
        || /^\{[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}\}$/.test(guid)
        || /^\([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}\)$/.test(guid)
        || /^[0-9a-fA-F]{32}$/.test(guid));
}
class ParameterHelper {
    static getInfoPerType(valueType) {
        var value = { propertyName: 'value', modelName: '#text', displayName: 'DashboardStringId.ParametersFormValueColumnCaption', simpleFormAdapterItem: 'textBoxEditor' };
        if (valueType) {
            const { simpleFormAdapterItem } = ParameterHelper.getEditorType(valueType());
            return [(0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, value, { simpleFormAdapterItems: simpleFormAdapterItem }), _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG];
        }
        return [value, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG];
    }
    static getEditorType(typeString) {
        if (typeString === 'Enum') {
            return { simpleFormAdapterItem: 'selectBoxEditor', editorOptions: undefined };
        }
        if (typeString === 'System.String') {
            return { simpleFormAdapterItem: 'textBoxEditor', editorOptions: undefined };
        }
        if (typeString === 'System.Guid') {
            return { simpleFormAdapterItem: 'guidEditor', editorOptions: undefined };
        }
        if (typeString === 'System.SByte'
            || typeString === 'System.Int64'
            || typeString === 'System.Int32'
            || typeString === 'System.Int16'
            || typeString === 'System.Byte'
            || typeString === 'System.UInt16'
            || typeString === 'System.UInt32'
            || typeString === 'System.UInt64') {
            return {
                simpleFormAdapterItem: 'numberBoxEditor',
                editorOptions: {
                    format: '0#'
                }
            };
        }
        if (typeString === 'System.Single'
            || typeString === 'System.Double'
            || typeString === 'System.Decimal') {
            return {
                simpleFormAdapterItem: 'numberBoxEditor',
                editorOptions: {
                    format: ''
                }
            };
        }
        if (typeString === 'System.Boolean') {
            return { simpleFormAdapterItem: 'onOffButtonGroupEditor', editorOptions: undefined };
        }
        if (typeString === 'System.DateTime') {
            return { simpleFormAdapterItem: 'dateBoxEditor', editorOptions: undefined };
        }
        return { simpleFormAdapterItem: 'textBoxEditor', editorOptions: undefined };
    }
    static getTypeConverter(typeName) {
        const typeValue = this._getTypeValue(typeName);
        return typeValue && typeValue.convertDataSource ? typeValue.valueConverter : null;
    }
    static _getTypeValue(typeName) {
        var values = ParameterHelper.typeValues.filter((type) => { return type.value === typeName; });
        return values.length > 0 ? values[0] : null;
    }
    static _tryConvertValue(value, type, allowNull) {
        var condition = val => {
            return val !== void 0 && val !== null && !isNaN(typeof val === 'string' ? '' : val);
        };
        if (!condition(value)) {
            return { isValid: allowNull, newValue: null };
        }
        var typeValue = this._getTypeValue(type), converter = (typeValue && typeValue.valueConverter) || (val => typeValue && typeValue.defaultValue), newValue = converter(value);
        return { isValid: condition(newValue), newValue: newValue };
    }
    static getDefaultTypeValue(type) {
        var typeValue = this._getTypeValue(type);
        return typeValue ? typeValue.defaultValue : '';
    }
    static convertSingleValue(value, type, allowNull = false) {
        var result = this._tryConvertValue(value, type, allowNull);
        return result.isValid ? result.newValue : this.getDefaultTypeValue(type);
    }
}
ParameterHelper.typeValues = [
    { value: 'System.String', displayValue: 'AnalyticsCoreStringId.Parameter_Type_String', defaultValue: '', specifics: 'String', valueConverter: val => { return val.toString(); } },
    { value: 'System.DateTime', displayValue: 'AnalyticsCoreStringId.Parameter_Type_DateTime', defaultValue: (0,_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .fromDateToString */ .D5)(new Date(new Date().setHours(0, 0, 0, 0))), specifics: 'Date', valueConverter: val => { return (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_2__/* .toUtcDate */ .ku)(val); } },
    { value: 'System.Int16', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Int16', defaultValue: 0, specifics: 'Integer', valueConverter: val => { return parseInt(val); } },
    { value: 'System.Int32', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Int32', defaultValue: 0, specifics: 'Integer', valueConverter: val => { return parseInt(val); } },
    { value: 'System.Int64', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Int64', defaultValue: '0', convertDataSource: true, specifics: 'String', valueConverter: val => { try {
            return BigInt(val).toString();
        }
        catch (e) {
            return NaN;
        } } },
    { value: 'System.Single', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Float', defaultValue: 0, specifics: 'Float', valueConverter: val => { return parseFloat(val); } },
    { value: 'System.Double', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Double', defaultValue: 0, specifics: 'Float', valueConverter: val => { return parseFloat(val); } },
    { value: 'System.Decimal', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Decimal', defaultValue: 0, specifics: 'Float', valueConverter: val => { return parseFloat(val); } },
    { value: 'System.Boolean', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Boolean', defaultValue: false, specifics: 'Bool', valueConverter: val => { return String(val).toLowerCase() === 'true' ? true : (String(val).toLowerCase() === 'false' ? false : false); } },
    { value: 'System.Guid', displayValue: 'AnalyticsCoreStringId.Parameter_Type_Guid', defaultValue: '00000000-0000-0000-0000-000000000000', specifics: 'String', valueConverter: val => { return validateGuid(val) ? val : '00000000-0000-0000-0000-000000000000'; } }
];


/***/ }),

/***/ 2850:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ createFakeObjects),
/* harmony export */   p: () => (/* binding */ RenderHelper)
/* harmony export */ });
/* harmony import */ var devextreme_ui_scroll_view__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6296);
/* harmony import */ var devextreme_ui_scroll_view__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_ui_scroll_view__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _cacheable__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9449);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




class RenderHelper {
    static html(element, content, encodeHtml) {
        if (encodeHtml) {
            element.innerText = content;
        }
        else {
            element.innerHTML = content;
        }
    }
    static rectangleHtml(color, width, height, rightMargin = '0px') {
        var w = width || 10, h = height || 10;
        var div = document.createElement('div');
        div.style.display = 'inline-block';
        div.style.width = w + 'px';
        div.style.height = h + 'px';
        div.style.backgroundColor = color;
        div.style.padding = '0px';
        div.style.margin = '0px';
        div.style.marginRight = rightMargin;
        return div;
    }
    static getActualBorder($element) {
        return {
            width: $element.outerWidth() - $element.width(),
            height: $element.outerHeight() - $element.height()
        };
    }
    static getActualSize($element, collapse = false) {
        if (!$element || $element.length === 0) {
            return { width: 0, height: 0 };
        }
        var values = [];
        if (collapse) {
            jquery__WEBPACK_IMPORTED_MODULE_1__.each($element.children(), (index, child) => {
                values.push(child.style.display);
                child.style.display = 'none';
            });
        }
        try {
            var border = this.getActualBorder($element), isBorderBox = $element.css('box-sizing') == 'border-box';
            return {
                width: $element.width() - (isBorderBox ? 0 : border.width),
                height: $element.height() - (isBorderBox ? 0 : border.height)
            };
        }
        finally {
            if (collapse) {
                jquery__WEBPACK_IMPORTED_MODULE_1__.each($element.children(), (index, child) => {
                    child.style.display = values[index];
                });
            }
        }
    }
    static getDefaultPalette() {
        return ['#5F8195', '#B55951', '#AEAF69', '#915E64', '#758E6D', '#85688C', '#91B9C7', '#E49B86'];
    }
    static getScrollable(element) {
        return devextreme_ui_scroll_view__WEBPACK_IMPORTED_MODULE_0___default().getInstance(element);
    }
    static updateScrollable(element) {
        var scrollable = this.getScrollable(element);
        if (scrollable) {
            scrollable.update();
        }
    }
    static wrapScrollable(container, parentOverflow, direction) {
        var scrollableContent = undefined, scrollableOptions = {
            bounceEnabled: false,
            showScrollbar: 'onHover',
            direction: direction
        };
        if (container) {
            var scrollableInstance = devextreme_ui_scroll_view__WEBPACK_IMPORTED_MODULE_0___default().getInstance(container);
            if (scrollableInstance) {
                scrollableInstance.option(scrollableOptions);
            }
            else {
                scrollableInstance = new (devextreme_ui_scroll_view__WEBPACK_IMPORTED_MODULE_0___default())(container, scrollableOptions);
            }
            scrollableContent = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(scrollableInstance.content());
        }
        return scrollableContent;
    }
    static getElementBox(element) {
        var $fakeContainer = jquery__WEBPACK_IMPORTED_MODULE_1__.fn.constructor('<div>', {
            css: {
                position: 'absolute',
                top: 0,
                left: 0,
                visibility: 'hidden',
                overflow: 'hidden'
            }
        }).appendTo(jquery__WEBPACK_IMPORTED_MODULE_1__.fn.constructor(RenderHelper.getThemeBaseElement()));
        $fakeContainer.append(element);
        try {
            return {
                width: $fakeContainer.outerWidth(),
                height: $fakeContainer.outerHeight()
            };
        }
        finally {
            $fakeContainer.remove();
        }
    }
    static processElement($element, processElement) {
        var $fakeContainer = jquery__WEBPACK_IMPORTED_MODULE_1__.fn.constructor('<div>', {
            css: {
                position: 'absolute',
                top: 0,
                left: 0,
                visibility: 'hidden',
                overflow: 'hidden'
            }
        }).appendTo(jquery__WEBPACK_IMPORTED_MODULE_1__.fn.constructor(RenderHelper.getThemeBaseElement()));
        $fakeContainer.append($element);
        try {
            return processElement();
        }
        finally {
            $fakeContainer.remove();
        }
    }
    static getElementBoxFloat(e) {
        var style = window.getComputedStyle(e);
        var boxSizing = style['box-sizing'];
        var rect = e.getBoundingClientRect();
        var size = {
            width: rect.width + parseFloat(style.marginLeft) + parseFloat(style.marginRight),
            height: rect.height + parseFloat(style.marginTop) + parseFloat(style.marginBottom)
        };
        if (boxSizing === 'content-box' || boxSizing === 'padding-box') {
            size.width += parseFloat(style.borderLeftWidth) + parseFloat(style.borderRightWidth);
            size.height += parseFloat(style.borderTopWidth) + parseFloat(style.borderBottomWidth);
            if (boxSizing === 'content-box') {
                size.width += parseFloat(style.paddingLeft) + parseFloat(style.paddingRight);
                size.height += parseFloat(style.paddingTop) + parseFloat(style.paddingBottom);
            }
        }
        return size;
    }
    static widgetIncidentOccurred(e) {
    }
    static getBorderSizeByClasses(classNames) {
        if (classNames && classNames.length > 0) {
            var fakeObjs = createFakeObjects(classNames, { width: 100, height: 100 });
            try {
                return RenderHelper.getActualBorder(fakeObjs.lastElement);
            }
            finally {
                fakeObjs.remove();
            }
        }
        else {
            return {
                width: 0,
                height: 0
            };
        }
    }
}
RenderHelper.getThemeBaseElement = () => document.body;
__decorate([
    (0,_cacheable__WEBPACK_IMPORTED_MODULE_3__/* .cacheable */ .$)('getBorderSizeByClasses')
], RenderHelper, "getBorderSizeByClasses", null);
function createFakeObjects(classNames, cssOptions) {
    var firstElement, prevElement, currElement;
    jquery__WEBPACK_IMPORTED_MODULE_1__.each(classNames, function (_, name) {
        currElement = jquery__WEBPACK_IMPORTED_MODULE_1__.fn.constructor('<div>', {
            css: {
                position: 'absolute',
                top: 0,
                left: 0,
                visibility: 'hidden',
                overflow: 'hidden',
                ...cssOptions
            }
        });
        currElement.appendTo(prevElement ? prevElement : jquery__WEBPACK_IMPORTED_MODULE_1__.fn.constructor('body'));
        currElement.addClass(name);
        prevElement = currElement;
        if (!firstElement)
            firstElement = currElement;
    });
    return {
        firstElement: firstElement,
        lastElement: currElement,
        remove: function () {
            firstElement.remove();
        }
    };
}


/***/ }),

/***/ 2878:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L_: () => (/* binding */ QueryNode),
/* harmony export */   RC: () => (/* binding */ FederationDataSource),
/* harmony export */   kL: () => (/* binding */ Source),
/* harmony export */   xJ: () => (/* binding */ ContextItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6844);
/* harmony import */ var _metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(137);
/* harmony import */ var _data_source_factory_base__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(858);






class FederationDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_3__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.queries = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dataSourceJSON.Queries, json => new QueryNode(json, serializer));
        this.context = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dataSourceJSON.Context, json => new ContextItem(json, serializer));
        this.sources = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dataSourceJSON.Sources, json => new Source(json, serializer));
        this.hasCalculatedFields = true;
        this.supportDataMembers = true;
    }
    getInfo() {
        return _metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_4__/* .federationDataSourceSerializationsInfo */ .K8;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultFederationDataSourceName';
    }
    _getDefaultItemType() {
        return 'FederationDataSource';
    }
}
class QueryNode extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    get queryType() { return this._queryType(); }
    constructor(json = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(json, serializer);
    }
    getInfo() {
        return _metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_4__/* .queryNodeSerializationsInfo */ .MO;
    }
    _getDefaultItemType() {
        return 'QueryNode';
    }
}
class ContextItem extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(json = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(json, serializer);
        this.source = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        for (let key in _data_source_factory_base__WEBPACK_IMPORTED_MODULE_5__/* ._baseDataSourceTypesMap */ .D) {
            var dataSourceJson = json[key];
            if (dataSourceJson !== undefined) {
                this.source(new _data_source_factory_base__WEBPACK_IMPORTED_MODULE_5__/* ._baseDataSourceTypesMap */ .D[key](dataSourceJson || {}));
                break;
            }
        }
    }
    getInfo() {
        return _metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_4__/* .contextItemSerializationsInfo */ .cE;
    }
    _getDefaultItemType() {
        return 'ContextItem';
    }
}
class Source extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(json = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(json, serializer);
    }
    getInfo() {
        return _metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_4__/* .sourceSerializationsInfo */ .Ro;
    }
    _getDefaultItemType() {
        return 'Source';
    }
}


/***/ }),

/***/ 2882:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  ALL_ELEMENT: () => (/* reexport */ _localizer/* ALL_ELEMENT */.D),
  DATA_POSTFIX: () => (/* reexport */ _data_controller_base/* DATA_POSTFIX */.jC),
  DEFAULT_SUBTITLE_SEPARATOR: () => (/* reexport */ _data_controller_base/* DEFAULT_SUBTITLE_SEPARATOR */.lF),
  DashboardDataIdField: () => (/* reexport */ _common/* DashboardDataIdField */.e3),
  DashboardFormatHelper: () => (/* reexport */ _format_helper/* DashboardFormatHelper */.O6),
  DataControllerFactory: () => (/* reexport */ _factory/* DataControllerFactory */.T),
  DrillThroughDataWrapper: () => (/* reexport */ _drill_through_data_wrapper/* DrillThroughDataWrapper */.K),
  GridBarCalculator: () => (/* reexport */ _grid_bar_calculator/* GridBarCalculator */.W),
  HashsetWrapper: () => (/* reexport */ _hashset_wrapper/* HashsetWrapper */.e),
  KEY_EXPR: () => (/* reexport */ _filter_element_data_controller/* KEY_EXPR */.U4),
  KpiValueMode: () => (/* reexport */ _utils/* KpiValueMode */.x6),
  LocalStorageHelper: () => (/* reexport */ _utils/* LocalStorageHelper */.H$),
  Parameter: () => (/* reexport */ _parameters/* Parameter */.k),
  ParametersCollection: () => (/* reexport */ _parameters/* ParametersCollection */.B),
  RedBlackTree: () => (/* reexport */ _utils/* RedBlackTree */.P),
  VALUE_EXPR: () => (/* reexport */ _filter_element_data_controller/* VALUE_EXPR */.KG),
  _convertNumericFormat: () => (/* reexport */ _formatter/* _convertNumericFormat */.bC),
  _convertNumericUnit: () => (/* reexport */ _formatter/* _convertNumericUnit */.ax),
  _convertToDateFormat: () => (/* reexport */ _formatter/* _convertToDateFormat */.ry),
  _convertToNumberFormat: () => (/* reexport */ _formatter/* _convertToNumberFormat */._x),
  _getSyntheticDateTimeGroupInterval: () => (/* reexport */ _formatter/* _getSyntheticDateTimeGroupInterval */.OP),
  _types: () => (/* reexport */ _formatter/* _types */.dl),
  allowSelectValue: () => (/* reexport */ _utils/* allowSelectValue */.lL),
  allowedTypesForShowPointMarkers: () => (/* reexport */ _chart_data_controller_proto/* allowedTypesForShowPointMarkers */.z),
  areNotOrderedListsEqual: () => (/* reexport */ _utils/* areNotOrderedListsEqual */.Yj),
  arrayContains: () => (/* reexport */ _utils/* arrayContains */.DQ),
  arrayEquals: () => (/* reexport */ _utils/* arrayEquals */.ng),
  asyncDebounce: () => (/* reexport */ _utils/* asyncDebounce */.g5),
  bubbleMapDataController: () => (/* reexport */ _bubble_map_data_controller/* bubbleMapDataController */.R),
  calculatePrecision: () => (/* reexport */ _formatter/* calculatePrecision */.lS),
  calculateUnitPower: () => (/* reexport */ _formatter/* calculateUnitPower */.Kb),
  cardDataController: () => (/* reexport */ _card_data_controller/* cardDataController */.l),
  chartDataController: () => (/* reexport */ _chart_data_controller/* chartDataController */.T),
  chartDataControllerBase: () => (/* reexport */ _chart_data_controller_base/* chartDataControllerBase */._),
  chartDataControllerProto: () => (/* reexport */ _chart_data_controller_proto/* chartDataControllerProto */.f),
  chartHelper: () => (/* reexport */ _chart_helper/* chartHelper */.v),
  checkArrayContainsTuple: () => (/* reexport */ _utils/* checkArrayContainsTuple */.b3),
  checkTuplesAreEqual: () => (/* reexport */ _utils/* checkTuplesAreEqual */.y5),
  checkValuesAreEqual: () => (/* reexport */ _utils/* checkValuesAreEqual */.rY),
  choroplethMapDataController: () => (/* reexport */ _choropleth_map_data_controller/* choroplethMapDataController */.j),
  constructIntervalFilterText: () => (/* reexport */ _formatter/* constructIntervalFilterText */.qz),
  contentType: () => (/* reexport */ _common/* contentType */.IM),
  convertToFormat: () => (/* reexport */ _formatter/* convertToFormat */.mL),
  dataControllerBase: () => (/* reexport */ _data_controller_base/* dataControllerBase */.K4),
  dataSlice: () => (/* reexport */ _data_slice/* dataSlice */.Z),
  dataStorage: () => (/* reexport */ _data_storage/* dataStorage */.a),
  dataStorageSpecialIds: () => (/* reexport */ _item_data_axis_point/* dataStorageSpecialIds */.p),
  debounce: () => (/* reexport */ _utils/* debounce */.sg),
  decodeHtml: () => (/* reexport */ _utils/* decodeHtml */.iT),
  deepStrictEquals: () => (/* reexport */ _utils/* deepStrictEquals */.Li),
  defaultDataControllerFactory: () => (/* reexport */ _factory/* defaultDataControllerFactory */.O),
  defaultLocalization: () => (/* reexport */ _default/* defaultLocalization */.pB),
  defaultNumericFormat: () => (/* reexport */ _formatter/* defaultNumericFormat */.G$),
  defaultPercentFormat: () => (/* reexport */ _formatter/* defaultPercentFormat */.k5),
  defaultScientificFormat: () => (/* reexport */ _formatter/* defaultScientificFormat */.eU),
  deltaValueNames: () => (/* reexport */ _item_meta_data/* deltaValueNames */.qv),
  deltaValueTypes: () => (/* reexport */ _item_meta_data/* deltaValueTypes */.Zt),
  distinct: () => (/* reexport */ _utils/* distinct */.dM),
  encodeHtml: () => (/* reexport */ _utils/* encodeHtml */.o4),
  filterElementDataController: () => (/* reexport */ _filter_element_data_controller/* filterElementDataController */.N4),
  findIndex: () => (/* reexport */ _utils/* findIndex */.SL),
  findLastIndex: () => (/* reexport */ _utils/* findLastIndex */.Kl),
  format: () => (/* reexport */ _formatter/* format */.GP),
  formatAxisValue: () => (/* reexport */ _formatter/* formatAxisValue */.Ah),
  formatByFormatInfo: () => (/* reexport */ _formatter/* formatByFormatInfo */.gZ),
  formatDateTime: () => (/* reexport */ _formatter/* formatDateTime */.r6),
  formatFilterValue: () => (/* reexport */ _formatter/* formatFilterValue */.bv),
  formatLocalizable: () => (/* reexport */ _default/* formatLocalizable */.QI),
  formatNumeric: () => (/* reexport */ _formatter/* formatNumeric */.bH),
  formatObject: () => (/* reexport */ _formatter/* formatObject */.jl),
  formatPercentValue: () => (/* reexport */ _formatter/* formatPercentValue */.Iv),
  formatScientificAxisValue: () => (/* reexport */ _formatter/* formatScientificAxisValue */.Fn),
  gaugeDataController: () => (/* reexport */ _gauge_data_controller/* gaugeDataController */.Y),
  gaugeRangeCalculator: () => (/* reexport */ _gauge_range_calculator/* gaugeRangeCalculator */.b),
  gaugeViewType: () => (/* reexport */ _utils/* gaugeViewType */.Tf),
  geoPointMapDataController: () => (/* reexport */ _geo_point_map_data_controller/* geoPointMapDataController */.Y),
  geoPointMapDataControllerBase: () => (/* reexport */ _geo_point_map_data_controller_base/* geoPointMapDataControllerBase */.N),
  getAxisFormat: () => (/* reexport */ _formatter/* getAxisFormat */.R0),
  getAxisPointValue: () => (/* reexport */ _utils/* getAxisPointValue */.$7),
  getDefaultLocalization: () => (/* reexport */ _default/* getDefaultLocalization */.$T),
  getFlagsEnumTypeValues: () => (/* reexport */ _common/* getFlagsEnumTypeValues */.pC),
  getLocalizationById: () => (/* reexport */ _default/* getLocalizationById */.Mu),
  getParentClasses: () => (/* reexport */ _utils/* getParentClasses */.fp),
  getRGBColor: () => (/* reexport */ _utils/* getRGBColor */.Vo),
  getSvgElementByTemplate: () => (/* reexport */ _utils/* getSvgElementByTemplate */.aZ),
  getTagValue: () => (/* reexport */ _utils/* getTagValue */.Gb),
  getTemplate: () => (/* reexport */ _utils/* getTemplate */.$F),
  getValueIndex: () => (/* reexport */ _utils/* getValueIndex */.Kw),
  gridDataController: () => (/* reexport */ _grid_data_controller/* gridDataController */.l),
  groupBy: () => (/* reexport */ _utils/* groupBy */.$z),
  groupByProperty: () => (/* reexport */ _utils/* groupByProperty */.WI),
  imageDataController: () => (/* reexport */ _image_data_controller/* imageDataController */.c),
  intersect: () => (/* reexport */ _utils/* intersect */.y$),
  invariantCurrencyIdentifier: () => (/* reexport */ _format_helper/* invariantCurrencyIdentifier */.Pc),
  invariantCurrencySymbol: () => (/* reexport */ _format_helper/* invariantCurrencySymbol */.a),
  isVulnerable: () => (/* reexport */ _utils/* isVulnerable */.JY),
  itemData: () => (/* reexport */ _item_data/* itemData */.k),
  itemDataAxis: () => (/* reexport */ _item_data_axis/* itemDataAxis */.D),
  itemDataAxisBuilder: () => (/* reexport */ _item_data_axis_builder/* itemDataAxisBuilder */.w),
  itemDataAxisHelper: () => (/* reexport */ _item_data_axis_helper/* itemDataAxisHelper */.J),
  itemDataAxisPoint: () => (/* reexport */ _item_data_axis_point/* itemDataAxisPoint */.T),
  itemDataManager: () => (/* reexport */ _item_data_manager/* itemDataManager */.N),
  itemDataTuple: () => (/* reexport */ _item_data_tuple/* itemDataTuple */.e),
  itemMetaData: () => (/* reexport */ _item_meta_data/* itemMetaData */.hZ),
  kpiDataController: () => (/* reexport */ _kpi_data_controller/* kpiDataController */.p),
  listSource: () => (/* reexport */ _list_source/* listSource */.K),
  listViewDataController: () => (/* reexport */ _filter_element_data_controller/* listViewDataController */.I3),
  localizationId: () => (/* reexport */ _localization_ids/* localizationId */.d),
  localizer: () => (/* reexport */ _localizer/* localizer */.O),
  mapMany: () => (/* reexport */ _utils/* mapMany */.Cv),
  minus: () => (/* reexport */ _utils/* minus */.Rd),
  moveContent: () => (/* reexport */ _utils/* moveContent */.dG),
  parseFlagsEnumType: () => (/* reexport */ _common/* parseFlagsEnumType */.iF),
  pieDataController: () => (/* reexport */ _pie_data_controller/* pieDataController */.R),
  pieMapDataController: () => (/* reexport */ _pie_map_data_controller/* pieMapDataController */.n),
  pivotArea: () => (/* reexport */ _utils/* pivotArea */.A_),
  pivotAreaNames: () => (/* reexport */ _item_data_axis_builder/* pivotAreaNames */.e),
  pivotDataController: () => (/* reexport */ _pivot_data_controller/* pivotDataController */.z),
  pxToNumber: () => (/* reexport */ _utils/* pxToNumber */.jz),
  rangeFilterDataController: () => (/* reexport */ _range_filter_data_controller/* rangeFilterDataController */.Y),
  renderImage: () => (/* reexport */ _utils/* renderImage */.mx),
  scatterChartDataController: () => (/* reexport */ _scatter_chart_data_controller/* scatterChartDataController */.p),
  selectionHelper: () => (/* reexport */ _selection_helper/* selectionHelper */.x),
  serializeFlagsEnumType: () => (/* reexport */ _common/* serializeFlagsEnumType */.dU),
  setLocalization: () => (/* reexport */ _localization_initializer/* setLocalization */.E),
  sliceRepository: () => (/* reexport */ _data_slice/* sliceRepository */.N),
  strictEquals: () => (/* reexport */ _utils/* strictEquals */.nx),
  tagValuesProvider: () => (/* reexport */ tagValuesProvider),
  textItemDataController: () => (/* reexport */ _text_item_data_controller/* textItemDataController */.r),
  toColor: () => (/* reexport */ _utils/* toColor */.VR),
  tooltipContainerSelector: () => (/* reexport */ _utils/* tooltipContainerSelector */.eX),
  treeViewDataController: () => (/* reexport */ _filter_element_data_controller/* treeViewDataController */.eE),
  treeWalker: () => (/* reexport */ _utils/* treeWalker */.lx),
  treemapDataController: () => (/* reexport */ _treemap_data_controller/* treemapDataController */.j),
  tryLocalize: () => (/* reexport */ _default/* tryLocalize */.HH),
  type: () => (/* reexport */ _utils/* type */.NW),
  union: () => (/* reexport */ _utils/* union */.KC),
  unwrapSpecialNullValue: () => (/* reexport */ _utils/* unwrapSpecialNullValue */.rD),
  viewerActions: () => (/* reexport */ _common/* viewerActions */.qH),
  wrapHash: () => (/* reexport */ _utils/* wrapHash */.RS)
});

// EXTERNAL MODULE: ./dist/data/localization/_localization-initializer.js + 1 modules
var _localization_initializer = __webpack_require__(7228);
// EXTERNAL MODULE: ./dist/data/_format-helper.js
var _format_helper = __webpack_require__(5558);
// EXTERNAL MODULE: ./dist/data/data-controllers/_bubble-map-data-controller.js
var _bubble_map_data_controller = __webpack_require__(8478);
// EXTERNAL MODULE: ./dist/data/data-controllers/_card-data-controller.js
var _card_data_controller = __webpack_require__(2757);
// EXTERNAL MODULE: ./dist/data/data-controllers/_chart-data-controller.js
var _chart_data_controller = __webpack_require__(7975);
// EXTERNAL MODULE: ./dist/data/data-controllers/_chart-data-controller-base.js
var _chart_data_controller_base = __webpack_require__(1869);
// EXTERNAL MODULE: ./dist/data/data-controllers/_chart-data-controller-proto.js
var _chart_data_controller_proto = __webpack_require__(6224);
// EXTERNAL MODULE: ./dist/data/data-controllers/_choropleth-map-data-controller.js
var _choropleth_map_data_controller = __webpack_require__(6306);
// EXTERNAL MODULE: ./dist/data/data-controllers/_data-controller-base.js
var _data_controller_base = __webpack_require__(814);
// EXTERNAL MODULE: ./dist/data/data-controllers/_filter-element-data-controller.js
var _filter_element_data_controller = __webpack_require__(3708);
// EXTERNAL MODULE: ./dist/data/data-controllers/_gauge-data-controller.js
var _gauge_data_controller = __webpack_require__(3944);
// EXTERNAL MODULE: ./dist/data/data-controllers/_geo-point-map-data-controller.js
var _geo_point_map_data_controller = __webpack_require__(4214);
// EXTERNAL MODULE: ./dist/data/data-controllers/_geo-point-map-data-controller-base.js
var _geo_point_map_data_controller_base = __webpack_require__(5462);
// EXTERNAL MODULE: ./dist/data/data-controllers/_grid-data-controller.js
var _grid_data_controller = __webpack_require__(7275);
// EXTERNAL MODULE: ./dist/data/data-controllers/_image-data-controller.js
var _image_data_controller = __webpack_require__(1338);
// EXTERNAL MODULE: ./dist/data/data-controllers/_kpi-data-controller.js
var _kpi_data_controller = __webpack_require__(1461);
// EXTERNAL MODULE: ./dist/data/data-controllers/_pie-data-controller.js
var _pie_data_controller = __webpack_require__(5781);
// EXTERNAL MODULE: ./dist/data/data-controllers/_pie-map-data-controller.js
var _pie_map_data_controller = __webpack_require__(4018);
// EXTERNAL MODULE: ./dist/data/data-controllers/_pivot-data-controller.js
var _pivot_data_controller = __webpack_require__(4395);
// EXTERNAL MODULE: ./dist/data/data-controllers/_range-filter-data-controller.js
var _range_filter_data_controller = __webpack_require__(9645);
// EXTERNAL MODULE: ./dist/data/data-controllers/_scatter-chart-data-controller.js
var _scatter_chart_data_controller = __webpack_require__(8088);
// EXTERNAL MODULE: ./dist/data/data-controllers/_text-item-data-controller.js
var _text_item_data_controller = __webpack_require__(6390);
// EXTERNAL MODULE: ./dist/data/data-controllers/_treemap-data-controller.js
var _treemap_data_controller = __webpack_require__(1253);
// EXTERNAL MODULE: ./dist/data/data-storage/_data-slice.js
var _data_slice = __webpack_require__(3754);
// EXTERNAL MODULE: ./dist/data/data-storage/_data-storage.js
var _data_storage = __webpack_require__(1569);
// EXTERNAL MODULE: ./dist/data/drill-through-data/_drill-through-data-wrapper.js
var _drill_through_data_wrapper = __webpack_require__(8015);
// EXTERNAL MODULE: ./dist/data/item-data/internal/_item-data-axis-builder.js
var _item_data_axis_builder = __webpack_require__(6713);
// EXTERNAL MODULE: ./dist/data/item-data/internal/_item-data-axis-helper.js
var _item_data_axis_helper = __webpack_require__(2456);
// EXTERNAL MODULE: ./dist/data/item-data/internal/_item-data-manager.js
var _item_data_manager = __webpack_require__(6655);
// EXTERNAL MODULE: ./dist/data/item-data/internal/_item-meta-data.js
var _item_meta_data = __webpack_require__(7749);
// EXTERNAL MODULE: ./dist/data/item-data/_item-data.js
var _item_data = __webpack_require__(5069);
// EXTERNAL MODULE: ./dist/data/item-data/_item-data-axis.js
var _item_data_axis = __webpack_require__(475);
// EXTERNAL MODULE: ./dist/data/item-data/_item-data-axis-point.js
var _item_data_axis_point = __webpack_require__(5720);
// EXTERNAL MODULE: ./dist/data/item-data/_item-data-tuple.js
var _item_data_tuple = __webpack_require__(786);
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
// EXTERNAL MODULE: ./dist/data/_chart-helper.js
var _chart_helper = __webpack_require__(9361);
// EXTERNAL MODULE: ./dist/data/_common.js
var _common = __webpack_require__(7739);
// EXTERNAL MODULE: ./dist/data/_factory.js
var _factory = __webpack_require__(1286);
// EXTERNAL MODULE: ./dist/data/_formatter.js
var _formatter = __webpack_require__(6726);
// EXTERNAL MODULE: ./dist/data/_gauge-range-calculator.js
var _gauge_range_calculator = __webpack_require__(2472);
// EXTERNAL MODULE: ./dist/data/_grid-bar-calculator.js
var _grid_bar_calculator = __webpack_require__(1051);
// EXTERNAL MODULE: ./dist/data/_hashset-wrapper.js
var _hashset_wrapper = __webpack_require__(6570);
// EXTERNAL MODULE: ./dist/data/_list-source.js
var _list_source = __webpack_require__(2058);
// EXTERNAL MODULE: ./dist/data/_localization-ids.js
var _localization_ids = __webpack_require__(4216);
// EXTERNAL MODULE: ./dist/data/_localizer.js
var _localizer = __webpack_require__(4999);
// EXTERNAL MODULE: ./dist/data/_parameters.js
var _parameters = __webpack_require__(1386);
// EXTERNAL MODULE: ./dist/data/_selection-helper.js
var _selection_helper = __webpack_require__(3423);
;// ./dist/data/_tag-values-provider.js
let tagValuesProvider = {
    getTag: function (listSource, tagDataMembers, rowIndex) {
        var values = null;
        if (tagDataMembers === null)
            return values;
        values = [];
        for (var i = 0; i < tagDataMembers.length; i++) {
            values.push(listSource.getRowValue(rowIndex, tagDataMembers[i]));
        }
        return this.getTagByValues(values);
    },
    getTagByValues: function (values) {
        if (!values || values.length === 0)
            return null;
        return values;
    }
};

// EXTERNAL MODULE: ./dist/data/_utils.js
var _utils = __webpack_require__(4833);
;// ./dist/data/index.internal.js






















































/***/ }),

/***/ 2896:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  u: () => (/* binding */ MongoDBDataSource)
});

// UNUSED EXPORTS: MongoDBQuery

// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/internal/_knockout-utils.js
var _knockout_utils = __webpack_require__(1041);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/data-sources/data-source.js
var data_source = __webpack_require__(6844);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
// EXTERNAL MODULE: ./dist/model/data-sources/metadata/_data-source.js
var _data_source = __webpack_require__(3689);
;// ./dist/model/data-sources/metadata/_mongodb-data-source.js


let mongoDBDataSourceSerializationsInfo = _data_source/* dataSourceSerializationsInfo */.v.concat([]);
let mongoQueryAliasProperty = { propertyName: 'alias', modelName: '@Alias' };
let collectionNameProperty = { propertyName: 'collectionName', modelName: '@CollectionName' };
let mongoDBQuerySerializationsInfo = [_base_metadata/* itemType */.YG, mongoQueryAliasProperty, collectionNameProperty];

;// ./dist/model/data-sources/mongodb-data-source.js





class MongoDBDataSource extends data_source/* DataSource */.q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.queries = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(dataSourceJSON.Queries, json => new MongoDBQuery(json, serializer));
        this.hasCalculatedFields = true;
        this.supportDataMembers = true;
    }
    getInfo() {
        return mongoDBDataSourceSerializationsInfo;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultMongoDBDataSourceName';
    }
    _getDefaultItemType() {
        return 'MongoDBDataSource';
    }
}
class MongoDBQuery extends serializable_model/* SerializableModel */.Lm {
    constructor(json = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(json, serializer);
        this._actualName = (0,_knockout_utils/* safeComputed */.Tq)({ alias: this.alias, collectionName: this.collectionName }, (args) => {
            return args.alias || args.collectionName;
        });
    }
    getInfo() {
        return mongoDBQuerySerializationsInfo;
    }
    _getDefaultItemType() {
        return 'Query';
    }
}


/***/ }),

/***/ 2910:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ PivotItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _data_item_measure__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6779);
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(158);
/* harmony import */ var _data_item_window_definition_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5809);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1513);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(9692);
/* harmony import */ var _metadata_pivot_item__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1069);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










class PivotItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_8__/* .DataDashboardItem */ .s {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.columns = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.rows = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.values = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.__columns = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Columns, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer));
        this.__rows = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Rows, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer));
        this.__values = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Values, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_9__/* .pivotColumns */ .Gb, _metadata_pivot_item__WEBPACK_IMPORTED_MODULE_9__/* .pivotRows */ .aX, _metadata_pivot_item__WEBPACK_IMPORTED_MODULE_9__/* .pivotValues */ .Ve);
        this.addDisposable(this.__values.subscribe((newValue) => {
            this._setCustomOptionsPropertyOnMeasures(newValue);
            this._setLinkCollectionAcceptableShapingType(newValue, _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String);
        }));
        this.addDisposable(this.__rows.subscribe((newValue) => {
            this._setCustomOptionsPropertyOnDimensions(newValue);
        }));
        this.addDisposable(this.__columns.subscribe((newValue) => {
            this._setCustomOptionsPropertyOnDimensions(newValue);
        }));
        this._setCustomOptionsPropertyOnMeasures(this.__values());
        this._setLinkCollectionAcceptableShapingType(this.__values(), _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String);
        this._setCustomOptionsPropertyOnDimensions(this.__rows());
        this._setCustomOptionsPropertyOnDimensions(this.__columns());
        this.addDisposable(this.autoExpandColumnGroups.subscribe((newValue) => {
            this._expandingManager.resetExpandingParams();
            this._expandingManager.resetColumnViewState(newValue);
        }));
        this.addDisposable(this.autoExpandRowGroups.subscribe((newValue) => {
            this._expandingManager.resetExpandingParams();
            this._expandingManager.resetRowViewState(newValue);
        }));
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__columns);
        this.disposeObservableArray(this.__rows);
        this.disposeObservableArray(this.__values);
        this.__columns.removeAll();
        this.__rows.removeAll();
        this.__values.removeAll();
    }
    _getInfoCore() {
        return _metadata_pivot_item__WEBPACK_IMPORTED_MODULE_9__/* .pivotDashboardItemSerializationsInfo */ .h$;
    }
    _canChangeDataItemVisibilityOptions(dataItem) {
        return this.__values().some(value => value.dataItem() === dataItem) || this.__rows().some(value => value.dataItem() === dataItem) || this.__columns().some(value => value.dataItem() === dataItem);
    }
    _isTotalsVisibilityOptionEnabled(dataItem) {
        if (dataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_3__/* .Measure */ .t)
            return true;
        var localRows = this.__rows();
        if (localRows.length > 0 && localRows.some(row => row.dataItem() == dataItem)) {
            return localRows.length > 0 && this.layoutType() != 'Compact' && dataItem != localRows[localRows.length - 1].dataItem();
        }
        var localColumns = this.__columns();
        return localColumns.length > 0 && localColumns.some(column => column.dataItem() == dataItem) && dataItem != localColumns[localColumns.length - 1].dataItem();
    }
    _setCustomOptionsPropertyOnMeasures(links) {
        links.forEach((value) => {
            value._specifics.customOptionsProperties = [{
                    serializationInfo: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_4__/* .showValues */ .g
                }, {
                    serializationInfo: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_4__/* .showTotals */ .Ly
                }, {
                    serializationInfo: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_4__/* .showGrandTotals */ .z9
                }];
        });
    }
    _setCustomOptionsPropertyOnDimensions(links) {
        links.forEach((row) => {
            row._specifics.customOptionsProperties = [{
                    serializationInfo: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_4__/* .showTotals */ .Ly,
                    filter: (dataItem) => { return this._canChangeDataItemVisibilityOptions(dataItem); },
                    disabledRule: (dataItem) => { return !this._isTotalsVisibilityOptionEnabled(dataItem); }
                }];
        });
    }
    _getDefaultItemType() {
        return 'Pivot';
    }
    _extendContentState(content) {
        content.PivotExpandViewState = this._expandingManager.getPivotExpandViewState();
    }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_5__/* .PivotWindowDefinition */ .k();
    }
    _getIsVisualInteractivitySupported() { return false; }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_6__/* .collectionItemType */ .s)('Column')
], PivotItem.prototype, "__columns", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_6__/* .collectionItemType */ .s)('Row')
], PivotItem.prototype, "__rows", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_6__/* .collectionItemType */ .s)('Value')
], PivotItem.prototype, "__values", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_7__/* .itemTypesMap */ .Jh['Pivot'] = { type: PivotItem, groupName: 'common', title: 'DashboardStringId.DefaultNamePivotItem', index: 20 };


/***/ }),

/***/ 2951:
/***/ ((module) => {

module.exports = DevExpress.data.DataSource;

/***/ }),

/***/ 2953:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Yx: () => (/* binding */ ValueMap),
/* harmony export */   fB: () => (/* binding */ DeltaMap),
/* harmony export */   hx: () => (/* binding */ ChoroplethMap)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item_container__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6465);
/* harmony import */ var _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7766);



class ChoroplethMap extends _data_item_container__WEBPACK_IMPORTED_MODULE_1__/* .DataItemContainer */ .L {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this._displayNameSeparator = 'vs';
    }
}
class ValueMap extends ChoroplethMap {
    constructor(dataItemProvider, modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .chorolpethMapValue */ .ek.propertyName);
    }
    _getInfoCore() {
        return _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .valueMapSerializationsInfo */ .ty;
    }
    _getDataId() {
        return this.value() && this.value().uniqueName() || null;
    }
    _getBindingModel() {
        return [
            {
                propertyName: _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .chorolpethMapValue */ .ek.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardWebStringId.Binding.SetValue'
            }
        ];
    }
    _getDefaultItemType() { return 'ValueMap'; }
}
class DeltaMap extends ChoroplethMap {
    constructor(dataItemProvider, modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .deltaMapActualValue */ .cF.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .deltaMapTargetValue */ .ZG.propertyName);
    }
    _getInfoCore() {
        return _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .deltaMapSerializationsInfo */ .k5;
    }
    _getDataId() {
        var dataItem = this.actualValue() && this.targetValue();
        return dataItem && dataItem.uniqueName() || null;
    }
    _getBindingModel() {
        return [
            {
                propertyName: _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .deltaMapActualValue */ .cF.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.ActualValueCaption'
            },
            {
                propertyName: _metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_2__/* .deltaMapTargetValue */ .ZG.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.TargetValueCaption'
            }
        ];
    }
    _getDefaultItemType() { return 'DeltaMap'; }
}


/***/ }),

/***/ 2972:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BI: () => (/* binding */ areArraysEqual),
/* harmony export */   Oo: () => (/* binding */ compareNotOrderedArrays),
/* harmony export */   Wp: () => (/* binding */ findClosestItemIndex),
/* harmony export */   nK: () => (/* binding */ arrayInsert),
/* harmony export */   ng: () => (/* binding */ arrayEquals),
/* harmony export */   ww: () => (/* binding */ compareArrays)
/* harmony export */ });
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);

function arrayEquals(array1, array2) {
    return (0,_data_utils__WEBPACK_IMPORTED_MODULE_0__/* .arrayEquals */ .ng)(array1, array2);
}
function arrayInsert(a, insertion, position) {
    return a.slice(0, position).concat(insertion, a.slice(position, a.length));
}
function areArraysEqual(arr1 = [], arr2 = []) {
    return arr1.length === arr2.length && arr1.every((val, index) => val === arr2[index]);
}
function compareArrays(array1, array2, predicate = (a, b) => a === b) {
    if (array1.length !== array2.length)
        return false;
    for (var i = 0; i < array1.length; i++) {
        if (!predicate(array1[i], array2[i]))
            return false;
    }
    return true;
}
function compareNotOrderedArrays(array1, array2, predicate = (a, b) => a === b) {
    if (array1.length !== array2.length)
        return false;
    for (var i = 0; i < array1.length; i++) {
        if (!array2.some(array => predicate(array1[i], array)))
            return false;
    }
    return true;
}
function findClosestItemIndex(array, predicate) {
    var resultIndex = array.length;
    array.some((element, index) => {
        if (predicate(element)) {
            resultIndex = index;
            return true;
        }
        return false;
    });
    return resultIndex;
}


/***/ }),

/***/ 2991:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Widgets;

/***/ }),

/***/ 3024:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ emptyStyleType),
/* harmony export */   i: () => (/* binding */ styleSettingsBaseSerializationsInfo)
/* harmony export */ });
let emptyStyleType = 'None';
let styleSettingsBaseSerializationsInfo = [];


/***/ }),

/***/ 3052:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ EFDataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6844);
/* harmony import */ var _metadata_ef_data_source__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7195);




class EFDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_2__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this._tables = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.hasCalculatedFields = true;
        this.supportDataMembers = true;
    }
    getInfo() {
        return _metadata_ef_data_source__WEBPACK_IMPORTED_MODULE_3__/* .efDataSourceSerializationsInfo */ ._;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultEFDataSourceName';
    }
    _getDefaultItemType() {
        return 'EFDataSource';
    }
}


/***/ }),

/***/ 3073:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   o: () => (/* binding */ RangeSet)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _metadata_range_set__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8288);
/* harmony import */ var _range_info__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4633);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





class RangeSet extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.ranges = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Ranges, (range) => new _range_info__WEBPACK_IMPORTED_MODULE_4__/* .RangeInfo */ .c(range, serializer));
    }
    dispose() {
        super.dispose();
        this.disposeObservableArray(this.ranges);
    }
    getInfo() {
        return _metadata_range_set__WEBPACK_IMPORTED_MODULE_3__/* .rangeSetSerializationsInfo */ .d;
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_1__/* .collectionItemType */ .s)('RangeInfo')
], RangeSet.prototype, "ranges", void 0);


/***/ }),

/***/ 3085:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ formatConditionBaseSerializationsInfo)
/* harmony export */ });
let formatConditionBaseSerializationsInfo = [];


/***/ }),

/***/ 3090:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ calculationSerializationsInfo)
/* harmony export */ });
let calculationSerializationsInfo = [];


/***/ }),

/***/ 3131:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ runningTotalCalculationSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8675);
/* harmony import */ var _moving_calculation__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7685);


let runningTotalCalculationSerializationsInfo = _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .measureCalculationSerializationsInfo */ .d.concat([_moving_calculation__WEBPACK_IMPORTED_MODULE_0__/* .summaryType */ .Rb]);


/***/ }),

/***/ 3151:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ SpecificWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2972);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8588);
/* harmony import */ var _data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1923);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1105);
/* harmony import */ var _metadata_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3510);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






class SpecificWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.dimensions = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson && modelJson.Dimensions, (item) => {
            return new _data_item__WEBPACK_IMPORTED_MODULE_3__/* .DataItemLink */ .Kz(null, item, serializer);
        });
    }
    getInfo() {
        var dimensionsInfo = _metadata_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_5__/* .sliceTableDimensions */ .g;
        if (!!this._dimensionsInfoPatcher) {
            dimensionsInfo = this._dimensionsInfoPatcher(dimensionsInfo);
        }
        return super.getInfo().concat([dimensionsInfo]);
    }
    equals(def) {
        return (def instanceof SpecificWindowDefinition) &&
            (0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_1__/* .compareNotOrderedArrays */ .Oo)(this.dimensions(), def.dimensions(), (d1, d2) => d1.uniqueName() === d2.uniqueName());
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_2__/* .collectionItemType */ .s)('Dimension')
], SpecificWindowDefinition.prototype, "dimensions", void 0);
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .windowDefinitionsTypesMap */ .I['SpecificWindowDefinition'] = SpecificWindowDefinition;


/***/ }),

/***/ 3184:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ pieDefinitionMode),
/* harmony export */   z: () => (/* binding */ pieWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let pieDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Series', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Arguments': 'DashboardStringId.PieCalculationAlongArguments',
        'Series': 'DashboardStringId.PieCalculationAlongSeries',
        'ArgumentsAndSeries': 'DashboardStringId.PieCalculationAlongArgumentsAndSeries',
        'SeriesAndArguments': 'DashboardStringId.PieCalculationAlongSeriesAndArguments'
    }
};
let pieWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([pieDefinitionMode]);


/***/ }),

/***/ 3242:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ ScatterChartItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _data_item_window_definition_scatter_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(996);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8588);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4904);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1513);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9692);
/* harmony import */ var _metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4429);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









class ScatterChartItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DataDashboardItem */ .s {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.arguments = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.__arguments = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Dimensions, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_8__/* .scatterArgumentsMeta */ .u5);
        this.addDisposable(this.__arguments.subscribe((newValue) => {
            _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DataDashboardItem */ .s._addColoringMeta(newValue);
        }));
        _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DataDashboardItem */ .s._addColoringMeta(this.__arguments());
        this._attachDataItem(this, _metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_8__/* .scatterChartWeight */ .Jb.propertyName);
        this._attachDataItem(this, _metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_8__/* .axisXMeasure */ .sZ.propertyName);
        this._attachDataItem(this, _metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_8__/* .axisYMeasure */ .hm.propertyName);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__arguments);
        this.__arguments.removeAll();
    }
    _getInfoCore() {
        return _metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_8__/* .scatterChartDashboardItemSerializationsInfo */ .fI;
    }
    _isCalculationSupported() {
        return true;
    }
    _getDefaultItemType() {
        return 'ScatterChart';
    }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return this.interactivityOptions.isDrillDownEnabled(); }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getInteractivityDimensionLinks() { return this.__arguments(); }
    _getCanColorByMeasures() { return false; }
    _getCanColorByDimensions() { return true; }
    _getColorizableDataItemsInfo() {
        return [{
                items: this.__arguments(),
                prefixId: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__/* .BindingSectionTitles */ .Uo.Arguments
            }];
    }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_scatter_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__/* .ScatterWindowDefinition */ .k();
    }
    _isSortingEnabled() {
        return false;
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_4__/* .collectionItemType */ .s)('Dimension')
], ScatterChartItem.prototype, "__arguments", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_6__/* .itemTypesMap */ .Jh['ScatterChart'] = { type: ScatterChartItem, groupName: 'common', title: 'DashboardStringId.DefaultNameScatterChartItem', index: 50 };


/***/ }),

/***/ 3253:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ FormItemTemplates)
/* harmony export */ });
/* harmony import */ var devextreme_ui_button_group__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(987);
/* harmony import */ var devextreme_ui_button_group__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_ui_button_group__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);


class FormItemTemplates {
}
FormItemTemplates.buttonGroup = (args) => {
    const div = document.createElement('div');
    if (!!args?.editorOptions?.items)
        args.editorOptions.items.forEach(x => x.hint = x.text);
    const options = {
        width: '100%',
        onSelectionChanged: e => args.component.updateData(args.dataField, e.component.option('selectedItemKeys')[0]),
        selectedItemKeys: [knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(args.component.option('formData')[args.dataField])],
        ...args.editorOptions
    };
    new (devextreme_ui_button_group__WEBPACK_IMPORTED_MODULE_0___default())(div, options);
    return div;
};


/***/ }),

/***/ 3272:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $O: () => (/* binding */ dataItemNumericFormatSerializationsInfo),
/* harmony export */   Bq: () => (/* binding */ dataItemDateTimeFormatSerializationsInfo),
/* harmony export */   CP: () => (/* binding */ namelessHourFormat),
/* harmony export */   Ed: () => (/* binding */ customFormatString),
/* harmony export */   Ee: () => (/* binding */ dataItemCurrencyCultureName),
/* harmony export */   Fz: () => (/* binding */ precision),
/* harmony export */   G5: () => (/* binding */ monthFormat),
/* harmony export */   HA: () => (/* binding */ percentOfTargetNumericFormatSerializationsInfo),
/* harmony export */   J4: () => (/* binding */ includeGroupSeparator),
/* harmony export */   JV: () => (/* binding */ yearFormat),
/* harmony export */   Lm: () => (/* binding */ dayOfWeekFormat),
/* harmony export */   Oi: () => (/* binding */ hourFormat),
/* harmony export */   S4: () => (/* binding */ namelessDateFormat),
/* harmony export */   Uh: () => (/* binding */ percentVariationNumericFormatSerializationsInfo),
/* harmony export */   Xe: () => (/* binding */ exactDateFormat),
/* harmony export */   YL: () => (/* binding */ quarterFormat),
/* harmony export */   Yg: () => (/* binding */ dateTimeWithSecondsFormat),
/* harmony export */   ab: () => (/* binding */ namelessDateHourFormat),
/* harmony export */   cz: () => (/* binding */ formatTypeValues),
/* harmony export */   di: () => (/* binding */ namelessDayOfWeekFormat),
/* harmony export */   gY: () => (/* binding */ namelessDateHourMinuteFormat),
/* harmony export */   hg: () => (/* binding */ namelessExactDateFormat),
/* harmony export */   i$: () => (/* binding */ dateFormat),
/* harmony export */   i3: () => (/* binding */ absoluteVariationNumericFormatSerializationsInfo),
/* harmony export */   lT: () => (/* binding */ namelessQuarterFormat),
/* harmony export */   mC: () => (/* binding */ dateHourFormat),
/* harmony export */   o1: () => (/* binding */ namelessDateTimeWithSecondsFormat),
/* harmony export */   qA: () => (/* binding */ namelessMonthFormat),
/* harmony export */   sV: () => (/* binding */ dateHourMinuteFormat),
/* harmony export */   sg: () => (/* binding */ formatType),
/* harmony export */   xw: () => (/* binding */ namelessYearFormat),
/* harmony export */   zA: () => (/* binding */ unit)
/* harmony export */ });
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);


let formatTypeValues = {
    'Auto': 'DashboardStringId.NumericFormatFormatTypeAutoCaption',
    'General': 'DashboardStringId.NumericFormatFormatTypeGeneralCaption',
    'Number': 'DashboardStringId.NumericFormatFormatTypeNumberCaption',
    'Currency': 'DashboardStringId.NumericFormatFormatTypeCurrencyCaption',
    'Scientific': 'DashboardStringId.NumericFormatFormatTypeScientificCaption',
    'Percent': 'DashboardStringId.NumericFormatFormatTypePercentCaption',
    'Custom': 'Custom'
};
let customFormatString = { propertyName: 'customFormatString', modelName: '@CustomFormatString', displayName: 'Custom Format String', simpleFormAdapterItem: 'textBoxEditor' };
let formatType = { propertyName: 'formatType', modelName: '@FormatType', displayName: 'DashboardWebStringId.FormatType', simpleFormAdapterItem: 'selectBoxEditor', values: formatTypeValues };
let unit = {
    propertyName: 'unit', modelName: '@Unit', displayName: 'DashboardStringId.NumericFormatUnitCaption', defaultVal: 'Auto', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Auto': 'DashboardStringId.NumericFormatUnitAutoCaption',
        'Ones': 'DashboardStringId.NumericFormatUnitOnesCaption',
        'Thousands': 'DashboardStringId.NumericFormatUnitThousandsCaption',
        'Millions': 'DashboardStringId.NumericFormatUnitMillionsCaption',
        'Billions': 'DashboardStringId.NumericFormatUnitBillionsCaption'
    }
};
let precision = { propertyName: 'precision', modelName: '@Precision', displayName: 'DashboardWebStringId.DataItem.Precision', simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1, validationRules: [{ type: 'custom', validationCallback: (options) => { return options.value >= 0; }, message: "Precision shouldn't be negative." }] };
let includeGroupSeparator = { propertyName: 'includeGroupSeparator', modelName: '@IncludeGroupSeparator', displayName: 'DashboardWebStringId.DataItem.IncludeGroupSeparator', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataItemCurrencyCultureName = { propertyName: 'currencyCultureName', modelName: '@CurrencyCultureName', displayName: 'DashboardStringId.NumericFormatFormatTypeCurrencyCaption', defaultVal: null };
const getNumericFormat = (defaultFormatType, defaultPrecision) => ([{
        ...formatType,
        defaultVal: defaultFormatType,
    },
    unit,
    {
        ...precision,
        defaultVal: defaultPrecision,
    },
    includeGroupSeparator,
    dataItemCurrencyCultureName,
    customFormatString
]);
let dataItemNumericFormatSerializationsInfo = getNumericFormat('Auto', 2);
let absoluteVariationNumericFormatSerializationsInfo = getNumericFormat('Number', 0);
let percentVariationNumericFormatSerializationsInfo = getNumericFormat('Percent', 2);
let percentOfTargetNumericFormatSerializationsInfo = getNumericFormat('Percent', 2);
let yearFormat = {
    propertyName: 'yearFormat', modelName: '@YearFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatYearFormatDefaultCaption',
        'Full': 'DashboardStringId.DateTimeFormatYearFormatFullCaption',
        'Abbreviated': 'DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption'
    }
};
let namelessYearFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, yearFormat);
delete namelessYearFormat.displayName;
let quarterFormat = {
    propertyName: 'quarterFormat', modelName: '@QuarterFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption',
        'Numeric': 'DashboardStringId.DateTimeFormatQuarterFormatNumericCaption',
        'Full': 'DashboardStringId.DateTimeFormatQuarterFormatFullCaption'
    }
};
let namelessQuarterFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, quarterFormat);
delete namelessQuarterFormat.displayName;
let monthFormat = {
    propertyName: 'monthFormat', modelName: '@MonthFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatMonthFormatDefaultCaption',
        'Full': 'DashboardStringId.DateTimeFormatMonthFormatFullCaption',
        'Abbreviated': 'DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption',
        'Numeric': 'DashboardStringId.DateTimeFormatMonthFormatNumericCaption'
    }
};
let namelessMonthFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, monthFormat);
delete namelessMonthFormat.displayName;
let dayOfWeekFormat = {
    propertyName: 'dayOfWeekFormat', modelName: '@DayOfWeekFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'listEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption',
        'Full': 'DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption',
        'Abbreviated': 'DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption',
        'Numeric': 'DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption'
    }
};
let namelessDayOfWeekFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, dayOfWeekFormat);
delete namelessDayOfWeekFormat.displayName;
let dateFormat = {
    propertyName: 'dateFormat', modelName: '@DateFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatDateFormatDefaultCaption',
        'Long': 'DashboardStringId.DateTimeFormatDateFormatLongCaption',
        'Short': 'DashboardStringId.DateTimeFormatDateFormatShortCaption'
    }
};
let namelessDateFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, dateFormat);
delete namelessDateFormat.displayName;
let dateHourFormat = {
    propertyName: 'dateHourFormat', modelName: '@DateHourFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption',
        'Long': 'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption',
        'Short': 'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption',
        'TimeOnly': 'DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption'
    }
};
let namelessDateHourFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, dateHourFormat);
delete namelessDateHourFormat.displayName;
let dateHourMinuteFormat = {
    propertyName: 'dateHourMinuteFormat', modelName: '@DateHourMinuteFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption',
        'Long': 'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption',
        'Short': 'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption',
        'TimeOnly': 'DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption'
    }
};
let namelessDateHourMinuteFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, dateHourMinuteFormat);
delete namelessDateHourMinuteFormat.displayName;
let dateTimeWithSecondsFormat = {
    propertyName: 'dateTimeFormat', modelName: '@DateTimeFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption',
        'Long': 'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption',
        'Short': 'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption',
        'TimeOnly': 'DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption'
    }
};
let namelessDateTimeWithSecondsFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, dateTimeWithSecondsFormat);
delete namelessDateTimeWithSecondsFormat.displayName;
let hourFormat = {
    propertyName: 'hourFormat', modelName: '@HourFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption',
        'Short': 'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption',
        'Long': 'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption'
    }
};
let namelessHourFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, hourFormat);
delete namelessHourFormat.displayName;
let exactDateFormat = {
    propertyName: 'exactDateFormat', modelName: '@ExactDateFormat', displayName: 'DashboardWebStringId.FormatType', defaultVal: 'Day', simpleFormAdapterItem: 'listEditor', values: {
        'Year': 'DashboardStringId.ExactDateFormatYear',
        'Quarter': 'DashboardStringId.ExactDateFormatQuarter',
        'Month': 'DashboardStringId.ExactDateFormatMonth',
        'Day': 'DashboardStringId.ExactDateFormatDay',
        'Hour': 'DashboardStringId.ExactDateFormatHour',
        'Minute': 'DashboardStringId.ExactDateFormatMinute',
        'Second': 'DashboardStringId.ExactDateFormatSecond'
    }
};
let namelessExactDateFormat = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)({}, exactDateFormat);
delete namelessExactDateFormat.displayName;
let dataItemDateTimeFormatSerializationsInfo = [yearFormat, quarterFormat, monthFormat, dayOfWeekFormat, dateFormat, dateHourFormat, dateHourMinuteFormat, dateTimeWithSecondsFormat, hourFormat, exactDateFormat];


/***/ }),

/***/ 3313:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ groupItemSerializationInfo)
/* harmony export */ });
/* harmony import */ var _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3888);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9282);


let groupItemSerializationInfo = _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_0__/* .dashboardItemSerializationsInfo */ .xg.concat([_options_interactivity_options__WEBPACK_IMPORTED_MODULE_1__/* ._groupItemInteractivityOptionsMeta */ .kb]);


/***/ }),

/***/ 3347:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ LayoutDimensionOptions)
/* harmony export */ });
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1513);

class LayoutDimensionOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .SerializableModel */ .Lm {
    constructor(model, serializer, info) {
        super(model, serializer, info);
    }
}


/***/ }),

/***/ 3359:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IV: () => (/* binding */ dateTimePeriodSerializationsInfo),
/* harmony export */   Lz: () => (/* binding */ endLimit),
/* harmony export */   Mq: () => (/* binding */ mode),
/* harmony export */   iP: () => (/* binding */ startLimit)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _limit_container__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2203);



function limitContainerFromJson(json, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
    return new _limit_container__WEBPACK_IMPORTED_MODULE_2__/* .LimitContainer */ .B(json, serializer);
}
function limitContainerToJson(limitContainer, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
    var limitContainerJson = serializer.serialize(limitContainer);
    if (!limitContainer.fixed.isEmpty() && !limitContainerJson.hasOwnProperty('FixedDateTimePeriodLimit')) {
        limitContainerJson.FixedDateTimePeriodLimit = null;
    }
    if (!limitContainer.flow.isEmpty() && !limitContainerJson.hasOwnProperty('FlowDateTimePeriodLimit')) {
        limitContainerJson.FlowDateTimePeriodLimit = null;
    }
    return limitContainerJson;
}
let startLimit = { propertyName: 'start', modelName: 'StartLimit', type: _limit_container__WEBPACK_IMPORTED_MODULE_2__/* .LimitContainer */ .B, from: limitContainerFromJson, toJsonObject: limitContainerToJson };
let endLimit = { propertyName: 'end', modelName: 'EndLimit', type: _limit_container__WEBPACK_IMPORTED_MODULE_2__/* .LimitContainer */ .B, from: limitContainerFromJson, toJsonObject: limitContainerToJson };
let dateTimePeriodSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, startLimit, endLimit];
let mode = {
    propertyName: 'mode', defaultVal: 'None', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'None': 'DashboardWebStringId.RangeFilter.None',
        'Fixed': 'DashboardWebStringId.RangeFilter.Fixed',
        'Flow': 'DashboardWebStringId.RangeFilter.Flow'
    }
};


/***/ }),

/***/ 3374:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ME: () => (/* binding */ SurfaceItemsFactory),
/* harmony export */   ce: () => (/* binding */ surfaceItemsFactory),
/* harmony export */   g8: () => (/* binding */ SectionDescriptors)
/* harmony export */ });
/* harmony import */ var _model_items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(641);
/* harmony import */ var _model_items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6476);
/* harmony import */ var _model_items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2248);
/* harmony import */ var _model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7069);
/* harmony import */ var _model_items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6157);
/* harmony import */ var _model_items_metadata_series_item__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8181);
/* harmony import */ var _model_items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4429);
/* harmony import */ var _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4904);








var SectionDescriptors = {
    HiddenDimensions: {
        title: 'DashboardWebStringId.Binding.HiddenDimensions',
        bindingProperty: {
            propertyName: _model_items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__/* .hiddenDimensions */ ._K.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddDimension',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureDimension'
        }
    },
    HiddenMeasures: {
        title: 'DashboardWebStringId.Binding.HiddenMeasures',
        bindingProperty: {
            propertyName: _model_items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__/* .hiddenMeasures */ .o3.propertyName,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddMeasure',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureMeasure'
        }
    },
    SeriesDimension: {
        title: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .BindingSectionTitles */ .Uo.SeriesDimension,
        bindingProperty: {
            propertyName: _model_items_metadata_series_item__WEBPACK_IMPORTED_MODULE_5__/* .seriesDimensions */ .b.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddSeries',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureSeries'
        }
    },
    Arguments: {
        title: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .BindingSectionTitles */ .Uo.Arguments,
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .argumentsPropertyName */ .zv,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddArgument',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureArgument'
        }
    },
    Values: {
        title: 'DashboardStringId.DescriptionValues',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .valuesPropertyName */ .Dn,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddValue',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureValue'
        }
    },
    FilterDimensions: {
        title: 'DashboardStringId.DescriptionDimensions',
        bindingProperty: {
            propertyName: _model_items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__/* .filterDimensions */ .Ug.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddDimension',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureDimension'
        }
    },
    SparklineArgument: {
        title: 'DashboardWebStringId.Binding.Sparkline',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .sparklineArgumentPropertyName */ .JY,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetArgument',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureArgument'
        }
    },
    SingleArgument: {
        title: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .BindingSectionTitles */ .Uo.SingleArgument,
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .argumentPropertyName */ .A1,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetArgument',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureArgument'
        }
    },
    Value: {
        title: 'DashboardStringId.ValueCaption',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .valuePropertyName */ .sl,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetValue',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureValue'
        }
    },
    Latitude: {
        title: 'DashboardStringId.Latitude',
        bindingProperty: {
            propertyName: _model_items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__/* .latitude */ .zr.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetLatitude',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureLatitude'
        }
    },
    Longitude: {
        title: 'DashboardStringId.Longitude',
        bindingProperty: {
            propertyName: _model_items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__/* .longitude */ ._P.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetLongitude',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureLongitude'
        }
    },
    TooltipDimensions: {
        title: 'DashboardWebStringId.Binding.TooltipDimensions',
        bindingProperty: {
            propertyName: _model_items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__/* .tooltipDimensions */ .zL.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddDimension',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureDimension'
        }
    },
    TooltipMeasures: {
        title: 'DashboardWebStringId.Binding.TooltipMeasures',
        bindingProperty: {
            propertyName: _model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_3__/* .tooltipMeasures */ .h_.propertyName,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddMeasure',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureMeasure'
        }
    },
    Columns: {
        title: 'DashboardStringId.DescriptionColumns',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .columnsPropertyName */ .G3,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddColumn',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureColumn'
        }
    },
    Rows: {
        title: 'DashboardStringId.DescriptionRows',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .rowsPropertyName */ .qf,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.AddRow',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureRow'
        }
    },
    Weight: {
        title: 'DashboardStringId.WeightCaption',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .weightPropertyName */ .N5,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetWeight',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureWeight'
        }
    },
    Color: {
        title: 'DashboardStringId.DescriptionItemColor',
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .colorPropertyName */ .Ui,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetColor',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureColor'
        }
    },
    AttributeDimension: {
        title: 'DashboardWebStringId.Binding.Attribute',
        bindingProperty: {
            propertyName: _model_items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_1__/* .attributeDimension */ .LX.propertyName,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetAttribute',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureAttribute'
        }
    },
    Argument: {
        title: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .BindingSectionTitles */ .Uo.SingleArgument,
        bindingProperty: {
            propertyName: _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_7__/* .argumentPropertyName */ .A1,
            dataItemType: 'Dimension',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetArgument',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureArgument'
        }
    },
    AxisXMeasure: {
        title: 'DashboardWebStringId.Binding.XAxis',
        bindingProperty: {
            propertyName: _model_items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_6__/* .axisXMeasure */ .sZ.propertyName,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetValue',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureValue'
        }
    },
    AxisYMeasure: {
        title: 'DashboardWebStringId.Binding.YAxis',
        bindingProperty: {
            propertyName: _model_items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_6__/* .axisYMeasure */ .hm.propertyName,
            dataItemType: 'Measure',
            emptyPlaceholder: 'DashboardWebStringId.Binding.SetValue',
            selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureValue'
        }
    }
};
class SurfaceItemsFactory {
    constructor() {
        this._itemsMap = {};
    }
    register(dashboardItemType, surfaceTypeConstructor) {
        this._itemsMap[dashboardItemType] = surfaceTypeConstructor;
    }
    createSurfaceItem(dashboardItem, dashboardModel, dataSourceBrowser, notificationController, findExtension) {
        if (dashboardItem && dashboardItem.itemType && dashboardItem.itemType()) {
            var surfaceTypeConstructor = this._itemsMap[dashboardItem.itemType()];
            if (surfaceTypeConstructor) {
                return new surfaceTypeConstructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController, findExtension);
            }
        }
        return null;
    }
}
var surfaceItemsFactory = new SurfaceItemsFactory();


/***/ }),

/***/ 3379:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Nk: () => (/* binding */ ItemFilterItemsProvider),
/* harmony export */   cS: () => (/* binding */ isCategoricalDateTime),
/* harmony export */   lY: () => (/* binding */ getRealDimensionType)
/* harmony export */ });
/* harmony import */ var devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1505);
/* harmony import */ var devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _common_data_source_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6768);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1923);
/* harmony import */ var _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3599);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4270);
/* harmony import */ var _display_name_provider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7687);
/* harmony import */ var _filter_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(604);








var getRealDimensionType = (dimension, dataField) => {
    return isCategoricalDateTime(dimension, dataField) ? 'Integer' : dataField.fieldType();
};
var isCategoricalDateTime = (dimension, dataField) => {
    return dataField.fieldType() === 'DateTime' && ['Year', 'Quarter', 'Month', 'Day', 'Hour', 'Minute', 'Second',
        'DayOfYear', 'DayOfWeek', 'WeekOfYear', 'WeekOfMonth'].indexOf(dimension.dateTimeGroupInterval() || 'Year') !== -1;
};
class ItemFilterItemsProvider {
    constructor(dataItemValuesProvider, dataFieldProvider, parameters, dataDashboardItem, filterPredicate = () => true) {
        this.dataItemValuesProvider = dataItemValuesProvider;
        this.dataFieldProvider = dataFieldProvider;
        this.parameters = parameters;
        this.dataDashboardItem = dataDashboardItem;
        this.filterPredicate = filterPredicate;
    }
    getItems(pathRequest) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryDeferred */ .KO)();
        if (pathRequest.fullPath === 'Parameters') {
            deferred.resolve(this.parameters()
                .map(parameter => {
                return {
                    displayName: parameter.name(),
                    name: parameter.name()
                };
            }));
        }
        else {
            this._getDashboardItemDataFields().done(dataFields => {
                deferred.resolve(this.dataDashboardItem
                    ._uniqueDataItems
                    .filter(this.filterPredicate)
                    .map(dataItem => {
                    let dataField = dataFields.filter(dataField => dataField.dataMember() === dataItem.dataMember())[0];
                    let itemType = 'string';
                    if (dataField) {
                        itemType = dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_4__/* .Dimension */ .f ? getRealDimensionType(dataItem, dataField) : dataField.fieldType();
                    }
                    return {
                        displayName: (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_6__/* .getDataItemDisplayName */ .F)(this.dataFieldProvider, this.dataDashboardItem, dataItem),
                        name: dataItem.uniqueName(),
                        specifics: _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_3__/* .DataItem */ .sO.typesMap[itemType] || 'string'
                    };
                }));
            });
        }
        return deferred.promise();
    }
    getValues(pathRequest) {
        var dataItem = this.dataDashboardItem._dimensions.filter(di => di.uniqueName() === pathRequest.path)[0];
        var def = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryDeferred */ .KO)();
        if (!dataItem) {
            return def.resolve([]).promise();
        }
        this._getDashboardItemDataFields()
            .done(dataFields => {
            var dataField = dataFields.filter(dataField => dataField.dataMember() === dataItem.dataMember())[0];
            if (!dataField) {
                return def.resolve([]).promise();
            }
            if (dataItem.dateTimeGroupInterval() === 'DayOfWeek' && dataField.fieldType() === 'DateTime') {
                def.resolve([0, 1, 2, 3, 4, 5, 6].map(index => ({
                    value: index,
                    display: devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_0___default().getDayNames(undefined)[index]
                })));
            }
            else if ((0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .IsNumeric */ .U$)(dataField.fieldType()) || (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .IsTextual */ .gH)(dataField.fieldType()) || isCategoricalDateTime(dataItem, dataField) ||
                dataItem.dateTimeGroupInterval() === 'WeekYear') {
                (0,_filter_utils__WEBPACK_IMPORTED_MODULE_7__/* .getValuesList */ .vj)({
                    dataItemValuesProvider: this.dataItemValuesProvider,
                    dataField: dataField,
                    dataItem: dataItem,
                    dataMember: this.dataDashboardItem.dataMember(),
                    dataSource: this.dataDashboardItem.dataSource()
                }).done((res) => def.resolve(res));
            }
            else {
                return def.resolve([]);
            }
        });
        return def.promise();
    }
    _getDashboardItemDataFields() {
        let fieldsNames = this.dataDashboardItem
            ._uniqueDataItems
            .filter(this.filterPredicate)
            .map(dataItem => dataItem.dataMember());
        return (0,_common_data_source_browser__WEBPACK_IMPORTED_MODULE_1__/* .getDataFields */ .Wt)(fieldsNames, this.dataDashboardItem.dataSource(), this.dataDashboardItem.dataMember(), this.dataFieldProvider);
    }
}


/***/ }),

/***/ 3411:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bd: () => (/* binding */ titleImageUrl),
/* harmony export */   Hc: () => (/* binding */ includeMasterFilter),
/* harmony export */   KX: () => (/* binding */ titleImageType),
/* harmony export */   Qw: () => (/* binding */ titleText),
/* harmony export */   aY: () => (/* binding */ titleImage64),
/* harmony export */   gS: () => (/* binding */ dashboardTitleSerializationsInfo),
/* harmony export */   k6: () => (/* binding */ titleAlignment),
/* harmony export */   r1: () => (/* binding */ titleVisible)
/* harmony export */ });
/* harmony import */ var _base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let titleText = { propertyName: 'text', modelName: '@Text', displayName: 'DashboardWebStringId.Title.Text', simpleFormAdapterItem: 'textBoxEditor' };
let titleVisible = { propertyName: 'visible', displayName: 'DashboardWebStringId.Title.Visible', modelName: '@Visible', defaultVal: true, simpleFormAdapterItem: 'checkBoxEditor', from: _base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let includeMasterFilter = { propertyName: 'includeMasterFilter', displayName: 'DashboardWebStringId.Title.IncludeMasterFilter', modelName: '@IncludeMasterFilterState', defaultVal: true, simpleFormAdapterItem: 'checkBoxEditor', from: _base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let titleAlignment = {
    propertyName: 'alignment', modelName: '@Alignment', defaultVal: 'Center', displayName: 'DashboardWebStringId.Title.Aligment', simpleFormAdapterItem: 'listEditor', values: {
        'Left': 'DashboardWebStringId.Title.Aligment.Left',
        'Center': 'DashboardWebStringId.Title.Aligment.Center',
    }
};
let titleImage64 = { propertyName: 'image64', modelName: 'ImageData' };
let titleImageUrl = { propertyName: 'url', modelName: '@Url', simpleFormAdapterItem: 'textBoxEditor' };
let titleImageType = {
    propertyName: 'imageType', displayName: 'DashboardWebStringId.Title.Image', defaultVal: 'none', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'embedded': 'DashboardWebStringId.Title.ImageEmbedded',
        'linked': 'DashboardWebStringId.Title.ImageLinked',
        'none': 'DashboardWebStringId.Title.ImageNone'
    }
};
let dashboardTitleSerializationsInfo = [titleText, titleVisible, titleAlignment, includeMasterFilter, titleImageType, titleImage64, titleImageUrl];


/***/ }),

/***/ 3423:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   x: () => (/* binding */ selectionHelper)
/* harmony export */ });
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);

class selectionHelper {
    static setSelectedArguments(widget, values, state) {
        if (!values) {
            return;
        }
        for (var valueIndex = 0; valueIndex < values.length; valueIndex++) {
            this._selectArgument(widget, values[valueIndex], state);
        }
    }
    static setSelectedSeries(widget, values, state) {
        if (!values) {
            return;
        }
        for (var valueIndex = 0; valueIndex < values.length; valueIndex++) {
            this._selectSeries(widget, values[valueIndex], state);
        }
    }
    static setSelectedPoint(widget, seriesValue, argumentValue, state) {
        var that = this;
        if (seriesValue != null && argumentValue == null) {
            that._selectSeries(widget, seriesValue, state);
        }
        if (seriesValue == null && argumentValue != null) {
            that._selectArgument(widget, argumentValue, state);
        }
        if (seriesValue != null && argumentValue != null) {
            var seriesList = widget.getAllSeries();
            for (var i = 0; i < seriesList.length; i++) {
                if (that._checkWidgetCorrespondsToValue(seriesList[i], seriesValue)) {
                    this._selectSeriesPoints(seriesList[i], argumentValue, state);
                }
            }
        }
    }
    static setSelectedWidgetViewer(widget, values, state) {
        if (!values) {
            return;
        }
        for (var valueIndex = 0; valueIndex < values.length; valueIndex++) {
            this._selectValue(widget, values[valueIndex], state);
        }
    }
    static selectWholePie(widgetViewer, state) {
        var seriesList = widgetViewer.getAllSeries();
        for (var i = 0; i < seriesList.length; i++) {
            this._selectWidget(seriesList[i], state);
        }
    }
    static _selectSeries(widget, seriesValue, state) {
        var seriesList = widget.getAllSeries();
        for (var i = 0; i < seriesList.length; i++) {
            this._selectValue(seriesList[i], seriesValue, state);
        }
    }
    static _selectArgument(widget, argumentValue, state) {
        var seriesList = widget.getAllSeries();
        for (var i = 0; i < seriesList.length; i++) {
            this._selectSeriesPoints(seriesList[i], argumentValue, state);
        }
    }
    static _selectSeriesPoints(series, argumentValue, state) {
        var points = series.getAllPoints();
        for (var j = 0; j < points.length; j++) {
            this._selectValue(points[j], argumentValue, state);
        }
    }
    static _selectValue(widget, value, state) {
        if (this._checkWidgetCorrespondsToValue(widget, value)) {
            this._selectWidget(widget, state);
        }
    }
    static _selectWidget(widget, state) {
        if (state) {
            widget.select();
        }
        else {
            widget.clearSelection();
        }
    }
    static _checkWidgetCorrespondsToValue(widget, value) {
        var tag = widget.tag;
        if (!tag || !value)
            return false;
        if (tag)
            tag = (0,_utils__WEBPACK_IMPORTED_MODULE_0__/* .getTagValue */ .Gb)(tag);
        if (tag && !Array.isArray(tag) && !Array.isArray(value)) {
            throw Error('Internal Error: incorrect values for selection');
        }
        return (0,_utils__WEBPACK_IMPORTED_MODULE_0__/* .checkValuesAreEqual */ .rY)(tag, value);
    }
}


/***/ }),

/***/ 3436:
/***/ ((module) => {

module.exports = DevExpress.ui.dxTooltip;

/***/ }),

/***/ 3451:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ SharedComposers)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7104);
/* harmony import */ var _model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(158);
/* harmony import */ var _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3272);
/* harmony import */ var _model_internal_helper_classes__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5792);
/* harmony import */ var _model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1041);
/* harmony import */ var _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9508);
/* harmony import */ var _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1548);
/* harmony import */ var _model_items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8533);
/* harmony import */ var _model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1967);
/* harmony import */ var _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7011);
/* harmony import */ var _model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(2323);
/* harmony import */ var _model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(7069);
/* harmony import */ var _model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(3559);
/* harmony import */ var _model_items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(3888);
/* harmony import */ var _model_items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(82);
/* harmony import */ var _model_items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(1807);
/* harmony import */ var _model_items_range_filter_date_time_period__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(3607);
/* harmony import */ var _model_items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(3789);
/* harmony import */ var _model_items_scatter_chart_metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(5355);
/* harmony import */ var _model_items_scatter_chart_scatter_chart_item__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(3242);
/* harmony import */ var _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(4904);
/* harmony import */ var _viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(9557);
/* harmony import */ var _form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(1884);
/* harmony import */ var _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(9113);
/* harmony import */ var _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(110);
/* harmony import */ var _ui_widgets_collection_editor_collection_editor_viewmodel__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(5584);
/* harmony import */ var _ui_widgets_collection_editor_collection_editor_viewmodel_base__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(708);
/* harmony import */ var _surfaces_map_custom_shapefile_surface__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(5573);






























class SharedComposers {
    static getCommonTab(model, properties = [], disabledRules = {}) {
        var wrapper = this.getCommonWrapper(model, properties, disabledRules);
        return new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_26__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_26__/* .KnownTabs */ .iq.Common, 'DashboardWebStringId.AccordionTab.Common', wrapper);
    }
    static getAllTab(model) {
        return new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_26__/* .AccordionTab */ .gV('ALL', 'All', new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: []
        }));
    }
    static getContentArrangementTab(model) {
        return new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_26__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_26__/* .KnownTabs */ .iq.ContentArrangement, 'DashboardWebStringId.AccordionTab.Layout', this.getContentArrangementWrapper(model));
    }
    static getCommonWrapper(model, specificProperties = [], specificDisabledRules = {}, specificVisibilityRules = {}) {
        var properties = [
            _model_items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_15__/* .showCaption */ .gM,
            _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_22__/* .name */ .UU
        ];
        properties = properties.concat(specificProperties);
        var disabledRules = {};
        Object.keys(specificDisabledRules).forEach((key) => {
            disabledRules[key] = specificDisabledRules[key];
        });
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: properties,
            visibilityFilterRules: specificVisibilityRules,
            disabledFilterRules: disabledRules
        });
    }
    static getCommonMapWrapper(model, propertiesController, specificProperties = []) {
        const editHandler = () => {
            var surface = new _surfaces_map_custom_shapefile_surface__WEBPACK_IMPORTED_MODULE_29__/* .MapCustomShapeFileSurface */ .W(model.customShapefile, propertiesController);
            surface.startEditing(new _ui_widgets_collection_editor_collection_editor_viewmodel__WEBPACK_IMPORTED_MODULE_27__/* .CollectionEditorEditItemArguments */ .$());
        };
        const editorOptions = {
            dataSource: Object.keys(_model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__/* .area */ .Wc.values),
            getDisplayText: (item) => (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__/* .area */ .Wc.values[item]),
            enableEditItem: (item) => item === 'Custom',
            editItemHandler: editHandler,
            onSelectionChanged: (item) => {
                if (item === 'Custom' && !model.customShapefile.url() && !model.customShapefile.data.shapeData())
                    editHandler();
            },
        };
        var properties = [{
                ..._model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__/* .area */ .Wc,
                formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .editableListEditor */ .G)(editorOptions),
            }].concat(specificProperties);
        return SharedComposers.getCommonWrapper(model, properties);
    }
    static updateValidationMessages(rules) {
        _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .visiblePointsCount */ .Px.validationRules.forEach((rule) => {
            if (rule.message)
                rule.message = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(rule.message);
        });
    }
    static getAxisWrapper(model, axisComputedTitle, alwaysShowZeroLevelInfo, isDateField = false, isNumericField = true, groupInterval = 'None') {
        var disabledRules = {};
        var visibilityRules = {};
        disabledRules[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .titleVisibleBaseInfo */ .aY.propertyName] = [_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .axisVisible */ .kS.propertyName, '=', false];
        disabledRules[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .title */ .DD.propertyName] = [[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .titleVisibleBaseInfo */ .aY.propertyName, '=', false], 'or', [_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .axisVisible */ .kS.propertyName, '=', false]];
        disabledRules[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .logarithmicBase */ .b7.propertyName] = [_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .logarithmic */ .WI.propertyName, '=', false];
        disabledRules[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .limitVisiblePoints */ .RK.propertyName] = [_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .axisVisible */ .kS.propertyName, '=', false];
        disabledRules[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .visiblePointsCount */ .Px.propertyName] = [[_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .limitVisiblePoints */ .RK.propertyName, '=', false], 'or', [_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .axisVisible */ .kS.propertyName, '=', false]];
        disabledRules[_model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .numericFormat */ .FJ.propertyName] = [_model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .numericFormat */ .FJ.propertyName, '=', false];
        disabledRules[_model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .dateTimeFormat */ .LE.propertyName] = [_model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .dateTimeFormat */ .LE.propertyName, '=', false];
        this.updateValidationMessages(_model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .visiblePointsCount */ .Px.validationRules);
        var properties = alwaysShowZeroLevelInfo ? [alwaysShowZeroLevelInfo] : [];
        properties = properties.concat([
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .reverse */ .BE,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .showGridLinesBaseInfo */ .O9,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .axisVisible */ .kS,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .titleVisibleBaseInfo */ .aY,
            { editorOptions: { placeholder: (axisComputedTitle && axisComputedTitle()) }, ..._model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .title */ .DD },
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .logarithmic */ .WI,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .logarithmicBase */ .b7,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .enableZooming */ .Fh,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .limitVisiblePoints */ .RK,
            _model_items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_8__/* .visiblePointsCount */ .Px,
        ]);
        if (isDateField) {
            properties.push({
                container: _model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .dateTimeFormat */ .LE,
                properties: [
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .yearFormat */ .JV,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .monthFormat */ .G5,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .quarterFormat */ .YL,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dayOfWeekFormat */ .Lm,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .hourFormat */ .Oi,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateFormat */ .i$,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateHourFormat */ .mC,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateHourMinuteFormat */ .sV,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateTimeWithSecondsFormat */ .Yg,
                    _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .exactDateFormat */ .Xe
                ]
            });
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .yearFormat */ .JV.propertyName] = () => groupInterval === 'Year';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .quarterFormat */ .YL.propertyName] = () => groupInterval === 'Quarter';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .monthFormat */ .G5.propertyName] = () => groupInterval === 'Month';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .hourFormat */ .Oi.propertyName] = () => groupInterval === 'Hour';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dayOfWeekFormat */ .Lm.propertyName] = () => groupInterval === 'DayOfWeek';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateFormat */ .i$.propertyName] = () => groupInterval === 'DayMonthYear';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateHourFormat */ .mC.propertyName] = () => groupInterval === 'DateHour';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateHourMinuteFormat */ .sV.propertyName] = () => groupInterval === 'DateHourMinute';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dateTimeWithSecondsFormat */ .Yg.propertyName] = () => groupInterval === 'DateHourMinuteSecond';
            visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .exactDateFormat */ .Xe.propertyName] = () => groupInterval === 'None';
        }
        if (isNumericField) {
            properties.push({
                sourceObject: this.getNumericFormatWrapper(model.numericFormat),
                ..._model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .numericFormat */ .FJ,
                displayName: null,
                formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .nestedPropertyGridEditor */ .uD)((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_3__/* .numericFormat */ .FJ.displayName))
            });
        }
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibilityRules
        });
    }
    static getLegendWrapper(model) {
        var properties = [
            _model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .chartLegendVisible */ .K4,
            _model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .isInsideDiagram */ .Mo,
            _model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .insidePosition */ .Eu,
            _model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .outsidePosition */ .Tu,
        ];
        var disabledRules = {};
        disabledRules[_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .isInsideDiagram */ .Mo.propertyName] = [_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .chartLegendVisible */ .K4.propertyName, '=', false];
        disabledRules[_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .insidePosition */ .Eu.propertyName] = [_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .chartLegendVisible */ .K4.propertyName, '=', false];
        disabledRules[_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .outsidePosition */ .Tu.propertyName] = [_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .chartLegendVisible */ .K4.propertyName, '=', false];
        var visibleRules = {};
        visibleRules[_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .insidePosition */ .Eu.propertyName] = [_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .isInsideDiagram */ .Mo.propertyName, '=', true];
        visibleRules[_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .outsidePosition */ .Tu.propertyName] = [_model_items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_10__/* .isInsideDiagram */ .Mo.propertyName, '=', false];
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [{
                    container: _model_items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_9__/* .chartLegend */ .k2,
                    properties: properties
                }],
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibleRules
        });
    }
    static getContentArrangementWrapper(model) {
        var properties = [
            _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_22__/* .contentArrangementMode */ .xe,
            _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_22__/* .contentLineCount */ .Vf
        ];
        var disabledRules = {};
        disabledRules[_model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_22__/* .contentLineCount */ .Vf.propertyName] = [_model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_22__/* .contentArrangementMode */ .xe.propertyName, '=', 'Auto'];
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules
        });
    }
    static getLabelsWrapper(model) {
        if (model) {
            let simpleSeries = model instanceof _model_items_chart_chart_series__WEBPACK_IMPORTED_MODULE_7__/* .SimpleSeries */ .K9 ? model : null;
            var properties = [];
            if (model instanceof _model_items_scatter_chart_scatter_chart_item__WEBPACK_IMPORTED_MODULE_21__/* .ScatterChartItem */ .S) {
                properties.push(_model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .showPointLabels */ .LD);
                properties.push(_model_items_scatter_chart_metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_20__/* .content */ .Q);
            }
            else {
                let isFullStackedSeries = simpleSeries && ['FullStackedBar', 'FullStackedLine', 'FullStackedArea', 'FullStackedSplineArea'].indexOf(simpleSeries.seriesType()) >= 0;
                var avaliablePointLabelContentTypes = isFullStackedSeries ?
                    [
                        { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.Argument, displayValueId: 'DashboardStringId.PointLabelContentTypeArgument' },
                        { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.SeriesName, displayValueId: 'DashboardStringId.PointLabelContentTypeSeriesName' },
                        { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.Value, displayValueId: 'DashboardStringId.PointLabelContentTypeValue' },
                        { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.Percent, displayValueId: 'DashboardStringId.PointLabelContentTypePercent' }
                    ]
                    :
                        [
                            { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.Argument, displayValueId: 'DashboardStringId.PointLabelContentTypeArgument' },
                            { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.SeriesName, displayValueId: 'DashboardStringId.PointLabelContentTypeSeriesName' },
                            { value: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType.Value, displayValueId: 'DashboardStringId.PointLabelContentTypeValue' }
                        ];
                properties.push({ ..._model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .contentType */ .IM,
                    formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .flagsEnumListEditor */ .A1)({
                        values: avaliablePointLabelContentTypes,
                        enumDeclaration: _model__WEBPACK_IMPORTED_MODULE_2__.PointLabelContentType
                    }) });
            }
            properties = properties.concat([
                _model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .overlappingMode */ .FN,
                _model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .pointLabelOrientation */ .pq
            ]);
            if (simpleSeries && simpleSeries.seriesType().indexOf('Bar') > -1) {
                properties.push(_model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .showForZeroValues */ .Fl);
                properties.push(_model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .position */ .G1);
            }
            if (model instanceof _model_items_scatter_chart_scatter_chart_item__WEBPACK_IMPORTED_MODULE_21__/* .ScatterChartItem */ .S) {
                properties.push(_model_items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_12__/* .position */ .G1);
            }
            return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
                model: model,
                properties: [{
                        container: _model_items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_11__/* .chartSeriesPointLabelOptions */ .Gw,
                        properties: properties
                    }],
                summary: knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => (model.pointLabelOptions && model.pointLabelOptions.showPointLabels()) ? 'DashboardWebStringId.ButtonOn' : '')
            });
        }
        return null;
    }
    static getAttributeNamesSerializationInfo(model, propertyInfo, includeNoneValue = true, noneValueCaption = 'DashboardStringId.MapShapeNoneAttribute') {
        var attributeNames = (0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__/* .safeComputed */ .Tq)({ attributeNames: model._shapeFilesAttributeNameList }, args => {
            var attributes = args.attributeNames.map(attr => { return { value: attr, displayValueId: attr }; });
            if (includeNoneValue) {
                attributes.splice(0, 0, {
                    value: '', displayValueId: noneValueCaption
                });
            }
            return attributes;
        });
        var info = {
            ...propertyInfo,
            formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .dynamicSelectBoxEditor */ .uf)({ values: attributeNames })
        };
        return info;
    }
    static getShapeTitleSerializationInfo(model) {
        return SharedComposers.getAttributeNamesSerializationInfo(model, _model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__/* .shapeTitleAttributeName */ .JX);
    }
    static getColorLegendWrapper(model) {
        var properties = [
            _model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendVisible */ .Am,
            _model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendPosition */ .ZR
        ];
        var disabledRules = {};
        disabledRules[_model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendPosition */ .ZR.propertyName] = [_model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendVisible */ .Am.propertyName, '=', false];
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [{
                    container: _model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__/* .colorLegend */ .$z,
                    properties: properties
                }],
            disabledFilterRules: disabledRules
        });
    }
    static getWeightedLegendWrapper(model) {
        var properties = [
            _model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .weightedLegendVisible */ .Hj,
            _model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendType */ .wD,
            _model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendPosition */ .ZR
        ];
        var disabledRules = {};
        disabledRules[_model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendType */ .wD.propertyName] = [_model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .weightedLegendVisible */ .Hj.propertyName, '=', false];
        disabledRules[_model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .legendPosition */ .ZR.propertyName] = [_model_items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_14__/* .weightedLegendVisible */ .Hj.propertyName, '=', false];
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [{
                    container: _model_items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_13__/* .weightedLegend */ .bJ,
                    properties: properties
                }],
            disabledFilterRules: disabledRules
        });
    }
    static getNumericFormatWrapper(model) {
        var measuredInUnits = (numericFormat) => {
            return numericFormat.formatType() === 'Number' || numericFormat.formatType() === 'Currency';
        };
        var notCustomizedFormat = (numericFormat) => {
            return numericFormat.formatType() === 'Auto' || numericFormat.formatType() === 'General';
        };
        var isCustomFormat = (numericFormat) => {
            return numericFormat.formatType() === 'Custom';
        };
        var disabledRules = {};
        disabledRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .unit */ .zA.propertyName] = (numericFormat) => !measuredInUnits(numericFormat);
        disabledRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .precision */ .Fz.propertyName] = (numericFormat) => {
            return notCustomizedFormat(numericFormat) || (measuredInUnits(numericFormat) && numericFormat.unit() === 'Auto');
        };
        disabledRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .includeGroupSeparator */ .J4.propertyName] = (numericFormat) => {
            return notCustomizedFormat(numericFormat) || numericFormat.formatType() === 'Scientific';
        };
        disabledRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dataItemCurrencyCultureName */ .Ee.propertyName] = (numericFormat) => numericFormat.formatType() !== 'Currency';
        const visibilityFilterRules = {};
        visibilityFilterRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .unit */ .zA.propertyName] = (model) => !isCustomFormat(model);
        visibilityFilterRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .precision */ .Fz.propertyName] = (model) => !isCustomFormat(model);
        visibilityFilterRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .includeGroupSeparator */ .J4.propertyName] = (model) => !isCustomFormat(model);
        visibilityFilterRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dataItemCurrencyCultureName */ .Ee.propertyName] = (model) => !isCustomFormat(model);
        visibilityFilterRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .customFormatString */ .Ed.propertyName] = (model) => isCustomFormat(model);
        var properties = [
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .formatType */ .sg,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .unit */ .zA,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .precision */ .Fz,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .includeGroupSeparator */ .J4,
            {
                ..._model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .dataItemCurrencyCultureName */ .Ee,
                formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .currencyEditor */ .l3)()
            },
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .customFormatString */ .Ed
        ];
        if (_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_23__/* .DashboardPrivateSettings */ .d.customNumericFormatMode !== 'Enabled') {
            var restrictedFormatTypeValues = ({ ..._model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .formatTypeValues */ .cz });
            delete restrictedFormatTypeValues['Custom'];
            properties = [
                { ..._model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .formatType */ .sg, values: { ...restrictedFormatTypeValues } },
                ...properties.filter(p => p.propertyName !== _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .formatType */ .sg.propertyName && p.propertyName !== _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .customFormatString */ .Ed.propertyName)
            ];
        }
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibilityFilterRules,
            summary: knockout__WEBPACK_IMPORTED_MODULE_0__.pureComputed(() => notCustomizedFormat(model) ? '' : (_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_4__/* .formatTypeValues */ .cz[model.formatType()] || model.formatType()))
        });
    }
    static getDeltaOptionsWrapper(model) {
        var disabledRules = {};
        disabledRules[_model_items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_16__/* .resultIndicationThresholdType */ .bx.propertyName] = (deltaOptions) => deltaOptions.resultIndicationMode() === 'NoIndication';
        disabledRules[_model_items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_16__/* .resultIndicationThreshold */ .pE.propertyName] = (deltaOptions) => deltaOptions.resultIndicationMode() === 'NoIndication';
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [],
            disabledFilterRules: disabledRules
        });
    }
    static getDeltaFormatsOptionsWrapper(model, editFormat = (model) => { }, ...additionalFormats) {
        var formats = this.getDeltaFormats(model);
        additionalFormats.forEach(format => formats.push(format));
        const collectionEditorOptions = {
            propertyName: 'title',
            editItemHandler: editFormat,
            allowAddItem: false,
            allowReorderItem: false,
            allowRemoveItem: false
        };
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: { deltaFormats: knockout__WEBPACK_IMPORTED_MODULE_0__.observableArray(formats) },
            properties: [{
                    formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .collectionEditor */ .oL)(collectionEditorOptions),
                    propertyName: 'deltaFormats'
                }]
        });
    }
    static getDeltaFormats(kpiElement) {
        var formats = [];
        var actualValueFormat = kpiElement.actualValue() ? kpiElement.actualValue().numericFormat : null;
        var targetValueFormat = kpiElement.targetValue() ? kpiElement.targetValue().numericFormat : null;
        actualValueFormat && formats.push({ title: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.DeltaValueTypeActualValueCaption'), numericFormat: actualValueFormat });
        targetValueFormat && formats.push({ title: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.CardRowDataElementTypeTargetValueCaption'), numericFormat: targetValueFormat });
        return formats.concat([
            { title: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.DeltaValueTypeAbsoluteVariationCaption'), numericFormat: kpiElement.absoluteVariationNumericFormat },
            { title: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.DeltaValueTypePercentVariationCaption'), numericFormat: kpiElement.percentVariationNumericFormat },
            { title: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.DeltaValueTypePercentOfTargetCaption'), numericFormat: kpiElement.percentOfTargetNumericFormat }
        ]);
    }
    static getCustomRangesWrapper(model, editRuleHandler, dataSourceBrowser, dimension) {
        let namePrefix = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.DefaultPeriodName') + ' ';
        let isDateTimePeriodsPropertyVisible = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        let visibilityRules = {};
        visibilityRules[_model_items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_19__/* .dateTimePeriods */ ._L.propertyName] = () => {
            return isDateTimePeriodsPropertyVisible();
        };
        knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            if (dimension()) {
                dataSourceBrowser.findDataField(model.dataSource(), model.dataMember(), dimension().dataMember()).done((dataField) => {
                    isDateTimePeriodsPropertyVisible(dataField && dataField.fieldType() === 'DateTime');
                });
            }
        });
        const customItemTemplate = (itemData, itemIndex, itemElement) => {
            const name = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(itemData.name);
            const div = document.createElement('div');
            div.innerText = name;
            div.style.fontWeight = model.defaultDateTimePeriodName() === name ? '800' : 'normal';
            itemElement.appendChild(div);
            return div;
        };
        const refreshCallback = new _ui_widgets_collection_editor_collection_editor_viewmodel_base__WEBPACK_IMPORTED_MODULE_28__/* .CollectionEditorRefreshCallback */ .y();
        const subscriptions = [];
        subscriptions.push((0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__/* .safeSubscribe */ .uQ)({ defaultPeriod: model.defaultDateTimePeriodName }, _ => refreshCallback.refresh()));
        subscriptions.push((0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__/* .subscribeToArrayItemProperties */ .Ro)(model.dateTimePeriods, (period) => period.name.subscribe(() => refreshCallback.refresh())));
        const collectionEditorOptions = {
            propertyName: 'name',
            createNewItemHandler: () => new _model_items_range_filter_date_time_period__WEBPACK_IMPORTED_MODULE_18__/* .DateTimePeriod */ .F({ '@ItemType': 'DateTimePeriod', '@Name': _model_internal_helper_classes__WEBPACK_IMPORTED_MODULE_5__/* .NameGenerator */ .$A.generateName(namePrefix, model.dateTimePeriods(), 'name', 1) }),
            editItemHandler: editRuleHandler,
            customTemplate: customItemTemplate,
            forceRefreshCallback: refreshCallback,
        };
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_25__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            visibilityFilterRules: visibilityRules,
            properties: [{
                    ..._model_items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_19__/* .dateTimePeriods */ ._L,
                    formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .collectionEditor */ .oL)(collectionEditorOptions)
                }],
            disposableModelSubscriptions: subscriptions,
        });
    }
    static getSparklineOptionsProperties() {
        let viewTypesMap = {
            'Line': {
                icon: 'dx-dashboard-chart-series-line',
                displayName: 'DashboardStringId.SparklineIndicationModeLine'
            },
            'Area': {
                icon: 'dx-dashboard-chart-series-area',
                displayName: 'DashboardStringId.SparklineIndicationModeArea'
            },
            'Bar': {
                icon: 'dx-dashboard-chart-series-bar',
                displayName: 'DashboardStringId.SparklineIndicationModeBar'
            },
            'WinLoss': {
                icon: 'dx-dashboard-sparkline-win-loss',
                displayName: 'DashboardStringId.SparklineIndicationModeWinLoss'
            }
        };
        return [
            { ..._model_items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_17__/* .viewType */ .mE, formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_24__/* .iconTypeEditor */ .pM)({ containersMap: viewTypesMap }) },
            _model_items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_17__/* .highlightMinMaxPoints */ .gk,
            _model_items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_17__/* .highlightStartEndPoints */ .nR
        ];
    }
}


/***/ }),

/***/ 3473:
/***/ ((module) => {

module.exports = DevExpress.viz;

/***/ }),

/***/ 3479:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ objectDataSourceSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3689);


let objectDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_1__/* .dataSourceSerializationsInfo */ .v.concat([_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .filter */ .pb]);


/***/ }),

/***/ 3483:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ TextBoxItemPropertiesComposer)
/* harmony export */ });
/* harmony import */ var _model_items_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4191);
/* harmony import */ var _form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1884);
/* harmony import */ var _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(110);
/* harmony import */ var _base_properties_composer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8518);
/* harmony import */ var _shared_composers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3451);





class TextBoxItemPropertiesComposer extends _base_properties_composer__WEBPACK_IMPORTED_MODULE_3__/* .DashboardItemPropertiesComposer */ .$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var result = [
            new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_2__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_2__/* .KnownTabs */ .iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers__WEBPACK_IMPORTED_MODULE_4__/* .SharedComposers */ .d.getCommonWrapper(model, [{
                    ..._model_items_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_0__/* .textBoxText */ .yA,
                    formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_1__/* .filePickerEditor */ .Ip)({ type: 'file', accept: '.rtf', readMode: 'text' })
                }]))
        ];
        return result;
    }
}


/***/ }),

/***/ 3509:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BW: () => (/* binding */ cardSparklineArgument),
/* harmony export */   PO: () => (/* binding */ cardDashboardItemSerializationsInfo),
/* harmony export */   kR: () => (/* binding */ cards)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _kpi_metadata_kpi_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(773);



let cards = { propertyName: 'cards', modelName: 'Cards', displayName: 'DashboardStringId.DefaultNameCardItem', array: true };
let cardSparklineArgument = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .sparklineArgumentPropertyName */ .JY, modelName: 'SparklineArgument', displayName: 'DashboardStringId.CardCalculationAlongSparklineArgument', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let cardDashboardItemSerializationsInfo = _kpi_metadata_kpi_item__WEBPACK_IMPORTED_MODULE_2__/* .kpiDashboardItemSerializationsInfo */ .p.concat([cards, cardSparklineArgument]);


/***/ }),

/***/ 3510:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   g: () => (/* binding */ sliceTableDimensions)
/* harmony export */ });
let sliceTableDimensions = { propertyName: 'dimensions', modelName: 'Dimensions', array: true };


/***/ }),

/***/ 3523:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ getBaseColorScheme)
/* harmony export */ });
/* harmony import */ var devextreme_viz_themes__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3473);
/* harmony import */ var devextreme_viz_themes__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_viz_themes__WEBPACK_IMPORTED_MODULE_0__);

var getBaseColorScheme = () => {
    var vizTheme = (0,devextreme_viz_themes__WEBPACK_IMPORTED_MODULE_0__.currentTheme)();
    return (vizTheme.indexOf('dark') !== -1) ? 'dark' : 'light';
};


/***/ }),

/***/ 3532:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   No: () => (/* binding */ dataBindingMode),
/* harmony export */   Ph: () => (/* binding */ uriPattern),
/* harmony export */   WD: () => (/* binding */ boundImageDashboardItemSerializationsInfo),
/* harmony export */   hY: () => (/* binding */ imageItem)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9282);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6157);
/* harmony import */ var _image_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3947);




let imageItem = { propertyName: '__imageItem', modelName: 'ImageItem', displayName: 'DashboardStringId.DescriptionBoundImageAttribute', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let dataBindingMode = {
    propertyName: 'dataBindingMode', modelName: '@DataBindingMode', displayName: 'DashboardWebStringId.Image.BindingMode', defaultVal: 'BinaryArray', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'BinaryArray': 'DashboardWebStringId.Image.BindingMode.BinaryArray',
        'Uri': 'DashboardWebStringId.Image.BindingMode.Uri'
    }
};
let uriPattern = { propertyName: 'uriPattern', modelName: '@UriPattern', displayName: 'DashboardWebStringId.RangeFilter.UriPattern', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor', editorOptions: { placeholder: 'http://www.example.com/{0}.jpg' } };
let boundImageDashboardItemSerializationsInfo = _data_dashboard_item__WEBPACK_IMPORTED_MODULE_2__/* .dataDashboardItemSerializationsInfo */ .LH.concat([
    imageItem, dataBindingMode, uriPattern, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_1__/* ._baseInteractivityOptionsMeta */ .vP, _image_item__WEBPACK_IMPORTED_MODULE_3__/* .sizeMode */ .xP, _image_item__WEBPACK_IMPORTED_MODULE_3__/* .horizontalAlignment */ .sE, _image_item__WEBPACK_IMPORTED_MODULE_3__/* .verticalAlignment */ .Ev
]);


/***/ }),

/***/ 3534:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ PercentOfTotalCalculation)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5354);
/* harmony import */ var _metadata_percent_of_total_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8201);



class PercentOfTotalCalculation extends _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculation */ .Q {
    get name() {
        return 'DashboardWebStringId.Calculations.PercentOfTotal';
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_percent_of_total_calculation__WEBPACK_IMPORTED_MODULE_2__/* .percentOfTotalCalculationSerializationsInfo */ .J;
    }
    _createInstance() {
        return new PercentOfTotalCalculation();
    }
    _getExpression(argument) {
        return `ToDouble(${argument}) / Total(${argument})`;
    }
}
_measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .calculationsTypesMap */ .c['PercentOfTotal'] = PercentOfTotalCalculation;


/***/ }),

/***/ 3536:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ TabContainerItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9167);
/* harmony import */ var _dashboard_state__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(2216);
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5792);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1041);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1513);
/* harmony import */ var _dashboard_item__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4391);
/* harmony import */ var _dashboard_tab_page__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(517);
/* harmony import */ var _metadata_tab_container_item__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9699);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











class TabContainerItem extends _dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DashboardItem */ .K {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.tabPages = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Pages, (item) => new _dashboard_tab_page__WEBPACK_IMPORTED_MODULE_8__/* .DashboardTabPage */ .b(item, serializer));
        if (this.tabPages().length === 0) {
            this._addNewPage();
        }
        this._activeTabPage = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__/* .subscribeWithPrev */ .SP)(this._activeTabPage, (prevPage, page) => {
            let prevPageName = prevPage && this.tabPages().indexOf(prevPage) != -1 ? prevPage.componentName() : '';
            let activePageName = page && this.tabPages().indexOf(page) != -1 ? page.componentName() : '';
            if (this._activePageChanged && (prevPageName !== activePageName || (!prevPageName && !page))) {
                this._activePageChanged(prevPageName, activePageName);
            }
        });
        this.addDisposable(this._state = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var state = new _dashboard_state__WEBPACK_IMPORTED_MODULE_10__/* .ItemState */ .hF();
            if (this._activeTabPage() && this.tabPages().indexOf(this._activeTabPage()) !== -1) {
                state.TabPageName = this._activeTabPage().componentName();
            }
            return state;
        }));
    }
    _setState(itemState) {
        super._setState(itemState);
        if (itemState.TabPageName) {
            let page = this.tabPages().filter(page => page.componentName() === itemState.TabPageName)[0];
            if (page && (!this._activeTabPage() || this._activeTabPage().name() !== page.name())) {
                this._activeTabPage(page);
            }
        }
    }
    _getInfoCore() {
        return _metadata_tab_container_item__WEBPACK_IMPORTED_MODULE_9__/* .tabContainerItemSerializationInfo */ .O;
    }
    _getDefaultItemType() {
        return 'TabContainer';
    }
    dispose() {
        this.disposeObservableArray(this.tabPages);
        super.dispose();
    }
    _addNewPage() {
        var tabPage = new _dashboard_tab_page__WEBPACK_IMPORTED_MODULE_8__/* .DashboardTabPage */ .b({});
        tabPage.name(_internal_helper_classes__WEBPACK_IMPORTED_MODULE_3__/* .NameGenerator */ .$A.generateName((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)('DashboardStringId.DefaultNameTabPage') + ' ', this.tabPages(), 'name', 1));
        this.tabPages.push(tabPage);
        return tabPage;
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_5__/* .collectionItemType */ .s)('Page')
], TabContainerItem.prototype, "tabPages", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_6__/* .itemTypesMap */ .Jh['TabContainer'] = { type: TabContainerItem, groupName: 'layout', title: 'DashboardStringId.DefaultNameTabContainerItem', index: 115 };


/***/ }),

/***/ 3559:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Am: () => (/* binding */ legendVisible),
/* harmony export */   Hj: () => (/* binding */ weightedLegendVisible),
/* harmony export */   Pf: () => (/* binding */ mapLegendSerializationsInfo),
/* harmony export */   Uc: () => (/* binding */ legendOrientation),
/* harmony export */   ZR: () => (/* binding */ legendPosition),
/* harmony export */   _8: () => (/* binding */ weightedLegendSerializationsInfo),
/* harmony export */   wD: () => (/* binding */ legendType)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let legendVisible = { propertyName: 'visible', modelName: '@Visible', displayName: 'DashboardWebStringId.Map.ShowLegend', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let weightedLegendVisible = { ...legendVisible, displayName: 'DashboardWebStringId.Map.ShowWeightedLegend' };
let legendPosition = {
    propertyName: 'position', modelName: '@Position', displayName: 'DashboardWebStringId.WeightedLegendGalleryGroup', defaultVal: 'TopLeft', simpleFormAdapterItem: 'listEditor', values: {
        'TopLeft': 'DashboardWebStringId.Map.Position.TopLeft',
        'TopCenter': 'DashboardWebStringId.Map.Position.TopCenter',
        'TopRight': 'DashboardWebStringId.Map.Position.TopRight',
        'BottomLeft': 'DashboardWebStringId.Map.Position.BottomLeft',
        'BottomCenter': 'DashboardWebStringId.Map.Position.BottomCenter',
        'BottomRight': 'DashboardWebStringId.Map.Position.BottomRight'
    }
};
let legendType = {
    propertyName: 'type', modelName: '@WeightedLegendType', displayName: 'DashboardWebStringId.Map.WeightedLegendType', defaultVal: 'Linear', values: {
        'Linear': 'DashboardWebStringId.Map.WeightedLegendType.Linear',
        'Nested': 'DashboardWebStringId.Map.WeightedLegendType.Nested'
    }
};
let weightedLegendSerializationsInfo = [weightedLegendVisible, legendPosition, legendType];
let legendOrientation = {
    propertyName: 'orientation', modelName: '@Orientation', displayName: 'DashboardWebStringId.Chart.Orientation', defaultVal: 'Vertical', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Vertical': 'DashboardWebStringId.Map.Orientation.Vertical',
        'Horizontal': 'DashboardWebStringId.Map.Orientation.Horizontal'
    }
};
let mapLegendSerializationsInfo = [legendVisible, legendPosition, legendOrientation];


/***/ }),

/***/ 3578:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ AutoColorSchemeEntry),
/* harmony export */   r: () => (/* binding */ ColorSchemeEntry)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9167);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _color_scheme_definition__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9541);
/* harmony import */ var _dimension_key__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7078);
/* harmony import */ var _measure_definition__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(9272);
/* harmony import */ var _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9369);








class ColorSchemeEntry extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .TypedSerializableModel */ .$t {
    get custom() {
        return true;
    }
    get definition() {
        if (!this._definition) {
            this._definition = new _color_scheme_definition__WEBPACK_IMPORTED_MODULE_4__/* .ColorSchemeDefinition */ .i(this.dataSource(), this.dataMember(), this.dimensionKeys().map(key => { return key.definition; }), !!this.measureKeys().length, this.itemComponentName, this.name);
        }
        return this._definition;
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer(), itemComponentName = '', name = '') {
        super(modelJson, serializer, _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__/* .colorSchemeEntrySerializationInfo */ .j6);
        this.itemComponentName = itemComponentName;
        this.name = name;
        this.measureKeys = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.dimensionKeys = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.measureKeys = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.MeasureKey, (item) => new _measure_definition__WEBPACK_IMPORTED_MODULE_6__/* .MeasureDefinition */ .C(item, serializer));
        this.dimensionKeys = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.DimensionKeys, (item) => new _dimension_key__WEBPACK_IMPORTED_MODULE_5__/* .DimensionKey */ .a(item, serializer));
        this.addDisposable(this.displayText = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return this.dimensionKeys()
                .map(key => key.value.value())
                .concat(this.measureKeys().map(key => key.displayText()))
                .join(' | ');
        }));
        this.addDisposable(this.colorText = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var result = '';
            if (!this.custom) {
                result = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)('DashboardStringId.ColorAutoAssigned');
            }
            else {
                if (this.paletteIndex() !== null)
                    result = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)('DashboardStringId.ColorPaletteIndex') + this.paletteIndex();
                else if (!!this.color()) {
                    result = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)('DashboardWebStringId.ColorScheme.Color') + ' [A=' + (this.color().A * 255).toFixed(0) + ', R=' + this.color().R + ', G=' + this.color().G + ', B=' + this.color().B + ']';
                }
            }
            return result;
        }));
        this.addDisposable(this.componentName = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return this.displayText() + this.dataSource() + this.dataMember();
        }));
    }
    dispose() {
        super.dispose();
        this.disposeObservableArray(this.measureKeys);
        this.disposeObservableArray(this.dimensionKeys);
    }
    getInfo() {
        return _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__/* .colorSchemeEntrySerializationInfo */ .j6;
    }
    clone() {
        var clonedEntry = new ColorSchemeEntry();
        clonedEntry.itemComponentName = this.itemComponentName;
        clonedEntry.name = this.name;
        clonedEntry.dataMember(this.dataMember());
        clonedEntry.dataSource(this.dataSource());
        clonedEntry.dimensionKeys(this.dimensionKeys());
        clonedEntry.measureKeys(this.measureKeys());
        clonedEntry.paletteIndex(this.paletteIndex());
        clonedEntry.color(this.color());
        return clonedEntry;
    }
    equals(entry) {
        if (this.dimensionKeys().length !== entry.dimensionKeys().length)
            return false;
        for (var i = 0; i < this.dimensionKeys().length; i++) {
            if (this.dimensionKeys()[i].value.value() !== entry.dimensionKeys()[i].value.value()) {
                return false;
            }
        }
        if (this.definition.colorByMeasures) {
            if (this.measureKeys().length !== entry.measureKeys().length)
                return false;
            for (var i = 0; i < this.measureKeys().length; i++) {
                if (this.measureKeys()[i].dataMember() !== entry.measureKeys()[i].dataMember() || this.measureKeys()[i].summaryType() !== entry.measureKeys()[i].summaryType())
                    return false;
            }
        }
        return true;
    }
    getUniqueNamePrefix() {
        return super._getUniqueNamePrefix();
    }
    _getDefaultItemType() {
        return 'Entry';
    }
}
class AutoColorSchemeEntry extends ColorSchemeEntry {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer(), componentName, name) {
        super(modelJson, serializer, componentName, name);
    }
    get custom() {
        return false;
    }
}


/***/ }),

/***/ 3599:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ Dimension)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_sources_data_field__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4270);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1041);
/* harmony import */ var _data_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1923);
/* harmony import */ var _metadata_dimension__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7618);






class Dimension extends _data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItem */ .sO {
    constructor(dataItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataItemJSON, serializer);
        this.addDisposable(this.realSortMode = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                if (this.sortMeasure())
                    return this.sortMeasure();
                var valueModes = ['DXDisplayText', 'DXValue', 'DXID', 'DXKey'];
                var actualModes = ['DisplayText', 'Value', 'ID', 'Key'];
                return valueModes[actualModes.indexOf(this.sortMode())];
            },
            write: (val) => {
                var valueModes = ['DXDisplayText', 'DXValue', 'DXID', 'DXKey'];
                var actualModes = ['DisplayText', 'Value', 'ID', 'Key'];
                if (valueModes.indexOf(val) !== -1) {
                    this.sortMode(actualModes[valueModes.indexOf(val)]);
                    this.sortMeasure(null);
                }
                else {
                    this.sortMode('Value');
                    this.sortMeasure(val);
                }
            }
        }));
        this._actualDateTimeGroupInterval = (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_3__/* .safeComputed */ .Tq)({ dateTimeGroupInterval: this.dateTimeGroupInterval, dataMember: this.dataMember }, (args) => {
            return _data_sources_data_field__WEBPACK_IMPORTED_MODULE_2__/* .DataField */ .J7.isOlap(args.dataMember) ? 'None' : args.dateTimeGroupInterval;
        });
    }
    getInfo() {
        return _metadata_dimension__WEBPACK_IMPORTED_MODULE_5__/* .dimensionItemSerializationsInfo */ .pg;
    }
    grabFrom(dataItem) {
        super.grabFrom(dataItem);
        if (!(dataItem instanceof Dimension))
            return;
        this.sortOrder(dataItem.sortOrder());
        this.sortMeasure(dataItem.sortMeasure());
        this.sortMode(dataItem.sortMode());
        this.dateTimeGroupInterval(dataItem.dateTimeGroupInterval());
        this.textGroupInterval(dataItem.textGroupInterval());
        this.isDiscreteNumericScale(dataItem.isDiscreteNumericScale());
        this.groupChildValues(dataItem.groupChildValues());
        this.coloringMode(dataItem.coloringMode());
        this.topNOptionsEnabled(dataItem.topNOptionsEnabled());
        this.topNOptionsMode(dataItem.topNOptionsMode());
        this.topNOptionsCount(dataItem.topNOptionsCount());
        this.topNOptionsMeasureName(dataItem.topNOptionsMeasureName());
        this.topNOptionsShowOthers(dataItem.topNOptionsShowOthers());
        this.groupIndex(dataItem.groupIndex());
    }
    isDefinitionEquals(dataItem) {
        return super.isDefinitionEquals(dataItem) && (dataItem instanceof Dimension) &&
            this.dateTimeGroupInterval() === dataItem.dateTimeGroupInterval() && this.textGroupInterval() == dataItem.textGroupInterval();
    }
    _getDefaultItemType() {
        return 'Dimension';
    }
}


/***/ }),

/***/ 3607:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ DateTimePeriod)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_format_helper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5558);
/* harmony import */ var _data_formatter__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6726);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9167);
/* harmony import */ var _viewer_parts_viewer_items_range_selector_item_datetime_period_converter__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1957);
/* harmony import */ var _data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4270);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1041);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1513);
/* harmony import */ var _metadata_date_time_period__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(3359);
/* harmony import */ var _metadata_period_limit__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(208);











class DateTimePeriod extends _serializable_model__WEBPACK_IMPORTED_MODULE_7__/* .TypedSerializableModel */ .$t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.argumentInterval = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('Year');
        this._firstDayOfWeek = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(0);
        this.addDisposable(this._getPeriodTextValue = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => {
            let range = this.getDateTimeValue();
            var startTextValue = this.format(range.startValue);
            var endTextValue = this.format(range.endValue);
            if (startTextValue != null || endTextValue != null)
                return (0,_data_formatter__WEBPACK_IMPORTED_MODULE_3__/* .constructIntervalFilterText */ .qz)({ left: startTextValue, right: endTextValue });
            return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_4__/* .getLocalizationById */ .Mu)('DashboardStringId.EntireRangePeriodCaption');
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            this.start.argumentInterval(this.argumentInterval());
            this.end.argumentInterval(this.argumentInterval());
        }));
        this.addDisposable(this.start, this.end);
    }
    getInfo() {
        return _metadata_date_time_period__WEBPACK_IMPORTED_MODULE_8__/* .dateTimePeriodSerializationsInfo */ .IV;
    }
    _getDefaultItemType() { return 'DateTimePeriod'; }
    getDateTimeValue() {
        let convertToLimit = (limit) => {
            if (limit.mode() === 'None')
                return undefined;
            let flowMode = limit.mode() === 'Flow';
            return {
                Relative: flowMode,
                Date: limit.mode() === 'Fixed' ? limit.fixed.date() : undefined,
                Interval: flowMode ? limit.flow.interval() : undefined,
                Offset: flowMode ? limit.flow.offset() : undefined
            };
        };
        let range = _viewer_parts_viewer_items_range_selector_item_datetime_period_converter__WEBPACK_IMPORTED_MODULE_10__/* .DateTimePeriodConverter */ .F.toRange({
            Start: convertToLimit(this.start),
            End: convertToLimit(this.end)
        }, this._firstDayOfWeek());
        return range;
    }
    getDateFormat() {
        var argumentInterval = (0,_metadata_period_limit__WEBPACK_IMPORTED_MODULE_9__/* .convertDateTimeGroupInterval */ .Nu)(this.argumentInterval()), startInterval = this.start.getInterval() || argumentInterval, endInterval = this.end.getInterval() || argumentInterval;
        var dateFormat = ['year', 'quarterYear', 'monthYear', 'weekYear', 'dayMonthYear', 'dateHour', 'dateHourMinute', 'dateHourMinuteSecond'];
        return dateFormat[Math.max(_metadata_period_limit__WEBPACK_IMPORTED_MODULE_9__/* .flowIntervalOrderedValues */ .nS.indexOf(startInterval), _metadata_period_limit__WEBPACK_IMPORTED_MODULE_9__/* .flowIntervalOrderedValues */ .nS.indexOf(endInterval))];
    }
    format(value) {
        if (value == null)
            return null;
        var dateFormatInfoType = this.getDateFormat(), correctedValue = value;
        switch (dateFormatInfoType) {
            case 'year':
                correctedValue = value.getFullYear();
                break;
        }
        return _data_format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(correctedValue, { dateType: 'short', format: dateFormatInfoType });
    }
    _subscribeToGroupInterval(dimension) {
        return (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__/* .safeSubscribe */ .uQ)({
            dataMember: dimension.dataMember,
            groupInterval: dimension.dateTimeGroupInterval
        }, (dim) => {
            this.argumentInterval(_data_sources_data_field__WEBPACK_IMPORTED_MODULE_5__/* .DataField */ .J7.isOlap(dim.dataMember) ? 'None' : dim.groupInterval);
        });
    }
}


/***/ }),

/***/ 3620:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ deserializeDashboardLayoutNode),
/* harmony export */   r: () => (/* binding */ _layoutItemTypeMap)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);

var _layoutItemTypeMap = {};
function deserializeDashboardLayoutNode(itemModel, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
    var itemType = itemModel['@ItemType'];
    return new _layoutItemTypeMap[itemType](itemModel, serializer);
}


/***/ }),

/***/ 3661:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ao: () => (/* binding */ baseDateTypeValues),
/* harmony export */   Ji: () => (/* binding */ dateType),
/* harmony export */   Kh: () => (/* binding */ formatConditionDateOccurringSerializationsInfo),
/* harmony export */   M: () => (/* binding */ extendedDateTypeValues)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7739);
/* harmony import */ var _enums__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4950);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8245);




let parseFilterDateType = (typeModel) => {
    return (0,_data_common__WEBPACK_IMPORTED_MODULE_1__/* .parseFlagsEnumType */ .iF)(typeModel, _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.None, FilterDateTypeDictionary);
};
let serializeFilterDateType = (val) => {
    return (0,_data_common__WEBPACK_IMPORTED_MODULE_1__/* .serializeFlagsEnumType */ .dU)(val, 'None', FilterDateTypeDictionary);
};
let getFilterDateTypeValues = (val) => {
    return getFlagsEnumTypeValues(val, FilterDateTypeDictionary, 'key');
};
let FilterDateTypeDictionary = {
    'BeyondThisYear': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.BeyondThisYear,
    'LaterThisYear': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LaterThisYear,
    'LaterThisMonth': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LaterThisMonth,
    'LaterThisWeek': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LaterThisWeek,
    'NextWeek': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.NextWeek,
    'Tomorrow': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Tomorrow,
    'Today': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Today,
    'Yesterday': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Yesterday,
    'EarlierThisWeek': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.EarlierThisWeek,
    'LastWeek': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LastWeek,
    'EarlierThisMonth': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.EarlierThisMonth,
    'EarlierThisYear': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.EarlierThisYear,
    'PriorThisYear': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.PriorThisYear,
    'Empty': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Empty,
    'Beyond': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Beyond,
    'ThisWeek': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.ThisWeek,
    'ThisMonth': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.ThisMonth,
    'MonthAfter1': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAfter1,
    'MonthAfter2': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAfter2,
    'MonthAgo1': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo1,
    'MonthAgo2': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo2,
    'MonthAgo3': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo3,
    'MonthAgo4': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo4,
    'MonthAgo5': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo5,
    'MonthAgo6': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo6,
    'Earlier': _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Earlier
};
let baseDateTypeValues = [
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Yesterday, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Today, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringToday' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Tomorrow, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LastWeek, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.ThisWeek, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.NextWeek, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo1, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.ThisMonth, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAfter1, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1' }
];
let extendedDateTypeValues = [
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.BeyondThisYear, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LaterThisYear, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LaterThisMonth, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.LaterThisWeek, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.EarlierThisWeek, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.EarlierThisMonth, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.EarlierThisYear, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.PriorThisYear, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Empty, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Beyond, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAfter2, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo2, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo3, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo4, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo5, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.MonthAgo6, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6' },
    { value: _enums__WEBPACK_IMPORTED_MODULE_2__/* .FilterDateType */ .fA.Earlier, displayValueId: 'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier' }
];
let dateType = {
    propertyName: 'dateType', modelName: '@DateType', defaultVal: 'Yesterday',
    from: d => knockout__WEBPACK_IMPORTED_MODULE_0__.observable(parseFilterDateType(d)), toJsonObject: serializeFilterDateType,
};
let formatConditionDateOccurringSerializationsInfo = _format_condition_style_base__WEBPACK_IMPORTED_MODULE_3__/* .formatConditionStyleBaseSerializationsInfo */ .i.concat([dateType]);


/***/ }),

/***/ 3680:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JH: () => (/* binding */ CurrencySelector),
/* harmony export */   PS: () => (/* binding */ _registerDxDashboardCurrencySelector),
/* harmony export */   fX: () => (/* binding */ CultureInfo),
/* harmony export */   gk: () => (/* binding */ CurrencyInfo)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_format_helper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5558);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9167);
/* harmony import */ var _model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1041);
/* harmony import */ var _currencies__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2460);






class CurrencyInfo {
    constructor(name, displayText, previewText = '') {
        this.name = name;
        this.displayText = displayText;
        this.previewText = previewText;
    }
}
class CultureInfo {
}
class CurrencySelector {
    constructor(currencyCultureName, disabled) {
        this.disabled = disabled;
        this._defaultCurrency = null;
        this._getDefaultCurrencyInfo = function () {
            if (!this._defaultCurrency) {
                this._defaultCurrency = new CurrencyInfo(null, (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardStringId.DashboardCurrencyUseCurrentCurrency'), '');
                this._defaultCurrency.cultures = [{
                        name: null,
                        displayText: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardStringId.DashboardCurrencyUseCurrentCurrency')
                    }];
            }
            return this._defaultCurrency;
        };
        this.getPreviewText = function (value, currency) {
            if (currency) {
                var dashboardFormat = {
                    format: 'currency',
                    currency: currency
                };
                return _data_format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, dashboardFormat);
            }
            else {
                return null;
            }
        };
        this.selectedCurrency = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(this._getDefaultCurrencyInfo());
        this.selectedCulture = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(this._getDefaultCurrencyInfo().cultures[0]);
        this.previewPositive = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => this.getPreviewText(123, this.selectedCurrency().name));
        this.previewNegative = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => this.getPreviewText(-123, this.selectedCurrency().name));
        this.previewWarning = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => this.selectedCurrency().name ? null : (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Currency.DefaultCurrencyWarning'));
        this.currencies = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([this._getDefaultCurrencyInfo()].concat(_currencies__WEBPACK_IMPORTED_MODULE_5__/* .CURRENCIES */ .y.map((currency) => {
            var currencyInfo = new CurrencyInfo(currency.name, currency.displayName, this.getPreviewText(123, currency.name));
            currencyInfo.cultures = currency.cultures.map(culture => {
                var cultureInfo = new CultureInfo();
                cultureInfo.name = culture.name;
                cultureInfo.displayText = culture.displayName;
                if (cultureInfo.name === currencyCultureName()) {
                    this.selectedCurrency(currencyInfo);
                    this.selectedCulture(cultureInfo);
                }
                return cultureInfo;
            });
            return currencyInfo;
        }).sort((c1, c2) => c1.displayText.localeCompare(c2.displayText))));
        (0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__/* .subscribeWithPrev */ .SP)(this.selectedCurrency, (prevCurrencyInfo, currencyInfo) => {
            if (currencyInfo && prevCurrencyInfo !== currencyInfo) {
                this.selectedCulture(currencyInfo.cultures[0]);
            }
        });
        this.selectedCulture.subscribe(currencyCultureInfo => {
            if (currencyCultureInfo) {
                currencyCultureName(currencyCultureInfo.name);
            }
        });
    }
}
const _registerDxDashboardCurrencySelector = () => {
    const componentName = 'dx-dashboard-currency-selector';
    const templateName = 'dx-dash-currency-selector';
    if (knockout__WEBPACK_IMPORTED_MODULE_1__.components.isRegistered(componentName))
        return;
    knockout__WEBPACK_IMPORTED_MODULE_1__.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                return new CurrencySelector(params.currencyCultureName, knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false));
            }
        },
        template: (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.getTemplate)(templateName)
    });
};


/***/ }),

/***/ 3689:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ dataSourceSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let dataSourceSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .name */ .UU, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .componentName */ .TQ, { propertyName: 'calculatedFields', modelName: 'CalculatedFields', array: true }];


/***/ }),

/***/ 3708:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I3: () => (/* binding */ listViewDataController),
/* harmony export */   KG: () => (/* binding */ VALUE_EXPR),
/* harmony export */   N4: () => (/* binding */ filterElementDataController),
/* harmony export */   U4: () => (/* binding */ KEY_EXPR),
/* harmony export */   eE: () => (/* binding */ treeViewDataController)
/* harmony export */ });
/* harmony import */ var _viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9557);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);
/* harmony import */ var _special_values__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2383);
/* harmony import */ var _hashset_wrapper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6570);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4999);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4833);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(814);







const VALUE_EXPR = 'value';
const KEY_EXPR = 'key';
class filterElementDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_6__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this._reset();
    }
    getAllItemIndex() {
        return this.dataSource ? this.dataSource.indexOf(_localizer__WEBPACK_IMPORTED_MODULE_4__/* .ALL_ELEMENT */ .D) : -1;
    }
    getDataSourceItemKey(item) {
        return item[KEY_EXPR];
    }
    getDataSourceItemByKey(key) {
        return this.dataSource.filter(item => item[KEY_EXPR] === key)[0];
    }
    isAllSelected() {
        return this.dataSource && this.selection ? (this.dataSource.length === this.selection.length) : false;
    }
    update(selectedValues, encodeHtml, selectionOnly = false) {
        this._reset(selectionOnly);
        var hashset = new _hashset_wrapper__WEBPACK_IMPORTED_MODULE_3__/* .HashsetWrapper */ .e(selectedValues || []);
        var key = 0, applySelection = (dataItem) => {
            if (hashset.contains(dataItem[VALUE_EXPR])) {
                this.selection.push(dataItem);
            }
            this.fullSelection.push(dataItem);
        }, hasAllElement = this.viewModel && this.viewModel.ShowAllValue && !this.isMultiselectable() && !this.useNeutralFilterMode, points = this.multiData ? this.multiData.getAxis(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.defaultAxis).getPoints(true) : [];
        if (selectionOnly) {
            this.dataSource.forEach(dataItem => applySelection(dataItem));
        }
        else {
            if (hasAllElement && points.length > 0) {
                this.dataSource.push(_localizer__WEBPACK_IMPORTED_MODULE_4__/* .ALL_ELEMENT */ .D);
            }
            points.forEach(point => {
                let dataItem = {
                    [KEY_EXPR]: key++,
                    [VALUE_EXPR]: point.getUniquePath()
                };
                if (encodeHtml) {
                    dataItem.text = this.getTitle(point, ', ', true);
                }
                else {
                    dataItem.html = this.getTitle(point, ', ', true);
                }
                this.dataSource.push(dataItem);
                applySelection(dataItem);
            });
        }
        if (hasAllElement && ((!this.useNeutralFilterMode && this.dataSource.length - 1 === this.selection.length) || (!!this.useNeutralFilterMode && !this.selection.length))) {
            this.selection.splice(0, 0, _localizer__WEBPACK_IMPORTED_MODULE_4__/* .ALL_ELEMENT */ .D);
            this.fullSelection.splice(0, 0, _localizer__WEBPACK_IMPORTED_MODULE_4__/* .ALL_ELEMENT */ .D);
        }
    }
    getInteractionValues(elements, selectedValues) {
        var hasAll = !this.isMultiselectable() && elements && elements.indexOf(_localizer__WEBPACK_IMPORTED_MODULE_4__/* .ALL_ELEMENT */ .D) !== -1;
        if (!!this.useNeutralFilterMode && hasAll)
            return null;
        var values = [], items = hasAll ? this.dataSource : elements;
        items.forEach(item => {
            if (item !== _localizer__WEBPACK_IMPORTED_MODULE_4__/* .ALL_ELEMENT */ .D) {
                values.push(this._getDataValue(item));
            }
        });
        return values;
    }
    _getDataValue(wrappedValue) {
        var itemData = (wrappedValue && wrappedValue.itemData) || wrappedValue;
        if (itemData[VALUE_EXPR] != null)
            return itemData[VALUE_EXPR];
        return null;
    }
    _reset(selectionOnly = false) {
        if (!selectionOnly) {
            this.dataSource = [];
        }
        this.selection = [];
        this.fullSelection = [];
    }
}
class listViewDataController extends filterElementDataController {
    constructor(options) {
        super(options);
        this.ListBoxType = {
            Checked: 'Checked',
            Radio: 'Radio'
        };
        this.ComboBoxType = {
            Standard: 'Standard',
            Checked: 'Checked'
        };
    }
    isMultiselectable() {
        return !this.viewModel || (this.viewModel.ListBoxType == this.ListBoxType.Checked) || (this.viewModel.ComboBoxType == this.ListBoxType.Checked);
    }
}
class treeViewDataController extends filterElementDataController {
    constructor(options) {
        super(options);
    }
    isMultiselectable() {
        return true;
    }
    getAllItemIndex() {
        return -1;
    }
    isAllSelected() {
        return false;
    }
    update(selectedValues, encodeHtml, selectionOnly = false) {
        this._reset(selectionOnly);
        if (selectionOnly)
            return this._updateSelection(selectedValues);
        var hash = (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .wrapHash */ .RS)(selectedValues), sourceItems = this.multiData ? this.multiData.getAxis('Default').getRootPoint().getChildren() : [], key = 1, createDestNode = (sourceNode) => {
            var dataItem = {};
            dataItem[KEY_EXPR] = key++;
            dataItem[VALUE_EXPR] = sourceNode.getUniqueValue();
            dataItem[encodeHtml || !_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView ? 'text' : 'html'] = sourceNode.getDisplayText();
            if (_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView) {
                dataItem['expanded'] = this.viewModel.AutoExpandNodes;
            }
            return dataItem;
        }, walkTree = (sourceNode, destNodeItems, branch, nullChildCount) => {
            var children = sourceNode.getChildren();
            var nextNull = 0;
            while (children.length == 1 && children[0].getUniqueValue() === _special_values__WEBPACK_IMPORTED_MODULE_2__/* .specialValues */ .A.olapNullValueGuid) {
                children = children[0].getChildren();
                nextNull++;
            }
            var hasChildren = (children && children.length !== 0), subDestNode = createDestNode(sourceNode), currentBranch = branch.slice();
            subDestNode.nullChildCount = nextNull;
            for (var a = 0; a < nullChildCount; a++)
                currentBranch.push(_special_values__WEBPACK_IMPORTED_MODULE_2__/* .specialValues */ .A.olapNullValueGuid);
            currentBranch.push(subDestNode.value);
            destNodeItems.push(subDestNode);
            if (hasChildren) {
                subDestNode.items = [];
                children.forEach(node => {
                    walkTree(node, subDestNode.items, currentBranch, nextNull);
                });
            }
            else {
                for (var a = 0; a < nextNull; a++)
                    currentBranch.push(_special_values__WEBPACK_IMPORTED_MODULE_2__/* .specialValues */ .A.olapNullValueGuid);
                if (_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView) {
                    subDestNode.selected = !!hash[currentBranch];
                }
                else {
                    if (!!hash[currentBranch]) {
                        this.selection.push(subDestNode[KEY_EXPR]);
                    }
                }
            }
        };
        sourceItems.forEach(sourceItem => {
            walkTree(sourceItem, this.dataSource, [], 0);
        });
    }
    getInteractionValues(elements, selectedValues) {
        if (!_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView)
            return elements;
        var hash = (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .wrapHash */ .RS)(selectedValues), parent = elements.length ? elements[0].parent : undefined, rootBranch = [], resultSelection = [], prepareSelectionItems = (items, parentBranch) => {
            items.forEach(item => {
                var itemBranch = parentBranch.slice(), value = this._getDataValue(item), nullChildCount = this._getDataNullChildCount(item);
                itemBranch.push(value);
                for (var a = 0; a < nullChildCount; a++)
                    itemBranch.push(_special_values__WEBPACK_IMPORTED_MODULE_2__/* .specialValues */ .A.olapNullValueGuid);
                if (!!item.items && item.items.length) {
                    prepareSelectionItems(item.items, itemBranch);
                }
                else {
                    var isSelected = !!hash[itemBranch];
                    if ((!_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView && !isSelected) ||
                        (_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView && ((item.selected && !isSelected) || (!item.selected && isSelected)))) {
                        resultSelection.push(itemBranch);
                    }
                }
            });
        };
        while (parent) {
            rootBranch.splice(0, 0, this._getDataValue(parent));
            parent = parent.parent;
        }
        prepareSelectionItems(elements, rootBranch);
        return resultSelection;
    }
    _updateSelection(selectedValues) {
        var hash = (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .wrapHash */ .RS)(selectedValues);
        var updateItemsSelectedState = (items, parentBranch) => {
            items.forEach(item => {
                var itemBranch = parentBranch.slice(), value = this._getDataValue(item), nullChildCount = this._getDataNullChildCount(item);
                itemBranch.push(value);
                for (var a = 0; a < nullChildCount; a++)
                    itemBranch.push(_special_values__WEBPACK_IMPORTED_MODULE_2__/* .specialValues */ .A.olapNullValueGuid);
                if (item.items && item.items.length) {
                    updateItemsSelectedState(item.items, itemBranch);
                }
                else {
                    if (_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_0__/* .LegacySettings */ .l.useLegacyTreeView) {
                        item.selected = !!hash[itemBranch];
                    }
                    else {
                        if (!!hash[itemBranch]) {
                            this.selection.push(item[KEY_EXPR]);
                        }
                    }
                }
            });
        };
        updateItemsSelectedState(this.dataSource, []);
    }
    _getDataNullChildCount(wrappedValue) {
        var itemData = (wrappedValue && wrappedValue.itemData) || wrappedValue;
        if (itemData['nullChildCount'] != null)
            return itemData['nullChildCount'];
        return 0;
    }
}


/***/ }),

/***/ 3730:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ FormatConditionRangeBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6744);
/* harmony import */ var _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(488);
/* harmony import */ var _format_condition_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(860);
/* harmony import */ var _metadata_format_condition_range_base__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1571);





class FormatConditionRangeBase extends _format_condition_base__WEBPACK_IMPORTED_MODULE_3__/* .FormatConditionBase */ .S {
    get actualStyles() {
        var ranges = this._getSortedRanges();
        return ranges.map((range, index) => {
            var style = range.styleSettings();
            if (!style) {
                style = this._getRangeIndexSettings(index);
            }
            return style;
        });
    }
    get stopStyles() {
        return this._getSortedRanges().filter(range => !!range.styleSettings()).map(range => range.styleSettings());
    }
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => this.getActualPredefinedType();
        this.setSpecificType = specificType => this.setActualPredefinedType(specificType);
        this.addDisposable(this.rangeSet);
    }
    getInfo() {
        return _metadata_format_condition_range_base__WEBPACK_IMPORTED_MODULE_4__/* .formatConditionRangeBaseSerializationsInfo */ .W_;
    }
    isValid() {
        return super.isValid();
    }
    isRange() {
        return true;
    }
    setValues(values) {
        if (values.length > this.rangeSet.ranges().length)
            throw new Error('The number of values exceeds the number of ranges.');
        var index = 0;
        const valueType = this.valueType() === 'Percent' ? 'System.Double' : _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_1__/* .fieldTypes */ .s$[this.dataType()];
        values.forEach(value => this.rangeSet.ranges()[index++].value.setValue(value, valueType));
    }
    createStyleSettings(styleListItem) {
        return new _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .AppearanceSettings */ .M({ '@AppearanceType': styleListItem });
    }
    _getSortedRanges() {
        return this.rangeSet.ranges();
    }
    _getRangeIndexSettings(index) {
        return null;
    }
}


/***/ }),

/***/ 3748:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ RangeIndexSettings)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2265);


class RangeIndexSettings extends _style_settings_base__WEBPACK_IMPORTED_MODULE_1__/* .StyleSettingsBase */ .S {
    constructor(index) {
        super(null);
        this.index = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(-1);
        this.isBarStyle = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        this.index(index);
    }
    equals(style) {
        return (style instanceof RangeIndexSettings) && this.index() === style.index();
    }
    clone() {
        var style = new RangeIndexSettings(this.index());
        style.isBarStyle(this.isBarStyle());
        return style;
    }
}


/***/ }),

/***/ 3750:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ FormatConditionMinMaxBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4840);
/* harmony import */ var _metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9223);



class FormatConditionMinMaxBase extends _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .FormatConditionStyleBase */ .F {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionMinMaxBaseSerializationsInfo */ .Hf;
    }
}


/***/ }),

/***/ 3754:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ sliceRepository),
/* harmony export */   Z: () => (/* binding */ dataSlice)
/* harmony export */ });
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);

class dataSlice {
    constructor(sliceKey, sliceDTO, decode, encode) {
        var keyIndexById = {}, valueIdByKey = {};
        sliceDTO.KeyIds.forEach((keyId, i) => {
            keyIndexById[keyId] = i;
        });
        Object.keys(sliceDTO.ValueIds).forEach((valueId) => {
            valueIdByKey[sliceDTO.ValueIds[valueId]] = valueId;
        });
        this._sliceKey = sliceKey;
        this._sliceDTO = sliceDTO;
        this._decode = decode;
        this._encode = encode;
        this._keyIndexById = keyIndexById;
        this._valueIdByKey = valueIdByKey;
    }
    getRowCount() {
        return Object.keys(this._sliceDTO.Data).length;
    }
    getKey() {
        return this._sliceKey;
    }
    getValue(rowKey, valueId) {
        var that = this, dto = that._sliceDTO, valueKey = dto.ValueIds[valueId], rowDTO = that._getRowDTO(rowKey), value = !!rowDTO && valueKey >= 0 ? rowDTO[valueKey] : null;
        return value === undefined ? null : value;
    }
    getRowValues(rowKey) {
        var that = this, values = {}, valueIdsByKey = that._valueIdByKey, rowDTO = that._getRowDTO(rowKey) || {};
        Object.keys(rowDTO).forEach((key) => {
            values[valueIdsByKey[key]] = rowDTO[key];
        });
        return values;
    }
    getRowKeyValues(rowKey) {
        var that = this, keyIds = that.getKeyIds(), keyValues = {};
        keyIds.forEach((keyId) => {
            keyValues[keyId] = that.getKeyValue(rowKey, keyId);
        });
        return keyValues;
    }
    _getRowDTO(rowKey) {
        var that = this;
        return that._sliceDTO.Data[that._stringifyKey(rowKey)];
    }
    getKeyValue(rowKey, keyId) {
        if (keyId === undefined)
            return null;
        var that = this, keyIndex = that._keyIndexById[keyId];
        return that._decode(keyId, rowKey[keyIndex]);
    }
    getKeyIds() {
        var that = this;
        return that._sliceDTO.KeyIds;
    }
    getValueIds() {
        return Object.keys(this._sliceDTO.ValueIds);
    }
    forEach(action) {
        var that = this;
        Object.keys(that._sliceDTO.Data).forEach((key) => {
            return action({
                sliceKey: that._sliceKey,
                rowKey: that._parseKey(key)
            });
        });
    }
    append(slice) {
        var that = this, newRowKeys = [], iterator = {
            forEach: function (action) {
                newRowKeys.forEach((key) => {
                    action({
                        sliceKey: that._sliceKey,
                        rowKey: key
                    });
                });
            }
        };
        slice.forEach((key) => {
            var keyValues = slice.getRowKeyValues(key.rowKey), values = slice.getRowValues(key.rowKey), newRowKey = that.addRow(keyValues, values);
            newRowKeys.push(newRowKey);
        });
        return iterator;
    }
    addRow(keyValues, values) {
        var that = this, newRowKey = [], valueIds = that._sliceDTO.ValueIds, encode = that._encode;
        Object.keys(keyValues).forEach((keyId) => {
            newRowKey.push(encode(keyId, keyValues[keyId]));
        });
        var valueDTO = {};
        Object.keys(values).forEach((valueId) => {
            var valueKey = valueIds[valueId];
            if (valueKey === undefined) {
                var count = 0;
                Object.keys(valueIds).forEach((valueId) => {
                    count++;
                });
                valueKey = count;
                valueIds[valueId] = valueKey;
            }
            valueDTO[valueKey] = values[valueId];
        });
        that._sliceDTO.Data[that._stringifyKey(newRowKey)] = valueDTO;
        return newRowKey;
    }
    _parseKey(key) {
        return JSON.parse(key);
    }
    _stringifyKey(key) {
        return '[' + key + ']';
    }
}
class sliceRepository {
    constructor(sliceListDTO, decode, encode) {
        this._sliceListDTO = sliceListDTO;
        this._sliceList = [];
        this._rowKeyConvertMap = {};
        this._sliceJoinCache = {};
        this._decode = decode;
        this._encode = encode;
        this._initialize(decode);
    }
    _initialize(decode) {
        var that = this;
        if (!that._sliceListDTO)
            return;
        that._sliceListDTO.forEach((sliceDTO, index) => {
            var slice = new dataSlice(index, sliceDTO, decode, that._encode);
            that._sliceList.push(slice);
        });
    }
    getAll() {
        return this._sliceList;
    }
    getKey(keyIds) {
        let slice = this._getByKeyIds(keyIds);
        return slice ? this._sliceList.indexOf(slice) : -1;
    }
    get(vsKey) {
        return this._sliceList[vsKey];
    }
    getOrCreate(keyIds) {
        var that = this, slice = that._getByKeyIds(keyIds);
        if (!slice) {
            var sliceDTO = {
                KeyIds: keyIds,
                ValueIds: {},
                Data: {}
            };
            if (keyIds.length == 0) {
                sliceDTO.Data['[]'] = {};
            }
            slice = new dataSlice(that._sliceList.length, sliceDTO, that._decode, that._encode);
            that._sliceList.push(slice);
        }
        return slice;
    }
    findDataRowKey(sliceKey, dataRowKey) {
        var that = this, newRowKey = [], map = that._getConvertMap(dataRowKey.sliceKey, sliceKey);
        for (var i = 0; i < map.length; i++) {
            newRowKey.push(dataRowKey.rowKey[map[i]]);
        }
        return {
            sliceKey: sliceKey,
            rowKey: newRowKey
        };
    }
    getCrossValue(dataRows, valueId) {
        var that = this, dataRow1 = dataRows[0], dataRow2 = dataRows[1], sliceKey, value = null;
        if (!dataRow1)
            sliceKey = 0;
        else
            sliceKey = dataRow2 ? that._joinSliceKey(dataRow1.sliceKey, dataRow2.sliceKey) : dataRow1.sliceKey;
        if (sliceKey >= 0) {
            var newRowKey = [], map1 = null, map2 = null;
            if (dataRow1) {
                map1 = that._getConvertMap(dataRow1.sliceKey, sliceKey),
                    map2 = dataRow2 ? that._getConvertMap(dataRow2.sliceKey, sliceKey) : null;
                for (var i = 0; i < map1.length; i++) {
                    var index = map1[i], key = index >= 0 ? dataRow1.rowKey[index] : newRowKey[i];
                    newRowKey.push(key);
                }
                if (map2 != null) {
                    for (var i = 0; i < map2.length; i++) {
                        var index = map2[i], key = index >= 0 ? dataRow2.rowKey[index] : newRowKey[i];
                        newRowKey[i] = key;
                    }
                }
            }
            var slice = that.get(sliceKey);
            if (slice)
                value = slice.getValue(newRowKey, valueId);
        }
        return value;
    }
    getKeyValue(dataRow, keyId) {
        var that = this, slice = that.get(dataRow.sliceKey), value = null;
        if (slice) {
            value = slice.getKeyValue(dataRow.rowKey, keyId);
        }
        return value;
    }
    getValue(dataRow, valueId) {
        var that = this, slice = that.get(dataRow.sliceKey), value = null;
        if (slice) {
            value = slice.getValue(dataRow.rowKey, valueId);
        }
        return value;
    }
    isEmpty() {
        return this._sliceList.filter(s => {
            if (s.getKeyIds().length === 0) {
                var values = s.getRowValues([]);
                return s.getValueIds().filter(id => values[id] !== null && values[id] !== undefined).length !== 0;
            }
            else {
                return s.getRowCount() !== 0;
            }
        }).length === 0;
    }
    _joinSliceKey(key1, key2) {
        var that = this, joinSliceCacheKey = [key1, key2];
        if (key2 < key1)
            joinSliceCacheKey = joinSliceCacheKey.reverse();
        var joinRes = that._sliceJoinCache[joinSliceCacheKey];
        if (joinRes == undefined) {
            var slice1 = that.get(key1), slice2 = that.get(key2), keyIds = slice1.getKeyIds().concat(slice2.getKeyIds());
            joinRes = that.getKey(keyIds);
            that._sliceJoinCache[joinSliceCacheKey] = joinRes;
        }
        return joinRes;
    }
    _getByKeyIds(keyIds) {
        var that = this, foundSlice = null;
        that._sliceList.forEach((slice) => {
            if ((0,_utils__WEBPACK_IMPORTED_MODULE_0__/* .areNotOrderedListsEqual */ .Yj)(slice.getKeyIds(), keyIds)) {
                foundSlice = slice;
                return false;
            }
        });
        return foundSlice;
    }
    _getConvertMap(sliceFromKey, sliceToKey) {
        var that = this, convertMapCacheKey = [sliceFromKey, sliceToKey];
        var map = that._rowKeyConvertMap[convertMapCacheKey];
        if (!map) {
            var fromSlice = that.get(sliceFromKey), toSlice = that.get(sliceToKey);
            map = [];
            toSlice.getKeyIds().forEach((keyId) => {
                map.push(fromSlice.getKeyIds().indexOf(keyId));
            });
            that._rowKeyConvertMap[convertMapCacheKey] = map;
        }
        return map;
    }
}


/***/ }),

/***/ 3764:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  B: () => (/* binding */ LayoutOptions)
});

// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/layout/layout-dimension-options.js
var layout_dimension_options = __webpack_require__(3347);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
;// ./dist/model/layout/metadata/_layout-dimension-options.js

const _defaultHeight = 800;
const _defaultWidth = 1000;
let mode = { propertyName: 'mode', modelName: '@Mode', values: {
        'Auto': 'DashboardStringId.LayoutDimensionModeAuto',
        'Fixed': 'DashboardStringId.LayoutDimensionModeFixed',
    }, defaultVal: 'Auto' };
let height = { propertyName: 'value', modelName: '@Value', defaultVal: _defaultHeight, from: _base_metadata/* floatFromModel */.a1 };
let width = { propertyName: 'value', modelName: '@Value', defaultVal: _defaultWidth, from: _base_metadata/* floatFromModel */.a1 };
let heightOptionsSerializationInfo = [mode, height];
let widthOptionsSerializationInfo = [mode, width];

;// ./dist/model/layout/metadata/_layout-options.js


let heightSerializationInfo = { propertyName: 'height', modelName: 'Height', type: layout_dimension_options/* LayoutDimensionOptions */.d, info: heightOptionsSerializationInfo };
let widthSerializationInfo = { propertyName: 'width', modelName: 'Width', type: layout_dimension_options/* LayoutDimensionOptions */.d, info: widthOptionsSerializationInfo };
let layoutOptionsSerializationInfo = [heightSerializationInfo, widthSerializationInfo];

;// ./dist/model/layout/layout-options.js


class LayoutOptions extends serializable_model/* SerializableModel */.Lm {
    constructor(model, serializer, info) {
        super(model, serializer, info);
    }
    getInfo() {
        return layoutOptionsSerializationInfo;
    }
}


/***/ }),

/***/ 3789:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Cf: () => (/* binding */ rangeFilterDashboardItemSerializationsInfo),
/* harmony export */   EE: () => (/* binding */ argument),
/* harmony export */   No: () => (/* binding */ defaultDateTimePeriodName),
/* harmony export */   _L: () => (/* binding */ dateTimePeriods),
/* harmony export */   ju: () => (/* binding */ rangeSeries)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3888);
/* harmony import */ var _metadata_series_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8181);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9282);
/* harmony import */ var _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1965);






let defaultDateTimePeriodName = { propertyName: 'defaultDateTimePeriodName', displayName: 'DashboardStringId.DateTimeFormatYearFormatDefaultCaption', modelName: '@SelectedDateTimePeriodIndex', simpleFormAdapterItem: 'textBoxEditor', category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.ViewModel };
let dateTimePeriods = { propertyName: 'dateTimePeriods', modelName: 'DateTimePeriods', array: true };
let rangeSeries = { propertyName: 'series', modelName: 'Series', displayName: 'DashboardStringId.RangeFilterCalculationAlongSeries', array: true };
let argument = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .argumentPropertyName */ .A1, modelName: 'Argument', displayName: 'DashboardStringId.DescriptionItemArgument', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let rangeFilterDashboardItemSerializationsInfo = _metadata_series_item__WEBPACK_IMPORTED_MODULE_3__/* .seriesDashboardItemSerializationsInfo */ .c
    .concat([rangeSeries, argument, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_4__/* ._filterItemInteractivityOptionsMeta */ .Pz, _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_5__/* .coloringOptions */ .k, dateTimePeriods, defaultDateTimePeriodName])
    .map(e => e === _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_2__/* .showCaption */ .gM ? _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_2__/* .showCaptionDefaultFalse */ .I2 : e);


/***/ }),

/***/ 3886:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ GridItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7096);
/* harmony import */ var _metadata_grid_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5068);



class GridItemFormatRule extends _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_1__/* .CellsItemFormatRule */ .Q {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_grid_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .gridItemFormatRuleSerializationsInfo */ .a;
    }
    _getDefaultItemType() {
        return 'GridItemFormatRule';
    }
}


/***/ }),

/***/ 3888:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I2: () => (/* binding */ showCaptionDefaultFalse),
/* harmony export */   gM: () => (/* binding */ showCaption),
/* harmony export */   gp: () => (/* binding */ parentContainer),
/* harmony export */   xg: () => (/* binding */ dashboardItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let showCaption = { propertyName: 'showCaption', modelName: '@ShowCaption', displayName: 'DashboardWebStringId.ShowCaptionText', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let showCaptionDefaultFalse = { propertyName: 'showCaption', modelName: '@ShowCaption', displayName: 'DashboardWebStringId.ShowCaptionText', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let parentContainer = { propertyName: 'parentContainer', modelName: '@ParentContainer' };
let dashboardItemSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .componentName */ .TQ, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .name_ViewModel */ .xN, showCaption, parentContainer];


/***/ }),

/***/ 3915:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ getCalculationArgumentExpression),
/* harmony export */   h: () => (/* binding */ CalculationPropertiesComposer)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _common_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4102);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _model_data_item_helpers__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(6241);
/* harmony import */ var _model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4030);
/* harmony import */ var _model_internal_expression_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1023);
/* harmony import */ var _calculations_window_definition_editor__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4548);
/* harmony import */ var _expression_editor_expression_editor_display_name_provider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1339);
/* harmony import */ var _expression_editor_expression_editor_item_provider__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8928);
/* harmony import */ var _form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1884);
/* harmony import */ var _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9113);
/* harmony import */ var _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(110);












class CalculationPropertiesComposer {
    composeTabs(model, args) {
        var commonTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_10__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_10__/* .KnownTabs */ .iq.Common, 'DashboardWebStringId.AccordionTab.Common');
        this.fillCommonWrapper(commonTab, model, args.dashboardItem, args.dataSourceBrowser);
        return [commonTab];
    }
    fillCommonWrapper(tab, model, dashboardItem, dataSourceBrowser) {
        var p = [];
        var visibilityRules = {};
        p.push({ ..._model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_3__/* .windowDefinition */ .sj, formAdapterItem: (0,_calculations_window_definition_editor__WEBPACK_IMPORTED_MODULE_5__/* .windowDefinitionEditor */ .Xd)({ dataDashboardItem: dashboardItem, dataSourceBrowser: dataSourceBrowser }) });
        if (!model.expression()) {
            p.push({
                container: _model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_3__/* .calculation */ .G7,
                properties: [{
                        container: (model.calculation.getInfo()[0]),
                        properties: (model.calculation.calculation().getInfo())
                    }]
            });
        }
        var wrapper = new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_9__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: p,
            visibilityFilterRules: visibilityRules
        });
        let expressionArgument = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        var getExpression = () => {
            if (!!model.expression()) {
                return model.expression();
            }
            return !!model.calculation.calculation() ? model.calculation.calculation()._getExpression(expressionArgument()) : '';
        };
        getCalculationArgumentExpression(model, dashboardItem, dataSourceBrowser)
            .done(expr => {
            expressionArgument(expr);
        });
        var expression = knockout__WEBPACK_IMPORTED_MODULE_0__.computed({
            read: getExpression,
            write: (val) => {
                if (val !== getExpression()) {
                    model.expression(val);
                }
            }
        });
        var expressionOptions = {
            value: expression,
            path: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(dashboardItem.dataMember() ? [dashboardItem.dataSource(), dashboardItem.dataMember()].join('.') : dashboardItem.dataSource()),
            patchFieldName: (fieldPath) => {
                if (fieldPath.indexOf('Parameters.Parameters.') === 0) {
                    return 'Parameters.' + fieldPath.split('.')[2];
                }
                return fieldPath;
            },
        };
        var itemsProvider = new _expression_editor_expression_editor_item_provider__WEBPACK_IMPORTED_MODULE_7__/* .ExpressionEditorItemsProvider */ .v(dataSourceBrowser, dataSourceBrowser, dataSourceBrowser, dataSourceBrowser.parameters && dataSourceBrowser.parameters(), dashboardItem.dataSource, dashboardItem.dataMember);
        let displayNameProvider = _expression_editor_expression_editor_display_name_provider__WEBPACK_IMPORTED_MODULE_6__/* .ExpressionEditorDisplayNameProvider */ .M.create(dataSourceBrowser, dataSourceBrowser, dashboardItem.dataSource(), dashboardItem.dataMember());
        const collectionEditorOptions = {
            options: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(expressionOptions),
            fieldListProvider: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(itemsProvider),
            displayNameProvider: displayNameProvider
        };
        wrapper.addProperty(knockout__WEBPACK_IMPORTED_MODULE_0__.observable(), { propertyName: 'expressionOptions', displayName: 'DashboardStringId.CalculationTypeExpression', formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_8__/* .calculationExpressionEditor */ .JM)(collectionEditorOptions) });
        tab.tabModel(wrapper);
    }
}
function getCalculationArgumentExpression(measure, dashboardItem, dataFieldProvider) {
    let deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryDeferred */ .KO)();
    let summaryExpression = (0,_model_data_item_helpers__WEBPACK_IMPORTED_MODULE_11__/* .getSummaryExpression */ .j)(measure.dataMember(), measure.summaryType());
    if (!measure.filterString())
        return deferred.resolve(summaryExpression).promise();
    (0,_common_helpers__WEBPACK_IMPORTED_MODULE_1__/* .getDimensionsExpressions */ .Bo)(dashboardItem, dataFieldProvider)
        .done(dimnensionsExpressions => {
        let patchedExpression = (0,_model_internal_expression_utils__WEBPACK_IMPORTED_MODULE_4__/* .insertDimensionsExpressionsIntoFilterExpression */ .s0)(measure.filterString(), dimnensionsExpressions);
        deferred.resolve(`filter(${summaryExpression}, ${patchedExpression})`);
    });
    return deferred.promise();
}


/***/ }),

/***/ 3944:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ gaugeDataController)
/* harmony export */ });
/* harmony import */ var _gauge_range_calculator__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2472);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4833);
/* harmony import */ var _kpi_data_controller__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1461);



class gaugeDataController extends _kpi_data_controller__WEBPACK_IMPORTED_MODULE_2__/* .kpiDataController */ .p {
    constructor(options) {
        super(options);
        this._gaugeRanges = {};
    }
    _iterateKpiItems(delegate) {
        var that = this;
        if (that.viewModel) {
            that.viewModel.Gauges.forEach(gauge => {
                delegate(gauge);
            });
        }
    }
    _getGaugeRange(element) {
        var elementId = element.ID, range = this._gaugeRanges[elementId], calculator;
        if (!range) {
            calculator = new _gauge_range_calculator__WEBPACK_IMPORTED_MODULE_0__/* .gaugeRangeCalculator */ .b({
                values: this._getGaugeValues(element),
                gaugeModel: {
                    Type: this._gaugeViewType,
                    MinValue: element.MinValue,
                    MaxValue: element.MaxValue
                }
            });
            range = calculator.getGaugeRange();
            this._gaugeRanges[elementId] = range;
        }
        return range;
    }
    _getGaugeValues(element) {
        var multiData = this.multiData, gaugeValues = [], axisPoints = this._axisPoints || [null], getMeasureValue = function (axisPoint) {
            var getMeasure = axisPoint ? multiData.getMeasureValueByAxisPoints : multiData.getMeasureValue;
            gaugeValues.push(getMeasure.call(multiData, element.ID, [axisPoint]).getValue());
        }, getDeltaValue = function (axisPoint) {
            var getDelta = axisPoint ? multiData.getDeltaValueByAxisPoints : multiData.getDeltaValue, deltaValue = getDelta.call(multiData, element.ID, [axisPoint]), actualValue = deltaValue.getActualValue(), targetValue = deltaValue.getTargetValue();
            gaugeValues.push(actualValue.getValue());
            gaugeValues.push(targetValue.getValue());
        }, getter = element.DataItemType === _utils__WEBPACK_IMPORTED_MODULE_1__/* .KpiValueMode */ .x6.Measure ? getMeasureValue : getDeltaValue;
        axisPoints.forEach(axisPoint => {
            getter(axisPoint);
        });
        return gaugeValues;
    }
    _initialize() {
        super._initialize();
        this._gaugeViewType = this.viewModel ? this.viewModel.ViewType : undefined;
    }
}


/***/ }),

/***/ 3947:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ev: () => (/* binding */ verticalAlignment),
/* harmony export */   GY: () => (/* binding */ imageDashboardItemSerializationsInfo),
/* harmony export */   Lx: () => (/* binding */ urlPath),
/* harmony export */   kH: () => (/* binding */ image64),
/* harmony export */   sE: () => (/* binding */ horizontalAlignment),
/* harmony export */   wm: () => (/* binding */ imageType),
/* harmony export */   xP: () => (/* binding */ sizeMode)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3888);


let urlPath = { propertyName: 'urlPath', modelName: '@Url', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor' };
let image64 = { propertyName: 'image64', modelName: 'ImageData' };
let imageType = {
    propertyName: 'imageType', displayName: 'DashboardWebStringId.Title.Image', defaultVal: 'linked', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'linked': 'DashboardWebStringId.Title.ImageLinked',
        'embedded': 'DashboardWebStringId.Title.ImageEmbedded'
    }
};
let sizeMode = {
    propertyName: 'sizeMode', modelName: '@SizeMode', displayName: 'DashboardStringId.SizeMode', defaultVal: 'Clip', simpleFormAdapterItem: 'listEditor', values: {
        'Clip': 'DashboardWebStringId.Image.SizeMode.Clip',
        'Stretch': 'DashboardWebStringId.Image.SizeMode.Stretch',
        'Zoom': 'DashboardWebStringId.Image.SizeMode.Zoom',
        'Squeeze': 'DashboardWebStringId.Image.SizeMode.Squeeze'
    }, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel
};
let horizontalAlignment = {
    propertyName: 'horizontalAlignment', modelName: '@HorizontalAlignment', displayName: 'DashboardWebStringId.Image.HorizontalAlignment', defaultVal: 'Center', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Left': 'DashboardWebStringId.Image.Alignment.Left',
        'Center': 'DashboardWebStringId.Image.Alignment.Center',
        'Right': 'DashboardWebStringId.Image.Alignment.Right'
    }, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel
};
let verticalAlignment = {
    propertyName: 'verticalAlignment', modelName: '@VerticalAlignment', displayName: 'DashboardWebStringId.Image.VerticalAlignment', defaultVal: 'Center', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Top': 'DashboardWebStringId.Image.Alignment.Top',
        'Center': 'DashboardWebStringId.Image.Alignment.Center',
        'Bottom': 'DashboardWebStringId.Image.Alignment.Bottom'
    }, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel
};
let imageDashboardItemSerializationsInfo = _dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dashboardItemSerializationsInfo */ .xg.concat([urlPath, imageType, image64, sizeMode, horizontalAlignment, verticalAlignment]);


/***/ }),

/***/ 3986:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N3: () => (/* binding */ useGlobalColors),
/* harmony export */   OH: () => (/* binding */ measuresColoringMode),
/* harmony export */   aK: () => (/* binding */ dashboardItemColoringOptionsSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let useGlobalColors = {
    propertyName: 'useGlobalColors', modelName: '@UseGlobalColors', displayName: 'DashboardWebStringId.Colorization.ColorSchemeType', defaultVal: true, simpleFormAdapterItem: 'buttonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6,
    valuesArray: [{
            value: true,
            displayValue: 'DashboardWebStringId.Coloring.Global'
        }, {
            value: false,
            displayValue: 'DashboardWebStringId.Coloring.Local'
        }],
    category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Coloring
};
let measuresColoringMode = {
    propertyName: 'measuresColoringMode', modelName: '@MeasuresColoringMode', displayName: 'DashboardWebStringId.Coloring.MeasuresColoringMode', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Default': 'DashboardWebStringId.ColoringModeAuto',
        'None': 'DashboardWebStringId.ColoringModeOff',
        'Hue': 'DashboardWebStringId.ColoringModeOn'
    }
};
let dashboardItemColoringOptionsSerializationsInfo = [useGlobalColors, measuresColoringMode];


/***/ }),

/***/ 4018:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ pieMapDataController)
/* harmony export */ });
/* harmony import */ var _jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4833);
/* harmony import */ var _geo_point_map_data_controller_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5462);



class pieMapDataController extends _geo_point_map_data_controller_base__WEBPACK_IMPORTED_MODULE_2__/* .geoPointMapDataControllerBase */ .N {
    constructor(options) {
        super(options);
        this.elementCustomColor = options.elementCustomColor;
    }
    getPoint(index, valueIndex) {
        var point = super.getPoint(index), multiData = this.multiData, viewModel = this.viewModel, filledValues = viewModel.Values && viewModel.Values.length > 0, axisPoint = this._getAxisPoint(index), argument, argumentDisplayText, value, valueDisplayText, valueId, colorId, colorValue;
        if (viewModel.ArgumentDataId) {
            argument = axisPoint.getUniqueValue();
            argumentDisplayText = axisPoint.getDisplayText();
            if (filledValues) {
                valueId = viewModel.Values[0];
                value = this._getMeasureValue(index, valueId);
                valueDisplayText = this._getMeasureDisplayText(index, valueId);
            }
            else {
                value = point.pointsCount > 1 ? point.pointsCount : 1;
            }
            colorId = viewModel.ColorIds[0];
            colorValue = viewModel.ColorByArgument ? this._getMeasureValue(index, colorId) : multiData.getMeasureValue(colorId).getValue();
        }
        else {
            valueId = viewModel.Values[valueIndex];
            argument = multiData.getMeasureById(valueId).name;
            argumentDisplayText = argument;
            value = this._getMeasureValue(index, valueId);
            valueDisplayText = this._getMeasureDisplayText(index, valueId);
            colorValue = multiData.getMeasureValue(viewModel.ColorIds[valueIndex]).getValue();
        }
        return (0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)(point, {
            argument: argument,
            argumentDisplayText: argumentDisplayText,
            value: Math.abs(value),
            valueDisplayText: valueDisplayText,
            color: (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .toColor */ .VR)(colorValue),
            valueId: valueId,
            axisPoint: axisPoint
        });
    }
    _getAxisPointDimensionDescriptorId() {
        return this.viewModel.ArgumentDataId || this.viewModel.LongitudeDataId;
    }
    formatValue(value) {
        var measure;
        if (this.viewModel.Values.length > 0) {
            measure = this.multiData.getMeasureById(this.viewModel.Values[0]);
        }
        return measure ? measure.format(value) : value;
    }
}


/***/ }),

/***/ 4030:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G7: () => (/* binding */ calculation),
/* harmony export */   Jf: () => (/* binding */ summaryTypeDict),
/* harmony export */   LF: () => (/* binding */ summaryTypeNonNumericToString),
/* harmony export */   QJ: () => (/* binding */ measureFilterString),
/* harmony export */   Zs: () => (/* binding */ measureItemSerializationsInfo),
/* harmony export */   dn: () => (/* binding */ expression),
/* harmony export */   je: () => (/* binding */ summaryTypeNumericToAny),
/* harmony export */   lR: () => (/* binding */ calculations),
/* harmony export */   pk: () => (/* binding */ summaryTypeTemplate),
/* harmony export */   sj: () => (/* binding */ windowDefinition),
/* harmony export */   tG: () => (/* binding */ summaryTypeAttribute),
/* harmony export */   tt: () => (/* binding */ summaryTypeNonNumericToNumeric)
/* harmony export */ });
/* harmony import */ var _internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1023);
/* harmony import */ var _calculations_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9795);
/* harmony import */ var _window_definition_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6868);
/* harmony import */ var _data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(158);




let summaryTypeDict = {
    'Count': 'DashboardStringId.SummaryTypeCount',
    'CountDistinct': 'DashboardStringId.SummaryTypeCountDistinct',
    'Sum': 'DashboardStringId.SummaryTypeSum',
    'Min': 'DashboardStringId.SummaryTypeMin',
    'Max': 'DashboardStringId.SummaryTypeMax',
    'Average': 'DashboardStringId.SummaryTypeAverage',
    'StdDev': 'DashboardStringId.SummaryTypeStdDev',
    'StdDevp': 'DashboardStringId.SummaryTypeStdDevp',
    'Var': 'DashboardStringId.SummaryTypeVar',
    'Varp': 'DashboardStringId.SummaryTypeVarp',
    'Median': 'DashboardStringId.SummaryTypeMedian',
    'Mode': 'DashboardStringId.SummaryTypeMode'
};
let summaryTypeTemplate = {
    propertyName: 'summaryType', modelName: '@SummaryType', displayName: 'DashboardWebStringId.SummaryType'
};
let summaryTypeNumericToAny = {
    defaultVal: 'Sum',
    simpleFormAdapterItem: 'selectBoxEditor',
    values: summaryTypeDict,
    ...summaryTypeTemplate
};
let summaryTypeAttribute = {
    defaultVal: 'Min',
    simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Min': 'DashboardStringId.SummaryTypeMin'
    },
    ...summaryTypeTemplate
};
let summaryTypeNonNumericToNumeric = {
    defaultVal: 'Count',
    simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Count': 'DashboardStringId.SummaryTypeCount',
        'CountDistinct': 'DashboardStringId.SummaryTypeCountDistinct'
    },
    ...summaryTypeTemplate
};
let summaryTypeNonNumericToString = {
    defaultVal: 'Count',
    simpleFormAdapterItem: 'selectBoxEditor',
    values: {
        'Count': 'DashboardStringId.SummaryTypeCount',
        'CountDistinct': 'DashboardStringId.SummaryTypeCountDistinct',
        'Min': 'DashboardStringId.SummaryTypeMin',
        'Max': 'DashboardStringId.SummaryTypeMax',
        'Mode': 'DashboardStringId.SummaryTypeMode'
    },
    ...summaryTypeTemplate
};
let calculation = { propertyName: 'calculation', modelName: 'Calculation', type: _calculations_calculation__WEBPACK_IMPORTED_MODULE_1__/* .Calculation */ .S };
let windowDefinition = { propertyName: 'windowDefinition', modelName: 'WindowDefinition', type: _window_definition_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .WindowDefinition */ .w, displayName: 'DashboardWebStringId.Calculations.WindowDefinition' };
let expression = { propertyName: 'expression', modelName: '@Expression', from: (expressionStr) => {
        return (0,_internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__/* .replaceExpressionParametersPrefix */ .nV)(expressionStr);
    } };
let calculations = { propertyName: 'calculations' };
let measureFilterString = { propertyName: 'filterString', modelName: '@FilterString', from: (filterStr) => {
        return (0,_internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__/* .replaceExpressionParametersPrefix */ .nV)(filterStr);
    } };
let measureItemSerializationsInfo = _data_item__WEBPACK_IMPORTED_MODULE_3__/* .dataItemSerializationsInfo */ .lh.concat(summaryTypeNumericToAny, calculation, windowDefinition, expression, measureFilterString);


/***/ }),

/***/ 4058:
/***/ ((module) => {

module.exports = DevExpress.config;

/***/ }),

/***/ 4102:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bo: () => (/* binding */ getDimensionsExpressions),
/* harmony export */   Ec: () => (/* binding */ requestParamsValidator),
/* harmony export */   L1: () => (/* binding */ toCancelableSequenceAction),
/* harmony export */   XO: () => (/* binding */ CancellationToken),
/* harmony export */   sF: () => (/* binding */ combineOptions)
/* harmony export */ });
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _model_data_item_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6241);
/* harmony import */ var _data_source_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6768);



function getDimensionsExpressions(dashboardItem, dataFieldProvider) {
    let deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)();
    let fieldsNames = dashboardItem._dimensions.map(d => d.dataMember());
    (0,_data_source_browser__WEBPACK_IMPORTED_MODULE_1__/* .getDataFields */ .Wt)(fieldsNames, dashboardItem.dataSource(), dashboardItem.dataMember(), dataFieldProvider)
        .done((fields) => {
        let dimensionsExpressions = {};
        dashboardItem._dimensions.map(dim => {
            let field = fields.filter(f => f.dataMember() === dim.dataMember())[0];
            dimensionsExpressions[dim.uniqueName()] = (0,_model_data_item_helpers__WEBPACK_IMPORTED_MODULE_2__/* .getDimensionExpression */ .t)(dim.dataMember(), dim.dateTimeGroupInterval(), dim.textGroupInterval(), field.fieldType());
        });
        deferred.resolve(dimensionsExpressions);
    });
    return deferred.promise();
}
class CancellationToken {
    static get None() {
        return new CancellationToken((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)());
    }
    get canceled() {
        return this._source.state() === 'rejected';
    }
    constructor(source) {
        this._source = source;
    }
}
function toCancelableSequenceAction(action) {
    let cancelableSequenceAction = action;
    if (cancelableSequenceAction.cancelableAction)
        return cancelableSequenceAction;
    else
        return {
            ...action,
            cancelableAction: (options, cancellationToken) => cancelableSequenceAction.action(options)
        };
}
function combineOptions(previousOptions, options) {
    let result = { ...previousOptions };
    options.forEach(op => {
        if (op.surfaceLeft !== previousOptions.surfaceLeft)
            result.surfaceLeft = op.surfaceLeft;
        if (op.surfaceTop !== previousOptions.surfaceTop)
            result.surfaceTop = op.surfaceTop;
    });
    return result;
}
const requestParamsValidator = {
    isValid(requestParams) {
        return typeof requestParams.dashboardId !== 'symbol'
            && typeof requestParams.dashboardId !== 'object'
            || requestParams.dashboardId === null;
    }
};


/***/ }),

/***/ 4150:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ FormatConditionTypeEditorSurface)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5988);
/* harmony import */ var _data_index_internal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2882);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4270);
/* harmony import */ var _model_format_rules_conditions_metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2573);
/* harmony import */ var _model_format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5281);
/* harmony import */ var _model_format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6979);
/* harmony import */ var _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8105);
/* harmony import */ var _model_format_rules_conditions_range_range_generator__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(5771);
/* harmony import */ var _model_format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(7540);
/* harmony import */ var _viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(672);
/* harmony import */ var _viewer_parts_conditional_formatting_style_settings_provider__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7777);
/* harmony import */ var _viewer_parts_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(8117);













function getConditionTypes(dataType, filters = {}) {
    const filterGradient = (array) => array.filter(displayValue => filters.rangeGradientPredefinedTypeFilter ? filters.rangeGradientPredefinedTypeFilter(displayValue.value) : true);
    const filterRangeSet = (array) => array.filter(displayValue => filters.rangeSetPredefinedTypeFilter ? filters.rangeSetPredefinedTypeFilter(displayValue.value) : true);
    const conditionTypeFilter = filters.conditionTypeFilter || (() => true);
    const constraintBarCondition = (dataType) => !((0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsTextual */ .gH)(dataType) || (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsDateTime */ .kz)(dataType));
    return [{
            propertyName: 'conditionValue',
            constraint: (dataType) => dataType !== 'Enum',
            specificTypes: Object
                .keys(_model_format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_6__/* .conditionInCondition */ ["in"].values)
                .map(key => {
                return {
                    value: key,
                    displayText: _model_format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_6__/* .conditionInCondition */ ["in"].values[key],
                    constraint: ['Equal', 'NotEqual', 'ContainsText'].indexOf(key) !== -1 ? () => true : (dataType => dataType !== 'Text')
                };
            })
        }, {
            propertyName: 'conditionTopBottom',
            constraint: (dataType) => (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsNumeric */ .U$)(dataType),
            specificTypes: Object
                .keys(_model_format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_5__/* .topBottom */ .$O.values)
                .map(key => { return { value: key, displayText: _model_format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_5__/* .topBottom */ .$O.values[key] }; })
        }, {
            propertyName: 'conditionAverage',
            displayText: 'DashboardStringId.CommandFormatRuleAboveBelowAverage',
            constraint: (dataType) => (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsNumeric */ .U$)(dataType),
            specificTypes: Object
                .keys(_model_format_rules_conditions_metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_4__/* .averageType */ .G.values)
                .map(key => { return { value: key, displayText: _model_format_rules_conditions_metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_4__/* .averageType */ .G.values[key] }; })
        }, {
            propertyName: 'conditionDateOccuring',
            constraint: (dataType) => (0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsDateTime */ .kz)(dataType)
        }, {
            propertyName: 'conditionExpression',
            constraint: (dataType) => dataType !== 'Enum'
        }, {
            propertyName: 'conditionRangeSet',
            displayText: 'DashboardStringId.CommandFormatRuleRangeIcons',
            rangeStyleType: 'Icon',
            constraint: (dataType) => !(0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsTextual */ .gH)(dataType),
            subtype: 'icons',
            specificTypes: [{
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges2'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Arrows2, displayText: 'Arrows 2' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ArrowsGray2, displayText: 'Arrows Gray 2' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Circles2, displayText: 'Circles 2' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Symbols2, displayText: 'Symbols 2' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.SymbolsCircled2, displayText: 'Symbols Circled 2' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges3'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Arrows3, displayText: 'Arrows 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ArrowsGray3, displayText: 'Arrows Gray 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.PositiveNegative3, displayText: 'Positive Negative 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Circles3, displayText: 'Circles 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.TrafficLights3, displayText: 'Traffic Lights 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Signs3, displayText: 'Signs 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Symbols3, displayText: 'Symbols 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.SymbolsCircled3, displayText: 'Symbols Circled 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Stars3, displayText: 'Stars 3' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Flags3, displayText: 'Flags 3' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges4'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Arrows4, displayText: 'Arrows 4' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ArrowsGray4, displayText: 'Arrows Gray 4' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Circles4, displayText: 'Circles 4' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.CirclesRedToBlack4, displayText: 'Circles Red To Black 4' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Bars4, displayText: 'Bars 4' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges5'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Arrows5, displayText: 'Arrows 5' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ArrowsGray5, displayText: 'Arrows Gray 5' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Quarters5, displayText: 'Quarters 5' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Bars5, displayText: 'Bars 5' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.Boxes5, displayText: 'Boxes 5' }
                    ])
                }]
        }, {
            propertyName: 'conditionRangeSet',
            rangeStyleType: 'Color',
            constraint: (dataType) => !(0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsTextual */ .gH)(dataType),
            subtype: 'colors',
            specificTypes: [{
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges2'),
                    displayText: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges2'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedGreen, displayText: 'Pale Red Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedGreen, displayText: 'Red Green' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges3'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedGreenBlue, displayText: 'Pale Red Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedGreenBlue, displayText: 'Red Green Blue' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges4'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedYellowGreenBlue, displayText: 'Pale Red Yellow Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedYellowGreenBlue, displayText: 'Red Yellow Green Blue' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges5'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedOrangeYellowGreenBlue, displayText: 'Pale Red Orange Yellow Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedOrangeYellowGreenBlue, displayText: 'Red Orange Yellow Green Blue' }
                    ])
                }]
        }, {
            propertyName: 'conditionRangeGradient',
            rangeStyleType: 'Gradient',
            constraint: (dataType) => !(0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_3__/* .IsTextual */ .gH)(dataType),
            specificTypes: [{
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges'),
                    items: filterGradient([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenWhite, displayText: 'Green White' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.WhiteGreen, displayText: 'White Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedWhite, displayText: 'Red White' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.WhiteRed, displayText: 'White Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenYellow, displayText: 'Green Yellow' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.YellowGreen, displayText: 'Yellow Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedYellow, displayText: 'Red Yellow' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.YellowRed, displayText: 'Yellow Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueWhite, displayText: 'Blue White' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.WhiteBlue, displayText: 'White Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueRed, displayText: 'Blue Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedBlue, displayText: 'Red Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.YellowBlue, displayText: 'Yellow Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueYellow, displayText: 'Blue Yellow' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenBlue, displayText: 'Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueGreen, displayText: 'Blue Green' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges'),
                    items: filterGradient([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenWhiteBlue, displayText: 'Green White Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueWhiteGreen, displayText: 'Blue White Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueWhiteRed, displayText: 'Blue White Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedWhiteBlue, displayText: 'Red White Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenWhiteRed, displayText: 'Green White Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedWhiteGreen, displayText: 'Red White Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenYellowRed, displayText: 'Green Yellow Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedYellowGreen, displayText: 'Red Yellow Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueYellowRed, displayText: 'Blue Yellow Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedYellowBlue, displayText: 'Red Yellow Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenYellowBlue, displayText: 'Green Yellow Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueYellowGreen, displayText: 'Blue Yellow Green' }
                    ])
                }]
        }, {
            propertyName: 'conditionBar',
            constraint: constraintBarCondition
        }, {
            propertyName: 'conditionColorRangeBar',
            displayText: 'DashboardStringId.CommandFormatRuleColorRangeBar',
            rangeStyleType: 'ColorBar',
            constraint: constraintBarCondition,
            specificTypes: [{
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges2'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedGreen, displayText: 'Pale Red Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedGreen, displayText: 'Red Green' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges3'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedGreenBlue, displayText: 'Pale Red Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedGreenBlue, displayText: 'Red Green Blue' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges4'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedYellowGreenBlue, displayText: 'Pale Red Yellow Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedYellowGreenBlue, displayText: 'Red Yellow Green Blue' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSetRanges5'),
                    items: filterRangeSet([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsPaleRedOrangeYellowGreenBlue, displayText: 'Pale Red Orange Yellow Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeSetPredefinedType */ .mZ.ColorsRedOrangeYellowGreenBlue, displayText: 'Red Orange Yellow Green Blue' }
                    ])
                }]
        }, {
            propertyName: 'conditionGradientRangeBar',
            displayText: 'DashboardStringId.CommandFormatRuleGradientRangeBar',
            rangeStyleType: 'GradientBar',
            constraint: constraintBarCondition,
            specificTypes: [{
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges'),
                    items: filterGradient([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenWhite, displayText: 'Green White' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.WhiteGreen, displayText: 'White Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedWhite, displayText: 'Red White' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.WhiteRed, displayText: 'White Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenYellow, displayText: 'Green Yellow' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.YellowGreen, displayText: 'Yellow Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedYellow, displayText: 'Red Yellow' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.YellowRed, displayText: 'Yellow Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueWhite, displayText: 'Blue White' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.WhiteBlue, displayText: 'White Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueRed, displayText: 'Blue Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedBlue, displayText: 'Red Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.YellowBlue, displayText: 'Yellow Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueYellow, displayText: 'Blue Yellow' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenBlue, displayText: 'Green Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueGreen, displayText: 'Blue Green' }
                    ])
                }, {
                    key: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_2__.getLocalizationById)('DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges'),
                    items: filterGradient([
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenWhiteBlue, displayText: 'Green White Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueWhiteGreen, displayText: 'Blue White Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueWhiteRed, displayText: 'Blue White Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedWhiteBlue, displayText: 'Red White Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenWhiteRed, displayText: 'Green White Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedWhiteGreen, displayText: 'Red White Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenYellowRed, displayText: 'Green Yellow Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedYellowGreen, displayText: 'Red Yellow Green' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueYellowRed, displayText: 'Blue Yellow Red' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.RedYellowBlue, displayText: 'Red Yellow Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.GreenYellowBlue, displayText: 'Green Yellow Blue' },
                        { value: _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGradientPredefinedType */ ._p.BlueYellowGreen, displayText: 'Blue Yellow Green' }
                    ])
                }]
        },
    ]
        .map(typeDescr => {
        typeDescr['displayText'] = typeDescr['displayText'] || _model_format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_9__/* .conditionTypes */ .zY.filter(t => t.propertyName === typeDescr.propertyName)[0].displayName;
        return typeDescr;
    })
        .filter(ct => conditionTypeFilter(ct.propertyName, ct.subtype))
        .filter(ct => ct.constraint(dataType));
}
function getConditionSpecificTypes(conditionType, dataType, filters) {
    var conditionTypeDesciptor = getConditionTypes(dataType, filters).filter(ct => !!ct.subtype
        ? ct.propertyName + '_' + ct.subtype === conditionType
        : ct.propertyName === conditionType)[0];
    if (conditionTypeDesciptor && conditionTypeDesciptor.specificTypes) {
        let types = conditionTypeDesciptor.specificTypes
            .filter(st => !st.constraint || st.constraint(dataType));
        types['rangeStyleType'] = conditionTypeDesciptor.rangeStyleType || 'None';
        return types;
    }
    else {
        let types = [{ value: conditionType, displayText: '-' }];
        types['rangeStyleType'] = 'None';
        return types;
    }
}
class FormatConditionTypeEditorSurface {
    constructor(options) {
        this.displayMode = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.ancestors = knockout__WEBPACK_IMPORTED_MODULE_0__.observable([]);
        this.disposables = [];
        this.backClick = () => {
            this.displayMode('conditionTypes');
        };
        this.updateItemAppearance = (e) => {
            let element = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__/* .$unwrap */ .I1)(e.itemElement);
            e.itemData.hasSpecificTypes ? element.classList.add('dx-dashboard-has-children') : element.classList.remove('dx-dashboard-has-children');
        };
        this.dataType = options.dataType;
        this.conditionType = options.conditionType;
        this.specificType = options.specificType;
        this.disposables.push(this.displayMode.subscribe(mode => {
            if (mode === 'conditionTypes') {
                this.ancestors(['…']);
            }
            else {
                this.ancestors(['…', this.availableConditionTypes().filter(t => t.value === this.conditionType())[0].displayText]);
            }
        }));
        this.availableConditionTypes = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            if (!this.dataType())
                return;
            var types = getConditionTypes(this.dataType(), options.filters)
                .map(ct => ({
                value: ct.propertyName + (ct.subtype ? '_' + ct.subtype : ''),
                displayText: ct.displayText,
                hasSpecificTypes: !!ct.specificTypes
            }));
            return types;
        });
        this.disposables.push(this.availableConditionTypes);
        this.disposables.push(this.availableConditionTypes.subscribe((types) => {
            if (!types.filter(t => t.value === this.conditionType.peek())[0]) {
                this.conditionType(null);
            }
        }));
        this.availableSpecificTypes = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            let conditionType = this.conditionType();
            let dataType = this.dataType();
            let types = dataType && conditionType ? getConditionSpecificTypes(conditionType, dataType, options.filters) : [];
            if (types && (types.length > 1)) {
                this.displayMode('specificTypes');
            }
            else {
                this.displayMode('conditionTypes');
            }
            return types;
        });
        this.disposables.push(this.availableSpecificTypes.subscribe(types => {
            if (types.length === 1)
                this.specificType(types[0].value);
        }));
        this.selectedSpecificTypes = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            if (this.availableSpecificTypes()['rangeStyleType'] === 'None') {
                return this.availableSpecificTypes() && this.availableSpecificTypes().filter((value) => value.value === this.specificType()) || [];
            }
            else {
                var selection = null, key = null;
                this.availableSpecificTypes().forEach((group) => {
                    group.items.forEach(item => {
                        if (item.value === this.specificType()) {
                            key = group.key;
                            selection = item;
                            return false;
                        }
                    });
                    if (selection)
                        return false;
                });
                return selection && [{ key: key, items: [selection] }] || [];
            }
        });
    }
    getStyleList(rangeStyleType) {
        const styleList = _model_format_rules_conditions_range_range_converter__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionConverter */ .$p.getStyleList(rangeStyleType).list.reverse();
        return styleList.map(styleType => {
            if (this.availableSpecificTypes()['rangeStyleType'] === 'Icon') {
                return _viewer_parts_conditional_formatting_style_settings_provider__WEBPACK_IMPORTED_MODULE_11__/* .styleSettingsProvider */ .AI.toIconCssClass(styleType);
            }
            return (0,_viewer_parts_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_12__/* .convertCssPropertyWrappersToObject */ .Yz)(_viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_10__/* .appearanceSettingsProvider */ .v.toCssProperties(styleType));
        });
    }
    getGradientColorsList(type) {
        return _model_format_rules_conditions_range_range_generator__WEBPACK_IMPORTED_MODULE_8__/* .FormatConditionRangeGenerator */ .N.generateGradientColors(type, 6).reverse();
    }
    dispose() {
        this.disposables.forEach(disposable => disposable?.dispose());
    }
}


/***/ }),

/***/ 4162:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Fm: () => (/* binding */ colorStyleSettingsSerializationsInfo),
/* harmony export */   gs: () => (/* binding */ predefinedColor),
/* harmony export */   yW: () => (/* binding */ color)
/* harmony export */ });
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5419);
/* harmony import */ var _appearance_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8729);
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3024);



let predefinedColor = {
    propertyName: 'predefinedColor', modelName: '@PredefinedColor', displayName: 'DashboardStringId.FormatRulePredefinedColor', defaultVal: _appearance_settings__WEBPACK_IMPORTED_MODULE_1__/* .appearanceType */ .pP.defaultVal, simpleFormAdapterItem: _appearance_settings__WEBPACK_IMPORTED_MODULE_1__/* .appearanceType */ .pP.simpleFormAdapterItem, values: _appearance_settings__WEBPACK_IMPORTED_MODULE_1__/* .appearanceType */ .pP.values
};
let color = { propertyName: 'color', modelName: '@Color', displayName: 'DashboardStringId.DescriptionItemColor', defaultVal: null, from: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorFromModel, toJsonObject: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorToModel, simpleFormAdapterItem: 'numberBoxEditor' };
let colorStyleSettingsSerializationsInfo = _style_settings_base__WEBPACK_IMPORTED_MODULE_2__/* .styleSettingsBaseSerializationsInfo */ .i.concat([color, predefinedColor]);


/***/ }),

/***/ 4168:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ LimitDataState)
/* harmony export */ });
class LimitDataState {
    constructor() {
        this._visible = false;
        this._enabled = true;
    }
    get enabled() {
        return this._enabled;
    }
    setReduced() {
        this._visible = true;
        this._enabled = true;
    }
    getViewModel() {
        return {
            isReduceMode: this._visible,
            isReduced: this._enabled,
        };
    }
    toggle() {
        this._enabled = !this._enabled;
    }
    reset() {
        this._visible = false;
        this._enabled = true;
    }
}


/***/ }),

/***/ 4191:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dZ: () => (/* binding */ textBoxDashboardItemSerializationsInfo),
/* harmony export */   jp: () => (/* binding */ textBoxValues),
/* harmony export */   yA: () => (/* binding */ textBoxText)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6157);




let textBoxText = {
    propertyName: 'text',
    modelName: 'Text',
    displayName: 'DashboardWebStringId.TextBox.Text',
    defaultVal: '',
    from: (value) => knockout__WEBPACK_IMPORTED_MODULE_0__.observable(value),
    toJsonObject: (value) => {
        return value.replace(/\0*$/g, '').trim();
    },
};
let textBoxValues = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .valuesPropertyName */ .Dn, modelName: 'Values', displayName: 'DashboardStringId.DescriptionValues', array: true };
let textBoxDashboardItemSerializationsInfo = _data_dashboard_item__WEBPACK_IMPORTED_MODULE_3__/* .dataDashboardItemSerializationsInfo */ .LH.concat([textBoxValues, textBoxText, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._baseInteractivityOptionsMeta */ .vP]);


/***/ }),

/***/ 4206:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ SliceTable)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1923);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _metadata_slice_table__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4571);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





class SliceTable extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(_dataItemProvider, modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this._dataItemProvider = _dataItemProvider;
        this.dimensions = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Dimensions, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItemLink */ .Kz(_dataItemProvider, item, serializer));
        this.measures = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Measures, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItemLink */ .Kz(_dataItemProvider, item, serializer));
    }
    getInfo() {
        return _metadata_slice_table__WEBPACK_IMPORTED_MODULE_4__/* .sliceTableSerializationsInfo */ .y5;
    }
    push(bindings, dataItemType) {
        var targetArray = dataItemType === 'Dimension' ? this.dimensions : this.measures;
        targetArray.push.apply(targetArray, bindings.map(link => _data_item_data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItemLink */ .Kz.create(this._dataItemProvider, link)));
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_2__/* .collectionItemType */ .s)('Dimension')
], SliceTable.prototype, "dimensions", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_2__/* .collectionItemType */ .s)('Measure')
], SliceTable.prototype, "measures", void 0);


/***/ }),

/***/ 4214:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ geoPointMapDataController)
/* harmony export */ });
/* harmony import */ var _jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _geo_point_map_data_controller_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5462);


class geoPointMapDataController extends _geo_point_map_data_controller_base__WEBPACK_IMPORTED_MODULE_1__/* .geoPointMapDataControllerBase */ .N {
    constructor(options) {
        super(options);
    }
    getPoint(index) {
        return (0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)(super.getPoint(index), {
            text: this._getMeasureDisplayText(index, this.viewModel.ValueId)
        });
    }
}


/***/ }),

/***/ 4216:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ localizationId)
/* harmony export */ });
let localizationId = {
    FilterElementShowAllItem: 'DashboardStringId.FilterElementShowAllItem',
    DateTimeQuarterFormat: 'DashboardStringId.DateTimeQuarterFormat',
    buttonNames: {
        ClearMasterFilter: 'DashboardStringId.ActionClearMasterFilter',
        ClearSelection: 'DashboardStringId.ActionClearSelection',
        ElementSelection: 'DashboardStringId.ActionOtherValues',
        DrillUp: 'DashboardStringId.ActionDrillUp',
        ExportTo: 'DashboardStringId.ActionExportTo',
        ExportToPdf: 'DashboardStringId.ActionExportToPdf',
        ExportToImage: 'DashboardStringId.ActionExportToImage',
        ExportToExcel: 'DashboardStringId.ActionExportToExcel',
        ExportTemplate: 'DashboardStringId.ActionExportTemplate',
        AllowMultiselection: 'DashboardStringId.ActionAllowMultiselection',
        ButtonCancel: 'DashboardStringId.ButtonCancel',
        ButtonOK: 'DashboardStringId.ButtonOK',
        ButtonReset: 'DashboardStringId.ButtonReset',
        ButtonSubmit: 'DashboardStringId.ButtonSubmit',
        ButtonExport: 'DashboardStringId.ButtonExport',
        InitialExtent: 'DashboardStringId.InitialExtent',
        GridResetColumnWidths: 'DashboardStringId.GridResetColumnWidths',
        GridSortAscending: 'DashboardStringId.GridSortAscending',
        GridSortDescending: 'DashboardStringId.GridSortDescending',
        GridClearSorting: 'DashboardStringId.GridClearSorting',
        AddTimePeriod: 'DashboardStringId.ActionSelectDateTimePeriod',
        CustomPeriod: 'DashboardStringId.RangeFilterCustomDateTimePeriod',
        SelectDate: 'DashboardStringId.SelectDate'
    },
    labelName: {
        ParametersFormCaption: 'DashboardStringId.ParametersFormCaption',
        ParametersFormAllowNullColumnCaption: 'DashboardStringId.ParametersFormAllowNullColumnCaption',
        ParametersFormValueColumnCaption: 'DashboardStringId.ParametersFormValueColumnCaption',
        ParametersFormNameColumnCaption: 'DashboardStringId.ParametersFormNameColumnCaption',
        ParametersFormCalendarTodayButton: 'DashboardStringId.ParametersFormCalendarTodayButton',
        PageLayout: 'DashboardStringId.PageLayout',
        PageLayoutAuto: 'DashboardStringId.PageLayoutAuto',
        PageLayoutPortrait: 'DashboardStringId.PageLayoutPortrait',
        PageLayoutLandscape: 'DashboardStringId.PageLayoutLandscape',
        PaperKind: 'DashboardStringId.PaperKind',
        PaperKindLetter: 'DashboardStringId.PaperKindLetter',
        PaperKindLegal: 'DashboardStringId.PaperKindLegal',
        PaperKindExecutive: 'DashboardStringId.PaperKindExecutive',
        PaperKindA5: 'DashboardStringId.PaperKindA5',
        PaperKindA4: 'DashboardStringId.PaperKindA4',
        PaperKindA3: 'DashboardStringId.PaperKindA3',
        ScaleMode: 'DashboardStringId.ScaleMode',
        ScaleModeNone: 'DashboardStringId.ScaleModeNone',
        ScaleModeUseScaleFactor: 'DashboardStringId.ScaleModeUseScaleFactor',
        ScaleModeAutoFitToPagesWidth: 'DashboardStringId.ScaleModeAutoFitToPagesWidth',
        AutoFitPageCount: 'DashboardStringId.AutoFitPageCount',
        ScaleFactor: 'DashboardStringId.ScaleFactor',
        PrintHeadersOnEveryPage: 'DashboardStringId.PrintHeadersOnEveryPage',
        FitToPageWidth: 'DashboardStringId.FitToPageWidth',
        SizeMode: 'DashboardStringId.SizeMode',
        SizeModeNone: 'DashboardStringId.SizeModeNone',
        SizeModeStretch: 'DashboardStringId.SizeModeStretch',
        SizeModeZoom: 'DashboardStringId.SizeModeZoom',
        AutoArrangeContent: 'DashboardStringId.AutoArrangeContent',
        ImageFormat: 'DashboardStringId.ImageFormat',
        ExcelFormat: 'DashboardStringId.ExcelFormat',
        CsvValueSeparator: 'DashboardStringId.CsvValueSeparator',
        ExportFilters: 'DashboardStringId.ExportFilters',
        ExportParameters: 'DashboardStringId.ExportParameters',
        IncludeExportDashboardState: 'DashboardStringId.IncludeExportDashboardState',
        DashboardStatePosition: 'DashboardStringId.DashboardStatePosition',
        Resolution: 'DashboardStringId.Resolution',
        ShowTitle: 'DashboardStringId.ShowTitle',
        Title: 'DashboardStringId.Title',
        FileName: 'DashboardStringId.FileName',
        FilterStatePresentationAfter: 'DashboardStringId.FilterStatePresentationAfter',
        FilterStatePresentationAfterAndSplitPage: 'DashboardStringId.FilterStatePresentationAfterAndSplitPage',
        FilterStatePresentationSplitSheet: 'DashboardStringId.FilterStatePresentationSplitSheet',
        SelectRange: 'DashboardStringId.RangeFilterSelectRange',
        RangeFilterSelectRangeFromCaption: 'DashboardStringId.RangeFilterSelectRangeFromCaption',
        RangeFilterSelectRangeToCaption: 'DashboardStringId.RangeFilterSelectRangeToCaption'
    },
    sparkline: {
        TooltipStartValue: 'DashboardStringId.SparklineTooltipStartValue',
        TooltipEndValue: 'DashboardStringId.SparklineTooltipEndValue',
        TooltipMinValue: 'DashboardStringId.SparklineTooltipMinValue',
        TooltipMaxValue: 'DashboardStringId.SparklineTooltipMaxValue'
    },
    MessageCustomItemIsNotSupported: 'DashboardStringId.MessageCustomItemIsNotSupported',
    MessageGridHasNoData: 'DashboardStringId.MessageGridHasNoData',
    MessagePivotHasNoData: 'DashboardStringId.MessagePivotHasNoData',
    PivotGridGrandTotal: 'DashboardStringId.PivotGridGrandTotal',
    PivotGridTotal: 'DashboardStringId.PivotGridTotal',
    ChartTotalValue: 'DashboardStringId.ChartTotalValue',
    ParametersSelectorText: 'DashboardStringId.ParametersSelectorText',
    OpenCaption: 'DashboardStringId.OpenCaption',
    HighCaption: 'DashboardStringId.HighCaption',
    LowCaption: 'DashboardStringId.LowCaption',
    CloseCaption: 'DashboardStringId.CloseCaption',
    NumericFormatUnitSymbolThousands: 'DashboardStringId.NumericFormatUnitSymbolThousands',
    NumericFormatUnitSymbolMillions: 'DashboardStringId.NumericFormatUnitSymbolMillions',
    NumericFormatUnitSymbolBillions: 'DashboardStringId.NumericFormatUnitSymbolBillions',
    FilterElementCheckedComboBoxNoDataCaption: 'DashboardStringId.FilterElementCheckedComboBoxNoDataCaption',
    FilterElementRadioComboBoxNoDataCaption: 'DashboardStringId.FilterElementRadioComboBoxNoDataCaption',
    FilterElementNoDataToDisplay: 'DashboardStringId.FilterElementNoDataToDisplay',
    OlapRaggedHierarchyNoneItemCaption: 'DashboardStringId.OlapRaggedHierarchyNoneItemCaption',
    TreemapLabelArgumentTemplate: 'DashboardStringId.TreemapLabelArgumentTemplate',
    TreemapLabelValueTemplate: 'DashboardStringId.TreemapLabelValueTemplate',
    SearchNullValuePrompt: 'DashboardStringId.SearchNullValuePrompt',
    LegendItemFormatString: 'DashboardStringId.LegendItemFormatString'
};


/***/ }),

/***/ 4249:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AY: () => (/* binding */ cardId),
/* harmony export */   Gn: () => (/* binding */ cardItemDeltaFormatRuleSerializationsInfo),
/* harmony export */   _z: () => (/* binding */ deltaValueType)
/* harmony export */ });
/* harmony import */ var _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2251);

let deltaValueType = { propertyName: 'deltaValueType', modelName: '@DeltaValueType', defaultVal: 'AbsoluteVariation', displayName: 'DashboardWebStringId.Delta.ValueType' };
let cardId = { propertyName: 'cardId', modelName: '@CardId' };
let cardItemDeltaFormatRuleSerializationsInfo = _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_0__/* .cardItemFormatRuleSerializationsInfoBase */ .FC.concat([deltaValueType, cardId]);


/***/ }),

/***/ 4250:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ GaugeItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item_window_definition_gauge_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5108);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _kpi_kpi_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8648);
/* harmony import */ var _gauge__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4528);
/* harmony import */ var _metadata_gauge_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8257);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







class GaugeItem extends _kpi_kpi_item__WEBPACK_IMPORTED_MODULE_4__/* .KpiItem */ .W {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.gauges = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Gauges, (item) => new _gauge__WEBPACK_IMPORTED_MODULE_5__/* .Gauge */ ._(this, item, serializer));
    }
    _clearBindings() {
        super._clearBindings();
        this.gauges.removeAll();
    }
    _itemInteractivityByColumnAxis() {
        return false;
    }
    _getInteractivityAxisDimensionCount() {
        return this.seriesDimensions().length;
    }
    _getInfoCore() {
        return _metadata_gauge_item__WEBPACK_IMPORTED_MODULE_6__/* .gaugeDashboardItemSerializationsInfo */ .Qw;
    }
    _getDefaultItemType() {
        return 'Gauge';
    }
    _getLayersCount() {
        return !!this.__seriesDimensions && this.__seriesDimensions().length > 0 ? this.gauges().length : 0;
    }
    _getLayerName() {
        return this._getDataItemContainerDisplayName(this.gauges()[this._selectedElementIndex() || 0]);
    }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_gauge_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .GaugeWindowDefinition */ .L();
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_2__/* .collectionItemType */ .s)('GaugeElement')
], GaugeItem.prototype, "gauges", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .itemTypesMap */ .Jh['Gauge'] = { type: GaugeItem, groupName: 'common', title: 'DashboardStringId.DefaultNameGaugeItem', index: 70 };


/***/ }),

/***/ 4270:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J7: () => (/* binding */ DataField),
/* harmony export */   Q0: () => (/* binding */ IsOlapHierarchyField),
/* harmony export */   U$: () => (/* binding */ IsNumeric),
/* harmony export */   gH: () => (/* binding */ IsTextual),
/* harmony export */   kz: () => (/* binding */ IsDateTime)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _metadata_data_field__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8534);





let IsNumeric = (dataType) => (['Decimal', 'Float', 'Double', 'Long', 'Integer'].indexOf(dataType) > -1);
let IsTextual = (dataType) => (['Enum', 'Text'].indexOf(dataType) > -1);
let IsDateTime = (dataType) => (['DateTime'].indexOf(dataType) > -1);
let IsOlapHierarchyField = dataField => !!dataField.groupIndex && dataField.groupIndex() !== undefined;
class DataField extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    static isNumeric(dataField) {
        return dataField && (IsNumeric(dataField.fieldType()) || (dataField.fieldType() == 'Custom' && DataField.isOlap(dataField.dataMember())));
    }
    static isDateTime(dataField) {
        return dataField && IsDateTime(dataField.fieldType());
    }
    static olapMarker() {
        return '].[';
    }
    static isOlap(dataMember) {
        return dataMember && ((dataMember.indexOf(DataField.olapMarker()) !== -1)
            || ((dataMember[0] === '[') && (dataMember.indexOf(']') === dataMember.length - 1)));
    }
    static isMeasure(dataField) {
        if (dataField.isAggregate && dataField.isAggregate())
            return true;
        var isOlap = DataField.isOlap(dataField.dataMember());
        return (!isOlap && DataField.isNumeric(dataField)) || (isOlap && DataField.isOrContainMeasures(dataField.dataMember()));
    }
    static isOrContainMeasures(dataMember) {
        return dataMember === '[Measures]' || dataMember.indexOf('[Measures]') !== -1;
    }
    static ifOlapThenOnlyMeasure(dataField) {
        return !DataField.isOlap(dataField.dataMember()) || DataField.isOrContainMeasures(dataField.dataMember());
    }
    static ifOlapThenOnlyDimension(dataField) {
        return !DataField.isOlap(dataField.dataMember()) || !DataField.isOrContainMeasures(dataField.dataMember());
    }
    static isContinous(dataField) {
        return dataField && (DataField.isNumeric(dataField) || dataField.fieldType() === 'DateTime');
    }
    static isOlapHierarchy(dataField) {
        return dataField && !!dataField.nodeType && dataField.nodeType() === 'OlapHierarchy';
    }
    constructor(dataFieldJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataFieldJSON, serializer);
        this.expanded = true;
        this.childNodes = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dataFieldJSON.ChildNodes, (item) => new DataField(item, serializer));
        if (!this.isDataFieldNode() || this.childNodes().length > 0) {
            this.fieldType(undefined);
        }
        this.groupDataItems = jquery__WEBPACK_IMPORTED_MODULE_1__.map(dataFieldJSON.GroupFieldTypes || {}, (type, name) => {
            return {
                dataMember: knockout__WEBPACK_IMPORTED_MODULE_2__.observable(name),
                fieldType: knockout__WEBPACK_IMPORTED_MODULE_2__.observable(type),
                displayName: knockout__WEBPACK_IMPORTED_MODULE_2__.observable(dataFieldJSON.GroupCaptions[dataFieldJSON.GroupDataMembers.indexOf(name)]),
                isConvertible: knockout__WEBPACK_IMPORTED_MODULE_2__.observable(true),
                isDataFieldNode: knockout__WEBPACK_IMPORTED_MODULE_2__.observable(true)
            };
        });
        this.defaultNumericFormat = dataFieldJSON.DefaultNumericFormat;
    }
    getInfo() {
        return _metadata_data_field__WEBPACK_IMPORTED_MODULE_4__/* .dataFieldSerializationsInfo */ .I;
    }
}


/***/ }),

/***/ 4306:
/***/ ((module) => {

module.exports = DevExpress.ui.themes;

/***/ }),

/***/ 4307:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ DashboardLayoutNode)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1041);
/* harmony import */ var _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(7899);
/* harmony import */ var _items_dashboard_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4391);
/* harmony import */ var _items_group_group_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(818);
/* harmony import */ var _items_tab_container_item_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(517);
/* harmony import */ var _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3536);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1513);
/* harmony import */ var _metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1910);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










class DashboardLayoutNode extends _serializable_model__WEBPACK_IMPORTED_MODULE_7__/* .TypedSerializableModel */ .$t {
    static _canAttach(parent, dashboardLayoutNode) {
        if (dashboardLayoutNode) {
            var containsParent = (predicate) => {
                var container = parent;
                while (!!container) {
                    if (predicate(container)) {
                        return true;
                    }
                    container = container.parentNode();
                }
                return false;
            };
            var itemType = dashboardLayoutNode instanceof DashboardLayoutNode ? dashboardLayoutNode._getDefaultItemType() : dashboardLayoutNode['@ItemType'];
            if (itemType === 'TabContainer' || itemType === 'LayoutTabContainer') {
                return !containsParent(container => container.item instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_4__/* .GroupItem */ .N) &&
                    !containsParent(container => container.item instanceof _items_tab_container_item_tab_container_item__WEBPACK_IMPORTED_MODULE_6__/* .TabContainerItem */ .i);
            }
            var isVisbleGroup = (node) => {
                if (node instanceof DashboardLayoutNode) {
                    return !!node.dashboardItem();
                }
                else {
                    return true;
                }
            };
            if ((itemType === 'Group' || itemType === 'LayoutGroup') && isVisbleGroup(dashboardLayoutNode)) {
                return !containsParent(container => container.item instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_4__/* .GroupItem */ .N);
            }
        }
        return true;
    }
    get item() {
        return this._item();
    }
    set item(newItem) {
        if (this.item !== newItem) {
            this._setItemCore(newItem);
        }
    }
    constructor(dashboardLayoutItemJSON, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardLayoutItemJSON, serializer);
        this.parentNode = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._dashboard = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._item = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._activeTabPage = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(undefined);
        this._activeTabIndex = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(0);
        this.addDisposable(this._relativeWidth = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if (!this.parentNode()) {
                return 1;
            }
            else if (this.parentNode().orientation() === 'Horizontal')
                return this.parentNode()._relativeWidth() * (this.weight() / this.parentNode().childNodes().reduce((acc, item) => acc + item.weight(), 0));
            else
                return this.parentNode()._relativeWidth();
        }));
        this.addDisposable(this._relativeHeight = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if (!this.parentNode()) {
                return 1;
            }
            else if (this.parentNode().orientation() === 'Vertical')
                return this.parentNode()._relativeHeight() * (this.weight() / this.parentNode().childNodes().reduce((acc, item) => acc + item.weight(), 0));
            else
                return this.parentNode()._relativeHeight();
        }));
        this.addDisposable(this._relativeArea = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return this._relativeWidth() * this._relativeHeight();
        }));
        this.addDisposable((0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_2__/* .safeSubscribe */ .uQ)({
            dashboard: this._dashboard
        }, args => {
            if (args.dashboard) {
                return (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_2__/* .safeSubscribe */ .uQ)({
                    allItems: args.dashboard._allItems,
                    componentName: this.dashboardItem
                }, innerArgs => {
                    let dashboardItem = innerArgs.allItems.filter(item => item.componentName() === innerArgs.componentName)[0] || null;
                    if (dashboardItem !== this._item()) {
                        this._item(dashboardItem);
                    }
                });
            }
            else {
                this._item(null);
            }
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            this._dashboard(this.parentNode() && this.parentNode()._dashboard() || null);
        }));
        this.addDisposable(this.parentNode.subscribe(_ => this._ensureItemParentContainer()));
        this.addDisposable(this._item.subscribe(_ => this._ensureItemParentContainer()));
        if (!this.weight()) {
            this.weight(1);
        }
    }
    dispose() {
        super.dispose();
        this._viewModel?.dispose();
        this._viewModel = null;
    }
    getInfo() {
        return _metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_8__/* .layoutItemSerializationsInfo */ .fx;
    }
    findLayoutItem(dashboardItem) {
        return this.item === dashboardItem ? this : undefined;
    }
    insert(itemToInsert, position) {
        var layoutNodeToInsert = null;
        if (itemToInsert instanceof _items_dashboard_item__WEBPACK_IMPORTED_MODULE_3__/* .DashboardItem */ .K)
            layoutNodeToInsert = this._dashboard() && this._dashboard()._createDashboardLayoutNode(itemToInsert) || null;
        else
            layoutNodeToInsert = itemToInsert;
        if (!layoutNodeToInsert || !this._canAttach(layoutNodeToInsert)) {
            return;
        }
        this._insertItemCore(layoutNodeToInsert, position);
    }
    moveTo(targetItem, position) {
        this._moveTo(targetItem, position);
    }
    _moveTo(targetItem, position, insertionBehavior) {
        this.remove();
        targetItem._insertItemCore(this, position, insertionBehavior);
    }
    remove() {
        if (this.parentNode()) {
            this.parentNode()._detachChild(this);
            this.parentNode(null);
        }
    }
    _create(modelItemJson, position, insertionBehavior) {
        var newItemModel = this._dashboard()._createDashboardLayoutItem(modelItemJson);
        if (!!this.weight()) {
            newItemModel.weight(this.weight());
        }
        this._insertItemCore(newItemModel, position, insertionBehavior);
        return newItemModel;
    }
    _validateParentNode(newParentNode) {
        this.parentNode(newParentNode);
    }
    _canAttach(itemToAttach) {
        return DashboardLayoutNode._canAttach(this.parentNode(), itemToAttach);
    }
    _createViewModel() {
        if (!this._viewModel) {
            const viewModel = {
                model: this,
                dashboardItem: this.dashboardItem,
                template: this._template,
                hasItem: knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => !!this.item),
                item: knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
                    if (this.item instanceof _items_tab_container_item_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_5__/* .DashboardTabPage */ .b) {
                        return this._dashboard()._getDisplayDashboardItem(this.item);
                    }
                    return this.item;
                }),
                create: (modelItemJson, location, insertionBehavior) => {
                    let layoutItemModel = this._create(modelItemJson, location, insertionBehavior);
                    return layoutItemModel && layoutItemModel._createViewModel() || null;
                },
                createTabPage: () => this._createTabPage(),
                moveTo: (itemViewModel, location, insertionBehavior) => {
                    this._moveTo(itemViewModel.model, location, insertionBehavior);
                    return itemViewModel.model._createViewModel();
                },
                delete: () => this._delete(),
                canAttach: (something) => this._canAttach(something.model ? something.model : something),
                ignoreChildMaxHeight: this._ignoreChildMaxHeight,
                orientation: this._orientation,
                getPlaceholder: this._createPlaceholderFunc,
                weight: this.weight,
                visibleItems: this._visibleItems,
                childItems: this._childItems,
                activeTabPage: this._activeTabPage,
                activeTabIndex: this._activeTabIndex,
                dragOverInnerElementController: this._dragOverInnerElementController,
                dispose: () => {
                    knockout__WEBPACK_IMPORTED_MODULE_1__.isComputed(viewModel.hasItem) && viewModel.hasItem.dispose();
                    knockout__WEBPACK_IMPORTED_MODULE_1__.isComputed(viewModel.item) && viewModel.item.dispose();
                }
            };
            this._viewModel = viewModel;
        }
        return this._viewModel;
    }
    get _template() { return ''; }
    get _ignoreChildMaxHeight() { return false; }
    get _visibleItems() { return knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]); }
    get _childItems() { return knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]); }
    get _orientation() { return knockout__WEBPACK_IMPORTED_MODULE_1__.observable('Horizontal'); }
    get _createPlaceholderFunc() { return null; }
    get _dragOverInnerElementController() { return null; }
    _delete() {
        this._deleteDashbordItem();
        this.remove();
    }
    _insertItemCore(layoutNodeToInsert, position, insertionBehavior) {
        if (this.parentNode()) {
            this.parentNode()._attachChild(this, layoutNodeToInsert, position);
        }
    }
    _setItemCore(newItem) {
        this.dashboardItem(newItem.componentName());
    }
    _createTabPage() {
    }
    _ensureItemParentContainer() {
        if (!!this._item()) {
            var current = this.parentNode();
            while (!!current && !(current._item() instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_4__/* .GroupItem */ .N || current._item() instanceof _items_tab_container_item_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_5__/* .DashboardTabPage */ .b)) {
                current = current.parentNode();
            }
            if (!!current && (current._item() instanceof _items_group_group_item__WEBPACK_IMPORTED_MODULE_4__/* .GroupItem */ .N || current._item() instanceof _items_tab_container_item_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_5__/* .DashboardTabPage */ .b)) {
                this._item().parentContainer(current._item().componentName());
            }
            else {
                this._item().parentContainer(undefined);
            }
        }
    }
    _deleteDashbordItem() {
    }
}
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_9__/* .wrapWithUndoRedo */ .JZ
], DashboardLayoutNode.prototype, "insert", null);
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_9__/* .wrapWithUndoRedo */ .JZ
], DashboardLayoutNode.prototype, "_moveTo", null);
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_9__/* .wrapWithUndoRedo */ .JZ
], DashboardLayoutNode.prototype, "remove", null);
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_9__/* .wrapWithUndoRedo */ .JZ
], DashboardLayoutNode.prototype, "_create", null);
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_9__/* .wrapWithUndoRedo */ .JZ
], DashboardLayoutNode.prototype, "_delete", null);


/***/ }),

/***/ 4355:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NQ: () => (/* binding */ defineClassMoved),
/* harmony export */   Q3: () => (/* binding */ defineObsoleteMethod),
/* harmony export */   U1: () => (/* binding */ defineObsoleteProperty),
/* harmony export */   bT: () => (/* binding */ ClassMemberType)
/* harmony export */ });
let ClassMemberType = {
    method: 'method',
    property: 'property'
};
function obsoleteWarn(memberType, oldMemberName, newMemberName) {
    return `The ${oldMemberName} ${memberType} is obsolete.` + (newMemberName ? ` Use the ${newMemberName} ${memberType} instead.` : '');
}
function defineObsoleteProperty(info) {
    Object.defineProperty(info.target, info.memberName, {
        get: () => {
            if (!info.ignoreWarmMessage) {
                let message = info.warmMessage ? info.warmMessage : obsoleteWarn(ClassMemberType.property, info.oldMemberDisplayName, info.newMemberDisplayName);
                console.warn(message);
            }
            return info.action();
        },
        enumerable: false,
        configurable: true
    });
}
function defineClassMoved(className, sourceNamespace, destNamespace, sourceNamespaceName, destNamespaceName, additionalInfo) {
    defineObsoleteProperty({
        target: sourceNamespace,
        memberName: className,
        warmMessage: 'The ' + className + ' class was moved from the ' + sourceNamespaceName + ' to the ' + destNamespaceName + '. ' + additionalInfo,
        action: () => destNamespace[className]
    });
}
function defineObsoleteMethod(info) {
    info.target[info.memberName] = function (...args) {
        if (!info.ignoreWarmMessage) {
            let message = info.warmMessage ? info.warmMessage : obsoleteWarn(ClassMemberType.method, info.oldMemberDisplayName, info.newMemberDisplayName);
            console.warn(message);
        }
        return info.action.apply(info.target, args);
    };
}


/***/ }),

/***/ 4384:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Rc: () => (/* binding */ pieMapDashboardItemSerializationsInfo),
/* harmony export */   fy: () => (/* binding */ pieMapValues),
/* harmony export */   g: () => (/* binding */ pieMapArgument),
/* harmony export */   y0: () => (/* binding */ isWeighted)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1965);
/* harmony import */ var _geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2248);
/* harmony import */ var _map_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7069);





let pieMapArgument = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .argumentPropertyName */ .A1, modelName: 'Argument', displayName: 'DashboardStringId.DescriptionItemArgument', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let pieMapValues = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .valuesPropertyName */ .Dn, modelName: 'Values', displayName: 'DashboardStringId.DescriptionValues', array: true };
let isWeighted = { propertyName: 'isWeighted', modelName: '@IsWeighted', displayName: 'DashboardWebStringId.PieMapIsWeighted', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let pieMapDashboardItemSerializationsInfo = _geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_3__/* .geoPointMapDashboardItemBaseSerializationsInfo */ .H3.concat([pieMapArgument, pieMapValues, isWeighted, _map_item__WEBPACK_IMPORTED_MODULE_4__/* .colorLegend */ .$z, _map_item__WEBPACK_IMPORTED_MODULE_4__/* .weightedLegend */ .bJ, _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_2__/* .coloringOptions */ .k]);


/***/ }),

/***/ 4391:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ DashboardItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7739);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5988);
/* harmony import */ var _custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4634);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4904);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1513);
/* harmony import */ var _pane_content_holder__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(563);
/* harmony import */ var _options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(2591);









class DashboardItem extends _serializable_model__WEBPACK_IMPORTED_MODULE_6__/* .TypedSerializableModel */ .$t {
    static _getCommonItemType(itemType) {
        var commonItemType = itemType.toUpperCase();
        if (commonItemType === 'TEXTBOX') {
            return 'TEXT';
        }
        return commonItemType;
    }
    getUniqueNamePrefix() {
        return super._getUniqueNamePrefix() + 'DashboardItem';
    }
    _removeProperties() {
        Object.keys(this).forEach((propertyName) => {
            if (propertyName !== 'componentName')
                delete this[propertyName];
        });
    }
    _onDispose() { }
    dispose() {
        super.dispose();
        this.customProperties?.dispose();
        this._onDispose();
        this._removeProperties();
        this.disposed = true;
    }
    get _caption() {
        var name = this.name(), layerName = '';
        if (this._getLayersCount() > 0) {
            layerName = this._getLayerName();
            name += !!name && !!layerName ? ' - ' : '';
        }
        return name + layerName;
    }
    get _elementId() {
        const id = 'dx-dashboard-item-' + this.componentName() + '-' + this.name();
        return id.replace(/\W+/g, '');
    }
    _updateContent() {
        if (this._paneContentHolder.valid && this._paneContentHolder.valid() && !this._errorState()) {
            var content = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .deepExtend */ .zw)({}, this._paneContentHolder.getContent(_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__/* .PropertyCategory */ .Sw.Data) || {});
            this._updateContentViewModel(content);
            this._updateContentData(content);
            this._extendContentState(content);
            this._serverContent(content);
        }
        else {
            this._serverContent(null);
        }
    }
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer(), info = undefined) {
        super(dashboardItemJSON, serializer, info);
        this._useNeutralFilterMode = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this._uiState = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('live');
        this._errorState = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        this._viewerItemCreated = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this._allowMultiselection = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this._serverContent = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        this.addDisposable(this._paneContentHolder = new _pane_content_holder__WEBPACK_IMPORTED_MODULE_7__/* .PaneContentHolder */ .g());
        this.addDisposable(this._actions = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => []));
        this.addDisposable(this._state = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => null));
        this.addDisposable(this._dataQueryParams = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => null));
        this.addDisposable(this._paneContentHolder.valid.subscribe(() => this._updateContent()));
        this.addDisposable(this._errorState.subscribe(() => this._updateContent()));
    }
    _isInteractivityAllowed() {
        return !!this[_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_8__/* .commonInteractivityOptions */ .$4.propertyName];
    }
    _shouldSuspendOnMasterFilterSet() {
        return !this._useNeutralFilterMode();
    }
    _getLayersCount() {
        return 0;
    }
    _getLayerName() {
        return '';
    }
    _updateContentViewModel(content) {
        content.CaptionViewModel = content.CaptionViewModel || {};
        content.CaptionViewModel.Caption = this.name();
        content.CaptionViewModel.Text = this.name();
        content.CaptionViewModel.ShowCaption = this.showCaption();
        content.ViewModel = content.ViewModel || {};
        content.ViewModel.Caption = this.name();
        content.ViewModel.ShowCaption = this.showCaption();
        content.ParentContainer = this.parentContainer();
        content.forceUpdateViewModel = this._paneContentHolder.lastChangeReason === _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__/* .PropertyCategory */ .Sw.ViewModel;
    }
    _updateContentData(content) {
    }
    _updateDataQueryParams(params) {
    }
    _validateSelectionByData(selection) {
    }
    _extendContentState(content) {
    }
    _getDisplayFilterValues(limitCount) {
        return undefined;
    }
    _getDisplayFilterValuesExternal() {
    }
    _getServerContent() {
        let content = this._serverContent();
        var contentCopy = content ? (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .deepExtend */ .zw)({}, content) : undefined;
        if (contentCopy) {
            this._extendContentState(contentCopy);
        }
        return contentCopy;
    }
    _getFullServerContent() {
        let serverContent = this._getServerContent();
        return !!serverContent ? { ...serverContent, ContentType: _data_common__WEBPACK_IMPORTED_MODULE_2__/* .contentType */ .IM.fullContent } : serverContent;
    }
    _subcribeServerContent(handler) {
        return this._serverContent.subscribe(() => {
            handler(this._getServerContent());
        });
    }
    _getContentCategories() {
        return [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_5__/* .PropertyCategory */ .Sw.Initialize];
    }
    _getDataQueryParams() {
        var params = this._dataQueryParams.peek();
        this._updateDataQueryParams(params);
        return params || {};
    }
    _subcribeDataQueryParams(handler) {
        return this._dataQueryParams.subscribe(() => handler(this._getDataQueryParams()));
    }
    _getExportingSelection() {
    }
    _setState(parameter) {
    }
    getInfo() {
        return this._getInfoCore().concat((0,_custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_4__/* .getCustomPropertiesSerializationInfo */ .P)(this));
    }
}


/***/ }),

/***/ 4395:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ pivotDataController)
/* harmony export */ });
/* harmony import */ var _viewer_parts_viewer_items_pivot_grid_item_pivot_grid_item_helper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5803);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4833);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(814);




var GT_UNIQUE_PATH = 'GT';
class pivotDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_3__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this._measureIds = this._getMeasureIds();
        this._collapseStateCache = {};
        this._conditionalFormattingInfoCache = [];
    }
    getStyleSettingsInfo(cellItem, collapseStateCache, conditionalFormattingInfoCache, pointsCache) {
        if (this.cfModel && this.cfModel.RuleModels.length !== 0) {
            var cellInfo = this._getCellInfo(cellItem, pointsCache), rules = this._getFormatRules(cellItem, cellInfo);
            this._collapseStateCache = collapseStateCache;
            this._conditionalFormattingInfoCache = conditionalFormattingInfoCache;
            return this._getStyleSettingsInfoCore(cellInfo, rules, _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.pivotColumnAxis, _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.pivotRowAxis);
        }
    }
    _getMeasureIds() {
        var measureIds = [];
        for (var i = 0; i < this.viewModel.Values.length; i++)
            measureIds.push(this.viewModel.Values[i].DataId);
        return measureIds;
    }
    _getColumnAxis() {
        return _viewer_parts_viewer_items_pivot_grid_item_pivot_grid_item_helper__WEBPACK_IMPORTED_MODULE_0__/* .pivotHelper */ .Zz.getColumnAxis(this.multiData);
    }
    _getRowAxis() {
        return _viewer_parts_viewer_items_pivot_grid_item_pivot_grid_item_helper__WEBPACK_IMPORTED_MODULE_0__/* .pivotHelper */ .Zz.getRowAxis(this.multiData);
    }
    _getCellInfo(cellItem, pointsCache) {
        let columnAxisPoint;
        let rowAxisPoint;
        if (cellItem.area === _utils__WEBPACK_IMPORTED_MODULE_2__/* .pivotArea */ .A_.column || cellItem.area === _utils__WEBPACK_IMPORTED_MODULE_2__/* .pivotArea */ .A_.data)
            columnAxisPoint = this._getAxisPointByPath(pointsCache.columns, cellItem.columnPath, cellItem.columnType, false);
        if (cellItem.area === _utils__WEBPACK_IMPORTED_MODULE_2__/* .pivotArea */ .A_.row || cellItem.area === _utils__WEBPACK_IMPORTED_MODULE_2__/* .pivotArea */ .A_.data)
            rowAxisPoint = this._getAxisPointByPath(pointsCache.rows, cellItem.rowPath, cellItem.rowType, true);
        return {
            columnAxisPoint: columnAxisPoint,
            rowAxisPoint: rowAxisPoint
        };
    }
    _getStyleIndexes(rule, cellInfo, points) {
        var that = this, currentStyleIndexes, styleIndexes = [];
        if (rule.ApplyToRow) {
            currentStyleIndexes = that._findStyleSettingsOnAxis(cellInfo.rowAxisPoint, cellInfo.columnAxisPoint, rule.FormatConditionMeasureId, true);
            if (currentStyleIndexes.length > 0)
                styleIndexes = styleIndexes.concat(currentStyleIndexes);
        }
        if (rule.ApplyToColumn) {
            currentStyleIndexes = that._findStyleSettingsOnAxis(cellInfo.rowAxisPoint, cellInfo.columnAxisPoint, rule.FormatConditionMeasureId, false);
            if (currentStyleIndexes.length > 0)
                styleIndexes = styleIndexes.concat(currentStyleIndexes);
        }
        if (!rule.ApplyToRow && !rule.ApplyToColumn) {
            if (cellInfo.columnAxisPoint)
                points.push(cellInfo.columnAxisPoint);
            if (cellInfo.rowAxisPoint)
                points.push(cellInfo.rowAxisPoint);
            currentStyleIndexes = that._getMeasureValueByAxisPoints(points, rule.FormatConditionMeasureId);
            if (currentStyleIndexes)
                styleIndexes = styleIndexes.concat(currentStyleIndexes);
        }
        return styleIndexes;
    }
    _findStyleSettingsOnAxis(rowAxisPoint, columnAxisPoint, measureId, isRowAxis) {
        var that = this, styleIndexes = [], rowPoint = rowAxisPoint ? rowAxisPoint : this._getRowAxis().getRootPoint(), columnPoint = columnAxisPoint ? columnAxisPoint : this._getColumnAxis().getRootPoint(), slicePoint = isRowAxis ? rowPoint : columnPoint, intersectingRootPoint, slice, intersectingPoints = [], cfAxisPoint, conditionalFormattingInfo = {
            slicePoint: slicePoint,
            measureId: measureId,
            styleIndexes: [],
            toString: function () {
                return this.slicePoint.getUniquePath() + this.measureId;
            }
        }, iteratePoints = function (intersectingPoints, point) {
            var children = point.getChildren(), child, collapseStateKey = point.getUniquePath().concat(isRowAxis ? 'column' : 'row'), wasCollapsed = that._collapseStateCache[collapseStateKey];
            if (wasCollapsed === undefined) {
                intersectingPoints.push(point);
                if (children && children.length > 0) {
                    for (var i = 0; i < children.length; i++) {
                        child = children[i];
                        iteratePoints(intersectingPoints, child);
                    }
                }
            }
        };
        cfAxisPoint = this._conditionalFormattingInfoCache[conditionalFormattingInfo];
        if (cfAxisPoint)
            return cfAxisPoint.styleIndexes;
        slice = this.multiData.getSlice(slicePoint);
        intersectingRootPoint = isRowAxis ? this._getColumnAxis().getRootPoint() : this._getRowAxis().getRootPoint();
        iteratePoints(intersectingPoints, intersectingRootPoint);
        for (let index = 0; index < intersectingPoints.length; index++) {
            const intersectingPoint = intersectingPoints[index], finalSlice = slice.getSlice(intersectingPoint), currentStyleIndexes = finalSlice.getConditionalFormattingMeasureValue(measureId);
            if (currentStyleIndexes) {
                styleIndexes = currentStyleIndexes;
                break;
            }
        }
        conditionalFormattingInfo.styleIndexes = styleIndexes;
        this._conditionalFormattingInfoCache[conditionalFormattingInfo] = conditionalFormattingInfo;
        return styleIndexes;
    }
    _getFormatRules(cellItem, cellInfo) {
        var that = this, dataId, rules = [];
        switch (cellItem.area) {
            case _utils__WEBPACK_IMPORTED_MODULE_2__/* .pivotArea */ .A_.column:
                dataId = that._getPointId(cellInfo.columnAxisPoint);
                rules = rules.concat(that._getFormatRulesByDataId(dataId));
                break;
            case _utils__WEBPACK_IMPORTED_MODULE_2__/* .pivotArea */ .A_.row:
                dataId = that._getPointId(cellInfo.rowAxisPoint);
                rules = rules.concat(that._getFormatRulesByDataId(dataId));
                break;
            default: {
                dataId = that._measureIds[cellItem.cellIndex];
                rules = that.cfModel.RuleModels.filter(rule => {
                    return rule.ApplyToRow || (that._isRowValuePosition() && rule.ApplyToColumn) || rule.ApplyToDataId === dataId;
                });
                break;
            }
        }
        return rules;
    }
    _isRowValuePosition() {
        return this.viewModel.ValuesPosition === 'Rows';
    }
    _getAxisPointByPath(pointsCache, path, type, isRowAxisPoint) {
        var correctedPath = path, axisPoint;
        if (type === GT_UNIQUE_PATH)
            correctedPath = GT_UNIQUE_PATH;
        axisPoint = pointsCache[correctedPath];
        if (!axisPoint) {
            let axis = isRowAxisPoint ? this._getRowAxis() : this._getColumnAxis();
            axisPoint = axis.getPointByUniqueValues(path);
        }
        return axisPoint;
    }
    _getFormatRulesByDataId(dataId) {
        var that = this, formatRules = [];
        if (that.cfModel) {
            that.cfModel.RuleModels.forEach(rule => {
                if (rule.ApplyToDataId === dataId) {
                    formatRules.push(rule);
                }
            });
        }
        return formatRules;
    }
    _getPointId(point) {
        var dimension, columnPointId;
        if (point) {
            dimension = point.getDimension();
            columnPointId = dimension ? dimension.id : undefined;
        }
        return columnPointId;
    }
}


/***/ }),

/***/ 4421:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ClassMemberType: () => (/* reexport safe */ _internal_obsolete_helper__WEBPACK_IMPORTED_MODULE_9__.bT),
/* harmony export */   DashboardLayoutCreator: () => (/* reexport safe */ _layout_dashboard_layout_creator__WEBPACK_IMPORTED_MODULE_16__.v),
/* harmony export */   DashboardLayoutItemPlaceholder: () => (/* reexport safe */ _layout_layout_item_placeholder__WEBPACK_IMPORTED_MODULE_17__.L),
/* harmony export */   DashboardUniqueNameGenerator: () => (/* reexport safe */ _internal_dashboard_component_name_generator__WEBPACK_IMPORTED_MODULE_2__.O),
/* harmony export */   DimensionFilterValues: () => (/* reexport safe */ _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_0__.R),
/* harmony export */   EnumManager: () => (/* reexport safe */ _internal_helper_classes__WEBPACK_IMPORTED_MODULE_6__.ll),
/* harmony export */   ExpandingManager: () => (/* reexport safe */ _internal_expanding_manager__WEBPACK_IMPORTED_MODULE_5__.u),
/* harmony export */   Guard: () => (/* reexport safe */ _internal_helper_classes__WEBPACK_IMPORTED_MODULE_6__.wM),
/* harmony export */   LimitDataState: () => (/* reexport safe */ _items_limit_data_state__WEBPACK_IMPORTED_MODULE_14__.F),
/* harmony export */   NameGenerator: () => (/* reexport safe */ _internal_helper_classes__WEBPACK_IMPORTED_MODULE_6__.$A),
/* harmony export */   ObsoleteDashboardState: () => (/* reexport safe */ _internal_obsolete_dashboard_state__WEBPACK_IMPORTED_MODULE_8__.t),
/* harmony export */   ObsoleteItemState: () => (/* reexport safe */ _internal_obsolete_dashboard_state__WEBPACK_IMPORTED_MODULE_8__.k),
/* harmony export */   PaneContentHolder: () => (/* reexport safe */ _items_pane_content_holder__WEBPACK_IMPORTED_MODULE_15__.g),
/* harmony export */   ParameterHelper: () => (/* reexport safe */ _parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_19__._),
/* harmony export */   UndoEngineContainer: () => (/* reexport safe */ _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__.aY),
/* harmony export */   _layoutItemTypeMap: () => (/* reexport safe */ _layout_layout_utils__WEBPACK_IMPORTED_MODULE_18__.r),
/* harmony export */   _subscribeToDimension: () => (/* reexport safe */ _items_range_filter_range_filter_item_helper__WEBPACK_IMPORTED_MODULE_12__.x),
/* harmony export */   addDays: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.fi),
/* harmony export */   areArraysEqual: () => (/* reexport safe */ _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__.BI),
/* harmony export */   arrayEquals: () => (/* reexport safe */ _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__.ng),
/* harmony export */   arrayInsert: () => (/* reexport safe */ _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__.nK),
/* harmony export */   callFuncWithUndoRedo: () => (/* reexport safe */ _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__.dm),
/* harmony export */   clone: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.o8),
/* harmony export */   collectionItemType: () => (/* reexport safe */ _internal_utils__WEBPACK_IMPORTED_MODULE_11__.s),
/* harmony export */   compareArrays: () => (/* reexport safe */ _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__.ww),
/* harmony export */   compareNotOrderedArrays: () => (/* reexport safe */ _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__.Oo),
/* harmony export */   createDashboardItem: () => (/* reexport safe */ _items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_13__.a),
/* harmony export */   createObservableDataSource: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.hO),
/* harmony export */   defineClassMoved: () => (/* reexport safe */ _internal_obsolete_helper__WEBPACK_IMPORTED_MODULE_9__.NQ),
/* harmony export */   defineObsoleteMethod: () => (/* reexport safe */ _internal_obsolete_helper__WEBPACK_IMPORTED_MODULE_9__.Q3),
/* harmony export */   defineObsoleteProperty: () => (/* reexport safe */ _internal_obsolete_helper__WEBPACK_IMPORTED_MODULE_9__.U1),
/* harmony export */   deserializeDashboardLayoutNode: () => (/* reexport safe */ _layout_layout_utils__WEBPACK_IMPORTED_MODULE_18__.k),
/* harmony export */   divideIntoWeeks: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.fK),
/* harmony export */   findClosestItemIndex: () => (/* reexport safe */ _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__.Wp),
/* harmony export */   fromUtcDateToString: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.zd),
/* harmony export */   getCategoryContentName: () => (/* reexport safe */ _items_pane_content_holder__WEBPACK_IMPORTED_MODULE_15__.X),
/* harmony export */   getIconName: () => (/* reexport safe */ _internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_3__.RU),
/* harmony export */   getIsStartOfFirstWeek: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.Aq),
/* harmony export */   getItemIconName: () => (/* reexport safe */ _internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_3__.oq),
/* harmony export */   getItemJson: () => (/* reexport safe */ _internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_3__.Mi),
/* harmony export */   getItemTitle: () => (/* reexport safe */ _internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_3__.KT),
/* harmony export */   getStartOfFirstWeek: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.kc),
/* harmony export */   isComponentNameValid: () => (/* reexport safe */ _internal_helper_classes__WEBPACK_IMPORTED_MODULE_6__.ZN),
/* harmony export */   patchDateTime: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.OE),
/* harmony export */   safeComputed: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.Tq),
/* harmony export */   safeSubscribe: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.uQ),
/* harmony export */   serializeDate: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.ls),
/* harmony export */   subscribeAndPerform: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.l4),
/* harmony export */   subscribeArrayChange: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.w$),
/* harmony export */   subscribeArrayChangeWithCancel: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.EK),
/* harmony export */   subscribeToArrayItemProperties: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.Ro),
/* harmony export */   subscribeWithPrev: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.SP),
/* harmony export */   syncArrayHelper: () => (/* reexport safe */ _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__.bY),
/* harmony export */   toStringArray: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.oU),
/* harmony export */   toUtcDate: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.ku),
/* harmony export */   tryConvertToDateTime: () => (/* reexport safe */ _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__.bt),
/* harmony export */   validateGuid: () => (/* reexport safe */ _parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_19__.C),
/* harmony export */   wrapFuncWithUndoRedo: () => (/* reexport safe */ _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__.hS),
/* harmony export */   wrapWithUndoRedo: () => (/* reexport safe */ _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__.JZ)
/* harmony export */ });
/* harmony import */ var _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8782);
/* harmony import */ var _internal_array_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2972);
/* harmony import */ var _internal_dashboard_component_name_generator__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1943);
/* harmony import */ var _internal_dashboard_item_helper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2020);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2037);
/* harmony import */ var _internal_expanding_manager__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7003);
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5792);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1041);
/* harmony import */ var _internal_obsolete_dashboard_state__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(887);
/* harmony import */ var _internal_obsolete_helper__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4355);
/* harmony import */ var _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7899);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(8588);
/* harmony import */ var _items_range_filter_range_filter_item_helper__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(7502);
/* harmony import */ var _items_dashboard_item_factory__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(1625);
/* harmony import */ var _items_limit_data_state__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(4168);
/* harmony import */ var _items_pane_content_holder__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(563);
/* harmony import */ var _layout_dashboard_layout_creator__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(206);
/* harmony import */ var _layout_layout_item_placeholder__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(842);
/* harmony import */ var _layout_layout_utils__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(3620);
/* harmony import */ var _parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(2809);
























/***/ }),

/***/ 4424:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FI: () => (/* binding */ connection),
/* harmony export */   Pq: () => (/* binding */ queries),
/* harmony export */   R9: () => (/* binding */ sqlDataSourceSerializationsInfo),
/* harmony export */   zF: () => (/* binding */ selectedTables)
/* harmony export */ });
/* harmony import */ var _connection__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2056);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3689);


let queries = { propertyName: 'queries', modelName: 'Queries', array: true };
let selectedTables = { propertyName: 'selectedTables', modelName: 'SelectedTables', array: true };
let connection = { propertyName: 'connection', modelName: 'Connection', type: _connection__WEBPACK_IMPORTED_MODULE_0__/* .SqlConnection */ .l };
let sqlDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_1__/* .dataSourceSerializationsInfo */ .v.concat([queries, connection]);


/***/ }),

/***/ 4429:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D5: () => (/* binding */ pointLabelOptions),
/* harmony export */   Jb: () => (/* binding */ scatterChartWeight),
/* harmony export */   SZ: () => (/* binding */ rotated),
/* harmony export */   fI: () => (/* binding */ scatterChartDashboardItemSerializationsInfo),
/* harmony export */   hm: () => (/* binding */ axisYMeasure),
/* harmony export */   l3: () => (/* binding */ axisY),
/* harmony export */   o1: () => (/* binding */ legend),
/* harmony export */   sF: () => (/* binding */ axisX),
/* harmony export */   sZ: () => (/* binding */ axisXMeasure),
/* harmony export */   u5: () => (/* binding */ scatterArgumentsMeta)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _chart_chart_axis__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(840);
/* harmony import */ var _chart_chart_legend__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5060);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6157);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9282);
/* harmony import */ var _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1965);
/* harmony import */ var _scatter_point_label_options__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5366);








let scatterArgumentsMeta = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .argumentsPropertyName */ .zv, modelName: 'Dimensions', array: true };
let rotated = { propertyName: 'rotated', modelName: '@Rotated', displayName: 'DashboardWebStringId.Chart.Rotated', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let legend = { propertyName: 'legend', modelName: 'ChartLegend', displayName: 'DashboardWebStringId.Chart.Legend', type: _chart_chart_legend__WEBPACK_IMPORTED_MODULE_3__/* .ChartLegend */ ._ };
let axisX = { propertyName: 'axisX', modelName: 'AxisX', displayName: 'DashboardWebStringId.Chart.AxisX', type: _chart_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .ChartAxisY */ .VC };
let axisY = { propertyName: 'axisY', modelName: 'AxisY', displayName: 'DashboardWebStringId.Chart.AxisY', type: _chart_chart_axis__WEBPACK_IMPORTED_MODULE_2__/* .ScatterChartAxisY */ .dq };
let pointLabelOptions = { propertyName: 'pointLabelOptions', modelName: 'PointLabelOptions', displayName: 'DashboardWebStringId.Chart.PointLabelOptions', type: _scatter_point_label_options__WEBPACK_IMPORTED_MODULE_7__/* .ScatterPointLabelOptions */ .D };
let axisXMeasure = { propertyName: '__axisXMeasure', modelName: 'MeasureX', displayName: 'DashboardWebStringId.Chart.AxisXMeasure', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let axisYMeasure = { propertyName: '__axisYMeasure', modelName: 'MeasureY', displayName: 'DashboardWebStringId.Chart.AxisYMeasure', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let scatterChartWeight = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .weightPropertyName */ .N5, modelName: 'MeasureWeight', displayName: 'DashboardWebStringId.Chart.Weight', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let scatterChartDashboardItemSerializationsInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_4__/* .dataDashboardItemSerializationsInfo */ .LH.concat([scatterArgumentsMeta, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_5__/* ._dashboardItemInteractivityOptionsMeta */ .FF, rotated, legend, axisX, axisY, pointLabelOptions, axisXMeasure, axisYMeasure, scatterChartWeight, _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_6__/* .coloringOptions */ .k]);


/***/ }),

/***/ 4432:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JX: () => (/* binding */ maxWidth),
/* harmony export */   Uo: () => (/* binding */ templateId),
/* harmony export */   bV: () => (/* binding */ minWidth),
/* harmony export */   dL: () => (/* binding */ cardLayoutSerializationInfo),
/* harmony export */   m7: () => (/* binding */ cardRows)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let templateId = { propertyName: 'templateID', modelName: '@TemplateID' };
let minWidth = { propertyName: 'minWidth', modelName: '@MinWidth', displayName: 'DashboardWebStringId.CardLayout.MinWidth', defaultVal: 200, from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let maxWidth = { propertyName: 'maxWidth', modelName: '@MaxWidth', displayName: 'DashboardWebStringId.CardLayout.MaxWidth', defaultVal: NaN, from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, toJsonObject: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .nullableFloatToModel */ ._Q };
let cardRows = { propertyName: 'rows', modelName: 'CardRows', array: true };
let cardLayoutSerializationInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, minWidth, maxWidth, cardRows];


/***/ }),

/***/ 4453:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ DataItemsPropertiesComposer)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _model_data_item_calculations_difference_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9219);
/* harmony import */ var _model_data_item_calculations_moving_calculation__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(174);
/* harmony import */ var _model_data_item_calculations_percent_of_total_calculation__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3534);
/* harmony import */ var _model_data_item_calculations_rank_calculation__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5834);
/* harmony import */ var _model_data_item_calculations_running_total_calculation__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7654);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1923);
/* harmony import */ var _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(3599);
/* harmony import */ var _model_data_item_measure__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(6779);
/* harmony import */ var _model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(158);
/* harmony import */ var _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(3272);
/* harmony import */ var _model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(7618);
/* harmony import */ var _model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(4030);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(4270);
/* harmony import */ var _model_format_rules_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(7096);
/* harmony import */ var _model_format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(7540);
/* harmony import */ var _model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(1041);
/* harmony import */ var _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(7899);
/* harmony import */ var _model_items_data_dashboard_item__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(9692);
/* harmony import */ var _model_items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(6157);
/* harmony import */ var _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(4904);
/* harmony import */ var _calculations_items_surfaces_calculation_surface__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(7343);
/* harmony import */ var _filtering_filter_utils__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(604);
/* harmony import */ var _filtering_item_filter_display_name_provider__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(633);
/* harmony import */ var _filtering_item_filter_items_provider__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(3379);
/* harmony import */ var _form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(1884);
/* harmony import */ var _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(9113);
/* harmony import */ var _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(110);
/* harmony import */ var _properties_controller_properties_controller__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(4838);
/* harmony import */ var _ui_widgets_collection_editor_collection_editor_viewmodel__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(5584);
/* harmony import */ var _display_name_provider__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(7687);
/* harmony import */ var _calculation_properties_composer__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(3915);
/* harmony import */ var _shared_composers__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(3451);


































class DataItemsPropertiesComposer {
    static _addConstraint(wrapper, condition, propertiesInCondition) {
        let rulesToAdd = {};
        wrapper.getInfo().map(propInfo => propInfo.propertyName).forEach(propName => rulesToAdd[propName] = condition);
        DataItemsPropertiesComposer._mergeRules(wrapper.visibilityFilterRules, rulesToAdd, 'and');
        propertiesInCondition.forEach(prop => {
            if (wrapper.getInfo().filter(p => p.propertyName === prop.info.propertyName).length === 0) {
                wrapper.addProperty(prop.value, prop.info);
                wrapper.visibilityFilterRules[prop.info.propertyName] = () => false;
            }
        });
    }
    static _mergeRules(into, rules, operator) {
        Object.keys(rules).forEach(propName => {
            let currentRule = into[propName];
            let ruleToAdd = rules[propName];
            let newRule = currentRule ? [currentRule, operator, ruleToAdd] :
                operator === 'and' ? ruleToAdd : [];
            into[propName] = newRule;
        });
    }
    composeTabs(model, args) {
        if (args.constraint === undefined)
            args.constraint = () => true;
        if (args.propertiesController === undefined)
            args.propertiesController = new _properties_controller_properties_controller__WEBPACK_IMPORTED_MODULE_28__/* .PropertiesController */ .C();
        var dataField = args.choosenField.peek(), bindingTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .BindingAccordionTab */ .pL(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.Binding, 'DashboardWebStringId.Tabs.Binding'), optionsTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.UnwrappedDataItem, 'DashboardWebStringId.Options'), dataShapingTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.DataShaping, 'DashboardWebStringId.Tabs.DataShaping'), numericFormatTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.NumericFormat, 'DashboardWebStringId.Tabs.Format'), dateTimeFormatTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.DateTimeFormat, 'DashboardWebStringId.Tabs.Format'), topNTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.TopN, 'DashboardStringId.CommandFormatRuleTopN'), calculationsTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.Calculations, 'DashboardWebStringId.Calculations'), filterTab = new _properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .AccordionTab */ .gV(_properties_controller_accordion_tab__WEBPACK_IMPORTED_MODULE_27__/* .KnownTabs */ .iq.MeasureFilter, 'DashboardWebStringId.AccordionTab.MeasureFilter'), result = [bindingTab, optionsTab, dataShapingTab, numericFormatTab, dateTimeFormatTab, topNTab, calculationsTab, filterTab];
        optionsTab.orderNo = 90;
        calculationsTab.orderNo = 190;
        filterTab.orderNo = 195;
        numericFormatTab.orderNo = 200;
        dateTimeFormatTab.orderNo = 205;
        topNTab.orderNo = 210;
        this.fillBindingTab(bindingTab, model, args.choosenField, args.dataSourceBrowser, args.dataDashboardItem, args.constraint);
        var dataItem = model.dataItem();
        if (dataItem) {
            var fieldType = dataField && dataField.fieldType();
            if (args.unwrappedDataItem) {
                this.fillOptionsTab(optionsTab, dataItem, model, args.dataDashboardItem);
            }
            if (dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_8__/* .Dimension */ .f) {
                let measures = args.dataDashboardItem._measures.filter(measure => !measure._hasCalculation());
                this.fillDataShapingPropertiesTab(dataShapingTab, args.dataDashboardItem, model, dataField, measures, args.dataSourceBrowser);
                if (args.dataDashboardItem._isTopNEnabled(dataItem)) {
                    this.fillTopNTab(topNTab, args.dataDashboardItem, dataItem, dataField, measures, model._specifics.supportsTopNOther, args.dataSourceBrowser);
                }
                if (!model._specifics.skipFormatting && dataField && !_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(dataField.dataMember())) {
                    if (_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isNumeric(dataField)) {
                        numericFormatTab.tabModel(_shared_composers__WEBPACK_IMPORTED_MODULE_32__/* .SharedComposers */ .d.getNumericFormatWrapper(dataItem.numericFormat));
                    }
                    else if (fieldType === 'DateTime') {
                        this.fillDimensionDatetimeFormatTab(dateTimeFormatTab, dataItem);
                    }
                }
                else if (model._specifics.forceAddOlapExactDateFormat && dataField && fieldType === 'DateTime' && _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(dataField.dataMember())) {
                    this.fillDataItemExactDatetimeFormatTab(dateTimeFormatTab, dataItem);
                }
            }
            if (dataItem instanceof _model_data_item_measure__WEBPACK_IMPORTED_MODULE_9__/* .Measure */ .t && !model._specifics.isAttribute) {
                if (args.dataDashboardItem._isCalculationSupported() && !_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(dataItem.dataMember())) {
                    this.fillCalculationsTab(calculationsTab, dataItem, args.dataDashboardItem, args.dataSourceBrowser, args.propertiesController);
                }
                if (!model._specifics.skipFormatting) {
                    let numericFormatWrapper = _shared_composers__WEBPACK_IMPORTED_MODULE_32__/* .SharedComposers */ .d.getNumericFormatWrapper(dataItem.numericFormat);
                    if (!_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isNumeric(dataField)) {
                        DataItemsPropertiesComposer._addConstraint(numericFormatWrapper, [
                            [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk.propertyName, '<>', 'Min'], 'and',
                            [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk.propertyName, '<>', 'Max'], 'and',
                            [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk.propertyName, '<>', 'Mode']
                        ], [{ info: _model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk, value: dataItem.summaryType }]);
                    }
                    numericFormatTab.tabModel(numericFormatWrapper);
                    if (fieldType === 'DateTime') {
                        let exactDateWrapper = this._createExactDatePropertiesWrapper(dataItem);
                        DataItemsPropertiesComposer._addConstraint(exactDateWrapper, [
                            [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk.propertyName, '=', 'Min'], 'or',
                            [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk.propertyName, '=', 'Max'], 'or',
                            [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk.propertyName, '=', 'Mode']
                        ], [{ info: _model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .summaryTypeTemplate */ .pk, value: dataItem.summaryType }]);
                        dateTimeFormatTab.tabModel(exactDateWrapper);
                    }
                }
                this._fillFilterTab(filterTab, dataItem, args.dataDashboardItem, args.dataSourceBrowser);
            }
        }
        return result;
    }
    fillBindingTab(bindingTab, model, choosenField, dataSourceBrowser, dataDashboardItem, constraint) {
        bindingTab.tabModel({
            choosenField: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(choosenField),
            dataItemLink: model,
            constraint: constraint,
            dataSourceBrowser: dataSourceBrowser,
            dataMemberPath: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
                if (dataDashboardItem.dataSource() && dataDashboardItem.dataMember()) {
                    return [dataDashboardItem.dataSource(), dataDashboardItem.dataMember()].join('.');
                }
                else if (dataDashboardItem.dataSource()) {
                    return dataDashboardItem.dataSource();
                }
                return '';
            })),
            additionalProperties: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(knockout__WEBPACK_IMPORTED_MODULE_0__.pureComputed(() => {
                if (model._specifics.isAttribute || !choosenField())
                    return null;
                var properties = [];
                var dataItem = model.dataItem();
                if (dataItem instanceof _model_data_item_measure__WEBPACK_IMPORTED_MODULE_9__/* .Measure */ .t) {
                    var summaryTypeMeta = _model_items_data_dashboard_item__WEBPACK_IMPORTED_MODULE_18__/* .DataDashboardItem */ .s._getAvaliableSummaryTypeInfo(choosenField(), model._specifics.acceptableShapingType, dataItem);
                    if (summaryTypeMeta) {
                        properties.push(summaryTypeMeta);
                    }
                }
                if ((model.dataItem() instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_8__/* .Dimension */ .f)
                    && (!_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(model.dataItem().dataMember()))
                    && (choosenField() && choosenField().fieldType() === 'DateTime')) {
                    if (model._specifics.acceptableShapingType !== _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_7__/* .AcceptableShapingType */ .zH.RangeDate) {
                        properties.push(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ);
                    }
                    else {
                        properties.push(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .rangeDateTimeGroupInterval */ .PG);
                    }
                }
                if (properties.length) {
                    return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
                        model: model.dataItem(),
                        properties: properties
                    });
                }
                return null;
            })),
            summary: knockout__WEBPACK_IMPORTED_MODULE_0__.pureComputed(() => {
                var dataItemLink = bindingTab.tabModel() && bindingTab.tabModel().dataItemLink;
                return dataItemLink.dataItem() && dataItemLink.dataItem().dataMember() || '';
            }),
            summaryHint: knockout__WEBPACK_IMPORTED_MODULE_0__.pureComputed(() => {
                var dataItemLink = bindingTab.tabModel() && bindingTab.tabModel().dataItemLink;
                return dataItemLink.dataItem() && (dataItemLink.dataItem().dataMember() + ' (' + dataItemLink.uniqueName() + ')') || '';
            })
        });
    }
    fillOptionsTab(tab, dataItem, model, dataDashboardItem) {
        var properties = [];
        properties.push(_model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_20__/* .name */ .UU);
        var newProperties = model
            ._specifics
            .customOptionsProperties
            .filter(p => !p.filter || p.filter(dataItem));
        properties = properties.concat(newProperties.map(p => p.serializationInfo));
        var disabledRules = {};
        newProperties
            .filter(x => !!x.disabledRule)
            .forEach((property) => {
            disabledRules[property.serializationInfo.propertyName] = (m) => { return property.disabledRule(dataItem); };
        });
        tab.tabModel(new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
            model: dataItem,
            properties: properties,
            disabledFilterRules: disabledRules
        }));
    }
    fillDataShapingPropertiesTab(tab, dataDashboardItem, model, dataField, measures, dataSourceBrowser) {
        var dataItem = model.dataItem();
        var disableRules = {};
        if (dataItem) {
            var fieldType = dataField && dataField.fieldType();
            knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
                var properties = [];
                if (dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_8__/* .Dimension */ .f) {
                    var topNEnabledFunc = () => dataItem.topNOptionsEnabled();
                    if (dataDashboardItem._isSortingEnabled()) {
                        if (dataField && _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(dataItem.dataMember())) {
                            properties.push(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .sortOrderOlap */ .Xd);
                            disableRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .sortOrderOlap */ .Xd.propertyName] = topNEnabledFunc;
                        }
                        else {
                            properties.push(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .sortOrderNonOlap */ .wN);
                            disableRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .sortOrderNonOlap */ .wN.propertyName] = topNEnabledFunc;
                        }
                        var values = [];
                        if (!_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(dataItem.dataMember())) {
                            values.push({
                                value: 'DXValue',
                                displayValue: 'DashboardStringId.CommandDimensionSortModeValue'
                            });
                        }
                        else {
                            values.push({
                                value: 'DXDisplayText',
                                displayValue: 'DashboardStringId.CommandDimensionSortModeDisplayText'
                            });
                            values.push({
                                value: 'DXValue',
                                displayValue: 'DashboardStringId.CommandDimensionSortModeValue'
                            });
                            values.push({
                                value: 'DXID',
                                displayValue: 'DashboardStringId.CommandDimensionSortModeID'
                            });
                            values.push({
                                value: 'DXKey',
                                displayValue: 'DashboardStringId.CommandDimensionSortModeKey'
                            });
                        }
                        properties.push({
                            valuesArray: values.concat(measures.filter(m => m instanceof _model_data_item_measure__WEBPACK_IMPORTED_MODULE_9__/* .Measure */ .t && !m.calculation.calculation() && !m.expression()).map(m => ({
                                value: m.uniqueName(),
                                displayValue: (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_30__/* .getDataItemDisplayName */ .F)(dataSourceBrowser, dataDashboardItem, m)
                            }))),
                            ..._model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .realSortMode */ .ow
                        });
                        disableRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .realSortMode */ .ow.propertyName] = topNEnabledFunc;
                    }
                    switch (fieldType) {
                        case 'DateTime':
                            break;
                        case 'Text':
                            properties.push(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .textGroupInterval */ .e);
                            break;
                    }
                }
                properties = properties.concat(model
                    ._specifics
                    .customDataShapingProperties
                    .filter(p => !p.filter || p.filter(dataField))
                    .map(p => p.serializationInfo));
                var tabModel = properties.length > 0 ?
                    new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
                        model: dataItem,
                        properties: properties,
                        disabledFilterRules: disableRules
                    })
                    : null;
                tab.tabModel(tabModel);
            });
        }
    }
    _createExactDateProperties() {
        let properties = [
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessYearFormat */ .xw,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateFormat */ .S4,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourFormat */ .ab,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourMinuteFormat */ .gY,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateTimeWithSecondsFormat */ .o1
        ];
        let visibilityRules = {};
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessYearFormat */ .xw.propertyName] = [_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg.propertyName, '=', 'Year'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateFormat */ .S4.propertyName] = [_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg.propertyName, '=', 'Day'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourFormat */ .ab.propertyName] = [_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg.propertyName, '=', 'Hour'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourMinuteFormat */ .gY.propertyName] = [_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg.propertyName, '=', 'Minute'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateTimeWithSecondsFormat */ .o1.propertyName] = [_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg.propertyName, '=', 'Second'];
        return { properties, visibilityRules };
    }
    fillDataItemExactDatetimeFormatTab(tab, model) {
        tab.tabModel(this._createExactDatePropertiesWrapper(model));
    }
    _createExactDatePropertiesWrapper(model) {
        let exactDateProperties = this._createExactDateProperties();
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [
                {
                    container: _model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_10__/* .dateTimeFormat */ .LE,
                    properties: [_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg]
                },
                {
                    container: _model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_10__/* .dateTimeFormat */ .LE,
                    properties: exactDateProperties.properties
                }
            ],
            visibilityFilterRules: exactDateProperties.visibilityRules
        });
    }
    fillDimensionDatetimeFormatTab(tab, model) {
        var visibilityRules = {};
        var properties = [
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessYearFormat */ .xw,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessMonthFormat */ .qA,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessQuarterFormat */ .lT,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDayOfWeekFormat */ .di,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessHourFormat */ .CP,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateFormat */ .S4,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourFormat */ .ab,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourMinuteFormat */ .gY,
            _model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateTimeWithSecondsFormat */ .o1
        ];
        visibilityRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName] = () => false;
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessYearFormat */ .xw.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'Year'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessQuarterFormat */ .lT.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'Quarter'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessMonthFormat */ .qA.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'Month'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessHourFormat */ .CP.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'Hour'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDayOfWeekFormat */ .di.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'DayOfWeek'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateFormat */ .S4.propertyName] = [
            [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'DayMonthYear'],
            'or',
            [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'WeekYear']
        ];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourFormat */ .ab.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'DateHour'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateHourMinuteFormat */ .gY.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'DateHourMinute'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessDateTimeWithSecondsFormat */ .o1.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'DateHourMinuteSecond'];
        visibilityRules[_model_data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_11__/* .namelessExactDateFormat */ .hg.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'None'];
        let exactDateProperties = this._createExactDateProperties();
        let exactDateIntervalConstraints = {};
        exactDateProperties.properties.forEach(edProp => exactDateIntervalConstraints[edProp.propertyName] = [_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ.propertyName, '=', 'None']);
        DataItemsPropertiesComposer._mergeRules(exactDateProperties.visibilityRules, exactDateIntervalConstraints, 'and');
        DataItemsPropertiesComposer._mergeRules(visibilityRules, exactDateProperties.visibilityRules, 'or');
        tab.tabModel(new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [
                _model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .dateTimeGroupInterval */ .cQ,
                {
                    container: _model_data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_10__/* .dateTimeFormat */ .LE,
                    properties: properties
                }
            ],
            visibilityFilterRules: visibilityRules
        }));
    }
    fillTopNTab(tab, dataDashboardItem, dataItem, dataField, measures, supportsTopNOther, dataSourceBrowser) {
        var disabledRules = {};
        var isTopNUnavailable = () => measures.length === 0;
        var topNOptionsDisabled = () => !dataItem.topNOptionsEnabled() || isTopNUnavailable();
        disabledRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsEnabled */ .j7.propertyName] = isTopNUnavailable;
        disabledRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsCount */ .LW.propertyName] = topNOptionsDisabled;
        disabledRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsMode */ .N3.propertyName] = topNOptionsDisabled;
        disabledRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsMeasure */ .aS.propertyName] = topNOptionsDisabled;
        disabledRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsShowOthers */ .uv.propertyName] = topNOptionsDisabled;
        var visibilityRules = {};
        visibilityRules[_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsShowOthers */ .uv.propertyName] = () => supportsTopNOther;
        var properties = [
            _model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsEnabled */ .j7,
            _model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsMode */ .N3,
            _model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsCount */ .LW,
            {
                valuesArray: measures.map((m) => { return { value: m.uniqueName(), displayValue: (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_30__/* .getDataItemDisplayName */ .F)(dataSourceBrowser, dataDashboardItem, m) }; }),
                ..._model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsMeasure */ .aS
            }
        ];
        if (dataField && !_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(dataField.dataMember())) {
            properties.push(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsShowOthers */ .uv);
        }
        tab.tabModel(new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
            model: dataItem,
            properties: properties,
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibilityRules,
            summary: knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
                if (!topNOptionsDisabled()) {
                    if (!dataItem.topNOptionsMeasureName()) {
                        dataItem.topNOptionsMeasureName(measures[0] && measures[0].uniqueName());
                    }
                    var topNDataItem = measures.filter(di => di.uniqueName.peek() === dataItem.topNOptionsMeasureName())[0];
                    var modeDisplayValue = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_12__/* .topNOptionsModeValues */ .po[dataItem.topNOptionsMode()]);
                    return modeDisplayValue + ' ' + dataItem.topNOptionsCount() + ' - ' + (!!topNDataItem ? topNDataItem.dataMember() : '');
                }
                return '';
            })
        }));
    }
    fillCalculationsTab(tab, measure, dataDashboardItem, dataSourceBrowser, propertiesController) {
        var noneCalculation = { title: 'DashboardStringId.CalculationTypeNone', data: { type: undefined } };
        var expressionCalculation = { title: 'DashboardStringId.CalculationTypeExpression', data: { type: undefined } };
        var calculationsInfo = { ..._model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .calculations */ .lR };
        var disabledRules = {};
        disabledRules[calculationsInfo.propertyName] = () => {
            return dataDashboardItem
                ._dimensions
                .some(dimension => {
                return (dimension.topNOptionsEnabled() && dimension.topNOptionsMeasureName() === measure.uniqueName()) || (dimension.sortMeasure() === measure.uniqueName());
            });
        };
        var availableCalculations = [
            noneCalculation,
            { title: 'DashboardStringId.CalculationTypePercentOfTotal', data: { type: _model_data_item_calculations_percent_of_total_calculation__WEBPACK_IMPORTED_MODULE_4__/* .PercentOfTotalCalculation */ .a } },
            { title: 'DashboardStringId.CalculationTypeRunningTotal', data: { type: _model_data_item_calculations_running_total_calculation__WEBPACK_IMPORTED_MODULE_6__/* .RunningTotalCalculation */ .N } },
            { title: 'DashboardStringId.CalculationTypeDifference', data: { type: _model_data_item_calculations_difference_calculation__WEBPACK_IMPORTED_MODULE_2__/* .DifferenceCalculation */ .z, isEqual: (calc) => calc.differenceType() !== 'Percentage' } },
            { title: 'DashboardStringId.CalculationTypePercentageDifference', data: { type: _model_data_item_calculations_difference_calculation__WEBPACK_IMPORTED_MODULE_2__/* .DifferenceCalculation */ .z, default: { '@DifferenceType': 'Percentage' }, isEqual: (calc) => calc.differenceType() === 'Percentage' } },
            { title: 'DashboardStringId.CalculationTypeMovingCalculation', data: { type: _model_data_item_calculations_moving_calculation__WEBPACK_IMPORTED_MODULE_3__/* .MovingCalculation */ .K } },
            { title: 'DashboardStringId.CalculationTypeRank', data: { type: _model_data_item_calculations_rank_calculation__WEBPACK_IMPORTED_MODULE_5__/* .RankCalculation */ .y } },
            expressionCalculation
        ];
        var isEqual = (definition) => {
            return !!definition.data.type && measure.calculation.calculation() instanceof definition.data.type && (!definition.data.isEqual || definition.data.isEqual(measure.calculation.calculation()));
        };
        var selectedPredefinedCalculation = knockout__WEBPACK_IMPORTED_MODULE_0__.computed({
            read: () => {
                var result = !!measure.expression() ? expressionCalculation : undefined;
                if (!result) {
                    result = availableCalculations.filter(definition => isEqual(definition))[0] || noneCalculation;
                }
                return result;
            },
            write: (0,_model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_33__/* .wrapFuncWithUndoRedo */ .hS)((val) => {
                if (val !== noneCalculation) {
                    if (val === expressionCalculation) {
                        if (!measure.expression()) {
                            (0,_calculation_properties_composer__WEBPACK_IMPORTED_MODULE_31__/* .getCalculationArgumentExpression */ .N)(measure, dataDashboardItem, dataSourceBrowser).done(expr => {
                                measure.expression(expr);
                            });
                            measure.windowDefinition.windowDefinition(dataDashboardItem._getDefaultCalculationWindowDefinition());
                        }
                    }
                    else if (!isEqual(val)) {
                        measure.expression(undefined);
                        measure.calculation.calculation(new (val.data.type)(val.data.default));
                        measure.windowDefinition.windowDefinition(dataDashboardItem._getDefaultCalculationWindowDefinition());
                    }
                }
                else {
                    measure.expression(undefined);
                    measure.calculation.calculation(undefined);
                    measure.windowDefinition.windowDefinition(undefined);
                }
            })
        });
        const singleChoiceEditorOptions = {
            propertyName: 'title',
            dataSource: availableCalculations,
            enableEditItem: (calcDefinition) => calcDefinition !== noneCalculation,
            editItemHandler: (calcDefinition) => {
                if (calcDefinition !== noneCalculation) {
                    var surface = new _calculations_items_surfaces_calculation_surface__WEBPACK_IMPORTED_MODULE_21__/* .CalculationSurface */ .t(calcDefinition, measure, dataDashboardItem, dataSourceBrowser, propertiesController);
                    surface.startEditing(new _ui_widgets_collection_editor_collection_editor_viewmodel__WEBPACK_IMPORTED_MODULE_29__/* .CollectionEditorEditItemArguments */ .$());
                }
            },
        };
        tab.tabModel(new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
            model: {
                calculations: selectedPredefinedCalculation,
            },
            properties: [{
                    ...calculationsInfo,
                    formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_25__/* .editableListEditor */ .G)(singleChoiceEditorOptions)
                }],
            disabledFilterRules: disabledRules,
            summary: knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => selectedPredefinedCalculation().title !== noneCalculation.title ? selectedPredefinedCalculation().title : '')
        }));
    }
    _fillFilterTab(tab, model, dashboardItem, dataSourceBrowser) {
        if (!_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_14__/* .DataField */ .J7.isOlap(model.dataMember())) {
            let measureFilterEditorParams = {
                fieldListProvider: knockout__WEBPACK_IMPORTED_MODULE_0__.observable(new _filtering_item_filter_items_provider__WEBPACK_IMPORTED_MODULE_24__/* .ItemFilterItemsProvider */ .Nk(dataSourceBrowser, dataSourceBrowser, dataSourceBrowser.parameters, dashboardItem, (di) => { return di instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_8__/* .Dimension */ .f; })),
                options: (0,_filtering_filter_utils__WEBPACK_IMPORTED_MODULE_22__/* .createItemFilterOptions */ .uv)(model.filterString, undefined, dataSourceBrowser, { text: 'MeasureFilter', localizationId: 'DashboardWebStringId.AccordionTab.MeasureFilter' }),
                displayNameProvider: new _filtering_item_filter_display_name_provider__WEBPACK_IMPORTED_MODULE_23__/* .ItemFilterDisplayNameProvider */ .c(dashboardItem, dataSourceBrowser)
            };
            let wrapper = new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
                model: model,
                properties: [
                    {
                        ..._model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .measureFilterString */ .QJ,
                        formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_25__/* .filterEditor */ .iP)(measureFilterEditorParams)
                    }
                ],
                summary: (0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_17__/* .safeComputed */ .Tq)({ filterString: model.filterString }, (args) => { return !!args.filterString ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardWebStringId.ButtonOn') : ''; }),
                visibilityFilterRules: {
                    [_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_13__/* .measureFilterString */ .QJ.propertyName]: () => !model.expression(),
                }
            });
            tab.tabModel(wrapper);
        }
    }
    static getCellFormatRuleCreator(dataItem, dataItemApplyTo, formatRuleItemType) {
        return () => {
            return _model_items_data_dashboard_item__WEBPACK_IMPORTED_MODULE_18__/* .DataDashboardItem */ .s._createFormatRule(null, {
                '@ItemType': formatRuleItemType,
                '@DataItem': dataItem.uniqueName(),
                '@DataItemApplyTo': dataItemApplyTo.uniqueName()
            });
        };
    }
    static getCellFormatRuleFilter(dataItem) {
        return (rule) => {
            if (rule instanceof _model_format_rules_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_15__/* .CellsItemFormatRule */ .Q) {
                let uniqueName = dataItem.uniqueName();
                return rule.dataItemName() === uniqueName || rule.dataItemApplyToName() === uniqueName;
            }
            return false;
        };
    }
    static getFormatRulesWrapper(model, createNewItemHandler, visibleItemsFilter, editHandler) {
        var collectionEditorOptions = {
            propertyName: _model_format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_16__/* .classCaption */ .HI.propertyName,
            createNewItemHandler: createNewItemHandler,
            ..._model_format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_16__/* .classCaption */ .HI,
            editItemHandler: editHandler,
            visibleItemsFilter: visibleItemsFilter,
        };
        return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_26__/* .ObjectPropertiesWrapper */ .U({
            model: model,
            properties: [{
                    ..._model_items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_19__/* .formatRules */ .Hv,
                    formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_25__/* .collectionEditor */ .oL)(collectionEditorOptions)
                }]
        });
    }
}


/***/ }),

/***/ 4473:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ GridOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_grid_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4614);



class GridOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_grid_options__WEBPACK_IMPORTED_MODULE_2__/* .gridOptionsSerializationsInfo */ .a_;
    }
    _getViewModel() {
        return {
            AllowCellMerge: this.allowCellMerge(),
            ColumnWidthMode: this.columnWidthMode(),
            EnableBandedRows: this.enableBandedRows(),
            ShowHorizontalLines: this.showHorizontalLines(),
            ShowVerticalLines: this.showVerticalLines(),
            ShowColumnHeaders: this.showColumnHeaders(),
            WordWrap: this.wordWrap()
        };
    }
}


/***/ }),

/***/ 4527:
/***/ ((module) => {

module.exports = DevExpress.utils.browser;

/***/ }),

/***/ 4528:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ Gauge)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _kpi_kpi_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1129);
/* harmony import */ var _metadata_gauge__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(741);



class Gauge extends _kpi_kpi_element__WEBPACK_IMPORTED_MODULE_1__/* .KpiElement */ .p {
    constructor(dataItemProvider, modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataItemProvider, modelJson, serializer);
        this.__targetValue._specifics.skipFormatting = true;
    }
    _getInfoCore() {
        return _metadata_gauge__WEBPACK_IMPORTED_MODULE_2__/* .gaugeSerializationsInfo */ .p0;
    }
    _getDefaultItemType() { return 'Gauge'; }
}


/***/ }),

/***/ 4544:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q: () => (/* binding */ FormatConditionValue)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2809);
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6744);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4840);
/* harmony import */ var _metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6979);





class FormatConditionValue extends _format_condition_style_base__WEBPACK_IMPORTED_MODULE_3__/* .FormatConditionStyleBase */ .F {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => this.condition();
        this.setSpecificType = (type) => {
            this.condition(type);
            if (!this.value1.type()) {
                this.value1.type(_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__/* .fieldTypes */ .s$[this.dataType()]);
                var defaultValue = _parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_1__/* .ParameterHelper */ ._.convertSingleValue(null, this.value1.type());
                if (this.value1.type() === 'System.String' && defaultValue === undefined) {
                    defaultValue = '';
                }
                this.value1.value(defaultValue);
            }
            if (type.toLowerCase().indexOf('between') !== -1) {
                if (!this.value2.type()) {
                    this.value2.value(this.value1.value());
                    this.value2.type(this.value1.type());
                }
            }
            else {
                this.value2.type(null);
            }
        };
        this.addDisposable(this.value1, this.value2);
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_4__/* .formatConditionValueSerializationsInfo */ .HF;
    }
}


/***/ }),

/***/ 4548:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P$: () => (/* binding */ WindowDefinitionEditor),
/* harmony export */   Xd: () => (/* binding */ windowDefinitionEditor),
/* harmony export */   p7: () => (/* binding */ WindowDefinitionMode)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5988);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _model_data_item_window_definition_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3151);
/* harmony import */ var _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7899);
/* harmony import */ var _form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1884);
/* harmony import */ var _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9113);
/* harmony import */ var _display_name_provider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7687);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};








var WindowDefinitionMode;
(function (WindowDefinitionMode) {
    WindowDefinitionMode[WindowDefinitionMode["Predefined"] = 0] = "Predefined";
    WindowDefinitionMode[WindowDefinitionMode["Specific"] = 1] = "Specific";
})(WindowDefinitionMode || (WindowDefinitionMode = {}));
class WindowDefinitionEditor {
    constructor(windowDefinition, _params) {
        this._params = _params;
        this.mode = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(null);
        this.value = windowDefinition.windowDefinition;
        if (this.value() instanceof _model_data_item_window_definition_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__/* .SpecificWindowDefinition */ .a) {
            this.mode(WindowDefinitionMode.Specific);
            let definition = this.value();
            definition._dimensionsInfoPatcher = WindowDefinitionEditor.createPatchSpecificWindowDimensionsInfo(definition, _params.dataDashboardItem, _params.dataSourceBrowser);
        }
        else {
            this.mode(WindowDefinitionMode.Predefined);
        }
        this.subscription = this.mode.subscribe(this.setValue, this);
        this.formAdapterWrapper = knockout__WEBPACK_IMPORTED_MODULE_0__.pureComputed(() => {
            if (this.value()) {
                return new _form_adapter_object_properties_wrapper__WEBPACK_IMPORTED_MODULE_5__/* .ObjectPropertiesWrapper */ .U({ model: this.value(),
                    properties: this.value().getInfo() });
            }
        });
    }
    get dataSource() {
        return [
            { value: WindowDefinitionMode.Predefined, displayValue: 'DashboardWebStringId.Calculations.WindowDefinitionModePredefined' },
            { value: WindowDefinitionMode.Specific, displayValue: 'DashboardWebStringId.Calculations.WindowDefinitionModeSpecific' }
        ];
    }
    setValue(newMode) {
        if (newMode === WindowDefinitionMode.Predefined) {
            this.value(this._params.dataDashboardItem._getDefaultCalculationWindowDefinition());
        }
        else {
            var windowDefinition = new _model_data_item_window_definition_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__/* .SpecificWindowDefinition */ .a();
            windowDefinition._dimensionsInfoPatcher = WindowDefinitionEditor.createPatchSpecificWindowDimensionsInfo(windowDefinition, this._params.dataDashboardItem, this._params.dataSourceBrowser);
            this.value(windowDefinition);
        }
    }
    dispose() {
        this.subscription?.dispose();
    }
}
WindowDefinitionEditor.createPatchSpecificWindowDimensionsInfo = (definition, dataDashboardItem, dataSourceBrowser) => (propertyInfo) => {
    var lookupValueFromDimension = (d) => {
        return {
            value: d.uniqueName(),
            displayValue: (0,_display_name_provider__WEBPACK_IMPORTED_MODULE_6__/* .getDataItemDisplayName */ .F)(dataSourceBrowser, dataDashboardItem, d)
        };
    };
    var allDimensions = dataDashboardItem._dimensions.map(lookupValueFromDimension);
    var getAvailableDimensions = () => {
        return dataDashboardItem._dimensions
            .filter(d => !definition.dimensions().some(wd => wd.uniqueName() === d.uniqueName()))
            .map(lookupValueFromDimension);
    };
    const editorOptions = {
        dataFields: ['uniqueName'],
        gridColumns: [{
                dataField: 'uniqueName',
                lookup: {
                    displayExpr: 'displayValue',
                    valueExpr: 'value',
                },
                calculateDisplayValue: (gridRow) => {
                    const dimension = allDimensions.filter(d => d.value === gridRow.uniqueName)[0];
                    return dimension && dimension.displayValue || gridRow.uniqueName;
                }
            }],
        enableAddItem: () => !!getAvailableDimensions().length,
        noDataText: 'DashboardWebStringId.CollectionEditor.NoItems',
        createNewItemHandler: () => {
            if (getAvailableDimensions().length > 0) {
                return new _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(dataDashboardItem, { '@DefaultId': getAvailableDimensions()[0].value });
            }
        },
        customizeInlineEditor: (e) => {
            const uniqueName = e.row && e.row.data && e.row.data.uniqueName;
            const availableDimensions = getAvailableDimensions();
            if (availableDimensions.filter(d => d.value === uniqueName).length) {
                e.editorOptions.dataSource = availableDimensions;
            }
            else {
                e.editorOptions.dataSource = allDimensions
                    .filter(d => d.value === uniqueName)
                    .concat(availableDimensions);
            }
        },
    };
    return {
        ...propertyInfo,
        formAdapterItem: (0,_form_adapter_form_adapter_editors__WEBPACK_IMPORTED_MODULE_4__/* .inlineEditCollectionEditor */ .JI)(editorOptions),
    };
};
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_7__/* .wrapWithUndoRedo */ .JZ
], WindowDefinitionEditor.prototype, "setValue", null);
const windowDefinitionEditor = params => context => {
    return {
        template: (args, itemElement) => {
            const windowDefinition = args.component.option('formData')[args.dataField];
            var viewModel = new WindowDefinitionEditor(windowDefinition, params);
            knockout__WEBPACK_IMPORTED_MODULE_0__.utils.domNodeDisposal.addDisposeCallback(itemElement, function () {
                viewModel.dispose();
            });
            knockout__WEBPACK_IMPORTED_MODULE_0__.applyBindingsToNode((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__/* .$unwrap */ .I1)(itemElement), { template: { name: 'dx-dashboard-window-definition-editor', data: viewModel } }, context.bindingContext);
        }
    };
};


/***/ }),

/***/ 4571:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CM: () => (/* binding */ sliceTableName),
/* harmony export */   KQ: () => (/* binding */ dimensions),
/* harmony export */   qY: () => (/* binding */ measures),
/* harmony export */   y5: () => (/* binding */ sliceTableSerializationsInfo)
/* harmony export */ });
let dimensions = { propertyName: 'dimensions', modelName: 'Dimensions', displayName: 'DashboardStringId.DescriptionDimensions', array: true };
let measures = { propertyName: 'measures', modelName: 'Measures', array: true };
let sliceTableName = { propertyName: 'name', modelName: '@Name', simpleFormAdapterItem: 'textBoxEditor' };
let sliceTableSerializationsInfo = [dimensions, measures, sliceTableName];


/***/ }),

/***/ 4575:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EU: () => (/* binding */ EventManager),
/* harmony export */   Ks: () => (/* binding */ getOptionNameByEvent),
/* harmony export */   lL: () => (/* binding */ mergeOptions),
/* harmony export */   y6: () => (/* binding */ OptionsManager)
/* harmony export */ });
/* unused harmony exports getEventName, isEventName */
/* harmony import */ var devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8231);
/* harmony import */ var devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__);

const getEventName = (actionName) => {
    return actionName.charAt(2).toLowerCase() + actionName.substr(3);
};
const getOptionNameByEvent = (eventName) => {
    return 'on' + eventName.charAt(0).toUpperCase() + eventName.substr(1);
};
const isEventName = (actionName) => {
    return actionName && actionName.length && actionName.indexOf('on') === 0 && actionName.charAt(2).toUpperCase() === actionName.charAt(2);
};
class OptionsManager {
    constructor() {
        this._internalEvents = new EventManager();
        this._cachedSetters = {};
    }
    initialize(_config) {
        this._config = _config;
        this._dashboardControl = _config.dashboardControl;
        if (_config.eventsHolder) {
            _config.eventsHolder.on = this._internalEvents.on;
            _config.eventsHolder.off = this._internalEvents.off;
        }
    }
    getDefaultOptions() {
        return this._config.defaultOptions;
    }
    getInitialOptions() {
        let res = {};
        this._merge(res, this._config.defaultOptions);
        this._merge(res, this._config.initOptions);
        return res;
    }
    dispose() {
        this._internalEvents.dispose();
    }
    optionChanged(args) {
        return this._config.optionChanged(args);
    }
    raiseEvent(eventName, eventArgs) {
        var optionName = `extensions.${this._config.extensionName}.${getOptionNameByEvent(eventName)}`;
        var delegateFromOptions = this._dashboardControl.option(optionName);
        if (typeof delegateFromOptions === 'function') {
            delegateFromOptions.call(this._dashboardControl, eventArgs);
        }
        this._internalEvents.raise(eventName, eventArgs);
    }
    get(optionName) {
        return this._dashboardControl.option(`extensions.${this._config.extensionName}.${optionName}`);
    }
    set(optionName, value) {
        return this._set(optionName, value, false);
    }
    silent(optionName, value) {
        return this._set(optionName, value, true);
    }
    _set(optionName, value, silent) {
        let name = `extensions.${this._config.extensionName}.${optionName}`;
        return silent ? this._dashboardControl._silent(name, value) : this._dashboardControl.option(name, value);
    }
    _merge(target, source) {
        mergeOptions(target, source, this._cachedSetters);
    }
}
let mergeOptions = (target, source, externalCache = {}) => {
    for (var name in source) {
        let setter = externalCache[name];
        if (setter === undefined)
            setter = externalCache[name] = (0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_0__.compileSetter)(name);
        setter(target, source[name], {
            functionsAsIs: true,
            merge: true,
            unwrapObservables: false
        });
    }
};
class EventManager {
    constructor() {
        this._handlers = [];
        this.on = (eventName, eventHandler) => {
            if (!this._handlers.filter(handler => handler.eventName === eventName && handler.event === eventHandler)[0]) {
                this._handlers.push({
                    eventName: eventName,
                    event: eventHandler
                });
            }
        };
        this.off = (eventName, eventHandler) => {
            const eventInfo = this._handlers.filter(handler => handler.eventName === eventName && handler.event === eventHandler)[0];
            const index = this._handlers.indexOf(eventInfo);
            if (index !== -1) {
                this._handlers.splice(index, 1);
            }
        };
    }
    dispose() {
        this._handlers = [];
    }
    raise(eventName, eventArgs) {
        this._handlers
            .filter(handler => handler.eventName === eventName)
            .forEach(handler => handler.event(eventArgs));
    }
}


/***/ }),

/***/ 4590:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ CustomShapefile)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1391);
/* harmony import */ var _metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6172);




class CustomShapefile extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.data, this.url.subscribe(newUrl => !!newUrl && this.data.shapeData(_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_3__/* .shapeData */ .E2.defaultVal)), this.data.shapeData.subscribe(newData => !!newData && this.url(undefined)));
    }
    getInfo() {
        return _metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_2__/* .customShapefileSerializationsInfo */ .SA;
    }
}


/***/ }),

/***/ 4614:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ll: () => (/* binding */ showVerticalLines),
/* harmony export */   Zi: () => (/* binding */ enableBandedRows),
/* harmony export */   Zw: () => (/* binding */ wordWrap),
/* harmony export */   a_: () => (/* binding */ gridOptionsSerializationsInfo),
/* harmony export */   ix: () => (/* binding */ columnWidthMode),
/* harmony export */   mJ: () => (/* binding */ allowCellMerge),
/* harmony export */   th: () => (/* binding */ showHorizontalLines),
/* harmony export */   um: () => (/* binding */ showColumnHeaders)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let allowCellMerge = { propertyName: 'allowCellMerge', modelName: '@AllowGridCellMerge', displayName: 'DashboardWebStringId.Grid.MergeCells', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let columnWidthMode = {
    propertyName: 'columnWidthMode', modelName: '@ColumnWidthMode', displayName: 'DashboardWebStringId.Grid.ColumnWidthMode', defaultVal: 'AutoFitToGrid', simpleFormAdapterItem: 'listEditor', category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel, values: {
        'AutoFitToContents': 'DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode',
        'AutoFitToGrid': 'DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode',
        'Manual': 'DashboardWebStringId.Grid.ManualGridColumnWidthMode'
    }
};
let enableBandedRows = { propertyName: 'enableBandedRows', modelName: '@EnableBandedRows', displayName: 'DashboardWebStringId.Grid.BandedRows', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let showVerticalLines = { propertyName: 'showVerticalLines', modelName: '@ShowVerticalLines', displayName: 'DashboardWebStringId.Grid.VerticalLines', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let showHorizontalLines = { propertyName: 'showHorizontalLines', modelName: '@ShowHorizontalLines', displayName: 'DashboardWebStringId.Grid.HorizontalLines', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let showColumnHeaders = { propertyName: 'showColumnHeaders', modelName: '@ShowColumnHeaders', displayName: 'DashboardWebStringId.Grid.ColumnHeaders', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let wordWrap = { propertyName: 'wordWrap', modelName: '@WordWrap', displayName: 'DashboardWebStringId.Grid.WordWrap', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let gridOptionsSerializationsInfo = [enableBandedRows, showVerticalLines, showHorizontalLines, allowCellMerge, showColumnHeaders, columnWidthMode, wordWrap];


/***/ }),

/***/ 4633:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ RangeInfo)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1040);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4840);
/* harmony import */ var _metadata_range_info__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7886);






class RangeInfo extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .TypedSerializableModel */ .$t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.styleSettings = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._styleSettingsType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._styleSettingsType(_style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypes */ .e.filter(mapItem => !!modelJson && modelJson[mapItem])[0]);
        if (this._styleSettingsType()) {
            this.styleSettings(new _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypesMap */ .q[this._styleSettingsType()]((modelJson || {})[this._styleSettingsType()]));
            delete this['_model'][this._styleSettingsType()];
        }
        this.addDisposable(this.styleSettings.subscribe(styleSettings => {
            this._styleSettingsType(_style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypes */ .e.filter(mapItem => styleSettings instanceof _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypesMap */ .q[mapItem])[0]);
        }));
        this.addDisposable(this.value);
    }
    getInfo() {
        let styleSettingsInfo = (0,_format_condition_style_base__WEBPACK_IMPORTED_MODULE_4__/* .currentStyleSettingsInfo */ .e)(this._styleSettingsType);
        if (!styleSettingsInfo || !styleSettingsInfo.modelName) {
            styleSettingsInfo = {
                propertyName: 'styleSettings',
                modelName: 'FakeSettingsForModelSubscriber',
                from: (json, serializer) => undefined,
                toJsonObject: (value, serializer, refs) => null
            };
        }
        return _metadata_range_info__WEBPACK_IMPORTED_MODULE_5__/* .rangeInfoSerializationsInfo */ .ZT.concat([styleSettingsInfo]);
    }
    clone() {
        var rangeInfo = new RangeInfo();
        rangeInfo.value.setValue(this.value.value(), this.value.type());
        rangeInfo.styleSettings(this.styleSettings().clone());
        return rangeInfo;
    }
    _getDefaultItemType() {
        return 'RangeInfo';
    }
}


/***/ }),

/***/ 4634:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ _getCustomPropertiesSerializationInfoCore),
/* harmony export */   P: () => (/* binding */ getCustomPropertiesSerializationInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _custom_properties__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9659);
/* harmony import */ var _custom_properties_metadata__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8553);



function _convertCustomPropertiesMetadata(customPropertiesMeta) {
    return (customPropertiesMeta || [])
        .map(d => {
        var serializationInfo = {
            propertyName: d.propertyName,
            modelName: d.propertyName,
            category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel,
            defaultVal: d.defaultValue,
        };
        if (d.valueType === 'boolean') {
            serializationInfo.from = _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6;
        }
        if (d.valueType === 'number') {
            serializationInfo.from = _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1;
        }
        return serializationInfo;
    });
}
function _getCustomPropertiesSerializationInfoCore(customPropertiesMeta) {
    return {
        propertyName: 'customProperties',
        modelName: 'CustomProperties',
        category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel,
        type: _custom_properties__WEBPACK_IMPORTED_MODULE_1__/* .CustomProperties */ .v,
        info: _convertCustomPropertiesMetadata(customPropertiesMeta)
    };
}
function getCustomPropertiesSerializationInfo(owner) {
    const filteredCustomProperties = _custom_properties_metadata__WEBPACK_IMPORTED_MODULE_2__/* ._customPropertiesMeta */ .du
        .filter(metadata => owner instanceof metadata.ownerType);
    return _getCustomPropertiesSerializationInfoCore(filteredCustomProperties);
}


/***/ }),

/***/ 4652:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ geoPointMapDashboardItemSerializationsInfo),
/* harmony export */   U: () => (/* binding */ value)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2248);



let value = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .valuePropertyName */ .sl, modelName: 'Value', displayName: 'DashboardWebStringId.Chart.Value', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let geoPointMapDashboardItemSerializationsInfo = _geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__/* .geoPointMapDashboardItemBaseSerializationsInfo */ .H3.concat([value]);


/***/ }),

/***/ 4730:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ autoExpand),
/* harmony export */   K: () => (/* binding */ treeViewDashboardItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _filter_element_item_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(641);


let autoExpand = { propertyName: 'autoExpand', modelName: '@AutoExpand', displayName: 'DashboardWebStringId.TreeView.AutoExpand', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let treeViewDashboardItemSerializationsInfo = _filter_element_item_base__WEBPACK_IMPORTED_MODULE_1__/* .filterElementItemBaseSerializationInfo */ .fL.concat([autoExpand]);


/***/ }),

/***/ 4780:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dq: () => (/* binding */ lookUpvalues),
/* harmony export */   mk: () => (/* binding */ lookUpValue),
/* harmony export */   tg: () => (/* binding */ staticListLookUpSettingsSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _look_up_value__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5690);

let lookUpValue = { propertyName: 'value', modelName: '#text', displayName: 'DashboardStringId.ParametersFormValueColumnCaption', simpleFormAdapterItem: 'textBoxEditor' };
let lookUpvalues = { propertyName: 'values', modelName: 'Values', displayName: 'DevExpress.DashboardCommon.StaticListLookUpSettings.Values', array: true, addHandler: function () { return new _look_up_value__WEBPACK_IMPORTED_MODULE_0__/* .LookUpValue */ .Q({}); } };
let staticListLookUpSettingsSerializationsInfo = [lookUpvalues];


/***/ }),

/***/ 4784:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   gi: () => (/* binding */ applyToChartElement),
/* harmony export */   uU: () => (/* binding */ dataItemApplyToName),
/* harmony export */   wP: () => (/* binding */ chartItemFormatRuleSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2084);

let dataItemApplyToName = { propertyName: 'dataItemApplyToName', modelName: '@SeriesId', displayName: 'DashboardStringId.FormatRuleApplyTo', simpleFormAdapterItem: 'selectBoxEditor' };
let applyToChartElement = { propertyName: 'applyToChartElement', modelName: '@ApplyToChartElement', displayName: 'DashboardStringId.FormatRuleApplyToChartElement', defaultVal: 'Point',
    simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Point': 'DashboardStringId.ChartElementPointCaption',
        'LineOrArea': 'DashboardStringId.ChartElementLineOrAreaCaption'
    }
};
let chartItemFormatRuleSerializationsInfo = _chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_0__/* .chartItemFormatRuleSerializationsInfoBase */ .zh.concat([dataItemApplyToName, applyToChartElement]);


/***/ }),

/***/ 4832:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  O: () => (/* reexport */ TextBoxItemEditorExtension)
});

// EXTERNAL MODULE: external "DevExpress.ui.dxButton"
var external_DevExpress_ui_dxButton_ = __webpack_require__(8860);
var external_DevExpress_ui_dxButton_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxButton_);
// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/common/control-options.js
var control_options = __webpack_require__(5292);
// EXTERNAL MODULE: ./dist/common/docking-layout/core/_layout-item.js
var _layout_item = __webpack_require__(6680);
// EXTERNAL MODULE: ./dist/common/internal/_options-manager.js
var _options_manager = __webpack_require__(4575);
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
// EXTERNAL MODULE: ./dist/model/index.js + 12 modules
var model = __webpack_require__(7104);
// EXTERNAL MODULE: ./dist/model/disposable-object.js
var disposable_object = __webpack_require__(8398);
// EXTERNAL MODULE: ./dist/model/internal/_knockout-utils.js
var _knockout_utils = __webpack_require__(1041);
// EXTERNAL MODULE: ./dist/model/items/metadata/_text-box-item.js
var _text_box_item = __webpack_require__(4191);
// EXTERNAL MODULE: ./dist/designer/_display-name-provider.js
var _display_name_provider = __webpack_require__(7687);
// EXTERNAL MODULE: ./dist/designer/form-adapter/_object-properties-wrapper.js
var _object_properties_wrapper = __webpack_require__(9113);
// EXTERNAL MODULE: ./dist/designer/items/surfaces/_textbox-item-surface.js
var _textbox_item_surface = __webpack_require__(645);
// EXTERNAL MODULE: ./dist/designer/properties-controller/_accordion-tab.js
var _accordion_tab = __webpack_require__(110);
;// external "DevExpress.RichEdit"
const external_DevExpress_RichEdit_namespaceObject = DevExpress.RichEdit;
;// ./dist/designer/text-box-item-editor-extension/_rich-edit-bindings.js



external_ko_.bindingHandlers['dx-dashboard-rich-edit'] = {
    init: function (element, valueAccessor, _, __, bindingContext) {
        var options = external_ko_.unwrap(valueAccessor());
        const richEditOptions = (0,external_DevExpress_RichEdit_namespaceObject.createOptions)();
        richEditOptions.width = '100%';
        richEditOptions.height = '100%';
        richEditOptions.view.viewType = external_DevExpress_RichEdit_namespaceObject.ViewType.Simple;
        richEditOptions.view.simpleViewSettings.paddings = { bottom: 7, left: 7, right: 7, top: 7 };
        if (options.dashboardItemWidth && options.dashboardItemWidth > 0) {
            richEditOptions.view.simpleViewSettings.fixedWidth = options.dashboardItemWidth;
        }
        richEditOptions.events.saving = (s, e) => {
            var document = atob(e.base64);
            options.onSaving(document);
            e.handled = true;
        };
        richEditOptions.events.documentLoaded = (s, e) => {
            var document = s.document;
            document.fields.updateAllFields();
            const charProps = document.getDefaultCharacterProperties();
            charProps.fontName = 'Segoe UI';
            document.setDefaultCharacterProperties(charProps);
            document.modified = false;
        };
        richEditOptions.events.calculateDocumentVariable = function (s, e) {
            var docVariable = options.docVariables.filter(v => v.id === e.variableName)[0];
            if (docVariable) {
                e.value = docVariable.displayName;
            }
        };
        const dashboardCmdPrefix = 'insertDashboardVariable';
        var fileTab = richEditOptions.ribbon.getTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.File);
        fileTab.removeItem(external_DevExpress_RichEdit_namespaceObject.FileTabItemId.CreateNewDocument);
        fileTab.removeItem(external_DevExpress_RichEdit_namespaceObject.FileTabItemId.PrintDocument);
        var insertTab = richEditOptions.ribbon.getTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.Insert);
        var mailMergeTab = richEditOptions.ribbon.getTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.MailMerge);
        [external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.ShowBookmarkDialog, external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.InsertHeader, external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.InsertFooter,
            external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.InsertPageCountField, external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.InsertPageNumberField, external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.InsertFloatingTextBox].forEach(id => insertTab.removeItem(id));
        var dashboardFieldsMenuItems = options.docVariables.length ?
            options.docVariables.map(docVariable => { return new external_DevExpress_RichEdit_namespaceObject.RibbonSubMenuItem(dashboardCmdPrefix + docVariable.id, docVariable.displayName); })
            :
                [new external_DevExpress_RichEdit_namespaceObject.RibbonSubMenuItem('dummyCommand', (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.TextBoxItemEditor.NoFields'))];
        [external_DevExpress_RichEdit_namespaceObject.MailMergeTabItemId.ShowAllFieldCodes, external_DevExpress_RichEdit_namespaceObject.MailMergeTabItemId.ShowAllFieldResults, external_DevExpress_RichEdit_namespaceObject.MailMergeTabItemId.UpdateAllFields]
            .map(id => mailMergeTab.getItem(id))
            .forEach((item, i) => insertTab.insertItem(item, i));
        insertTab.insertItem(new external_DevExpress_RichEdit_namespaceObject.RibbonMenuItem(dashboardCmdPrefix, (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.TextBoxItemEditor.InsertField'), dashboardFieldsMenuItems, {
            icon: 'dxre-icon-InsertDataField',
            showText: true
        }), 0);
        insertTab.getItem(external_DevExpress_RichEdit_namespaceObject.InsertTabItemId.ShowInsertTableDialog).beginGroup = true;
        richEditOptions.ribbon.removeTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.PageLayout);
        richEditOptions.ribbon.removeTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.References);
        richEditOptions.ribbon.removeTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.View);
        richEditOptions.ribbon.removeTab(external_DevExpress_RichEdit_namespaceObject.RibbonTabType.MailMerge);
        richEditOptions.events.customCommandExecuted = (richEdit, e) => {
            var docVariable = options.docVariables.filter(v => (dashboardCmdPrefix + v.id) === e.commandName)[0];
            if (docVariable) {
                var field = richEdit.document.fields.create(richEdit.selection.active, 'docvariable ' + docVariable.id);
                richEdit.document.insertText(field.resultInterval.start, docVariable.displayName);
                field.update();
            }
        };
        options.onRichEditOptionsPrepared(richEditOptions);
        var richEdit = (0,external_DevExpress_RichEdit_namespaceObject.create)(element, richEditOptions);
        options.onRichEditCreated(richEdit);
        if (options.initialDocument) {
            richEdit.openDocument(btoa(unescape(encodeURIComponent(options.initialDocument))), '', external_DevExpress_RichEdit_namespaceObject.DocumentFormat.Rtf);
        }
        richEdit.documentSaveFormat = external_DevExpress_RichEdit_namespaceObject.DocumentFormat.Rtf;
        options.forceSave = () => {
            richEdit.hasUnsavedChanges = true;
            richEdit.saveDocument(external_DevExpress_RichEdit_namespaceObject.DocumentFormat.Rtf);
        };
        options.documentModified = () => richEdit.document.modified;
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            richEdit.dispose();
        });
        return { controlsDescendantBindings: true };
    }
};

// EXTERNAL MODULE: ./dist/designer/confirm-dialog/_confirm-dialog.js
var _confirm_dialog = __webpack_require__(8750);
;// ./dist/designer/text-box-item-editor-extension/_text-box-item-editor-view-model.js



class ValueAccessor {
}
class RichEditExtensionViewModel {
    constructor() {
        this._isCloseConfirmed = false;
        this.richEditorOptions = external_ko_.observable(null);
        this.close = () => {
            this.popup.hide();
        };
        this.saveAndClose = () => {
            var richEditorOptions = this.richEditorOptions();
            richEditorOptions && richEditorOptions.forceSave && richEditorOptions.forceSave();
            this.close();
        };
        this.onHidden = () => {
            this.richEditorOptions(null);
            this._isCloseConfirmed = false;
        };
        this.onHiding = (args) => {
            var richEditorOptions = this.richEditorOptions();
            var documentModified = richEditorOptions && richEditorOptions.documentModified && richEditorOptions.documentModified();
            if (documentModified && !this._isCloseConfirmed) {
                args.cancel = true;
                this.confirmDialogViewModel
                    .confirm((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.ConfirmSaving'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.SaveConfirmationDialogMessage') + '<br/>' + (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.SaveChangesDialogMessage'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.Save'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.DoNotSave'))
                    .done(result => {
                    this._isCloseConfirmed = true;
                    if (result) {
                        this.saveAndClose();
                    }
                    else {
                        this.close();
                    }
                });
            }
        };
        this.onInitialized = (args) => {
            this.popup = args.component;
        };
        this.confirmDialogViewModel = new _confirm_dialog/* ConfirmDialogViewModel */.b();
    }
    show(options, docVariables, dashboardItemWidth, callbacks) {
        if (!this.richEditorOptions()) {
            this.popup.show().then(() => {
                this.richEditorOptions({
                    initialDocument: options.getValue(),
                    docVariables: docVariables,
                    onSaving: (document) => {
                        options.setValue(document);
                    },
                    dashboardItemWidth: dashboardItemWidth,
                    ...callbacks,
                });
            });
        }
    }
}

;// ./dist/designer/text-box-item-editor-extension/text-box-item-editor-extension.js
















const text_box_item_editor_extension_name = 'textBoxItemEditor';
const nameAlias = 'text-box-item-editor';
class TextBoxItemEditorExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl, options = {}) {
        super();
        this.name = text_box_item_editor_extension_name;
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._dashboardControl = dashboardControl;
        this._optionsManager.initialize({
            extensionName: text_box_item_editor_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: {},
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => null
        });
        this._viewModel = new RichEditExtensionViewModel();
        this._customTemplate = {
            name: 'dx-dashboard-text-box-item-editor-extension',
            data: this._viewModel
        };
    }
    start() {
        this._dashboardControl.customTemplates.push(this._customTemplate);
        var contextMenuExtension = this._dashboardControl.findExtension('itemMenu');
        var propertiesPanelExtension = this._dashboardControl.findExtension('itemOptionsPanel');
        if (contextMenuExtension && propertiesPanelExtension) {
            this.toDispose((0,_knockout_utils/* subscribeAndPerform */.l4)(contextMenuExtension._itemContextMenu, (menu) => {
                if (menu) {
                    var customData = menu.contextMenuItems()[0].customData;
                    if (customData instanceof _textbox_item_surface/* TextBoxItemSurface */.P) {
                        customData.extendTabsHandler = (tabs, model, dashboardItem) => {
                            var textBoxTextProperty = { ..._text_box_item/* textBoxText */.yA };
                            this._extendTextBoxSerializationInfo(textBoxTextProperty, dashboardItem, this._dashboardControl._dataSourceBrowser);
                            tabs.push(new _accordion_tab/* ContentInHeaderAccordionTab */.XB('text-box-item-rich-edit', (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.AccordionTab.Content'), new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
                                model: dashboardItem,
                                properties: [
                                    textBoxTextProperty
                                ]
                            })));
                        };
                    }
                }
            }));
            this.toDispose(propertiesPanelExtension._subscribeTabsChanged((tabs, item) => {
                var dataSourceBrowser = this._dashboardControl._dataSourceBrowser;
                if (item && item instanceof model.TextBoxItem) {
                    var textBoxDashoardItem = item;
                    var tab = tabs.filter(tab => tab.name === _accordion_tab/* KnownTabs */.iq.Common)[0];
                    var tabModel = tab.tabModel();
                    if (tabModel) {
                        var textProperty = tabModel._serializationInfo.filter(info => info.propertyName === 'text')[0];
                        if (textProperty) {
                            this._extendTextBoxSerializationInfo(textProperty, textBoxDashoardItem, dataSourceBrowser);
                        }
                    }
                }
            }));
        }
    }
    _extendTextBoxSerializationInfo(textProperty, textBoxDashoardItem, dataSourceBrowser) {
        textProperty.displayName = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.AccordionTab.Content');
        textProperty.formAdapterItem = {
            template: (args) => {
                var div = document.createElement('div');
                new (external_DevExpress_ui_dxButton_default())(div, {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.TextBoxItemEditor.EditTextButton'),
                    width: '100%',
                    onClick: () => {
                        var docVariables = textBoxDashoardItem.dataItems().map(dataItem => {
                            return {
                                id: dataItem.uniqueName(),
                                displayName: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, textBoxDashoardItem, dataItem)
                            };
                        });
                        const callbacks = {
                            onRichEditOptionsPrepared: (options) => {
                                this._optionsManager.raiseEvent('richEditOptionsPrepared', { richEditOptions: options, itemName: textBoxDashoardItem.componentName() });
                            },
                            onRichEditCreated: (richEdit) => {
                                this._optionsManager.raiseEvent('richEditCreated', { richEditInstance: richEdit, itemName: textBoxDashoardItem.componentName() });
                            },
                        };
                        this._viewModel.show({
                            getValue: () => external_ko_.unwrap(args.component.option('formData')[args.dataField]),
                            setValue: (v) => args.component.updateData(args.dataField, v)
                        }, docVariables, this._getDashboardItemWidth(), callbacks);
                    }
                });
                return div;
            }
        };
    }
    _getDashboardItemWidth() {
        var layoutController = this._dashboardControl._actualLayoutController();
        if (layoutController && layoutController.selectedLayoutItem()) {
            return layoutController.selectedLayoutItem().getWidth() - _layout_item/* SplitterSize */.ZZ;
        }
        return null;
    }
    stop() {
        this._dashboardControl.customTemplates.remove(this._customTemplate);
        this.dispose();
    }
}
control_options/* extensionNameMap */.RY[nameAlias] = text_box_item_editor_extension_name;

;// ./dist/designer/text-box-item-editor-extension/index.js



/***/ }),

/***/ 4833:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $7: () => (/* binding */ getAxisPointValue),
/* harmony export */   $F: () => (/* binding */ getTemplate),
/* harmony export */   $z: () => (/* binding */ groupBy),
/* harmony export */   A_: () => (/* binding */ pivotArea),
/* harmony export */   Cv: () => (/* binding */ mapMany),
/* harmony export */   DQ: () => (/* binding */ arrayContains),
/* harmony export */   Gb: () => (/* binding */ getTagValue),
/* harmony export */   H$: () => (/* binding */ LocalStorageHelper),
/* harmony export */   JY: () => (/* binding */ isVulnerable),
/* harmony export */   KC: () => (/* binding */ union),
/* harmony export */   Kl: () => (/* binding */ findLastIndex),
/* harmony export */   Kw: () => (/* binding */ getValueIndex),
/* harmony export */   Li: () => (/* binding */ deepStrictEquals),
/* harmony export */   NW: () => (/* binding */ type),
/* harmony export */   P: () => (/* binding */ RedBlackTree),
/* harmony export */   RS: () => (/* binding */ wrapHash),
/* harmony export */   Rd: () => (/* binding */ minus),
/* harmony export */   SL: () => (/* binding */ findIndex),
/* harmony export */   Tf: () => (/* binding */ gaugeViewType),
/* harmony export */   VR: () => (/* binding */ toColor),
/* harmony export */   Vo: () => (/* binding */ getRGBColor),
/* harmony export */   WI: () => (/* binding */ groupByProperty),
/* harmony export */   Yj: () => (/* binding */ areNotOrderedListsEqual),
/* harmony export */   aZ: () => (/* binding */ getSvgElementByTemplate),
/* harmony export */   b3: () => (/* binding */ checkArrayContainsTuple),
/* harmony export */   dG: () => (/* binding */ moveContent),
/* harmony export */   dM: () => (/* binding */ distinct),
/* harmony export */   eX: () => (/* binding */ tooltipContainerSelector),
/* harmony export */   fp: () => (/* binding */ getParentClasses),
/* harmony export */   g5: () => (/* binding */ asyncDebounce),
/* harmony export */   iT: () => (/* binding */ decodeHtml),
/* harmony export */   jz: () => (/* binding */ pxToNumber),
/* harmony export */   lL: () => (/* binding */ allowSelectValue),
/* harmony export */   lx: () => (/* binding */ treeWalker),
/* harmony export */   mx: () => (/* binding */ renderImage),
/* harmony export */   ng: () => (/* binding */ arrayEquals),
/* harmony export */   nx: () => (/* binding */ strictEquals),
/* harmony export */   o4: () => (/* binding */ encodeHtml),
/* harmony export */   rD: () => (/* binding */ unwrapSpecialNullValue),
/* harmony export */   rY: () => (/* binding */ checkValuesAreEqual),
/* harmony export */   sg: () => (/* binding */ debounce),
/* harmony export */   x6: () => (/* binding */ KpiValueMode),
/* harmony export */   y$: () => (/* binding */ intersect),
/* harmony export */   y5: () => (/* binding */ checkTuplesAreEqual)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9542);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8231);
/* harmony import */ var devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _special_values__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2383);




let type = {
    isDefined: function (object) {
        return null !== object && void 0 !== object;
    },
    isFunction: function (object) {
        return 'function' === typeof object;
    },
    isString: function (object) {
        return 'string' === typeof object;
    },
    isNumeric: function (object) {
        return 'number' === typeof object && isFinite(object) || !isNaN(object - parseFloat(object));
    },
    isBoolean: function (object) {
        return 'boolean' === typeof object;
    }
};
function getElementTagName(element) {
    return element && element.tagName && (element.tagName.toLowerCase && element.tagName.toLowerCase() || element.tagName);
}
function getTemplate(_id) {
    const id = _id[0] === '#' ? _id.substring(1) : _id;
    if (_devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__.SvgTemplatesEngine.templates[id]) {
        return _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__.SvgTemplatesEngine.templates[id];
    }
    const item = document.getElementById(id);
    const tagName = getElementTagName(item);
    if (tagName === 'svg')
        return item.outerHTML;
    return item && item.innerHTML;
}
function getSvgElementByTemplate(templateName) {
    const div = document.createElement('div');
    div.innerHTML = getTemplate(templateName);
    const filteredSvgElement = Array.from(div.childNodes).filter(node => {
        const element = node;
        const tagName = getElementTagName(element);
        return tagName === 'svg';
    });
    const svgElement = filteredSvgElement[0];
    return svgElement;
}
let KpiValueMode = {
    Measure: 'Measure',
    Delta: 'Delta'
}, pivotArea = {
    column: 'column',
    row: 'row',
    data: 'data'
}, gaugeViewType = {
    CircularFull: 'CircularFull',
    CircularHalf: 'CircularHalf',
    CircularQuarterRight: 'CircularQuarterRight',
    CircularQuarterLeft: 'CircularQuarterLeft',
    CircularThreeFourth: 'CircularThreeFourth',
    LinearHorizontal: 'LinearHorizontal',
    LinearVertical: 'LinearVertical'
}, tooltipContainerSelector = '.dx-dashboard-container';
function toColor(numericColorValue) {
    var number = numericColorValue >>> 0;
    var b = number & 0xFF, g = (number & 0xFF00) >>> 8, r = (number & 0xFF0000) >>> 16, a = ((number & 0xFF000000) >>> 24) / 255;
    return getRGBColor(r, g, b, a);
}
function getRGBColor(r, g, b, a) {
    if (typeof a === 'number' && a >= 0 && a < 1)
        return 'rgba(' + [r, g, b, a].join(',') + ')';
    return 'rgb(' + [r, g, b].join(',') + ')';
}
function allowSelectValue(values) {
    var result = true;
    if (values) {
        values.forEach(value => {
            result = result && (value !== _special_values__WEBPACK_IMPORTED_MODULE_3__/* .specialValues */ .A.othersValueGuid) &&
                (value !== _special_values__WEBPACK_IMPORTED_MODULE_3__/* .specialValues */ .A.errorValueGuid);
        });
    }
    return result;
}
function isVulnerable(value) {
    if (!value)
        return false;
    var re = new RegExp('^\\s*(data|javascript)\\s*:\\s*');
    return !!value.match(re);
}
function encodeHtml(str) {
    return String(str)
        .replace(/&/g, '&amp;')
        .replace(/"/g, '&quot;')
        .replace(/'/g, '&#39;')
        .replace(/</g, '&lt;')
        .replace(/>/g, '&gt;');
}
function decodeHtml(value) {
    return String(value)
        .replace(/&quot;/g, '"')
        .replace(/&#39;/g, "'")
        .replace(/&lt;/g, '<')
        .replace(/&gt;/g, '>')
        .replace(/&amp;/g, '&');
}
function moveContent(source, dest, clearSource) {
    jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(source).contents().appendTo(jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(dest));
    if (clearSource) {
        source.innerHTML = '';
    }
}
function arrayContains(container, part) {
    var currentValueIndex = -1;
    if (!!container) {
        jquery__WEBPACK_IMPORTED_MODULE_2__.each(container, (index, item) => {
            if (arrayEquals(part, item)) {
                currentValueIndex = index;
                return false;
            }
        });
    }
    return currentValueIndex >= 0;
}
function arrayEquals(array1, array2) {
    if (!array1 && !array2)
        return true;
    if (!array1 || !array2)
        return false;
    if (Array.isArray(array1)) {
        if (array1.length !== array2.length)
            return false;
        for (var key in array1) {
            if (!arrayEquals(array1[key], array2[key]))
                return false;
        }
    }
    else {
        return (0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1__.toComparable)(array1, true) === (0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1__.toComparable)(array2, true);
    }
    return true;
}
function checkValuesAreEqual(value1, value2, nullValuesEquals = false, emptyArraysEquals = false) {
    if (!nullValuesEquals && (value1 == null || value2 == null)) {
        return false;
    }
    var list1 = Array.isArray(value1) ? value1 : [value1], list2 = Array.isArray(value2) ? value2 : [value2];
    if (list1.length !== list2.length || (list1.length === 0 && !emptyArraysEquals)) {
        return false;
    }
    else {
        for (var i = 0; i < list1.length; i++) {
            if ((0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1__.toComparable)(list1[i], true) !== (0,devextreme_core_utils_data__WEBPACK_IMPORTED_MODULE_1__.toComparable)(list2[i], true))
                return false;
        }
        return true;
    }
}
function checkTuplesAreEqual(tuple1, tuple2) {
    if (!tuple1 || !tuple2) {
        return false;
    }
    var containsCount = 0;
    tuple1.forEach(tuple1AxisValue => {
        var value = tuple2.filter((tuple2AxisValue) => {
            return tuple2AxisValue.axisName === tuple1AxisValue.axisName;
        })[0].value;
        if (checkValuesAreEqual(tuple1AxisValue.value, value)) {
            containsCount = containsCount + 1;
        }
    });
    return containsCount == tuple1.length;
}
function checkArrayContainsTuple(array, tuple) {
    var contains, currentIndex;
    jquery__WEBPACK_IMPORTED_MODULE_2__.each(array, function (index, aTuple) {
        contains = checkTuplesAreEqual(aTuple, tuple);
        if (contains)
            currentIndex = index;
        return !contains;
    });
    return currentIndex;
}
function getAxisPointValue(tuple, axisName) {
    var axisPoints = tuple.filter((axisValue) => {
        return axisValue.axisName === axisName;
    });
    return axisPoints.length > 0 ? axisPoints[0].value : null;
}
function getTagValue(tag) {
    var axisPoint = tag.axisPoint;
    return axisPoint ? axisPoint.getUniquePath() : tag;
}
function getValueIndex(matrix, vector) {
    if (matrix && vector) {
        for (var i = 0; i < matrix.length; i++) {
            if (checkValuesAreEqual(matrix[i], vector)) {
                return i;
            }
        }
    }
    return -1;
}
function treeWalker(rootNode, childrenFunc) {
    return {
        walk: function (func) {
            this._walkInternal(rootNode, null, func, function () { return true; });
        },
        walkLeaf: function (func) {
            this._walkInternal(rootNode, null, func, function (node, parent, isLeaf) { return isLeaf; });
        },
        _walkInternal: function (node, parent, func, callPredicate) {
            var that = this, children = childrenFunc(node), isLeaf = !children || children.length === 0;
            if (callPredicate(node, parent, isLeaf)) {
                func(node, parent, isLeaf);
            }
            if (!isLeaf) {
                jquery__WEBPACK_IMPORTED_MODULE_2__.each(children, function (i, branch) {
                    that._walkInternal(branch, node, func, callPredicate);
                });
            }
        }
    };
}
function getParentClasses($obj) {
    var parents = [$obj.attr('class')];
    jquery__WEBPACK_IMPORTED_MODULE_2__.each($obj.parents(), function (_, parent) {
        var name = jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(parent).attr('class');
        if (name)
            parents.push(name);
    });
    return parents.reverse();
}
function wrapHash(valuesArray) {
    var hash = {};
    if (valuesArray) {
        valuesArray.forEach(value => {
            hash[value] = true;
        });
    }
    return hash;
}
function areNotOrderedListsEqual(list1, list2) {
    if (list1.length != list2.length)
        return false;
    list1 = list1.slice();
    list2 = list2.slice();
    list1.sort();
    list2.sort();
    for (var i = 0; i < list1.length; i++) {
        if (list1[i] !== list2[i])
            return false;
    }
    return true;
}
function pxToNumber(px) {
    var result = 0;
    if (px != null && px != '') {
        try {
            var indexOfPx = px.indexOf('px');
            if (indexOfPx > -1)
                result = parseInt(px.substr(0, indexOfPx));
        }
        catch (e) { }
    }
    return result;
}
function debounce(func, wait) {
    var timeout;
    return function (...args) {
        var that = this;
        clearTimeout(timeout);
        timeout = setTimeout(() => {
            clearTimeout(timeout);
            timeout = null;
            func.apply(that, args);
        }, wait);
    };
}
function asyncDebounce(func, action) {
    var actualPromise;
    return (...args) => {
        var that = this;
        var promise = func.call(that, ...args);
        actualPromise = promise;
        promise.done(function (...actionArgs) {
            if (promise === actualPromise) {
                action.apply(that, actionArgs);
            }
        });
    };
}
function containsInIndex(array, value, index, compare) {
    return index >= 0 && findIndex(array, cur => compare(value, cur)) === index;
}
function distinct(array, compare) {
    if (compare)
        return array.filter((value, index, arr) => containsInIndex(arr, value, index, compare));
    else
        return array.filter((value, index, arr) => arr.indexOf(value) === index);
}
function intersect(array1, array2, compare) {
    if (compare)
        return array1.filter((value) => findIndex(array2, cur => compare(value, cur)) !== -1);
    else
        return array1.filter((value) => array2.indexOf(value) !== -1);
}
function union(array1, array2, compare) {
    return distinct(array1.concat(array2));
}
function minus(array1, array2, compare) {
    if (compare)
        return array1.filter((value) => findIndex(array2, cur => compare(value, cur)) === -1);
    else
        return array1.filter((value) => array2.indexOf(value) === -1);
}
function groupByProperty(array, property) {
    return groupBy(array, item => item[property]);
}
function groupBy(array, getKey) {
    return array.reduce((result, item) => {
        const key = getKey(item);
        const group = result.filter(gr => gr && gr.length > 0 && getKey(gr[0]) === key)[0];
        if (!group) {
            result.push([item]);
        }
        else {
            group.push(item);
        }
        return result;
    }, []);
}
function mapMany(array, callbackfn) {
    return array.map(callbackfn).reduce((a, b) => a.concat(b), []);
}
function deepStrictEquals(x, y) {
    return strictEquals(x, y, (obj1, obj2) => {
        if (Array.isArray(obj1) || Array.isArray(obj2))
            throw new Error('Arrays comparison is not supported.');
        switch (typeof (obj1)) {
            case 'object':
                for (var p1 in obj1) {
                    if (obj1.hasOwnProperty(p1) !== obj2.hasOwnProperty(p1))
                        return false;
                    if (!deepStrictEquals(obj1[p1], obj2[p1]))
                        return false;
                }
                for (var p2 in obj2)
                    if (!obj1.hasOwnProperty(p2))
                        return false;
                break;
            case 'number':
            case 'boolean':
            case 'string':
            case 'bigint':
            case 'symbol':
                if (obj1 !== obj2)
                    return false;
                break;
            default:
                throw new Error('The object type ' + typeof (obj1) + ' is not supported in comparison.');
        }
        return true;
    });
}
function strictEquals(x, y, equalsCore) {
    if (x === y)
        return true;
    if (!type.isDefined(x) || !type.isDefined(y))
        return false;
    if (typeof (x) !== typeof (y))
        return false;
    return equalsCore(x, y);
}
class LocalStorageHelper {
    static _getLocalStorage() {
        try {
            if (window.localStorage)
                return window.localStorage;
        }
        catch (_) { }
        return undefined;
    }
    static getItem(key, defaultValue = null) {
        var localStorage = LocalStorageHelper._getLocalStorage();
        if (localStorage) {
            return localStorage.getItem(key);
        }
        return defaultValue;
    }
    static setItem(key, value) {
        var localStorage = LocalStorageHelper._getLocalStorage();
        if (localStorage) {
            return localStorage.setItem(key, value);
        }
    }
}
function findIndex(array, predicate) {
    for (let i = 0; i < array.length; i++) {
        if (predicate(array[i]))
            return i;
    }
    return -1;
}
function findLastIndex(array, predicate) {
    for (let i = array.length - 1; i >= 0; --i) {
        if (predicate(array[i]))
            return i;
    }
    return -1;
}
function renderImage(container, imageData) {
    let img = document.createElement('img');
    img.src = 'data:image/png;base64,' + imageData.value;
    container.appendChild(img);
}
class RedBlackTree {
    constructor(compare) {
        this._root = null;
        this._compare = null;
        this._compare = compare;
    }
    getOrAdd(key, getValue) {
        if (this._root == null) {
            let value = getValue();
            this._root = new RedBlackNode(null, key, value);
            this._root.isRed = false;
            return { added: true, value: value };
        }
        let last = this._root;
        while (true) {
            let relation = this._compare(key, last.key);
            if (relation === 0)
                return { added: false, value: last.value };
            if (relation < 0) {
                if (last.left == null) {
                    let value = getValue();
                    last.left = new RedBlackNode(last, key, value);
                    this._rebalance(last.left);
                    return { added: true, value: value };
                }
                else {
                    last = last.left;
                }
            }
            else {
                if (last.right == null) {
                    let value = getValue();
                    last.right = new RedBlackNode(last, key, value);
                    this._rebalance(last.right);
                    return { added: true, value: value };
                }
                else {
                    last = last.right;
                }
            }
        }
    }
    _rebalance(node) {
        if (node.parent == null) {
            node.isRed = false;
            return;
        }
        while (node.parent != null && node.parent.isRed) {
            if (node.parent.parent.isRed) {
                node.parent.isRed = false;
                return;
            }
            if (node.parent == node.parent.parent.left) {
                let uncle = node.parent.parent.right;
                if (uncle != null && uncle.isRed) {
                    node.parent.isRed = false;
                    uncle.isRed = false;
                    node.parent.parent.isRed = true;
                    node = node.parent.parent;
                }
                else {
                    if (node == node.parent.right) {
                        node = node.parent;
                        this._rotateLeft(node);
                    }
                    node.parent.isRed = false;
                    node.parent.parent.isRed = true;
                    this._rotateRight(node.parent.parent);
                }
            }
            else {
                let uncle = node.parent.parent.left;
                if (uncle != null && uncle.isRed == true) {
                    node.parent.isRed = false;
                    uncle.isRed = false;
                    node.parent.parent.isRed = true;
                    node = node.parent.parent;
                }
                else {
                    if (node == node.parent.left) {
                        node = node.parent;
                        this._rotateRight(node);
                    }
                    node.parent.isRed = false;
                    node.parent.parent.isRed = true;
                    this._rotateLeft(node.parent.parent);
                }
            }
        }
        this._root.isRed = false;
    }
    _rotateLeft(node) {
        var right = node.right;
        node.right = right.left;
        if (right.left != null)
            right.left.parent = node;
        right.parent = node.parent;
        if (node.parent == null) {
            this._root = right;
        }
        else if (node == node.parent.left) {
            node.parent.left = right;
        }
        else {
            node.parent.right = right;
        }
        right.left = node;
        node.parent = right;
    }
    _rotateRight(node) {
        var left = node.left;
        node.left = left.right;
        if (left.right != null) {
            left.right.parent = node;
        }
        left.parent = node.parent;
        if (node.parent == null) {
            this._root = left;
        }
        else if (node == node.parent.left) {
            node.parent.left = left;
        }
        else {
            node.parent.right = left;
        }
        left.right = node;
        node.parent = left;
    }
}
class RedBlackNode {
    constructor(parent, key, value) {
        this.left = null;
        this.right = null;
        this.parent = parent;
        this.key = key;
        this.value = value;
        this.isRed = true;
    }
}
function unwrapSpecialNullValue(value) {
    return value === _special_values__WEBPACK_IMPORTED_MODULE_3__/* .specialValues */ .A.nullValueGuid ? null : value;
}


/***/ }),

/***/ 4838:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ PropertiesController)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _accordion_tab__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(110);


class PropertiesController {
    constructor() {
        this._disposables = [];
        this.mainModel = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.secondaryModel = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
        this.currentTab = knockout__WEBPACK_IMPORTED_MODULE_0__.observable('');
        this.accordionDataSource = knockout__WEBPACK_IMPORTED_MODULE_0__.observable([]);
        this.secondaryAccordionDataSource = knockout__WEBPACK_IMPORTED_MODULE_0__.observable([]);
        this.computator = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            let newTabs = [];
            let oldTabs = this.accordionDataSource;
            if (this.secondaryModel() && this.secondaryModel().data) {
                newTabs = newTabs.concat(knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(this.secondaryModel().data.propertiesTabs));
                oldTabs = this.secondaryAccordionDataSource;
            }
            else if (this.mainModel() && this.mainModel().data) {
                newTabs = newTabs.concat(knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(this.mainModel().data.propertiesTabs));
            }
            newTabs.forEach((tab, index) => { if (!tab.orderNo)
                tab.orderNo = 100 + index; });
            newTabs = newTabs
                .sort((a, b) => { return (a.orderNo) - (b.orderNo); });
            if ((newTabs.length === oldTabs().length)
                && newTabs.every(t => t instanceof _accordion_tab__WEBPACK_IMPORTED_MODULE_1__/* .AccordionTab */ .gV)
                && oldTabs().every(t => t instanceof _accordion_tab__WEBPACK_IMPORTED_MODULE_1__/* .AccordionTab */ .gV)) {
                var thesame = true;
                for (var i = 0; i < newTabs.length; i++) {
                    thesame = thesame && oldTabs()[i].name === newTabs[i].name;
                }
                if (thesame) {
                    for (var i = 0; i < newTabs.length; i++) {
                        oldTabs()[i].grabData(newTabs[i]);
                    }
                }
                else {
                    const tabsToDispose = oldTabs();
                    oldTabs(newTabs);
                    tabsToDispose.filter(tab => !newTabs.some(newTab => newTab === tab)).forEach(tab => tab && tab.dispose());
                }
            }
            else {
                const tabsToDispose = oldTabs();
                oldTabs(newTabs);
                tabsToDispose.filter(tab => !newTabs.some(newTab => newTab === tab)).forEach(tab => tab && tab.dispose());
            }
        });
        this.selectedIndex = knockout__WEBPACK_IMPORTED_MODULE_0__.computed({
            read: () => {
                var newTabs = this.accordionDataSource();
                var theSameTab = newTabs.filter(tab => (tab.category === this.currentTab()) && tab.visible())[0];
                if (!theSameTab) {
                    theSameTab = newTabs.filter(tab => !tab.headerTemplate && tab.visible())[0];
                    theSameTab = theSameTab || newTabs[0];
                }
                return newTabs.indexOf(theSameTab);
            },
            write: (index) => {
                var newSelectedItem = this.accordionDataSource()[index];
                if (!!newSelectedItem) {
                    this.currentTab(newSelectedItem.category);
                }
                this.secondaryModel(undefined);
            }
        }).extend({ notify: 'always', deferred: true });
        this.secondarySelectedIndex = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(0);
        this.processDataItemClick = (data) => {
            var model = data.item;
            if (!this.mainModel() || !this.mainModel().data || knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(this.mainModel().data.model) !== model) {
                data.click(model);
            }
            else {
                this.mainModel(null);
            }
        };
        this._disposables.push(this.mainModel.subscribe(() => this.secondaryModel(null), this, 'beforeChange'));
        this._disposables.push(this.mainModel.subscribe(() => {
            var newValue = this.mainModel.peek();
            if (newValue && newValue.data && newValue.containingCollection) {
                this._disposables.push(newValue.containingCollection.subscribe(changes => {
                    changes.forEach(arrayChange => {
                        var change = arrayChange;
                        if (change.status === 'deleted'
                            && this.mainModel()
                            && knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(this.mainModel().data.model) === change.value) {
                            this.mainModel(null);
                        }
                    });
                }, null, 'arrayChange'));
            }
            this.secondaryModel(null);
        }));
        this._disposables.push(this.secondaryModel.subscribe(() => this.secondarySelectedIndex(0), this, 'beforeChange'));
        this._disposables.push(this.secondaryModel.subscribe(() => {
            var newValue = this.secondaryModel.peek();
            if (newValue && newValue.data && newValue.containingCollection) {
                this._disposables.push(newValue.containingCollection.subscribe(changes => {
                    changes.forEach(arrayChange => {
                        var change = arrayChange;
                        if (change.status === 'deleted'
                            && this.secondaryModel()
                            && knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(this.secondaryModel().data.model) === change.value) {
                            this.secondaryModel(null);
                        }
                    });
                }, null, 'arrayChange'));
            }
        }));
        this._disposables.push(this.computator);
    }
    dispose() {
        this.accordionDataSource().forEach(tab => tab && tab.dispose());
        this._disposables.forEach((d) => {
            d.dispose();
        });
        this.selectedIndex.dispose();
    }
}


/***/ }),

/***/ 4840:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ FormatConditionStyleBase),
/* harmony export */   e: () => (/* binding */ currentStyleSettingsInfo)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6744);
/* harmony import */ var _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1040);
/* harmony import */ var _format_condition_base__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(860);





let currentStyleSettingsInfo = (styleSettingsType) => {
    return !styleSettingsType ? undefined : {
        ..._metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__/* .styleSettings */ .v_,
        modelName: styleSettingsType(),
        type: _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypesMap */ .q[styleSettingsType()]
    };
};
class FormatConditionStyleBase extends _format_condition_base__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionBase */ .S {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.styleSettings = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._styleSettingsType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._styleSettingsType(_style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypes */ .e.filter(mapItem => !!modelJson && modelJson[mapItem])[0] || this._getDefaultStyleSettingsType());
        let styleSettingsModelName = this._getStyleSettingsInfo().modelName;
        let styleSettingsJson = (modelJson || {})[styleSettingsModelName];
        this.styleSettings(new _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypesMap */ .q[this._styleSettingsType()](styleSettingsJson));
        delete this['_model'][styleSettingsModelName];
        this.addDisposable(this.styleSettings.subscribe(styleSettings => {
            this._styleSettingsType(_style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypes */ .e.filter(mapItem => styleSettings instanceof _style_settings_style_settings_utils__WEBPACK_IMPORTED_MODULE_3__/* .styleSettingsTypesMap */ .q[mapItem])[0]);
        }));
    }
    getInfo() {
        let styleSettingsInfo = this._getStyleSettingsInfo();
        return this._getInfoButStyleSettings().concat(!styleSettingsInfo ? [] : [styleSettingsInfo]);
    }
    _getStyleSettingsInfo() {
        return currentStyleSettingsInfo(this._styleSettingsType);
    }
    _getDefaultStyleSettingsType() {
        return 'AppearanceSettings';
    }
    getDefaultStyleSettingsType() {
        return this._getDefaultStyleSettingsType();
    }
    isValid() {
        return super.isValid();
    }
    init() {
        if (this.styleSettings()) {
            this.styleSettings().init();
        }
        this.isEmpty(false);
    }
}


/***/ }),

/***/ 4866:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ FormatConditionDateOccurring)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4840);
/* harmony import */ var _metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3661);



class FormatConditionDateOccurring extends _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .FormatConditionStyleBase */ .F {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => null;
        this.setSpecificType = (type) => { };
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionDateOccurringSerializationsInfo */ .Kh;
    }
}


/***/ }),

/***/ 4904:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A1: () => (/* binding */ argumentPropertyName),
/* harmony export */   D5: () => (/* binding */ fromDateToString),
/* harmony export */   Dn: () => (/* binding */ valuesPropertyName),
/* harmony export */   Fp: () => (/* binding */ dataMember),
/* harmony export */   G3: () => (/* binding */ columnsPropertyName),
/* harmony export */   HI: () => (/* binding */ targetValuePropertyName),
/* harmony export */   JY: () => (/* binding */ sparklineArgumentPropertyName),
/* harmony export */   N5: () => (/* binding */ weightPropertyName),
/* harmony export */   OY: () => (/* binding */ integerValidationRule),
/* harmony export */   OZ: () => (/* binding */ url),
/* harmony export */   Sw: () => (/* binding */ PropertyCategory),
/* harmony export */   TQ: () => (/* binding */ componentName),
/* harmony export */   UQ: () => (/* binding */ actualValuePropertyName),
/* harmony export */   UU: () => (/* binding */ name),
/* harmony export */   Ui: () => (/* binding */ colorPropertyName),
/* harmony export */   Uo: () => (/* binding */ BindingSectionTitles),
/* harmony export */   Vf: () => (/* binding */ contentLineCount),
/* harmony export */   YG: () => (/* binding */ itemType),
/* harmony export */   _Q: () => (/* binding */ nullableFloatToModel),
/* harmony export */   a1: () => (/* binding */ floatFromModel),
/* harmony export */   fl: () => (/* binding */ fromStringToDate),
/* harmony export */   li: () => (/* binding */ NotSupportedProperty),
/* harmony export */   oM: () => (/* binding */ nameTag),
/* harmony export */   pb: () => (/* binding */ filter),
/* harmony export */   q6: () => (/* binding */ parseBool),
/* harmony export */   qf: () => (/* binding */ rowsPropertyName),
/* harmony export */   sl: () => (/* binding */ valuePropertyName),
/* harmony export */   xN: () => (/* binding */ name_ViewModel),
/* harmony export */   xe: () => (/* binding */ contentArrangementMode),
/* harmony export */   zv: () => (/* binding */ argumentsPropertyName)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2037);



let NotSupportedProperty = 'NotSupportedProperty';
function testCast() {
    var a = { propertyName: '123' };
    var b = a;
    return b;
}
var PropertyCategory;
(function (PropertyCategory) {
    PropertyCategory[PropertyCategory["ClientState"] = 0] = "ClientState";
    PropertyCategory[PropertyCategory["Data"] = 1] = "Data";
    PropertyCategory[PropertyCategory["Interactivity"] = 2] = "Interactivity";
    PropertyCategory[PropertyCategory["ViewModel"] = 3] = "ViewModel";
    PropertyCategory[PropertyCategory["Map"] = 4] = "Map";
    PropertyCategory[PropertyCategory["Initialize"] = 5] = "Initialize";
    PropertyCategory[PropertyCategory["Coloring"] = 6] = "Coloring";
    PropertyCategory[PropertyCategory["NoUpdate"] = 7] = "NoUpdate";
    PropertyCategory[PropertyCategory["NoUpdateByObservableValue"] = 8] = "NoUpdateByObservableValue";
})(PropertyCategory || (PropertyCategory = {}));
function parseBool(value) {
    return (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.parseBool)(value);
}
function floatFromModel(value) {
    return knockout__WEBPACK_IMPORTED_MODULE_1__.observable(parseFloat(value));
}
function fromStringToDate(val) {
    return knockout__WEBPACK_IMPORTED_MODULE_1__.observable((0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_2__/* .toUtcDate */ .ku)(val));
}
function fromDateToString(date) {
    return (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_2__/* .fromUtcDateToString */ .zd)(date);
}
function nullableFloatToModel(value) {
    if (!isNaN(value))
        return JSON.stringify(value);
    return {};
}
let integerValidationRule = {
    type: 'custom',
    validationCallback: (e) => Math.abs(Math.round(e.value) - e.value) === 0 || isNaN(e.value)
};
let itemType = { propertyName: 'itemType', modelName: '@ItemType', defaultVal: '' };
let componentName = { propertyName: 'componentName', modelName: '@ComponentName', displayName: 'DashboardWebStringId.Dashboard.ComponentName', simpleFormAdapterItem: 'textBoxEditor' };
let url = { propertyName: 'url', modelName: '@RequestUrl' };
let name = { propertyName: 'name', modelName: '@Name', displayName: 'DashboardWebStringId.Options.Caption', simpleFormAdapterItem: 'textBoxEditor' };
let name_ViewModel = { propertyName: 'name', modelName: '@Name', displayName: 'DashboardWebStringId.Options.Caption', simpleFormAdapterItem: 'textBoxEditor', category: PropertyCategory.ViewModel };
let nameTag = { propertyName: 'name', modelName: 'Name' };
let dataMember = { propertyName: 'dataMember', modelName: '@DataMember', displayName: 'DashboardStringId.DataSourceDataMember', simpleFormAdapterItem: 'textBoxEditor' };
let filter = { propertyName: 'filter', modelName: 'Filter' };
let contentArrangementMode = {
    propertyName: 'contentArrangementMode', modelName: '@ContentArrangementMode', displayName: 'DashboardWebStringId.Cards.ArrangementMode', defaultVal: 'Auto', simpleFormAdapterItem: 'listEditor', values: {
        'Auto': 'DashboardWebStringId.Cards.ArrangementMode.Auto',
        'FixedRowCount': 'DashboardWebStringId.Cards.ArrangementMode.FixedRows',
        'FixedColumnCount': 'DashboardWebStringId.Cards.ArrangementMode.FixedColumns'
    }
};
let contentLineCount = {
    propertyName: 'contentLineCount',
    modelName: '@ContentLineCount',
    displayName: 'DashboardWebStringId.Cards.LineCount',
    defaultVal: 3,
    simpleFormAdapterItem: 'numberBoxEditor',
    from: floatFromModel,
    editorOptions: { min: 1 },
    validationRules: [integerValidationRule]
};
let BindingSectionTitles = {
    Arguments: 'DashboardStringId.DescriptionArguments',
    SingleArgument: 'DashboardWebStringId.Binding.Argument',
    SeriesDimension: 'DashboardStringId.DescriptionSeries'
};
let columnsPropertyName = '__columns';
let rowsPropertyName = '__rows';
let argumentsPropertyName = '__arguments';
let valuesPropertyName = '__values';
let argumentPropertyName = '__argument';
let valuePropertyName = '__value';
let actualValuePropertyName = '__actualValue';
let targetValuePropertyName = '__targetValue';
let sparklineArgumentPropertyName = '__sparklineArgument';
let weightPropertyName = '__weight';
let colorPropertyName = '__color';


/***/ }),

/***/ 4907:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ ListBoxItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _filter_element_item_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8090);
/* harmony import */ var _metadata_list_box_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5746);




class ListBoxItem extends _filter_element_item_base__WEBPACK_IMPORTED_MODULE_2__/* .FilterElementItemBase */ .Z {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
    }
    _getInfoCore() {
        return _metadata_list_box_item__WEBPACK_IMPORTED_MODULE_3__/* .listBoxDashboardItemSerializationsInfo */ .E;
    }
    _getDefaultItemType() {
        return 'ListBox';
    }
    _allowAllValue() { return this._isMultiselectable() || this.showAllValue(); }
    _isMultiselectable() { return this.listBoxType() === 'Checked'; }
}
_serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .itemTypesMap */ .Jh['ListBox'] = { type: ListBoxItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameListBoxItem', index: 330 };


/***/ }),

/***/ 4919:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dq: () => (/* binding */ barCurrentStyleSettings),
/* harmony export */   hE: () => (/* binding */ barCurrentStyleSettingsType),
/* harmony export */   vI: () => (/* binding */ barNegativeStyleSettings),
/* harmony export */   x0: () => (/* binding */ formatConditionBarSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6744);
/* harmony import */ var _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2531);
/* harmony import */ var _format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9223);



let barNegativeStyleSettings = { propertyName: 'negativeStyleSettings', modelName: 'NegativeStyleSettings', displayName: 'DashboardStringId.FormatRuleNegativeStyle' };
let barCurrentStyleSettingsType = {
    propertyName: 'currentStyleSettingsType', displayName: 'DashboardWebStringId.ConditionalFormatting.StyleSettingsType', defaultVal: 'Positive', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Positive': 'DashboardWebStringId.ConditionalFormatting.Positive',
        'Negative': 'DashboardWebStringId.ConditionalFormatting.Negative'
    }
};
let barCurrentStyleSettings = { propertyName: 'currentStyleSettings', type: _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__/* .BarStyleSettings */ .S };
let formatConditionBarSerializationsInfo = _format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionMinMaxBaseSerializationsInfo */ .Hf.concat([barNegativeStyleSettings, _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_0__/* .barOptions */ .oD]);


/***/ }),

/***/ 4950:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ PointLabelContentType),
/* harmony export */   TR: () => (/* binding */ parsePointLabelContentType),
/* harmony export */   fA: () => (/* binding */ FilterDateType),
/* harmony export */   kW: () => (/* binding */ getPointLabelContentTypeValues),
/* harmony export */   mh: () => (/* binding */ PointLabelContentTypeDictionary),
/* harmony export */   uB: () => (/* binding */ serializePointLabelContentType)
/* harmony export */ });
/* harmony import */ var _data_common__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7739);

var PointLabelContentType;
(function (PointLabelContentType) {
    PointLabelContentType[PointLabelContentType["None"] = 0] = "None";
    PointLabelContentType[PointLabelContentType["Argument"] = 1] = "Argument";
    PointLabelContentType[PointLabelContentType["SeriesName"] = 2] = "SeriesName";
    PointLabelContentType[PointLabelContentType["Value"] = 4] = "Value";
    PointLabelContentType[PointLabelContentType["Percent"] = 8] = "Percent";
})(PointLabelContentType || (PointLabelContentType = {}));
let parsePointLabelContentType = (typeModel) => {
    return (0,_data_common__WEBPACK_IMPORTED_MODULE_0__/* .parseFlagsEnumType */ .iF)(typeModel, PointLabelContentType.None, PointLabelContentTypeDictionary);
};
let serializePointLabelContentType = (val) => {
    return (0,_data_common__WEBPACK_IMPORTED_MODULE_0__/* .serializeFlagsEnumType */ .dU)(val, 'None', PointLabelContentTypeDictionary);
};
let getPointLabelContentTypeValues = (val) => {
    return (0,_data_common__WEBPACK_IMPORTED_MODULE_0__/* .getFlagsEnumTypeValues */ .pC)(val, PointLabelContentTypeDictionary, 'value');
};
let PointLabelContentTypeDictionary = {
    'Argument': PointLabelContentType.Argument,
    'SeriesName': PointLabelContentType.SeriesName,
    'Value': PointLabelContentType.Value,
    'Percent': PointLabelContentType.Percent
};
var FilterDateType;
(function (FilterDateType) {
    FilterDateType[FilterDateType["None"] = 0] = "None";
    FilterDateType[FilterDateType["BeyondThisYear"] = 2] = "BeyondThisYear";
    FilterDateType[FilterDateType["LaterThisYear"] = 4] = "LaterThisYear";
    FilterDateType[FilterDateType["LaterThisMonth"] = 8] = "LaterThisMonth";
    FilterDateType[FilterDateType["LaterThisWeek"] = 16] = "LaterThisWeek";
    FilterDateType[FilterDateType["NextWeek"] = 32] = "NextWeek";
    FilterDateType[FilterDateType["Tomorrow"] = 64] = "Tomorrow";
    FilterDateType[FilterDateType["Today"] = 128] = "Today";
    FilterDateType[FilterDateType["Yesterday"] = 256] = "Yesterday";
    FilterDateType[FilterDateType["EarlierThisWeek"] = 512] = "EarlierThisWeek";
    FilterDateType[FilterDateType["LastWeek"] = 1024] = "LastWeek";
    FilterDateType[FilterDateType["EarlierThisMonth"] = 2048] = "EarlierThisMonth";
    FilterDateType[FilterDateType["EarlierThisYear"] = 4096] = "EarlierThisYear";
    FilterDateType[FilterDateType["PriorThisYear"] = 8192] = "PriorThisYear";
    FilterDateType[FilterDateType["Empty"] = 16384] = "Empty";
    FilterDateType[FilterDateType["Beyond"] = 131072] = "Beyond";
    FilterDateType[FilterDateType["ThisWeek"] = 262144] = "ThisWeek";
    FilterDateType[FilterDateType["ThisMonth"] = 524288] = "ThisMonth";
    FilterDateType[FilterDateType["MonthAfter1"] = 1048576] = "MonthAfter1";
    FilterDateType[FilterDateType["MonthAfter2"] = 2097152] = "MonthAfter2";
    FilterDateType[FilterDateType["MonthAgo1"] = 4194304] = "MonthAgo1";
    FilterDateType[FilterDateType["MonthAgo2"] = 8388608] = "MonthAgo2";
    FilterDateType[FilterDateType["MonthAgo3"] = 16777216] = "MonthAgo3";
    FilterDateType[FilterDateType["MonthAgo4"] = 33554432] = "MonthAgo4";
    FilterDateType[FilterDateType["MonthAgo5"] = 67108864] = "MonthAgo5";
    FilterDateType[FilterDateType["MonthAgo6"] = 134217728] = "MonthAgo6";
    FilterDateType[FilterDateType["Earlier"] = 268435456] = "Earlier";
})(FilterDateType || (FilterDateType = {}));


/***/ }),

/***/ 4999:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ ALL_ELEMENT),
/* harmony export */   O: () => (/* binding */ localizer)
/* harmony export */ });
/* harmony import */ var _localization_default__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9167);
/* harmony import */ var _special_values__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2383);


let ALL_ELEMENT = {
    value: { all: true },
    key: -1,
    get text() {
        return (0,_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.FilterElementShowAllItem') || '(All)';
    },
    get html() {
        return this.text;
    },
    isAll: true
};
class localizer {
    static getString(key) {
        return (0,_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)(key);
    }
    static getPredefinedString(value) {
        switch (value) {
            case null:
            case _special_values__WEBPACK_IMPORTED_MODULE_1__/* .specialValues */ .A.nullValueGuid:
            case _special_values__WEBPACK_IMPORTED_MODULE_1__/* .specialValues */ .A.olapNullValueGuid:
                return (0,_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.DashboardNullValue');
            case _special_values__WEBPACK_IMPORTED_MODULE_1__/* .specialValues */ .A.othersValueGuid:
                return (0,_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.TopNOthersValue');
            case _special_values__WEBPACK_IMPORTED_MODULE_1__/* .specialValues */ .A.errorValueGuid:
                return (0,_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.DashboardErrorValue');
            default:
                return undefined;
        }
    }
}


/***/ }),

/***/ 5015:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   x: () => (/* binding */ CustomShapefileData)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6172);



class CustomShapefileData extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.shapeData.subscribe(newData => !newData && this.attributeData(_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_2__/* .attributeData */ .pr.defaultVal)));
    }
    getInfo() {
        return _metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_2__/* .customShapefileDataSerializationsInfo */ ._o;
    }
}


/***/ }),

/***/ 5020:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ iconSettingsSerializationsInfo),
/* harmony export */   _: () => (/* binding */ iconType)
/* harmony export */ });
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3024);

let iconType = {
    propertyName: 'iconType', modelName: '@IconType', displayName: 'DashboardWebStringId.ConditionalFormatting.IconType', defaultVal: 'None', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'None': 'DashboardWebStringId.ConditionalFormatting.IconType.None',
        'DirectionalGreenArrowUp': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp',
        'DirectionalYellowUpInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow',
        'DirectionalYellowSideArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow',
        'DirectionalYellowDownInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow',
        'DirectionalRedDownArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow',
        'DirectionalGrayArrowUp': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp',
        'DirectionalGrayUpInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow',
        'DirectionalGraySideArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow',
        'DirectionalGrayDownInclineArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow',
        'DirectionalGrayDownArrow': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow',
        'DirectionalYellowDash': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash',
        'DirectionalRedTriangleDown': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown',
        'DirectionalGreenTriangleUp': 'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp',
        'RatingFullGrayStar': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar',
        'RatingHalfGrayStar': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar',
        'RatingEmptyGrayStar': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar',
        'RatingFullGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle',
        'Rating1QuarterGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle',
        'Rating2QuartersGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle',
        'Rating3QuartersGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle',
        'RatingEmptyGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle',
        'Rating4Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars',
        'Rating3Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars',
        'Rating2Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars',
        'Rating1Bar': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar',
        'Rating0Bars': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars',
        'Rating4FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes',
        'Rating3FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes',
        'Rating2FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes',
        'Rating1FilledBox': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox',
        'Rating0FilledBoxes': 'DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes',
        'ShapeGreenTrafficLight': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight',
        'ShapeYellowTrafficLight': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight',
        'ShapeRedTrafficLight': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight',
        'ShapeGreenCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle',
        'ShapeYellowCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle',
        'ShapeRedCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle',
        'ShapeLightRedCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle',
        'ShapeLightGrayCircle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle',
        'ShapeYellowTriangle': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle',
        'ShapeRedDiamond': 'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond',
        'IndicatorGreenCheck': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck',
        'IndicatorYellowExclamation': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation',
        'IndicatorRedCross': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross',
        'IndicatorCircledGreenCheck': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck',
        'IndicatorCircledYellowExclamation': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation',
        'IndicatorCircledRedCross': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross',
        'IndicatorGreenFlag': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag',
        'IndicatorYellowFlag': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag',
        'IndicatorRedFlag': 'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag'
    }
};
let iconSettingsSerializationsInfo = _style_settings_base__WEBPACK_IMPORTED_MODULE_0__/* .styleSettingsBaseSerializationsInfo */ .i.concat([iconType]);


/***/ }),

/***/ 5046:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RH: () => (/* binding */ GridColumnTotal),
/* harmony export */   kk: () => (/* binding */ _totalTypeTemplate),
/* harmony export */   lZ: () => (/* binding */ _gridColumnTotalSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9167);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);



class GridColumnTotal extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .TypedSerializableModel */ .$t {
    constructor(modelJson, serializer) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _gridColumnTotalSerializationsInfo;
    }
    static getDisplayValue(totalType) {
        return this.getLocalization(totalType);
    }
    static getLocalization(totalType) {
        switch (totalType) {
            case 'Auto':
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.GridTotalAutoTemplate');
            case 'Min':
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.GridTotalTypeMin');
            case 'Max':
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.GridTotalTypeMax');
            case 'Avg':
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.GridTotalTypeAvg');
            case 'Sum':
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.GridTotalTypeSum');
            default:
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardStringId.GridTotalTypeCount');
        }
    }
    _getDefaultItemType() {
        return 'Total';
    }
}
let _totalTypeTemplate = {
    propertyName: 'totalType', modelName: '@Type', displayName: 'DashboardWebStringId.Grid.TotalType', defaultVal: 'Count', simpleFormAdapterItem: 'selectBoxEditor',
};
let _gridColumnTotalSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _totalTypeTemplate];


/***/ }),

/***/ 5060:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ ChartLegend)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_chart_legend__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1967);



class ChartLegend extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_chart_legend__WEBPACK_IMPORTED_MODULE_2__/* .chartLegendSerializationsInfo */ .Tg;
    }
}


/***/ }),

/***/ 5061:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ CardItemFormatRuleBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9651);



class CardItemFormatRuleBase extends _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .DashboardItemFormatRule */ .d {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.layoutItemApplyTo = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
            read: () => {
                return this.cardLayoutElement.elementTypeApplyTo();
            },
            write: (newLayoutElement) => {
                if (!(newLayoutElement === 'Dimension' || newLayoutElement === 'Text'))
                    this.cardLayoutElement.elementTypeApplyTo(newLayoutElement);
            }
        }));
    }
}


/***/ }),

/***/ 5068:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ gridItemFormatRuleSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2807);

let gridItemFormatRuleSerializationsInfo = _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_0__/* .cellsItemFormatRuleSerializationsInfo */ .pm.concat([]);


/***/ }),

/***/ 5069:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ itemData)
/* harmony export */ });
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6726);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4833);
/* harmony import */ var _internal_item_meta_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7749);
/* harmony import */ var _item_data_axis_names__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1133);
/* harmony import */ var _item_data_axis__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(475);
/* harmony import */ var _item_data_axis_point__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5720);
/* harmony import */ var _item_data_tuple__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(786);







class itemData {
    constructor(metaData, storage, rootItems) {
        this._metaData = metaData;
        this._storage = storage;
        this._rootItems = rootItems;
    }
    isEmpty() {
        return this._storage.isEmpty();
    }
    getCurrentFilterValues(dimensionIds, axisName, selectedValues) {
        var that = this, dimensionCount = dimensionIds.length;
        if (dimensionCount > 0) {
            var axis = this.getAxis(axisName), tuples = [];
            if (selectedValues) {
                for (let valueIndex = 0; valueIndex < selectedValues.length; valueIndex++) {
                    const point = selectedValues[valueIndex];
                    var value = point[0];
                    var axisPoint = axis.getPointsByDimension(dimensionIds[0]).filter((point) => {
                        return (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .checkValuesAreEqual */ .rY)(value, point.getUniqueValue());
                    })[0];
                    for (let i = 1; i < dimensionCount; i++) {
                        value = point[i];
                        axisPoint = axisPoint.getChildren().filter((point) => {
                            return (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .checkValuesAreEqual */ .rY)(value, point.getUniqueValue());
                        })[0];
                    }
                    tuples.push(new _item_data_tuple__WEBPACK_IMPORTED_MODULE_6__/* .itemDataTuple */ .e([axisPoint]));
                }
            }
            return tuples;
        }
        return null;
    }
    getCurrentDrillDownValues(dimensionIds, axisName) {
        let dimensionCount = dimensionIds.length;
        if (dimensionCount > 0) {
            var axis = this.getAxis(axisName);
            if (axis) {
                let axisPoints = axis.getPointsByDimension(dimensionIds[0]);
                if (axisPoints.length > 0) {
                    var parentPoint = axisPoints[0].getParent();
                    if (parentPoint.getParent() != null) {
                        return new _item_data_tuple__WEBPACK_IMPORTED_MODULE_6__/* .itemDataTuple */ .e([parentPoint]);
                    }
                    else {
                        return null;
                    }
                }
                else {
                    return null;
                }
            }
            else {
                return null;
            }
        }
        return null;
    }
    getAvailableTuples(dimensionIds, axisName) {
        var that = this, dimensionCount = dimensionIds.length;
        if (dimensionCount > 0) {
            var axis = this.getAxis(axisName);
            if (axis) {
                var tuples = [];
                axis.getPointsByDimension(dimensionIds[dimensionCount - 1]).forEach((axisPoint) => {
                    tuples.push(new _item_data_tuple__WEBPACK_IMPORTED_MODULE_6__/* .itemDataTuple */ .e([axisPoint]));
                });
                return tuples;
            }
        }
        return null;
    }
    getAllSelectionValues(dimensionIds) {
        var multiData = this, allAxisNames = multiData.getAxisNames(), axisNames = [], selectionList = [], fillAvailableValues = function (axes, row, inputSelection) {
            var firstAxis = multiData.getAxis(axes[0]), nextAxes = axes.slice(1, axes.length), axisPoints = firstAxis.getPoints() || [];
            axisPoints.forEach((axisPoint) => {
                var newRow = row.slice();
                axisPoint.getAxisPath().forEach((pathPoint) => {
                    if (dimensionIds.filter((id) => { return id === pathPoint.getDimension().id; }).length > 0) {
                        newRow.push(pathPoint.getUniqueValue());
                    }
                });
                if (axes.length > 1) {
                    fillAvailableValues(nextAxes, newRow, inputSelection);
                }
                else {
                    inputSelection.push(newRow);
                }
            });
        };
        if (dimensionIds && dimensionIds.length > 0) {
            dimensionIds.forEach((id) => {
                allAxisNames.forEach((axisName) => {
                    if (multiData.getAxis(axisName).getDimensions().filter((descr) => {
                        return descr.id === id;
                    }).length > 0
                        && axisNames.indexOf(axisName) === -1) {
                        axisNames.push(axisName);
                    }
                });
            });
            fillAvailableValues(axisNames, [], selectionList);
        }
        return selectionList;
    }
    getMeasuresByIds(measureIds) {
        var that = this, measures = [];
        measureIds.forEach((id) => {
            measures.push(that.getMeasureById(id));
        });
        return measures;
    }
    getAxisNames() {
        return this._metaData.getAxisNames();
    }
    getAxis(axisName) {
        if (axisName === undefined) {
            axisName = _item_data_axis_names__WEBPACK_IMPORTED_MODULE_3__/* .itemDataAxisNames */ .X.defaultAxis;
        }
        var dimensions = this.getDimensions(axisName), root = this._rootItems[axisName];
        return root ? new _item_data_axis__WEBPACK_IMPORTED_MODULE_4__/* .itemDataAxis */ .D(dimensions, root) : null;
    }
    getDimensions(axisName) {
        return this._metaData.getDimensions(axisName);
    }
    getColorMeasures() {
        return this._metaData.getColorMeasures();
    }
    getMeasures() {
        return this._metaData.getMeasures();
    }
    getDeltas() {
        return this._metaData.getDeltas();
    }
    getMeasureById(id) {
        return this._metaData.getMeasureById(id);
    }
    getDeltaById(id) {
        return this._metaData.getDeltaById(id);
    }
    getSlice(value) {
        return (value instanceof _item_data_tuple__WEBPACK_IMPORTED_MODULE_6__/* .itemDataTuple */ .e) ? this._getSliceByTuple(value) :
            (value instanceof _item_data_axis_point__WEBPACK_IMPORTED_MODULE_5__/* .itemDataAxisPoint */ .T) ? this._getSliceByAxisPoint(value) : null;
    }
    getMeasureFormat(measureId) {
        return this._metaData.getMeasureFormat(measureId);
    }
    getMeasureExpression(measureId) {
        return this._metaData.getMeasureExpression(measureId);
    }
    getMeasureCalculation(measureId) {
        return this._metaData.getMeasureCalculation(measureId);
    }
    getMeasureWindowDefinition(measureId) {
        return this._metaData.getMeasureWindowDefinition(measureId);
    }
    getDimensionFormat(dimensionId) {
        return this._metaData.getDimensionFormat(dimensionId);
    }
    getColorMeasureValue(colorMeasureId) {
        return this._getValue(colorMeasureId);
    }
    getConditionalFormattingMeasureValue(cfMeasureId) {
        return this._getValue(cfMeasureId);
    }
    getMeasureValue(measureId) {
        var that = this, format = that.getMeasureFormat(measureId);
        return that._getMeasureValueByKeys(that._getKeys(), measureId, format);
    }
    getPointsByDimensionId(dimensionId) {
        var points = [], root, axis;
        var that = this;
        let axes = that._metaData.getAxes();
        Object.keys(axes).forEach((axisName) => {
            let dimensions = axes[axisName];
            var foundDimensions = dimensions.filter((dimension) => {
                return dimension.id === dimensionId;
            });
            if (foundDimensions) {
                root = that._rootItems[axisName];
                axis = new _item_data_axis__WEBPACK_IMPORTED_MODULE_4__/* .itemDataAxis */ .D(dimensions, root);
                points = axis.getPointsByDimension(dimensionId);
                return false;
            }
        });
        return points;
    }
    _getKeys(points) {
        var that = this, rootItems = that._rootItems, keysList = [];
        Object.keys(rootItems).forEach((axisName) => {
            var userPoint = (points && points[axisName]), point = userPoint || rootItems[axisName];
            keysList.push(point.getKey());
        });
        return keysList;
    }
    _getValue(measureId) {
        var that = this;
        return that._getCellValue(that._getKeys(), measureId);
    }
    _getMeasureValueByKeys(keys, mId, format) {
        var that = this;
        return {
            getValue: function () {
                return that._getCellValue(keys, mId);
            },
            getDisplayText: function () {
                return that._getCellDisplayText(keys, mId, format);
            }
        };
    }
    _getDeltaValueByKeys(keys, deltaIds, formats) {
        var that = this, names = _internal_item_meta_data__WEBPACK_IMPORTED_MODULE_2__/* .deltaValueNames */ .qv, getValueItem = function (valueName) {
            return {
                getValue: function () {
                    return that._getCellValue(keys, deltaIds[valueName]);
                },
                getDisplayText: function () {
                    var format = formats[valueName];
                    if (format) {
                        format = {
                            NumericFormat: format
                        };
                    }
                    return that._getCellDisplayText(keys, deltaIds[valueName], format);
                }
            };
        };
        return {
            getActualValue: function () {
                return getValueItem(names.actualValue);
            },
            getTargetValue: function () {
                return getValueItem(names.targetValue);
            },
            getAbsoluteVariation: function () {
                return getValueItem(names.absoluteVariation);
            },
            getPercentVariation: function () {
                return getValueItem(names.percentVariation);
            },
            getPercentOfTarget: function () {
                return getValueItem(names.percentOfTarget);
            },
            getIsGood: function () {
                return getValueItem(names.isGood);
            },
            getIndicatorType: function () {
                return getValueItem(names.indicatorType);
            },
            getDisplayValue: function () {
                return getValueItem(names.mainValue);
            },
            getDisplaySubValue1: function () {
                return getValueItem(names.subValue1);
            },
            getDisplaySubValue2: function () {
                return getValueItem(names.subValue2);
            }
        };
    }
    _createPointsCache(axisPoints) {
        var cache = {};
        for (var i = 0; i < axisPoints.length; i++) {
            var areaName = axisPoints[i].getAxisName();
            cache[areaName] = axisPoints[i];
        }
        return cache;
    }
    getMeasureValueByAxisPoints(measureId, axisPoints) {
        var that = this, format = that.getMeasureFormat(measureId), pointsCache = that._createPointsCache(axisPoints);
        return that._getMeasureValueByKeys(that._getKeys(pointsCache), measureId, format);
    }
    getDeltaValue(deltaId) {
        var that = this, metaData = that._metaData, deltaIds = metaData.getDeltaValueIds(deltaId), formats = metaData.getDeltaFormats(deltaId);
        return that._getDeltaValueByKeys(that._getKeys(), deltaIds, formats);
    }
    getDeltaValueByAxisPoints(deltaId, axisPoints) {
        var that = this, metaData = this._metaData, deltaIds = metaData.getDeltaValueIds(deltaId), formats = metaData.getDeltaFormats(deltaId), pointsCache = this._createPointsCache(axisPoints);
        return this._getDeltaValueByKeys(that._getKeys(pointsCache), deltaIds, formats);
    }
    getDataMembers() {
        return this._metaData.getDataMembers();
    }
    createTuple(values) {
        var that = this, axisPoints = [];
        if (values[0] instanceof _item_data_axis_point__WEBPACK_IMPORTED_MODULE_5__/* .itemDataAxisPoint */ .T) {
            axisPoints = values;
        }
        else {
            values.forEach((axisValue) => {
                var axis = that.getAxis(axisValue.axisName), axisPoint = axis.getPointByUniqueValues(axisValue.value);
                axisPoints.push(axisPoint);
            });
        }
        return new _item_data_tuple__WEBPACK_IMPORTED_MODULE_6__/* .itemDataTuple */ .e(axisPoints);
    }
    _getCellValue(keys, valueId) {
        return this._storage.getCrossValue(keys, valueId);
    }
    _getCellDisplayText(keys, valueId, format) {
        return format ? (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .format */ .GP)(this._getCellValue(keys, valueId), format) : undefined;
    }
    _getSliceByAxisPoint(axisPoint) {
        var that = this, rootItems = that._rootItems, newRootItems = {};
        Object.keys(rootItems).forEach((name) => {
            newRootItems[name] = axisPoint.getAxisName() === name ? axisPoint : rootItems[name];
        });
        return new itemData(that._metaData, that._storage, newRootItems);
    }
    _getSliceByTuple(tuple) {
        var data = this;
        tuple._axisPoints.forEach((axisPoint) => {
            data = data._getSliceByAxisPoint(axisPoint);
        });
        return data;
    }
}


/***/ }),

/***/ 5097:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ ChartItemBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item_data_tuple__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(786);
/* harmony import */ var _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1133);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1923);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1041);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8588);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4904);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9692);
/* harmony import */ var _metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7604);
/* harmony import */ var _series_item__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(2400);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











class ChartItemBase extends _series_item__WEBPACK_IMPORTED_MODULE_9__/* .SeriesItem */ .$ {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.__arguments = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.arguments = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.__arguments((0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Arguments, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_3__/* .DataItemLink */ .Kz(this, item, serializer))());
        this._subscribeDataItemLinkArrays(_metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_8__/* .chartArgumentsMeta */ .S);
        (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__/* .subscribeAndPerform */ .l4)(this.__seriesDimensions, newValue => {
            _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DataDashboardItem */ .s._addColoringMeta(newValue);
        });
        (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_4__/* .subscribeAndPerform */ .l4)(this.__arguments, newValue => {
            _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DataDashboardItem */ .s._addColoringMeta(newValue);
        });
    }
    _getInfoCore() {
        return _metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_8__/* .chartItemBaseSerializationsInfo */ .W;
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__arguments);
        this.__arguments.removeAll();
    }
    _getInteractivityDimensionLinks() {
        var targetDimensions = this._getTargetDimensions();
        if (targetDimensions) {
            if (targetDimensions === 'Arguments') {
                return this.__arguments();
            }
            else if (targetDimensions === 'Points') {
                return this.__arguments().concat(this.__seriesDimensions());
            }
        }
        return super._getInteractivityDimensionLinks();
    }
    _getTargetDimensions() {
        return 'Arguments';
    }
    _getItemDataAxis() {
        if (this.interactivityOptions.targetDimensions() === 'Series') {
            return _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis;
        }
        else if (this.interactivityOptions.targetDimensions() === 'Arguments') {
            return _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis;
        }
        else if (this.interactivityOptions.targetDimensions() === 'Points') {
            return _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis;
        }
        else {
            throw Error('Unsupported interactivity type');
        }
    }
    _getCurrentFilterValues() {
        var that = this, data = that._getItemData(), argumentNames = that.arguments().map(dim => dim.uniqueName()), seriesNames = that.seriesDimensions().map(dim => dim.uniqueName()), selectedValues = that._getSelectedValuesByItemName();
        if (!data)
            return;
        if (this.interactivityOptions.targetDimensions() === 'Arguments') {
            return data && data.getCurrentFilterValues(argumentNames, _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis, selectedValues);
        }
        else if (this.interactivityOptions.targetDimensions() === 'Series') {
            return data.getCurrentFilterValues(seriesNames, _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis, selectedValues);
        }
        else if (this.interactivityOptions.targetDimensions() === 'Points') {
            var argumentPoints = data.getCurrentFilterValues(that.arguments().map(dim => dim.uniqueName()), _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis, selectedValues.map(val => [val[0]]));
            var seriesPoints = data.getCurrentFilterValues(that.seriesDimensions().map(dim => dim.uniqueName()), _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis, selectedValues.map(val => [val[1]]));
            var tuples = [];
            argumentPoints.forEach(function (arg, index) {
                tuples.push(new _data_item_data_item_data_tuple__WEBPACK_IMPORTED_MODULE_10__/* .itemDataTuple */ .e([arg.getAxisPoint(_data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartArgumentAxis), seriesPoints[index].getAxisPoint(_data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_2__/* .itemDataAxisNames */ .X.chartSeriesAxis)]));
            });
            return tuples;
        }
    }
    _itemInteractivityByColumnAxis() {
        return this.interactivityOptions.targetDimensions() === 'Arguments';
    }
    _getInteractivityAxisDimensionCount() {
        return this._itemInteractivityByColumnAxis() ? this.arguments().length : this.seriesDimensions().length;
    }
    _getCanColorByMeasures() { return true; }
    _getCanColorByDimensions() { return true; }
    _getColorizableDataItemsInfo() {
        return [{
                items: this.__arguments(),
                prefixId: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_6__/* .BindingSectionTitles */ .Uo.Arguments
            }, {
                items: this.__seriesDimensions(),
                prefixId: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_6__/* .BindingSectionTitles */ .Uo.SeriesDimension
            }];
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_5__/* .collectionItemType */ .s)('Argument')
], ChartItemBase.prototype, "__arguments", void 0);


/***/ }),

/***/ 5103:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ MapViewport)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7899);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_map_viewport__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9028);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




class MapViewport extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_map_viewport__WEBPACK_IMPORTED_MODULE_2__/* .mapViewportSerializationsInfo */ .gk;
    }
    _set(viewport, paddings = true) {
        if (!!viewport) {
            this.topLatitude(viewport.TopLatitude);
            this.bottomLatitude(viewport.BottomLatitude);
            this.leftLongitude(viewport.LeftLongitude);
            this.rightLongitude(viewport.RightLongitude);
            this.centerPointLatitude(viewport.CenterPointLatitude);
            this.centerPointLongitude(viewport.CenterPointLongitude);
            this.createViewerPaddings(paddings);
        }
    }
    _createViewModel() {
        return {
            TopLatitude: this.topLatitude(),
            BottomLatitude: this.bottomLatitude(),
            CenterPointLatitude: this.centerPointLatitude(),
            CenterPointLongitude: this.centerPointLongitude(),
            LeftLongitude: this.leftLongitude(),
            RightLongitude: this.rightLongitude(),
            CreateViewerPaddings: this.createViewerPaddings()
        };
    }
}
__decorate([
    _internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_3__/* .wrapWithUndoRedo */ .JZ
], MapViewport.prototype, "_set", null);


/***/ }),

/***/ 5108:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ GaugeWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_gauge_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7095);



class GaugeWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_gauge_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .gaugeWindowDefinitionSerializationsInfo */ .A;
    }
    equals(def) {
        return def instanceof GaugeWindowDefinition;
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['GaugeWindowDefinition'] = GaugeWindowDefinition;


/***/ }),

/***/ 5116:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AY: () => (/* binding */ differenceType),
/* harmony export */   aC: () => (/* binding */ target),
/* harmony export */   aN: () => (/* binding */ differenceCalculationSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8675);

let target = {
    propertyName: 'target', modelName: '@Target', displayName: 'DashboardStringId.TargetValueCaption', defaultVal: 'Previous', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Previous': 'DashboardStringId.DifferenceCalculationTargetPrevious',
        'Next': 'DashboardStringId.DifferenceCalculationTargetNext',
        'First': 'DashboardStringId.DifferenceCalculationTargetFirst',
        'Last': 'DashboardStringId.DifferenceCalculationTargetLast'
    }
};
let differenceType = {
    propertyName: 'differenceType', modelName: '@DifferenceType', displayName: 'DashboardWebStringId.Calculations.DifferenceType', defaultVal: 'Absolute', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Absolute': 'DashboardStringId.DeltaThresholdTypeAbsolute',
        'Percentage': 'DashboardStringId.DeltaThresholdTypePercent'
    }
};
let differenceCalculationSerializationsInfo = _measure_calculation__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationSerializationsInfo */ .d.concat([target, differenceType]);


/***/ }),

/***/ 5143:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ FlatItemProviderWrapper)
/* harmony export */ });
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);

class FlatItemProviderWrapper {
    constructor(itemsProvider) {
        this.itemsProvider = itemsProvider;
    }
    getItems(path) {
        var def = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .createJQueryDeferred */ .KO)();
        this.itemsProvider.getItems(path).done(items => {
            if (!path.fullPath) {
                def.resolve(items);
            }
            else {
                var leafs = items.filter(i => !i.isList);
                var nodePromises = items
                    .filter(i => i.isList)
                    .map(node => {
                    var newPath = {
                        dataSource: path.dataSource,
                        fullPath: path.fullPath + '.' + node.name,
                        path: path.path + '.' + node.name,
                        id: path.id,
                        pathParts: path.pathParts && path.pathParts.concat(node.name) || undefined,
                        ref: path.ref
                    };
                    return this.itemsProvider.getItems(newPath);
                });
                if (nodePromises.length) {
                    (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .jqueryWhenArray */ .wj)(nodePromises).done((...itemArray) => {
                        var itemFlatList = itemArray.reduce((acc, items) => acc.concat(items), []);
                        def.resolve(leafs.concat(itemFlatList));
                    });
                }
                else {
                    def.resolve(leafs);
                }
            }
        });
        return def.promise();
    }
}


/***/ }),

/***/ 5200:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  k: () => (/* binding */ ChartIndicator)
});

// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
// EXTERNAL MODULE: ./dist/model/internal/_chart-utils.js
var _chart_utils = __webpack_require__(2253);
;// ./dist/model/internal/_default-palette.js
class DefaultDashboardPalette {
    static getColor(index) {
        return this.colors[index % this.colors.length];
    }
    static getNextColor(currentColorIndex, existedColors) {
        let index = currentColorIndex;
        let nextColor = this.getColor(index++);
        while (existedColors.some(color => color === nextColor)) {
            if (index % this.colors.length === currentColorIndex) {
                index = this.colors.indexOf(existedColors[existedColors.length - 1]);
                return this.getColor(index + 1);
            }
            nextColor = this.getColor(index++);
        }
        return nextColor;
    }
}
DefaultDashboardPalette.colors = [
    'rgba(95,139,149,1)',
    'rgba(186,77,81,1)',
    'rgba(175,138,83,1)',
    'rgba(149,95,113,1)',
    'rgba(133,150,102,1)',
    'rgba(126,104,140,1)',
    'rgba(95,109,149,1)',
    'rgba(172,86,156,1)',
    'rgba(166,175,83,1)',
    'rgba(149,113,95,1)',
    'rgba(93,158,129,1)',
    'rgba(166,119,155,1)',
    'rgba(74,161,170,1)',
    'rgba(113,129,197,1)',
    'rgba(196,133,61,1)',
    'rgba(187,194,137,1)',
    'rgba(157,83,97,1)',
    'rgba(83,110,190,1)',
    'rgba(92,87,126,1)',
    'rgba(227,166,83,1)'
];

// EXTERNAL MODULE: ./dist/model/internal/_helper-classes.js
var _helper_classes = __webpack_require__(5792);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/items/chart/metadata/_chart-indicators.js
var _chart_indicators = __webpack_require__(7576);
;// ./dist/model/items/chart/chart-indicator.js







class ChartIndicator extends serializable_model/* SerializableModel */.Lm {
    constructor(model, serializer, info) {
        super(model, serializer, info);
        this._typeName = external_ko_.observable(this.customTypeName() || this.itemType());
    }
    static _createNew(chartItem, dataSourceBrowser) {
        const defaultName = (0,_default/* getLocalizationById */.Mu)('DashboardStringId.DefaultNameChartIndicator');
        const name = _helper_classes/* NameGenerator */.$A.generateName(defaultName, chartItem.indicators(), 'name', 1);
        const newModel = new ChartIndicator({
            '@Name': name,
            '@Visible': true,
            '@ShowInLegend': true,
            '@ItemType': 'TrendLine'
        });
        const currentColorIndex = chartItem.panes().reduce((accumulator, currentPane) => {
            return accumulator + currentPane.series().length;
        }, 0);
        const existedColors = chartItem.indicators().map(x => x.color());
        newModel.color(DefaultDashboardPalette.getNextColor(currentColorIndex, existedColors));
        const chartSeries = (0,_chart_utils/* getChartApplyToDataItems */.Ye)(chartItem, dataSourceBrowser, _chart_utils/* getChartSeries */.cJ)()[0];
        if (chartSeries) {
            newModel.value(external_ko_.unwrap(chartSeries.uniqueName));
            const displayName = (0,_chart_utils/* getIndicatorDisplayNameFromSeries */.Ws)(newModel, chartItem, dataSourceBrowser);
            newModel.legendText(displayName);
        }
        return newModel;
    }
    getInfo() {
        return _chart_indicators/* chartIndicatorSerializationInfo */.sT;
    }
    _updateItemType() {
        let typeName = this._typeName();
        if (typeName in _chart_indicators/* indicatorTypeMap */.AD) {
            this.itemType(typeName);
        }
        else {
            this.customTypeName(typeName);
            this.itemType('CustomIndicator');
        }
    }
}


/***/ }),

/***/ 5225:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ StaticListLookUpSettings),
/* harmony export */   d: () => (/* binding */ _staticListLookUpSettingsSerializationInfo)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _look_up_value__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5690);
/* harmony import */ var _metadata_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4780);
/* harmony import */ var _parameters_helper__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2809);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







class StaticListLookUpSettings extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this._valueType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.values = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Values, (item) => new _look_up_value__WEBPACK_IMPORTED_MODULE_4__/* .LookUpValue */ .Q(item, serializer));
    }
    getInfo() {
        return _metadata_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_5__/* .staticListLookUpSettingsSerializationsInfo */ .tg;
    }
    _updateValuesType(newType) {
        this._valueType(newType);
        if (this.values() && this.values().length > 0) {
            this.values().forEach((lookUpValue) => {
                lookUpValue.valueType(newType);
                lookUpValue.value(_parameters_helper__WEBPACK_IMPORTED_MODULE_6__/* .ParameterHelper */ ._.convertSingleValue(lookUpValue.value(), newType));
            });
        }
    }
}
StaticListLookUpSettings.modelName = 'StaticListLookUpSettings';
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_2__/* .collectionItemType */ .s)('Value')
], StaticListLookUpSettings.prototype, "values", void 0);
let _staticListLookUpSettingsSerializationInfo = { propertyName: 'staticListLookUpSettings', displayName: 'DashboardWebStringId.Parameters.StaticListLookUpSettings', type: StaticListLookUpSettings, defaultVal: null, alwaysSerialize: true };


/***/ }),

/***/ 5281:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $O: () => (/* binding */ topBottom),
/* harmony export */   Tm: () => (/* binding */ rank),
/* harmony export */   iN: () => (/* binding */ _actualRankType),
/* harmony export */   oB: () => (/* binding */ formatConditionTopBottomSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8245);


let rank = { propertyName: 'rank', modelName: '@Rank', displayName: 'DashboardStringId.SummaryTypeCount', defaultVal: 5, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, editorOptions: { min: 1 }, validationRules: [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .integerValidationRule */ .OY] };
let rankType = { propertyName: 'rankType', modelName: '@RankType', defaultVal: 'Automatic' };
let _actualRankType = { propertyName: '_actualRankType', displayName: 'DashboardWebStringId.Calculations.RankType', simpleFormAdapterItem: 'buttonGroupEditor',
    values: {
        'Number': 'DashboardStringId.FormatConditionNumberValueType',
        'Percent': 'DashboardStringId.FormatConditionPercentValueType'
    }
};
let topBottom = {
    propertyName: 'topBottom', modelName: '@TopBottomType', displayName: 'DashboardWebStringId.TopNMode', defaultVal: 'Top', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Top': 'DashboardStringId.CommandFormatRuleTopN',
        'Bottom': 'DashboardStringId.CommandFormatRuleBottomN'
    }
};
let formatConditionTopBottomSerializationsInfo = _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionStyleBaseSerializationsInfo */ .i.concat([rank, rankType, topBottom]);


/***/ }),

/***/ 5292:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RY: () => (/* binding */ extensionNameMap),
/* harmony export */   YS: () => (/* binding */ designerExtensions),
/* harmony export */   wf: () => (/* binding */ defaultExtensions)
/* harmony export */ });
var defaultExtensions = {};
var designerExtensions = {};
var extensionNameMap = {};


/***/ }),

/***/ 5354:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ MeasureCalculation),
/* harmony export */   c: () => (/* binding */ calculationsTypesMap)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_measure_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8675);



class MeasureCalculation extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    static _getWindowAggrFunction(summaryType) {
        switch (summaryType) {
            case 'Sum':
                return 'WindowSum';
            case 'Average':
                return 'WindowAvg';
            case 'Count':
                return 'WindowCount';
            case 'CountDistinct':
                return 'WindowCountDistinct';
            case 'Max':
                return 'WindowMax';
            case 'Median':
                return 'WindowMedian';
            case 'Mode':
                return 'WindowMode';
            case 'Min':
                return 'WindowMin';
            case 'StdDev':
                return 'WindowStdDev';
            case 'StdDevp':
                return 'WindowStdDevp';
            case 'Var':
                return 'WindowVar';
            case 'Varp':
                return 'WindowVarp';
            default:
                throw new Error('WindowAggrFunction: Unsupported SummaryType');
        }
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson || {}, serializer);
    }
    getInfo() {
        return _metadata_measure_calculation__WEBPACK_IMPORTED_MODULE_2__/* .measureCalculationSerializationsInfo */ .d;
    }
    _getAggrName(summaryType) {
        return MeasureCalculation._getWindowAggrFunction(summaryType);
    }
}
let calculationsTypesMap = {};


/***/ }),

/***/ 5355:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ content),
/* harmony export */   k: () => (/* binding */ scatterPointLabelOptionsSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2323);

let content = {
    propertyName: 'content', modelName: '@Content', displayName: 'DashboardWebStringId.Chart.Content', defaultVal: 'Argument', simpleFormAdapterItem: 'listEditor', values: {
        'Argument': 'DashboardWebStringId.Binding.Argument',
        'Weight': 'DashboardWebStringId.Chart.Weight',
        'Values': 'DashboardWebStringId.Binding.Values',
        'ArgumentAndWeight': 'DashboardWebStringId.Chart.ArgumentAndWeight',
        'ArgumentAndValues': 'DashboardWebStringId.Chart.ArgumentAndValues'
    }
};
let scatterPointLabelOptionsSerializationsInfo = _chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_0__/* .pointLabelOptionsBaseSerializationsInfo */ .XN.concat([content, _chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_0__/* .position */ .G1]);


/***/ }),

/***/ 5366:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ ScatterPointLabelOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _chart_point_label_options__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8002);
/* harmony import */ var _metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5355);



class ScatterPointLabelOptions extends _chart_point_label_options__WEBPACK_IMPORTED_MODULE_1__/* .PointLabelOptionsBase */ .G {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_2__/* .scatterPointLabelOptionsSerializationsInfo */ .k;
    }
}


/***/ }),

/***/ 5419:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ Color)
/* harmony export */ });
/* harmony import */ var devextreme_color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6555);
/* harmony import */ var devextreme_color__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_color__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(672);



class Color {
    static fromArgb(alpha, red, green, blue) {
        return new Color(Color.toNumber(alpha, red, green, blue));
    }
    static fromRgbaString(rgbaColor) {
        return Color.fromDxColor(new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(rgbaColor));
    }
    static fromJSON(jsonValue) {
        return new Color(parseInt(jsonValue, 10));
    }
    static fromAppearance(appearanceType) {
        var color = new Color(0);
        color._dxColor = new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(_viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_2__/* .appearanceSettingsProvider */ .v.backAndGradientColorGroupsToBackColor(appearanceType));
        return color;
    }
    static fromDxColor(dxColor) {
        var color = new Color(0);
        color._dxColor = dxColor;
        return color;
    }
    static toNumber(alpha, red, green, blue) {
        return ((((alpha * 255 << 0x18) | (red << 0x10) | (green << 0x8)) | blue)) & 0xffffffff;
    }
    static toJSON(color) {
        return Color.toNumber(color.A, color.R, color.G, color.B);
    }
    static contrastColor(baseColor) {
        var luminance = 1 - (0.299 * baseColor.R + 0.587 * baseColor.G + 0.114 * baseColor.B) / 255;
        var result = luminance < 0.5 ? 0 : 255;
        return Color.fromArgb(1, result, result, result);
    }
    static _colorFromModel(value) {
        return knockout__WEBPACK_IMPORTED_MODULE_1__.observable(value ? Color.fromJSON(value) : null);
    }
    static _colorRgbaFromModel(value) {
        return knockout__WEBPACK_IMPORTED_MODULE_1__.observable(value ? Color.fromJSON(value).css : null);
    }
    static _colorToModel(value) {
        return value ? Color.toJSON(value) : null;
    }
    static _colorRgbaToModel(rgbaColor) {
        return rgbaColor ? Color.fromRgbaString(rgbaColor).toNumber() : null;
    }
    toNumber() {
        return Color.toNumber(this.A, this.R, this.G, this.B);
    }
    static toHex(colorValue) {
        return new Color(colorValue).toHex();
    }
    static equals(color1, color2) {
        return (!color1 && !color2) || (color1 && color2 && color1.toNumber() === color2.toNumber());
    }
    get A() { return this._dxColor.a; }
    get R() { return this._dxColor.r; }
    get G() { return this._dxColor.g; }
    get B() { return this._dxColor.b; }
    get css() { return this._toRgbaString(this.R, this.G, this.B, this.A); }
    constructor(colorValue) {
        let a = (colorValue >> 0x18) & 0xff, r = (colorValue >> 0x10) & 0xff, g = (colorValue >> 0x8) & 0xff, b = colorValue & 0xff;
        this._dxColor = new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(this._toRgbaString(r, g, b, a / 255));
    }
    blend(blendColor, opacity) {
        return this._dxColor.blend(blendColor._dxColor, opacity);
    }
    toHex() {
        return this._dxColor.toHex();
    }
    _toRgbaString(r, g, b, a) {
        return 'rgba(' + [r, g, b, a].join(',') + ')';
    }
}


/***/ }),

/***/ 5462:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ geoPointMapDataControllerBase)
/* harmony export */ });
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(814);

class geoPointMapDataControllerBase extends _data_controller_base__WEBPACK_IMPORTED_MODULE_0__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this.axisPoints = [];
        this._prepare();
    }
    getPoint(index, valueIndex) {
        var pointsCount = this._getPointsCount(index);
        return {
            lat: this._getLatitudeValue(index),
            lon: this._getLongitudeValue(index),
            latSel: this._getLatitudeUniqueValue(index),
            lonSel: this._getLongitudeUniqueValue(index),
            pointsCount: pointsCount,
            tooltipDimensions: pointsCount < 2 ? this._getTooltipDimensions(index) : [],
            tooltipMeasures: this._getTooltipMeasures(index)
        };
    }
    getCount() {
        return this.axisPoints.length;
    }
    _prepare() {
        var dimensionId = this._getAxisPointDimensionDescriptorId(), axis = this.multiData.getAxis();
        this.axisPoints = dimensionId ? axis.getPointsByDimension(dimensionId) : [];
    }
    _getAxisPointDimensionDescriptorId() {
        return this.viewModel.LongitudeDataId;
    }
    _getMeasure(index, measureName, groupByDimensionId) {
        var axisPoint = this._getAxisPoint(index);
        if (groupByDimensionId)
            axisPoint = axisPoint.getParentByDimensionId(groupByDimensionId);
        return this.multiData.getSlice(axisPoint).getMeasureValue(measureName);
    }
    _getMeasureValue(index, measureName) {
        return this._getMeasure(index, measureName).getValue();
    }
    _getMeasureDisplayText(index, measureName, groupByDimensionId) {
        return this._getMeasure(index, measureName, groupByDimensionId).getDisplayText();
    }
    _getLatitude(index) {
        var point = this._getAxisPoint(index);
        return point.getParentByDimensionId(this.viewModel.LatitudeDataId);
    }
    _getLatitudeValue(index) {
        return this._getLatitude(index).getValue();
    }
    _getLatitudeUniqueValue(index) {
        return this._getLatitude(index).getUniqueValue();
    }
    _getLongitude(index) {
        var point = this._getAxisPoint(index);
        return point.getParentByDimensionId(this.viewModel.LongitudeDataId);
    }
    _getLongitudeValue(index) {
        return this._getLongitude(index).getValue();
    }
    _getLongitudeUniqueValue(index) {
        return this._getLongitude(index).getUniqueValue();
    }
    _getPointsCount(index) {
        var axisPoint = this._getAxisPoint(index).getParentByDimensionId(this.viewModel.LongitudeDataId);
        return this.multiData.getSlice(axisPoint).getMeasureValue(this.viewModel.PointsCountDataId).getValue();
    }
    _getTooltipDimensions(index) {
        var tooltipDimensionsViewModel = this.viewModel.TooltipDimensions, tooltipDimensions = [], values, distinctValues;
        if (tooltipDimensionsViewModel) {
            for (var i = 0; i < tooltipDimensionsViewModel.length; i++) {
                var axisPoint = this._getAxisPoint(index);
                axisPoint = axisPoint.getParentByDimensionId(this.viewModel.LongitudeDataId);
                values = axisPoint.getDisplayTextsByDimensionId(tooltipDimensionsViewModel[i].DataId).filter((v, i, a) => a.indexOf(v) === i);
                distinctValues = values.filter((el, index) => {
                    return index === values.indexOf(el);
                });
                tooltipDimensions.push({
                    caption: tooltipDimensionsViewModel[i].Caption,
                    values: distinctValues
                });
            }
        }
        return tooltipDimensions;
    }
    _getTooltipMeasures(index) {
        var tooltipMeasuresViewModel = this.viewModel.TooltipMeasures;
        var tooltipMeasures = [];
        if (tooltipMeasuresViewModel) {
            for (var i = 0; i < tooltipMeasuresViewModel.length; i++) {
                tooltipMeasures.push({
                    caption: tooltipMeasuresViewModel[i].Caption,
                    value: this._getMeasureDisplayText(index, tooltipMeasuresViewModel[i].DataId, this.viewModel.LongitudeDataId)
                });
            }
        }
        return tooltipMeasures;
    }
    _getAxisPoint(index) {
        return this.axisPoints[index];
    }
}


/***/ }),

/***/ 5469:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ CardWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6684);



class CardWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .cardWindowDefinitionSerializationsInfo */ .p;
    }
    equals(def) {
        return (def instanceof CardWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['CardWindowDefinition'] = CardWindowDefinition;


/***/ }),

/***/ 5480:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P$: () => (/* binding */ kpiItemActualValue),
/* harmony export */   QS: () => (/* binding */ kpiElementSerializationsInfo),
/* harmony export */   iJ: () => (/* binding */ kpiItemdeltaOptions),
/* harmony export */   kV: () => (/* binding */ kpiItemTargetValue)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _options_delta_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8191);



let kpiItemdeltaOptions = { propertyName: 'deltaOptions', modelName: 'DeltaOptions', displayName: 'DashboardWebStringId.Grid.DeltaOptions', type: _options_delta_options__WEBPACK_IMPORTED_MODULE_2__/* .DeltaOptions */ .j };
let kpiItemActualValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .actualValuePropertyName */ .UQ, modelName: 'ActualValue', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.ActualValueCaption' };
let kpiItemTargetValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .targetValuePropertyName */ .HI, modelName: 'TargetValue', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.TargetValueCaption' };
let kpiElementSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, kpiItemdeltaOptions, kpiItemActualValue, kpiItemTargetValue, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .absoluteVariationNumericFormat */ .V5, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .percentVariationNumericFormat */ .r9, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .percentOfTargetNumericFormat */ .sS];


/***/ }),

/***/ 5498:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B4: () => (/* binding */ formatConditionExpression),
/* harmony export */   d4: () => (/* binding */ formatConditionFilter),
/* harmony export */   mK: () => (/* binding */ formatConditionExpressionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1023);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8245);


let formatConditionExpression = { propertyName: 'expression', modelName: '@Expression', from: (expressionStr) => {
        return (0,_internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__/* .replaceExpressionParametersPrefix */ .nV)(expressionStr);
    } };
let formatConditionFilter = { propertyName: 'expression' };
let formatConditionExpressionSerializationsInfo = _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionStyleBaseSerializationsInfo */ .i.concat([formatConditionExpression]);


/***/ }),

/***/ 5558:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O6: () => (/* binding */ DashboardFormatHelper),
/* harmony export */   Pc: () => (/* binding */ invariantCurrencyIdentifier),
/* harmony export */   a: () => (/* binding */ invariantCurrencySymbol)
/* harmony export */ });
/* harmony import */ var devextreme_core_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4058);
/* harmony import */ var devextreme_core_config__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_config__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_core_utils_date__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8689);
/* harmony import */ var devextreme_core_utils_date__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_date__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var devextreme_format_helper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8991);
/* harmony import */ var devextreme_format_helper__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(devextreme_format_helper__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1505);
/* harmony import */ var devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2780);
/* harmony import */ var devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4833);
/* harmony import */ var _viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9557);
/* harmony import */ var _localization_default__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(9167);
/* harmony import */ var _jquery_helpers__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5988);










let invariantCurrencyIdentifier = 'INVARIANT';
let invariantCurrencySymbol = '¤';
class DashboardFormatHelper {
    static defaultQuarterFormat() { return (0,_localization_default__WEBPACK_IMPORTED_MODULE_8__/* .getLocalizationById */ .Mu)('DashboardStringId.DateTimeQuarterFormat'); }
    static format(value, format) {
        if ((0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_9__/* .isPlainObject */ .Qd)(format) && format.format) {
            if (format.dateType)
                return this._formatDateEx(value, format);
            else if (_data_utils__WEBPACK_IMPORTED_MODULE_6__/* .type */ .NW.isNumeric(value) && isFinite(value))
                return this._formatNumberEx(value, format);
        }
        return devextreme_format_helper__WEBPACK_IMPORTED_MODULE_3___default().format(value, format);
    }
    static _applyNumberFormat(value, formatConfig) {
        var numberStr = (+value).toString(10);
        if ((devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5___default().engine() === 'globalize' || window.Globalize) && (/e/).test(numberStr)) {
            console.warn('The number ' + numberStr + ' out of (1e21, 1e-7) range can`t be formatted. The number will be displayed as is.');
            return value.toString();
        }
        var invariantCurrency = formatConfig.currency === invariantCurrencyIdentifier;
        if (invariantCurrency) {
            formatConfig.currency = 'USD';
        }
        var formattedValue = devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5___default().format(value, formatConfig);
        if (formattedValue != null && formatConfig.currency != 'default') {
            var currencySymbol = '';
            var symbolAltNarrow = '';
            try {
                let symbolInfo = devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5___default().getCurrencySymbol(formatConfig.currency);
                currencySymbol = symbolInfo['symbol'];
                symbolAltNarrow = symbolInfo['symbol-alt-narrow'];
            }
            catch { }
            try {
                let symbolInfo = devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5___default()._getCurrencySymbolInfo(formatConfig.currency);
                currencySymbol = symbolInfo.symbol;
                symbolAltNarrow = symbolInfo.symbol;
            }
            catch { }
            if (invariantCurrency) {
                symbolAltNarrow = invariantCurrencySymbol;
                formatConfig.currency = invariantCurrencyIdentifier;
            }
            if (!!symbolAltNarrow && symbolAltNarrow !== currencySymbol) {
                return formattedValue.replace(currencySymbol, symbolAltNarrow);
            }
        }
        return formattedValue;
    }
    static _getQuarterString(date, format) {
        var quarter = devextreme_core_utils_date__WEBPACK_IMPORTED_MODULE_1___default().getQuarter(date.getMonth());
        switch (format) {
            case 'q':
                return this.romanDigits[quarter];
            case 'qq':
                return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_2__.format)(this.defaultQuarterFormat(), this.romanDigits[quarter]);
            case 'Q':
                return (quarter + 1).toString();
            case 'QQ':
                return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_2__.format)(this.defaultQuarterFormat(), (quarter + 1).toString());
        }
        return '';
    }
    static _formatDateEx(value, formatInfo) {
        var that = this, format = formatInfo.format.toLowerCase(), dateType = formatInfo.dateType, time, index, dateStr;
        if (!_data_utils__WEBPACK_IMPORTED_MODULE_6__/* .type */ .NW.isDefined(value)) {
            return '';
        }
        if (dateType !== 'num' || format === 'dayofweek') {
            switch (format) {
                case 'monthyear':
                    return devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'monthandyear');
                case 'quarteryear':
                    return that._getQuarterString(value, 'QQ') + ' ' + value.getFullYear();
                case 'daymonthyear':
                case 'weekyear':
                    return devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, dateType + 'Date');
                case 'datehour':
                    time = new Date(value.getTime());
                    time.setMinutes(0);
                    dateStr = dateType === 'timeOnly' ? '' : devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, dateType + 'Date');
                    return dateType === 'timeOnly' ? devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(time, 'shorttime') : dateStr + ' ' + devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(time, 'shorttime');
                case 'datehourminute':
                    dateStr = dateType === 'timeOnly' ? '' : devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, dateType + 'Date');
                    return dateType === 'timeOnly' ? devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'shorttime') : dateStr + ' ' + devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'shorttime');
                case 'datehourminutesecond':
                    dateStr = dateType === 'timeOnly' ? '' : devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, dateType + 'Date');
                    return dateType === 'timeOnly' ? devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'longtime') : dateStr + ' ' + devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'longtime');
                case 'year':
                    dateStr = value.toString();
                    return (dateType === 'abbr') ? dateStr.slice(2, 4) : dateStr;
                case 'dateyear':
                    return (dateType === 'abbr') ? devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'shortyear') : devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(value, 'year');
                case 'quarter':
                    return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_2__.format)(that.defaultQuarterFormat(), value.toString());
                case 'month':
                    index = value - 1;
                    return devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().getMonthNames(dateType === 'abbr' ? 'abbreviated' : undefined)[index];
                case 'hour':
                    if (dateType === 'long') {
                        time = new Date();
                        time.setHours(value);
                        time.setMinutes(0);
                        return devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().format(time, 'shorttime');
                    }
                    return value.toString();
                case 'dayofweek':
                    index = _data_utils__WEBPACK_IMPORTED_MODULE_6__/* .type */ .NW.isString(value) ? ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'].indexOf(value) : value;
                    if (dateType !== 'num') {
                        return devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().getDayNames(dateType === 'abbr' ? 'abbreviated' : undefined)[index];
                    }
                    return ((index - devextreme_common_core_localization_date__WEBPACK_IMPORTED_MODULE_4___default().firstDayOfWeekIndex() + 1 + 7) % 8).toString();
                default:
                    return value.toString();
            }
        }
        else {
            return value.toString();
        }
    }
    static _getMinimalPossibleValue(formatType, precision) {
        var maxPrecision = precision + 1;
        if (formatType === 'percent') {
            maxPrecision += 2;
        }
        return Math.pow(10, -maxPrecision);
    }
    static _formatNumberEx(value, formatInfo) {
        var that = this, formatType = formatInfo.format.toLowerCase(), formatSettings = that._getUnitFormatSettings(value, formatInfo), result = '', config;
        if (!_data_utils__WEBPACK_IMPORTED_MODULE_6__/* .type */ .NW.isDefined(value)) {
            return '';
        }
        if (['currency', 'percent', 'fixedpoint'].indexOf(formatType) !== -1
            && formatSettings.precision >= 0
            && Math.abs(value) < that._getMinimalPossibleValue(formatType, formatSettings.precision)) {
            value = 0;
        }
        value = that._getNumberByPower(value, formatSettings.unitPower, 1000);
        if (['fixedpoint', 'currency', 'percent'].indexOf(formatType) !== -1) {
            config = that._generateNumericFormatConfig({
                ...formatSettings,
                significantDigits: formatInfo.significantDigits,
                signsAfterPointCount: that._countSignsAfterPoint(value, formatType),
                formatType: formatType
            }, value);
        }
        switch (formatType) {
            case 'general':
                if (value === 0) {
                    return '0';
                }
                else if (Math.abs(value) < 0.0001) {
                    return this._applyNumberFormat(value, { type: 'exponential', precision: 2, minimumSignificantDigits: 1, maximumSignificantDigits: 20 });
                }
                else {
                    return this._applyNumberFormat(value, { useGrouping: false, minimumSignificantDigits: 1, maximumSignificantDigits: 20 });
                }
            case 'decimal':
                result = this._applyNumberFormat(value, that._normalizeFormatConfig(formatType, formatSettings.precision, value));
                break;
            case 'fixedpoint':
                result = this._applyNumberFormat(value, config);
                break;
            case 'currency':
                config.currency = formatInfo.currency || devextreme_core_config__WEBPACK_IMPORTED_MODULE_0___default()().defaultCurrency;
                result = this._applyNumberFormat(value, config);
                break;
            case 'percent':
                config.style = 'percent';
                result = this._applyNumberFormat(value, config);
                break;
            case 'exponential':
                return this._applyNumberFormat(value, { type: 'exponential', precision: formatSettings.precision });
            default:
                throw "Illegal numeric format: '" + formatType + "'";
        }
        result = that._insertUnitPostfix(result, formatSettings.unitPower);
        return (formatInfo.plus && value > 0 ? '+' : '') + result;
    }
    static _getUnitFormatSettings(value, formatInfo) {
        var unitPower = formatInfo.unitPower || 0, precision = formatInfo.precision || 0, includeGroupSeparator = formatInfo.includeGroupSeparator || false, showTrailingZeros = formatInfo.showTrailingZeros === undefined ? true : formatInfo.showTrailingZeros, significantDigits = formatInfo.significantDigits || 1, absValue;
        if (unitPower.toString().toLowerCase() === 'auto') {
            showTrailingZeros = false;
            absValue = Math.abs(value);
            if (significantDigits < 1)
                significantDigits = 1;
            if (absValue >= 1000000000) {
                unitPower = 3;
                absValue /= 1000000000;
            }
            else if (absValue >= 1000000) {
                unitPower = 2;
                absValue /= 1000000;
            }
            else if (absValue >= 1000) {
                unitPower = 1;
                absValue /= 1000;
            }
            else
                unitPower = 0;
            if (absValue === 0)
                precision = 0;
            else if (absValue < 1) {
                precision = significantDigits;
                var smallValue = Math.pow(10, -significantDigits);
                while (absValue < smallValue) {
                    smallValue /= 10;
                    precision++;
                }
            }
            else {
                if (absValue >= 100)
                    precision = significantDigits - 3;
                else if (absValue >= 10)
                    precision = significantDigits - 2;
                else
                    precision = significantDigits - 1;
            }
        }
        if (precision < 0) {
            precision = 0;
        }
        return {
            unitPower: unitPower,
            precision: precision,
            showTrailingZeros: showTrailingZeros,
            includeGroupSeparator: includeGroupSeparator
        };
    }
    static _insertUnitPostfix(formattedNumber, unitPower) {
        var lastDigitReg = /(\d)([^\d]*)$/;
        return unitPower > 0
            ? formattedNumber.replace(lastDigitReg, '$1' + (0,_localization_default__WEBPACK_IMPORTED_MODULE_8__/* .getLocalizationById */ .Mu)(this.defaultLargeNumberFormatPostfixes[unitPower]) + '$2')
            : formattedNumber;
    }
    static _generateNumericFormatConfig(settings, value) {
        var that = this, config;
        if (!settings.showTrailingZeros) {
            settings.precision = Math.min(settings.precision, settings.signsAfterPointCount);
        }
        config = that._normalizeFormatConfig(settings.formatType, settings.precision, value);
        config.useGrouping = settings.includeGroupSeparator;
        if (settings.significantDigits && value) {
            (0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_9__/* .extend */ .X$)(config, {
                minimumSignificantDigits: settings.showTrailingZeros ? settings.significantDigits : 1,
                maximumSignificantDigits: settings.significantDigits
            });
        }
        return config;
    }
    static _countSignsAfterPoint(num, formatType) {
        var strNum = String(num), pointPos = strNum.indexOf('.');
        if (formatType == 'percent') {
            pointPos += 2;
        }
        if (pointPos < 0) {
            return 0;
        }
        return strNum.substr(pointPos + 1, strNum.length).length;
    }
    static _excludeTrailingZeros(strValue, floatingSymbol) {
        var floatingIndex = strValue.indexOf(floatingSymbol), stopIndex, i;
        if (floatingIndex < 0)
            return strValue;
        stopIndex = strValue.length;
        for (i = stopIndex - 1; i >= floatingIndex && (strValue[i] === '0' || i === floatingIndex); i--) {
            stopIndex--;
        }
        return strValue.substring(0, stopIndex);
    }
    static _normalizeFormatConfig(format, precision, value) {
        var config = devextreme_common_core_localization_number__WEBPACK_IMPORTED_MODULE_5___default()._normalizeFormatConfig(format, {
            precision,
            useCurrencyAccountingStyle: _viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_7__/* .DashboardPrivateSettings */ .d.useCurrencyAccountingStyle
        }, value);
        if (format === 'decimal') {
            config = { ...config, ...{
                    minimumIntegerDigits: precision || 1,
                    useGrouping: false,
                    maximumFractionDigits: 0,
                    round: value < 0 ? 'ceil' : 'floor'
                } };
        }
        else {
            config = { ...config, ...{
                    minimumFractionDigits: precision,
                    maximumFractionDigits: precision
                } };
        }
        return config;
    }
    static _getNumberByPower(number, power, base) {
        var result = number;
        while (power > 0) {
            result = result / base;
            power--;
        }
        while (power < 0) {
            result = result * base;
            power++;
        }
        return result;
    }
}
DashboardFormatHelper.defaultLargeNumberFormatPostfixes = {
    1: 'DashboardStringId.NumericFormatUnitSymbolThousands',
    2: 'DashboardStringId.NumericFormatUnitSymbolMillions',
    3: 'DashboardStringId.NumericFormatUnitSymbolBillions',
    4: 'T'
};
DashboardFormatHelper.romanDigits = ['I', 'II', 'III', 'IV'];


/***/ }),

/***/ 5573:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ MapCustomShapeFileSurface)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _properties_composers_map_custom_shapefile_properties_composer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(955);


class MapCustomShapeFileSurface {
    constructor(model, propertiesController) {
        this.model = model;
        this.propertiesController = propertiesController;
        this._disposables = [];
        this.propertiesTabs = knockout__WEBPACK_IMPORTED_MODULE_0__.observableArray([]);
    }
    startEditing(args) {
        args.createImmediately = false;
        var composer = new _properties_composers_map_custom_shapefile_properties_composer__WEBPACK_IMPORTED_MODULE_1__/* .MapCustomShapefilePropertiesComposer */ .O();
        var tabs = composer.composeTabs(this.model);
        this.propertiesTabs(tabs);
        this.propertiesController.secondaryModel({
            displayText: 'DashboardWebStringId.Map.Area.Custom',
            data: this
        });
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}


/***/ }),

/***/ 5584:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ CollectionEditorEditItemArguments),
/* harmony export */   e: () => (/* binding */ CollectionEditorViewModel)
/* harmony export */ });
/* harmony import */ var devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2951);
/* harmony import */ var devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9167);
/* harmony import */ var _collection_editor_viewmodel_base__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(708);





class CollectionEditorViewModel extends _collection_editor_viewmodel_base__WEBPACK_IMPORTED_MODULE_4__/* .CollectionEditorViewModelBase */ .v {
    constructor(params, dataSource) {
        super(params);
        this.add = () => {
            const newItem = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(this.createNewItemHandler());
            if (!!newItem) {
                const addToDataSource = () => {
                    if (this.dataSource.indexOf(newItem()) === -1) {
                        this.dataSource.push(newItem());
                    }
                    this._setListSelection(newItem());
                };
                if (this.editItemHandler) {
                    const args = new CollectionEditorEditItemArguments();
                    this.editItemHandler(newItem(), args, newItem);
                    if (args.createImmediately) {
                        addToDataSource();
                    }
                    else {
                        args.requestRecalculation.add(addToDataSource);
                    }
                }
                else {
                    addToDataSource();
                }
            }
        };
        this.edit = () => this.editItemHandler && this.editItemHandler(this.selectedValue, new CollectionEditorEditItemArguments(), knockout__WEBPACK_IMPORTED_MODULE_1__.observable(this.selectedValue));
        this.remove = () => this.removeEnabled() && this.removeItemHandler && this.removeItemHandler(this.selectedValue);
        this.up = () => {
            const selection = this.selectedValue;
            !!this.reorderItemsHandler ? this.reorderItemsHandler(selection, 'up') : this._moveSelectedGridRow('up');
            this._setListSelection(selection);
        };
        this.down = () => {
            const selection = this.selectedValue;
            !!this.reorderItemsHandler ? this.reorderItemsHandler(selection, 'down') : this._moveSelectedGridRow('down');
            this._setListSelection(selection);
        };
        this.dataField = params.propertyName;
        this.dataSource = dataSource;
        this.isToolbarVisible = params.isToolbarVisible === undefined || params.isToolbarVisible;
        this.allowAddItem = params.allowAddItem === undefined || params.allowAddItem;
        this.allowReorderItem = params.allowReorderItem === undefined || params.allowReorderItem;
        this.allowRemoveItem = params.allowRemoveItem === undefined || params.allowRemoveItem;
        this.createNewItemHandler = params.createNewItemHandler;
        this.editItemHandler = params.editItemHandler;
        this.reorderItemsHandler = params.reorderItemsHandler;
        this.customToolbarItems = params.customToolbarItems;
        this.visibleItemsFilter = params.visibleItemsFilter || (_ => true);
        this.customTemplate = params.customTemplate;
        this.removeItemHandler = params.removeItemHandler || ((item) => this.dataSource.remove(item));
        this.enableRemoveItem = params.enableRemoveItem || (_ => true);
        this.addEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true);
        this.subscriptions = [this.dataSource.subscribe(() => this._safeReloadDataSource())];
        params.forceRefreshCallback && params.forceRefreshCallback.subscribe(() => this._safeReloadDataSource());
    }
    getListOptions() {
        return {
            ...super.getListOptions(),
            dataSource: new (devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0___default())({
                load: (options) => {
                    const datasource = knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(this.dataSource);
                    const filtered = datasource.filter(this.visibleItemsFilter).slice(options.skip, options.skip + options.take);
                    return filtered;
                },
            }),
            pageLoadMode: 'scrollBottom',
        };
    }
    _itemTemplate(itemData, itemIndex, itemElement) {
        this.customTemplate ? this.customTemplate(itemData, itemIndex, itemElement) : super._itemTemplate(itemData, itemIndex, itemElement);
    }
    _getDisplayText(itemData) {
        return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)(knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(itemData[this.dataField]));
    }
    _moveSelectedGridRow(direction) {
        const selectedValue = this.selectedValue;
        if (!selectedValue)
            return;
        this.listInstance.beginUpdate();
        const index = this.dataSource().indexOf(selectedValue);
        this.dataSource.splice(index, 1);
        this.dataSource.splice(direction === 'up' ? index - 1 : index + 1, 0, selectedValue);
        this.listInstance.endUpdate();
    }
    _updateActionsState() {
        const selection = this.selectedValue;
        this.removeEnabled(!!selection && this.enableRemoveItem(selection));
        this.editEnabled(!!this.enableEditItem ? this.enableEditItem(selection) : !!selection);
        const selectedRowIndex = this.dataSource.indexOf(selection);
        this.upEnabled(!!selection && selectedRowIndex > 0);
        this.downEnabled(!!selection && selectedRowIndex < this.dataSource().length - 1);
    }
    _safeReloadDataSource() {
        const selection = this.dataSource().some(v => v === this.selectedValue) ? this.selectedValue : undefined;
        if (this.listInstance) {
            this.listInstance.reload();
            selection && this._setListSelection(selection);
        }
    }
    dispose() {
        this.subscriptions && this.subscriptions.forEach(s => s.dispose());
        super.dispose();
    }
}
class CollectionEditorEditItemArguments {
    constructor() {
        this.requestRecalculation = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryCallbacks */ .NG)();
        this.createImmediately = true;
    }
}


/***/ }),

/***/ 5585:
/***/ ((module) => {

module.exports = DevExpress.ui.dxCheckBox;

/***/ }),

/***/ 5621:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ InlineEditCollectionEditorViewModel)
/* harmony export */ });
/* harmony import */ var devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2951);
/* harmony import */ var devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9167);




class GridDataSourceMapper {
    constructor(dataFields) {
        this.dataFields = dataFields;
        this.gridDataSourceKeyCache = [];
    }
    mapDataSource(srcData) {
        const updatedCache = [];
        let latestCacheItemKey = this.gridDataSourceKeyCache
            .reduce((acc, item) => {
            return item && item.key > acc ? item.key : acc;
        }, 0);
        const data = knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(srcData)
            .map(dataSourceItem => {
            let cacheItem = this.gridDataSourceKeyCache
                .filter(cacheItem => cacheItem.objRef === dataSourceItem)[0];
            if (!cacheItem) {
                cacheItem = {
                    key: ++latestCacheItemKey,
                    objRef: dataSourceItem,
                };
            }
            updatedCache.push(cacheItem);
            return this.dataFields.reduce((acc, field) => {
                acc[field] = cacheItem.objRef && knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(cacheItem.objRef[field]);
                return acc;
            }, { keyField: cacheItem.key });
        });
        this.gridDataSourceKeyCache = updatedCache;
        return data;
    }
    updateDataSourceItem(key, newValues) {
        const cacheItem = this.gridDataSourceKeyCache
            .filter(cacheItem => cacheItem.key === key)[0];
        const container = cacheItem && cacheItem.objRef;
        if (container) {
            this.dataFields.forEach(field => {
                newValues.hasOwnProperty(field) && knockout__WEBPACK_IMPORTED_MODULE_1__.isWritableObservable(container[field]) && container[field](newValues[field]);
            });
        }
    }
    getObjectByKey(key) {
        const cacheItem = this.gridDataSourceKeyCache
            .filter(item => item.key === key)[0];
        return cacheItem && cacheItem.objRef;
    }
    getKeyByObject(obj) {
        const cacheItem = this.gridDataSourceKeyCache
            .filter(item => item.objRef === obj)[0];
        return cacheItem && cacheItem.key;
    }
}
class InlineEditCollectionEditorViewModel {
    constructor(params, dataSource) {
        this.add = () => this._addNewItemRow();
        this.remove = () => this.dataSource.remove(this.selectedValue);
        this.down = () => this.downEnabled() && this._moveSelectedGridRow('down');
        this.up = () => this.upEnabled() && this._moveSelectedGridRow('up');
        this.dataFields = params.dataFields;
        this.dataSource = dataSource;
        this.noDataText = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)(params.noDataText);
        this.gridColumns = params.gridColumns;
        this.createNewItemHandler = params.createNewItemHandler;
        this.customizeInlineEditor = params.customizeInlineEditor;
        this.customizeCell = params.customizeCell;
        this.enableAddItem = params.enableAddItem;
        this.enableRemoveItem = params.enableRemoveItem;
        this.enableEditItem = params.enableEditItem;
        this.isToolbarVisible = params.isToolbarVisible === undefined || params.isToolbarVisible;
        this.allowAddItem = params.allowAddItem === undefined || params.allowAddItem;
        this.allowRemoveItem = params.allowRemoveItem === undefined || params.allowRemoveItem;
        this.allowReorderItem = params.allowReorderItem === undefined || params.allowReorderItem;
        this.addEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true);
        this.removeEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this.upEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this.downEnabled = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this.dataSourceMapper = new GridDataSourceMapper(this.dataFields);
        params.forceRefreshCallback && params.forceRefreshCallback.subscribe(() => this.gridInstance && this.gridInstance.refresh());
    }
    getGridOptions() {
        const gridDataSource = new (devextreme_data_data_source__WEBPACK_IMPORTED_MODULE_0___default())({
            loadMode: 'raw',
            key: 'keyField',
            load: () => {
                return this.dataSourceMapper.mapDataSource(this.dataSource);
            },
            update: (key, values) => {
                this.dataSourceMapper.updateDataSourceItem(key, values);
                return (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$promiseAdapter */ .fy)((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryDeferred */ .KO)().resolve().promise());
            },
            insert: (newRow) => {
                const newDataSourceItem = this.createNewItemHandler();
                if (newDataSourceItem) {
                    this.dataFields.forEach(field => newDataSourceItem[field](knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(newRow[field])));
                    this.dataSource.push(newDataSourceItem);
                }
                return (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$promiseAdapter */ .fy)((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryDeferred */ .KO)().resolve(newDataSourceItem).promise());
            },
        });
        this.dataSourceSubscription = this.dataSource.subscribe(() => this.gridInstance.refresh());
        const dataGridOptions = {
            onInitialized: (e) => this.gridInstance = e.component,
            dataSource: gridDataSource,
            remoteOperations: false,
            showColumnHeaders: false,
            noDataText: this.noDataText,
            showColumnLines: false,
            showRowLines: true,
            loadPanel: {
                enabled: false,
            },
            paging: {
                enabled: false
            },
            selection: {
                mode: 'single'
            },
            columns: !!this.gridColumns ? this.gridColumns : this.dataFields,
            editing: {
                allowUpdating: true,
                mode: 'cell',
                startEditAction: 'dblClick',
            },
            onCellClick: (e) => {
                if (e.row && e.row.isSelected) {
                    this.gridInstance.editCell(e.rowIndex, e.columnIndex);
                }
            },
            onCellPrepared: this.customizeCell,
            onEditingStart: (e) => e.cancel = this.enableEditItem && !this.enableEditItem(this.selectedValue, e),
            onSelectionChanged: (e) => this._updateActionsState(),
            onContentReady: (e) => this._updateActionsState(),
            onEditorPreparing: (e) => this.customizeInlineEditor && this.customizeInlineEditor(e),
        };
        return dataGridOptions;
    }
    get selectedValue() {
        const selectedKey = this.gridInstance && this.gridInstance.getSelectedRowKeys()[0];
        return this.dataSourceMapper.getObjectByKey(selectedKey);
    }
    dispose() {
        this.dataSourceSubscription && this.dataSourceSubscription.dispose();
        this.gridInstance?.dispose && this.gridInstance?.dispose();
    }
    _addNewItemRow() {
        let insertedObject;
        if (this.gridInstance.hasEditData())
            this.gridInstance.saveEditData();
        this.gridInstance.beginUpdate();
        const newObject = this.createNewItemHandler();
        this.gridInstance
            .getDataSource()
            .store()
            .insert(this.dataFields
            .reduce((acc, field) => {
            acc[field] = newObject[field];
            return acc;
        }, {}))
            .then(obj => insertedObject = obj);
        this.gridInstance.endUpdate();
        this.gridInstance.refresh().then(() => {
            setTimeout(() => {
                const rowKey = this.dataSourceMapper.getKeyByObject(insertedObject);
                if (rowKey) {
                    const rowIndex = this.gridInstance.getRowIndexByKey(rowKey);
                    this.gridInstance.focus(this.gridInstance.getCellElement(rowIndex, 0));
                    this.gridInstance.editCell(rowIndex, 0);
                }
            }, 1);
        });
    }
    _moveSelectedGridRow(direction) {
        const selectedValue = this.selectedValue;
        if (!selectedValue)
            return;
        this.gridInstance.beginUpdate();
        const index = this.dataSource().indexOf(selectedValue);
        this.dataSource.splice(index, 1);
        this.dataSource.splice(direction === 'up' ? index - 1 : index + 1, 0, selectedValue);
        this.gridInstance.endUpdate();
    }
    _updateActionsState() {
        this.addEnabled(!!this.enableAddItem ? this.enableAddItem(this.selectedValue) : true);
        this.removeEnabled(!!this.enableRemoveItem ? this.enableRemoveItem(this.selectedValue) : !!this.selectedValue);
        const selectedRowIndex = this.dataSource.indexOf(this.selectedValue);
        this.upEnabled(this.selectedValue && selectedRowIndex > 0);
        this.downEnabled(this.selectedValue && selectedRowIndex < this.gridInstance.getDataSource().totalCount() - 1);
    }
}


/***/ }),

/***/ 5690:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ LookUpValue)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2037);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _parameters_helper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2809);





class LookUpValue extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .TypedSerializableModel */ .$t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.valueType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('');
        this.value((0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_4__/* .tryConvertToDateTime */ .bt)(this.value()));
    }
    getInfo() {
        return _parameters_helper__WEBPACK_IMPORTED_MODULE_3__/* .ParameterHelper */ ._.getInfoPerType(this.valueType);
    }
    _getDefaultItemType() {
        return 'Value';
    }
}


/***/ }),

/***/ 5709:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ SqlDataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(546);
/* harmony import */ var _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _devexpress_analytics_core_query_builder_dataSource_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(592);
/* harmony import */ var _devexpress_analytics_core_query_builder_dataSource_utils__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_query_builder_dataSource_utils__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6844);
/* harmony import */ var _metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4424);





class SqlDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_3__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.queries = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.deserializeArray)(dataSourceJSON.Queries, item => {
            if (item['@Type'] === _devexpress_analytics_core_query_builder_dataSource_utils__WEBPACK_IMPORTED_MODULE_2__.SqlQueryType.customSqlQuery) {
                return new _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__.CustomSqlQuery(item, null, serializer);
            }
            else if (item['@Type'] === _devexpress_analytics_core_query_builder_dataSource_utils__WEBPACK_IMPORTED_MODULE_2__.SqlQueryType.tableQuery) {
                return new _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__.TableQuery(item, null, serializer);
            }
            else if (item['@Type'] === _devexpress_analytics_core_query_builder_dataSource_utils__WEBPACK_IMPORTED_MODULE_2__.SqlQueryType.storedProcQuery) {
                return new _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__.StoredProcQuery(item, null, serializer);
            }
            else {
                throw new Error('Unknown sql query type.');
            }
        });
        this.hasCalculatedFields = true;
        this.supportDataMembers = true;
    }
    getInfo() {
        return _metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_4__/* .sqlDataSourceSerializationsInfo */ .R9;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultSqlDataSourceName';
    }
    _getDefaultItemType() {
        return 'SqlDataSource';
    }
}


/***/ }),

/***/ 5715:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ ContainerTypeSelector)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);

const MAX_ICON_NUMBER = 7;
class ContainerTypeSelector {
    constructor(_containersMap, containerType, _containerGroupLocalization, _highlightedTypes) {
        this._containersMap = _containersMap;
        this.containerType = containerType;
        this._containerGroupLocalization = _containerGroupLocalization;
        this._highlightedTypes = _highlightedTypes;
        this.headerClick = (data, event) => {
            if (!this.hasFullList) {
                event.stopPropagation();
                return false;
            }
        };
        this.itemClick = (data, event) => {
            this.containerType(knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(data.value));
            event.stopPropagation();
            event.originalEvent && event.originalEvent.stopPropagation();
            return false;
        };
    }
    get shortAvailableContainerTypes() {
        var iconNumber = MAX_ICON_NUMBER - (this.hasFullList ? 1 : 0);
        var highlightedTypes = this.availableContainerTypes
            .filter(type => {
            if (this._highlightedTypes) {
                return this._highlightedTypes.indexOf(type.value) !== -1;
            }
            else {
                return true;
            }
        })
            .slice(0, iconNumber);
        var selected = this.availableContainerTypes.filter(t => t.selected)[0];
        if (selected) {
            if (!highlightedTypes.filter(containerType => containerType.value === selected.value)[0]) {
                highlightedTypes.pop();
                highlightedTypes.unshift(selected);
            }
        }
        return highlightedTypes;
    }
    get hasFullList() {
        var length = Object.keys(this._containersMap).length;
        return (length > MAX_ICON_NUMBER);
    }
    get availableContainerTypes() {
        var containerTypes = Object.keys(this._containersMap || {}).map(name => {
            var info = this._containersMap[name];
            return {
                value: name,
                group: info.group,
                displayName: info.displayName,
                icon: info.icon,
                selected: name === this.containerType()
            };
        });
        return containerTypes;
    }
    get availableContainerTypeGroups() {
        return Object.keys(this._containersMap).reduce((groups, value) => {
            var info = this._containersMap[value];
            if (!groups.filter(group => group.name === info.group)[0]) {
                groups.push({
                    name: info.group,
                    displayName: this._containerGroupLocalization && this._containerGroupLocalization[info.group] || info.group
                });
            }
            return groups;
        }, []);
    }
}


/***/ }),

/***/ 5720:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ itemDataAxisPoint),
/* harmony export */   p: () => (/* binding */ dataStorageSpecialIds)
/* harmony export */ });
/* harmony import */ var _special_values__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2383);
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6726);


let dataStorageSpecialIds = {
    DisplayText: '_DisplayText_{4873F9E9-65B2-4307-BB25-BFD09F6A2E54}',
    Value: '_Value_{E5597004-313E-4F79-B02E-DEA46EEB1BFE}'
};
class itemDataAxisPoint {
    constructor(levelInfo, dataRowKey) {
        this._info = levelInfo;
        this._dataRowKey = dataRowKey;
        this._children = [];
        this._parent = undefined;
    }
    _getSpecialValue(specialId) {
        var that = this, info = that._info;
        return info.getMetaDataValue(that._dataRowKey, specialId);
    }
    getUniqueValue() {
        var that = this, info = that._info;
        return info.getBaseValue(that._dataRowKey);
    }
    getValue() {
        var that = this;
        var value = that._getSpecialValue(dataStorageSpecialIds.Value);
        if (value === null || value === undefined)
            value = that.getUniqueValue();
        if (value === _special_values__WEBPACK_IMPORTED_MODULE_0__/* .specialValues */ .A.nullValueGuid)
            value = null;
        return value;
    }
    _getLevel() {
        return this._info.level;
    }
    _getServerText() {
        var that = this;
        return that._getSpecialValue(dataStorageSpecialIds.DisplayText);
    }
    getKey() {
        return this._dataRowKey;
    }
    getAxisName() {
        return this._info.axisName;
    }
    getChildren() {
        return this._children;
    }
    getParent() {
        return this._parent;
    }
    getAvaliableLeafPoints() {
        var children = this.getChildren();
        if (children && children.length) {
            return children.reduce((acc, child) => {
                var lastLevelPoints = child.getAvaliableLeafPoints();
                if (lastLevelPoints && lastLevelPoints.length) {
                    acc = acc.concat(lastLevelPoints);
                }
                return acc;
            }, []);
        }
        return [this];
    }
    _setParent(parent) {
        this._parent = parent;
    }
    _setChildren(children) {
        this._children = children;
    }
    getParentByDimensionId(dimensionId) {
        var current = this, dimension;
        while (current.getParent()) {
            dimension = current.getDimension();
            if (dimension && dimension.id == dimensionId) {
                return current;
            }
            current = current.getParent();
        }
        return dimensionId ? this : current;
    }
    getDimensionValue(dimensionId) {
        var that = this, dimension = that.getDimension();
        if (!dimensionId || dimension && dimension.id == dimensionId) {
            return {
                getValue: function () {
                    return that.getValue();
                },
                getUniqueValue: function () {
                    return that.getUniqueValue();
                },
                getDisplayText: function () {
                    return that.getDisplayText();
                }
            };
        }
        else {
            var parent = that.getParent();
            return parent ? parent.getDimensionValue(dimensionId) : null;
        }
    }
    getDisplayText() {
        var that = this, displayText = that._getServerText(), uniqueValue = that.getUniqueValue();
        if (uniqueValue === _special_values__WEBPACK_IMPORTED_MODULE_0__/* .specialValues */ .A.olapNullValueGuid)
            return undefined;
        if (displayText == null) {
            var dimension = that.getDimension();
            if (dimension) {
                var format = that._info.metaData.getDimensionFormat(dimension.id);
                displayText = (0,_formatter__WEBPACK_IMPORTED_MODULE_1__/* .format */ .GP)(this.getValue(), format);
            }
        }
        return displayText;
    }
    getDimension() {
        var that = this, axisName = that.getAxisName(), dimensions = that._info.metaData.getAxes()[axisName], dimension = dimensions[that._getLevel()];
        return dimension;
    }
    getDimensions() {
        var that = this, parent = that.getParent();
        return parent ? parent.getDimensions().concat([that.getDimension()]) : [];
    }
    getAxisPath() {
        return this._selectPath(undefined);
    }
    getUniquePath() {
        return this._selectPath(function (point) {
            return point.getUniqueValue();
        });
    }
    getValuePath(includeProc) {
        return this._selectIncludedPath(includeProc, function (point) {
            return point.getValue();
        });
    }
    getDisplayPath(includeProc) {
        return this._selectIncludedPath(includeProc, function (point) {
            return point.getDisplayText();
        });
    }
    getValues() {
        var value = [], axisPoint = this;
        while (axisPoint.getUniqueValue() != null) {
            value.push(axisPoint.getUniqueValue());
            if (this.getDimensions().length == 1)
                break;
            axisPoint = axisPoint.getParent();
        }
        value.reverse();
    }
    _selectIncludedPath(includeProc, pointProc) {
        return this._selectPath(function (point) {
            if (!includeProc || includeProc(point)) {
                return pointProc(point);
            }
            else {
                return undefined;
            }
        });
    }
    _selectPath(predicate) {
        var action = predicate ? predicate : function (axisPoint) {
            return axisPoint;
        }, buildParentsList = function (axisPoint) {
            var parent = axisPoint.getParent();
            if (parent) {
                var newValue = action(axisPoint);
                return buildParentsList(parent).concat(newValue === undefined ? [] : [newValue]);
            }
            else {
                return [];
            }
        };
        return buildParentsList(this);
    }
    getPointsByDimensionId(dimensionId) {
        return this._getPointsByDimensionId(dimensionId, function (point) {
            return point;
        });
    }
    getDisplayTextsByDimensionId(dimensionId) {
        return this._getPointsByDimensionId(dimensionId, function (point) {
            return point.getDisplayText();
        });
    }
    _getPointsByDimensionId(dimensionId, pointProc) {
        var result = [];
        this._findPoints(dimensionId, result, pointProc);
        return result;
    }
    _findPoints(dimensionId, result, pointProc) {
        var dimension = this.getDimension();
        if (dimension && dimension.id === dimensionId) {
            result.push(pointProc(this));
            return;
        }
        var children = this.getChildren();
        for (var i = 0; i < children.length; i++) {
            children[i]._findPoints(dimensionId, result, pointProc);
        }
    }
}


/***/ }),

/***/ 5746:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ listBoxDashboardItemSerializationsInfo),
/* harmony export */   k: () => (/* binding */ listBoxType)
/* harmony export */ });
/* harmony import */ var _filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(641);

let listBoxType = {
    propertyName: 'listBoxType', modelName: '@ListBoxType', displayName: 'DashboardWebStringId.FilterItem.Type', defaultVal: 'Checked', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Checked': 'DashboardWebStringId.FilterItem.Type.Checked',
        'Radio': 'DashboardWebStringId.FilterItem.Type.Radio'
    }
};
let listBoxDashboardItemSerializationsInfo = _filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__/* .filterElementItemBaseSerializationInfo */ .fL.concat([listBoxType, _filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__/* .showAllValue */ .ob]);


/***/ }),

/***/ 5768:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ RangeFilterItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1133);
/* harmony import */ var _viewer_parts_viewer_items_range_selector_item_range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(9667);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1923);
/* harmony import */ var _data_item_window_definition_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7345);
/* harmony import */ var _internal_array_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2972);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8588);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4904);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1513);
/* harmony import */ var _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(8285);
/* harmony import */ var _series_item__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(2400);
/* harmony import */ var _range_filter_item_helper__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(7502);
/* harmony import */ var _range_state_controller__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(7563);
/* harmony import */ var _date_time_period__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(3607);
/* harmony import */ var _metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(3789);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

















class RangeFilterItem extends _series_item__WEBPACK_IMPORTED_MODULE_11__/* .SeriesItem */ .$ {
    get _supportParallelRequests() {
        return false;
    }
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this._defaultDateTimePeriodIndexSubscription = null;
        this.currentSelectedDateTimePeriodName = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.series = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Series, (item) => _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.createSeries(this, item, serializer));
        this.dateTimePeriods = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.DateTimePeriods, (item) => new _date_time_period__WEBPACK_IMPORTED_MODULE_14__/* .DateTimePeriod */ .F(item, serializer));
        this._attachDataItem(this, _metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_15__/* .argument */ .EE.propertyName);
        this.__argument._specifics.acceptableShapingType = _data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .AcceptableShapingType */ .zH.RangeDate;
        this.__argument._specifics.forceAddOlapExactDateFormat = true;
        this.addDisposable(this._stateController = new _range_state_controller__WEBPACK_IMPORTED_MODULE_13__/* .RangeStateController */ .B(this));
        this._stateController.initialize();
        (0,_range_filter_item_helper__WEBPACK_IMPORTED_MODULE_12__/* ._subscribeToDimension */ .x)(this.argument, this.dateTimePeriods, this._dataManager);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.dateTimePeriods);
        this.disposeObservableArray(this.series);
        this.dateTimePeriods.removeAll();
        this.series.removeAll();
    }
    _getInfoCore() {
        return _metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_15__/* .rangeFilterDashboardItemSerializationsInfo */ .Cf;
    }
    _getDefaultItemType() {
        return 'RangeFilter';
    }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getClearMasterFilterSupported() { return true; }
    _getIsMasterFilter() { return true; }
    _getInteractivityDimensionLinks() {
        return [this.__argument];
    }
    _getIsVisualInteractivitySupported() { return false; }
    _getCanColorByDimensions() { return true; }
    _getCanColorByMeasures() { return true; }
    _getAreMeasuresColoredByDefault() {
        return this.series().length > 1;
    }
    _getIsDimensionColoredByDefault(dimension) {
        return !!this.__seriesDimensions().filter(link => link.dataItem() === dimension)[0];
    }
    _getColorizableDataItemsInfo() {
        return [{
                items: this.__seriesDimensions(),
                prefixId: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_8__/* .BindingSectionTitles */ .Uo.SeriesDimension
            }];
    }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_5__/* .RangeFilterWindowDefinition */ .t();
    }
    _hasSelection() {
        if (this.currentSelectedDateTimePeriodName())
            return true;
        if (super._hasSelection()) {
            let fullRange = this._fullRange.peek();
            if (fullRange) {
                return !(0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_6__/* .arrayEquals */ .ng)(fullRange, this._selectionValues()[0]);
            }
            else
                return true;
        }
        return false;
    }
    _getSelectionByPeriod(period) {
        let range = period.getDateTimeValue();
        return [[range.startValue, range.endValue]];
    }
    _getDisplayFilterValues(limitCount) {
        return this._stateController._getDisplayFilterValues(limitCount);
    }
    _getEntireRange() {
        var points = this._getPointsByDimension(this.__argument.uniqueName(), _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_3__/* .itemDataAxisNames */ .X.chartArgumentAxis);
        if (points && points.length > 0) {
            return [points[0].getValue(), points[points.length - 1].getValue()];
        }
        return [];
    }
    _validateSelectionByData(selection) {
        if (this.argument()) {
            let newRange = this._getEntireRange();
            if (!(0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_6__/* .arrayEquals */ .ng)(newRange, this._fullRange.peek()))
                this._fullRange(newRange);
        }
        let validatedSelection = this._fullRange() && this._fullRange().length > 0 ? selection : undefined;
        this._setSelection(validatedSelection);
    }
    _getValidatedSelection(selectionValues) {
        let validatedValues = super._getValidatedSelection(selectionValues);
        if (this._fullRange() && this._fullRange().length > 0) {
            if (validatedValues) {
                let validatedRange = _viewer_parts_viewer_items_range_selector_item_range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_16__/* .RangeFilterSelectionValidator */ .A.validate({
                    startValue: validatedValues[0][0],
                    endValue: validatedValues[0][1]
                }, this.argument()._actualDateTimeGroupInterval() === 'Year', {
                    minimum: this._fullRange()[0],
                    maximum: this._fullRange()[1]
                });
                validatedValues[0] = [validatedRange.startValue, validatedRange.endValue];
            }
        }
        return validatedValues;
    }
    _setState(itemState) {
        this._stateController.setState(itemState);
    }
    _removeSelectionFromState(state) {
        let itemState = super._removeSelectionFromState((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state));
        return this._stateController.removeSelectionFromState(itemState);
    }
    _setPredefinedPeriodToState(state, periodName) {
        let itemState = super._setPredefinedPeriodToState((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state), periodName);
        return this._stateController.setPredefinedPeriodToState(itemState, periodName);
    }
    _setSelectionToState(state, selection) {
        return this._stateController.setSelectionToState(state, selection);
    }
    _extendContentState(content) {
        super._extendContentState(content);
        this._stateController.extendContentState(content);
    }
    _isSortingEnabled() {
        return false;
    }
    _isTopNEnabled(dataItem) {
        return false;
    }
}
RangeFilterItem.rangeSeriesViewTypesMap = {
    Line: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.Line,
    StackedLine: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.StackedLine,
    FullStackedLine: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.FullStackedLine,
    Area: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.Area,
    StackedArea: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.StackedArea,
    FullStackedArea: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.FullStackedArea,
    Bar: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.Bar,
    StackedBar: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.StackedBar,
    FullStackedBar: _chart_chart_series_creator__WEBPACK_IMPORTED_MODULE_10__/* .ChartSeriesCreator */ .o.chartSeriesViewTypesMap.FullStackedBar
};
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_7__/* .collectionItemType */ .s)('DateTimePeriod')
], RangeFilterItem.prototype, "dateTimePeriods", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_9__/* .itemTypesMap */ .Jh['RangeFilter'] = { type: RangeFilterItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameRangeFilterItem', index: 310 };


/***/ }),

/***/ 5771:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ FormatConditionRangeGenerator)
/* harmony export */ });
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5419);
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5792);
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6744);
/* harmony import */ var _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(488);
/* harmony import */ var _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2531);
/* harmony import */ var _style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(341);
/* harmony import */ var _range_converter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8105);
/* harmony import */ var _range_info__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4633);








class FormatConditionRangeGenerator {
    static generateRangeSet(condition, type) {
        if (type === _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeSetPredefinedType */ .mZ.None || type === _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeSetPredefinedType */ .mZ.Custom)
            return;
        condition.valueType(!!condition.dateTimeGroupInterval() ? 'Number' : 'Percent');
        var ranges = [];
        var styleList = _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionConverter */ .$p.getStyleList(type);
        if (styleList.isIcon) {
            ranges = FormatConditionRangeGenerator._generateRangeSet(styleList.list.length, condition.dataType(), condition.dateTimeGroupInterval(), i => new _style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__/* .IconSettings */ .N({
                '@IconType': styleList.list[i]
            }));
        }
        else {
            ranges = FormatConditionRangeGenerator._generateRangeSet(styleList.list.length, condition.dataType(), condition.dateTimeGroupInterval(), i => {
                return condition.createStyleSettings(styleList.list[i]);
            });
        }
        condition.rangeSet.ranges(ranges);
    }
    static generateGradientByType(condition, type, segmentNumber, isBar = false) {
        if (type === _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGradientPredefinedType */ ._p.None || type === _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGradientPredefinedType */ ._p.Custom)
            return;
        var styles = _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionConverter */ .$p
            .toAppearanceTypes(type)
            .map(t => isBar ? new _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_4__/* .BarStyleSettings */ .S({ '@PredefinedColor': t }) : new _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_3__/* .AppearanceSettings */ .M({ '@AppearanceType': t }));
        FormatConditionRangeGenerator.generateGradientByStyles(condition, styles, segmentNumber);
    }
    static generateGradientByStyles(condition, styles, segmentNumber) {
        var colorsCount = styles.length;
        if (segmentNumber >= colorsCount) {
            condition.generateAsPercent(styles[0], styles[colorsCount - 1], segmentNumber);
            if (colorsCount == 3)
                condition.rangeSet.ranges()[Math.floor(segmentNumber / 2)].styleSettings(styles[1]);
            if (colorsCount == 4) {
                condition.rangeSet.ranges()[Math.floor(segmentNumber / 3)].styleSettings(styles[1]);
                condition.rangeSet.ranges()[Math.floor(2 * segmentNumber / 3)].styleSettings(styles[2]);
            }
        }
    }
    static generateGradientColors(gradientType, count) {
        var gradientColors = [];
        var appearanceTypes = _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionConverter */ .$p.toAppearanceTypes(gradientType);
        var prevIndex = 0, nextIndex = count - 1;
        gradientColors[prevIndex] = _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q.fromAppearance(appearanceTypes[0]);
        gradientColors[nextIndex] = _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q.fromAppearance(appearanceTypes[appearanceTypes.length - 1]);
        if (appearanceTypes.length == 3) {
            nextIndex = count / 2;
            gradientColors[nextIndex] = _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q.fromAppearance(appearanceTypes[1]);
        }
        for (var i = 1; i < count - 1; i++) {
            if (appearanceTypes.length == 3 && (i === count / 2)) {
                nextIndex = count - 1;
            }
            gradientColors[i] = _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q.fromDxColor(gradientColors[nextIndex].blend(gradientColors[prevIndex], (i - nextIndex) / (prevIndex - nextIndex)));
        }
        return gradientColors;
    }
    static getPredefinedType(actualStyles, func) {
        var enumValues = _internal_helper_classes__WEBPACK_IMPORTED_MODULE_1__/* .EnumManager */ .ll.getValues(_range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeSetPredefinedType */ .mZ);
        for (var i = 0; i < enumValues.length; i++) {
            var rangePredefinedType = enumValues[i];
            if (rangePredefinedType != _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeSetPredefinedType */ .mZ.None && rangePredefinedType != _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeSetPredefinedType */ .mZ.Custom
                && FormatConditionRangeGenerator._isStylesEqual(actualStyles, func(rangePredefinedType).actualStyles))
                return rangePredefinedType;
        }
        return _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeSetPredefinedType */ .mZ.Custom;
    }
    static getGradientPredefinedType(actualStyles, func) {
        var enumValues = _internal_helper_classes__WEBPACK_IMPORTED_MODULE_1__/* .EnumManager */ .ll.getValues(_range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGradientPredefinedType */ ._p);
        for (var i = 0; i < enumValues.length; i++) {
            var rangePredefinedType = enumValues[i];
            if (rangePredefinedType != _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGradientPredefinedType */ ._p.None && rangePredefinedType != _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGradientPredefinedType */ ._p.Custom
                && FormatConditionRangeGenerator._isStylesEqual(actualStyles, func(rangePredefinedType).actualStyles))
                return rangePredefinedType;
        }
        return _range_converter__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGradientPredefinedType */ ._p.Custom;
    }
    static calculateRangePercentValues(segmentCount) {
        var values = [];
        for (var i = 0; i < segmentCount; i++) {
            values.push(FormatConditionRangeGenerator._calculateRangePercent(i, segmentCount));
        }
        return values;
    }
    static compareValues(val1, val2, changeType) {
        var negativeInfinity = negativeInfinity;
        var compare = (a, b) => {
            if (a == b) {
                return 0;
            }
            if (!a) {
                return -1;
            }
            if (!b) {
                return 1;
            }
            return a > b ? 1 : -1;
        };
        if (changeType && !!val1 && !!val2) {
            var firstNegativeInfinity = (val1 == negativeInfinity), secondNegativeInfinity = (val2 == negativeInfinity);
            if (firstNegativeInfinity && secondNegativeInfinity) {
                return 0;
            }
            if (firstNegativeInfinity) {
                return -1;
            }
            if (secondNegativeInfinity) {
                return 1;
            }
        }
        return compare(val1, val2);
    }
    static _isStylesEqual(actual, predefined) {
        if (actual.length != predefined.length)
            return false;
        for (var i = 0; i < actual.length; i++) {
            if ((actual[i] != null && predefined[i] == null) ||
                (actual[i] == null && predefined[i] != null) ||
                !actual[i].equals(predefined[i]))
                return false;
        }
        return true;
    }
    static _getPercentRangeStops(rangeStopsCount) {
        var marks = new Array(rangeStopsCount);
        for (var i = 0; i < rangeStopsCount; i++) {
            marks.push(i * 100 / rangeStopsCount);
        }
        return marks;
    }
    static _calculateRangePercent(index, count, decimals = 0) {
        return Math.round(100 * (index / count));
    }
    static _generateRangeSet(segmentCount, dataType, dateTimeGroupInterval, createStyleProc) {
        var ranges = [];
        for (var i = 0; i < segmentCount; i++) {
            let rangeInfo = new _range_info__WEBPACK_IMPORTED_MODULE_7__/* .RangeInfo */ .c();
            let value = !dateTimeGroupInterval ? FormatConditionRangeGenerator._calculateRangePercent(i, segmentCount) : FormatConditionRangeGenerator._calculateRangeDate(dateTimeGroupInterval, i, segmentCount);
            rangeInfo.value.setValue(value, _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__/* .fieldTypes */ .s$[dataType]);
            rangeInfo.styleSettings(createStyleProc(i));
            ranges.push(rangeInfo);
        }
        return ranges;
    }
    static _calculateRangeDate(groupInterval, i, segmentCount) {
        let dateIndex = segmentCount - i - 1;
        switch (groupInterval) {
            case 'DateHour':
                return DateTime.addHours(-dateIndex);
            case 'DateHourMinute':
                return DateTime.addMinutes(-dateIndex);
            case 'DateHourMinuteSecond':
                return DateTime.addSeconds(-dateIndex);
            case 'DayMonthYear':
            case 'None':
                return DateTime.addDays(-dateIndex);
            case 'WeekYear':
                return DateTime.addWeeks(-dateIndex);
            case 'MonthYear':
                return DateTime.addMonths(-dateIndex);
            case 'QuarterYear':
                return DateTime.addMonths(-dateIndex * 3);
            case 'Year':
                return DateTime.addYears(-dateIndex).getFullYear();
            case 'WeekOfMonth':
            case 'WeekOfYear':
            case 'Second':
            case 'Quarter':
            case 'Hour':
            case 'Minute':
            case 'Month':
            case 'DayOfWeek':
            case 'DayOfYear':
            case 'Day':
            default:
                return i;
        }
    }
}
class DateTime {
}
DateTime.addHours = function (v) {
    var date = new Date();
    date.setTime(date.getTime() + (v * 60 * 60 * 1000));
    return date;
};
DateTime.addMinutes = function (v) {
    var date = new Date();
    date.setTime(date.getTime() + (v * 60 * 1000));
    return date;
};
DateTime.addSeconds = function (v) {
    var date = new Date();
    date.setTime(date.getTime() + (v * 1000));
    return date;
};
DateTime.addDays = function (v) {
    var date = new Date();
    date.setTime(date.getTime() + (v * 24 * 60 * 60 * 1000));
    return date;
};
DateTime.addMonths = function (v) {
    var date = new Date();
    var year = date.getFullYear();
    var newMonth = date.getMonth() + v;
    var month = newMonth % 12;
    if (month < 0) {
        month += 12;
    }
    date.setMonth(month);
    date.setFullYear(year + (newMonth - month) / 12);
    return date;
};
DateTime.addYears = function (v) {
    var date = new Date();
    date.setFullYear(date.getFullYear() + v);
    return date;
};
DateTime.addWeeks = function (v) {
    return DateTime.addDays(7 * v);
};


/***/ }),

/***/ 5781:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ pieDataController)
/* harmony export */ });
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6726);
/* harmony import */ var _chart_data_controller_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1869);


var PieSettingsType = {
    SeriesOnly: 'SeriesOnly',
    ArgumentsOnly: 'ArgumentsOnly',
    ArgumentsAndSeries: 'ArgumentsAndSeries',
    ElementSelection: 'ElementSelection'
};
class pieDataController extends _chart_data_controller_base__WEBPACK_IMPORTED_MODULE_1__/* .chartDataControllerBase */ ._ {
    constructor(options) {
        super(options);
        if (this.multiData && this.viewModel) {
            this._measures = this.multiData ? this.multiData.getMeasures() : [];
            this._argumentAxisPoints = this.getArgumentAxisPoints();
            if (this.viewModel.ProvideValuesAsArguments) {
                this.settingsType = PieSettingsType.SeriesOnly;
            }
            else if (!this.viewModel.SummarySeriesMember) {
                this.settingsType = PieSettingsType.ArgumentsOnly;
            }
            else if (this.viewModel.ContentDescription && this.viewModel.ContentDescription.ElementSelectionEnabled) {
                this.settingsType = PieSettingsType.ElementSelection;
            }
            else {
                this.settingsType = PieSettingsType.ArgumentsAndSeries;
            }
        }
    }
    getPointDisplayTexts(pointTag, value, percent) {
        var that = this, valueDataMember = pointTag.dataMembers[0], measure = this.multiData.getMeasureById(valueDataMember);
        return {
            argumentText: (this.settingsType === PieSettingsType.SeriesOnly) ? measure.name : that.getTitle(pointTag.axisPoint, '\n'),
            valueText: pointTag.valueText,
            percentText: (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .formatNumeric */ .bH)(percent, this.viewModel.PercentFormatViewModel)
        };
    }
    isDiscreteArgument() {
        return true;
    }
    createDataSource(seriesAxisPoint, valueDataMember) {
        var that = this, viewModel = that.viewModel, dataSource = [];
        if (that.settingsType === PieSettingsType.SeriesOnly) {
            var argumentAxisPoint = that._getArgumentAxis().getRootPoint();
            that._measures
                .filter(measure => viewModel.ValueDataMembers && viewModel.ValueDataMembers.indexOf(measure.id) !== -1)
                .forEach((measure, index) => {
                var dataMember = measure.id, valueInfo = that._getCrossSlice(argumentAxisPoint, seriesAxisPoint).getMeasureValue(dataMember);
                dataSource.push({
                    x: measure.name,
                    y: that._getCorrectZeroValue(valueInfo.getValue()),
                    tag: {
                        axisPoint: argumentAxisPoint,
                        dataMembers: [dataMember],
                        colorMeasureId: that._getColorDataMemberByIndex(index),
                        valueText: valueInfo.getDisplayText()
                    }
                });
            });
        }
        else {
            that._argumentAxisPoints.forEach(argumentAxisPoint => {
                var valueInfo = that._getCrossSlice(argumentAxisPoint, seriesAxisPoint).getMeasureValue(valueDataMember);
                dataSource.push({
                    x: that.getArgument(argumentAxisPoint),
                    y: that._getCorrectZeroValue(valueInfo.getValue()),
                    tag: {
                        axisPoint: argumentAxisPoint,
                        dataMembers: [valueDataMember],
                        colorMeasureId: that._getColorDataMemberByMeasureId(valueDataMember),
                        valueText: valueInfo.getDisplayText()
                    }
                });
            });
        }
        return dataSource;
    }
    getValueDataMembers() {
        var viewModel = this.viewModel;
        switch (this.settingsType) {
            case PieSettingsType.SeriesOnly:
                return ['SeriesOnlyInternalFakeValueDataMember'];
            case PieSettingsType.ArgumentsOnly:
            case PieSettingsType.ArgumentsAndSeries:
                return viewModel.ValueDataMembers;
            case PieSettingsType.ElementSelection:
                return [viewModel.ValueDataMembers[viewModel.ContentDescription.SelectedElementIndex]];
        }
    }
    getValueDisplayNames(seriesAxisPoint, valueDataMemberIndex) {
        var viewModel = this.viewModel;
        switch (this.settingsType) {
            case PieSettingsType.ArgumentsOnly:
                return viewModel.ValueDisplayNames[valueDataMemberIndex];
            case PieSettingsType.SeriesOnly:
            case PieSettingsType.ArgumentsAndSeries:
            case PieSettingsType.ElementSelection:
                return this.getTitle(seriesAxisPoint);
        }
    }
    _getCorrectZeroValue(value) {
        return value === 0 || value == null ? null : Math.abs(value);
    }
    _getColorDataMemberByMeasureId(valueDataMember) {
        var viewModel = this.viewModel;
        switch (this.settingsType) {
            case PieSettingsType.ArgumentsOnly:
                var index = viewModel.ValueDataMembers ? viewModel.ValueDataMembers.indexOf(valueDataMember) : -1;
                return this._getColorDataMemberByIndex(index);
            case PieSettingsType.ArgumentsAndSeries:
                return this._getColorDataMemberByIndex(0);
            case PieSettingsType.ElementSelection:
                return this._getColorDataMemberByIndex(viewModel.ContentDescription.SelectedElementIndex);
            default:
                return undefined;
        }
    }
    _getColorDataMemberByIndex(index) {
        var colorDataMembers = this.viewModel.ColorDataMembers;
        return (colorDataMembers.length == 1) ? colorDataMembers[0] : colorDataMembers[index];
    }
}


/***/ }),

/***/ 5792:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $A: () => (/* binding */ NameGenerator),
/* harmony export */   ZN: () => (/* binding */ isComponentNameValid),
/* harmony export */   ll: () => (/* binding */ EnumManager),
/* harmony export */   wM: () => (/* binding */ Guard)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);

class NameGenerator {
    static validateName(object, nameCollection, propertyName, startIndex, addWhiteSpace = false) {
        var currentName = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(object[propertyName]);
        if (!NameGenerator.isValidName(currentName, nameCollection, propertyName)) {
            object[propertyName](NameGenerator.generateName(currentName, nameCollection, propertyName, startIndex, addWhiteSpace));
        }
    }
    static isValidName(name, nameCollection, propertyName) {
        return nameCollection.map((value) => knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(value[propertyName])).filter((value) => value === name).length === 0;
    }
    static generateName(namePrefix, nameCollection, propertyName, startIndex, addWhiteSpace = false) {
        var getNewName = (index) => {
            return namePrefix + (addWhiteSpace ? ' ' : '') + index;
        };
        var i = startIndex ? startIndex : 0, name = getNewName(i);
        while (!NameGenerator.isValidName(name, nameCollection, propertyName)) {
            name = getNewName(++i);
        }
        return name;
    }
}
function isComponentNameValid(name) {
    return !!(name && (typeof name === 'string') && name.length && name.match(/^[A-Za-z][A-Za-z0-9]*(?:_[A-Za-z0-9]+)*$/));
}
class Guard {
    static isNotFalsy(object, name) {
        if (!object) {
            throw new Error(name + ' should not be falsy.');
        }
    }
    static requires(condition, message) {
        if (!condition)
            throw new Error(message || 'Required code contract condition is not met.');
    }
}
class EnumManager {
    static getNamesAndValues(enumType) {
        return this.getNames(enumType).map(name => {
            return {
                name: name,
                value: enumType[name]
            };
        });
    }
    static getNames(enumType) {
        return EnumManager._getObjectValues(enumType).filter(value => typeof value === 'string');
    }
    static getValues(enumType) {
        return EnumManager._getObjectValues(enumType).filter(value => typeof value === 'number');
    }
    static _getObjectValues(enumType) {
        return Object.keys(enumType).map(key => enumType[key]);
    }
}


/***/ }),

/***/ 5803:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Qk: () => (/* binding */ FilterChecker),
/* harmony export */   Zz: () => (/* binding */ pivotHelper),
/* harmony export */   st: () => (/* binding */ FieldsExtractor),
/* harmony export */   xD: () => (/* binding */ OneElementFilterRemover)
/* harmony export */ });
/* harmony import */ var _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1133);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4833);


let pivotHelper = {
    getSchemaRow(fields) {
        let row = {};
        fields && fields.forEach(f => {
            row[f.name] = undefined;
        });
        return row;
    },
    createAreaFields(fieldsViewModels, area, autoExpand) {
        return fieldsViewModels ? fieldsViewModels.map((viewModel) => {
            return {
                name: viewModel.DataId,
                dataField: viewModel.DataId,
                caption: viewModel.Caption,
                area: area,
                expanded: autoExpand,
                sortBy: 'none'
            };
        }) : [];
    },
    getColumnAxis(multiData) {
        return multiData.getAxis(_data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_0__/* .itemDataAxisNames */ .X.pivotColumnAxis);
    },
    getRowAxis(multiData) {
        return multiData.getAxis(_data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_0__/* .itemDataAxisNames */ .X.pivotRowAxis);
    }
};
class FilterValueVisitor {
    constructor() {
        this._supportedLogicalOperation = ['and', 'or'];
    }
    _visitComplexExpression(filter) {
        let currentResult = undefined;
        let currentOperator = null;
        for (let i = 0; i < filter.length; i++) {
            let currentElement = filter[i];
            if (i % 2 === 1) {
                if (typeof currentElement === 'string' && this._supportedLogicalOperation.indexOf(currentElement) !== -1) {
                    currentOperator = currentElement;
                }
                else {
                    new Error(`Filter "${JSON.stringify(filter)}" has unsupported structure. Element "${JSON.stringify(currentElement)}" at ${i} is not supported operator`);
                }
            }
            else {
                if (Array.isArray(currentElement)) {
                    if (i === 0) {
                        currentResult = this._visit(currentElement);
                    }
                    else {
                        switch (currentOperator) {
                            case 'and':
                                currentResult = this._and(currentResult, this._visit(currentElement));
                                break;
                            case 'or':
                                currentResult = this._or(currentResult, this._visit(currentElement));
                                break;
                            default:
                                throw new Error(`The operator "${currentOperator.toString()}" is not supported in filter expression`);
                        }
                    }
                }
                else {
                    throw new Error(`Filter "${JSON.stringify(filter)}" has unsupported structure. Element "${JSON.stringify(currentElement)}" at ${i} should be array`);
                }
            }
        }
        return currentResult;
    }
    _visit(filter) {
        if (!filter || filter.length === 0)
            return this._visitEmpty(filter);
        if (filter.length === 1) {
            return this._visit(filter[0]);
        }
        if (filter.length === 2) {
            return this._negate(this._visit(filter[1]));
        }
        else {
            if (filter.length === 3 && filter[1] === '=') {
                let field = filter[0];
                let value = filter[2];
                return this._visitEquality(field, value);
            }
            else if (filter.length >= 3 && filter.length % 2 === 1) {
                return this._visitComplexExpression(filter);
            }
            else {
                throw new Error(`Filter "${JSON.stringify(filter)}" has unsupported structure: must contain an odd number of elements`);
            }
        }
    }
}
class FilterChecker extends FilterValueVisitor {
    static fits(dimensionValues, filter) {
        FilterChecker._instance._dimensionValues = dimensionValues;
        return FilterChecker._instance._visit(filter);
    }
    _visitEmpty(filter) {
        return true;
    }
    _negate(value) {
        return !value;
    }
    _visitEquality(field, value) {
        return this._dimensionValues[field] === undefined || this._dimensionValues[field] === value;
    }
    _and(left, right) {
        return left && right;
    }
    _or(left, right) {
        return left || right;
    }
}
FilterChecker._instance = new FilterChecker();
class OneElementFilterRemover extends FilterValueVisitor {
    static simplify(filter) {
        return OneElementFilterRemover._instance._visit(filter);
    }
    _visitEmpty(filter) {
        return filter;
    }
    _negate(value) {
        return ['!', value];
    }
    _visitEquality(field, value) {
        return [field, '=', value];
    }
    _and(left, right) {
        return [left, 'and', right];
    }
    _or(left, right) {
        return [left, 'or', right];
    }
}
OneElementFilterRemover._instance = new OneElementFilterRemover();
class FieldsExtractor extends FilterValueVisitor {
    static extract(filter) {
        return (0,_data_utils__WEBPACK_IMPORTED_MODULE_1__/* .distinct */ .dM)(FieldsExtractor._instance._visit(filter));
    }
    _visitEmpty(filter) {
        return [];
    }
    _negate(value) {
        return value;
    }
    _visitEquality(field, value) {
        return [field];
    }
    _and(left, right) {
        return left.concat(right);
    }
    _or(left, right) {
        return left.concat(right);
    }
}
FieldsExtractor._instance = new FieldsExtractor();


/***/ }),

/***/ 5809:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ PivotWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2210);



class PivotWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .pivotWindowDefinitionSerializationsInfo */ .F;
    }
    equals(def) {
        return (def instanceof PivotWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['PivotWindowDefinition'] = PivotWindowDefinition;


/***/ }),

/***/ 5834:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ RankCalculation)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5354);
/* harmony import */ var _metadata_rank_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8621);



class RankCalculation extends _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculation */ .Q {
    static _getRankFunction(rankType) {
        switch (rankType) {
            case 'Competition':
                return 'RankCompetition';
            case 'Unique':
                return 'RankUnique';
            case 'Dense':
                return 'RankDense';
            case 'Modified':
                return 'RankModified';
            case 'Percentile':
                return 'RankPercentile';
            default:
                throw new Error('Unsupported RankType');
        }
    }
    get name() {
        return 'DashboardWebStringId.Calculations.Rank';
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_rank_calculation__WEBPACK_IMPORTED_MODULE_2__/* .rankCalculationSerializationsInfo */ .jV;
    }
    _createInstance() {
        return new RankCalculation();
    }
    _getExpression(argument) {
        var order = this.rankOrder() == 'Ascending' ? 'asc' : 'desc';
        return `${RankCalculation._getRankFunction(this.rankType())}(${argument}, '${order}')`;
    }
}
_measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .calculationsTypesMap */ .c['Rank'] = RankCalculation;


/***/ }),

/***/ 5842:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ comboBoxDashboardItemSerializationsInfo),
/* harmony export */   q: () => (/* binding */ comboBoxType)
/* harmony export */ });
/* harmony import */ var _filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(641);

let comboBoxType = {
    propertyName: 'comboBoxType', modelName: '@ComboBoxType', displayName: 'DashboardWebStringId.FilterItem.Type', defaultVal: 'Standard', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Standard': 'DashboardWebStringId.FilterItem.Type.Standard',
        'Checked': 'DashboardWebStringId.FilterItem.Type.Checked'
    }
};
let comboBoxDashboardItemSerializationsInfo = _filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__/* .filterElementItemBaseSerializationInfo */ .fL.concat([comboBoxType, _filter_element_item_base__WEBPACK_IMPORTED_MODULE_0__/* .showAllValue */ .ob]);


/***/ }),

/***/ 5854:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BG: () => (/* binding */ cardRowDataElementTypeValuesMap),
/* harmony export */   CY: () => (/* binding */ cardFormatRuleLayoutElementValuesMap),
/* harmony export */   MP: () => (/* binding */ cardRowDataElementTypeValuesMapEx),
/* harmony export */   R0: () => (/* binding */ cardLayoutVisible),
/* harmony export */   h$: () => (/* binding */ cardLayoutTemplateDataElementSerializationInfo),
/* harmony export */   kd: () => (/* binding */ cardRowElementTypeValuesMapBase),
/* harmony export */   kw: () => (/* binding */ cardLayoutValueType),
/* harmony export */   mg: () => (/* binding */ cardLayoutTemplateElementBaseSerializationInfo),
/* harmony export */   rx: () => (/* binding */ dimensionIndex)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let cardRowElementTypeValuesMapBase = {
    'Title': 'DashboardStringId.CardRowDataElementTypeTitleCaption',
    'Subtitle': 'DashboardStringId.CardRowDataElementTypeSubtitleCaption',
    'ActualValue': 'DashboardStringId.CardRowDataElementTypeActualValueCaption',
    'TargetValue': 'DashboardStringId.CardRowDataElementTypeTargetValueCaption',
    'AbsoluteVariation': 'DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption',
    'PercentVariation': 'DashboardStringId.CardRowDataElementTypePercentVariationCaption',
    'PercentOfTarget': 'DashboardStringId.CardRowDataElementTypePercentOfTargetCaption',
    'CardName': 'DashboardStringId.CardRowDataElementTypeCardNameCaption',
};
let cardRowDataElementTypeValuesMap = {
    ...cardRowElementTypeValuesMapBase,
    'DimensionValue': 'DashboardStringId.CardRowDataElementTypeDimensionValueCaption',
};
let cardFormatRuleLayoutElementValuesMap = {
    'AllElements': 'DashboardStringId.FormatRuleApplyToAllElements',
    ...cardRowElementTypeValuesMapBase,
    'Indicator': 'DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption',
};
let cardRowDataElementTypeValuesMapEx = {
    ...cardRowDataElementTypeValuesMap,
    'DeltaIndicator': 'DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption',
    'Sparkline': 'DashboardStringId.CardRowDataElementTypeSparklineCaption'
};
let cardLayoutVisible = { propertyName: 'visible', modelName: '@Visible', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let dimensionIndex = { propertyName: 'dimensionIndex', modelName: '@DimensionIndex', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let cardLayoutValueType = { propertyName: 'valueType', modelName: '@ValueType', simpleFormAdapterItem: 'listEditor' };
let cardLayoutTemplateElementBaseSerializationInfo = [cardLayoutVisible];
let cardLayoutTemplateDataElementSerializationInfo = cardLayoutTemplateElementBaseSerializationInfo.concat([cardLayoutValueType, dimensionIndex]);


/***/ }),

/***/ 5988:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (/* binding */ createDxDeferred),
/* harmony export */   Ge: () => (/* binding */ jqueryOffset),
/* harmony export */   HC: () => (/* binding */ $wrap),
/* harmony export */   HE: () => (/* binding */ wrapInner),
/* harmony export */   I1: () => (/* binding */ $unwrap),
/* harmony export */   KO: () => (/* binding */ createJQueryDeferred),
/* harmony export */   L$: () => (/* binding */ createJQueryElement),
/* harmony export */   NG: () => (/* binding */ createJQueryCallbacks),
/* harmony export */   Oq: () => (/* binding */ getHeight),
/* harmony export */   Ot: () => (/* binding */ getOuterWidth),
/* harmony export */   P$: () => (/* binding */ getOuterHeight),
/* harmony export */   Qd: () => (/* binding */ isPlainObject),
/* harmony export */   R8: () => (/* binding */ accessJQueryData),
/* harmony export */   RG: () => (/* binding */ getWidth),
/* harmony export */   Rp: () => (/* binding */ jqueryWhen),
/* harmony export */   X$: () => (/* binding */ extend),
/* harmony export */   fy: () => (/* binding */ $promiseAdapter),
/* harmony export */   i: () => (/* binding */ wrapPublicElement),
/* harmony export */   kp: () => (/* binding */ closest),
/* harmony export */   ql: () => (/* binding */ jqueryQueryParam),
/* harmony export */   wj: () => (/* binding */ jqueryWhenArray),
/* harmony export */   zN: () => (/* binding */ isVisible),
/* harmony export */   zw: () => (/* binding */ deepExtend)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_core_config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4058);
/* harmony import */ var devextreme_core_config__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_config__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);



const $promiseAdapter = (promise) => promise;
const $unwrap = (element) => {
    if (element.jquery || element.dxRenderer) {
        return element[0];
    }
    else {
        return element;
    }
};
const $wrap = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element);
const wrapPublicElement = (element) => (devextreme_core_config__WEBPACK_IMPORTED_MODULE_1___default()().useJQuery ? $wrap(element) : element);
const extend = (target, source1, ...sources) => jquery__WEBPACK_IMPORTED_MODULE_2__.extend(target, source1, ...sources);
const deepExtend = (target, ...sources) => jquery__WEBPACK_IMPORTED_MODULE_2__.extend(true, target, ...sources);
const isPlainObject = (object) => jquery__WEBPACK_IMPORTED_MODULE_2__.isPlainObject(object);
const getWidth = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).width();
const getHeight = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).height();
const getOuterWidth = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).outerWidth();
const getOuterHeight = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).outerHeight();
const wrapInner = (element, wrappingElement) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).wrapInner(wrappingElement);
const accessJQueryData = function (element, key, value) {
    if (arguments.length > 2) {
        jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).data(key, value);
    }
    else {
        return jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).data(key);
    }
};
const isVisible = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).is(':visible');
const closest = (element, css) => {
    var node = element;
    var matches = node.matches || node.matchesSelector || node.webkitMatchesSelector || node.mozMatchesSelector || node.msMatchesSelector || node.oMatchesSelector;
    while (node) {
        if (matches.apply(node, [css]))
            return node;
        node = closestParentElement(node);
    }
    return null;
};
const closestParentElement = (node) => {
    while (node && !node.parentElement) {
        node = node.parentNode;
    }
    return node ? node.parentElement : null;
};
const createJQueryCallbacks = () => jquery__WEBPACK_IMPORTED_MODULE_2__.Callbacks();
const createJQueryDeferred = () => jquery__WEBPACK_IMPORTED_MODULE_2__.Deferred();
const createDxDeferred = () => new _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.DxDeferred();
const jqueryWhen = (...promises) => jquery__WEBPACK_IMPORTED_MODULE_2__.when(...promises);
const jqueryWhenArray = (promises) => jquery__WEBPACK_IMPORTED_MODULE_2__.when.apply(jquery__WEBPACK_IMPORTED_MODULE_2__.when, promises);
const jqueryQueryParam = (value) => jquery__WEBPACK_IMPORTED_MODULE_2__.param(value);
const jqueryOffset = (element) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element).offset();
const createJQueryElement = (element, options) => jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element, options);


/***/ }),

/***/ 6157:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ex: () => (/* binding */ dataSource),
/* harmony export */   GX: () => (/* binding */ filterString),
/* harmony export */   Hv: () => (/* binding */ formatRules),
/* harmony export */   LH: () => (/* binding */ dataDashboardItemSerializationsInfo),
/* harmony export */   Ws: () => (/* binding */ dataItemsSerializable),
/* harmony export */   _K: () => (/* binding */ hiddenDimensions),
/* harmony export */   g6: () => (/* binding */ visibleDataFilterString),
/* harmony export */   o3: () => (/* binding */ hiddenMeasures),
/* harmony export */   os: () => (/* binding */ isMasterFilterCrossDataSource),
/* harmony export */   ub: () => (/* binding */ itemColorScheme)
/* harmony export */ });
/* harmony import */ var _internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1023);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _dashboard_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3888);



let dataSource = { propertyName: 'dataSource', modelName: '@DataSource', displayName: 'DashboardStringId.DefaultDataSourceName', simpleFormAdapterItem: 'textBoxEditor' };
let filterString = { propertyName: 'filterString', modelName: '@FilterString', from: (filterStr) => {
        return (0,_internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__/* .replaceExpressionParametersPrefix */ .nV)(filterStr);
    } };
let visibleDataFilterString = { propertyName: 'visibleDataFilterString', modelName: '@VisibleDataFilterString' };
let isMasterFilterCrossDataSource = { propertyName: 'isMasterFilterCrossDataSource', modelName: '@IsMasterFilterCrossDataSource', displayName: 'DashboardWebStringId.CrossDataSourceFiltering', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let itemColorScheme = { propertyName: 'colorScheme', modelName: 'ColorScheme', displayName: 'DashboardWebStringId.DashboardMenuColorScheme', array: true };
let dataItemsSerializable = { propertyName: 'dataItems', modelName: 'DataItems', displayName: 'DashboardWebStringId.DataSources.DataItems', array: true };
let hiddenDimensions = { propertyName: '__hiddenDimensions', modelName: 'HiddenDimensions', displayName: 'DashboardWebStringId.Binding.HiddenDimensions', array: true };
let hiddenMeasures = { propertyName: '__hiddenMeasures', modelName: 'HiddenMeasures', displayName: 'DashboardWebStringId.Binding.HiddenMeasures', array: true };
let formatRules = { propertyName: 'formatRules', modelName: 'FormatRules', array: true };
let dataDashboardItemSerializationsInfo = _dashboard_item__WEBPACK_IMPORTED_MODULE_2__/* .dashboardItemSerializationsInfo */ .xg.concat([dataSource, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .dataMember */ .Fp, filterString, visibleDataFilterString, isMasterFilterCrossDataSource, dataItemsSerializable, formatRules, hiddenDimensions, hiddenMeasures, itemColorScheme]);


/***/ }),

/***/ 6172:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E2: () => (/* binding */ shapeData),
/* harmony export */   _o: () => (/* binding */ customShapefileDataSerializationsInfo),
/* harmony export */   pr: () => (/* binding */ attributeData)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let shapeData = { propertyName: 'shapeData', modelName: '@ShapeData', displayName: 'DashboardWebStringId.Map.CustomMapFile', defaultVal: undefined, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Map };
let attributeData = { propertyName: 'attributeData', modelName: '@AttributeData', displayName: 'DashboardWebStringId.Map.CustomAttributeFile', defaultVal: undefined, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Map };
let customShapefileDataSerializationsInfo = [shapeData, attributeData];


/***/ }),

/***/ 6185:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BindingSectionTitles: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.Uo),
/* harmony export */   NotSupportedProperty: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.li),
/* harmony export */   PropertyCategory: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.Sw),
/* harmony export */   _actualRankType: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_43__.iN),
/* harmony export */   _dataMemberSerialization: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.ee),
/* harmony export */   _dataSourceNameSerialization: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.cF),
/* harmony export */   absoluteVariationNumericFormat: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.V5),
/* harmony export */   absoluteVariationNumericFormatSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.i3),
/* harmony export */   actualValueName: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.td),
/* harmony export */   actualValuePropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.UQ),
/* harmony export */   aliasProperty: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.ql),
/* harmony export */   allowCellMerge: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.mJ),
/* harmony export */   allowMultiselect: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.re),
/* harmony export */   allowNegativeAxis: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_37__.ak),
/* harmony export */   allowNull: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.Hu),
/* harmony export */   alwaysShowZeroLevel: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.ZD),
/* harmony export */   alwaysShowZeroLevelScatter: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.Zx),
/* harmony export */   alwaysShowZeroLevelTemplate: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.rp),
/* harmony export */   appearanceSettingsSerializationsInfo: () => (/* reexport safe */ _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__.hZ),
/* harmony export */   appearanceType: () => (/* reexport safe */ _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__.pP),
/* harmony export */   applyToChartElement: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_53__.gi),
/* harmony export */   applyToColumn: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__.QF),
/* harmony export */   applyToRow: () => (/* reexport safe */ _format_rules_metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_52__.a1),
/* harmony export */   area: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.Wc),
/* harmony export */   argument: () => (/* reexport safe */ _items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_121__.EE),
/* harmony export */   argumentPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.A1),
/* harmony export */   argumentsPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.zv),
/* harmony export */   arrangementMode: () => (/* reexport safe */ _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__.gz),
/* harmony export */   attributeData: () => (/* reexport safe */ _items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_97__.pr),
/* harmony export */   attributeDimension: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__.LX),
/* harmony export */   attributeName: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__.CK),
/* harmony export */   autoExpand: () => (/* reexport safe */ _items_filter_items_metadata_tree_view_item__WEBPACK_IMPORTED_MODULE_83__.C),
/* harmony export */   autoExpandColumnGroups: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.aG),
/* harmony export */   autoExpandRowGroups: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.IG),
/* harmony export */   autofitTemplateSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.LZ),
/* harmony export */   averageType: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_35__.G),
/* harmony export */   axisVisible: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.kS),
/* harmony export */   axisX: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.sF),
/* harmony export */   axisXMeasure: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.sZ),
/* harmony export */   axisY: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.l3),
/* harmony export */   axisYMeasure: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.hm),
/* harmony export */   backColor: () => (/* reexport safe */ _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__.lU),
/* harmony export */   barCurrentStyleSettings: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_36__.dq),
/* harmony export */   barCurrentStyleSettingsType: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_36__.hE),
/* harmony export */   barNegativeStyleSettings: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_36__.vI),
/* harmony export */   barOptions: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.oD),
/* harmony export */   baseDateTypeValues: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_39__.Ao),
/* harmony export */   bottomLatitude: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.Me),
/* harmony export */   bottomSubValue1: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.MZ),
/* harmony export */   bottomSubValue2: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.TH),
/* harmony export */   bottomValue: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.NR),
/* harmony export */   bottomValue1: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.Oh),
/* harmony export */   bottomValue2: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.VV),
/* harmony export */   boundImageDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_104__.WD),
/* harmony export */   bubbleMapColor: () => (/* reexport safe */ _items_map_metadata_bubble_map_item__WEBPACK_IMPORTED_MODULE_93__.Od),
/* harmony export */   bubbleMapDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_bubble_map_item__WEBPACK_IMPORTED_MODULE_93__.Bf),
/* harmony export */   bubbleMapWeight: () => (/* reexport safe */ _items_map_metadata_bubble_map_item__WEBPACK_IMPORTED_MODULE_93__.vc),
/* harmony export */   calcFieldDataMember: () => (/* reexport safe */ _data_sources_metadata_calculated_field__WEBPACK_IMPORTED_MODULE_24__.Kl),
/* harmony export */   calcFieldExpression: () => (/* reexport safe */ _data_sources_metadata_calculated_field__WEBPACK_IMPORTED_MODULE_24__.oq),
/* harmony export */   calcFieldExpressionEditable: () => (/* reexport safe */ _data_sources_metadata_calculated_field__WEBPACK_IMPORTED_MODULE_24__.Oj),
/* harmony export */   calculatedFieldSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_calculated_field__WEBPACK_IMPORTED_MODULE_24__.Ey),
/* harmony export */   calculatedFieldType: () => (/* reexport safe */ _data_sources_metadata_calculated_field__WEBPACK_IMPORTED_MODULE_24__.j),
/* harmony export */   calculation: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.G7),
/* harmony export */   calculationRankOrder: () => (/* reexport safe */ _data_item_calculations_metadata_rank_calculation__WEBPACK_IMPORTED_MODULE_6__.GS),
/* harmony export */   calculationRankType: () => (/* reexport safe */ _data_item_calculations_metadata_rank_calculation__WEBPACK_IMPORTED_MODULE_6__.q8),
/* harmony export */   calculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_calculation__WEBPACK_IMPORTED_MODULE_1__.r),
/* harmony export */   calculations: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.lR),
/* harmony export */   cardDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_card_metadata_card_item__WEBPACK_IMPORTED_MODULE_65__.PO),
/* harmony export */   cardDefinitionMode: () => (/* reexport safe */ _data_item_window_definition_metadata_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_12__.J),
/* harmony export */   cardDeltaOptions: () => (/* reexport safe */ _items_card_metadata_card__WEBPACK_IMPORTED_MODULE_64__.bu),
/* harmony export */   cardDeltaOptionsSerializationsInfo: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__.iv),
/* harmony export */   cardFormatRuleLayoutElementValuesMap: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.CY),
/* harmony export */   cardLayout: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.jj),
/* harmony export */   cardLayoutSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout__WEBPACK_IMPORTED_MODULE_66__.dL),
/* harmony export */   cardLayoutSparkline: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.uo),
/* harmony export */   cardLayoutTemplateDataElementSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.h$),
/* harmony export */   cardLayoutTemplateElementBaseSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.mg),
/* harmony export */   cardLayoutValueType: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.kw),
/* harmony export */   cardLayoutVisible: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.R0),
/* harmony export */   cardRowBaseSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.QH),
/* harmony export */   cardRowDataElementDimensionIndex: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.XQ),
/* harmony export */   cardRowDataElementSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.TX),
/* harmony export */   cardRowDataElementTypeValuesMap: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.BG),
/* harmony export */   cardRowDataElementTypeValuesMapEx: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.MP),
/* harmony export */   cardRowDataElementValueType: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.yc),
/* harmony export */   cardRowElementColor: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.IK),
/* harmony export */   cardRowElementSerializationsInfo: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.gM),
/* harmony export */   cardRowElementTypeValuesMapBase: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.kd),
/* harmony export */   cardRowFontFamily: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.UN),
/* harmony export */   cardRowFontSize: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.DD),
/* harmony export */   cardRowIndicatorElementSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.sE),
/* harmony export */   cardRowSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.Rv),
/* harmony export */   cardRowTextElementBaseSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.PL),
/* harmony export */   cardRowTextElementSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.aP),
/* harmony export */   cardRows: () => (/* reexport safe */ _items_card_metadata_card_layout__WEBPACK_IMPORTED_MODULE_66__.m7),
/* harmony export */   cardSerializationsInfo: () => (/* reexport safe */ _items_card_metadata_card__WEBPACK_IMPORTED_MODULE_64__.GF),
/* harmony export */   cardSparklineArgument: () => (/* reexport safe */ _items_card_metadata_card_item__WEBPACK_IMPORTED_MODULE_65__.BW),
/* harmony export */   cardSparklineOptions: () => (/* reexport safe */ _items_card_metadata_card__WEBPACK_IMPORTED_MODULE_64__.Gi),
/* harmony export */   cardSparklineRowOptions: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.wn),
/* harmony export */   cardSparklineRowSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.sK),
/* harmony export */   cardWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_12__.p),
/* harmony export */   cards: () => (/* reexport safe */ _items_card_metadata_card_item__WEBPACK_IMPORTED_MODULE_65__.kR),
/* harmony export */   cellsItemFormatRuleSerializationsInfo: () => (/* reexport safe */ _format_rules_metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_52__.pm),
/* harmony export */   centerPointLatitude: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.MS),
/* harmony export */   centerPointLongitude: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.VT),
/* harmony export */   chartAlwaysShowZeroLevel: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.jR),
/* harmony export */   chartArgumentsMeta: () => (/* reexport safe */ _items_metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_105__.S),
/* harmony export */   chartAxisSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.nC),
/* harmony export */   chartAxisX: () => (/* reexport safe */ _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__.E4),
/* harmony export */   chartAxisXSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.bO),
/* harmony export */   chartAxisYBaseSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.Bc),
/* harmony export */   chartAxisYSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.MF),
/* harmony export */   chartDefinitionMode: () => (/* reexport safe */ _data_item_window_definition_metadata_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_13__.T),
/* harmony export */   chartIndicators: () => (/* reexport safe */ _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__.vH),
/* harmony export */   chartItemBaseSerializationsInfo: () => (/* reexport safe */ _items_metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_105__.W),
/* harmony export */   chartItemFormatRuleSerializationsInfo: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_53__.wP),
/* harmony export */   chartItemFormatRuleSerializationsInfoBase: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_54__.zh),
/* harmony export */   chartItemSerializationInfo: () => (/* reexport safe */ _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__.W6),
/* harmony export */   chartLegend: () => (/* reexport safe */ _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__.k2),
/* harmony export */   chartLegendSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_73__.Tg),
/* harmony export */   chartLegendVisible: () => (/* reexport safe */ _items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_73__.K4),
/* harmony export */   chartPaneName: () => (/* reexport safe */ _items_chart_metadata_chart_pane__WEBPACK_IMPORTED_MODULE_74__.Wh),
/* harmony export */   chartPaneSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_pane__WEBPACK_IMPORTED_MODULE_74__.ec),
/* harmony export */   chartRotated: () => (/* reexport safe */ _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__.GA),
/* harmony export */   chartSecondaryAxisYSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.w1),
/* harmony export */   chartSeries: () => (/* reexport safe */ _items_chart_metadata_chart_pane__WEBPACK_IMPORTED_MODULE_74__.s2),
/* harmony export */   chartSeriesPointLabelOptions: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.Gw),
/* harmony export */   chartSeriesSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.xJ),
/* harmony export */   chartSeriesType: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.gW),
/* harmony export */   chartSeriesValue: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.Hq),
/* harmony export */   chartSeriesWeight: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.C7),
/* harmony export */   chartWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_13__.b),
/* harmony export */   checkGridUriPattern: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.H),
/* harmony export */   chorolpethMapValue: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.ek),
/* harmony export */   choroplethMapDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__.rg),
/* harmony export */   classCaption: () => (/* reexport safe */ _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__.HI),
/* harmony export */   close: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.VN),
/* harmony export */   color: () => (/* reexport safe */ _format_rules_style_settings_metadata_color_style_settings__WEBPACK_IMPORTED_MODULE_61__.yW),
/* harmony export */   colorLegend: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.$z),
/* harmony export */   colorPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.Ui),
/* harmony export */   colorScheme: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.$m),
/* harmony export */   colorSchemeColor: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.oY),
/* harmony export */   colorSchemeDataMember: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.fV),
/* harmony export */   colorSchemeDataSource: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.eZ),
/* harmony export */   colorSchemeEntrySerializationInfo: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.j6),
/* harmony export */   colorSchemeSummaryType: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.di),
/* harmony export */   colorShemeValue: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.Vo),
/* harmony export */   colorShemetype: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.ug),
/* harmony export */   colorStyleSettingsSerializationsInfo: () => (/* reexport safe */ _format_rules_style_settings_metadata_color_style_settings__WEBPACK_IMPORTED_MODULE_61__.Fm),
/* harmony export */   coloringDimensions: () => (/* reexport safe */ _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__.t_),
/* harmony export */   coloringMeasures: () => (/* reexport safe */ _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__.Ju),
/* harmony export */   coloringMode: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.z4),
/* harmony export */   coloringOptions: () => (/* reexport safe */ _items_options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_111__.k),
/* harmony export */   columnTotalsPosition: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.Jd),
/* harmony export */   columnType: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.DW),
/* harmony export */   columnWeight: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.hZ),
/* harmony export */   columnWidthMode: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.ix),
/* harmony export */   columnsPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.G3),
/* harmony export */   comboBoxDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_filter_items_metadata_combo_box_item__WEBPACK_IMPORTED_MODULE_79__.a),
/* harmony export */   comboBoxType: () => (/* reexport safe */ _items_filter_items_metadata_combo_box_item__WEBPACK_IMPORTED_MODULE_79__.q),
/* harmony export */   commonInteractivityOptions: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.$4),
/* harmony export */   complexValueInfo: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.EZ),
/* harmony export */   complexValuePersistedValue: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.EW),
/* harmony export */   complexValueType: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.wP),
/* harmony export */   complexValueValue: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.VG),
/* harmony export */   componentName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.TQ),
/* harmony export */   condition: () => (/* reexport safe */ _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__.uH),
/* harmony export */   conditionInCondition: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_44__["in"]),
/* harmony export */   conditionTypes: () => (/* reexport safe */ _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__.zY),
/* harmony export */   connection: () => (/* reexport safe */ _data_sources_metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_34__.FI),
/* harmony export */   connectionName: () => (/* reexport safe */ _data_sources_metadata_olap_data_source__WEBPACK_IMPORTED_MODULE_33__.u),
/* harmony export */   connectionSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_connection__WEBPACK_IMPORTED_MODULE_25__.w),
/* harmony export */   content: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_123__.Q),
/* harmony export */   contentArrangementMode: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.xe),
/* harmony export */   contentLineCount: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.Vf),
/* harmony export */   contentType: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.IM),
/* harmony export */   context: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__._O),
/* harmony export */   contextItemSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.cE),
/* harmony export */   convertDateTimeGroupInterval: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.Nu),
/* harmony export */   createViewerPaddings: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.ZY),
/* harmony export */   currencyCultureName: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.fW),
/* harmony export */   customDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__.a),
/* harmony export */   customFormatString: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Ed),
/* harmony export */   customItemType: () => (/* reexport safe */ _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__.HL),
/* harmony export */   customItemWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_custom_item_calc_window_definition__WEBPACK_IMPORTED_MODULE_14__.Z),
/* harmony export */   customShapefile: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.Pz),
/* harmony export */   customShapefileData: () => (/* reexport safe */ _items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_96__.nJ),
/* harmony export */   customShapefileDataSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_97__._o),
/* harmony export */   customShapefileSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_96__.SA),
/* harmony export */   customShapefileUrl: () => (/* reexport safe */ _items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_96__.EI),
/* harmony export */   customTemplateSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.Ed),
/* harmony export */   dashboardGridItemSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_item__WEBPACK_IMPORTED_MODULE_88__.nB),
/* harmony export */   dashboardItem: () => (/* reexport safe */ _layout_metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_127__._4),
/* harmony export */   dashboardItemColoringOptionsSerializationsInfo: () => (/* reexport safe */ _items_options_metadata_dashboard_item_coloring_options__WEBPACK_IMPORTED_MODULE_112__.aK),
/* harmony export */   dashboardItemFormatRuleSerializationsInfo: () => (/* reexport safe */ _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__.Qd),
/* harmony export */   dashboardItemSerializationsInfo: () => (/* reexport safe */ _items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_106__.xg),
/* harmony export */   dashboardParameterSerializationsInfo: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.vw),
/* harmony export */   dashboardSerializationsInfo: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.mt),
/* harmony export */   dashboardTitle: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.Jf),
/* harmony export */   dashboardTitleSerializationsInfo: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.gS),
/* harmony export */   dataBindingMode: () => (/* reexport safe */ _items_metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_104__.No),
/* harmony export */   dataDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.LH),
/* harmony export */   dataFieldChildNodes: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.EH),
/* harmony export */   dataFieldDataMember: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.PD),
/* harmony export */   dataFieldDisplayName: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.K4),
/* harmony export */   dataFieldFieldType: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.B0),
/* harmony export */   dataFieldIsAggregate: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.EC),
/* harmony export */   dataFieldIsComparable: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.tR),
/* harmony export */   dataFieldIsConvertible: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.OL),
/* harmony export */   dataFieldIsCorruptedCalcField: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.wV),
/* harmony export */   dataFieldIsDataFieldNode: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.Td),
/* harmony export */   dataFieldIsDataMemberNode: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.xw),
/* harmony export */   dataFieldIsDataSourceNode: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.KB),
/* harmony export */   dataFieldIsDataTableNode: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.v7),
/* harmony export */   dataFieldIsExpressionsNode: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.kS),
/* harmony export */   dataFieldIsList: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.Nd),
/* harmony export */   dataFieldName: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.kl),
/* harmony export */   dataFieldSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.I),
/* harmony export */   dataItem: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.ad),
/* harmony export */   dataItemApplyTo: () => (/* reexport safe */ _format_rules_metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_52__.L2),
/* harmony export */   dataItemApplyToName: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_53__.uU),
/* harmony export */   dataItemCurrencyCultureName: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Ee),
/* harmony export */   dataItemDataMember: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.aq),
/* harmony export */   dataItemDateTimeFormatSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Bq),
/* harmony export */   dataItemLinkSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.N5),
/* harmony export */   dataItemName: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_54__.ds),
/* harmony export */   dataItemNumericFormatSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.$O),
/* harmony export */   dataItemSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.lh),
/* harmony export */   dataItemsSerializable: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.Ws),
/* harmony export */   dataMember: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.Fp),
/* harmony export */   dataMemberProperty: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.oq),
/* harmony export */   dataMemberSerialization: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.RY),
/* harmony export */   dataSource: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.Ex),
/* harmony export */   dataSourceNameSerialization: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.jX),
/* harmony export */   dataSourceProperty: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.bd),
/* harmony export */   dataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_data_source__WEBPACK_IMPORTED_MODULE_27__.v),
/* harmony export */   dataSources: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.x6),
/* harmony export */   date: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.p6),
/* harmony export */   dateFilterDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__.Vj),
/* harmony export */   dateFilterDimension: () => (/* reexport safe */ _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__.$R),
/* harmony export */   dateFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.i$),
/* harmony export */   dateHourFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.mC),
/* harmony export */   dateHourMinuteFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.sV),
/* harmony export */   datePickerLocation: () => (/* reexport safe */ _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__.yQ),
/* harmony export */   dateTimeFormat: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.LE),
/* harmony export */   dateTimeGroupInterval: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.cQ),
/* harmony export */   dateTimeGroupIntervalsDict: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.NF),
/* harmony export */   dateTimePeriodSerializationsInfo: () => (/* reexport safe */ _items_range_filter_metadata_date_time_period__WEBPACK_IMPORTED_MODULE_118__.IV),
/* harmony export */   dateTimePeriods: () => (/* reexport safe */ _items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_121__._L),
/* harmony export */   dateTimeWithSecondsFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Yg),
/* harmony export */   dateType: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_39__.Ji),
/* harmony export */   dayOfWeekFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Lm),
/* harmony export */   defaultDateTimePeriodName: () => (/* reexport safe */ _items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_121__.No),
/* harmony export */   defaultValue: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.Jh),
/* harmony export */   defaultValues: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.gH),
/* harmony export */   definition: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.mw),
/* harmony export */   definitionInfo: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.ui),
/* harmony export */   definitionsInMeasureDefinition: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.vS),
/* harmony export */   deltaCompactTemplateSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.st),
/* harmony export */   deltaIndicator: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.KR),
/* harmony export */   deltaMapActualValue: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.cF),
/* harmony export */   deltaMapDeltaOptions: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.dW),
/* harmony export */   deltaMapSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.k5),
/* harmony export */   deltaMapTargetValue: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.ZG),
/* harmony export */   deltaName: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.IQ),
/* harmony export */   deltaOptionsSerializationsInfo: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__.KW),
/* harmony export */   deltaValueTypeMap: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__.k9),
/* harmony export */   description: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.h_),
/* harmony export */   differenceCalculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_difference_calculation__WEBPACK_IMPORTED_MODULE_2__.aN),
/* harmony export */   differenceType: () => (/* reexport safe */ _data_item_calculations_metadata_difference_calculation__WEBPACK_IMPORTED_MODULE_2__.AY),
/* harmony export */   dimension: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.rK),
/* harmony export */   dimensionDisplayMode: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.Su),
/* harmony export */   dimensionGroupIndex: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.kO),
/* harmony export */   dimensionIndex: () => (/* reexport safe */ _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__.rx),
/* harmony export */   dimensionInfoDateTimeGroupInterval: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.OC),
/* harmony export */   dimensionItemSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.pg),
/* harmony export */   dimensionKeySerializationInfo: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.Kn),
/* harmony export */   dimensionKeys: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.Bj),
/* harmony export */   dimensionValue: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.iS),
/* harmony export */   dimensions: () => (/* reexport safe */ _items_custom_item_metadata_slice_table__WEBPACK_IMPORTED_MODULE_78__.KQ),
/* harmony export */   displayMemberSerialization: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.n3),
/* harmony export */   displayMode: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.sw),
/* harmony export */   displayName: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_54__.QC),
/* harmony export */   displayTextPattern: () => (/* reexport safe */ _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__.S0),
/* harmony export */   displayValue: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.KN),
/* harmony export */   drawAxis: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_37__.it),
/* harmony export */   dynamicListLookUpSettingsSerializationsInfo: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.eu),
/* harmony export */   editorTemplates: () => (/* reexport safe */ _metadata_custom_item_metadata__WEBPACK_IMPORTED_MODULE_129__.p),
/* harmony export */   efDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_ef_data_source__WEBPACK_IMPORTED_MODULE_28__._),
/* harmony export */   elements: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.Yt),
/* harmony export */   emptyStyleType: () => (/* reexport safe */ _format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_63__.R),
/* harmony export */   enableBandedRows: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.Zi),
/* harmony export */   enableClustering: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_99__.Sg),
/* harmony export */   enableSearch: () => (/* reexport safe */ _items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_81__.ST),
/* harmony export */   enableZooming: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.Fh),
/* harmony export */   enabled: () => (/* reexport safe */ _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__.Sn),
/* harmony export */   endLimit: () => (/* reexport safe */ _items_range_filter_metadata_date_time_period__WEBPACK_IMPORTED_MODULE_118__.Lz),
/* harmony export */   exactDateFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Xe),
/* harmony export */   excelDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_excel_data_source__WEBPACK_IMPORTED_MODULE_29__.M),
/* harmony export */   expression: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.dn),
/* harmony export */   extendedDateTypeValues: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_39__.M),
/* harmony export */   extractDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_extract_data_source__WEBPACK_IMPORTED_MODULE_30__.U),
/* harmony export */   federationDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.K8),
/* harmony export */   fieldTypes: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.s$),
/* harmony export */   filter: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.pb),
/* harmony export */   filterDimensions: () => (/* reexport safe */ _items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_81__.Ug),
/* harmony export */   filterElementItemBaseSerializationInfo: () => (/* reexport safe */ _items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_81__.fL),
/* harmony export */   filterString: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.GX),
/* harmony export */   filterType: () => (/* reexport safe */ _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__.Lm),
/* harmony export */   fixedDateTimePeriodLimitProperty: () => (/* reexport safe */ _items_range_filter_metadata_limit_container__WEBPACK_IMPORTED_MODULE_119__.JU),
/* harmony export */   fixedDateTimePeriodLimitSerializationsInfo: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.te),
/* harmony export */   fixedWidth: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.$2),
/* harmony export */   floatFromModel: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.a1),
/* harmony export */   flowDateTimePeriodLimitProperty: () => (/* reexport safe */ _items_range_filter_metadata_limit_container__WEBPACK_IMPORTED_MODULE_119__.Ju),
/* harmony export */   flowDateTimePeriodLimitSerializationsInfo: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.DN),
/* harmony export */   flowIntervalOrderedValues: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.nS),
/* harmony export */   flowIntervalValues: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.GF),
/* harmony export */   fontFamily: () => (/* reexport safe */ _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__.mw),
/* harmony export */   fontStyle: () => (/* reexport safe */ _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__.xC),
/* harmony export */   foreColor: () => (/* reexport safe */ _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__.se),
/* harmony export */   formatConditionAverageSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_35__.f),
/* harmony export */   formatConditionBarOptionsSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_37__.b_),
/* harmony export */   formatConditionBarSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_36__.x0),
/* harmony export */   formatConditionBaseSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_base__WEBPACK_IMPORTED_MODULE_38__.R),
/* harmony export */   formatConditionColorRangeBarSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_color_bar__WEBPACK_IMPORTED_MODULE_46__.L),
/* harmony export */   formatConditionDateOccurringSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_39__.Kh),
/* harmony export */   formatConditionExpression: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_expression__WEBPACK_IMPORTED_MODULE_40__.B4),
/* harmony export */   formatConditionExpressionSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_expression__WEBPACK_IMPORTED_MODULE_40__.mK),
/* harmony export */   formatConditionFilter: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_expression__WEBPACK_IMPORTED_MODULE_40__.d4),
/* harmony export */   formatConditionGradientRangeBarSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_gradient_bar__WEBPACK_IMPORTED_MODULE_48__.i),
/* harmony export */   formatConditionMaximum: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_41__.nG),
/* harmony export */   formatConditionMinMaxBaseSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_41__.Hf),
/* harmony export */   formatConditionMinimum: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_41__.XF),
/* harmony export */   formatConditionRangeBaseSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_base__WEBPACK_IMPORTED_MODULE_45__.W_),
/* harmony export */   formatConditionRangeGradientSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_47__.L),
/* harmony export */   formatConditionRangeSetSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_set__WEBPACK_IMPORTED_MODULE_49__.v),
/* harmony export */   formatConditionStyleBaseSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_style_base__WEBPACK_IMPORTED_MODULE_42__.i),
/* harmony export */   formatConditionTopBottomSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_43__.oB),
/* harmony export */   formatConditionValue1: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_44__.dR),
/* harmony export */   formatConditionValue2: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_44__.Yc),
/* harmony export */   formatConditionValueSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_44__.HF),
/* harmony export */   formatRuleDataItem: () => (/* reexport safe */ _format_rules_metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_52__.zq),
/* harmony export */   formatRuleName: () => (/* reexport safe */ _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__.F1),
/* harmony export */   formatRules: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.Hv),
/* harmony export */   formatType: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.sg),
/* harmony export */   formatTypeValues: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.cz),
/* harmony export */   fromDateToString: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.D5),
/* harmony export */   fromStringToDate: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.fl),
/* harmony export */   gaugeDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_gauge_metadata_gauge_item__WEBPACK_IMPORTED_MODULE_85__.Qw),
/* harmony export */   gaugeSerializationsInfo: () => (/* reexport safe */ _items_gauge_metadata_gauge__WEBPACK_IMPORTED_MODULE_84__.p0),
/* harmony export */   gaugeViewType: () => (/* reexport safe */ _items_gauge_metadata_gauge_item__WEBPACK_IMPORTED_MODULE_85__.Tf),
/* harmony export */   gaugeWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_gauge_calc_window_definition__WEBPACK_IMPORTED_MODULE_15__.A),
/* harmony export */   gauges: () => (/* reexport safe */ _items_gauge_metadata_gauge_item__WEBPACK_IMPORTED_MODULE_85__.x_),
/* harmony export */   geoPointMapDashboardItemBaseSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_99__.H3),
/* harmony export */   geoPointMapDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item__WEBPACK_IMPORTED_MODULE_98__.O),
/* harmony export */   getInteractivityOptionsPropertyInfo: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.rZ),
/* harmony export */   gridColumnActualValue: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.Kf),
/* harmony export */   gridColumnBaseSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.LW),
/* harmony export */   gridColumnDeltaOptions: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.$S),
/* harmony export */   gridColumnFilter: () => (/* reexport safe */ _items_grid_metadata_grid_item__WEBPACK_IMPORTED_MODULE_88__.ZA),
/* harmony export */   gridColumnTargetValue: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.Le),
/* harmony export */   gridColumnUriPattern: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.XW),
/* harmony export */   gridColumns: () => (/* reexport safe */ _items_grid_metadata_grid_item__WEBPACK_IMPORTED_MODULE_88__.cb),
/* harmony export */   gridDefinitionMode: () => (/* reexport safe */ _data_item_window_definition_metadata_grid_calc_window_definition__WEBPACK_IMPORTED_MODULE_16__.x),
/* harmony export */   gridDeltaColumnSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.cG),
/* harmony export */   gridDimensionColumnSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.w7),
/* harmony export */   gridHyperlinkColumnSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__._7),
/* harmony export */   gridItemFormatRuleSerializationsInfo: () => (/* reexport safe */ _format_rules_metadata_grid_item_format_rule__WEBPACK_IMPORTED_MODULE_57__.a),
/* harmony export */   gridMeasureColumnSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.Wg),
/* harmony export */   gridOptions: () => (/* reexport safe */ _items_grid_metadata_grid_item__WEBPACK_IMPORTED_MODULE_88__.nv),
/* harmony export */   gridOptionsSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.a_),
/* harmony export */   gridSparklineColumnSerializationsInfo: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.RF),
/* harmony export */   gridValidateUriPattern: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.Jt),
/* harmony export */   gridWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_grid_calc_window_definition__WEBPACK_IMPORTED_MODULE_16__.X),
/* harmony export */   groupChildValues: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.ID),
/* harmony export */   groupIndex: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.kD),
/* harmony export */   groupItemSerializationInfo: () => (/* reexport safe */ _items_group_metadata_group_item__WEBPACK_IMPORTED_MODULE_90__.P),
/* harmony export */   groups: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.TN),
/* harmony export */   groupsLabelContentType: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.ab),
/* harmony export */   groupsTooltipContentType: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.tQ),
/* harmony export */   hAlignment: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.uQ),
/* harmony export */   height: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.uJ),
/* harmony export */   hiddenDimensions: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__._K),
/* harmony export */   hiddenMeasures: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.o3),
/* harmony export */   high: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.$t),
/* harmony export */   highLowCloseSeriesSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.Hs),
/* harmony export */   highlightMinMaxPoints: () => (/* reexport safe */ _items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_115__.gk),
/* harmony export */   highlightStartEndPoints: () => (/* reexport safe */ _items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_115__.nR),
/* harmony export */   horizontalAlignment: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.sE),
/* harmony export */   hourFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Oi),
/* harmony export */   iconSettingsSerializationsInfo: () => (/* reexport safe */ _format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_62__.O),
/* harmony export */   iconType: () => (/* reexport safe */ _format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_62__._),
/* harmony export */   idProperty: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.nf),
/* harmony export */   ignoreEmptyPoints: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.Zx),
/* harmony export */   ignoreMasterFiltersDefaultFalse: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.ym),
/* harmony export */   ignoreMasterFiltersDefaultTrue: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.Ny),
/* harmony export */   image64: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.kH),
/* harmony export */   imageDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.GY),
/* harmony export */   imageItem: () => (/* reexport safe */ _items_metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_104__.hY),
/* harmony export */   imageType: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.wm),
/* harmony export */   includeGroupSeparator: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.J4),
/* harmony export */   includeMasterFilter: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.Hc),
/* harmony export */   includeSummaryValueToShapeTitle: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__.QE),
/* harmony export */   indent: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.pZ),
/* harmony export */   insidePosition: () => (/* reexport safe */ _items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_73__.Eu),
/* harmony export */   integerValidationRule: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.OY),
/* harmony export */   interactivityTargets: () => (/* reexport safe */ _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__.mP),
/* harmony export */   intersectionLevelMode: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__.$h),
/* harmony export */   intersectionLevelModeValues: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__.pJ),
/* harmony export */   interval: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.YP),
/* harmony export */   isDiscreteNumericScale: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.zp),
/* harmony export */   isDrillDownEnabled: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.ht),
/* harmony export */   isInsideDiagram: () => (/* reexport safe */ _items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_73__.Mo),
/* harmony export */   isMasterFilterCrossDataSource: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.os),
/* harmony export */   isMasterFilterDefaultFalse: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.rH),
/* harmony export */   isMasterFilterDefaultTrue: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.gu),
/* harmony export */   isWeighted: () => (/* reexport safe */ _items_map_metadata_pie_map_item__WEBPACK_IMPORTED_MODULE_103__.y0),
/* harmony export */   itemColorScheme: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.ub),
/* harmony export */   itemType: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.YG),
/* harmony export */   items: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.ld),
/* harmony export */   kpiDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_kpi_metadata_kpi_item__WEBPACK_IMPORTED_MODULE_92__.p),
/* harmony export */   kpiElementSerializationsInfo: () => (/* reexport safe */ _items_kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_91__.QS),
/* harmony export */   kpiItemActualValue: () => (/* reexport safe */ _items_kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_91__.P$),
/* harmony export */   kpiItemTargetValue: () => (/* reexport safe */ _items_kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_91__.kV),
/* harmony export */   kpiItemdeltaOptions: () => (/* reexport safe */ _items_kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_91__.iJ),
/* harmony export */   labelContentType: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__.IA),
/* harmony export */   labelPosition: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__["in"]),
/* harmony export */   latitude: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_99__.zr),
/* harmony export */   layout: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.Zp),
/* harmony export */   layoutAlgorithm: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.CC),
/* harmony export */   layoutDirection: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__._M),
/* harmony export */   layoutItemSerializationsInfo: () => (/* reexport safe */ _layout_metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_127__.fx),
/* harmony export */   layoutItemsSerializable: () => (/* reexport safe */ _layout_metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_127__.SD),
/* harmony export */   layoutOptions: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.PC),
/* harmony export */   layoutTemplate: () => (/* reexport safe */ _items_card_metadata_card__WEBPACK_IMPORTED_MODULE_64__.ZM),
/* harmony export */   layoutType: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.RF),
/* harmony export */   layoutWeight: () => (/* reexport safe */ _layout_metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_127__.$A),
/* harmony export */   leftLongitude: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.DZ),
/* harmony export */   legend: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.o1),
/* harmony export */   legendOrientation: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__.Uc),
/* harmony export */   legendPosition: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__.ZR),
/* harmony export */   legendType: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__.wD),
/* harmony export */   legendVisible: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__.Am),
/* harmony export */   limitContainer: () => (/* reexport safe */ _items_range_filter_metadata_limit_container__WEBPACK_IMPORTED_MODULE_119__.vQ),
/* harmony export */   limitVisiblePoints: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.RK),
/* harmony export */   listBoxDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_filter_items_metadata_list_box_item__WEBPACK_IMPORTED_MODULE_82__.E),
/* harmony export */   listBoxType: () => (/* reexport safe */ _items_filter_items_metadata_list_box_item__WEBPACK_IMPORTED_MODULE_82__.k),
/* harmony export */   lockNavigation: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.We),
/* harmony export */   logarithmic: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.WI),
/* harmony export */   logarithmicBase: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.b7),
/* harmony export */   longitude: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_99__._P),
/* harmony export */   lookUpSourceType: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.yJ),
/* harmony export */   lookUpValue: () => (/* reexport safe */ _parameters_metadata_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_134__.mk),
/* harmony export */   lookUpvalues: () => (/* reexport safe */ _parameters_metadata_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_134__.dq),
/* harmony export */   low: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.R0),
/* harmony export */   mainValue: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.PJ),
/* harmony export */   mapDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.dw),
/* harmony export */   mapLegendSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__.Pf),
/* harmony export */   mapViewportSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.gk),
/* harmony export */   maps: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__.Kn),
/* harmony export */   masterFilterMode: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.u3),
/* harmony export */   maxWidth: () => (/* reexport safe */ _items_card_metadata_card_layout__WEBPACK_IMPORTED_MODULE_66__.JX),
/* harmony export */   maximum: () => (/* reexport safe */ _items_gauge_metadata_gauge__WEBPACK_IMPORTED_MODULE_84__.Ph),
/* harmony export */   maximumType: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_41__.xM),
/* harmony export */   measure: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.xP),
/* harmony export */   measureCalculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_measure_calculation__WEBPACK_IMPORTED_MODULE_3__.d),
/* harmony export */   measureCalculationWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_17__.s),
/* harmony export */   measureFilterString: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.QJ),
/* harmony export */   measureItemSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.Zs),
/* harmony export */   measureKey: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.UE),
/* harmony export */   measureKeySerializationInfo: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.S7),
/* harmony export */   measures: () => (/* reexport safe */ _items_custom_item_metadata_slice_table__WEBPACK_IMPORTED_MODULE_78__.qY),
/* harmony export */   measuresColoringMode: () => (/* reexport safe */ _items_options_metadata_dashboard_item_coloring_options__WEBPACK_IMPORTED_MODULE_112__.OH),
/* harmony export */   minWidth: () => (/* reexport safe */ _items_card_metadata_card_layout__WEBPACK_IMPORTED_MODULE_66__.bV),
/* harmony export */   minimum: () => (/* reexport safe */ _items_gauge_metadata_gauge__WEBPACK_IMPORTED_MODULE_84__.Bp),
/* harmony export */   minimumType: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_41__.Rt),
/* harmony export */   mode: () => (/* reexport safe */ _items_range_filter_metadata_date_time_period__WEBPACK_IMPORTED_MODULE_118__.Mq),
/* harmony export */   monthFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.G5),
/* harmony export */   movingCalculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_4__.hc),
/* harmony export */   name: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.UU),
/* harmony export */   nameTag: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.oM),
/* harmony export */   nameValueTemplateSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.fY),
/* harmony export */   name_ViewModel: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.xN),
/* harmony export */   namelessDateFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.S4),
/* harmony export */   namelessDateHourFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.ab),
/* harmony export */   namelessDateHourMinuteFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.gY),
/* harmony export */   namelessDateTimeWithSecondsFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.o1),
/* harmony export */   namelessDayOfWeekFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.di),
/* harmony export */   namelessExactDateFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.hg),
/* harmony export */   namelessHourFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.CP),
/* harmony export */   namelessMonthFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.qA),
/* harmony export */   namelessQuarterFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.lT),
/* harmony export */   namelessYearFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.xw),
/* harmony export */   negativeInfinity: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.qv),
/* harmony export */   nextValuesCount: () => (/* reexport safe */ _data_item_calculations_metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_4__.Fe),
/* harmony export */   nodeType: () => (/* reexport safe */ _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__.Vq),
/* harmony export */   nullableFloatToModel: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__._Q),
/* harmony export */   numericFormat: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.FJ),
/* harmony export */   objectDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_object_data_source__WEBPACK_IMPORTED_MODULE_32__.c),
/* harmony export */   offset: () => (/* reexport safe */ _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__.cY),
/* harmony export */   olapDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_olap_data_source__WEBPACK_IMPORTED_MODULE_33__.z),
/* harmony export */   open: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.ho),
/* harmony export */   openHighLowCloseSeriesSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.Zv),
/* harmony export */   openHighLowCloseSeriesType: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.Mu),
/* harmony export */   orientation: () => (/* reexport safe */ _layout_metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_127__.JW),
/* harmony export */   outsidePosition: () => (/* reexport safe */ _items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_73__.Tu),
/* harmony export */   overlappingMode: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.FN),
/* harmony export */   paletteIndex: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.Ub),
/* harmony export */   panes: () => (/* reexport safe */ _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__.gd),
/* harmony export */   parameterName: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.xd),
/* harmony export */   parameterTypePropertyGrid: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.x),
/* harmony export */   parameterTypeSerialization: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.aA),
/* harmony export */   parameterVisible: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.KJ),
/* harmony export */   parameters: () => (/* reexport safe */ _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__.FI),
/* harmony export */   parentContainer: () => (/* reexport safe */ _items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_106__.gp),
/* harmony export */   parseBool: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.q6),
/* harmony export */   percentOfTargetNumericFormat: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.sS),
/* harmony export */   percentOfTargetNumericFormatSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.HA),
/* harmony export */   percentOfTotalCalculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_percent_of_total_calculation__WEBPACK_IMPORTED_MODULE_5__.J),
/* harmony export */   percentVariationNumericFormat: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.r9),
/* harmony export */   percentVariationNumericFormatSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Uh),
/* harmony export */   pieDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__.nT),
/* harmony export */   pieDefinitionMode: () => (/* reexport safe */ _data_item_window_definition_metadata_pie_calc_window_definition__WEBPACK_IMPORTED_MODULE_18__.r),
/* harmony export */   pieMapArgument: () => (/* reexport safe */ _items_map_metadata_pie_map_item__WEBPACK_IMPORTED_MODULE_103__.g),
/* harmony export */   pieMapDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_pie_map_item__WEBPACK_IMPORTED_MODULE_103__.Rc),
/* harmony export */   pieMapValues: () => (/* reexport safe */ _items_map_metadata_pie_map_item__WEBPACK_IMPORTED_MODULE_103__.fy),
/* harmony export */   pieType: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__.Xz),
/* harmony export */   pieValues: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__.$Y),
/* harmony export */   pieWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_pie_calc_window_definition__WEBPACK_IMPORTED_MODULE_18__.z),
/* harmony export */   pivotColumns: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.Gb),
/* harmony export */   pivotDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.h$),
/* harmony export */   pivotDefinitionMode: () => (/* reexport safe */ _data_item_window_definition_metadata_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_19__.H),
/* harmony export */   pivotItemFormatRuleLevelSerializationsInfo: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_59__.Ex),
/* harmony export */   pivotItemFormatRuleSerializationsInfo: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__.oR),
/* harmony export */   pivotLevel: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__.tZ),
/* harmony export */   pivotLevelColumn: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_59__.ts),
/* harmony export */   pivotLevelRow: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_59__.HT),
/* harmony export */   pivotRows: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.aX),
/* harmony export */   pivotValues: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.Ve),
/* harmony export */   pivotWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_19__.F),
/* harmony export */   plotOnSecondaryAxis: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.wK),
/* harmony export */   pointLabelOptions: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.D5),
/* harmony export */   pointLabelOptionsBaseSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.XN),
/* harmony export */   pointLabelOptionsSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.c3),
/* harmony export */   pointLabelOrientation: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.pq),
/* harmony export */   position: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.G1),
/* harmony export */   precision: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.Fz),
/* harmony export */   predefinedColor: () => (/* reexport safe */ _format_rules_style_settings_metadata_color_style_settings__WEBPACK_IMPORTED_MODULE_61__.gs),
/* harmony export */   predefinedForeColor: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.E$),
/* harmony export */   previousValuesCount: () => (/* reexport safe */ _data_item_calculations_metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_4__.ZM),
/* harmony export */   primaryAxisY: () => (/* reexport safe */ _items_chart_metadata_chart_pane__WEBPACK_IMPORTED_MODULE_74__.LU),
/* harmony export */   quarterFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.YL),
/* harmony export */   queries: () => (/* reexport safe */ _data_sources_metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_34__.Pq),
/* harmony export */   queryNodeSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.MO),
/* harmony export */   queryNodes: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.AX),
/* harmony export */   queryTypeProperty: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.C3),
/* harmony export */   rangeDateTimeGroupInterval: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.PG),
/* harmony export */   rangeFilterDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_121__.Cf),
/* harmony export */   rangeFilterDefinitionMode: () => (/* reexport safe */ _data_item_window_definition_metadata_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_20__.m),
/* harmony export */   rangeFilterWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_20__.u),
/* harmony export */   rangeInfoSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_50__.ZT),
/* harmony export */   rangeSeries: () => (/* reexport safe */ _items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_121__.ju),
/* harmony export */   rangeSeriesSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.WL),
/* harmony export */   rangeSeriesType: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.vg),
/* harmony export */   rangeSet: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_base__WEBPACK_IMPORTED_MODULE_45__.QY),
/* harmony export */   rangeSetSerializationsInfo: () => (/* reexport safe */ _format_rules_conditions_range_metadata_range_set__WEBPACK_IMPORTED_MODULE_51__.d),
/* harmony export */   rangeValue: () => (/* reexport safe */ _format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_50__.Zn),
/* harmony export */   rangeValueComparison: () => (/* reexport safe */ _format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_50__.oW),
/* harmony export */   rangeValueType: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_base__WEBPACK_IMPORTED_MODULE_45__.dP),
/* harmony export */   ranges: () => (/* reexport safe */ _format_rules_conditions_range_metadata_range_set__WEBPACK_IMPORTED_MODULE_51__.Z),
/* harmony export */   rank: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_43__.Tm),
/* harmony export */   rankCalculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_rank_calculation__WEBPACK_IMPORTED_MODULE_6__.jV),
/* harmony export */   realSortMode: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.ow),
/* harmony export */   restrictedIntersectionLevelModeValues: () => (/* reexport safe */ _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__.iU),
/* harmony export */   resultIndicationMode: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__.ft),
/* harmony export */   resultIndicationThreshold: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__.pE),
/* harmony export */   resultIndicationThresholdType: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__.bx),
/* harmony export */   reverse: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.BE),
/* harmony export */   rightLongitude: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.wg),
/* harmony export */   rotated: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.SZ),
/* harmony export */   rowTotalsPosition: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.Br),
/* harmony export */   rowsPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.qf),
/* harmony export */   runningTotalCalculationSerializationsInfo: () => (/* reexport safe */ _data_item_calculations_metadata_running_total_calculation__WEBPACK_IMPORTED_MODULE_7__.E),
/* harmony export */   scaleLabelNumericFormat: () => (/* reexport safe */ _items_gauge_metadata_gauge__WEBPACK_IMPORTED_MODULE_84__.tZ),
/* harmony export */   scatterArgumentsMeta: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.u5),
/* harmony export */   scatterChartAxisYSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.MX),
/* harmony export */   scatterChartDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.fI),
/* harmony export */   scatterChartWeight: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__.Jb),
/* harmony export */   scatterPointLabelOptionsSerializationsInfo: () => (/* reexport safe */ _items_scatter_chart_metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_123__.k),
/* harmony export */   scatterWindowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_scatter_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_21__.L),
/* harmony export */   secondaryAxisY: () => (/* reexport safe */ _items_chart_metadata_chart_pane__WEBPACK_IMPORTED_MODULE_74__.je),
/* harmony export */   segmentNumber: () => (/* reexport safe */ _format_rules_conditions_range_metadata_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_47__.J),
/* harmony export */   selectAllValues: () => (/* reexport safe */ _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__.rm),
/* harmony export */   selectedTables: () => (/* reexport safe */ _data_sources_metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_34__.zF),
/* harmony export */   seriesDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_metadata_series_item__WEBPACK_IMPORTED_MODULE_109__.c),
/* harmony export */   seriesDimensions: () => (/* reexport safe */ _items_metadata_series_item__WEBPACK_IMPORTED_MODULE_109__.b),
/* harmony export */   shapeData: () => (/* reexport safe */ _items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_97__.E2),
/* harmony export */   shapeTitleAttributeName: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.JX),
/* harmony export */   showAllValue: () => (/* reexport safe */ _items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_81__.ob),
/* harmony export */   showBarOnly: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_37__.vE),
/* harmony export */   showCaption: () => (/* reexport safe */ _items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_106__.gM),
/* harmony export */   showCaptionDefaultFalse: () => (/* reexport safe */ _items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_106__.I2),
/* harmony export */   showColumnGrandTotals: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.vO),
/* harmony export */   showColumnHeaders: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.um),
/* harmony export */   showColumnTotals: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.Tf),
/* harmony export */   showForZeroValues: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.Fl),
/* harmony export */   showGaugeCaptions: () => (/* reexport safe */ _items_gauge_metadata_gauge_item__WEBPACK_IMPORTED_MODULE_85__.wD),
/* harmony export */   showGrandTotals: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.z9),
/* harmony export */   showGridLinesBaseInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.O9),
/* harmony export */   showHorizontalLines: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.th),
/* harmony export */   showInLegend: () => (/* reexport safe */ _format_rules_metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_54__.iD),
/* harmony export */   showItemAsTabPage: () => (/* reexport safe */ _items_tab_container_item_metadata_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_124__.T),
/* harmony export */   showPieCaptions: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__.Ng),
/* harmony export */   showPointLabels: () => (/* reexport safe */ _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__.LD),
/* harmony export */   showPointMarkers: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.fT),
/* harmony export */   showRowGrandTotals: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.xM),
/* harmony export */   showRowTotals: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.z4),
/* harmony export */   showSparkline: () => (/* reexport safe */ _items_card_metadata_card__WEBPACK_IMPORTED_MODULE_64__.l5),
/* harmony export */   showStartEndValues: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.bW),
/* harmony export */   showTotals: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.Ly),
/* harmony export */   showValues: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.g),
/* harmony export */   showVerticalLines: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.Ll),
/* harmony export */   simpleSeriesSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.XE),
/* harmony export */   simpleSeriesType: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.y3),
/* harmony export */   size: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.Ej),
/* harmony export */   sizeMode: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.xP),
/* harmony export */   sliceTableDimensions: () => (/* reexport safe */ _data_item_window_definition_metadata_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_22__.g),
/* harmony export */   sliceTableName: () => (/* reexport safe */ _items_custom_item_metadata_slice_table__WEBPACK_IMPORTED_MODULE_78__.CM),
/* harmony export */   sliceTableSerializationsInfo: () => (/* reexport safe */ _items_custom_item_metadata_slice_table__WEBPACK_IMPORTED_MODULE_78__.y5),
/* harmony export */   sliceTables: () => (/* reexport safe */ _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__.Av),
/* harmony export */   sortByMember: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.aX),
/* harmony export */   sortMeasure: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.R9),
/* harmony export */   sortMode: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.Mo),
/* harmony export */   sortOrder: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.T6),
/* harmony export */   sortOrderBase: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.i7),
/* harmony export */   sortOrderNonOlap: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.wN),
/* harmony export */   sortOrderOlap: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.Xd),
/* harmony export */   sourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.Ro),
/* harmony export */   sources: () => (/* reexport safe */ _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__.Tj),
/* harmony export */   sparkline: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.KM),
/* harmony export */   sparklineArgument: () => (/* reexport safe */ _items_grid_metadata_grid_item__WEBPACK_IMPORTED_MODULE_88__.Jd),
/* harmony export */   sparklineArgumentPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.JY),
/* harmony export */   sparklineOptions: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.AK),
/* harmony export */   sparklineOptionsSerializationsInfo: () => (/* reexport safe */ _items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_115__.Fr),
/* harmony export */   sqlDataSourceSerializationsInfo: () => (/* reexport safe */ _data_sources_metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_34__.R9),
/* harmony export */   startLimit: () => (/* reexport safe */ _items_range_filter_metadata_date_time_period__WEBPACK_IMPORTED_MODULE_118__.iP),
/* harmony export */   staticListLookUpSettingsSerializationsInfo: () => (/* reexport safe */ _parameters_metadata_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_134__.tg),
/* harmony export */   styleSettings: () => (/* reexport safe */ _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__.v_),
/* harmony export */   styleSettingsBaseSerializationsInfo: () => (/* reexport safe */ _format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_63__.i),
/* harmony export */   subValue: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.ml),
/* harmony export */   summaryType: () => (/* reexport safe */ _data_item_calculations_metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_4__.Rb),
/* harmony export */   summaryTypeAttribute: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.tG),
/* harmony export */   summaryTypeDict: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.Jf),
/* harmony export */   summaryTypeNonNumericToNumeric: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.tt),
/* harmony export */   summaryTypeNonNumericToString: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.LF),
/* harmony export */   summaryTypeNumericToAny: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.je),
/* harmony export */   summaryTypeTemplate: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.pk),
/* harmony export */   tabContainerItemSerializationInfo: () => (/* reexport safe */ _items_tab_container_item_metadata_tab_container_item__WEBPACK_IMPORTED_MODULE_125__.O),
/* harmony export */   tabPageSerializationInfo: () => (/* reexport safe */ _items_tab_container_item_metadata_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_124__.z),
/* harmony export */   tabPages: () => (/* reexport safe */ _items_tab_container_item_metadata_tab_container_item__WEBPACK_IMPORTED_MODULE_125__.a),
/* harmony export */   target: () => (/* reexport safe */ _data_item_calculations_metadata_difference_calculation__WEBPACK_IMPORTED_MODULE_2__.aC),
/* harmony export */   targetDimensions: () => (/* reexport safe */ _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__.Jc),
/* harmony export */   targetValuePropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.HI),
/* harmony export */   templateId: () => (/* reexport safe */ _items_card_metadata_card_layout__WEBPACK_IMPORTED_MODULE_66__.Uo),
/* harmony export */   templateSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.zH),
/* harmony export */   text: () => (/* reexport safe */ _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__.Qq),
/* harmony export */   textBoxDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_110__.dZ),
/* harmony export */   textBoxText: () => (/* reexport safe */ _items_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_110__.yA),
/* harmony export */   textBoxValues: () => (/* reexport safe */ _items_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_110__.jp),
/* harmony export */   textGroupInterval: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.e),
/* harmony export */   tilesLabelContentType: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.B4),
/* harmony export */   tilesTooltipContentType: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.Yg),
/* harmony export */   title: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.DD),
/* harmony export */   titleAlignment: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.k6),
/* harmony export */   titleImage64: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.aY),
/* harmony export */   titleImageType: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.KX),
/* harmony export */   titleImageUrl: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.Bd),
/* harmony export */   titleText: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.Qw),
/* harmony export */   titleVisible: () => (/* reexport safe */ _metadata_title__WEBPACK_IMPORTED_MODULE_131__.r1),
/* harmony export */   titleVisibleBaseInfo: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.aY),
/* harmony export */   tooltipAttributeName: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__.rC),
/* harmony export */   tooltipContentType: () => (/* reexport safe */ _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__.dE),
/* harmony export */   tooltipDimensions: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_99__.zL),
/* harmony export */   tooltipMeasures: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.h_),
/* harmony export */   topBottom: () => (/* reexport safe */ _format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_43__.$O),
/* harmony export */   topLatitude: () => (/* reexport safe */ _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__.iQ),
/* harmony export */   topNOptionsCount: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.LW),
/* harmony export */   topNOptionsEnabled: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.j7),
/* harmony export */   topNOptionsMeasure: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.aS),
/* harmony export */   topNOptionsMode: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.N3),
/* harmony export */   topNOptionsModeValues: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.po),
/* harmony export */   topNOptionsSerializationsInfo: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.jH),
/* harmony export */   topNOptionsShowOthers: () => (/* reexport safe */ _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__.uv),
/* harmony export */   topValue: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.tI),
/* harmony export */   totalTypeValues: () => (/* reexport safe */ _items_grid_metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_86__.t),
/* harmony export */   totalsTemplate: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.OI),
/* harmony export */   treeMapArgumentsMeta: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.YS),
/* harmony export */   treeMapvalues: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.tZ),
/* harmony export */   treeViewDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_filter_items_metadata_tree_view_item__WEBPACK_IMPORTED_MODULE_83__.K),
/* harmony export */   treemapDashboardItemSerializationsInfo: () => (/* reexport safe */ _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__.LB),
/* harmony export */   type: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.NW),
/* harmony export */   ultraCompactTemplateSerializationInfo: () => (/* reexport safe */ _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__.b3),
/* harmony export */   uniqueName: () => (/* reexport safe */ _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__.Fi),
/* harmony export */   unit: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.zA),
/* harmony export */   uri: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.Hr),
/* harmony export */   uriPattern: () => (/* reexport safe */ _items_metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_104__.Ph),
/* harmony export */   uriPatternValidationRules: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.rN),
/* harmony export */   url: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.OZ),
/* harmony export */   urlPath: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.Lx),
/* harmony export */   useGlobalColors: () => (/* reexport safe */ _items_options_metadata_dashboard_item_coloring_options__WEBPACK_IMPORTED_MODULE_112__.N3),
/* harmony export */   vAlignment: () => (/* reexport safe */ _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__.Mq),
/* harmony export */   validateGridUriPattern: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.i3),
/* harmony export */   value: () => (/* reexport safe */ _items_map_metadata_geo_point_map_item__WEBPACK_IMPORTED_MODULE_98__.U),
/* harmony export */   value1: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.zp),
/* harmony export */   value2: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.sH),
/* harmony export */   valueInfo: () => (/* reexport safe */ _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__.ul),
/* harmony export */   valueMapSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.ty),
/* harmony export */   valueMemberSerialization: () => (/* reexport safe */ _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__.Gi),
/* harmony export */   valueName: () => (/* reexport safe */ _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__.XJ),
/* harmony export */   valuePropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.sl),
/* harmony export */   valueType: () => (/* reexport safe */ _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__._x),
/* harmony export */   valuesPosition: () => (/* reexport safe */ _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__.au),
/* harmony export */   valuesPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.Dn),
/* harmony export */   verticalAlignment: () => (/* reexport safe */ _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__.Ev),
/* harmony export */   viewType: () => (/* reexport safe */ _items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_115__.mE),
/* harmony export */   viewport: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.R9),
/* harmony export */   visibleDataFilterString: () => (/* reexport safe */ _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__.g6),
/* harmony export */   visiblePointsCount: () => (/* reexport safe */ _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__.Px),
/* harmony export */   weightPropertyName: () => (/* reexport safe */ _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__.N5),
/* harmony export */   weightedLegend: () => (/* reexport safe */ _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__.bJ),
/* harmony export */   weightedLegendSerializationsInfo: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__._8),
/* harmony export */   weightedLegendVisible: () => (/* reexport safe */ _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__.Hj),
/* harmony export */   weightedSeriesSerializationsInfo: () => (/* reexport safe */ _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__.AP),
/* harmony export */   widthType: () => (/* reexport safe */ _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__.zA),
/* harmony export */   windowDefinition: () => (/* reexport safe */ _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__.sj),
/* harmony export */   windowDefinitionSerializationsInfo: () => (/* reexport safe */ _data_item_window_definition_metadata_window_definition__WEBPACK_IMPORTED_MODULE_23__.j),
/* harmony export */   wordWrap: () => (/* reexport safe */ _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__.Zw),
/* harmony export */   yearFormat: () => (/* reexport safe */ _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__.JV)
/* harmony export */ });
/* harmony import */ var _colorization_metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9369);
/* harmony import */ var _data_item_calculations_metadata_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3090);
/* harmony import */ var _data_item_calculations_metadata_difference_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5116);
/* harmony import */ var _data_item_calculations_metadata_measure_calculation__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8675);
/* harmony import */ var _data_item_calculations_metadata_moving_calculation__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7685);
/* harmony import */ var _data_item_calculations_metadata_percent_of_total_calculation__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8201);
/* harmony import */ var _data_item_calculations_metadata_rank_calculation__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8621);
/* harmony import */ var _data_item_calculations_metadata_running_total_calculation__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(3131);
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(158);
/* harmony import */ var _data_item_metadata_data_item_format__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(3272);
/* harmony import */ var _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7618);
/* harmony import */ var _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(4030);
/* harmony import */ var _data_item_window_definition_metadata_card_calc_window_definition__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(6684);
/* harmony import */ var _data_item_window_definition_metadata_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(6790);
/* harmony import */ var _data_item_window_definition_metadata_custom_item_calc_window_definition__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(7229);
/* harmony import */ var _data_item_window_definition_metadata_gauge_calc_window_definition__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(7095);
/* harmony import */ var _data_item_window_definition_metadata_grid_calc_window_definition__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(1886);
/* harmony import */ var _data_item_window_definition_metadata_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(774);
/* harmony import */ var _data_item_window_definition_metadata_pie_calc_window_definition__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(3184);
/* harmony import */ var _data_item_window_definition_metadata_pivot_calc_window_definition__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(2210);
/* harmony import */ var _data_item_window_definition_metadata_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(6368);
/* harmony import */ var _data_item_window_definition_metadata_scatter_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(507);
/* harmony import */ var _data_item_window_definition_metadata_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(3510);
/* harmony import */ var _data_item_window_definition_metadata_window_definition__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(2241);
/* harmony import */ var _data_sources_metadata_calculated_field__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(7582);
/* harmony import */ var _data_sources_metadata_connection__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(979);
/* harmony import */ var _data_sources_metadata_data_field__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(8534);
/* harmony import */ var _data_sources_metadata_data_source__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(3689);
/* harmony import */ var _data_sources_metadata_ef_data_source__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(7195);
/* harmony import */ var _data_sources_metadata_excel_data_source__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(1371);
/* harmony import */ var _data_sources_metadata_extract_data_source__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(8109);
/* harmony import */ var _data_sources_metadata_federation_data_source__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(137);
/* harmony import */ var _data_sources_metadata_object_data_source__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(3479);
/* harmony import */ var _data_sources_metadata_olap_data_source__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(1637);
/* harmony import */ var _data_sources_metadata_sql_data_source__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(4424);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(2573);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(4919);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(6968);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_base__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(3085);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(3661);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_expression__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(5498);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(9223);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_style_base__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(8245);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(5281);
/* harmony import */ var _format_rules_conditions_metadata_format_condition_value__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(6979);
/* harmony import */ var _format_rules_conditions_range_metadata_format_condition_range_base__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(1571);
/* harmony import */ var _format_rules_conditions_range_metadata_format_condition_range_color_bar__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(8011);
/* harmony import */ var _format_rules_conditions_range_metadata_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(9378);
/* harmony import */ var _format_rules_conditions_range_metadata_format_condition_range_gradient_bar__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(6490);
/* harmony import */ var _format_rules_conditions_range_metadata_format_condition_range_set__WEBPACK_IMPORTED_MODULE_49__ = __webpack_require__(8324);
/* harmony import */ var _format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_50__ = __webpack_require__(7886);
/* harmony import */ var _format_rules_conditions_range_metadata_range_set__WEBPACK_IMPORTED_MODULE_51__ = __webpack_require__(8288);
/* harmony import */ var _format_rules_metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_52__ = __webpack_require__(2807);
/* harmony import */ var _format_rules_metadata_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_53__ = __webpack_require__(4784);
/* harmony import */ var _format_rules_metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_54__ = __webpack_require__(2084);
/* harmony import */ var _format_rules_metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_55__ = __webpack_require__(7540);
/* harmony import */ var _format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_56__ = __webpack_require__(6744);
/* harmony import */ var _format_rules_metadata_grid_item_format_rule__WEBPACK_IMPORTED_MODULE_57__ = __webpack_require__(5068);
/* harmony import */ var _format_rules_metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_58__ = __webpack_require__(9228);
/* harmony import */ var _format_rules_metadata_pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_59__ = __webpack_require__(6667);
/* harmony import */ var _format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_60__ = __webpack_require__(8729);
/* harmony import */ var _format_rules_style_settings_metadata_color_style_settings__WEBPACK_IMPORTED_MODULE_61__ = __webpack_require__(4162);
/* harmony import */ var _format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_62__ = __webpack_require__(5020);
/* harmony import */ var _format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_63__ = __webpack_require__(3024);
/* harmony import */ var _items_card_metadata_card__WEBPACK_IMPORTED_MODULE_64__ = __webpack_require__(2369);
/* harmony import */ var _items_card_metadata_card_item__WEBPACK_IMPORTED_MODULE_65__ = __webpack_require__(3509);
/* harmony import */ var _items_card_metadata_card_layout__WEBPACK_IMPORTED_MODULE_66__ = __webpack_require__(4432);
/* harmony import */ var _items_card_metadata_card_layout_template__WEBPACK_IMPORTED_MODULE_67__ = __webpack_require__(1067);
/* harmony import */ var _items_card_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_68__ = __webpack_require__(5854);
/* harmony import */ var _items_card_metadata_card_row__WEBPACK_IMPORTED_MODULE_69__ = __webpack_require__(9220);
/* harmony import */ var _items_card_metadata_card_row_element__WEBPACK_IMPORTED_MODULE_70__ = __webpack_require__(6481);
/* harmony import */ var _items_chart_metadata_chart_axis__WEBPACK_IMPORTED_MODULE_71__ = __webpack_require__(1548);
/* harmony import */ var _items_chart_metadata_chart_item__WEBPACK_IMPORTED_MODULE_72__ = __webpack_require__(8533);
/* harmony import */ var _items_chart_metadata_chart_legend__WEBPACK_IMPORTED_MODULE_73__ = __webpack_require__(1967);
/* harmony import */ var _items_chart_metadata_chart_pane__WEBPACK_IMPORTED_MODULE_74__ = __webpack_require__(164);
/* harmony import */ var _items_chart_metadata_chart_series__WEBPACK_IMPORTED_MODULE_75__ = __webpack_require__(7011);
/* harmony import */ var _items_chart_metadata_point_label_options__WEBPACK_IMPORTED_MODULE_76__ = __webpack_require__(2323);
/* harmony import */ var _items_custom_item_metadata_custom_item__WEBPACK_IMPORTED_MODULE_77__ = __webpack_require__(793);
/* harmony import */ var _items_custom_item_metadata_slice_table__WEBPACK_IMPORTED_MODULE_78__ = __webpack_require__(4571);
/* harmony import */ var _items_filter_items_metadata_combo_box_item__WEBPACK_IMPORTED_MODULE_79__ = __webpack_require__(5842);
/* harmony import */ var _items_filter_items_metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_80__ = __webpack_require__(1187);
/* harmony import */ var _items_filter_items_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_81__ = __webpack_require__(641);
/* harmony import */ var _items_filter_items_metadata_list_box_item__WEBPACK_IMPORTED_MODULE_82__ = __webpack_require__(5746);
/* harmony import */ var _items_filter_items_metadata_tree_view_item__WEBPACK_IMPORTED_MODULE_83__ = __webpack_require__(4730);
/* harmony import */ var _items_gauge_metadata_gauge__WEBPACK_IMPORTED_MODULE_84__ = __webpack_require__(741);
/* harmony import */ var _items_gauge_metadata_gauge_item__WEBPACK_IMPORTED_MODULE_85__ = __webpack_require__(8257);
/* harmony import */ var _items_grid_metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_86__ = __webpack_require__(151);
/* harmony import */ var _items_grid_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_87__ = __webpack_require__(6955);
/* harmony import */ var _items_grid_metadata_grid_item__WEBPACK_IMPORTED_MODULE_88__ = __webpack_require__(8096);
/* harmony import */ var _items_grid_metadata_grid_options__WEBPACK_IMPORTED_MODULE_89__ = __webpack_require__(4614);
/* harmony import */ var _items_group_metadata_group_item__WEBPACK_IMPORTED_MODULE_90__ = __webpack_require__(3313);
/* harmony import */ var _items_kpi_metadata_kpi_element__WEBPACK_IMPORTED_MODULE_91__ = __webpack_require__(5480);
/* harmony import */ var _items_kpi_metadata_kpi_item__WEBPACK_IMPORTED_MODULE_92__ = __webpack_require__(773);
/* harmony import */ var _items_map_metadata_bubble_map_item__WEBPACK_IMPORTED_MODULE_93__ = __webpack_require__(8396);
/* harmony import */ var _items_map_metadata_chorolpeth_map__WEBPACK_IMPORTED_MODULE_94__ = __webpack_require__(7766);
/* harmony import */ var _items_map_metadata_chorolpeth_map_item__WEBPACK_IMPORTED_MODULE_95__ = __webpack_require__(6476);
/* harmony import */ var _items_map_metadata_custom_shape_file__WEBPACK_IMPORTED_MODULE_96__ = __webpack_require__(1391);
/* harmony import */ var _items_map_metadata_custom_shape_file_data__WEBPACK_IMPORTED_MODULE_97__ = __webpack_require__(6172);
/* harmony import */ var _items_map_metadata_geo_point_map_item__WEBPACK_IMPORTED_MODULE_98__ = __webpack_require__(4652);
/* harmony import */ var _items_map_metadata_geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_99__ = __webpack_require__(2248);
/* harmony import */ var _items_map_metadata_map_item__WEBPACK_IMPORTED_MODULE_100__ = __webpack_require__(7069);
/* harmony import */ var _items_map_metadata_map_legend__WEBPACK_IMPORTED_MODULE_101__ = __webpack_require__(3559);
/* harmony import */ var _items_map_metadata_map_viewport__WEBPACK_IMPORTED_MODULE_102__ = __webpack_require__(9028);
/* harmony import */ var _items_map_metadata_pie_map_item__WEBPACK_IMPORTED_MODULE_103__ = __webpack_require__(4384);
/* harmony import */ var _items_metadata_bound_image_item__WEBPACK_IMPORTED_MODULE_104__ = __webpack_require__(3532);
/* harmony import */ var _items_metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_105__ = __webpack_require__(7604);
/* harmony import */ var _items_metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_106__ = __webpack_require__(3888);
/* harmony import */ var _items_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_107__ = __webpack_require__(6157);
/* harmony import */ var _items_metadata_image_item__WEBPACK_IMPORTED_MODULE_108__ = __webpack_require__(3947);
/* harmony import */ var _items_metadata_series_item__WEBPACK_IMPORTED_MODULE_109__ = __webpack_require__(8181);
/* harmony import */ var _items_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_110__ = __webpack_require__(4191);
/* harmony import */ var _items_options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_111__ = __webpack_require__(1965);
/* harmony import */ var _items_options_metadata_dashboard_item_coloring_options__WEBPACK_IMPORTED_MODULE_112__ = __webpack_require__(3986);
/* harmony import */ var _items_options_metadata_delta_options__WEBPACK_IMPORTED_MODULE_113__ = __webpack_require__(82);
/* harmony import */ var _items_options_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_114__ = __webpack_require__(2591);
/* harmony import */ var _items_options_metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_115__ = __webpack_require__(1807);
/* harmony import */ var _items_pie_metadata_pie_item__WEBPACK_IMPORTED_MODULE_116__ = __webpack_require__(861);
/* harmony import */ var _items_pivot_metadata_pivot_item__WEBPACK_IMPORTED_MODULE_117__ = __webpack_require__(1069);
/* harmony import */ var _items_range_filter_metadata_date_time_period__WEBPACK_IMPORTED_MODULE_118__ = __webpack_require__(3359);
/* harmony import */ var _items_range_filter_metadata_limit_container__WEBPACK_IMPORTED_MODULE_119__ = __webpack_require__(414);
/* harmony import */ var _items_range_filter_metadata_period_limit__WEBPACK_IMPORTED_MODULE_120__ = __webpack_require__(208);
/* harmony import */ var _items_range_filter_metadata_range_filter_item__WEBPACK_IMPORTED_MODULE_121__ = __webpack_require__(3789);
/* harmony import */ var _items_scatter_chart_metadata_scatter_chart_item__WEBPACK_IMPORTED_MODULE_122__ = __webpack_require__(4429);
/* harmony import */ var _items_scatter_chart_metadata_scatter_point_label_options__WEBPACK_IMPORTED_MODULE_123__ = __webpack_require__(5355);
/* harmony import */ var _items_tab_container_item_metadata_dashboard_tab_page__WEBPACK_IMPORTED_MODULE_124__ = __webpack_require__(2570);
/* harmony import */ var _items_tab_container_item_metadata_tab_container_item__WEBPACK_IMPORTED_MODULE_125__ = __webpack_require__(9699);
/* harmony import */ var _items_treemap_metadata_treemap_item__WEBPACK_IMPORTED_MODULE_126__ = __webpack_require__(9077);
/* harmony import */ var _layout_metadata_dashboard_layout_node__WEBPACK_IMPORTED_MODULE_127__ = __webpack_require__(1910);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_128__ = __webpack_require__(4904);
/* harmony import */ var _metadata_custom_item_metadata__WEBPACK_IMPORTED_MODULE_129__ = __webpack_require__(2124);
/* harmony import */ var _metadata_dashboard__WEBPACK_IMPORTED_MODULE_130__ = __webpack_require__(165);
/* harmony import */ var _metadata_title__WEBPACK_IMPORTED_MODULE_131__ = __webpack_require__(3411);
/* harmony import */ var _parameters_metadata_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_132__ = __webpack_require__(623);
/* harmony import */ var _parameters_metadata_parameter__WEBPACK_IMPORTED_MODULE_133__ = __webpack_require__(1843);
/* harmony import */ var _parameters_metadata_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_134__ = __webpack_require__(4780);









































































































































/***/ }),

/***/ 6224:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ chartDataControllerProto),
/* harmony export */   z: () => (/* binding */ allowedTypesForShowPointMarkers)
/* harmony export */ });
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _model_enums__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4950);
/* harmony import */ var _model_internal_array_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2972);
/* harmony import */ var _model_internal_date_utils__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(2037);
/* harmony import */ var _viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2850);
/* harmony import */ var _chart_helper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9361);
/* harmony import */ var _common__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7739);
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6726);
/* harmony import */ var _localization_ids__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4216);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4999);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4833);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1133);
/* harmony import */ var _special_values__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(2383);
/* harmony import */ var _chart_data_controller_base__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(1869);














class chartDataControllerProto extends _chart_data_controller_base__WEBPACK_IMPORTED_MODULE_12__/* .chartDataControllerBase */ ._ {
    constructor(options) {
        super(options);
        this._legendSeriesPrefix = '__legend__series__';
        this._argumentAxisPoints = this.getArgumentAxisPoints();
    }
    getLegendSeriesName(seriesName) {
        return this._legendSeriesPrefix + seriesName;
    }
    getLegendSeriesDisplayName(seriesName) {
        return seriesName.indexOf(this._legendSeriesPrefix) !== -1 ? seriesName.replace(this._legendSeriesPrefix, '') : seriesName;
    }
    getDataSourceAndSeries(encodeHtml) {
        var that = this;
        if (!that.viewModel || that._argumentAxisPoints.length == 0) {
            return {
                dataSource: null,
                series: null,
                argumentAxis: {
                    categories: []
                }
            };
        }
        var seriesInfoList = that._getSeriesInfo(encodeHtml), legendInfoList = that.viewModel.Legend && !that.viewModel.IsDefaultColorizationDisabled ? that._getLegendInfo() : [], cfLegendItems = that.viewModel.Legend ? that._getConditionalFormattingLegendItems() : [], result = {
            dataSource: [],
            series: [],
            argumentAxis: null
        };
        let dataSourceAndCategories = this.getDataSourceAndCategories(seriesInfoList);
        if (dataSourceAndCategories) {
            result.dataSource = dataSourceAndCategories.dataSource;
            if (dataSourceAndCategories.categories)
                result.argumentAxis = { categories: dataSourceAndCategories.categories };
        }
        if (seriesInfoList.length > 0) {
            seriesInfoList.forEach((seriesInfo) => {
                if (seriesInfo.seriesItem) {
                    result.series.push(seriesInfo.seriesItem);
                }
            });
            legendInfoList.forEach((legendInfo) => {
                if (result.series.some(series => series.showInLegend && series.name === legendInfo.name)) {
                    return;
                }
                var legend = {
                    name: this.getLegendSeriesName(legendInfo.name),
                    color: legendInfo.color,
                    type: legendInfo.type
                };
                let insertIndex = (0,_model_internal_array_utils__WEBPACK_IMPORTED_MODULE_2__/* .findClosestItemIndex */ .Wp)(result.series, (series) => {
                    return series.showInLegend && series.parentTitle === legendInfo.name;
                });
                result.series.splice(insertIndex, 0, legend);
            });
            cfLegendItems.forEach((legendItem) => {
                result.series.push({
                    name: legendItem.name,
                    color: legendItem.color,
                });
            });
        }
        return result;
    }
    getDataSourceAndCategories(seriesInfoList) {
        return this.getDataDefinedDataSourceAndCategories(seriesInfoList);
    }
    getDataDefinedDataSourceAndCategories(seriesInfoList) {
        let dataSource = [];
        let categories;
        if (seriesInfoList.length > 0) {
            categories = [];
            this._argumentAxisPoints.forEach((argumentAxisPoint, pointIndex) => {
                var argument = this.getArgumentBindingValue(argumentAxisPoint, pointIndex), dataSourceItem = {
                    x: argument
                };
                if (this._isSelectionTagsRequired()) {
                    dataSourceItem.tag = {
                        axisPoint: argumentAxisPoint
                    };
                }
                if (this.isDiscreteArgument()) {
                    categories.push(argument);
                }
                seriesInfoList.forEach(seriesInfo => {
                    if (seriesInfo.originalSeriesType === 'HighLowClose') {
                        dataSourceItem.nullColumn = null;
                    }
                    seriesInfo.valueFields.forEach(valueField => {
                        let value = valueField.getValue(argumentAxisPoint);
                        if (value === _special_values__WEBPACK_IMPORTED_MODULE_11__/* .specialValues */ .A.errorValueGuid)
                            value = 0;
                        dataSourceItem[valueField.name] = value;
                    });
                });
                dataSource.push(dataSourceItem);
            });
        }
        else {
            categories = undefined;
        }
        return {
            dataSource: dataSource,
            categories: categories
        };
    }
    generatePaneName(paneName, paneIndex) {
        return paneName || 'Pane ' + paneIndex;
    }
    _getSeriesInfo(encodeHtml) {
        var seriesIndex = 0, seriesAxisPoints = this.getSeriesAxisPoints(), isGrandTotal = !this.viewModel.SummarySeriesMember, includeTags = this._isSelectionTagsRequired(), reversed = this.viewModel.AxisX && this.viewModel.AxisX.Reverse, result = [], add = (info) => {
            var canReverse = info.seriesItem.type !== 'stackedbar' && info.seriesItem.type !== 'fullstackedbar';
            if (reversed && canReverse)
                result.unshift(info);
            else
                result.push(info);
        }, generateSeriesInfo = (pane, seriesTemplate, paneIndex, seriesAxisPoint, additionalOptions = {}, specifyTitleByName = false) => {
            specifyTitleByName = specifyTitleByName || pane?.SpecifySeriesTitlesWithSeriesName;
            var paneName = pane ? this.generatePaneName(pane.Name, paneIndex) : undefined, pointLabelInfo = this._getPointLabelInfo(seriesTemplate.PointLabel), info = {
                ...additionalOptions,
                name: seriesTemplate.Name,
                dataId: seriesTemplate.DataId,
                paneName: paneName,
                pointVisible: this._showPointMarker(seriesTemplate),
                seriesType: _chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.convertSeriesType(seriesTemplate.SeriesType),
                originalSeriesType: seriesTemplate.SeriesType,
                plotOnSecondaryAxis: seriesTemplate.PlotOnSecondaryAxis,
                ignoreEmptyPoints: seriesTemplate.IgnoreEmptyPoints,
                axisPoint: seriesAxisPoint,
                dataMembers: seriesTemplate.DataMembers,
                colorMeasureId: seriesTemplate.ColorMeasureID,
                valueFormats: [],
                valueFields: [],
                pointLabel: pointLabelInfo
            };
            info.dataMembers.forEach(dataMember => {
                info.valueFormats.push(this.multiData.getMeasureFormat(dataMember));
                info.valueFields.push({
                    name: 'y' + seriesIndex.toString(),
                    getValue: (argumentAxisPoint) => {
                        return this._getCrossSlice(argumentAxisPoint, seriesAxisPoint).getMeasureValue(dataMember).getValue();
                    }
                });
                seriesIndex++;
            });
            if (!isGrandTotal) {
                info.title = this.getTitle(seriesAxisPoint);
                if (specifyTitleByName) {
                    info.title += ' - ' + (info.legendText || seriesTemplate.Name);
                }
            }
            else {
                info.title = info.legendText || seriesTemplate.Name;
            }
            info.seriesItem = this._createSeriesItem(info, includeTags, encodeHtml);
            return info;
        };
        this._iterateSeriesTemplates((pane, seriesTemplate, paneIndex) => {
            seriesAxisPoints.forEach(seriesAxisPoint => {
                add(generateSeriesInfo(pane, seriesTemplate, paneIndex, seriesAxisPoint));
                seriesTemplate.IndicatorViewModels?.forEach(indicatorViewModel => {
                    var color = indicatorViewModel.Color;
                    var info = generateSeriesInfo(pane, indicatorViewModel, paneIndex, seriesAxisPoint, {
                        width: indicatorViewModel.Thickness,
                        dashStyle: indicatorViewModel.DashStyle,
                        parentTitle: this.getTitle(seriesAxisPoint) || seriesTemplate.Name,
                        visible: indicatorViewModel.Visible,
                        showInLegend: indicatorViewModel.ShowInLegend,
                        legendText: indicatorViewModel.DisplayName,
                        staticColor: (0,_utils__WEBPACK_IMPORTED_MODULE_9__/* .getRGBColor */ .Vo)(color.R, color.G, color.B, color.A)
                    }, true);
                    add(info);
                });
            });
        });
        return result;
    }
    customizeTooltipText(series, point, seriesFormats, encodeHtml) {
        if (!this._validatePoint(point, series.type))
            return null;
        var color = this._getCustomizeTooltipTextColor(point);
        return this._getTooltipHtml(series, point, seriesFormats, encodeHtml, color);
    }
    _getTooltipHtml(series, point, seriesFormats, encodeHtml, color) {
        var span = this._getTooltipSpanInternal(series, point, seriesFormats, encodeHtml);
        if (color) {
            var div = document.createElement('div');
            div.appendChild(_viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_3__/* .RenderHelper */ .p.rectangleHtml(color, 10, 10, '5px'));
            div.appendChild(span);
            return div;
        }
        return span;
    }
    _getTooltipSpanInternal(series, point, seriesFormats, encodeHtml) {
        var that = this, element = document.createElement('span');
        const displayText = series.name + ': ';
        element.innerHTML = encodeHtml ? (0,_utils__WEBPACK_IMPORTED_MODULE_9__/* .encodeHtml */ .o4)(displayText) : displayText;
        switch (series.type) {
            case 'rangebar':
            case 'rangearea':
                element.innerHTML += that._formatValuesList([point.originalMinValue, point.originalValue], seriesFormats, encodeHtml);
                break;
            case 'bubble':
                element.innerHTML += that._formatValuesList([point.originalValue, point.size], seriesFormats, encodeHtml);
                break;
            case 'stock':
            case 'candlestick':
                const elements = that._formatOpenHighLowCloseValues([point.originalOpenValue, point.originalHighValue, point.originalLowValue, point.originalCloseValue], seriesFormats, series.getOptions().openValueField !== 'nullColumn', encodeHtml, 'br');
                elements.forEach((el) => {
                    element.appendChild(el);
                });
                break;
            default:
                element.innerHTML += that._formatValuesList([point.originalValue], seriesFormats, encodeHtml);
                break;
        }
        return element;
    }
    getTooltipArgumentText(obj) {
        return this.getArgumentText({ value: obj.originalArgument });
    }
    getZoomArguments() {
        var that = this, axisX = that.viewModel ? that.viewModel.AxisX : undefined;
        if (axisX && axisX.LimitVisiblePoints && that._argumentAxisPoints.length > axisX.VisiblePointsCount) {
            var endIndex = axisX.VisiblePointsCount - 1;
            return {
                start: that.getArgumentBindingValue(that._argumentAxisPoints[0], 0),
                end: that.getArgumentBindingValue(that._argumentAxisPoints[endIndex], endIndex)
            };
        }
    }
    getArgumentUniquePath(value) {
        var that = this;
        for (var i = 0; i < that._argumentAxisPoints.length; i++) {
            if (that.getArgument(that._argumentAxisPoints[i]) === value)
                return that._argumentAxisPoints[i].getUniquePath();
        }
    }
    _getArgumentAutoFormat() {
        var that = this, min = 0, max = 1;
        if (that._argumentAxisPoints.length > 0) {
            min = that._argumentAxisPoints[0].getValue();
            max = that._argumentAxisPoints[that._argumentAxisPoints.length - 1].getValue();
        }
        return (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .getAxisFormat */ .R0)(min, max);
    }
    _createArgumentFormat() {
        return this.isSingleArgument() ? this.getSingleArgumentDimensionFormat() : undefined;
    }
    _createAxisXFormat() {
        if (this.viewModel.AxisX.Format && (this.viewModel.AxisX.Format.NumericFormat != null || this.viewModel.AxisX.Format.DateTimeFormat != null))
            return (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .convertToFormat */ .mL)(this.viewModel.AxisX.Format);
        return this.getArgumentFormat();
    }
    getArgumentFormat() {
        if (this._argumentFormat == null)
            this._argumentFormat = this._createArgumentFormat();
        return this._argumentFormat;
    }
    getAxisXFormat() {
        if (this._axisXFormat == null)
            this._axisXFormat = this._createAxisXFormat();
        return this._axisXFormat;
    }
    getArgumentText(argument) {
        return this._getArgumentText(argument.value, () => this.getArgumentFormat());
    }
    getAxisXLabelText(axisValue) {
        return this._getArgumentText(axisValue.value, () => this.getAxisXFormat());
    }
    _getArgumentText(argumentValue, formatGetter) {
        if (this.isDiscreteArgument() || this.isQualitativeArgument()) {
            var axisPoint = this._argumentAxisPoints[argumentValue];
            if (this.viewModel.Argument.AxisXDateTimeFormatSupported)
                return (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .formatByFormatInfo */ .gZ)(axisPoint.getValue(), formatGetter());
            return axisPoint ? this.getTitle(axisPoint, '\n') : argumentValue;
        }
        return (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .formatByFormatInfo */ .gZ)(argumentValue, formatGetter());
    }
    _validatePoint(point, seriesType) {
        switch (seriesType) {
            case 'rangebar':
            case 'rangearea':
                return !(point.originalMinValue === null && point.originalValue === null);
            case 'bubble':
                return !(point.originalValue === null && point.size === null);
            case 'stock':
            case 'candlestick':
                return !(point.originalOpenValue === null && point.originalHighValue === null && point.originalLowValue === null && point.originalCloseValue === null);
            default:
                return !(point.originalValue === null);
        }
    }
    _getCustomizeTooltipTextColor(point) {
        if (point.getColor) {
            return point.getColor();
        }
    }
    _getLegendInfo() {
        var that = this, values = [], result = [], colorMeasures = that.multiData.getColorMeasures(), argumentPoints = that.getArgumentAxisPoints(that.viewModel.ArgumentColorDimension), seriesPoints = that.getSeriesAxisPoints(that.viewModel.SeriesColorDimension), includeProc = (axisPoint) => {
            var dim = axisPoint.getDimension();
            return (dim && this.viewModel.ColorPathMembers && this.viewModel.ColorPathMembers.indexOf(dim.id) !== -1);
        }, getColorValuesProc = function (axisPoint) {
            return axisPoint.getValuePath(includeProc);
        }, getColorDisplayTextsProc = function (axisPoint) {
            return axisPoint.getDisplayPath(includeProc);
        };
        colorMeasures.forEach(colorMeasure => {
            argumentPoints.forEach(argumentPoint => {
                seriesPoints.forEach(seriesPoint => {
                    var color = that._getColorFromData(argumentPoint, seriesPoint, colorMeasure.id);
                    if (color) {
                        var valueSet = getColorValuesProc(argumentPoint).concat(getColorValuesProc(seriesPoint));
                        var displayTexts = getColorDisplayTextsProc(argumentPoint).concat(getColorDisplayTextsProc(seriesPoint));
                        if (colorMeasure.name) {
                            valueSet.push(colorMeasure);
                            displayTexts.push(colorMeasure.name);
                        }
                        if (!that._valuesContainsValueSet(values, valueSet)) {
                            values.push(valueSet);
                            var colorText = displayTexts.join(' - ');
                            if (!colorText || colorText == '') {
                                colorText = that._getDisplayTextBySeriesTemplates();
                            }
                            var transparentColor = !that.viewModel.ArgumentColorDimension && _chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.isTransparentColorType(that._getLastSeriesType(colorMeasure.id));
                            result.push({
                                name: colorText,
                                color: color,
                                type: transparentColor ? 'bubble' : 'line',
                                argumentField: 'legendFakeArgument',
                                valueField: 'legendFakeValue'
                            });
                        }
                    }
                });
            });
        });
        return result;
    }
    _getConditionalFormattingLegendItems() {
        let cfLegends = [];
        if (this.cfModel) {
            let isRuleHasRanges = (rule) => !!(rule.ConditionModel && rule.ConditionModel.Ranges);
            this.styleSettingsProvider.cfModel.RuleModels.filter(rule => !isRuleHasRanges(rule)).forEach(rule => {
                if (rule.ShowInLegend && rule.DisplayName) {
                    let color = this._getRuleColors(rule)[0];
                    cfLegends.push(this._getConditionalFormattingLegendItem(rule.DisplayName, color));
                }
            });
            this.styleSettingsProvider.cfModel.RuleModels.filter(rule => isRuleHasRanges(rule)).forEach(rule => {
                if (rule.ShowInLegend)
                    cfLegends = cfLegends.concat(this._getConditionalFormattingRangeLegendItems(rule));
            });
        }
        return cfLegends;
    }
    _getConditionalFormattingRangeLegendItems(rule) {
        let colors = this._getRuleColors(rule), maxPercentValue = 1, positiveInfinitySymbol = '∞', negativeInfinitySymbol = '-∞', legendItems = [], rangeConditionModel = rule.ConditionModel, dataItemFormat = this.multiData.getMeasureFormat(rule.CalcByDataId) || this.multiData.getDimensionFormat(rule.CalcByDataId);
        for (let index = rangeConditionModel.Ranges.length - 1; index >= 0; index--) {
            let rangeModel = rangeConditionModel.Ranges[index], leftValueString, rightValueString, leftValue = rangeModel.LeftValue, rightValue = rangeModel.RightValue, color = colors[index];
            if (rangeConditionModel.ValueType === 'Percent') {
                leftValueString = (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .formatPercentValue */ .Iv)(leftValue ? leftValue / 100 : maxPercentValue);
                rightValueString = (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .formatPercentValue */ .Iv)(rightValue / 100);
            }
            else {
                leftValueString = leftValue ? (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .format */ .GP)((0,_model_internal_date_utils__WEBPACK_IMPORTED_MODULE_13__/* .tryConvertToDateTime */ .bt)(leftValue), dataItemFormat) : positiveInfinitySymbol;
                rightValueString = rightValue ? (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .format */ .GP)((0,_model_internal_date_utils__WEBPACK_IMPORTED_MODULE_13__/* .tryConvertToDateTime */ .bt)(rightValue), dataItemFormat) : negativeInfinitySymbol;
            }
            let legendDescription = (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)(_localizer__WEBPACK_IMPORTED_MODULE_8__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_7__/* .localizationId */ .d.LegendItemFormatString), leftValueString, rightValueString);
            legendItems.push(this._getConditionalFormattingLegendItem(legendDescription, color));
        }
        return legendItems;
    }
    _getConditionalFormattingLegendItem(desription, color) {
        return {
            name: desription,
            color: color,
        };
    }
    _getRuleColors(rule) {
        return this.cfModel.FormatConditionStyleSettings
            .filter(style => style.RuleIndex == this.cfModel.RuleModels.indexOf(rule))
            .map(style => this.styleSettingsProvider.getBackColorFromStyleSettingsModel(style));
    }
    _valuesContainsValueSet(values, valueSet) {
        for (var i = 0; i < values.length; i++) {
            if (values[i].length !== valueSet.length)
                continue;
            var equal = true;
            for (var j = 0; j < values[i].length; j++) {
                if (values[i][j] !== valueSet[j]) {
                    equal = false;
                    break;
                }
            }
            if (equal)
                return true;
        }
        return false;
    }
    _getLastSeriesType(colorMeasureId) {
        var panes = this.viewModel.Panes;
        for (var i = panes.length - 1; i >= 0; i--) {
            for (var j = panes[i].SeriesTemplates.length - 1; j >= 0; j--) {
                if (colorMeasureId === panes[i].SeriesTemplates[j].ColorMeasureID) {
                    return _chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.convertSeriesType(panes[i].SeriesTemplates[j].SeriesType);
                }
            }
        }
    }
    _getDisplayTextBySeriesTemplates() {
        var displayTexts = [];
        this._iterateSeriesTemplates((pane, seriesTemplate, paneIndex, templateIndex) => {
            var name = seriesTemplate.Name;
            if (displayTexts.indexOf(name) === -1) {
                displayTexts.push(name);
            }
        });
        return displayTexts.join(', ');
    }
    _iterateSeriesTemplates(proc) {
        this.viewModel.Panes.forEach((pane, paneIndex) => {
            pane.SeriesTemplates.forEach(seriesTemplate => {
                proc(pane, seriesTemplate, paneIndex);
            });
        });
    }
    _isSelectionTagsRequired() {
        return true;
    }
    _createSeriesItem(seriesInfo, includeTags, encodeHtml) {
        var that = this, seriesItem = {
            argumentField: 'x',
            type: seriesInfo.seriesType,
            showInLegend: seriesInfo.showInLegend || seriesInfo.seriesType === 'stock' || seriesInfo.seriesType === 'candlestick'
        }, setNamesListProc = function (names) {
            if (seriesInfo.originalSeriesType === 'HighLowClose') {
                seriesItem[names[0]] = 'nullColumn';
                names.splice(0, 1);
            }
            for (var i = 0; i < Math.min(names.length, seriesInfo.valueFields.length); i++) {
                seriesItem[names[i]] = seriesInfo.valueFields[i].name;
            }
        }, assingSeriesItemProperty = (propertyName, alterName = propertyName) => {
            if (_utils__WEBPACK_IMPORTED_MODULE_9__/* .type */ .NW.isDefined(seriesInfo[propertyName]))
                seriesItem[alterName] = seriesInfo[propertyName];
        }, assingSeriesItemProperties = (assingProperties) => {
            assingProperties.forEach((property) => assingSeriesItemProperty(property));
        };
        assingSeriesItemProperty('title', 'name');
        assingSeriesItemProperty('paneName', 'pane');
        assingSeriesItemProperties(['width', 'dashStyle', 'visible', 'parentTitle']);
        if (includeTags) {
            seriesItem.tag = {
                axisPoint: seriesInfo.axisPoint,
                dataMembers: seriesInfo.dataMembers,
                valueFormats: seriesInfo.valueFormats,
                colorMeasureId: seriesInfo.colorMeasureId
            };
        }
        seriesItem.point = {
            visible: seriesInfo.pointVisible
        };
        seriesItem[_common__WEBPACK_IMPORTED_MODULE_5__/* .DashboardDataIdField */ .e3] = seriesInfo.dataId;
        switch (seriesItem.type) {
            case 'rangebar':
            case 'rangearea':
                setNamesListProc(['rangeValue1Field', 'rangeValue2Field']);
                break;
            case 'bubble':
                setNamesListProc(['valueField', 'sizeField']);
                break;
            case 'stock':
            case 'candlestick':
                setNamesListProc(['openValueField', 'highValueField', 'lowValueField', 'closeValueField']);
                break;
            default:
                setNamesListProc(['valueField']);
                break;
        }
        seriesItem.axis = (seriesInfo.paneName || '') + (seriesInfo.plotOnSecondaryAxis ? 'secondary' : 'primary');
        if (seriesInfo.ignoreEmptyPoints) {
            seriesItem.ignoreEmptyPoints = seriesInfo.ignoreEmptyPoints;
        }
        if (that.showPointLabels(seriesInfo.pointLabel)) {
            var pointLabel = seriesInfo.pointLabel;
            seriesItem.label = {
                visible: true,
                rotationAngle: pointLabel.rotationAngle,
                customizeText: function () {
                    return that._customizePointLabelText(this, pointLabel, seriesInfo);
                }
            };
            if (seriesItem.type === 'bar') {
                seriesItem.label.showForZeroValues = pointLabel.showForZeroValues;
            }
            if (seriesItem.type === 'bar' || seriesItem.type === 'bubble') {
                seriesItem.label.position = pointLabel.position;
            }
            else if (seriesItem.type === 'fullstackedbar') {
                seriesItem.label.position = 'inside';
            }
        }
        var color = undefined;
        if (that.viewModel.IsDefaultColorizationDisabled)
            color = that.styleSettingsProvider.getDefaultBackColor();
        else if (_utils__WEBPACK_IMPORTED_MODULE_9__/* .type */ .NW.isDefined(seriesInfo.colorMeasureId)) {
            color = that._getColorFromData(that._argumentAxisPoints[0], seriesInfo.axisPoint, seriesInfo.colorMeasureId);
        }
        let cfColor = that.getConditionalFormattingSeriesColor(seriesInfo.axisPoint, seriesInfo.dataMembers[0]);
        if (cfColor)
            color = cfColor;
        if (_chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.isSeriesColorSupported(seriesItem.type)) {
            var argumentRootAxisPoint = this.multiData.getAxis(_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_10__/* .itemDataAxisNames */ .X.chartArgumentAxis).getRootPoint();
            color = that._getElementCustomColor(argumentRootAxisPoint, seriesInfo.axisPoint, seriesInfo.dataMembers, color);
        }
        if (color) {
            seriesItem.color = color;
        }
        else if (_utils__WEBPACK_IMPORTED_MODULE_9__/* .type */ .NW.isDefined(seriesInfo.staticColor)) {
            seriesItem.color = seriesInfo.staticColor;
        }
        if (_chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.isStackedAreaType(seriesItem.type)) {
            seriesItem.opacity = 1;
        }
        return seriesItem;
    }
    _customizePointLabelText(valueContainer, pointLabel, seriesInfo) {
        var that = this, contentType = pointLabel.contentType, formatArgumentProc = function () {
            return that.getArgumentText({ value: valueContainer.argument });
        }, formatValueProc = function () {
            var formats = seriesInfo.valueFormats;
            switch (seriesInfo.seriesType) {
                case 'rangebar':
                case 'rangearea':
                    return that._formatValuesList([valueContainer.value], [formats[valueContainer.index]], false);
                case 'bubble':
                    return that._formatValuesList([valueContainer.value, valueContainer.size], formats, false);
                case 'stock':
                case 'candlestick':
                    return that._formatOpenHighLowCloseValues([valueContainer.openValue, valueContainer.highValue, valueContainer.lowValue, valueContainer.closeValue], formats, seriesInfo.originalSeriesType !== 'HighLowClose', false, '\n\r');
                default:
                    return that._formatValuesList([valueContainer.value], formats, false);
            }
        };
        let hasArgument = (contentType & _model_enums__WEBPACK_IMPORTED_MODULE_1__/* .PointLabelContentType */ .Q.Argument) > 0, hasSeriesName = (contentType & _model_enums__WEBPACK_IMPORTED_MODULE_1__/* .PointLabelContentType */ .Q.SeriesName) > 0, hasValue = (contentType & _model_enums__WEBPACK_IMPORTED_MODULE_1__/* .PointLabelContentType */ .Q.Value) > 0, hasPercent = (contentType & _model_enums__WEBPACK_IMPORTED_MODULE_1__/* .PointLabelContentType */ .Q.Percent) > 0 && this._getPercentSupported(seriesInfo);
        let firstPart = '';
        let secondPart = '';
        let argument = hasArgument ? formatArgumentProc() : '';
        let series = hasSeriesName ? valueContainer.seriesName : '';
        let percent = hasPercent ? (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .formatPercentValue */ .Iv)(valueContainer.percent) : '';
        if (hasArgument) {
            firstPart = hasSeriesName ? `${argument} (${series})` : `${argument}`;
        }
        else if (hasSeriesName) {
            firstPart = `${series}`;
        }
        if (hasValue) {
            const value = formatValueProc();
            let valueText = '';
            if (typeof value === 'string') {
                valueText = value;
            }
            else {
                value.forEach((x) => {
                    valueText += x.outerHTML;
                });
            }
            secondPart = hasPercent ? `${valueText} (${percent})` : `${valueText}`;
        }
        else if (hasPercent) {
            secondPart = `${percent}`;
        }
        return [`${firstPart}`, `${secondPart}`].filter(s => s != '').join(': ');
    }
    _getPercentSupported(seriesInfo) {
        var series = ['fullstackedbar', 'fullstackedline', 'fullstackedarea', 'fullstackedsplinearea'];
        return series.indexOf(seriesInfo.seriesType) >= 0;
    }
    _formatOpenHighLowCloseValues(values, formats, hasOpenValueField, encodeHtml, delimiter) {
        var result = [], delimiter = delimiter || ' ', formatsLength = formats ? formats.length : 0, i, formatIndex, valueNames = [
            _localizer__WEBPACK_IMPORTED_MODULE_8__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_7__/* .localizationId */ .d.OpenCaption),
            _localizer__WEBPACK_IMPORTED_MODULE_8__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_7__/* .localizationId */ .d.HighCaption),
            _localizer__WEBPACK_IMPORTED_MODULE_8__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_7__/* .localizationId */ .d.LowCaption),
            _localizer__WEBPACK_IMPORTED_MODULE_8__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_7__/* .localizationId */ .d.CloseCaption)
        ];
        if (values && (formatsLength > 0) && (formatsLength <= values.length)) {
            for (formatIndex = 0, i = hasOpenValueField ? 0 : 1; formatIndex < formatsLength; formatIndex++, i++) {
                result.push(document.createElement(delimiter));
                const span = document.createElement('span');
                span.innerHTML = valueNames[i] + ': ' + this._formatValue(values[i], formats[formatIndex], encodeHtml);
                result.push(span);
            }
        }
        return result;
    }
    _formatValuesList(valuesList, formats, encodeHtml) {
        var result = '';
        if (formats && formats.length === valuesList.length) {
            for (var i = 0; i < valuesList.length; i++) {
                result = result + (i === 0 ? '' : ' - ') + this._formatValue(valuesList[i], formats[i], encodeHtml);
            }
        }
        return result;
    }
    _formatValue(value, format, encodeHtml) {
        var text = (0,_formatter__WEBPACK_IMPORTED_MODULE_6__/* .format */ .GP)(value ? value : 0, format);
        return encodeHtml ? (0,_utils__WEBPACK_IMPORTED_MODULE_9__/* .encodeHtml */ .o4)(text) : text;
    }
    _isNumericDataType(type) {
        return type == 'Integer' || type == 'Float' || type == 'Double' || type == 'Decimal';
    }
    _convertContentType(typeModel) {
        return (0,_model_enums__WEBPACK_IMPORTED_MODULE_1__/* .parsePointLabelContentType */ .TR)(typeModel);
    }
    _showPointMarker(seriesTemplate) {
        if (seriesTemplate.SeriesType === 'Point') {
            return true;
        }
        else if (allowedTypesForShowPointMarkers.indexOf(seriesTemplate.SeriesType) !== -1) {
            return seriesTemplate.ShowPointMarkers;
        }
        else {
            return false;
        }
    }
    checkSeriesTemplatePointLabels(seriesTemplateViewModel) {
        return this.showPointLabels(this._getPointLabelInfo(seriesTemplateViewModel.PointLabel));
    }
    showPointLabels(pointLabelInfo) {
        return pointLabelInfo && pointLabelInfo.contentType != _model_enums__WEBPACK_IMPORTED_MODULE_1__/* .PointLabelContentType */ .Q.None;
    }
    _getPointLabelInfo(pointLabelViewModel) {
        if (pointLabelViewModel) {
            return {
                showPointLabels: pointLabelViewModel.ShowPointLabels,
                rotationAngle: _chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.convertPointLabelRotationAngle(pointLabelViewModel.Orientation),
                position: _chart_helper__WEBPACK_IMPORTED_MODULE_4__/* .chartHelper */ .v.convertPointLabelPosition(pointLabelViewModel.Position),
                showForZeroValues: pointLabelViewModel.ShowForZeroValues,
                contentType: this._convertContentType(pointLabelViewModel.ContentType),
                scatterContent: pointLabelViewModel.ScatterContent
            };
        }
    }
}
const allowedTypesForShowPointMarkers = ['Line', 'Spline', 'StepLine', 'StackedLine', 'FullStackedLine', 'SplineArea', 'Area', 'StepArea', 'RangeArea'];


/***/ }),

/***/ 6241:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ getSummaryExpression),
/* harmony export */   t: () => (/* binding */ getDimensionExpression)
/* harmony export */ });
function getDimensionExpression(dataMember, gateTimeGroupInterval, textGroupInterval, fieldType) {
    let operand = `[${dataMember}]`;
    switch (fieldType) {
        case 'DateTime':
            switch (gateTimeGroupInterval) {
                case 'None':
                    return operand;
                case 'DayMonthYear':
                    return `GetDate(${operand})`;
                case 'Day':
                    return `GetDay(${operand})`;
                case 'DayOfWeek':
                    return `GetDayOfWeek(${operand})`;
                case 'DayOfYear':
                    return `GetDayOfYear(${operand})`;
                case 'DateHour':
                    return `GetDateHour(${operand})`;
                case 'DateHourMinute':
                    return `GetDateHourMinute(${operand})`;
                case 'DateHourMinuteSecond':
                    return `GetDateHourMinuteSecond(${operand})`;
                case 'Month':
                    return `GetMonth(${operand})`;
                case 'MonthYear':
                    return `GetDateMonthYear(${operand})`;
                case 'Quarter':
                    return `GetQuarter(${operand})`;
                case 'QuarterYear':
                    return `GetDateQuarterYear(${operand})`;
                case 'WeekOfMonth':
                    return `GetWeekOfMonth(${operand})`;
                case 'WeekOfYear':
                    return `GetWeekOfYear(${operand})`;
                case 'WeekYear':
                    return `GetDateWeekYear(${operand})`;
                case 'Year':
                    return `GetYear(${operand})`;
                case 'Hour':
                    return `GetHour(${operand})`;
                case 'Minute':
                    return `GetMinute(${operand})`;
                case 'Second':
                    return `GetSecond(${operand})`;
            }
        case 'Text':
            switch (textGroupInterval) {
                case 'Alphabetical':
                    return `Substring(${operand}, 0, 1)`;
            }
    }
    return operand;
}
function getSummaryExpression(dataMember, summaryType) {
    var operand = `[${dataMember}]`;
    switch (summaryType) {
        case 'Average':
            return `Avg(${operand})`;
        case 'Count':
            return `CountNotNull(${operand})`;
        case 'CountDistinct':
            return `CountDistinct(${operand})`;
        case 'Max':
            return `Max(${operand})`;
        case 'Median':
            return `Median(${operand})`;
        case 'Mode':
            return `Mode(${operand})`;
        case 'Min':
            return `Min(${operand})`;
        case 'StdDev':
            return `StdDev(${operand})`;
        case 'StdDevp':
            return `StdDevp(${operand})`;
        case 'Sum':
            return `Sum(${operand})`;
        case 'Var':
            return `Var(${operand})`;
        case 'Varp':
            return `Varp(${operand})`;
    }
    throw new Error(`Summary expression cannot be determined for the ${summaryType} summary type.`);
}


/***/ }),

/***/ 6296:
/***/ ((module) => {

module.exports = DevExpress.ui.dxScrollView;

/***/ }),

/***/ 6306:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ choroplethMapDataController)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(814);


class choroplethMapDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_1__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this.axisCache = {};
        this.isEmpty = true;
        this._prepare();
    }
    _prepare() {
        var attributeId = this.viewModel.AttributeDimensionId, axis = this.multiData.getAxis(), axisPoints = attributeId ? axis.getPointsByDimension(attributeId) : [];
        this.isEmpty = axisPoints.length == 0;
        for (var i = 0; i < axisPoints.length; i++) {
            let key = axisPoints[i].getValue();
            this.axisCache[key] = axisPoints[i];
        }
    }
    hasRecords() {
        return !this.isEmpty;
    }
    getDeltaValue(attribute, deltaId) {
        var axisPoint = this.axisCache[attribute];
        return axisPoint ? this.multiData.getSlice(axisPoint).getDeltaValue(deltaId) : null;
    }
    getValue(attribute, measureName) {
        var measureValue = this._getMeasureValue(attribute, measureName);
        return measureValue ? measureValue.getValue() : null;
    }
    getDisplayText(attribute, measureName) {
        var measureValue = this._getMeasureValue(attribute, measureName);
        return measureValue ? measureValue.getDisplayText() : null;
    }
    getUniqueValue(attribute) {
        var axisPoint = this.axisCache[attribute];
        return axisPoint ? axisPoint.getUniqueValue() : null;
    }
    getMinMax(measureName) {
        var that = this, min, max, value;
        jquery__WEBPACK_IMPORTED_MODULE_0__.each(this.axisCache, function (key, axisPoint) {
            value = that.multiData.getSlice(axisPoint).getMeasureValue(measureName).getValue();
            if (min == null || value < min)
                min = value;
            if (max == null || value > max)
                max = value;
        });
        return {
            min: min,
            max: max
        };
    }
    getMeasureDescriptorById(valueId) {
        return this.multiData.getMeasureById(valueId);
    }
    _getMeasureValue(attribute, measureName) {
        var axisPoint = this.axisCache[attribute];
        return axisPoint ? this.multiData.getSlice(axisPoint).getMeasureValue(measureName) : null;
    }
}


/***/ }),

/***/ 6318:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ CalculationExpressionEditor),
/* harmony export */   v: () => (/* binding */ ExpressionEditorWrapper)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _expression_editor_expression_editor__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8798);
/* harmony import */ var _expression_editor_expression_editor_functions__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8914);



class CalculationExpressionEditor {
    constructor(params) {
        this.params = params;
        this.editorTemplate = 'dx-dashboard-calculation-expression-editor';
        this.editor = new ExpressionEditorWrapper(params);
        this.criteriaString = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            var criteria = params.options().value();
            return criteria;
        });
    }
    edit() {
        this.editor.show();
    }
    remove() {
        this.params.options().value(null);
    }
}
class ExpressionEditorWrapper {
    constructor(params) {
        this.params = params;
        this.viewModel = knockout__WEBPACK_IMPORTED_MODULE_0__.observable();
    }
    show() {
        if (this.viewModel()) {
            this.viewModel().dispose();
        }
        var expressionEditorOptions = this.params.options();
        expressionEditorOptions.functions = (0,_expression_editor_expression_editor_functions__WEBPACK_IMPORTED_MODULE_2__/* .getExpressionEditorFunctions */ .X)();
        var editor = new _expression_editor_expression_editor__WEBPACK_IMPORTED_MODULE_1__/* .DashboardExpressionEditor */ .U(expressionEditorOptions, this.params.fieldListProvider, this.params.displayNameProvider);
        editor.textAreaValue(expressionEditorOptions.value());
        editor.popupVisible(true);
        this.viewModel(editor);
    }
}


/***/ }),

/***/ 6365:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ EditableListEditorViewModel)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _collection_editor_viewmodel_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(708);



class EditableListEditorViewModel extends _collection_editor_viewmodel_base__WEBPACK_IMPORTED_MODULE_2__/* .CollectionEditorViewModelBase */ .v {
    constructor(params, selectedItem) {
        super(params);
        this.edit = () => this.editItemHandler && this.editItemHandler(this.selectedValue);
        this.dataField = params.propertyName;
        this.dataSource = params.dataSource;
        this.getDisplayText = params.getDisplayText;
        this.enableEditItem = params.enableEditItem;
        this.editItemHandler = params.editItemHandler;
        this.selectedItem = selectedItem;
        this.onSelectionChanged = params.onSelectionChanged;
        this.isToolbarVisible = true;
        this.allowEditItem = true;
    }
    getListOptions() {
        this._innerSelection = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(this.selectedItem);
        return {
            ...super.getListOptions(),
            dataSource: this.dataSource,
            selectedItems: [this._innerSelection],
        };
    }
    _getDisplayText(itemData) {
        return this.getDisplayText ? this.getDisplayText(itemData) : (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(itemData[this.dataField]));
    }
    _listSelectionChanged() {
        this.selectedItem && this.selectedItem(this.selectedValue);
        this.onSelectionChanged && this.onSelectionChanged(this.selectedValue);
    }
    _updateActionsState() {
        const selection = this.selectedValue;
        this.editEnabled(!!this.enableEditItem ? this.enableEditItem(selection) : !!selection);
    }
}


/***/ }),

/***/ 6368:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ rangeFilterDefinitionMode),
/* harmony export */   u: () => (/* binding */ rangeFilterWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let rangeFilterDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Argument', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Argument': 'DashboardStringId.RangeFilterCalculationAlongArgument',
        'Series': 'DashboardStringId.RangeFilterCalculationAlongSeries',
        'ArgumentAndSeries': 'DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries',
        'SeriesAndArgument': 'DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument'
    }
};
let rangeFilterWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([rangeFilterDefinitionMode]);


/***/ }),

/***/ 6390:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ textItemDataController)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(814);


class textItemDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_1__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        this.displayTexts = {};
        this._initialize();
    }
    _initialize() {
        var that = this, multiData = that.multiData;
        multiData && jquery__WEBPACK_IMPORTED_MODULE_0__.each(multiData.getMeasures(), function (_, measure) {
            that.displayTexts[measure.id] = multiData.getMeasureValue(measure.id).getDisplayText();
        });
    }
    getDisplayText(id) {
        return this.displayTexts[id];
    }
}


/***/ }),

/***/ 6392:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Hk: () => (/* binding */ updateTotals),
/* harmony export */   sE: () => (/* binding */ showFilterRow),
/* harmony export */   sX: () => (/* binding */ gridColumnFilterOptionsSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let showFilterRow = { propertyName: 'showFilterRow', modelName: '@ShowFilterRow', displayName: 'DashboardWebStringId.Grid.ShowFilterRow', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let updateTotals = { propertyName: 'updateTotals', modelName: '@UpdateTotals', displayName: 'DashboardWebStringId.Grid.UpdateTotals', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let gridColumnFilterOptionsSerializationsInfo = [showFilterRow, updateTotals];


/***/ }),

/***/ 6401:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ OlapDataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6844);
/* harmony import */ var _metadata_olap_data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1637);



class OlapDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_1__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return false;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
    }
    getInfo() {
        return _metadata_olap_data_source__WEBPACK_IMPORTED_MODULE_2__/* .olapDataSourceSerializationsInfo */ .z;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultOlapDataSourceName';
    }
    _getDefaultItemType() {
        return 'OLAPDataSource';
    }
}


/***/ }),

/***/ 6465:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ DataItemContainer)
/* harmony export */ });
/* harmony import */ var _custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4634);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);


class DataItemContainer extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .TypedSerializableModel */ .$t {
    getInfo() {
        return this._getInfoCore().concat((0,_custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_0__/* .getCustomPropertiesSerializationInfo */ .P)(this));
    }
    grabFrom(dataItemContainer) {
        this.name(dataItemContainer.name());
    }
    _getContainerType() {
        return this.itemType();
    }
}


/***/ }),

/***/ 6476:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CK: () => (/* binding */ attributeName),
/* harmony export */   Kn: () => (/* binding */ maps),
/* harmony export */   LX: () => (/* binding */ attributeDimension),
/* harmony export */   QE: () => (/* binding */ includeSummaryValueToShapeTitle),
/* harmony export */   rC: () => (/* binding */ tooltipAttributeName),
/* harmony export */   rg: () => (/* binding */ choroplethMapDashboardItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _map_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7069);



let maps = {
    propertyName: 'maps',
    modelName: 'Maps',
    displayName: 'DashboardWebStringId.Binding.Maps',
    array: true
};
let includeSummaryValueToShapeTitle = {
    propertyName: 'includeSummaryValueToShapeTitle',
    modelName: '@IncludeSummaryValueToShapeTitle',
    displayName: 'DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle',
    defaultVal: false,
    simpleFormAdapterItem: 'yesNoButtonGroupEditor',
    from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6
};
let attributeDimension = {
    propertyName: '__attributeDimension',
    modelName: 'AttributeDimension',
    displayName: 'DashboardWebStringId.Map.AttributeDimension',
    info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5
};
let attributeName = {
    propertyName: 'attributeName',
    modelName: '@AttributeName',
    displayName: 'DashboardWebStringId.Map.AttributeName',
    defaultVal: '',
    category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.Map
};
let tooltipAttributeName = {
    propertyName: 'tooltipAttributeName',
    modelName: '@ToolTopAttributeName',
    displayName: 'DashboardWebStringId.Map.TooltipAttribute',
    defaultVal: '',
    category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.Map
};
let choroplethMapDashboardItemSerializationsInfo = _map_item__WEBPACK_IMPORTED_MODULE_2__/* .mapDashboardItemSerializationsInfo */ .dw.concat([maps, attributeDimension, attributeName, includeSummaryValueToShapeTitle, tooltipAttributeName, _map_item__WEBPACK_IMPORTED_MODULE_2__/* .colorLegend */ .$z]);


/***/ }),

/***/ 6481:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DD: () => (/* binding */ cardRowFontSize),
/* harmony export */   E$: () => (/* binding */ predefinedForeColor),
/* harmony export */   Ej: () => (/* binding */ size),
/* harmony export */   IK: () => (/* binding */ cardRowElementColor),
/* harmony export */   PL: () => (/* binding */ cardRowTextElementBaseSerializationInfo),
/* harmony export */   Qq: () => (/* binding */ text),
/* harmony export */   TX: () => (/* binding */ cardRowDataElementSerializationInfo),
/* harmony export */   UN: () => (/* binding */ cardRowFontFamily),
/* harmony export */   XQ: () => (/* binding */ cardRowDataElementDimensionIndex),
/* harmony export */   aP: () => (/* binding */ cardRowTextElementSerializationInfo),
/* harmony export */   gM: () => (/* binding */ cardRowElementSerializationsInfo),
/* harmony export */   sE: () => (/* binding */ cardRowIndicatorElementSerializationInfo),
/* harmony export */   uQ: () => (/* binding */ hAlignment),
/* harmony export */   yc: () => (/* binding */ cardRowDataElementValueType)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let hAlignment = { propertyName: 'hAlignment', modelName: '@HAlignment' };
let cardRowElementSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, hAlignment];
let cardRowElementColor = { propertyName: 'color', modelName: '@ForeColor' };
let cardRowFontFamily = { propertyName: 'fontFamily', modelName: '@FontFamily' };
let cardRowFontSize = { propertyName: 'fontSize', modelName: '@FontSize' };
let predefinedForeColor = { propertyName: 'predefinedForeColor', modelName: '@PredefinedForeColor' };
let cardRowTextElementBaseSerializationInfo = cardRowElementSerializationsInfo.concat([cardRowElementColor, cardRowFontFamily, cardRowFontSize, predefinedForeColor]);
let cardRowDataElementValueType = { propertyName: 'valueType', modelName: '@ValueType', defaultVal: 'DimensionValue' };
let cardRowDataElementDimensionIndex = { propertyName: 'dimensionIndex', modelName: '@DimensionIndex', defaultVal: 0 };
let cardRowDataElementSerializationInfo = cardRowTextElementBaseSerializationInfo.concat([cardRowDataElementValueType, cardRowDataElementDimensionIndex]);
let text = { propertyName: 'text', modelName: '@Text' };
let cardRowTextElementSerializationInfo = cardRowTextElementBaseSerializationInfo.concat([text]);
let size = { propertyName: 'size', modelName: '@Size', defaultVal: 16 };
let cardRowIndicatorElementSerializationInfo = cardRowElementSerializationsInfo.concat([size]);


/***/ }),

/***/ 6490:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ formatConditionGradientRangeBarSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6744);
/* harmony import */ var _format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9378);


let formatConditionGradientRangeBarSerializationsInfo = _format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionRangeGradientSerializationsInfo */ .L.concat([_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_0__/* .barOptions */ .oD]);


/***/ }),

/***/ 6553:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ _registerDxDashboardStyleSettingsEditor),
/* harmony export */   k: () => (/* binding */ StyleSettingsEditor)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _model_format_rules_style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(488);
/* harmony import */ var _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(341);
/* harmony import */ var _model_format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5020);
/* harmony import */ var _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(3024);
/* harmony import */ var _style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6592);
/* harmony import */ var _style_settings_palette__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7125);
/* harmony import */ var _custom_style_settings_conditional_formatting_custom_color_storage__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7138);









class StyleSettingsEditor {
    constructor(target, params) {
        this.customColorsSupported = false;
        this.allowChangeViewMode = false;
        this.isGradient = false;
        this.isEmptyAllowed = false;
        this.restrictToColor = false;
        this.numberOfCustomStyleItems = 8;
        this.value = target;
        this.isEmptyAllowed = params.isEmptyAllowed;
        this.isGradient = params.appearanceMode === 'GradientColors';
        this.allowChangeViewMode = (this.value() instanceof _model_format_rules_style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .AppearanceSettings */ .M || this.value() instanceof _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_3__/* .IconSettings */ .N) && params.allowChangeViewMode;
        this.viewMode = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(this.value() instanceof _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_3__/* .IconSettings */ .N ? 'Icon' : 'Appearance');
        this.getAvailableFontFamilies = params.getAvailableFontFamilies;
        this.customColorsSupported = params.enableCustomStyles;
        if (params.restrictToColor)
            this.restrictToColor = params.restrictToColor;
        this.selectedChanged = params.selectedChanged;
        this.closeEditCell = params.closeEditCell || (() => { });
        const { predefinedStyles, predefinedIcons, customStyles } = this._createDataSources(params.appearanceMode, this.isEmptyAllowed, this.customColorsSupported, this.restrictToColor, this.value, _custom_style_settings_conditional_formatting_custom_color_storage__WEBPACK_IMPORTED_MODULE_7__/* .conditionalFormattingEditor */ .v);
        this.list = predefinedStyles;
        this.iconList = predefinedIcons;
        this.customStyleItems = customStyles;
    }
    _setStyleType(styleSettingsModel, saveCustomStyle) {
        const oldSelectedStyle = this.value();
        if (this.value() !== styleSettingsModel) {
            this.value(styleSettingsModel);
        }
        if (this.selectedChanged) {
            this.selectedChanged(oldSelectedStyle, styleSettingsModel);
        }
        this.closeEditCell();
        switch (saveCustomStyle) {
            case 'SaveColor':
                const customColors = this.customStyleItems
                    .map(viewModel => viewModel.item)
                    .filter(model => !!model)
                    .map(model => (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(model).getCustomColor());
                _custom_style_settings_conditional_formatting_custom_color_storage__WEBPACK_IMPORTED_MODULE_7__/* .conditionalFormattingEditor */ .v.customColorStorage.setValue(customColors);
                break;
            case 'SaveAppearance':
                const customAppearances = this.customStyleItems
                    .map(viewModel => viewModel.item)
                    .filter(model => !!model)
                    .map(model => (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(model).getCustomAppearance());
                _custom_style_settings_conditional_formatting_custom_color_storage__WEBPACK_IMPORTED_MODULE_7__/* .conditionalFormattingEditor */ .v.customAppearanceStorage.setValue(customAppearances);
                break;
            case 'None':
            default:
                break;
        }
    }
    _createDataSources(mode, isEmptyAllowed, isCustomStyleEnabled, isCustomColorsOnly, selectedValue, customStylesProvider) {
        let predefinedAppearanceItems = [];
        let predefinedIconItems = [];
        let customStyleItems = null;
        let specificCustomItemType = undefined;
        switch (mode) {
            case 'Appearance':
                predefinedAppearanceItems = _style_settings_palette__WEBPACK_IMPORTED_MODULE_6__/* .Palette */ .e.standard;
                predefinedIconItems = Object.keys(_model_format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_4__/* .iconType */ ._.values).slice(1);
                specificCustomItemType = _model_format_rules_style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .AppearanceSettings */ .M;
                break;
            case 'AllColors':
                predefinedAppearanceItems = _style_settings_palette__WEBPACK_IMPORTED_MODULE_6__/* .Palette */ .e.allColors;
                break;
            case 'RichColors':
                predefinedAppearanceItems = _style_settings_palette__WEBPACK_IMPORTED_MODULE_6__/* .Palette */ .e.richColors;
                break;
            case 'GradientColors':
                predefinedAppearanceItems = _style_settings_palette__WEBPACK_IMPORTED_MODULE_6__/* .Palette */ .e.gradient;
                break;
        }
        if (isEmptyAllowed) {
            predefinedAppearanceItems = [_model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_8__/* .emptyStyleType */ .R].concat(predefinedAppearanceItems);
            predefinedIconItems = predefinedIconItems.length ? [_model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_8__/* .emptyStyleType */ .R].concat(predefinedIconItems) : [];
        }
        if (isCustomStyleEnabled) {
            const selectedItemAdapter = (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(selectedValue());
            if (isCustomColorsOnly) {
                customStyleItems = this._getCustomColorStyles(customStylesProvider.customColorStorage, selectedItemAdapter.hasCustomStyle() && selectedItemAdapter.getCustomColor())
                    .map(this.createItemViewModel(this.createCustomColorStyleSettingsModel(selectedValue(), specificCustomItemType), selectedValue));
            }
            else {
                customStyleItems = this._getCustomAppearanceStyles(customStylesProvider.customAppearanceStorage, selectedItemAdapter.hasCustomStyle() && selectedItemAdapter.getCustomAppearance())
                    .map(this.createItemViewModel(this.createCustomAppearanceStyleSettingsModel(selectedValue(), specificCustomItemType), selectedValue));
            }
        }
        return {
            predefinedStyles: predefinedAppearanceItems.map(this.createItemViewModel(this.createStyleSettingsModel(selectedValue(), specificCustomItemType), selectedValue)),
            predefinedIcons: predefinedIconItems.map(this.createItemViewModel(this.createStyleSettingsModel(selectedValue(), _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_3__/* .IconSettings */ .N), selectedValue)),
            customStyles: customStyleItems
        };
    }
    _getCustomColorStyles(storage, selectedStyle) {
        const styles = this._getStyles(storage);
        const colorFound = styles.indexOf(selectedStyle) > -1;
        return this._getCustomStyles(storage, styles, selectedStyle, colorFound);
    }
    _getCustomAppearanceStyles(storage, selectedStyle) {
        const styles = this._getStyles(storage);
        const appearanceFound = styles.some(style => {
            if (!style)
                return false;
            return Object.keys(style).every(key => style[key] === selectedStyle[key]);
        });
        return this._getCustomStyles(storage, styles, selectedStyle, appearanceFound);
    }
    _getStyles(storage) {
        const savedStyles = (storage && storage.getValue() || []);
        return savedStyles.concat(Array.apply(null, Array(Math.max(this.numberOfCustomStyleItems - savedStyles.length, 0))));
    }
    _getCustomStyles(storage, styles, selectedStyle, styleExists) {
        if (!!selectedStyle && !styleExists) {
            let i = 0;
            for (; i < styles.length; i++) {
                if (!styles[i]) {
                    styles[i] = selectedStyle;
                    storage.setValue(styles);
                    break;
                }
            }
            if (styles.length === i) {
                styles[styles.length - 1] = selectedStyle;
            }
        }
        return styles;
    }
    createStyleSettingsModel(selectedValue, stylesModelType) {
        return (item) => {
            const model = (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(selectedValue, stylesModelType).itemFactory();
            (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(model).setPredefinedStyle(item);
            return model;
        };
    }
    createCustomColorStyleSettingsModel(selectedValue, stylesModelType) {
        return (color) => {
            const model = this.createStyleSettingsModel(selectedValue, stylesModelType)('Custom');
            color && (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(model).setCustomColor(color);
            return model;
        };
    }
    createCustomAppearanceStyleSettingsModel(selectedValue, stylesModelType) {
        return (appearance) => {
            const model = this.createStyleSettingsModel(selectedValue, stylesModelType)('Custom');
            appearance && (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_5__/* .styleSettingsAdapter */ .o)(model).setCustomAppearance(appearance);
            return model;
        };
    }
    createItemViewModel(modelFactory, selectedValue) {
        return (item) => {
            const itemModel = modelFactory(item);
            return {
                item: itemModel,
                clickHandler: (saveCustomStyle) => this._setStyleType(itemModel, saveCustomStyle),
                isSelected: knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => !!itemModel.equals(selectedValue())),
                isEmptyAllowed: this.isEmptyAllowed,
                isRange: false,
                isGradient: this.isGradient,
                restrictToColor: this.restrictToColor,
                getAvailableFontFamilies: this.getAvailableFontFamilies
            };
        };
    }
}
const _registerDxDashboardStyleSettingsEditor = () => {
    const componentName = 'dx-dashboard-style-settings-editor';
    if (knockout__WEBPACK_IMPORTED_MODULE_1__.components.isRegistered(componentName))
        return;
    knockout__WEBPACK_IMPORTED_MODULE_1__.components.register(componentName, {
        viewModel: {
            createViewModel: (params) => {
                return new StyleSettingsEditor(knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(params).target, knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(params).options);
            }
        },
        template: (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.getTemplate)(componentName)
    });
};


/***/ }),

/***/ 6555:
/***/ ((module) => {

module.exports = DevExpress.Color;

/***/ }),

/***/ 6570:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ HashsetWrapper)
/* harmony export */ });
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);

class HashsetWrapper {
    constructor(array) {
        this.FNV_prime_32 = 16777619;
        this.FNV_offset_basis_32 = 2166136261;
        this.hashSet = {};
        array.forEach((item, index) => {
            var hash = this.getHash(item);
            var array = this.hashSet[hash];
            if (array == null) {
                array = [];
                this.hashSet[hash] = array;
            }
            array.push({ index: index, item: item });
        });
    }
    contains(item) {
        return this.getItem(item) != null;
    }
    getIntersection(array) {
        var result = [];
        array.forEach(item => {
            if (this.contains(item))
                result.push(item);
        });
        return result;
    }
    indexOf(item) {
        var found = this.getItem(item);
        return found != null ? found.index : -1;
    }
    getItem(item) {
        var value = this.hashSet[this.getHash(item)];
        return value != null ? value.filter(val => (0,_utils__WEBPACK_IMPORTED_MODULE_0__/* .arrayEquals */ .ng)(val.item, item))[0] : undefined;
    }
    getHash(obj) {
        if (Array.isArray(obj)) {
            return this.toHash(obj, (item) => this.getHash(item));
        }
        else {
            return this.toHash(String(obj).split(''), (ch) => ch.charCodeAt(0));
        }
    }
    toHash(arr, convertValue) {
        return arr.reduce((prev, curr) => {
            return (prev ^ convertValue(curr)) * this.FNV_prime_32;
        }, this.FNV_offset_basis_32);
    }
}


/***/ }),

/***/ 6592:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   o: () => (/* binding */ styleSettingsAdapter)
/* harmony export */ });
/* unused harmony export appearanceStyleSettingsAdapter */
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9167);
/* harmony import */ var _model_color__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5419);
/* harmony import */ var _model_format_rules_style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(488);
/* harmony import */ var _model_format_rules_style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2531);
/* harmony import */ var _model_format_rules_style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9045);
/* harmony import */ var _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(341);
/* harmony import */ var _model_format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8729);
/* harmony import */ var _model_format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5020);
/* harmony import */ var _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(3024);
/* harmony import */ var _viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(672);
/* harmony import */ var _viewer_parts_conditional_formatting_style_settings_provider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(7777);
/* harmony import */ var _viewer_parts_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(8117);
/* harmony import */ var _style_settings_palette__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7125);













const colorStyleSettingsAdapter = {
    getCssStyles: (item) => {
        const predefinedColor = item.predefinedColor();
        if (predefinedColor === 'Custom' || predefinedColor === _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R) {
            return { 'background-color': item.color() && item.color().css };
        }
        return (0,_viewer_parts_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_10__/* .convertCssPropertyWrappersToObject */ .Yz)(_viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_8__/* .appearanceSettingsProvider */ .v.toCssProperties(predefinedColor));
    },
    getCssClasses: (item, isEmptyAllowed, isRange) => {
        const isEmpty = isEmptyAllowed && item.predefinedColor() === _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R;
        const restrictToColor = true;
        const isGradient = false;
        const isLabel = colorStyleSettingsAdapter.isEmptyCustomStyle(item) || (colorStyleSettingsAdapter.getLabelText(item, isRange, isGradient, restrictToColor) !== '');
        const isTransparent = item.predefinedColor() === 'GradientTransparent';
        return [
            isEmpty ? 'dx-dashboard-appearance-item-empty' : '',
            isLabel ? 'dx-dashboard-appearance-item-label' : '',
            isRange ? 'dx-dashboard-range-appearance-item' : 'dx-dashboard-appearance-item',
            isTransparent && !isRange ? 'dx-dashboard-appearance-item-label dx-dashboard-appearance-item-transparent' : ''
        ];
    },
    getLocalizedCaption: (item) => (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)(_model_format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_6__/* .appearanceType */ .pP.values[item.predefinedColor()]),
    getLabelText: (item, isRange, isGradient) => {
        const labelText = _style_settings_palette__WEBPACK_IMPORTED_MODULE_11__/* .Palette */ .e.getLabelText(item.predefinedColor(), isGradient ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.EditorAutomaticValue') : (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.FormatConditionRangeSetNoStyleCaption'));
        return (!isRange || isRange && item.predefinedColor() !== _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R) ? labelText : '';
    },
    getPredefinedStyle: (item) => item.predefinedColor(),
    setPredefinedStyle: (item, style) => item.predefinedColor(style),
    hasCustomStyle: (item) => item.predefinedColor() === 'Custom',
    isEmptyCustomStyle: (item) => colorStyleSettingsAdapter.hasCustomStyle(item) && !item.color(),
    getCustomColor: (item) => item.color() && item.color().css,
    getCustomAppearance: (item) => null,
    setCustomColor: (item, style) => item.color(style && _model_color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.fromRgbaString(style)),
    setCustomAppearance: () => { },
};
const iconStyleSettingsAdapter = {
    getCssStyles: () => ({}),
    getCssClasses: (item, isEmptyAllowed, isRange) => {
        if (isEmptyAllowed && item.iconType() === _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R) {
            return [
                'dx-dashboard-appearance-item',
                'dx-dashboard-appearance-item-label',
                'dx-dashboard-appearance-item-empty'
            ];
        }
        return [
            isRange ? 'dx-dashboard-rangeicon' : 'dx-dashboard-icon-item',
            _viewer_parts_conditional_formatting_style_settings_provider__WEBPACK_IMPORTED_MODULE_9__/* .styleSettingsProvider */ .AI.toIconCssClass(item.iconType())
        ];
    },
    getLocalizedCaption: (item) => (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)(_model_format_rules_style_settings_metadata_icon_settings__WEBPACK_IMPORTED_MODULE_7__/* .iconType */ ._.values[item.iconType()]),
    getLabelText: (item, isRange, isGradient) => {
        const labelText = _style_settings_palette__WEBPACK_IMPORTED_MODULE_11__/* .Palette */ .e.getLabelText(item.iconType(), isGradient ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.EditorAutomaticValue') : (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.FormatConditionRangeSetNoStyleCaption'));
        return (!isRange || isRange && item.iconType() !== _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R) ? labelText : '';
    },
    getPredefinedStyle: (item) => item.iconType(),
    setPredefinedStyle: (item, style) => item.iconType(style),
    hasCustomStyle: () => false,
    isEmptyCustomStyle: () => false,
    getCustomColor: () => null,
    getCustomAppearance: () => null,
    setCustomColor: () => { },
    setCustomAppearance: () => { },
};
const appearanceStyleSettingsAdapter = {
    getCssStyles: (item) => {
        if (item.appearanceType() !== _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R && !appearanceStyleSettingsAdapter.hasCustomStyle(item)) {
            return (0,_viewer_parts_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_10__/* .convertCssPropertyWrappersToObject */ .Yz)(_viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_8__/* .appearanceSettingsProvider */ .v.toCssProperties(item.appearanceType()));
        }
        const customCss = (0,_viewer_parts_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_10__/* .convertCssPropertyWrappersToObject */ .Yz)(_viewer_parts_conditional_formatting_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_8__/* .appearanceSettingsProvider */ .v.toCustomCssProperties(item));
        return customCss;
    },
    getCssClasses: (item, isEmptyAllowed, isRange, isGradient = false, restrictToColor = false) => {
        const _isEmptyAppearanceItem = () => isEmptyAllowed && item.appearanceType() === _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R;
        const _isTransparent = () => item.appearanceType() === 'GradientTransparent';
        const _isLabel = () => (item.appearanceType() === 'GradientTransparent')
            || (appearanceStyleSettingsAdapter.getLabelText(item, isRange, isGradient, restrictToColor) !== '' && !_style_settings_palette__WEBPACK_IMPORTED_MODULE_11__/* .Palette */ .e.richColors.includes(item.appearanceType()))
            || (appearanceStyleSettingsAdapter.isEmptyCustomStyle(item));
        return [
            isRange ? 'dx-dashboard-range-appearance-item' : 'dx-dashboard-appearance-item',
            _isEmptyAppearanceItem() ? 'dx-dashboard-appearance-item-empty' : '',
            _isLabel() ? 'dx-dashboard-appearance-item-label' : '',
            _isTransparent() && !isRange ? 'dx-dashboard-appearance-item-transparent' : ''
        ];
    },
    getLocalizedCaption: (item) => (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)(_model_format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_6__/* .appearanceType */ .pP.values[item.appearanceType()]),
    getLabelText: (item, isRange, isGradient, restrictToColor) => {
        const customAppearance = appearanceStyleSettingsAdapter.getCustomAppearance(item);
        if (customAppearance && !isGradient) {
            return _style_settings_palette__WEBPACK_IMPORTED_MODULE_11__/* .Palette */ .e.getCustomLabelText(customAppearance);
        }
        const labelText = _style_settings_palette__WEBPACK_IMPORTED_MODULE_11__/* .Palette */ .e.getLabelText(item.appearanceType(), isGradient ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.EditorAutomaticValue') : (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.FormatConditionRangeSetNoStyleCaption'));
        return (!restrictToColor && (!isRange || isRange && item.appearanceType() !== _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R)
            || (restrictToColor && !isRange && item.appearanceType() === _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_12__/* .emptyStyleType */ .R)) ? labelText : '';
    },
    getPredefinedStyle: (item) => item.appearanceType(),
    setPredefinedStyle: (item, style) => item.appearanceType(style),
    hasCustomStyle: (item) => item.appearanceType() === 'Custom',
    isEmptyCustomStyle: (item) => {
        return appearanceStyleSettingsAdapter.hasCustomStyle(item)
            && !item.foreColor() && !item.backColor()
            && item.fontStyle() === _model_format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_6__/* .fontStyle */ .xC.defaultVal
            && item.fontFamily() === _model_format_rules_style_settings_metadata_appearance_settings__WEBPACK_IMPORTED_MODULE_6__/* .fontFamily */ .mw.defaultVal;
    },
    getCustomColor: (item) => item.backColor() && item.backColor().css,
    getCustomAppearance: (item) => {
        return !appearanceStyleSettingsAdapter.hasCustomStyle(item) || appearanceStyleSettingsAdapter.isEmptyCustomStyle(item) ? null : ({
            fontFamily: item.fontFamily(),
            fontStyle: item.fontStyle(),
            backColor: item.backColor()?.css,
            foreColor: item.foreColor()?.css
        });
    },
    setCustomColor: (item, style) => item.backColor(style && _model_color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.fromRgbaString(style)),
    setCustomAppearance: (item, style) => {
        item.fontFamily(style && style.fontFamily);
        item.fontStyle(style ? style.fontStyle : null);
        item.backColor(style && style.backColor && _model_color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.fromRgbaString(style.backColor));
        item.foreColor(style && style.foreColor && _model_color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.fromRgbaString(style.foreColor));
    },
};
function styleSettingsAdapter(item, itemType) {
    let adapter;
    switch (itemType || item.constructor) {
        case _model_format_rules_style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .AppearanceSettings */ .M:
            itemType = _model_format_rules_style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .AppearanceSettings */ .M;
            adapter = appearanceStyleSettingsAdapter;
            break;
        case _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__/* .IconSettings */ .N:
            itemType = _model_format_rules_style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__/* .IconSettings */ .N;
            adapter = iconStyleSettingsAdapter;
            break;
        case _model_format_rules_style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_3__/* .BarStyleSettings */ .S:
            itemType = _model_format_rules_style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_3__/* .BarStyleSettings */ .S;
            adapter = colorStyleSettingsAdapter;
            break;
        case _model_format_rules_style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_4__/* .ColorStyleSettings */ .W:
            itemType = _model_format_rules_style_settings_color_style_settings__WEBPACK_IMPORTED_MODULE_4__/* .ColorStyleSettings */ .W;
            adapter = colorStyleSettingsAdapter;
            break;
        default:
            throw new Error('Unknown StyleSettings type');
    }
    return {
        itemFactory: () => new itemType(),
        getCssStyles: () => adapter.getCssStyles(item),
        getCssClasses: (isEmptyAllowed, isRange, isGradient) => adapter.getCssClasses(item, isEmptyAllowed, isRange, isGradient),
        getLocalizedCaption: () => adapter.getLocalizedCaption(item),
        getLabelText: (isRange, isGradient, restrictToColor) => adapter.getLabelText(item, isRange, isGradient, restrictToColor),
        getPredefinedStyle: () => adapter.getPredefinedStyle(item),
        setPredefinedStyle: (style) => adapter.setPredefinedStyle(item, style),
        hasCustomStyle: () => adapter.hasCustomStyle(item),
        isEmptyCustomStyle: () => adapter.isEmptyCustomStyle(item),
        getCustomColor: () => adapter.getCustomColor(item),
        getCustomAppearance: () => adapter.getCustomAppearance(item),
        setCustomColor: (style) => adapter.setCustomColor(item, style),
        setCustomAppearance: (style) => adapter.setCustomAppearance(item, style),
    };
}


/***/ }),

/***/ 6655:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ itemDataManager)
/* harmony export */ });
/* harmony import */ var _data_storage_data_storage__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1569);
/* harmony import */ var _item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);
/* harmony import */ var _item_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5069);
/* harmony import */ var _item_data_axis_builder__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6713);
/* harmony import */ var _item_data_axis_helper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2456);
/* harmony import */ var _item_meta_data__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7749);






class itemDataManager {
    initialize(itemDataDTO) {
        var metaData = this._createMetaData(itemDataDTO.MetaData), ds = new _data_storage_data_storage__WEBPACK_IMPORTED_MODULE_0__/* .dataStorage */ .a(itemDataDTO.DataStorageDTO), items = {};
        let axes = metaData.getAxes();
        Object.keys(axes).forEach((name) => {
            items[name] = _item_data_axis_builder__WEBPACK_IMPORTED_MODULE_3__/* .itemDataAxisBuilder */ .w.build(name, ds, axes[name], itemDataDTO.SortOrderSlices, metaData);
        });
        this._dataStorage = ds;
        this._metaData = metaData;
        this._itemData = new _item_data__WEBPACK_IMPORTED_MODULE_2__/* .itemData */ .k(metaData, ds, items);
        this._items = items;
    }
    updateExpandedData(expandedItemDataDTO, expandInfo) {
        var that = this, areaNames = _item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X, sortOrderSlices = expandedItemDataDTO.SortOrderSlices, area = expandInfo.pivotArea == _item_data_axis_builder__WEBPACK_IMPORTED_MODULE_3__/* .pivotAreaNames */ .e.columns ? areaNames.pivotColumnAxis : areaNames.pivotRowAxis, values = expandInfo.values, metaData = that._metaData, ds = new _data_storage_data_storage__WEBPACK_IMPORTED_MODULE_0__/* .dataStorage */ .a(expandedItemDataDTO.DataStorageDTO);
        var iterators = that._dataStorage.insert(ds, sortOrderSlices);
        var expandedAreaNewRootItem = _item_data_axis_builder__WEBPACK_IMPORTED_MODULE_3__/* .itemDataAxisBuilder */ .w.build(area, that._dataStorage, metaData.getAxes()[area], sortOrderSlices, metaData, iterators);
        if (!!expandedAreaNewRootItem) {
            var expandedAreaRootItem = that._items[area], expandedItem = _item_data_axis_helper__WEBPACK_IMPORTED_MODULE_4__/* .itemDataAxisHelper */ .J.findFirstPointByUniqueValues(expandedAreaRootItem, values), expandedNewItem = _item_data_axis_helper__WEBPACK_IMPORTED_MODULE_4__/* .itemDataAxisHelper */ .J.findFirstPointByUniqueValues(expandedAreaNewRootItem, values);
            if (!!expandedNewItem) {
                var newChildren = expandedNewItem.getChildren();
                newChildren.forEach((child) => {
                    child._setParent(expandedItem);
                });
                expandedItem._setChildren(newChildren);
            }
        }
    }
    updateTotals(expandedItemDataDTO) {
        const totalSliceKeyIds = [];
        let ds = new _data_storage_data_storage__WEBPACK_IMPORTED_MODULE_0__/* .dataStorage */ .a(expandedItemDataDTO.DataStorageDTO);
        this._dataStorage.insertSlice(ds, totalSliceKeyIds);
    }
    getDataStorage() {
        return this._dataStorage;
    }
    getItemData() {
        return this._itemData;
    }
    getMetaData() {
        return this._metaData;
    }
    _createMetaData(metaDataDTO) {
        var metaData = new _item_meta_data__WEBPACK_IMPORTED_MODULE_5__/* .itemMetaData */ .hZ(metaDataDTO);
        metaData.initialize();
        return metaData;
    }
}


/***/ }),

/***/ 6667:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ex: () => (/* binding */ pivotItemFormatRuleLevelSerializationsInfo),
/* harmony export */   HT: () => (/* binding */ pivotLevelRow),
/* harmony export */   ts: () => (/* binding */ pivotLevelColumn)
/* harmony export */ });
let pivotLevelColumn = { propertyName: 'column', modelName: '@Column', displayName: 'DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension', simpleFormAdapterItem: 'selectBoxEditor' };
let pivotLevelRow = { propertyName: 'row', modelName: '@Row', displayName: 'DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension', simpleFormAdapterItem: 'selectBoxEditor' };
let pivotItemFormatRuleLevelSerializationsInfo = [pivotLevelColumn, pivotLevelRow];


/***/ }),

/***/ 6680:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LU: () => (/* binding */ _syncLayoutHelper),
/* harmony export */   U0: () => (/* binding */ _registerDxLayoutItem),
/* harmony export */   Up: () => (/* binding */ LayoutItem),
/* harmony export */   ZZ: () => (/* binding */ SplitterSize),
/* harmony export */   gX: () => (/* binding */ setHoverLocation),
/* harmony export */   p$: () => (/* binding */ MinWeight)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _viewer_parts_viewer_dashboard_viewer_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1229);




function _syncLayoutHelper(sourceArray, destArray, addHandler) {
    if (sourceArray) {
        destArray(sourceArray.peek().map(item => addHandler(item)));
        return sourceArray.subscribe((changes) => {
            changes.sort((a, b) => a.status === 'deleted' ? -1 : 1).forEach((arrayChange) => {
                var change = arrayChange;
                if (change.status === 'added') {
                    destArray.splice(change.index, 0, addHandler(change.value));
                }
                else if (change.status === 'deleted') {
                    var itemToDelete = destArray.peek()[change.index];
                    if (itemToDelete) {
                        destArray.remove(itemToDelete);
                        itemToDelete.dispose();
                    }
                }
            });
        }, null, 'arrayChange');
    }
    return undefined;
}
function setHoverLocation(hoverLayoutItem, location = null, dropBehavior = 'InsertBesideGroup') {
    if (hoverLayoutItem) {
        if (hoverLayoutItem.viewModel.hasItem()) {
            if (dropBehavior === 'InsertIntoGroup') {
                setHoverLocationCore(hoverLayoutItem, location);
            }
            else {
                hoverLayoutItem.dragOverLocation(location);
            }
        }
        else {
            setHoverLocationCore(hoverLayoutItem, location);
        }
    }
}
function setHoverLocationCore(hoverLayoutItem, location = null) {
    var items = hoverLayoutItem.items().filter(item => item.visible());
    if (!location || hoverLayoutItem.viewModel.orientation() === 'Horizontal' && (location === 'top' || location === 'bottom') ||
        hoverLayoutItem.viewModel.orientation() === 'Vertical' && (location === 'left' || location === 'right')) {
        items.forEach(child => setHoverLocation(child, location));
    }
    else {
        var index = (location === 'top' || location === 'left') ? 0 : items.length - 1;
        setHoverLocation(items[index], location);
    }
}
let SplitterSize = 6;
const MinWeight = 0.00001;
class LayoutItem extends _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.Disposable {
    static findLargestItem(layoutItem) {
        if (layoutItem.viewModel.hasItem()) {
            return { maxSquare: layoutItem.width() * layoutItem.height(), item: layoutItem };
        }
        var result = { maxSquare: 0, item: null };
        layoutItem.items().forEach(item => {
            var itemMaxSquare = this.findLargestItem(item);
            if (result.maxSquare < itemMaxSquare.maxSquare) {
                result = itemMaxSquare;
            }
        });
        return result;
    }
    _changeWeight(newWeight) {
        this._parent() && this._parent()._isUpdating(true);
        try {
            this._changeWeightCore(newWeight);
        }
        finally {
            this._parent() && this._parent()._isUpdating(false);
        }
    }
    _changeWeightCore(newWeight) {
        var selfIndex = this._parent().items().indexOf(this);
        var neighbourItem = this._parent().items()[selfIndex + 1];
        var newNeighbourWeight = neighbourItem.viewModel.weight() - (newWeight - this.viewModel.weight());
        neighbourItem.viewModel.weight(this._correntWeight(newNeighbourWeight));
        this.viewModel.weight(this._correntWeight(newWeight));
    }
    _correntWeight(weight) {
        return weight < MinWeight ? MinWeight : weight;
    }
    _safeSetWidth(itemWidth) {
        var computedWidth = itemWidth;
        if (computedWidth < this.minWidth()) {
            computedWidth = this.minWidth();
        }
        if (computedWidth > this.maxWidth()) {
            computedWidth = this.maxWidth();
        }
        this._width(computedWidth);
    }
    _safeSetHeight(itemHeight) {
        var computedHeight = itemHeight;
        if (computedHeight < this.minHeight()) {
            computedHeight = this.minHeight();
        }
        if (computedHeight > this.maxHeight()) {
            computedHeight = this.maxHeight();
        }
        this._height(computedHeight);
    }
    _updateChildrenSize(items) {
        if (items.length > 0) {
            var totalWeight = items.reduce((total, item) => total + item.viewModel.weight(), 0);
            var undistributedDelta = 0;
            if (this.viewModel.orientation() === 'Horizontal') {
                items.forEach(item => {
                    item._height(this.contentHeight());
                    var itemDimension = this.contentWidth() * item.viewModel.weight() / totalWeight;
                    item._safeSetWidth(itemDimension);
                    undistributedDelta += item._width.peek() - itemDimension;
                });
                items.reduceRight((_, item) => {
                    if (undistributedDelta !== 0) {
                        var itemDimenstion = item._width.peek();
                        item._safeSetWidth(itemDimenstion - undistributedDelta);
                        undistributedDelta += item._width.peek() - itemDimenstion;
                    }
                }, {});
                if (undistributedDelta < 0) {
                    items[items.length - 1]._width(items[items.length - 1]._width.peek() - undistributedDelta);
                }
            }
            else {
                items.forEach(item => {
                    item._width(this.contentWidth());
                    var itemDimension = this.contentHeight() * item.viewModel.weight() / totalWeight;
                    item._safeSetHeight(itemDimension);
                    undistributedDelta += item._height.peek() - itemDimension;
                });
                items.reduceRight((_, item) => {
                    if (undistributedDelta !== 0) {
                        var itemDimenstion = item._height.peek();
                        item._safeSetHeight(itemDimenstion - undistributedDelta);
                        undistributedDelta += item._height.peek() - itemDimenstion;
                    }
                }, {});
                if (undistributedDelta < 0) {
                    items[items.length - 1]._height(items[items.length - 1]._height.peek() - undistributedDelta);
                }
            }
        }
    }
    _updateChildrenResizeHandles(items) {
        var itemsCount = items.length;
        if (itemsCount > 0) {
            var handle = this.viewModel.orientation() === 'Horizontal' ? 'e' : 's';
            items.forEach((item, index) => {
                item.resizeHandles(index < itemsCount - 1 ? handle : 'none');
            });
        }
    }
    constructor(viewModel, parent) {
        super();
        this.viewModel = viewModel;
        this._isUpdating = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this._constraints = null;
        this._width = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(800);
        this._height = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(600);
        this.setConstraints = (constraints) => {
            var correctSize = function (value, addition) {
                return (Number.MAX_VALUE - value >= addition) ? value + addition : Number.MAX_VALUE;
            };
            this._constraints.min.width(correctSize(constraints.min.width, SplitterSize));
            this._constraints.min.height(correctSize(constraints.min.height, SplitterSize));
            this._constraints.max.width(correctSize(constraints.max.width, SplitterSize));
            this._constraints.max.height(correctSize(constraints.max.height, SplitterSize));
        };
        this.items = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.resizeHandles = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('none');
        this.isSelected = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this.dragOverLocation = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.coverClickHandler = (e) => {
            this.onEvent && this.onEvent(this, 'click');
        };
        this.coverMouseOverHandler = (e) => {
            this.onEvent && this.onEvent(this, 'mouseover');
        };
        this.resizeStarted = () => {
            this.onEvent && this.onEvent(this, 'resize-started');
        };
        this.resizeCompleted = () => {
            this.onEvent && this.onEvent(this, 'resize-completed');
        };
        this.getContext = () => {
            return this.onEvent && this.onEvent(this, 'get-context');
        };
        this.getLocalContext = () => {
            return this.onEvent && this.onEvent(this, 'get-local-context');
        };
        this.getContextMenu = () => {
            const service = this.onEvent && this.onEvent(this, 'get-context-menu-service');
            return service && service(this);
        };
        this.getEmptyItemTemplates = () => {
            const service = this.onEvent && this.onEvent(this, 'get-empty-item-templates-service');
            return service && service(this);
        };
        this.getLayoutItemPlaceholder = () => {
            const service = this.onEvent && this.onEvent(this, 'get-layout-item-placeholder-service');
            return service && service(this);
        };
        this.verticalPaddings = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(0);
        this.horizontalPaddings = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(0);
        this.repaintCallbacks = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .createJQueryCallbacks */ .NG)();
        var self = this;
        this.addDisposable(this.itemStyle = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var result = '';
            if (!!this.dragOverLocation()) {
                result += ' dx-drag-over-' + this.dragOverLocation();
            }
            if (this.isSelected()) {
                result += ' dx-layout-selected';
            }
            return result;
        }));
        this._parent = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(parent);
        if (!!this._parent()) {
            this.isDesignMode = this._parent().isDesignMode;
            this.isLayoutReady = this._parent().isLayoutReady;
        }
        else {
            this.isDesignMode = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
            this.isLayoutReady = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true);
        }
        this._constraints = {
            min: {
                width: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(viewModel.hasItem() ? _viewer_parts_viewer_dashboard_viewer_constants__WEBPACK_IMPORTED_MODULE_3__/* .DashboardViewerConstants */ .k.minPaneWidth : 0),
                height: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(viewModel.hasItem() ? _viewer_parts_viewer_dashboard_viewer_constants__WEBPACK_IMPORTED_MODULE_3__/* .DashboardViewerConstants */ .k.minPaneHeight : 0)
            },
            max: {
                width: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(Number.MAX_VALUE),
                height: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(Number.MAX_VALUE)
            }
        };
        var visible = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true);
        this.addDisposable(this.visible = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                var atLeastOneChildVisible = this.items().reduce((res, item) => { return res || item.visible(); }, this.items().length === 0 || !!this.viewModel.hasItem());
                return atLeastOneChildVisible && visible();
            },
            write: (val) => {
                visible(val);
            }
        }));
        this.sizeController = {
            getWidth: () => this.containerWidth(),
            getHeight: () => this.containerHeight(),
            requestRepaint: this.repaintCallbacks,
            visible: this.visible,
            setConstraints: this.setConstraints
        };
        this.addDisposable(this.minWidth = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var result = this._constraints.min.width();
            if (this.items().length > 0) {
                if (this.viewModel.orientation() === 'Horizontal') {
                    var minFromChildren = this.items().reduce((total, item) => total + item.minWidth(), 0);
                    result = minFromChildren > result ? minFromChildren : result;
                }
                else {
                    this.items().forEach(item => {
                        if (item.minWidth() > result) {
                            result = item.minWidth();
                        }
                    });
                }
            }
            return result + this.horizontalPaddings();
        }));
        this.addDisposable(this.minHeight = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var result = this._constraints.min.height();
            if (this.items().length > 0) {
                if (this.viewModel.orientation() === 'Vertical') {
                    var minFromChildren = this.items().reduce((total, item) => total + item.minHeight(), 0);
                    result = Math.max(minFromChildren, result);
                }
                else {
                    this.items().forEach(item => {
                        if (item.minHeight() > result) {
                            result = item.minHeight();
                        }
                    });
                }
            }
            return result + this.verticalPaddings();
        }));
        this.addDisposable(this.maxWidth = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return Math.min(Number.MAX_VALUE, this._constraints.max.width());
        }));
        this.addDisposable(this.maxHeight = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var result = this._constraints.max.height();
            if (this.items().length > 0 && !this.viewModel.ignoreChildMaxHeight) {
                if (this.viewModel.orientation() === 'Vertical') {
                    if (this.items().some(item => item.maxHeight() === Number.MAX_VALUE)) {
                        result = Number.MAX_VALUE;
                    }
                    else {
                        result = this.items().reduce((total, item) => total + item.maxHeight(), 0);
                    }
                }
                else {
                    result = this.items().reduce((total, item) => Math.max(total, item.maxHeight()), 0);
                }
            }
            return Math.min(Number.MAX_VALUE, result + this.verticalPaddings());
        }));
        this.addDisposable(this.width = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                return this._width() > this.minWidth() ? this._width() : this.minWidth();
            },
            write: (val) => {
                if (this._parent()) {
                    var newWeight = this.viewModel.weight() * (val / this._width() || 1);
                    this._changeWeight(newWeight);
                }
                else {
                    this._width(val);
                }
            }
        }));
        this.addDisposable(this.height = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                return this._height() > this.minHeight() ? this._height() : this.minHeight();
            },
            write: (val) => {
                if (this._parent()) {
                    var newWeight = this.viewModel.weight() * (val / this._height() || 1);
                    this._changeWeight(newWeight);
                }
                else {
                    this._height(val);
                }
            }
        }));
        this.addDisposable(this.contentWidth = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => this.width() - this.horizontalPaddings()));
        this.addDisposable(this.contentHeight = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => this.height() - this.verticalPaddings()));
        this.addDisposable(this.containerWidth = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => this.width() - SplitterSize));
        this.addDisposable(this.containerHeight = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => this.height() - SplitterSize));
        this.addDisposable(this.areChildrenSelected = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => {
            let result = !!this.viewModel.hasItem() && !!this.visible() && this.isSelected();
            this.items().forEach((layoutItem) => {
                result = result || layoutItem.areChildrenSelected();
            });
            return result;
        }));
        this.addDisposable(_syncLayoutHelper(viewModel.visibleItems, this.items, model => new LayoutItem(model._createViewModel(), self)));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if (!this._isUpdating()) {
                this._updateChildrenSize(this.items().filter(item => item.visible()));
                this._updateChildrenResizeHandles(this.items());
            }
        }));
        var fireRepaintCallback = () => {
            if (this.isLayoutReady()) {
                this.repaintCallbacks.fire();
            }
        };
        this.addDisposable(this.height.subscribe(() => fireRepaintCallback()));
        this.addDisposable(this.width.subscribe(() => fireRepaintCallback()));
        this.addDisposable(this.isLayoutReady.subscribe(() => fireRepaintCallback()));
        fireRepaintCallback();
        var placeholder = this.viewModel.getPlaceholder && this.viewModel.getPlaceholder();
        if (placeholder) {
            this.addDisposable(placeholder);
            this.placeholderItem = new LayoutItem(placeholder._createViewModel(), this);
        }
        this.addDisposable(this.visible, this.minWidth, this.minHeight, this.maxWidth, this.maxHeight, this.width, this.height, this.areChildrenSelected);
    }
    dispose() {
        super.dispose();
        this._parent(null);
        if (this.placeholderItem) {
            this.placeholderItem.dispose();
            this.placeholderItem = null;
        }
        this.repaintCallbacks.empty();
        this.disposeObservableArray(this.items);
    }
    isValidWidth(val) {
        if (this._parent()) {
            if (val < this.minWidth() || val > this.maxWidth()) {
                return false;
            }
            var selfIndex = this._parent().items().indexOf(this);
            if (selfIndex < this._parent().items().length - 1) {
                var neighbourItem = this._parent().items()[selfIndex + 1];
                var neighbourNewWidth = neighbourItem.width() - val + this.width();
                if (neighbourNewWidth < neighbourItem.minWidth() || neighbourNewWidth > neighbourItem.maxWidth()) {
                    return false;
                }
            }
        }
        return this.minWidth() !== this.maxWidth();
    }
    isValidHeight(val) {
        if (this._parent()) {
            if (val < this.minHeight() || val > this.maxHeight()) {
                return false;
            }
            var selfIndex = this._parent().items().indexOf(this);
            if (selfIndex < this._parent().items().length - 1) {
                var neighbourItem = this._parent().items()[selfIndex + 1];
                var neighbourNewHeight = neighbourItem.height() - val + this.height();
                if (neighbourNewHeight < neighbourItem.minHeight() || neighbourNewHeight > neighbourItem.maxHeight()) {
                    return false;
                }
            }
        }
        return this.minHeight() !== this.maxHeight();
    }
    getSelectionParentsList(location) {
        var current = this;
        var parent = current._parent();
        var result = [{ node: current, dropBehavior: 'InsertBesideGroup' }];
        var orientation = !!parent && parent.viewModel.orientation();
        do {
            if (!!parent && !parent.viewModel.hasItem()) {
                var items = parent.items().filter(item => item.visible());
                var itemIndex = items.indexOf(current);
                var firstItemIndex = 0;
                var lastItemIndex = items.length - 1;
                if (parent.viewModel.orientation() === 'Horizontal' && (location === 'left' || location === 'right')) {
                    if (items.length > 1 &&
                        (location === 'left' && itemIndex > firstItemIndex || location === 'right' && itemIndex < lastItemIndex
                            || location === 'left' && itemIndex === lastItemIndex || location === 'right' && itemIndex === firstItemIndex)) {
                        return result;
                    }
                    if (location === 'left' && itemIndex === firstItemIndex || location === 'right' && itemIndex === lastItemIndex) {
                        orientation = this._inverseOrientation(parent.viewModel.orientation());
                    }
                }
                if (parent.viewModel.orientation() === 'Vertical' && (location === 'top' || location === 'bottom')) {
                    if (items.length > 1 &&
                        (location === 'top' && itemIndex > firstItemIndex || location === 'bottom' && itemIndex < lastItemIndex
                            || location === 'top' && itemIndex === lastItemIndex || location === 'bottom' && itemIndex === firstItemIndex)) {
                        return result;
                    }
                    if (location === 'top' && itemIndex === firstItemIndex || location === 'bottom' && itemIndex === lastItemIndex) {
                        orientation = this._inverseOrientation(parent.viewModel.orientation());
                    }
                }
            }
            current = parent;
            parent = current && current._parent();
            if (current && parent && !current.viewModel.hasItem() && orientation === current.viewModel.orientation() && !this._checkGroupWillBeUnwrapped(current)) {
                result.push({ node: current, dropBehavior: 'InsertBesideGroup' });
            }
            if (!!current && current.viewModel.hasItem()
                && current.viewModel.orientation() !== this._getRequiredOrientationByLocation(location)) {
                result.push({ node: current, dropBehavior: 'InsertIntoGroup' });
            }
        } while (!!current && !!parent && !current.viewModel.hasItem());
        return result;
    }
    _getRequiredOrientationByLocation(location) {
        return (location === 'left' || location === 'right') ? 'Horizontal' : 'Vertical';
    }
    _inverseOrientation(orientation) {
        return orientation === 'Horizontal' ? 'Vertical' : 'Horizontal';
    }
    _checkGroupWillBeUnwrapped(group) {
        return group.items().filter(i => i.visible()).length === 1
            && group.items().filter(i => !i.visible()).length === 1
            && group._parent()?._parent()
            && !group.viewModel.hasItem();
    }
    findLayoutItem(criteria) {
        var result = undefined;
        if (criteria(this)) {
            result = this;
        }
        if (!result) {
            this.items.peek().forEach(item => {
                result = item.findLayoutItem(criteria) || result;
            });
        }
        return result;
    }
    findLayoutItemByItemModel(itemModel) {
        return this.findLayoutItem((item) => {
            return item.viewModel.model === itemModel.model;
        });
    }
    onEvent(item, event) {
        return this._parent() && this._parent().onEvent && this._parent().onEvent(item, event);
    }
    updateSize(width, height) {
        try {
            this.isLayoutReady(false);
            this.width(width);
            this.height(height);
        }
        finally {
            this.isLayoutReady(true);
        }
    }
    create(modelItemJson, location, insertBehavior) {
        var rootItem = this.getRoot();
        var createdItemViewModel = this.viewModel.create(modelItemJson, location, insertBehavior);
        var createdLayoutItem = rootItem.findLayoutItemByItemModel(createdItemViewModel);
        createdLayoutItem && createdLayoutItem.coverClickHandler(null);
        return createdLayoutItem;
    }
    moveTo(layoutNode, location, insertBehavior) {
        var rootItem = this.getRoot();
        this.viewModel.moveTo(layoutNode.viewModel, location, insertBehavior);
        var createdLayoutItem = rootItem.findLayoutItemByItemModel(this.viewModel);
        createdLayoutItem && createdLayoutItem.coverClickHandler(null);
        return createdLayoutItem;
    }
    delete() {
        this.viewModel.delete();
        this._parent(null);
    }
    getRoot() {
        var root = this;
        while (root._parent()) {
            root = root._parent();
        }
        return root;
    }
    canAttach(something) {
        return !!this._parent() && this.viewModel.canAttach(something);
    }
    getPlaceholder() {
        return this.placeholderItem;
    }
}
const _registerDxLayoutItem = () => {
    const componentName = 'dx-layout-item';
    if (knockout__WEBPACK_IMPORTED_MODULE_1__.components.isRegistered(componentName))
        return;
    knockout__WEBPACK_IMPORTED_MODULE_1__.components.register(componentName, {
        viewModel: {
            createViewModel: (params, componentInfo) => {
                const layoutItem = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(params.layoutItem));
                const element = componentInfo.element;
                knockout__WEBPACK_IMPORTED_MODULE_1__.utils.domNodeDisposal.addDisposeCallback(element, function () {
                    layoutItem.dispose();
                });
                return {
                    layoutItem
                };
            }
        },
        template: (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.getTemplate)(componentName)
    });
};


/***/ }),

/***/ 6684:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ cardDefinitionMode),
/* harmony export */   p: () => (/* binding */ cardWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let cardDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Cards', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Cards': 'DashboardStringId.CardCalculationAlongCards',
        'SparklineArgument': 'DashboardStringId.CardCalculationAlongSparklineArgument',
        'CardsAndSparklineArgument': 'DashboardStringId.CardCalculationAlongCardsAndSparklineArgument',
        'SparklineArgumentAndCards': 'DashboardStringId.CardCalculationAlongSparklineArgumentAndCards'
    }
};
let cardWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([cardDefinitionMode]);


/***/ }),

/***/ 6692:
/***/ ((module) => {

module.exports = DevExpress.data.ArrayStore;

/***/ }),

/***/ 6713:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ pivotAreaNames),
/* harmony export */   w: () => (/* binding */ itemDataAxisBuilder)
/* harmony export */ });
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4833);
/* harmony import */ var _item_data_axis_point__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5720);


let pivotAreaNames = {
    columns: 'Columns',
    rows: 'Rows'
};
function redBlackTreeNodeComparer(arr1, arr2) {
    for (var i = 0; i < arr1.length && i < arr2.length; i++) {
        if (arr1[i] > arr2[i])
            return 1;
        if (arr1[i] < arr2[i])
            return -1;
    }
    if (arr1.length < arr2.length)
        return -1;
    if (arr1.length > arr2.length)
        return 1;
    return 0;
}
let itemDataAxisBuilder = {
    build: function (name, storage, dimensions, sortOrderSlices, metaData, iterators) {
        const cache = new _utils__WEBPACK_IMPORTED_MODULE_0__/* .RedBlackTree */ .P(redBlackTreeNodeComparer);
        const keyIds = dimensions.map(dimension => dimension.id);
        const allSlicesKeyIdsList = this._getKeyIdsList(keyIds);
        const levelInfoList = allSlicesKeyIdsList.map((keyIds, index) => {
            var baseKeyIds = keyIds.slice(-1), baseKeyId = baseKeyIds.length > 0 ? baseKeyIds[0] : null, metaDataSliceKey = storage.getSliceKey(baseKeyIds), dataSlice = storage.getOrCreateSlice(keyIds), level = index - 1;
            return {
                axisName: name,
                metaData: metaData,
                dataSlice: dataSlice,
                level: level,
                getMetaDataValue: function (dataRowKey, valueId) {
                    if (metaDataSliceKey < 0)
                        return null;
                    var metaDataRowKey = storage.findDataRowKey(metaDataSliceKey, dataRowKey);
                    return storage.getValue(metaDataRowKey, valueId);
                },
                getBaseValue: function (dataRowKey) {
                    return (level >= 0) ? storage.getKeyValue(dataRowKey, baseKeyId) : null;
                }
            };
        });
        const rootNode = new _item_data_axis_point__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisPoint */ .T(levelInfoList[0], { rowKey: [], sliceKey: levelInfoList[0].dataSlice.getKey() });
        cache.getOrAdd([], () => rootNode);
        allSlicesKeyIdsList.forEach((keyIds) => {
            if (keyIds.length > 0 && !this._isSortOrderSlice(keyIds, sortOrderSlices))
                return;
            var levelInfo = levelInfoList[keyIds.length];
            var slice = levelInfo.dataSlice;
            var iterator = (slice && iterators) ? iterators[slice.getKey()] : slice;
            if (iterator) {
                iterator.forEach(function (dataRowKey) {
                    var item = null, childItem = null;
                    do {
                        var level = dataRowKey.rowKey.length;
                        let createAxisPoint = () => {
                            let levelInfo = levelInfoList[level];
                            return new _item_data_axis_point__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisPoint */ .T(levelInfo, dataRowKey);
                        };
                        let addResult = cache.getOrAdd(dataRowKey.rowKey, createAxisPoint);
                        item = addResult.value;
                        if (childItem != null) {
                            item.getChildren().push(childItem);
                            childItem._setParent(item);
                        }
                        if (!addResult.added || level == 0)
                            break;
                        var prevSliceKey = levelInfoList[level - 1].dataSlice.getKey();
                        dataRowKey = storage.findDataRowKey(prevSliceKey, dataRowKey);
                        childItem = item;
                    } while (true);
                });
            }
        });
        return rootNode;
    },
    _getKeyIdsList: function (keyIds) {
        var list = [[]];
        keyIds.forEach((_, i) => {
            var slice = keyIds.slice(0, i + 1);
            list.push(slice);
        });
        return list;
    },
    _isSortOrderSlice: function (slice, sortOrderSlices) {
        var result = !sortOrderSlices || sortOrderSlices.length == 0;
        if (!result) {
            sortOrderSlices.forEach((orderSlice) => {
                result = result || (0,_utils__WEBPACK_IMPORTED_MODULE_0__/* .areNotOrderedListsEqual */ .Yj)(slice, orderSlice);
                return !result;
            });
        }
        return result;
    }
};


/***/ }),

/***/ 6726:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ah: () => (/* binding */ formatAxisValue),
/* harmony export */   Fn: () => (/* binding */ formatScientificAxisValue),
/* harmony export */   G$: () => (/* binding */ defaultNumericFormat),
/* harmony export */   GP: () => (/* binding */ format),
/* harmony export */   Iv: () => (/* binding */ formatPercentValue),
/* harmony export */   Kb: () => (/* binding */ calculateUnitPower),
/* harmony export */   OP: () => (/* binding */ _getSyntheticDateTimeGroupInterval),
/* harmony export */   R0: () => (/* binding */ getAxisFormat),
/* harmony export */   _x: () => (/* binding */ _convertToNumberFormat),
/* harmony export */   ax: () => (/* binding */ _convertNumericUnit),
/* harmony export */   bC: () => (/* binding */ _convertNumericFormat),
/* harmony export */   bH: () => (/* binding */ formatNumeric),
/* harmony export */   bv: () => (/* binding */ formatFilterValue),
/* harmony export */   dl: () => (/* binding */ _types),
/* harmony export */   eU: () => (/* binding */ defaultScientificFormat),
/* harmony export */   gZ: () => (/* binding */ formatByFormatInfo),
/* harmony export */   jl: () => (/* binding */ formatObject),
/* harmony export */   k5: () => (/* binding */ defaultPercentFormat),
/* harmony export */   lS: () => (/* binding */ calculatePrecision),
/* harmony export */   mL: () => (/* binding */ convertToFormat),
/* harmony export */   qz: () => (/* binding */ constructIntervalFilterText),
/* harmony export */   r6: () => (/* binding */ formatDateTime),
/* harmony export */   ry: () => (/* binding */ _convertToDateFormat)
/* harmony export */ });
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9557);
/* harmony import */ var _format_helper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5558);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4999);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4833);
/* harmony import */ var _localization_default__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9167);






let defaultNumericFormat = {
    format: 'fixedPoint',
    unitPower: 'auto',
    precision: 0,
    significantDigits: 3
};
let defaultPercentFormat = {
    format: 'percent',
    unitPower: 0,
    precision: 2,
    significantDigits: 0,
    showTrailingZeros: false
};
let defaultScientificFormat = {
    format: 'exponential',
    precision: 2
};
let _types = {
    Abbreviated: 'abbr',
    Full: 'full',
    Long: 'long',
    Numeric: 'num',
    Short: 'short',
    TimeOnly: 'timeOnly'
};
function format(value, formatViewModel) {
    var str = _localizer__WEBPACK_IMPORTED_MODULE_3__/* .localizer */ .O.getPredefinedString(value);
    if (!_utils__WEBPACK_IMPORTED_MODULE_4__/* .type */ .NW.isDefined(str)) {
        var numericFormat = formatViewModel && formatViewModel.NumericFormat, dateTimeFormat = formatViewModel && formatViewModel.DateTimeFormat;
        if (numericFormat) {
            str = formatNumeric(value, numericFormat);
        }
        else {
            str = !dateTimeFormat ? formatObject(value) : formatDateTime(value, dateTimeFormat);
        }
    }
    return str;
}
function formatByFormatInfo(value, formatInfo) {
    var str = _localizer__WEBPACK_IMPORTED_MODULE_3__/* .localizer */ .O.getPredefinedString(value);
    if (!_utils__WEBPACK_IMPORTED_MODULE_4__/* .type */ .NW.isDefined(str)) {
        return _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, formatInfo);
    }
    return str;
}
function formatFilterValue(filterValue) {
    if (filterValue.Value !== undefined) {
        return format(filterValue.Value, filterValue.Format);
    }
    let rangeLeft;
    let rangeRight;
    if (_utils__WEBPACK_IMPORTED_MODULE_4__/* .type */ .NW.isDefined(filterValue.RangeLeft)) {
        rangeLeft = format(filterValue.RangeLeft, filterValue.Format);
    }
    if (_utils__WEBPACK_IMPORTED_MODULE_4__/* .type */ .NW.isDefined(filterValue.RangeRight)) {
        rangeRight = format(filterValue.RangeRight, filterValue.Format);
    }
    return constructIntervalFilterText({ left: rangeLeft, right: rangeRight });
}
function constructIntervalFilterText(rangeText) {
    let rangePattern = (0,_localization_default__WEBPACK_IMPORTED_MODULE_5__/* .getLocalizationById */ .Mu)('DashboardStringId.FromToDatePeriodCaption');
    let fromPattern = (0,_localization_default__WEBPACK_IMPORTED_MODULE_5__/* .getLocalizationById */ .Mu)('DashboardStringId.FromDatePeriodCaption');
    let toPattern = (0,_localization_default__WEBPACK_IMPORTED_MODULE_5__/* .getLocalizationById */ .Mu)('DashboardStringId.ToDatePeriodCaption');
    if (rangeText.left && rangeText.right) {
        if (rangeText.right != rangeText.left)
            return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)(rangePattern, rangeText.left, rangeText.right);
        else
            return rangeText.left;
    }
    if (rangeText.left) {
        return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)(fromPattern, rangeText.left);
    }
    if (rangeText.right) {
        return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)(toPattern, rangeText.right);
    }
}
function formatNumeric(value, numericFormatViewModel) {
    if (!numericFormatViewModel) {
        return value.toString();
    }
    else {
        var format = _convertToNumberFormat(numericFormatViewModel);
        return _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, format);
    }
}
function formatDateTime(value, dateFormatViewModel) {
    var format = _convertToDateFormat(dateFormatViewModel);
    return _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, format);
}
function formatObject(value) {
    return value == null ? '' : value.toString();
}
function formatPercentValue(value) {
    return _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, defaultPercentFormat);
}
function formatScientificAxisValue(value) {
    return _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, defaultScientificFormat);
}
function formatAxisValue(value, axisMin, axisMax) {
    return _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(value, getAxisFormat(axisMin, axisMax));
}
function getAxisFormat(axisMin, axisMax) {
    return {
        format: 'fixedPoint',
        unitPower: calculateUnitPower(axisMin, axisMax),
        precision: calculatePrecision(axisMin, axisMax),
        significantDigits: 0,
        showTrailingZeros: false
    };
}
function calculateUnitPower(axisMin, axisMax) {
    var range = axisMax - axisMin;
    if (range >= 1000000000)
        return 3;
    if (range >= 1000000)
        return 2;
    if (range >= 1000)
        return 1;
    return 0;
}
function calculatePrecision(axisMin, axisMax) {
    var precision = 0, range = axisMax - axisMin;
    if (range > 0) {
        var smallValue = Math.pow(10, -precision);
        while (range < smallValue) {
            smallValue /= 10;
            precision++;
        }
    }
    return precision + 2;
}
function convertToFormat(formatViewModel) {
    if (formatViewModel) {
        let numericFormat = formatViewModel.NumericFormat;
        if (numericFormat)
            return _convertToNumberFormat(numericFormat);
        let dateTimeFormat = formatViewModel.DateTimeFormat;
        if (dateTimeFormat)
            return _convertToDateFormat(dateTimeFormat);
    }
    return null;
}
function _convertToNumberFormat(numericFormatViewModel) {
    var formatInfo = null, formatType = numericFormatViewModel ? numericFormatViewModel.FormatType : undefined, unit = numericFormatViewModel ? numericFormatViewModel.Unit : undefined;
    if (formatType === 'Custom') {
        if (_viewer_parts_legacy_settings__WEBPACK_IMPORTED_MODULE_1__/* .DashboardPrivateSettings */ .d.customNumericFormatMode !== 'Disabled') {
            return {
                type: numericFormatViewModel.CustomFormatString,
                unlimitedIntegerDigits: true
            };
        }
        else {
            formatType = 'Auto';
        }
    }
    if (formatType === 'General') {
        formatInfo = { format: 'general' };
    }
    else {
        formatInfo = {};
        formatInfo.format = _convertNumericFormat(formatType);
        formatInfo.currency = numericFormatViewModel.Currency;
        if (formatInfo.currency === _format_helper__WEBPACK_IMPORTED_MODULE_2__/* .invariantCurrencyIdentifier */ .Pc) {
            console.log('A web server does not support a currency specified for the dashboard. Refer to https://go.devexpress.com/dashboardInvariantCurrency.aspx to learn more.');
        }
        if (numericFormatViewModel.IncludeGroupSeparator) {
            formatInfo.includeGroupSeparator = numericFormatViewModel.IncludeGroupSeparator;
        }
        if (numericFormatViewModel.ForcePlusSign) {
            formatInfo.plus = numericFormatViewModel.ForcePlusSign;
        }
        formatInfo.precision = numericFormatViewModel.Precision;
        if (unit && unit === 'Auto' && formatType !== 'Percent') {
            formatInfo.significantDigits = numericFormatViewModel.SignificantDigits;
        }
        if (unit && formatType === 'Number' || formatType === 'Currency') {
            formatInfo.unitPower = _convertNumericUnit(unit);
        }
        formatInfo.dateType = null;
    }
    return formatInfo;
}
function _convertToDateFormat(dateFormatViewModel) {
    if (dateFormatViewModel) {
        let weekOptions = {};
        if (_utils__WEBPACK_IMPORTED_MODULE_4__/* .type */ .NW.isDefined(dateFormatViewModel.FirstDayOfWeek))
            weekOptions.firstDayOfWeek = dateFormatViewModel.FirstDayOfWeek;
        if (_utils__WEBPACK_IMPORTED_MODULE_4__/* .type */ .NW.isDefined(dateFormatViewModel.CalendarWeekRule))
            weekOptions.calendarWeekRule = dateFormatViewModel.CalendarWeekRule;
        let syntheticGroupInterval = _getSyntheticDateTimeGroupInterval(dateFormatViewModel.GroupInterval, dateFormatViewModel.ExactDateFormat);
        switch (syntheticGroupInterval) {
            case 'WeekYear':
                return { ...weekOptions,
                    format: 'weekYear',
                    dateType: dateFormatViewModel.DateFormat === 'Long' ? _types.Long : _types.Short
                };
            case 'MonthYear':
                return { format: 'monthYear', dateType: _types.Full };
            case 'QuarterYear':
                return { format: 'quarterYear', dateType: _types.Full };
            case 'DayMonthYear':
                return {
                    format: 'dayMonthYear',
                    dateType: dateFormatViewModel.DateFormat === 'Long' ? _types.Long : _types.Short
                };
            case 'DateHour':
                if (dateFormatViewModel.DateHourFormat === 'Long')
                    return { format: 'dateHour', dateType: _types.Long };
                else
                    return { format: 'dateHour', dateType: dateFormatViewModel.DateHourFormat === 'Short' ? _types.Short : _types.TimeOnly };
            case 'DateHourMinute':
                if (dateFormatViewModel.DateHourMinuteFormat === 'Long')
                    return { format: 'dateHourMinute', dateType: _types.Long };
                else
                    return { format: 'dateHourMinute', dateType: dateFormatViewModel.DateHourMinuteFormat === 'Short' ? _types.Short : _types.TimeOnly };
            case 'DateHourMinuteSecond':
                if (dateFormatViewModel.DateTimeFormat === 'Long')
                    return { format: 'dateHourMinuteSecond', dateType: _types.Long };
                else
                    return { format: 'dateHourMinuteSecond', dateType: dateFormatViewModel.DateTimeFormat === 'Short' ? _types.Short : _types.TimeOnly };
            case 'Year':
                return {
                    format: 'year',
                    dateType: dateFormatViewModel.YearFormat === 'Abbreviated' ? _types.Abbreviated : _types.Full
                };
            case 'DateYear':
                return {
                    format: 'dateYear',
                    dateType: dateFormatViewModel.YearFormat === 'Abbreviated' ? _types.Abbreviated : _types.Full
                };
            case 'Quarter':
                if (dateFormatViewModel.QuarterFormat === 'Numeric')
                    return { format: 'quarter', dateType: _types.Numeric };
                else
                    return { format: 'quarter', dateType: _types.Full };
            case 'Month':
                if (dateFormatViewModel.MonthFormat === 'Numeric')
                    return { format: 'month', dateType: _types.Numeric };
                else
                    return { format: 'month', dateType: dateFormatViewModel.MonthFormat === 'Abbreviated' ? _types.Abbreviated : _types.Full };
            case 'Hour':
                return {
                    format: 'hour',
                    dateType: dateFormatViewModel.HourFormat === 'Long' ? _types.Long : _types.Short
                };
            case 'DayOfWeek':
                if (dateFormatViewModel.DayOfWeekFormat === 'Numeric')
                    return { format: 'dayOfWeek', dateType: _types.Numeric };
                else
                    return { format: 'dayOfWeek', dateType: dateFormatViewModel.DayOfWeekFormat === 'Abbreviated' ? _types.Abbreviated : _types.Full };
            default:
                return { format: dateTimeGroupIntervalToCamelCase[dateFormatViewModel.GroupInterval], dateType: _types.Numeric };
        }
    }
    else {
        return null;
    }
}
function _getSyntheticDateTimeGroupInterval(groupInterval, exactDateFormat) {
    if (groupInterval != 'None')
        return groupInterval;
    switch (exactDateFormat) {
        case 'Year':
            return 'DateYear';
        case 'Quarter':
            return 'QuarterYear';
        case 'Month':
            return 'MonthYear';
        case 'Day':
            return 'DayMonthYear';
        case 'Hour':
            return 'DateHour';
        case 'Minute':
            return 'DateHourMinute';
        case 'Second':
            return 'DateHourMinuteSecond';
        default:
            return null;
    }
}
function _convertNumericFormat(formatType) {
    switch (formatType) {
        case 'Number': return 'fixedPoint';
        case 'Currency': return 'currency';
        case 'Scientific': return 'exponential';
        case 'Percent': return 'percent';
        default: return undefined;
    }
}
function _convertNumericUnit(numericUnit) {
    switch (numericUnit) {
        case 'Auto': return 'auto';
        case 'Thousands': return 1;
        case 'Millions': return 2;
        case 'Billions': return 3;
        default: return 0;
    }
}
let dateTimeGroupIntervalToCamelCase = {
    'Year': 'year',
    'Quarter': 'quarter',
    'Month': 'month',
    'Day': 'day',
    'Hour': 'hour',
    'Minute': 'minute',
    'Second': 'second',
    'DayOfYear': 'dayOfYear',
    'DayOfWeek': 'dayOfWeek',
    'WeekOfYear': 'weekOfYear',
    'WeekOfMonth': 'weekOfMonth',
    'WeekYear': 'weekYear',
    'MonthYear': 'monthYear',
    'QuarterYear': 'quarterYear',
    'DayMonthYear': 'dayMonthYear',
    'DateHour': 'dateHour',
    'DateHourMinute': 'dateHourMinute',
    'DateHourMinuteSecond': 'dateHourMinuteSecond',
    'None': 'none'
};


/***/ }),

/***/ 6744:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EW: () => (/* binding */ complexValuePersistedValue),
/* harmony export */   EZ: () => (/* binding */ complexValueInfo),
/* harmony export */   VG: () => (/* binding */ complexValueValue),
/* harmony export */   oD: () => (/* binding */ barOptions),
/* harmony export */   qv: () => (/* binding */ negativeInfinity),
/* harmony export */   s$: () => (/* binding */ fieldTypes),
/* harmony export */   v_: () => (/* binding */ styleSettings),
/* harmony export */   wP: () => (/* binding */ complexValueType)
/* harmony export */ });
/* harmony import */ var _conditions_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9075);

const negativeInfinity = '-Infinity';
let fieldTypes = {
    Text: 'System.String',
    DateTime: 'System.DateTime',
    Bool: 'System.Boolean',
    Integer: 'System.Int32',
    Float: 'System.Single',
    Double: 'System.Double',
    Decimal: 'System.Decimal',
    Enum: 'Enum',
    Custom: 'Custom',
    Unknown: 'Unknown'
};
let complexValueType = { propertyName: 'type', modelName: '@Type', defaultVal: null };
let complexValuePersistedValue = { propertyName: '_persistedValue', modelName: '@Value', defaultVal: null };
let complexValueValue = { propertyName: 'value' };
let complexValueInfo = [complexValueType, complexValueValue, complexValuePersistedValue];
let styleSettings = { propertyName: 'styleSettings', displayName: 'DashboardWebStringId.StyleSettings' };
let barOptions = { propertyName: 'barOptions', modelName: 'BarOptions', displayName: 'DashboardWebStringId.ConditionalFormatting.BarOptions', type: _conditions_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_0__/* .FormatConditionBarOptions */ .Y };


/***/ }),

/***/ 6768:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bi: () => (/* binding */ getFirstDataMember),
/* harmony export */   Wt: () => (/* binding */ getDataFields),
/* harmony export */   eV: () => (/* binding */ isStartedWith),
/* harmony export */   mG: () => (/* binding */ isNonCollectionDataField),
/* harmony export */   sG: () => (/* binding */ trimLeadingPathElement),
/* harmony export */   um: () => (/* binding */ findDataMember),
/* harmony export */   wN: () => (/* binding */ DataSourceBrowser),
/* harmony export */   xx: () => (/* binding */ patchCalcFieldPath),
/* harmony export */   zV: () => (/* binding */ splitFullFieldName)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(546);
/* harmony import */ var _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5988);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4270);
/* harmony import */ var _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3052);
/* harmony import */ var _model_data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2878);
/* harmony import */ var _model_data_sources_mongodb_data_source__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2896);
/* harmony import */ var _model_data_sources_object_data_source__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(6848);
/* harmony import */ var _model_data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5709);
/* harmony import */ var _model_internal_date_utils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(2037);
/* harmony import */ var _model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1041);












function patchCalcFieldPath(dataSource, calculatedField, fieldName) {
    if (fieldName.indexOf('Parameters.Parameters.') === 0) {
        return 'Parameters.' + fieldName.split('.')[2];
    }
    if (dataSource instanceof _model_data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__/* .SqlDataSource */ .w) {
        var query = dataSource.queries().filter(query => query.name() === calculatedField.dataMember())[0];
        if (!!query && query instanceof _devexpress_analytics_core_analytics_data__WEBPACK_IMPORTED_MODULE_0__.TableQuery) {
            var table = query.tables().filter(table => fieldName.indexOf((table.alias() || table.name()) + '.') === 0)[0];
            if (!!table) {
                return trimLeadingPathElement(fieldName, table.alias() || table.name());
            }
        }
    }
    return fieldName;
}
function trimLeadingPathElement(path = '', element) {
    var str = path;
    if (path.indexOf(element) === 0) {
        str = path.substring(element.length);
    }
    return str[0] === '.' ? str.substring(1) : str;
}
function splitFullFieldName(fullFieldName) {
    let parts = fullFieldName.split('.');
    return {
        path: parts.slice(0, parts.length - 1).join('.'),
        name: parts[parts.length - 1] || ''
    };
}
function isStartedWith(path, value) {
    return path.indexOf(value) === 0 && (path.length === value.length || path[value.length] === '.');
}
function findDataMember(dataSource, path) {
    var dataMember = '';
    var fieldPath = path;
    if (dataSource instanceof _model_data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__/* .SqlDataSource */ .w) {
        let query = dataSource.queries().filter(q => isStartedWith(path, q.name()))[0];
        if (!!query) {
            dataMember = query.name();
            fieldPath = trimLeadingPathElement(path, dataMember);
        }
    }
    else if (dataSource instanceof _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_5__/* .EFDataSource */ .f) {
        let table = dataSource._tables().filter(t => isStartedWith(path, t.dataMember()))[0];
        if (!!table) {
            dataMember = table.dataMember();
            fieldPath = trimLeadingPathElement(path, dataMember);
        }
    }
    else if (dataSource instanceof _model_data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_6__/* .FederationDataSource */ .RC) {
        let query = dataSource.queries().filter(q => isStartedWith(path, q.alias()))[0];
        if (!!query) {
            dataMember = query.alias();
            fieldPath = trimLeadingPathElement(path, dataMember);
        }
    }
    else if (dataSource instanceof _model_data_sources_mongodb_data_source__WEBPACK_IMPORTED_MODULE_7__/* .MongoDBDataSource */ .u) {
        let query = dataSource.queries().filter(q => isStartedWith(path, q._actualName()))[0];
        if (!!query) {
            dataMember = query._actualName();
            fieldPath = trimLeadingPathElement(path, dataMember);
        }
    }
    return {
        dataMember: dataMember,
        fieldPath: fieldPath
    };
}
function getFirstDataMember(dataSource) {
    if (dataSource instanceof _model_data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__/* .SqlDataSource */ .w && dataSource.queries().length > 0) {
        return dataSource.queries()[0].name();
    }
    else if (dataSource instanceof _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_5__/* .EFDataSource */ .f && dataSource._tables().length > 0) {
        return dataSource._tables()[0].dataMember();
    }
    else if (dataSource instanceof _model_data_sources_federation_data_source__WEBPACK_IMPORTED_MODULE_6__/* .FederationDataSource */ .RC && dataSource.queries().length > 0) {
        return dataSource.queries()[0].alias();
    }
    else if (dataSource instanceof _model_data_sources_mongodb_data_source__WEBPACK_IMPORTED_MODULE_7__/* .MongoDBDataSource */ .u && dataSource.queries().length > 0) {
        return dataSource.queries()[0]._actualName();
    }
    else if (dataSource instanceof _model_data_sources_object_data_source__WEBPACK_IMPORTED_MODULE_8__/* .ObjectDataSource */ .f)
        return undefined;
    throw new Error();
}
class DataSourceBrowser extends _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.Disposable {
    _cacheNestedFields(path, field) {
        if (field.childNodes().length > 0 && !!field.childNodes()[0].dataMember()) {
            var nestedPath = !!path ? path + '.' + field.dataMember() : field.dataMember();
            this._fieldsCache[nestedPath] = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)().resolve(field.childNodes()).promise();
            field.childNodes().forEach(member => this._cacheNestedFields(nestedPath, member));
        }
    }
    _findInFieldsCache(dataSourceName, dataMemberName, fieldName, constraint, separateGroupFields) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        var result = { path: '', field: undefined };
        var keys = Object.keys(this._fieldsCache);
        var fieldPath = dataMemberName ? [dataSourceName, dataMemberName].join('.') : dataSourceName;
        var i = 0;
        var findPromises = [];
        while (!result.field && i < keys.length) {
            var path = keys[i];
            if (path === fieldPath || path.indexOf(fieldPath + '.') === 0) {
                var a = (notClosuredPath, notClosuredFieldPath) => {
                    return (fields) => {
                        let filteredFields = fields.filter(isNonCollectionDataField);
                        for (let i = 0; i < filteredFields.length; i++) {
                            let field = filteredFields[i];
                            var foundField = field.dataMember() === fieldName && constraint(field) ? field : undefined;
                            var groupDataItems = field['groupDataItems'];
                            if ((!foundField || separateGroupFields) && !!groupDataItems && groupDataItems.length > 0) {
                                let foundGroupField = groupDataItems.filter((groupField) => groupField.dataMember() === fieldName)[0];
                                if (foundGroupField) {
                                    foundField = separateGroupFields ? foundGroupField : field;
                                }
                            }
                            if (!!foundField) {
                                result.path = notClosuredPath.substr(notClosuredFieldPath.length).split('.').filter(item => !!item).join('.');
                                result.field = foundField;
                                deferred.resolve(result);
                                break;
                            }
                        }
                    };
                };
                findPromises.push(this._fieldsCache[path].done(a(path, fieldPath)));
            }
            i++;
        }
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .jqueryWhenArray */ .wj)(findPromises).done(function () {
            if (!result.field) {
                deferred.resolve(result);
            }
        });
        return deferred.promise();
    }
    constructor(_dataSources, isDesignMode, parameters, _serviceClient, isLoading = knockout__WEBPACK_IMPORTED_MODULE_2__.observable(false)) {
        super();
        this._dataSources = _dataSources;
        this.isDesignMode = isDesignMode;
        this.parameters = parameters;
        this._serviceClient = _serviceClient;
        this.isLoading = isLoading;
        this._dynamicParametersValueCache = {};
        this._dimensionValuesCache = {};
        this._fieldsCache = {};
        this.removeDataSource = (dataSource) => {
            this._dataSources.remove(dataSource);
            this.clearFieldsCache(dataSource.componentName());
        };
        if (isDesignMode()) {
            this._subscribeDataSources();
        }
        this._disposables.push(this.isDesignMode.subscribe(isDesignMode => {
            if (isDesignMode) {
                this._subscribeDataSources();
            }
            else {
                this._unsubscribeDataSources();
            }
        }));
    }
    getDimensionFilterItems(dashboardItem, dimensionDataMember, previousState, branch) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        var result = deferred.promise();
        if (!!dashboardItem && !!dimensionDataMember) {
            this._serviceClient.peek().getDimensionFilterItems(dashboardItem, dimensionDataMember, previousState, branch).done((list) => {
                deferred.resolve(list);
            }).fail(() => {
                deferred.resolve([]);
            });
        }
        else {
            deferred.resolve([]);
        }
        return result;
    }
    getDimensionFilterString(dashboardItem, dimensionDataMember, previousState) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        var result = deferred.promise();
        if (!!dashboardItem && !!dimensionDataMember) {
            this._serviceClient.peek().getDimensionFilterString(dashboardItem, dimensionDataMember, previousState).done((filterString) => {
                deferred.resolve(filterString);
            }).fail(() => {
                deferred.resolve('');
            });
        }
        else {
            deferred.resolve('');
        }
        return result;
    }
    getDataFieldsArray(dataSourceName, dataMember, fieldPath, filterDelegate = () => true) {
        var id = !!dataMember ? [dataSourceName, dataMember].join('.') : dataSourceName;
        id = !!fieldPath ? [id, fieldPath].join('.') : id;
        var dataSource = this.findDataSource(dataSourceName);
        if (!dataSource) {
            return (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)().resolve([]).promise();
        }
        dataSource.calculatedFields().forEach(calcField => {
            var expression = calcField.expression();
            var fieldType = calcField.fieldType();
            var name = calcField.name();
        });
        var result = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        var parentRequests = Object.keys(this._fieldsCache)
            .filter(cachedKey => id.indexOf(cachedKey) === 0)
            .map(cachedKey => this._fieldsCache[cachedKey]);
        if (parentRequests.length === 0) {
            parentRequests = [(0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)().resolve().promise()];
        }
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .jqueryWhenArray */ .wj)(parentRequests).done(() => {
            var cachedValue = this._fieldsCache[id];
            if (cachedValue) {
                cachedValue.done((dataFields) => {
                    result.resolve(dataFields.filter(filterDelegate));
                });
            }
            else {
                if (!!dataSourceName && !!dataSource && !!this._serviceClient) {
                    let valueToCache = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
                    this._fieldsCache[id] = valueToCache.promise();
                    setTimeout(() => {
                        this._serviceClient.peek().getFieldList(dataSource, dataMember, fieldPath).done((list) => {
                            var members = [];
                            (list || []).forEach(field => {
                                var dataField = new _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__/* .DataField */ .J7(field);
                                members.push(dataField);
                                this._cacheNestedFields(id, dataField);
                            });
                            if (!fieldPath) {
                                members = members
                                    .sort((f1, f2) => f1.displayName().localeCompare(f2.displayName()));
                            }
                            valueToCache
                                .resolve(members)
                                .done((dataFields) => result.resolve(dataFields.filter(filterDelegate)));
                        }).fail(() => {
                            valueToCache
                                .resolve([])
                                .done(dataFields => {
                                result.resolve(dataFields);
                            });
                        });
                    }, 1);
                }
                else {
                    result.resolve([]);
                }
            }
        });
        return result.promise();
    }
    isFolder(path) {
        return !!this._fieldsCache[path];
    }
    findPathToFieldInTree(dataSourceName, dataMemberName, fieldName, constraint) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        this.getDataFieldsArray(dataSourceName, dataMemberName, '', isNonCollectionDataField).done(() => {
            this._findInFieldsCache(dataSourceName, dataMemberName, fieldName, constraint, false).done(info => deferred.resolve(info.path));
        });
        return deferred.promise();
    }
    findDataField(dataSourceName, dataMemberName, fullFieldName, separateGroupFields = false) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        let dataSource = this._dataSources().filter(ds => ds.componentName() === dataSourceName)[0];
        let info = {
            path: '',
            name: fullFieldName
        };
        if (dataSource instanceof _model_data_sources_object_data_source__WEBPACK_IMPORTED_MODULE_8__/* .ObjectDataSource */ .f || dataSource instanceof _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_5__/* .EFDataSource */ .f) {
            info = splitFullFieldName(fullFieldName);
        }
        this.getDataFieldsArray(dataSourceName, dataMemberName, info.path, isNonCollectionDataField).done(() => {
            this._findInFieldsCache(dataSourceName, dataMemberName, fullFieldName, (field) => true, separateGroupFields).done(info => deferred.resolve(info.field));
        });
        return deferred.promise();
    }
    fuzzyFindFields(startPath, searchFor) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)(), result = [], findPromises = [];
        var strContains = (str, substr) => str.toLowerCase().indexOf(substr.toLowerCase()) !== -1;
        Object.keys(this._fieldsCache).forEach(path => {
            if (path === startPath || path.indexOf(startPath + '.') === 0) {
                findPromises.push(this._fieldsCache[path].done(fields => {
                    fields
                        .filter(field => isNonCollectionDataField)
                        .filter(field => strContains(field.dataMember(), searchFor) || strContains(field.displayName(), searchFor))
                        .forEach(field => result.push({ path: path, field: field }));
                }));
            }
        });
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .jqueryWhenArray */ .wj)(findPromises).done(() => deferred.resolve(result));
        return deferred.promise();
    }
    findDataSource(dsName) {
        return this._dataSources().filter(ds => ds.componentName() === dsName)[0];
    }
    dataMembersSupported(dsc) {
        var dataSource = dsc && this.findDataSource(dsc.dataSource()) || null;
        return dataSource && dataSource.supportDataMembers;
    }
    getDataFields(dsc) {
        var result = knockout__WEBPACK_IMPORTED_MODULE_2__.observableArray();
        if (dsc) {
            this.getDataFieldsArray(dsc.dataSource(), dsc.dataMember(), '', isNonCollectionDataField).done((members) => {
                result(members.map(member => member.displayName()));
            });
        }
        return result;
    }
    clearFieldsCache(path) {
        Object.keys(this._fieldsCache).forEach(key => {
            if (key === path || key.indexOf(path + '.') === 0) {
                delete this._fieldsCache[key];
            }
        });
    }
    clearDynamicParametersValueCache() {
        this._dynamicParametersValueCache = {};
    }
    clearDimensionValuesCache() {
        this._dimensionValuesCache = {};
    }
    initDataSource(dataSource) {
        if (dataSource instanceof _model_data_sources_sql_data_source__WEBPACK_IMPORTED_MODULE_9__/* .SqlDataSource */ .w) {
            this._fieldsCache[dataSource.componentName()] = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)().resolve(dataSource.queries().map((query) => {
                let queryField = new _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__/* .DataField */ .J7({ 'DataMember': query.name(), 'Name': query.name(), 'DisplayName': query.name() });
                queryField.hasCalculatedFields = true;
                queryField.isDataSourceNode(true);
                return queryField;
            })).promise();
        }
        else if (dataSource instanceof _model_data_sources_ef_data_source__WEBPACK_IMPORTED_MODULE_5__/* .EFDataSource */ .f) {
            this.isLoading(true);
            this.getDataFieldsArray(dataSource.componentName(), '', '', isNonCollectionDataField).done(members => {
                dataSource._tables(members);
                this.isLoading(false);
            });
        }
    }
    getParameterValues(parameterType, dynamicListLookUpSettings, forceRequest = false, tempParameterValues) {
        var dsc = dynamicListLookUpSettings;
        var valueMember = dynamicListLookUpSettings.valueMemberName();
        var displayMember = dynamicListLookUpSettings.displayMemberName() || valueMember;
        var sortOrder = dynamicListLookUpSettings.sortOrder();
        var sortByMember = dynamicListLookUpSettings.sortByMember();
        var selectedValues = '';
        if (this.parameters) {
            selectedValues = this.parameters.peek()
                .map(p => {
                return {
                    name: p.name(),
                    value: (0,_model_internal_date_utils__WEBPACK_IMPORTED_MODULE_11__/* .toStringArray */ .oU)((tempParameterValues && tempParameterValues[p.name()]) ?? p._actualValue.peek())
                };
            })
                .sort((p1, p2) => p1.name.localeCompare(p2.name))
                .reduce((acc, param) => {
                let value = `${param.name}:${param.value instanceof Array ? param.value.slice().sort().join('|') : param.value}`;
                return !!acc ? `${acc},${value}` : value;
            }, '');
        }
        var key = [parameterType, dsc.dataSource(), dsc.dataMember(), valueMember, displayMember, sortOrder, sortByMember, selectedValues].join('.');
        var parameterValues = this._dynamicParametersValueCache[key];
        if (!parameterValues || forceRequest) {
            parameterValues = knockout__WEBPACK_IMPORTED_MODULE_2__.observableArray();
            if (!!valueMember && !!displayMember) {
                this._dynamicParametersValueCache[key] = parameterValues;
                this._serviceClient.peek().getParameterValues(dsc.dataSource(), this.findDataSource(dsc.dataSource()), dsc.dataMember(), valueMember, displayMember, sortOrder, sortByMember, parameterType)
                    .done((result) => {
                    parameterValues(result ? result.map(value => ({
                        Value: (0,_model_internal_date_utils__WEBPACK_IMPORTED_MODULE_11__/* .tryConvertToDateTime */ .bt)(value.Value),
                        DisplayText: value.DisplayText
                    })) : []);
                    this.dynamicLookUpValuesLoaded && this.dynamicLookUpValuesLoaded(dynamicListLookUpSettings);
                })
                    .fail(() => parameterValues([]));
            }
        }
        return parameterValues;
    }
    getDimensionUniqueValues(dataSourceName, dataMember, dimension) {
        var def = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
        var key = 'DataSource=' + dataSourceName
            + 'DataMember=' + dataMember
            + 'Dimension=' + JSON.stringify(new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.ModelSerializer({ useRefs: false }).serialize(dimension));
        var dimensionValues = this._dimensionValuesCache[key];
        if (!dimensionValues) {
            dimensionValues = knockout__WEBPACK_IMPORTED_MODULE_2__.observableArray();
            var dataSource = this.findDataSource(dataSourceName);
            if (!!dataSource && !!dimension) {
                this._dimensionValuesCache[key] = dimensionValues;
                this._serviceClient.peek().getDimensionUniqueValues(dataSource, dataMember, dimension)
                    .done((result) => {
                    if (Array.isArray(result))
                        result = result.map(val => (0,_model_internal_date_utils__WEBPACK_IMPORTED_MODULE_11__/* .tryConvertToDateTime */ .bt)(val));
                    dimensionValues(result);
                    def.resolve(dimensionValues());
                });
            }
        }
        else {
            def.resolve(dimensionValues());
        }
        return def.promise();
    }
    splitFullPath(fullPath = '') {
        var dataSource = '';
        var dataSourceObj = this._dataSources().filter(ds => isStartedWith(fullPath, ds.componentName()))[0];
        if (!!dataSourceObj) {
            dataSource = dataSourceObj.componentName();
        }
        var { dataMember, fieldPath } = findDataMember(dataSourceObj, trimLeadingPathElement(fullPath, dataSource));
        return {
            dataSource: dataSource,
            dataMember: dataMember,
            fieldPath: fieldPath
        };
    }
    _subscribeDataSources() {
        this._dataSources().forEach(dataSource => {
            this.initDataSource(dataSource);
        });
        this._dataSourcesSubscription = (0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_10__/* .subscribeArrayChange */ .w$)(this._dataSources, {
            added: ds => this.initDataSource(ds),
            deleted: ds => this.clearFieldsCache(ds.componentName())
        });
        this._disposables.push(this._dataSourcesSubscription);
    }
    _unsubscribeDataSources() {
        if (this._dataSourcesSubscription) {
            this._disposables.splice(this._disposables.indexOf(this._dataSourcesSubscription), 1);
            this._dataSourcesSubscription.dispose();
            this._dataSourcesSubscription = undefined;
            this._dataSources().forEach(dataSource => {
                this.clearFieldsCache(dataSource.componentName());
            });
        }
    }
    dispose() {
        super.dispose();
        this.dynamicLookUpValuesLoaded = null;
        this.removeProperties();
    }
}
function isNonCollectionDataField(dataField) {
    if (!dataField)
        return;
    let nodeType = knockout__WEBPACK_IMPORTED_MODULE_2__.unwrap(dataField.nodeType);
    let childNodes = knockout__WEBPACK_IMPORTED_MODULE_2__.unwrap(dataField.childNodes);
    let isList = dataField.isList && knockout__WEBPACK_IMPORTED_MODULE_2__.unwrap(dataField.isList);
    return !(nodeType === 'DataMember' && isList);
}
function getDataFields(fieldsNames, dataSource, dataMember, dataFieldProvider) {
    var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)();
    const promises = fieldsNames.map(field => dataFieldProvider.findDataField(dataSource, dataMember, field, true));
    (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .jqueryWhen */ .Rp)(...promises).done((...fields) => {
        deferred.resolve(fields.filter(field => !!field));
    });
    return deferred.promise();
}


/***/ }),

/***/ 6779:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ Measure)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1923);
/* harmony import */ var _metadata_measure__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4030);



class Measure extends _data_item__WEBPACK_IMPORTED_MODULE_1__/* .DataItem */ .sO {
    constructor(dataItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataItemJSON, serializer);
        this.addDisposable(this.expression.subscribe(val => {
            if (val !== undefined) {
                this.calculation.calculation(undefined);
            }
        }));
        this.addDisposable(this.calculation, this.windowDefinition);
    }
    getInfo() {
        return _metadata_measure__WEBPACK_IMPORTED_MODULE_2__/* .measureItemSerializationsInfo */ .Zs;
    }
    grabFrom(dataItem) {
        super.grabFrom(dataItem);
        if (!(dataItem instanceof Measure))
            return;
        this.summaryType(dataItem.summaryType());
    }
    isDefinitionEquals(dataItem) {
        return super.isDefinitionEquals(dataItem) && (dataItem instanceof Measure) &&
            this.summaryType() === dataItem.summaryType() && this.expression() === dataItem.expression() &&
            this.calculation.calculationType() === dataItem.calculation.calculationType() &&
            this.windowDefinition.equals(dataItem.windowDefinition) &&
            this.filterString() === dataItem.filterString();
    }
    _hasCalculation() {
        return !this.calculation.isEmpty() || !!this.expression();
    }
    _getDefaultItemType() {
        return 'Measure';
    }
}


/***/ }),

/***/ 6790:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ chartDefinitionMode),
/* harmony export */   b: () => (/* binding */ chartWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let chartDefinitionMode = {
    propertyName: 'definitionMode', modelName: '@DefinitionMode', defaultVal: 'Arguments', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Arguments': 'DashboardStringId.ChartCalculationAlongArguments',
        'Series': 'DashboardStringId.ChartCalculationAlongSeries',
        'ArgumentsAndSeries': 'DashboardStringId.ChartCalculationAlongArgumentsAndSeries',
        'SeriesAndArguments': 'DashboardStringId.ChartCalculationAlongSeriesAndArguments'
    }
};
let chartWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([chartDefinitionMode]);


/***/ }),

/***/ 6799:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Utils;

/***/ }),

/***/ 6826:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ FormatConditionAverage)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4840);
/* harmony import */ var _metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2573);



class FormatConditionAverage extends _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .FormatConditionStyleBase */ .F {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => this.averageType();
        this.setSpecificType = (type) => {
            this.averageType(type);
        };
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_average__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionAverageSerializationsInfo */ .f;
    }
}


/***/ }),

/***/ 6844:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q: () => (/* binding */ DataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _calculated_field__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8509);



class DataSource extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .TypedSerializableModel */ .$t {
    constructor(dataSourceJSON = {}, serializer) {
        super(dataSourceJSON, serializer);
        this.hasCalculatedFields = false;
        this.supportDataMembers = false;
        this.hasFilter = false;
        this.calculatedFields = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dataSourceJSON.CalculatedFields, (item) => new _calculated_field__WEBPACK_IMPORTED_MODULE_2__/* .CalculatedField */ .F(item, serializer));
    }
    getJson() {
        return new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer({ useRefs: false }).serialize(this);
    }
    getUniqueNamePrefix() {
        return super._getUniqueNamePrefix();
    }
}


/***/ }),

/***/ 6848:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ ObjectDataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6844);
/* harmony import */ var _metadata_object_data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3479);



class ObjectDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_1__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.hasCalculatedFields = true;
        this.hasFilter = true;
    }
    getInfo() {
        return _metadata_object_data_source__WEBPACK_IMPORTED_MODULE_2__/* .objectDataSourceSerializationsInfo */ .c;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultObjectDataSourceName';
    }
    _getDefaultItemType() {
        return 'ObjectDataSource';
    }
}


/***/ }),

/***/ 6855:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ FormatConditionExpression)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4840);
/* harmony import */ var _metadata_format_condition_expression__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5498);



class FormatConditionExpression extends _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .FormatConditionStyleBase */ .F {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => null;
        this.setSpecificType = (type) => { };
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_expression__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionExpressionSerializationsInfo */ .mK;
    }
}


/***/ }),

/***/ 6868:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ WindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1105);
/* harmony import */ var _metadata_window_definition__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2241);






var currentwindowDefinitionInfo = (model) => {
    if (!model.windowDefinitionType)
        return [];
    return [{
            propertyName: 'windowDefinition',
            modelName: model.windowDefinitionType() || 'FakeWindowDefinitionForModelSubscriber',
            from: (json, serializer) => { return new _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .windowDefinitionsTypesMap */ .I[model.windowDefinitionType()](json, serializer); },
            toJsonObject: (value, serializer, refs) => {
                var result = serializer.serialize(value, null, refs);
                if ((0,_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.isEmptyObject)(result)) {
                    return null;
                }
                return result;
            }
        }];
};
class WindowDefinition extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.ModelSerializer()) {
        super(modelJson, serializer);
        this.windowDefinitionType = knockout__WEBPACK_IMPORTED_MODULE_2__.observable();
        this.windowDefinition = knockout__WEBPACK_IMPORTED_MODULE_2__.observable();
        this.windowDefinitionType(Object.keys(_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .windowDefinitionsTypesMap */ .I).filter(mapItem => !!modelJson && modelJson[mapItem] !== undefined)[0]);
        if (!!this.windowDefinitionType()) {
            let type = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .windowDefinitionsTypesMap */ .I[this.windowDefinitionType()];
            this.windowDefinition(new type((modelJson || {})[this.windowDefinitionType()]));
            delete this['_model'][this.windowDefinitionType()];
        }
        this.addDisposable(this.windowDefinition.subscribe(windowDefinition => {
            this.windowDefinitionType(Object.keys(_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .windowDefinitionsTypesMap */ .I).filter(mapItem => windowDefinition instanceof _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_4__/* .windowDefinitionsTypesMap */ .I[mapItem])[0]);
        }));
    }
    getInfo() {
        return _metadata_window_definition__WEBPACK_IMPORTED_MODULE_5__/* .windowDefinitionSerializationsInfo */ .j.concat(currentwindowDefinitionInfo(this));
    }
    equals(def) {
        return (this.isEmpty() && def.isEmpty()) || this.windowDefinition().equals(def.windowDefinition());
    }
    isEmpty() {
        return !this.windowDefinition();
    }
}


/***/ }),

/***/ 6955:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $2: () => (/* binding */ fixedWidth),
/* harmony export */   $S: () => (/* binding */ gridColumnDeltaOptions),
/* harmony export */   AK: () => (/* binding */ sparklineOptions),
/* harmony export */   DW: () => (/* binding */ columnType),
/* harmony export */   H: () => (/* binding */ checkGridUriPattern),
/* harmony export */   Hr: () => (/* binding */ uri),
/* harmony export */   Jt: () => (/* binding */ gridValidateUriPattern),
/* harmony export */   KM: () => (/* binding */ sparkline),
/* harmony export */   KN: () => (/* binding */ displayValue),
/* harmony export */   Kf: () => (/* binding */ gridColumnActualValue),
/* harmony export */   LW: () => (/* binding */ gridColumnBaseSerializationsInfo),
/* harmony export */   Le: () => (/* binding */ gridColumnTargetValue),
/* harmony export */   OI: () => (/* binding */ totalsTemplate),
/* harmony export */   RF: () => (/* binding */ gridSparklineColumnSerializationsInfo),
/* harmony export */   Su: () => (/* binding */ dimensionDisplayMode),
/* harmony export */   Wg: () => (/* binding */ gridMeasureColumnSerializationsInfo),
/* harmony export */   XW: () => (/* binding */ gridColumnUriPattern),
/* harmony export */   ZD: () => (/* binding */ alwaysShowZeroLevel),
/* harmony export */   _7: () => (/* binding */ gridHyperlinkColumnSerializationsInfo),
/* harmony export */   bW: () => (/* binding */ showStartEndValues),
/* harmony export */   cG: () => (/* binding */ gridDeltaColumnSerializationsInfo),
/* harmony export */   hZ: () => (/* binding */ columnWeight),
/* harmony export */   i3: () => (/* binding */ validateGridUriPattern),
/* harmony export */   rK: () => (/* binding */ dimension),
/* harmony export */   rN: () => (/* binding */ uriPatternValidationRules),
/* harmony export */   sw: () => (/* binding */ displayMode),
/* harmony export */   w7: () => (/* binding */ gridDimensionColumnSerializationsInfo),
/* harmony export */   xP: () => (/* binding */ measure),
/* harmony export */   zA: () => (/* binding */ widthType)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _options_delta_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8191);
/* harmony import */ var _options_sparkline_options__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7490);




let columnType = { propertyName: 'containerType', displayName: 'DashboardWebStringId.Grid.ColumnType' };
let displayMode = {
    propertyName: 'displayMode', modelName: '@DisplayMode', displayName: 'DashboardWebStringId.Grid.DisplayMode', defaultVal: 'Value', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Value': 'DashboardWebStringId.Grid.DisplayMode.Value',
        'Bar': 'DashboardWebStringId.Grid.DisplayMode.Bar'
    }
};
let columnWeight = { propertyName: 'weight', modelName: '@Weight', displayName: 'DashboardStringId.WeightCaption', defaultVal: 75, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.ViewModel,
    isTwoWay: true
};
let fixedWidth = { propertyName: 'fixedWidth', modelName: '@FixedWidth', displayName: 'DashboardWebStringId.Grid.FixedWidth', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.ViewModel };
let widthType = {
    propertyName: 'widthType', modelName: '@WidthType', displayName: 'DashboardWebStringId.Grid.WidthType', defaultVal: 'Weight', simpleFormAdapterItem: 'listEditor', category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.ViewModel, values: {
        'Weight': 'DashboardWebStringId.Grid.WidthType.Weight',
        'FitToContent': 'DashboardWebStringId.Grid.WidthType.FitToContent',
        'FixedWidth': 'DashboardWebStringId.Grid.FixedWidth'
    },
    isTwoWay: true
};
let totalsTemplate = { propertyName: 'totals', modelName: 'Totals', array: true };
let gridColumnBaseSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, columnWeight, fixedWidth, widthType, totalsTemplate];
let dimension = { propertyName: '__dimension', modelName: 'Dimension', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.DescriptionItemDimension' };
let dimensionDisplayMode = {
    propertyName: 'displayMode', modelName: '@DisplayMode', displayName: 'DashboardWebStringId.Grid.DisplayMode', defaultVal: 'Text', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Text': 'DashboardWebStringId.Grid.DisplayMode.Text',
        'Image': 'DashboardWebStringId.Grid.DisplayMode.Image'
    }
};
let gridDimensionColumnSerializationsInfo = gridColumnBaseSerializationsInfo.concat([dimensionDisplayMode, dimension]);
let alwaysShowZeroLevel = { propertyName: 'alwaysShowZeroLevel', modelName: '@AlwaysShowZeroLevel', displayName: 'DashboardWebStringId.Chart.AlwaysShowZeroLevel', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let measure = { propertyName: '__measure', modelName: 'Measure', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.DescriptionItemMeasure' };
let gridMeasureColumnSerializationsInfo = gridColumnBaseSerializationsInfo.concat([displayMode, alwaysShowZeroLevel, measure]);
let gridColumnDeltaOptions = { propertyName: 'deltaOptions', modelName: 'DeltaOptions', displayName: 'DashboardWebStringId.Grid.DeltaOptions', type: _options_delta_options__WEBPACK_IMPORTED_MODULE_2__/* .DeltaOptions */ .j };
let gridColumnActualValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .actualValuePropertyName */ .UQ, modelName: 'ActualValue', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.ActualValueCaption' };
let gridColumnTargetValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .targetValuePropertyName */ .HI, modelName: 'TargetValue', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.TargetValueCaption' };
let gridDeltaColumnSerializationsInfo = gridColumnBaseSerializationsInfo.concat([gridColumnDeltaOptions, displayMode, alwaysShowZeroLevel, gridColumnActualValue, gridColumnTargetValue, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .absoluteVariationNumericFormat */ .V5, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .percentVariationNumericFormat */ .r9, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .percentOfTargetNumericFormat */ .sS]);
let showStartEndValues = { propertyName: 'showStartEndValues', modelName: '@ShowStartEndValues', displayName: 'DashboardWebStringId.Grid.ShowStartEndValues', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let sparkline = { propertyName: '__measure', modelName: 'SparklineValue', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardWebStringId.Binding.Sparkline' };
let sparklineOptions = { propertyName: 'sparklineOptions', modelName: 'SparklineOptions', displayName: 'DashboardWebStringId.Card.SparklineOptions', type: _options_sparkline_options__WEBPACK_IMPORTED_MODULE_3__/* .SparklineOptions */ .C };
let gridSparklineColumnSerializationsInfo = gridColumnBaseSerializationsInfo.concat([showStartEndValues, sparkline, sparklineOptions]);
let uri = { propertyName: '__uriAttribute', modelName: 'UriAttribute', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.UriCaption' };
let displayValue = { propertyName: '__displayValue', modelName: 'DisplayValue', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.DisplayValueCaption' };
function checkGridUriPattern(value) {
    var removes = [];
    var result = '';
    for (var i = 0; i < value.length; i++) {
        if (value[i] == '{') {
            if (value.length < i + 2 || value[i + 1] != '0' || value[i + 2] != '}')
                removes.push(i);
        }
        if (value[i] == '}') {
            if (i < 2 || value[i - 1] != '0' || value[i - 2] != '{')
                removes.push(i);
        }
    }
    for (var i = 0; i < value.length; i++) {
        if (removes.indexOf(i) == -1)
            result = result + value[i];
    }
    return result;
}
function validateGridUriPattern(value) {
    var newValue = checkGridUriPattern(value);
    return newValue.length == value.length;
}
function gridValidateUriPattern(uriPattern) {
    return validateGridUriPattern(uriPattern);
}
let uriPatternValidationRules = [{ type: 'custom', validationCallback: (options) => { return gridValidateUriPattern(options.value); }, message: 'DashboardStringId.GridHyperlinkUriPatternErrorMessage' }];
let gridColumnUriPattern = { propertyName: 'uriPattern', modelName: '@UriPattern', displayName: 'DashboardStringId.UriPatternCaption', simpleFormAdapterItem: 'textBoxEditor', validateBeforeSet: true, editorOptions: { placeholder: '{0}' }, validationRules: uriPatternValidationRules };
let gridHyperlinkColumnSerializationsInfo = gridColumnBaseSerializationsInfo.concat([uri, displayValue, gridColumnUriPattern]);


/***/ }),

/***/ 6968:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ak: () => (/* binding */ allowNegativeAxis),
/* harmony export */   b_: () => (/* binding */ formatConditionBarOptionsSerializationsInfo),
/* harmony export */   it: () => (/* binding */ drawAxis),
/* harmony export */   vE: () => (/* binding */ showBarOnly)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let showBarOnly = { propertyName: 'showBarOnly', modelName: '@ShowBarOnly', displayName: 'DashboardStringId.FormatRuleShowBarOnly', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let allowNegativeAxis = { propertyName: 'allowNegativeAxis', modelName: '@AllowNegativeAxis', displayName: 'DashboardStringId.FormatRuleAllowNegativeAxis', defaultVal: true, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let drawAxis = { propertyName: 'drawAxis', modelName: '@DrawAxis', displayName: 'DashboardStringId.FormatRuleDrawAxis', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let formatConditionBarOptionsSerializationsInfo = [showBarOnly, allowNegativeAxis, drawAxis];


/***/ }),

/***/ 6979:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HF: () => (/* binding */ formatConditionValueSerializationsInfo),
/* harmony export */   Yc: () => (/* binding */ formatConditionValue2),
/* harmony export */   dR: () => (/* binding */ formatConditionValue1),
/* harmony export */   "in": () => (/* binding */ conditionInCondition)
/* harmony export */ });
/* harmony import */ var _format_rules_common__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1973);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8245);


let conditionInCondition = {
    propertyName: 'condition', modelName: '@Condition', defaultVal: 'Equal', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Greater': 'DashboardStringId.CommandFormatRuleGreaterThan',
        'GreaterOrEqual': 'DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo',
        'Less': 'DashboardStringId.CommandFormatRuleLessThan',
        'LessOrEqual': 'DashboardStringId.CommandFormatRuleLessThanOrEqualTo',
        'Equal': 'DashboardStringId.CommandFormatRuleEqualTo',
        'NotEqual': 'DashboardStringId.CommandFormatRuleNotEqualTo',
        'Between': 'DashboardStringId.CommandFormatRuleBetween',
        'NotBetween': 'DashboardStringId.CommandFormatRuleNotBetween',
        'BetweenOrEqual': 'DashboardStringId.CommandFormatRuleBetweenOrEqual',
        'NotBetweenOrEqual': 'DashboardStringId.CommandFormatRuleNotBetweenOrEqual',
        'ContainsText': 'DashboardStringId.CommandFormatRuleContains'
    }
};
let formatConditionValue1 = { propertyName: 'value1', modelName: 'Value1', displayName: 'DashboardStringId.Value1Caption', type: _format_rules_common__WEBPACK_IMPORTED_MODULE_0__/* .ComplexValue */ ._ };
let formatConditionValue2 = { propertyName: 'value2', modelName: 'Value2', displayName: 'DashboardStringId.Value2Caption', type: _format_rules_common__WEBPACK_IMPORTED_MODULE_0__/* .ComplexValue */ ._ };
let formatConditionValueSerializationsInfo = _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionStyleBaseSerializationsInfo */ .i.concat([conditionInCondition, formatConditionValue1, formatConditionValue2]);


/***/ }),

/***/ 7003:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ ExpandingManager)
/* harmony export */ });
/* harmony import */ var _date_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2037);

class ExpandingManager {
    constructor() {
        this._expandingParams = undefined;
        this._expandingState = undefined;
    }
    getPivotExpandViewState() {
        return this._dxPivotState;
    }
    setExpandingParams(expandingParams) {
        this._expandingParams = expandingParams;
    }
    onViewStateChanged(expandingState, dxPivotState) {
        this._expandingState = expandingState;
        this._dxPivotState = dxPivotState;
    }
    canProvideExpandingState() {
        return this._expandingParams || this._expandingState;
    }
    calculateExpandingState() {
        var params = this._expandingParams;
        var state = this._expandingState;
        return {
            rows: state && (0,_date_utils__WEBPACK_IMPORTED_MODULE_0__/* .toStringArray */ .oU)(state.rows) || [],
            columns: state && (0,_date_utils__WEBPACK_IMPORTED_MODULE_0__/* .toStringArray */ .oU)(state.columns) || [],
            values: !!params ? (0,_date_utils__WEBPACK_IMPORTED_MODULE_0__/* .toStringArray */ .oU)(params.values) : undefined,
            isColumn: !!params && params.isColumn
        };
    }
    resetExpandingParams() {
        this._expandingParams = undefined;
    }
    resetColumnViewState(autoExpand) {
        this._expandingState = { rows: this._expandingState.rows, columns: [] };
        if (this._dxPivotState) {
            this._dxPivotState.fields && this._dxPivotState.fields.filter(f => f.area === 'column').forEach(f => { f.expanded = autoExpand; });
            this._dxPivotState.columnExpandedPaths = [];
        }
    }
    resetRowViewState(autoExpand) {
        this._expandingState = { rows: [], columns: this._expandingState.columns };
        if (this._dxPivotState) {
            this._dxPivotState.fields && this._dxPivotState.fields.filter(f => f.area === 'row').forEach(f => { f.expanded = autoExpand; });
            this._dxPivotState.rowExpandedPaths = [];
        }
    }
}


/***/ }),

/***/ 7011:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $t: () => (/* binding */ high),
/* harmony export */   AP: () => (/* binding */ weightedSeriesSerializationsInfo),
/* harmony export */   C7: () => (/* binding */ chartSeriesWeight),
/* harmony export */   Gw: () => (/* binding */ chartSeriesPointLabelOptions),
/* harmony export */   Hq: () => (/* binding */ chartSeriesValue),
/* harmony export */   Hs: () => (/* binding */ highLowCloseSeriesSerializationsInfo),
/* harmony export */   Mu: () => (/* binding */ openHighLowCloseSeriesType),
/* harmony export */   R0: () => (/* binding */ low),
/* harmony export */   VN: () => (/* binding */ close),
/* harmony export */   WL: () => (/* binding */ rangeSeriesSerializationsInfo),
/* harmony export */   XE: () => (/* binding */ simpleSeriesSerializationsInfo),
/* harmony export */   Zv: () => (/* binding */ openHighLowCloseSeriesSerializationsInfo),
/* harmony export */   Zx: () => (/* binding */ ignoreEmptyPoints),
/* harmony export */   fT: () => (/* binding */ showPointMarkers),
/* harmony export */   gW: () => (/* binding */ chartSeriesType),
/* harmony export */   ho: () => (/* binding */ open),
/* harmony export */   sH: () => (/* binding */ value2),
/* harmony export */   vg: () => (/* binding */ rangeSeriesType),
/* harmony export */   wK: () => (/* binding */ plotOnSecondaryAxis),
/* harmony export */   xJ: () => (/* binding */ chartSeriesSerializationsInfo),
/* harmony export */   y3: () => (/* binding */ simpleSeriesType),
/* harmony export */   zp: () => (/* binding */ value1)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _point_label_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8002);



let plotOnSecondaryAxis = { propertyName: 'plotOnSecondaryAxis', modelName: '@PlotOnSecondaryAxis', displayName: 'DashboardWebStringId.Chart.PlotOnSecondaryAxis', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let ignoreEmptyPoints = { propertyName: 'ignoreEmptyPoints', modelName: '@IgnoreEmptyPoints', displayName: 'DashboardWebStringId.Chart.IgnoreEmptyPoints', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let showPointMarkers = { propertyName: 'showPointMarkers', modelName: '@ShowPointMarkers', displayName: 'DashboardWebStringId.Chart.ShowPointMarkers', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let chartSeriesPointLabelOptions = { propertyName: 'pointLabelOptions', modelName: 'PointLabelOptions', displayName: 'DashboardWebStringId.Chart.PointLabelOptions', type: _point_label_options__WEBPACK_IMPORTED_MODULE_2__/* .PointLabelOptions */ .Z };
let chartSeriesSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, plotOnSecondaryAxis, ignoreEmptyPoints, showPointMarkers, chartSeriesPointLabelOptions];
let chartSeriesType = { propertyName: 'containerType', displayName: 'DashboardWebStringId.Chart.SeriesType' };
let simpleSeriesType = {
    propertyName: 'seriesType', modelName: '@SeriesType', defaultVal: 'Bar', values: {
        'Bar': 'DashboardStringId.SeriesTypeBar',
        'StackedBar': 'DashboardStringId.SeriesTypeStackedBar',
        'FullStackedBar': 'DashboardStringId.SeriesTypeFullStackedBar',
        'Point': 'DashboardStringId.SeriesTypePoint',
        'Line': 'DashboardStringId.SeriesTypeLine',
        'StackedLine': 'DashboardStringId.SeriesTypeStackedLine',
        'FullStackedLine': 'DashboardStringId.SeriesTypeFullStackedLine',
        'StepLine': 'DashboardStringId.SeriesTypeStepLine',
        'Spline': 'DashboardStringId.SeriesTypeSpline',
        'Area': 'DashboardStringId.SeriesTypeArea',
        'StackedArea': 'DashboardStringId.SeriesTypeStackedArea',
        'FullStackedArea': 'DashboardStringId.SeriesTypeFullStackedArea',
        'StepArea': 'DashboardStringId.SeriesTypeStepArea',
        'SplineArea': 'DashboardStringId.SeriesTypeSplineArea',
        'StackedSplineArea': 'DashboardStringId.SeriesTypeStackedSplineArea',
        'FullStackedSplineArea': 'DashboardStringId.SeriesTypeFullStackedSplineArea'
    }
};
let rangeSeriesType = {
    propertyName: 'seriesType', modelName: '@SeriesType', defaultVal: 'SideBySideRangeBar', values: {
        'SideBySideRangeBar': 'DashboardStringId.SeriesTypeSideBySideRangeBar',
        'RangeArea': 'DashboardStringId.SeriesTypeRangeArea'
    }
};
let openHighLowCloseSeriesType = {
    propertyName: 'seriesType', modelName: '@SeriesType', defaultVal: 'CandleStick', values: {
        'CandleStick': 'DashboardStringId.SeriesTypeCandleStick',
        'Stock': 'DashboardStringId.SeriesTypeStock'
    }
};
let chartSeriesValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .valuePropertyName */ .sl, modelName: 'Value', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardWebStringId.Chart.Value' };
let value1 = { propertyName: '__value1', modelName: 'Value1', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.Value1Caption' };
let value2 = { propertyName: '__value2', modelName: 'Value2', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.Value2Caption' };
let chartSeriesWeight = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .weightPropertyName */ .N5, modelName: 'Weight', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.WeightCaption' };
let open = { propertyName: '__open', modelName: 'Open', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.OpenCaption' };
let high = { propertyName: '__high', modelName: 'High', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.HighCaption' };
let low = { propertyName: '__low', modelName: 'Low', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.LowCaption' };
let close = { propertyName: '__close', modelName: 'Close', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5, displayName: 'DashboardStringId.CloseCaption' };
let simpleSeriesSerializationsInfo = chartSeriesSerializationsInfo.concat([simpleSeriesType, chartSeriesValue]);
let rangeSeriesSerializationsInfo = chartSeriesSerializationsInfo.concat([rangeSeriesType, value1, value2]);
let weightedSeriesSerializationsInfo = chartSeriesSerializationsInfo.concat([chartSeriesWeight, chartSeriesValue]);
let highLowCloseSeriesSerializationsInfo = chartSeriesSerializationsInfo.concat([high, low, close]);
let openHighLowCloseSeriesSerializationsInfo = chartSeriesSerializationsInfo.concat([openHighLowCloseSeriesType, open, high, low, close]);


/***/ }),

/***/ 7069:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $z: () => (/* binding */ colorLegend),
/* harmony export */   JX: () => (/* binding */ shapeTitleAttributeName),
/* harmony export */   Pz: () => (/* binding */ customShapefile),
/* harmony export */   R9: () => (/* binding */ viewport),
/* harmony export */   Wc: () => (/* binding */ area),
/* harmony export */   We: () => (/* binding */ lockNavigation),
/* harmony export */   bJ: () => (/* binding */ weightedLegend),
/* harmony export */   dw: () => (/* binding */ mapDashboardItemSerializationsInfo),
/* harmony export */   h_: () => (/* binding */ tooltipMeasures)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6157);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);
/* harmony import */ var _custom_shape_file__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4590);
/* harmony import */ var _map_legend__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2692);
/* harmony import */ var _map_viewport__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5103);






let area = {
    propertyName: 'area', modelName: '@ShapefileArea', defaultVal: 'WorldCountries', values: {
        'WorldCountries': 'DashboardWebStringId.Map.Area.WorldCountries',
        'Europe': 'DashboardWebStringId.Map.Area.Europe',
        'Asia': 'DashboardWebStringId.Map.Area.Asia',
        'NorthAmerica': 'DashboardWebStringId.Map.Area.NorthAmerica',
        'SouthAmerica': 'DashboardWebStringId.Map.Area.SouthAmerica',
        'Africa': 'DashboardWebStringId.Map.Area.Africa',
        'USA': 'DashboardWebStringId.Map.Area.USA',
        'Canada': 'DashboardWebStringId.Map.Area.Canada',
        'Custom': 'DashboardWebStringId.Map.Area.Custom'
    }, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Map
};
let colorLegend = { propertyName: 'legend', modelName: 'MapLegend', displayName: 'DashboardWebStringId.Chart.Legend', type: _map_legend__WEBPACK_IMPORTED_MODULE_4__/* .MapLegend */ .Yn };
let weightedLegend = { propertyName: 'weightedLegend', modelName: 'WeightedLegend', displayName: 'DashboardWebStringId.AccordionTab.WeightedLegend', type: _map_legend__WEBPACK_IMPORTED_MODULE_4__/* .WeightedLegend */ .DP };
let customShapefile = { propertyName: 'customShapefile', modelName: 'CustomShapefile', type: _custom_shape_file__WEBPACK_IMPORTED_MODULE_3__/* .CustomShapefile */ .J };
let viewport = { propertyName: 'viewport', modelName: 'ViewArea', displayName: 'DashboardWebStringId.Map.Viewport', type: _map_viewport__WEBPACK_IMPORTED_MODULE_5__/* .MapViewport */ .T };
let tooltipMeasures = { propertyName: '__tooltipMeasures', modelName: 'TooltipMeasures', displayName: 'DashboardWebStringId.Binding.TooltipMeasures', array: true };
let lockNavigation = {
    propertyName: 'lockNavigation', modelName: '@LockNavigation', displayName: 'DashboardWebStringId.MapLockNavigation', defaultVal: false, simpleFormAdapterItem: 'buttonGroupEditor', valuesArray: [
        { value: true, displayValue: 'DashboardWebStringId.MapLockNavigationLocked' },
        { value: false, displayValue: 'DashboardWebStringId.MapLockNavigationUnlocked' }
    ], from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel
};
let shapeTitleAttributeName = { propertyName: 'shapeTitleAttributeName', modelName: '@ShapeTitleAttributeName', displayName: 'DashboardWebStringId.Map.ShapeTitleAttribute', defaultVal: '', category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.Map };
let mapDashboardItemSerializationsInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dataDashboardItemSerializationsInfo */ .LH.concat([area, customShapefile, viewport, tooltipMeasures, lockNavigation, shapeTitleAttributeName, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._masterFilterInteractivityOptionsMeta */ .qA]);


/***/ }),

/***/ 7078:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ DimensionKey)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_format_helper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5558);
/* harmony import */ var _data_localizer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4999);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1513);
/* harmony import */ var _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9369);






class DimensionKey extends _serializable_model__WEBPACK_IMPORTED_MODULE_4__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer, _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_5__/* .dimensionKeySerializationInfo */ .Kn);
        this.addDisposable(this.displayText = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed(() => {
            var displayText = null;
            if (!!this.value.value()) {
                if (this.value.type() === 'System.DateTime') {
                    var groupInterval = this.definition.dateTimeGroupInterval();
                    displayText = _data_format_helper__WEBPACK_IMPORTED_MODULE_2__/* .DashboardFormatHelper */ .O6.format(new Date(this.value.value()), { dateType: 'short', format: groupInterval });
                }
                else {
                    displayText = this.value.value().toString();
                }
            }
            var predefinedDisplayText = _data_localizer__WEBPACK_IMPORTED_MODULE_3__/* .localizer */ .O.getPredefinedString(displayText);
            if (predefinedDisplayText) {
                return predefinedDisplayText;
            }
            else {
                return displayText;
            }
        }));
    }
    getInfo() {
        return _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_5__/* .dimensionKeySerializationInfo */ .Kn;
    }
}


/***/ }),

/***/ 7095:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ gaugeWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let gaugeWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([]);


/***/ }),

/***/ 7096:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ CellsItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9651);
/* harmony import */ var _metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2807);




class CellsItemFormatRule extends _dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .DashboardItemFormatRule */ .d {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.dataItemApplyToName = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => this._dataItemApplyToName() || this.dataItemName(),
            write: (val) => this._dataItemApplyToName(val)
        }));
    }
    getInfo() {
        return _metadata_cells_item_format_rule__WEBPACK_IMPORTED_MODULE_3__/* .cellsItemFormatRuleSerializationsInfo */ .pm;
    }
}


/***/ }),

/***/ 7101:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ CardLayout)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);
/* harmony import */ var _card_row__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8791);
/* harmony import */ var _metadata_card_layout__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4432);





class CardLayout extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.templateID = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(-1);
        this.rows = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.CardRows, (item) => { return this.createRow(item, serializer); });
    }
    createRow(elementJSON, serializer) {
        var itemType = elementJSON['@ItemType'];
        return new CardLayout.rowTypes[itemType].constructor(elementJSON, serializer);
    }
    getInfo() {
        return _metadata_card_layout__WEBPACK_IMPORTED_MODULE_4__/* .cardLayoutSerializationInfo */ .dL;
    }
    grabFrom(newLayout) {
        this.minWidth = newLayout.minWidth;
        this.maxWidth = newLayout.maxWidth;
        this.rows(newLayout.rows());
    }
}
CardLayout.rowTypes = {
    'CardRow': {
        constructor: _card_row__WEBPACK_IMPORTED_MODULE_3__/* .CardRow */ .dM
    },
    'CardSparklineRow': {
        constructor: _card_row__WEBPACK_IMPORTED_MODULE_3__/* .CardSparklineRow */ .sM
    }
};


/***/ }),

/***/ 7104:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  AbsoluteVariationNumericFormat: () => (/* reexport */ data_item_format/* AbsoluteVariationNumericFormat */.nm),
  AcceptableShapingType: () => (/* reexport */ data_item/* AcceptableShapingType */.zH),
  AppearanceSettings: () => (/* reexport */ appearance_settings/* AppearanceSettings */.M),
  AutoColorSchemeEntry: () => (/* reexport */ color_scheme_entry/* AutoColorSchemeEntry */.k),
  BarStyleSettings: () => (/* reexport */ bar_style_settings/* BarStyleSettings */.S),
  BoundImageItem: () => (/* reexport */ bound_image_item/* BoundImageItem */.Z),
  BubbleMapItem: () => (/* reexport */ BubbleMapItem),
  CalculatedField: () => (/* reexport */ calculated_field/* CalculatedField */.F),
  Calculation: () => (/* reexport */ calculation/* Calculation */.S),
  Card: () => (/* reexport */ card/* Card */.Z),
  CardCenteredLayoutTemplate: () => (/* reexport */ card_layout_template/* CardCenteredLayoutTemplate */.fS),
  CardCompactLayoutTemplate: () => (/* reexport */ card_layout_template/* CardCompactLayoutTemplate */.cT),
  CardCustomLayoutTemplate: () => (/* reexport */ card_layout_template/* CardCustomLayoutTemplate */.aQ),
  CardDeltaOptions: () => (/* reexport */ delta_options/* CardDeltaOptions */.X),
  CardEmptyLayoutTemplate: () => (/* reexport */ card_layout_template/* CardEmptyLayoutTemplate */.wb),
  CardItem: () => (/* reexport */ card_item/* CardItem */.o),
  CardLayout: () => (/* reexport */ card_layout/* CardLayout */.B),
  CardLayoutTemplate: () => (/* reexport */ card_layout_template/* CardLayoutTemplate */.Jn),
  CardLayoutTemplateDataElement: () => (/* reexport */ card_layout_template_element/* CardLayoutTemplateDataElement */.bf),
  CardLayoutTemplateDeltaElement: () => (/* reexport */ card_layout_template_element/* CardLayoutTemplateDeltaElement */.vt),
  CardLayoutTemplateElementBase: () => (/* reexport */ card_layout_template_element/* CardLayoutTemplateElementBase */.YL),
  CardLayoutTemplateSparklineElement: () => (/* reexport */ card_layout_template_element/* CardLayoutTemplateSparklineElement */.A6),
  CardLightweightLayoutTemplate: () => (/* reexport */ card_layout_template/* CardLightweightLayoutTemplate */.b9),
  CardRow: () => (/* reexport */ card_row/* CardRow */.dM),
  CardRowBase: () => (/* reexport */ card_row/* CardRowBase */.MF),
  CardRowDataElement: () => (/* reexport */ card_row_element/* CardRowDataElement */.Jx),
  CardRowElement: () => (/* reexport */ card_row_element/* CardRowElement */.Nr),
  CardRowIndicatorElement: () => (/* reexport */ card_row_element/* CardRowIndicatorElement */.wg),
  CardRowTextElement: () => (/* reexport */ card_row_element/* CardRowTextElement */.er),
  CardRowTextElementBase: () => (/* reexport */ card_row_element/* CardRowTextElementBase */.F3),
  CardSparklineRow: () => (/* reexport */ card_row/* CardSparklineRow */.sM),
  CardStretchedLayoutTemplate: () => (/* reexport */ card_layout_template/* CardStretchedLayoutTemplate */.jX),
  CardWindowDefinition: () => (/* reexport */ card_calc_window_definition/* CardWindowDefinition */.C),
  CellsItemFormatRule: () => (/* reexport */ cells_item_format_rule/* CellsItemFormatRule */.Q),
  ChartAxis: () => (/* reexport */ chart_axis/* ChartAxis */.c4),
  ChartAxisX: () => (/* reexport */ chart_axis/* ChartAxisX */.af),
  ChartAxisY: () => (/* reexport */ chart_axis/* ChartAxisY */.VC),
  ChartInteractivityOptions: () => (/* reexport */ interactivity_options/* ChartInteractivityOptions */.e0),
  ChartItem: () => (/* reexport */ chart_item/* ChartItem */.G),
  ChartItemBase: () => (/* reexport */ chart_item_base/* ChartItemBase */.P),
  ChartItemFormatRule: () => (/* reexport */ chart_item_format_rule/* ChartItemFormatRule */.X),
  ChartLegend: () => (/* reexport */ chart_legend/* ChartLegend */._),
  ChartPane: () => (/* reexport */ chart_pane/* ChartPane */.X),
  ChartSecondaryAxisY: () => (/* reexport */ chart_axis/* ChartSecondaryAxisY */.H$),
  ChartSeries: () => (/* reexport */ chart_series/* ChartSeries */.Eu),
  ChartSeriesCreator: () => (/* reexport */ chart_series_creator/* ChartSeriesCreator */.o),
  ChartWindowDefinition: () => (/* reexport */ chart_calc_window_definition/* ChartWindowDefinition */.Q),
  ChoroplethMap: () => (/* reexport */ chorolpeth_map/* ChoroplethMap */.hx),
  ChoroplethMapItem: () => (/* reexport */ chorolpeth_map_item/* ChoroplethMapItem */.a),
  Color: () => (/* reexport */ color/* Color */.Q),
  ColorSchemeDefinition: () => (/* reexport */ color_scheme_definition/* ColorSchemeDefinition */.i),
  ColorSchemeEntry: () => (/* reexport */ color_scheme_entry/* ColorSchemeEntry */.r),
  ColorStyleSettings: () => (/* reexport */ color_style_settings/* ColorStyleSettings */.W),
  ComboBoxItem: () => (/* reexport */ combo_box_item/* ComboBoxItem */.x),
  ComplexValue: () => (/* reexport */ format_rules_common/* ComplexValue */._),
  ContextItem: () => (/* reexport */ federation_data_source/* ContextItem */.xJ),
  CustomItem: () => (/* reexport */ custom_item/* CustomItem */.F),
  CustomItemWindowDefinition: () => (/* reexport */ custom_item_calc_window_definition/* CustomItemWindowDefinition */.c),
  CustomProperties: () => (/* reexport */ custom_properties/* CustomProperties */.v),
  CustomShapefile: () => (/* reexport */ custom_shape_file/* CustomShapefile */.J),
  CustomShapefileData: () => (/* reexport */ custom_shape_file_data/* CustomShapefileData */.x),
  Dashboard: () => (/* reexport */ dashboard/* Dashboard */.x),
  DashboardItem: () => (/* reexport */ dashboard_item/* DashboardItem */.K),
  DashboardItemBaseInteractivityOptions: () => (/* reexport */ interactivity_options/* DashboardItemBaseInteractivityOptions */.Q_),
  DashboardItemColoringOptions: () => (/* reexport */ coloring_options/* DashboardItemColoringOptions */.L),
  DashboardItemDrillDownInteractivityOptions: () => (/* reexport */ interactivity_options/* DashboardItemDrillDownInteractivityOptions */.yN),
  DashboardItemFormatRule: () => (/* reexport */ dashboard_item_format_rule/* DashboardItemFormatRule */.d),
  DashboardItemGroupInteractivityOptions: () => (/* reexport */ interactivity_options/* DashboardItemGroupInteractivityOptions */.UN),
  DashboardItemInteractivityOptions: () => (/* reexport */ interactivity_options/* DashboardItemInteractivityOptions */.lZ),
  DashboardItemMasterFilterInteractivityOptions: () => (/* reexport */ interactivity_options/* DashboardItemMasterFilterInteractivityOptions */.hT),
  DashboardLayoutGroup: () => (/* reexport */ dashboard_layout_group/* DashboardLayoutGroup */.C),
  DashboardLayoutItem: () => (/* reexport */ dashboard_layout_item/* DashboardLayoutItem */.Q),
  DashboardLayoutNode: () => (/* reexport */ dashboard_layout_node/* DashboardLayoutNode */.Z),
  DashboardLayoutRootGroup: () => (/* reexport */ dashboard_layout_group/* DashboardLayoutRootGroup */.M),
  DashboardLayoutTabContainer: () => (/* reexport */ DashboardLayoutTabContainer),
  DashboardLayoutTabPage: () => (/* reexport */ DashboardLayoutTabPage),
  DashboardState: () => (/* reexport */ dashboard_state/* DashboardState */.sl),
  DashboardTabItemInteractivityOptions: () => (/* reexport */ interactivity_options/* DashboardTabItemInteractivityOptions */._3),
  DashboardTabPage: () => (/* reexport */ dashboard_tab_page/* DashboardTabPage */.b),
  DashboardTitle: () => (/* reexport */ title/* DashboardTitle */.B),
  DataDashboardItem: () => (/* reexport */ data_dashboard_item/* DataDashboardItem */.s),
  DataItem: () => (/* reexport */ data_item/* DataItem */.sO),
  DataItemContainer: () => (/* reexport */ data_item_container/* DataItemContainer */.L),
  DataItemDateTimeFormat: () => (/* reexport */ data_item_format/* DataItemDateTimeFormat */.kN),
  DataItemLink: () => (/* reexport */ data_item/* DataItemLink */.Kz),
  DataItemNumericFormat: () => (/* reexport */ data_item_format/* DataItemNumericFormat */.Oh),
  DataSource: () => (/* reexport */ data_source/* DataSource */.q),
  DateFilterItem: () => (/* reexport */ date_filter_item/* DateFilterItem */.Y),
  DateTimePeriod: () => (/* reexport */ date_time_period/* DateTimePeriod */.F),
  DeltaMap: () => (/* reexport */ chorolpeth_map/* DeltaMap */.fB),
  DeltaOptions: () => (/* reexport */ delta_options/* DeltaOptions */.j),
  DifferenceCalculation: () => (/* reexport */ difference_calculation/* DifferenceCalculation */.z),
  Dimension: () => (/* reexport */ dimension/* Dimension */.f),
  DimensionKey: () => (/* reexport */ dimension_key/* DimensionKey */.a),
  DisposableObject: () => (/* reexport */ disposable_object/* DisposableObject */.I),
  DynamicListLookUpSettings: () => (/* reexport */ dynamic_list_lookup_settings/* DynamicListLookUpSettings */.x),
  EFDataSource: () => (/* reexport */ ef_data_source/* EFDataSource */.f),
  ExcelDataSource: () => (/* reexport */ excel_data_source/* ExcelDataSource */.D),
  ExtractDataSource: () => (/* reexport */ extract_data_source/* ExtractDataSource */.T),
  FederationDataSource: () => (/* reexport */ federation_data_source/* FederationDataSource */.RC),
  FilterDateType: () => (/* reexport */ enums/* FilterDateType */.fA),
  FilterElementItemBase: () => (/* reexport */ filter_element_item_base/* FilterElementItemBase */.Z),
  FilterableDashboardItemInteractivityOptions: () => (/* reexport */ interactivity_options/* FilterableDashboardItemInteractivityOptions */.Hl),
  FixedDateTimePeriodLimit: () => (/* reexport */ period_limit/* FixedDateTimePeriodLimit */.y),
  FlowDateTimePeriodLimit: () => (/* reexport */ period_limit/* FlowDateTimePeriodLimit */.a),
  FormatConditionAverage: () => (/* reexport */ format_condition_average/* FormatConditionAverage */.O),
  FormatConditionBar: () => (/* reexport */ format_condition_bar/* FormatConditionBar */.u),
  FormatConditionBarOptions: () => (/* reexport */ format_condition_bar_options/* FormatConditionBarOptions */.Y),
  FormatConditionBase: () => (/* reexport */ format_condition_base/* FormatConditionBase */.S),
  FormatConditionColorRangeBar: () => (/* reexport */ format_condition_range_color_bar/* FormatConditionColorRangeBar */.Y),
  FormatConditionConverter: () => (/* reexport */ range_converter/* FormatConditionConverter */.$p),
  FormatConditionDateOccurring: () => (/* reexport */ format_condition_date_occuring/* FormatConditionDateOccurring */.n),
  FormatConditionExpression: () => (/* reexport */ format_condition_expression/* FormatConditionExpression */.d),
  FormatConditionGradientRangeBar: () => (/* reexport */ format_condition_range_gradient_bar/* FormatConditionGradientRangeBar */.r),
  FormatConditionIconGroups: () => (/* reexport */ range_converter/* FormatConditionIconGroups */.cu),
  FormatConditionMinMaxBase: () => (/* reexport */ format_condition_min_max_base/* FormatConditionMinMaxBase */.K),
  FormatConditionRangeBase: () => (/* reexport */ format_condition_range_base/* FormatConditionRangeBase */.L),
  FormatConditionRangeGenerator: () => (/* reexport */ range_generator/* FormatConditionRangeGenerator */.N),
  FormatConditionRangeGradient: () => (/* reexport */ format_condition_range_gradient/* FormatConditionRangeGradient */.A),
  FormatConditionRangeGradientPredefinedType: () => (/* reexport */ range_converter/* FormatConditionRangeGradientPredefinedType */._p),
  FormatConditionRangeSet: () => (/* reexport */ format_condition_range_set/* FormatConditionRangeSet */.E),
  FormatConditionRangeSetPredefinedType: () => (/* reexport */ range_converter/* FormatConditionRangeSetPredefinedType */.mZ),
  FormatConditionStyleBase: () => (/* reexport */ format_condition_style_base/* FormatConditionStyleBase */.F),
  FormatConditionTopBottom: () => (/* reexport */ format_condition_top_bottom/* FormatConditionTopBottom */.Z),
  FormatConditionValue: () => (/* reexport */ format_condition_value/* FormatConditionValue */.q),
  Gauge: () => (/* reexport */ gauge/* Gauge */._),
  GaugeItem: () => (/* reexport */ gauge_item/* GaugeItem */.$),
  GaugeWindowDefinition: () => (/* reexport */ gauge_calc_window_definition/* GaugeWindowDefinition */.L),
  GeoPointMapItem: () => (/* reexport */ GeoPointMapItem),
  GeoPointMapItemBase: () => (/* reexport */ GeoPointMapItemBase),
  GridColumn: () => (/* reexport */ grid_columns/* GridColumn */.Hy),
  GridColumnTotal: () => (/* reexport */ grid_column_total/* GridColumnTotal */.RH),
  GridColumnType: () => (/* reexport */ grid_columns/* GridColumnType */.f2),
  GridDeltaColumn: () => (/* reexport */ grid_columns/* GridDeltaColumn */.d7),
  GridDimensionColumn: () => (/* reexport */ grid_columns/* GridDimensionColumn */.nJ),
  GridHyperlinkColumn: () => (/* reexport */ grid_columns/* GridHyperlinkColumn */.xl),
  GridItem: () => (/* reexport */ grid_item/* GridItem */.E),
  GridItemFormatRule: () => (/* reexport */ grid_item_format_rule/* GridItemFormatRule */.D),
  GridMeasureColumn: () => (/* reexport */ grid_columns/* GridMeasureColumn */.rV),
  GridOptions: () => (/* reexport */ grid_options/* GridOptions */.d),
  GridSparklineColumn: () => (/* reexport */ grid_columns/* GridSparklineColumn */.og),
  GridWindowDefinition: () => (/* reexport */ grid_calc_window_definition/* GridWindowDefinition */.E),
  GroupItem: () => (/* reexport */ group_item/* GroupItem */.N),
  HighLowCloseSeries: () => (/* reexport */ chart_series/* HighLowCloseSeries */.cC),
  IconSettings: () => (/* reexport */ icon_settings/* IconSettings */.N),
  ImageItem: () => (/* reexport */ ImageItem),
  ItemState: () => (/* reexport */ dashboard_state/* ItemState */.hF),
  KpiElement: () => (/* reexport */ kpi_element/* KpiElement */.p),
  KpiItem: () => (/* reexport */ kpi_item/* KpiItem */.W),
  LayoutDimensionOptions: () => (/* reexport */ layout_dimension_options/* LayoutDimensionOptions */.d),
  LayoutOptions: () => (/* reexport */ layout_options/* LayoutOptions */.B),
  LimitContainer: () => (/* reexport */ limit_container/* LimitContainer */.B),
  ListBoxItem: () => (/* reexport */ list_box_item/* ListBoxItem */.n),
  LookUpValue: () => (/* reexport */ look_up_value/* LookUpValue */.Q),
  MapItem: () => (/* reexport */ map_item/* MapItem */.w),
  MapLegend: () => (/* reexport */ map_legend/* MapLegend */.Yn),
  MapLegendBase: () => (/* reexport */ map_legend/* MapLegendBase */.fV),
  MapViewport: () => (/* reexport */ map_viewport/* MapViewport */.T),
  Measure: () => (/* reexport */ measure/* Measure */.t),
  MeasureCalculation: () => (/* reexport */ measure_calculation/* MeasureCalculation */.Q),
  MeasureCalculationWindowDefinition: () => (/* reexport */ measure_calc_window_definition/* MeasureCalculationWindowDefinition */.t),
  MeasureDefinition: () => (/* reexport */ measure_definition/* MeasureDefinition */.C),
  MovingCalculation: () => (/* reexport */ moving_calculation/* MovingCalculation */.K),
  ObjectDataSource: () => (/* reexport */ object_data_source/* ObjectDataSource */.f),
  OlapDataSource: () => (/* reexport */ olap_data_source/* OlapDataSource */.u),
  OpenHighLowCloseSeries: () => (/* reexport */ chart_series/* OpenHighLowCloseSeries */.o4),
  Parameter: () => (/* reexport */ parameter/* Parameter */.k),
  PercentOfTargetNumericFormat: () => (/* reexport */ data_item_format/* PercentOfTargetNumericFormat */.SL),
  PercentOfTotalCalculation: () => (/* reexport */ percent_of_total_calculation/* PercentOfTotalCalculation */.a),
  PercentVariationNumericFormat: () => (/* reexport */ data_item_format/* PercentVariationNumericFormat */.VW),
  PieItem: () => (/* reexport */ PieItem),
  PieMapItem: () => (/* reexport */ PieMapItem),
  PieWindowDefinition: () => (/* reexport */ PieWindowDefinition),
  PivotItem: () => (/* reexport */ pivot_item/* PivotItem */.y),
  PivotItemFormatRule: () => (/* reexport */ pivot_item_format_rule/* PivotItemFormatRule */.V),
  PivotItemFormatRuleLevel: () => (/* reexport */ pivot_item_format_rule_level/* PivotItemFormatRuleLevel */.F),
  PivotWindowDefinition: () => (/* reexport */ pivot_calc_window_definition/* PivotWindowDefinition */.k),
  PointLabelContentType: () => (/* reexport */ enums/* PointLabelContentType */.Q),
  PointLabelContentTypeDictionary: () => (/* reexport */ enums/* PointLabelContentTypeDictionary */.mh),
  PointLabelOptions: () => (/* reexport */ point_label_options/* PointLabelOptions */.Z),
  PointLabelOptionsBase: () => (/* reexport */ point_label_options/* PointLabelOptionsBase */.G),
  QueryNode: () => (/* reexport */ federation_data_source/* QueryNode */.L_),
  RangeFilterItem: () => (/* reexport */ range_filter_item/* RangeFilterItem */.P),
  RangeFilterSelection: () => (/* reexport */ dashboard_state/* RangeFilterSelection */.S$),
  RangeFilterState: () => (/* reexport */ dashboard_state/* RangeFilterState */.pg),
  RangeFilterWindowDefinition: () => (/* reexport */ range_filter_calc_window_definition/* RangeFilterWindowDefinition */.t),
  RangeIndexSettings: () => (/* reexport */ range_index_settings/* RangeIndexSettings */.P),
  RangeInfo: () => (/* reexport */ range_info/* RangeInfo */.c),
  RangeSeries: () => (/* reexport */ chart_series/* RangeSeries */.lr),
  RangeSet: () => (/* reexport */ range_set/* RangeSet */.o),
  RangeStateController: () => (/* reexport */ _range_state_controller/* RangeStateController */.B),
  RankCalculation: () => (/* reexport */ rank_calculation/* RankCalculation */.y),
  RunningTotalCalculation: () => (/* reexport */ running_total_calculation/* RunningTotalCalculation */.N),
  ScatterChartAxisY: () => (/* reexport */ chart_axis/* ScatterChartAxisY */.dq),
  ScatterChartItem: () => (/* reexport */ scatter_chart_item/* ScatterChartItem */.S),
  ScatterChartItemFormatRule: () => (/* reexport */ scatter_chart_item_format_rule/* ScatterChartItemFormatRule */.l),
  ScatterPointLabelOptions: () => (/* reexport */ scatter_point_label_options/* ScatterPointLabelOptions */.D),
  ScatterWindowDefinition: () => (/* reexport */ scatter_chart_calc_window_definition/* ScatterWindowDefinition */.k),
  SerializableModel: () => (/* reexport */ serializable_model/* SerializableModel */.Lm),
  SeriesItem: () => (/* reexport */ series_item/* SeriesItem */.$),
  SimpleSeries: () => (/* reexport */ chart_series/* SimpleSeries */.K9),
  SliceTable: () => (/* reexport */ slice_table/* SliceTable */.j),
  Source: () => (/* reexport */ federation_data_source/* Source */.kL),
  SparklineOptions: () => (/* reexport */ sparkline_options/* SparklineOptions */.C),
  SpecificWindowDefinition: () => (/* reexport */ specific_calc_window_definition/* SpecificWindowDefinition */.a),
  SqlConnection: () => (/* reexport */ connection/* SqlConnection */.l),
  SqlDataSource: () => (/* reexport */ sql_data_source/* SqlDataSource */.w),
  StaticListLookUpSettings: () => (/* reexport */ static_list_lookup_settings/* StaticListLookUpSettings */.E),
  StyleSettingsBase: () => (/* reexport */ style_settings_base/* StyleSettingsBase */.S),
  TabContainerItem: () => (/* reexport */ tab_container_item/* TabContainerItem */.i),
  TextBoxItem: () => (/* reexport */ text_box_item/* TextBoxItem */.O),
  TreeViewItem: () => (/* reexport */ TreeViewItem),
  TreemapItem: () => (/* reexport */ TreemapItem),
  TypedSerializableModel: () => (/* reexport */ serializable_model/* TypedSerializableModel */.$t),
  ValueMap: () => (/* reexport */ chorolpeth_map/* ValueMap */.Yx),
  WeightedLegend: () => (/* reexport */ map_legend/* WeightedLegend */.DP),
  WeightedSeries: () => (/* reexport */ chart_series/* WeightedSeries */.HP),
  WindowDefinition: () => (/* reexport */ window_definition/* WindowDefinition */.w),
  _baseInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _baseInteractivityOptionsMeta */.vP),
  _chartItemInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _chartItemInteractivityOptionsMeta */.jI),
  _clearCustomPropertiesMeta: () => (/* reexport */ custom_properties_metadata/* _clearCustomPropertiesMeta */.ob),
  _currentCalculationInfo: () => (/* reexport */ calculation/* _currentCalculationInfo */.g),
  _customMetadataContainsProperty: () => (/* reexport */ custom_properties_metadata/* _customMetadataContainsProperty */.KS),
  _customPropertiesMeta: () => (/* reexport */ custom_properties_metadata/* _customPropertiesMeta */.du),
  _dashboardItemInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _dashboardItemInteractivityOptionsMeta */.FF),
  _drillDownInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _drillDownInteractivityOptionsMeta */.xE),
  _dynamicListLookUpSettingsSerializationInfo: () => (/* reexport */ dynamic_list_lookup_settings/* _dynamicListLookUpSettingsSerializationInfo */.y),
  _filterItemInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _filterItemInteractivityOptionsMeta */.Pz),
  _getParametersQuery: () => (/* reexport */ parameter/* _getParametersQuery */.q),
  _gridColumnTotalSerializationsInfo: () => (/* reexport */ grid_column_total/* _gridColumnTotalSerializationsInfo */.lZ),
  _groupItemInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _groupItemInteractivityOptionsMeta */.kb),
  _masterFilterInteractivityOptionsMeta: () => (/* reexport */ interactivity_options/* _masterFilterInteractivityOptionsMeta */.qA),
  _staticListLookUpSettingsSerializationInfo: () => (/* reexport */ static_list_lookup_settings/* _staticListLookUpSettingsSerializationInfo */.d),
  _tabItemInteractivityOptions: () => (/* reexport */ interactivity_options/* _tabItemInteractivityOptions */.Lv),
  _totalTypeTemplate: () => (/* reexport */ grid_column_total/* _totalTypeTemplate */.kk),
  calculationsTypesMap: () => (/* reexport */ measure_calculation/* calculationsTypesMap */.c),
  currentStyleSettingsInfo: () => (/* reexport */ format_condition_style_base/* currentStyleSettingsInfo */.e),
  getPointLabelContentTypeValues: () => (/* reexport */ enums/* getPointLabelContentTypeValues */.kW),
  itemTypesMap: () => (/* reexport */ serializable_model/* itemTypesMap */.Jh),
  parsePointLabelContentType: () => (/* reexport */ enums/* parsePointLabelContentType */.TR),
  registerCustomProperty: () => (/* reexport */ custom_properties_metadata/* registerCustomProperty */.E0),
  serializePointLabelContentType: () => (/* reexport */ enums/* serializePointLabelContentType */.uB),
  windowDefinitionsTypesMap: () => (/* reexport */ measure_calc_window_definition/* windowDefinitionsTypesMap */.I)
});

// EXTERNAL MODULE: ./dist/model/enums.js
var enums = __webpack_require__(4950);
// EXTERNAL MODULE: ./dist/model/index.internal.js
var index_internal = __webpack_require__(4421);
// EXTERNAL MODULE: ./dist/model/index.metadata.js
var index_metadata = __webpack_require__(6185);
// EXTERNAL MODULE: ./dist/model/color.js
var color = __webpack_require__(5419);
// EXTERNAL MODULE: ./dist/model/colorization/color-scheme-definition.js
var color_scheme_definition = __webpack_require__(9541);
// EXTERNAL MODULE: ./dist/model/colorization/color-scheme-entry.js
var color_scheme_entry = __webpack_require__(3578);
// EXTERNAL MODULE: ./dist/model/colorization/dimension-key.js
var dimension_key = __webpack_require__(7078);
// EXTERNAL MODULE: ./dist/model/colorization/measure-definition.js
var measure_definition = __webpack_require__(9272);
// EXTERNAL MODULE: ./dist/model/custom-properties/custom-properties.js
var custom_properties = __webpack_require__(9659);
// EXTERNAL MODULE: ./dist/model/custom-properties/custom-properties-metadata.js
var custom_properties_metadata = __webpack_require__(8553);
// EXTERNAL MODULE: ./dist/model/dashboard.js
var dashboard = __webpack_require__(516);
// EXTERNAL MODULE: ./dist/model/dashboard-state.js
var dashboard_state = __webpack_require__(2216);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/calculation.js
var calculation = __webpack_require__(9795);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/difference-calculation.js
var difference_calculation = __webpack_require__(9219);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/measure-calculation.js
var measure_calculation = __webpack_require__(5354);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/moving-calculation.js
var moving_calculation = __webpack_require__(174);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/percent-of-total-calculation.js
var percent_of_total_calculation = __webpack_require__(3534);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/rank-calculation.js
var rank_calculation = __webpack_require__(5834);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/running-total-calculation.js
var running_total_calculation = __webpack_require__(7654);
// EXTERNAL MODULE: ./dist/model/data-item/data-item.js
var data_item = __webpack_require__(1923);
// EXTERNAL MODULE: ./dist/model/data-item/data-item-format.js
var data_item_format = __webpack_require__(7283);
// EXTERNAL MODULE: ./dist/model/data-item/dimension.js
var dimension = __webpack_require__(3599);
// EXTERNAL MODULE: ./dist/model/data-item/measure.js
var measure = __webpack_require__(6779);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/card-calc-window-definition.js
var card_calc_window_definition = __webpack_require__(5469);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/chart-calc-window-definition.js
var chart_calc_window_definition = __webpack_require__(8405);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/custom-item-calc-window-definition.js
var custom_item_calc_window_definition = __webpack_require__(8826);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/gauge-calc-window-definition.js
var gauge_calc_window_definition = __webpack_require__(5108);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/grid-calc-window-definition.js
var grid_calc_window_definition = __webpack_require__(943);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/measure-calc-window-definition.js
var measure_calc_window_definition = __webpack_require__(1105);
// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/metadata/_pie-calc-window-definition.js
var _pie_calc_window_definition = __webpack_require__(3184);
;// ./dist/model/data-item/window-definition/pie-calc-window-definition.js



class PieWindowDefinition extends measure_calc_window_definition/* MeasureCalculationWindowDefinition */.t {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _pie_calc_window_definition/* pieWindowDefinitionSerializationsInfo */.z;
    }
    equals(def) {
        return (def instanceof PieWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
measure_calc_window_definition/* windowDefinitionsTypesMap */.I['PieWindowDefinition'] = PieWindowDefinition;

// EXTERNAL MODULE: ./dist/model/data-item/window-definition/pivot-calc-window-definition.js
var pivot_calc_window_definition = __webpack_require__(5809);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/range-filter-calc-window-definition.js
var range_filter_calc_window_definition = __webpack_require__(7345);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/scatter-chart-calc-window-definition.js
var scatter_chart_calc_window_definition = __webpack_require__(996);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/specific-calc-window-definition.js
var specific_calc_window_definition = __webpack_require__(3151);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/window-definition.js
var window_definition = __webpack_require__(6868);
// EXTERNAL MODULE: ./dist/model/data-sources/calculated-field.js
var calculated_field = __webpack_require__(8509);
// EXTERNAL MODULE: ./dist/model/data-sources/connection.js
var connection = __webpack_require__(2056);
// EXTERNAL MODULE: ./dist/model/data-sources/data-source.js
var data_source = __webpack_require__(6844);
// EXTERNAL MODULE: ./dist/model/data-sources/ef-data-source.js
var ef_data_source = __webpack_require__(3052);
// EXTERNAL MODULE: ./dist/model/data-sources/excel-data-source.js
var excel_data_source = __webpack_require__(7746);
// EXTERNAL MODULE: ./dist/model/data-sources/extract-data-source.js
var extract_data_source = __webpack_require__(2128);
// EXTERNAL MODULE: ./dist/model/data-sources/federation-data-source.js
var federation_data_source = __webpack_require__(2878);
// EXTERNAL MODULE: ./dist/model/data-sources/object-data-source.js
var object_data_source = __webpack_require__(6848);
// EXTERNAL MODULE: ./dist/model/data-sources/olap-data-source.js
var olap_data_source = __webpack_require__(6401);
// EXTERNAL MODULE: ./dist/model/data-sources/sql-data-source.js
var sql_data_source = __webpack_require__(5709);
// EXTERNAL MODULE: ./dist/model/disposable-object.js
var disposable_object = __webpack_require__(8398);
// EXTERNAL MODULE: ./dist/model/format-rules/cells-item-format-rule.js
var cells_item_format_rule = __webpack_require__(7096);
// EXTERNAL MODULE: ./dist/model/format-rules/chart-item-format-rule.js
var chart_item_format_rule = __webpack_require__(8035);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-average.js
var format_condition_average = __webpack_require__(6826);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-bar.js
var format_condition_bar = __webpack_require__(8408);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-bar-options.js
var format_condition_bar_options = __webpack_require__(9075);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-base.js
var format_condition_base = __webpack_require__(860);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-date-occuring.js
var format_condition_date_occuring = __webpack_require__(4866);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-expression.js
var format_condition_expression = __webpack_require__(6855);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-min-max-base.js
var format_condition_min_max_base = __webpack_require__(3750);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-style-base.js
var format_condition_style_base = __webpack_require__(4840);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-top-bottom.js
var format_condition_top_bottom = __webpack_require__(8184);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-value.js
var format_condition_value = __webpack_require__(4544);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/format-condition-range-base.js
var format_condition_range_base = __webpack_require__(3730);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/format-condition-range-color-bar.js
var format_condition_range_color_bar = __webpack_require__(2160);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/format-condition-range-gradient.js
var format_condition_range_gradient = __webpack_require__(9899);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/format-condition-range-gradient-bar.js
var format_condition_range_gradient_bar = __webpack_require__(9539);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/format-condition-range-set.js
var format_condition_range_set = __webpack_require__(7339);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/range-converter.js
var range_converter = __webpack_require__(8105);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/range-generator.js
var range_generator = __webpack_require__(5771);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/range-info.js
var range_info = __webpack_require__(4633);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/range-set.js
var range_set = __webpack_require__(3073);
// EXTERNAL MODULE: ./dist/model/format-rules/dashboard-item-format-rule.js
var dashboard_item_format_rule = __webpack_require__(9651);
// EXTERNAL MODULE: ./dist/model/format-rules/format-rules-common.js
var format_rules_common = __webpack_require__(1973);
// EXTERNAL MODULE: ./dist/model/format-rules/grid-item-format-rule.js
var grid_item_format_rule = __webpack_require__(3886);
// EXTERNAL MODULE: ./dist/model/format-rules/pivot-item-format-rule.js
var pivot_item_format_rule = __webpack_require__(8503);
// EXTERNAL MODULE: ./dist/model/format-rules/pivot-item-format-rule-level.js
var pivot_item_format_rule_level = __webpack_require__(76);
// EXTERNAL MODULE: ./dist/model/format-rules/scatter-chart-item-format-rule.js
var scatter_chart_item_format_rule = __webpack_require__(7994);
// EXTERNAL MODULE: ./dist/model/format-rules/style-settings/appearance-settings.js
var appearance_settings = __webpack_require__(488);
// EXTERNAL MODULE: ./dist/model/format-rules/style-settings/bar-style-settings.js
var bar_style_settings = __webpack_require__(2531);
// EXTERNAL MODULE: ./dist/model/format-rules/style-settings/color-style-settings.js
var color_style_settings = __webpack_require__(9045);
// EXTERNAL MODULE: ./dist/model/format-rules/style-settings/icon-settings.js
var icon_settings = __webpack_require__(341);
// EXTERNAL MODULE: ./dist/model/format-rules/style-settings/range-index-settings.js
var range_index_settings = __webpack_require__(3748);
// EXTERNAL MODULE: ./dist/model/format-rules/style-settings/style-settings-base.js
var style_settings_base = __webpack_require__(2265);
// EXTERNAL MODULE: ./dist/model/items/bound-image-item.js
var bound_image_item = __webpack_require__(1383);
// EXTERNAL MODULE: ./dist/model/items/card/card.js
var card = __webpack_require__(9818);
// EXTERNAL MODULE: ./dist/model/items/card/card-item.js
var card_item = __webpack_require__(1880);
// EXTERNAL MODULE: ./dist/model/items/card/card-layout.js
var card_layout = __webpack_require__(7101);
// EXTERNAL MODULE: ./dist/model/items/card/card-layout-template.js
var card_layout_template = __webpack_require__(1360);
// EXTERNAL MODULE: ./dist/model/items/card/card-layout-template-element.js
var card_layout_template_element = __webpack_require__(9453);
// EXTERNAL MODULE: ./dist/model/items/card/card-row.js
var card_row = __webpack_require__(8791);
// EXTERNAL MODULE: ./dist/model/items/card/card-row-element.js
var card_row_element = __webpack_require__(1578);
// EXTERNAL MODULE: ./dist/model/items/chart-item-base.js
var chart_item_base = __webpack_require__(5097);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-axis.js
var chart_axis = __webpack_require__(840);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-item.js
var chart_item = __webpack_require__(9478);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-legend.js
var chart_legend = __webpack_require__(5060);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-pane.js
var chart_pane = __webpack_require__(7111);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-series.js
var chart_series = __webpack_require__(9508);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-series-creator.js
var chart_series_creator = __webpack_require__(8285);
// EXTERNAL MODULE: ./dist/model/items/chart/point-label-options.js
var point_label_options = __webpack_require__(8002);
// EXTERNAL MODULE: ./dist/model/items/custom-item/custom-item.js
var custom_item = __webpack_require__(7212);
// EXTERNAL MODULE: ./dist/model/items/custom-item/slice-table.js
var slice_table = __webpack_require__(4206);
// EXTERNAL MODULE: ./dist/model/items/dashboard-item.js
var dashboard_item = __webpack_require__(4391);
// EXTERNAL MODULE: ./dist/model/items/data-dashboard-item.js
var data_dashboard_item = __webpack_require__(9692);
// EXTERNAL MODULE: ./dist/model/items/data-item-container.js
var data_item_container = __webpack_require__(6465);
// EXTERNAL MODULE: ./dist/model/items/filter-items/combo-box-item.js
var combo_box_item = __webpack_require__(1985);
// EXTERNAL MODULE: ./dist/model/items/filter-items/date-filter-item.js
var date_filter_item = __webpack_require__(7328);
// EXTERNAL MODULE: ./dist/model/items/filter-items/filter-element-item-base.js
var filter_element_item_base = __webpack_require__(8090);
// EXTERNAL MODULE: ./dist/model/items/filter-items/list-box-item.js
var list_box_item = __webpack_require__(4907);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/items/filter-items/metadata/_tree-view-item.js
var _tree_view_item = __webpack_require__(4730);
;// ./dist/model/items/filter-items/tree-view-item.js




class TreeViewItem extends filter_element_item_base/* FilterElementItemBase */.Z {
    constructor(dashboardItemJSON = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
    }
    _getInfoCore() {
        return _tree_view_item/* treeViewDashboardItemSerializationsInfo */.K;
    }
    _getDefaultItemType() {
        return 'TreeView';
    }
    _allowAllValue() { return true; }
    _isMultiselectable() { return true; }
}
serializable_model/* itemTypesMap */.Jh['TreeView'] = { type: TreeViewItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameTreeViewItem', index: 340 };

// EXTERNAL MODULE: ./dist/model/items/gauge/gauge.js
var gauge = __webpack_require__(4528);
// EXTERNAL MODULE: ./dist/model/items/gauge/gauge-item.js
var gauge_item = __webpack_require__(4250);
// EXTERNAL MODULE: ./dist/model/items/grid/grid-column-total.js
var grid_column_total = __webpack_require__(5046);
// EXTERNAL MODULE: ./dist/model/items/grid/grid-columns.js
var grid_columns = __webpack_require__(9576);
// EXTERNAL MODULE: ./dist/model/items/grid/grid-item.js + 1 modules
var grid_item = __webpack_require__(1507);
// EXTERNAL MODULE: ./dist/model/items/grid/grid-options.js
var grid_options = __webpack_require__(4473);
// EXTERNAL MODULE: ./dist/model/items/group/group-item.js
var group_item = __webpack_require__(818);
// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/model/items/metadata/_image-item.js
var _image_item = __webpack_require__(3947);
;// ./dist/model/items/image-item.js





class ImageItem extends dashboard_item/* DashboardItem */.K {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this.imageType = external_ko_.observable('linked');
        if (this.image64()) {
            this.imageType('embedded');
        }
        else {
            this.imageType('linked');
        }
        this.addDisposable(this.imageType.subscribe(imageType => {
            switch (imageType) {
                case 'embedded':
                    this.urlPath(null);
                    break;
                default:
                    this.image64(null);
                    break;
            }
        }));
    }
    _getInfoCore() {
        return _image_item/* imageDashboardItemSerializationsInfo */.GY;
    }
    _getDefaultItemType() {
        return 'Image';
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        content.ViewModel.SizeMode = this.sizeMode();
        content.ViewModel.HorizontalAlignment = this.horizontalAlignment();
        content.ViewModel.VerticalAlignment = this.verticalAlignment();
    }
}
serializable_model/* itemTypesMap */.Jh['Image'] = { type: ImageItem, groupName: 'common', title: 'DashboardStringId.DefaultNameImageItem', index: 90 };

// EXTERNAL MODULE: ./dist/model/items/kpi/kpi-element.js
var kpi_element = __webpack_require__(1129);
// EXTERNAL MODULE: ./dist/model/items/kpi/kpi-item.js
var kpi_item = __webpack_require__(8648);
// EXTERNAL MODULE: ./dist/model/data-item/_dimension-filter-values.js
var _dimension_filter_values = __webpack_require__(8782);
// EXTERNAL MODULE: ./dist/model/data-sources/_data-field.js
var _data_field = __webpack_require__(4270);
// EXTERNAL MODULE: ./dist/model/internal/_array-utils.js
var _array_utils = __webpack_require__(2972);
// EXTERNAL MODULE: ./dist/model/internal/_utils.js
var _utils = __webpack_require__(8588);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
// EXTERNAL MODULE: ./dist/model/items/map/map-item.js
var map_item = __webpack_require__(1126);
// EXTERNAL MODULE: ./dist/model/items/map/metadata/_geo-point-map-item-base.js
var _geo_point_map_item_base = __webpack_require__(2248);
;// ./dist/model/items/map/geo-point-map-item-base.js
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










class GeoPointMapItemBase extends map_item/* MapItem */.w {
    get _actualSelectionValues() {
        return this._actualSelectedValues;
    }
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this.tooltipDimensions = external_ko_.observableArray([]);
        this._selectedClusters = external_ko_.observable();
        this._clustersContent = external_ko_.observable();
        this._processDataRequest = () => {
            var clientState = this._clientState();
            if (clientState) {
                this._dataRequestArgs({ ...{ unclusteredSelection: this._selectionValues.peek() }, ...clientState.clusterizationInfo });
            }
        };
        this.addDisposable(this._actualSelectedValues = external_ko_.computed(() => {
            return this.enableClustering() && this._selectedClusters() || this._selectionValues();
        }));
        this.__tooltipDimensions = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(modelJson.TooltipDimensions, (item) => new data_item/* DataItemLink */.Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_geo_point_map_item_base/* tooltipDimensions */.zL);
        this._attachDataItem(this, _geo_point_map_item_base/* latitude */.zr.propertyName);
        this._attachDataItem(this, _geo_point_map_item_base/* longitude */._P.propertyName);
        this.addDisposable(this.enableClustering.subscribe(newValue => {
            if (newValue) {
                this._processDataRequest();
            }
        }));
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__tooltipDimensions);
        this.__tooltipDimensions.removeAll();
        this.__latitude.uniqueName(null);
        this.__longitude.uniqueName(null);
    }
    _getInfoCore() {
        return _geo_point_map_item_base/* geoPointMapDashboardItemBaseSerializationsInfo */.H3;
    }
    _getInteractivityDimensionLinks() {
        return [this.__latitude, this.__longitude];
    }
    _getExportingSelection() {
        return this._selectedClusters() || (this._outputFilter() && this._outputFilter().values);
    }
    _getDisplayFilterValues(limitCount) {
        var metaData = this._dataManager() ? this._dataManager().getMetaData() : undefined, selection = this._getExportingSelection(), outFilterValues = [], latName = this.__latitude.uniqueName(), lonName = this.__longitude.uniqueName();
        var dataStorage = this._dataManager() ? this._dataManager().getDataStorage() : undefined;
        if (dataStorage && selection && this.__tooltipDimensions().length) {
            var slice = dataStorage.getSliceByIds(this._getSliceDimensions()
                .map(dataItemLink => dataItemLink.uniqueName())
                .filter(uniqueName => !!uniqueName));
            this.__tooltipDimensions().forEach((tooltipDimension) => {
                var uniqueValues = {}, valueCount = 0, filterValues = new _dimension_filter_values/* DimensionFilterValues */.R(this._getDimensionDisplayName(tooltipDimension.dataItem().uniqueName())), format = metaData ? metaData.getDimensionFormat(tooltipDimension.uniqueName()) : undefined, isOlap = _data_field/* DataField */.J7.isOlap(tooltipDimension.dataItem().dataMember());
                slice.forEach((dataKey) => {
                    var rowKey = dataKey.rowKey, latitudeValue = slice.getKeyValue(rowKey, latName), longitudeValue = slice.getKeyValue(rowKey, lonName);
                    selection.every((selectionValue) => {
                        if (latitudeValue === selectionValue[0] && longitudeValue === selectionValue[1]) {
                            if (!!limitCount && valueCount >= limitCount) {
                                filterValues.Truncated = true;
                                return false;
                            }
                            var value = slice.getKeyValue(rowKey, tooltipDimension.uniqueName());
                            if (!uniqueValues[value]) {
                                uniqueValues[value] = value;
                                valueCount++;
                            }
                        }
                        return true;
                    });
                });
                filterValues.Values = Object.keys(uniqueValues).map(v => this._createFormattableValue(tooltipDimension.dataItem(), v));
                outFilterValues.push(filterValues);
            });
        }
        return outFilterValues;
    }
    _getSliceDimensions() {
        return [this.__latitude, this.__longitude].concat(this.__tooltipDimensions());
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        var mapContent = this._paneContentHolder.getContent(_base_metadata/* PropertyCategory */.Sw.Data);
        this._clustersContent(mapContent.ClustersContent);
        if (content && content.SelectedValues) {
            this._setSelectionData(content.SelectedValues);
        }
    }
    _setSelectionData(selection) {
        if (this._clustersContent()) {
            let realSelectionPoints = [];
            this._clustersContent().forEach(clusterDto => {
                var x = clusterDto.Cluster.Latitude, y = clusterDto.Cluster.Longitude;
                if ((selection || []).filter((s) => {
                    return s[0] === x && s[1] === y;
                })[0]) {
                    clusterDto.Points.forEach(pointInCluster => realSelectionPoints.push(pointInCluster));
                }
            });
            this._selectedClusters(selection);
            selection = realSelectionPoints;
        }
        if (!(0,_array_utils/* arrayEquals */.ng)(this._selectionValues(), selection)) {
            this._selectionValues(selection);
            if (this.enableClustering()) {
                this._processDataRequest();
            }
        }
    }
    _isTopNEnabled(dataItem) {
        return this.tooltipDimensions.indexOf(dataItem) == -1 && this.hiddenDimensions().indexOf(dataItem) == -1;
    }
}
__decorate([
    (0,_utils/* collectionItemType */.s)('TooltipDimension')
], GeoPointMapItemBase.prototype, "__tooltipDimensions", void 0);

// EXTERNAL MODULE: ./dist/model/items/map/metadata/_bubble-map-item.js
var _bubble_map_item = __webpack_require__(8396);
;// ./dist/model/items/map/bubble-map-item.js




class BubbleMapItem extends GeoPointMapItemBase {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this._attachDataItem(this, _bubble_map_item/* bubbleMapWeight */.vc.propertyName);
        this._attachDataItem(this, _bubble_map_item/* bubbleMapColor */.Od.propertyName);
    }
    _getInfoCore() {
        return _bubble_map_item/* bubbleMapDashboardItemSerializationsInfo */.Bf;
    }
    _clearBindings() {
        super._clearBindings();
        this.__weight.uniqueName(null);
        this.__color.uniqueName(null);
    }
    _getDefaultItemType() {
        return 'BubbleMap';
    }
}
serializable_model/* itemTypesMap */.Jh['BubbleMap'] = { type: BubbleMapItem, groupName: 'maps', title: 'DashboardWebStringId.DefaultNameBubbleMapItem', index: 230 };

// EXTERNAL MODULE: ./dist/model/items/map/chorolpeth-map.js
var chorolpeth_map = __webpack_require__(2953);
// EXTERNAL MODULE: ./dist/model/items/map/chorolpeth-map-item.js
var chorolpeth_map_item = __webpack_require__(1053);
// EXTERNAL MODULE: ./dist/model/items/map/custom-shape-file.js
var custom_shape_file = __webpack_require__(4590);
// EXTERNAL MODULE: ./dist/model/items/map/custom-shape-file-data.js
var custom_shape_file_data = __webpack_require__(5015);
// EXTERNAL MODULE: ./dist/model/items/map/metadata/_geo-point-map-item.js
var _geo_point_map_item = __webpack_require__(4652);
;// ./dist/model/items/map/geo-point-map-item.js





class GeoPointMapItem extends GeoPointMapItemBase {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this._attachDataItem(this, _geo_point_map_item/* value */.U.propertyName);
        this.__value._specifics.acceptableShapingType = data_item/* AcceptableShapingType */.zH.String;
    }
    _getInfoCore() {
        return _geo_point_map_item/* geoPointMapDashboardItemSerializationsInfo */.O;
    }
    _getDefaultItemType() {
        return 'GeoPointMap';
    }
}
serializable_model/* itemTypesMap */.Jh['GeoPointMap'] = { type: GeoPointMapItem, groupName: 'maps', title: 'DashboardWebStringId.DefaultNameGeoPointMapItem', index: 210 };

// EXTERNAL MODULE: ./dist/model/items/map/map-legend.js
var map_legend = __webpack_require__(2692);
// EXTERNAL MODULE: ./dist/model/items/map/map-viewport.js
var map_viewport = __webpack_require__(5103);
// EXTERNAL MODULE: ./dist/model/items/map/metadata/_pie-map-item.js
var _pie_map_item = __webpack_require__(4384);
;// ./dist/model/items/map/pie-map-item.js
var pie_map_item_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









class PieMapItem extends GeoPointMapItemBase {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this.values = external_ko_.observableArray([]);
        this.__values = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(modelJson.Values, (item) => new data_item/* DataItemLink */.Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_pie_map_item/* pieMapValues */.fy);
        this._attachDataItem(this, _pie_map_item/* pieMapArgument */.g.propertyName);
        data_dashboard_item/* DataDashboardItem */.s._addColoringMeta([this.__argument]);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__values);
        this.__values.removeAll();
        this.__argument.uniqueName(null);
    }
    _getInfoCore() {
        return _pie_map_item/* pieMapDashboardItemSerializationsInfo */.Rc;
    }
    _getDefaultItemType() {
        return 'PieMap';
    }
    _getLayersCount() {
        return !!this.__values ? this.__values().length : 0;
    }
    _getLayerName() {
        return this._getDataItemDisplayName(this.__values()[this._selectedElementIndex() || 0].dataItem());
    }
    _getSliceDimensions() {
        return super._getSliceDimensions().concat(this.__argument);
    }
    _getIsDimensionColoredByDefault(dimension) {
        return this.__argument.dataItem() === dimension;
    }
    _getAreMeasuresColoredByDefault() {
        return this.__values().length > 1 && !this.__argument.dataItem();
    }
    _getCanColorByMeasures() { return true; }
    _getCanColorByDimensions() { return true; }
    _getColorizableDataItemsInfo() {
        return [{
                items: [this.__argument],
                prefixId: _base_metadata/* BindingSectionTitles */.Uo.SingleArgument
            }];
    }
}
pie_map_item_decorate([
    (0,_utils/* collectionItemType */.s)('Value')
], PieMapItem.prototype, "__values", void 0);
serializable_model/* itemTypesMap */.Jh['PieMap'] = { type: PieMapItem, groupName: 'maps', title: 'DashboardWebStringId.DefaultNamePieMapItem', index: 240 };

// EXTERNAL MODULE: ./dist/model/items/options/coloring-options.js
var coloring_options = __webpack_require__(638);
// EXTERNAL MODULE: ./dist/model/items/options/delta-options.js
var delta_options = __webpack_require__(8191);
// EXTERNAL MODULE: ./dist/model/items/options/interactivity-options.js
var interactivity_options = __webpack_require__(9282);
// EXTERNAL MODULE: ./dist/model/items/options/sparkline-options.js
var sparkline_options = __webpack_require__(7490);
// EXTERNAL MODULE: ./dist/model/items/pie/metadata/_pie-item.js
var _pie_item = __webpack_require__(861);
;// ./dist/model/items/pie/pie-item.js
var pie_item_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};








class PieItem extends chart_item_base/* ChartItemBase */.P {
    constructor(dashboardItemJSON = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.values = external_ko_.observableArray([]);
        this.__values = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(dashboardItemJSON.Values, (item) => new data_item/* DataItemLink */.Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_pie_item/* pieValues */.$Y);
    }
    _getInfoCore() {
        return _pie_item/* pieDashboardItemSerializationsInfo */.nT;
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__values);
        this.__values.removeAll();
    }
    _getDefaultItemType() {
        return 'Pie';
    }
    _getTargetDimensions() { return this.interactivityOptions.targetDimensions(); }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return this.interactivityOptions.isDrillDownEnabled(); }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getAreMeasuresColoredByDefault() { return this.values().length > 1 && this.arguments().length == 0; }
    _getIsDimensionColoredByDefault(dimension) {
        return !!this.arguments().filter(dim => dim === dimension)[0];
    }
    _getLayersCount() {
        return !!this.__seriesDimensions && this.__seriesDimensions().length > 0 ? this.__values().length : 0;
    }
    _getLayerName() {
        return this._getDataItemDisplayName(this.__values()[this._selectedElementIndex() || 0].dataItem());
    }
    _getDefaultCalculationWindowDefinition() {
        return new PieWindowDefinition();
    }
}
pie_item_decorate([
    (0,_utils/* collectionItemType */.s)('Value')
], PieItem.prototype, "__values", void 0);
serializable_model/* itemTypesMap */.Jh['Pie'] = { type: PieItem, groupName: 'common', title: 'DashboardStringId.DefaultNamePieItem', index: 45 };

// EXTERNAL MODULE: ./dist/model/items/pivot/pivot-item.js
var pivot_item = __webpack_require__(2910);
// EXTERNAL MODULE: ./dist/model/items/range-filter/date-time-period.js
var date_time_period = __webpack_require__(3607);
// EXTERNAL MODULE: ./dist/model/items/range-filter/limit-container.js
var limit_container = __webpack_require__(2203);
// EXTERNAL MODULE: ./dist/model/items/range-filter/period-limit.js
var period_limit = __webpack_require__(280);
// EXTERNAL MODULE: ./dist/model/items/range-filter/range-filter-item.js
var range_filter_item = __webpack_require__(5768);
// EXTERNAL MODULE: ./dist/model/items/range-filter/_range-state-controller.js
var _range_state_controller = __webpack_require__(7563);
// EXTERNAL MODULE: ./dist/model/items/scatter-chart/scatter-chart-item.js
var scatter_chart_item = __webpack_require__(3242);
// EXTERNAL MODULE: ./dist/model/items/scatter-chart/scatter-point-label-options.js
var scatter_point_label_options = __webpack_require__(5366);
// EXTERNAL MODULE: ./dist/model/items/series-item.js
var series_item = __webpack_require__(2400);
// EXTERNAL MODULE: ./dist/model/items/tab-container-item/dashboard-tab-page.js
var dashboard_tab_page = __webpack_require__(517);
// EXTERNAL MODULE: ./dist/model/items/tab-container-item/tab-container-item.js
var tab_container_item = __webpack_require__(3536);
// EXTERNAL MODULE: ./dist/model/items/text-box-item.js
var text_box_item = __webpack_require__(8502);
// EXTERNAL MODULE: ./dist/model/items/treemap/metadata/_treemap-item.js
var _treemap_item = __webpack_require__(9077);
;// ./dist/model/items/treemap/treemap-item.js
var treemap_item_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};








class TreemapItem extends data_dashboard_item/* DataDashboardItem */.s {
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this.values = external_ko_.observableArray([]);
        this.__arguments = external_ko_.observableArray([]);
        this.arguments = external_ko_.observableArray([]);
        this.addDisposable(this.__arguments.subscribe((newArguments) => {
            data_dashboard_item/* DataDashboardItem */.s._addColoringMeta(newArguments);
        }));
        this.__arguments((0,external_DevExpress_Analytics_Utils_.deserializeArray)(modelJson.Arguments, (item) => new data_item/* DataItemLink */.Kz(this, item, serializer))());
        this._subscribeDataItemLinkArrays(_treemap_item/* treeMapArgumentsMeta */.YS);
        this.__values = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(modelJson.Values, (item) => new data_item/* DataItemLink */.Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_treemap_item/* treeMapvalues */.tZ);
    }
    _getInfoCore() {
        return _treemap_item/* treemapDashboardItemSerializationsInfo */.LB;
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__arguments);
        this.disposeObservableArray(this.__values);
        this.__arguments.removeAll();
        this.__values.removeAll();
    }
    _isCalculationSupported() {
        return false;
    }
    _getDefaultItemType() {
        return 'Treemap';
    }
    _getCanColorByMeasures() { return true; }
    _getCanColorByDimensions() { return true; }
    _getAreMeasuresColoredByDefault() { return this.__values().length > 1 && this.__arguments().length === 0; }
    _getIsDimensionColoredByDefault(dimension) {
        return this.__arguments().length > 0 && this.__arguments()[0].dataItem() === dimension;
    }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return this.interactivityOptions.isDrillDownEnabled(); }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getInteractivityDimensionLinks() { return this.__arguments(); }
    _getLayersCount() {
        return !!this.__arguments && this.__arguments().length > 0 ? this.__values().length : 0;
    }
    _getLayerName() {
        return this._getDataItemDisplayName(this.__values()[this._selectedElementIndex() || 0].dataItem());
    }
    _getColorizableDataItemsInfo() {
        return [{
                items: this.__arguments(),
                prefixId: _base_metadata/* BindingSectionTitles */.Uo.Arguments
            }];
    }
    _isSortingEnabled() {
        return false;
    }
}
treemap_item_decorate([
    (0,_utils/* collectionItemType */.s)('Value')
], TreemapItem.prototype, "__values", void 0);
treemap_item_decorate([
    (0,_utils/* collectionItemType */.s)('Argument')
], TreemapItem.prototype, "__arguments", void 0);
serializable_model/* itemTypesMap */.Jh['Treemap'] = { type: TreemapItem, groupName: 'common', title: 'DashboardStringId.DefaultNameTreemapItem', index: 40 };

// EXTERNAL MODULE: ./dist/model/layout/dashboard-layout-group.js
var dashboard_layout_group = __webpack_require__(7944);
// EXTERNAL MODULE: ./dist/model/layout/dashboard-layout-item.js
var dashboard_layout_item = __webpack_require__(1892);
// EXTERNAL MODULE: ./dist/model/layout/dashboard-layout-node.js
var dashboard_layout_node = __webpack_require__(4307);
// EXTERNAL MODULE: ./dist/model/internal/_undo-engine-helper.js
var _undo_engine_helper = __webpack_require__(7899);
// EXTERNAL MODULE: ./dist/model/internal/_knockout-utils.js
var _knockout_utils = __webpack_require__(1041);
// EXTERNAL MODULE: ./dist/model/layout/_layout-utils.js
var _layout_utils = __webpack_require__(3620);
;// ./dist/model/layout/dashboard-layout-tab-page.js



class DashboardLayoutTabPage extends dashboard_layout_group/* DashboardLayoutGroup */.C {
    get _template() { return 'dx-layout-group-container'; }
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getDefaultItemType() { return 'LayoutTabPage'; }
    _deleteDashbordItem() {
        super._deleteDashbordItem();
        this.childNodes()
            .filter(item => item instanceof dashboard_layout_group/* DashboardLayoutGroup */.C)
            .forEach(group => group.dashboardItem() && group._deleteDashbordItem());
        var tabContainer = this.parentNode().item;
        let page = this.item;
        let deletedPageIndex = tabContainer.tabPages().indexOf(page);
        if (tabContainer._activeTabPage() === page) {
            let newIndex = deletedPageIndex === tabContainer.tabPages().length - 1 && tabContainer.tabPages().length > 1 ? deletedPageIndex - 1 : deletedPageIndex;
            tabContainer.tabPages.remove(page);
            tabContainer._activeTabPage(tabContainer.tabPages()[newIndex]);
        }
        else {
            tabContainer.tabPages.remove(page);
        }
    }
}
_layout_utils/* _layoutItemTypeMap */.r['LayoutTabPage'] = DashboardLayoutTabPage;

;// ./dist/model/layout/dashboard-layout-tab-container.js
var dashboard_layout_tab_container_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







class DashboardLayoutTabContainer extends dashboard_layout_group/* DashboardLayoutGroup */.C {
    get _tabContainer() { return this.item; }
    _getDefaultItemType() { return 'LayoutTabContainer'; }
    get _template() { return 'dx-dashboard-tab-container'; }
    get _visibleItems() { return this._visibleItemsCore; }
    get _ignoreChildMaxHeight() { return true; }
    get _dragOverInnerElementController() {
        return {
            selector: '.dx-layout-item-container .dx-tab', onDragOver: (index) => {
                if (this._tabContainer) {
                    this._activeTabPage(this.childNodes()[index].item);
                }
            }
        };
    }
    constructor(modelJson = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(modelJson, serializer);
        this._activeTabIndex = external_ko_.computed(() => {
            return this.childNodes().map(node => node.item).indexOf(this._activeTabPage());
        });
        this._activeTabPage = external_ko_.computed({
            read: () => {
                return this.item ? this.item._activeTabPage() : undefined;
            },
            write: (tabPage) => {
                let containerItem = this.item;
                if (containerItem && containerItem._activeTabPage() !== tabPage) {
                    containerItem._activeTabPage(tabPage);
                }
            }
        });
        this._visibleItemsCore = external_ko_.observableArray();
        external_ko_.computed(() => {
            let tabContainerItem = this.item;
            if (tabContainerItem && !tabContainerItem._activeTabPage.peek()) {
                let firstTabPageLayoutItem = this.childNodes()[0];
                if (firstTabPageLayoutItem && firstTabPageLayoutItem.item) {
                    tabContainerItem._activeTabPage(firstTabPageLayoutItem.item);
                }
            }
        });
        (0,_knockout_utils/* subscribeArrayChange */.w$)(this.childNodes, {
            added: (page, index) => {
                if (this.childNodes().length === 1 && !this._activeTabPage()) {
                    if (page.item) {
                        this._activeTabPage(page.item);
                    }
                    else {
                        let _disposables = external_ko_.computed(() => {
                            if (page.item) {
                                this._activeTabPage(page.item);
                                _disposables.dispose();
                            }
                        });
                    }
                }
            },
            deleted: (page) => {
                if (this._activeTabPage() && this._activeTabPage().componentName() === page.dashboardItem()) {
                    this._activeTabPage(this.childNodes().length ? this.childNodes()[0].item : null);
                }
            }
        });
        external_ko_.computed(() => {
            this._visibleItemsCore.removeAll();
            if (this._tabContainer && this._tabContainer._activeTabPage()) {
                var item = this.childNodes().filter(childNode => childNode.item === this._tabContainer._activeTabPage())[0];
                if (item)
                    this._visibleItemsCore.push(item);
            }
        });
    }
    _setItemCore(newItem) {
        super._setItemCore(newItem);
        var tabContainerItem = newItem;
        tabContainerItem.tabPages().forEach(tabPage => this._addLayoutTabPage(tabPage));
    }
    _createTabPage() {
        if (this._tabContainer) {
            var tabPageModel = this._tabContainer._addNewPage();
            let layoutTabPage = this._addLayoutTabPage(tabPageModel);
            this._activeTabPage(tabPageModel);
            return layoutTabPage;
        }
        return undefined;
    }
    _removeLayoutTabPage(tabPageModel) {
        var tabPageLayoutItem = this._dashboard().layout().findLayoutItem(tabPageModel);
        if (tabPageLayoutItem) {
            tabPageLayoutItem._createViewModel().delete();
        }
    }
    _deleteDashbordItem() {
        if (this._dashboard()) {
            super._deleteDashbordItem();
            this.childNodes().forEach(layoutPage => layoutPage._deleteDashbordItem());
            this._dashboard().items.remove(this.item);
        }
    }
    _addLayoutTabPage(tabPageModel) {
        var layoutItem = new DashboardLayoutTabPage();
        layoutItem.item = tabPageModel;
        this.childNodes.push(layoutItem);
        return layoutItem;
    }
}
dashboard_layout_tab_container_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DashboardLayoutTabContainer.prototype, "_createTabPage", null);
dashboard_layout_tab_container_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DashboardLayoutTabContainer.prototype, "_removeLayoutTabPage", null);
_layout_utils/* _layoutItemTypeMap */.r['LayoutTabContainer'] = DashboardLayoutTabContainer;

// EXTERNAL MODULE: ./dist/model/layout/layout-dimension-options.js
var layout_dimension_options = __webpack_require__(3347);
// EXTERNAL MODULE: ./dist/model/layout/layout-options.js + 2 modules
var layout_options = __webpack_require__(3764);
// EXTERNAL MODULE: ./dist/model/parameters/dynamic-list-lookup-settings.js
var dynamic_list_lookup_settings = __webpack_require__(0);
// EXTERNAL MODULE: ./dist/model/parameters/look-up-value.js
var look_up_value = __webpack_require__(5690);
// EXTERNAL MODULE: ./dist/model/parameters/parameter.js
var parameter = __webpack_require__(8058);
// EXTERNAL MODULE: ./dist/model/parameters/static-list-lookup-settings.js
var static_list_lookup_settings = __webpack_require__(5225);
// EXTERNAL MODULE: ./dist/model/title.js
var title = __webpack_require__(8182);
;// ./dist/model/index.exports.js









































































































































































;// ./dist/model/index.js




/***/ }),

/***/ 7111:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ ChartPane)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _chart_series_creator__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8285);
/* harmony import */ var _metadata_chart_pane__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(164);




class ChartPane extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.createSeriesByViewType = _chart_series_creator__WEBPACK_IMPORTED_MODULE_2__/* .ChartSeriesCreator */ .o.getSeriesCreator(dataItemProvider);
        this.series = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Series, (item) => _chart_series_creator__WEBPACK_IMPORTED_MODULE_2__/* .ChartSeriesCreator */ .o.createSeries(dataItemProvider, item, serializer));
    }
    dispose() {
        super.dispose();
        this.disposeObservableArray(this.series);
    }
    getInfo() {
        return _metadata_chart_pane__WEBPACK_IMPORTED_MODULE_3__/* .chartPaneSerializationsInfo */ .ec;
    }
}


/***/ }),

/***/ 7125:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ Palette)
/* harmony export */ });
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9167);
/* harmony import */ var _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3024);


var Palette = {
    standard: [
        'PaleRed',
        'PaleYellow',
        'PaleGreen',
        'PaleBlue',
        'PalePurple',
        'PaleCyan',
        'PaleOrange',
        'PaleGray',
        'Red',
        'Yellow',
        'Green',
        'Blue',
        'Purple',
        'Cyan',
        'Orange',
        'Gray',
        'FontBold',
        'FontItalic',
        'FontUnderline',
        'FontGrayed',
        'FontRed',
        'FontYellow',
        'FontGreen',
        'FontBlue'
    ],
    richColors: [
        'Red',
        'Yellow',
        'Green',
        'Blue',
        'Purple',
        'Cyan',
        'Orange',
        'Gray',
    ],
    allColors: [
        'PaleRed',
        'PaleYellow',
        'PaleGreen',
        'PaleBlue',
        'PalePurple',
        'PaleCyan',
        'PaleOrange',
        'PaleGray',
        'Red',
        'Yellow',
        'Green',
        'Blue',
        'Purple',
        'Cyan',
        'Orange',
        'Gray'
    ],
    gradient: [
        'GradientRed',
        'GradientYellow',
        'GradientGreen',
        'GradientBlue',
        'GradientPurple',
        'GradientCyan',
        'GradientOrange',
        'GradientTransparent'
    ],
    getLabelText: (type, empty) => {
        switch (type) {
            case _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_1__/* .emptyStyleType */ .R: return empty ? empty : (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_0__/* .getLocalizationById */ .Mu)('DashboardWebStringId.FormatConditionRangeSetNoStyleCaption');
            case 'FontBold': return 'B';
            case 'FontItalic': return 'I';
            case 'FontUnderline': return 'U';
            case 'FontGrayed': return 'Gr';
            case 'FontRed': return 'R';
            case 'FontYellow': return 'Y';
            case 'FontGreen': return 'G';
            case 'FontBlue': return 'B';
            case 'Red':
            case 'Yellow':
            case 'Green':
            case 'Blue':
            case 'Purple':
            case 'Cyan':
            case 'Orange':
            case 'Gray':
                return 'T';
            default: return '';
        }
    },
    getCustomLabelText: (appearance) => {
        if (appearance) {
            return 'T';
        }
        return '';
    }
};


/***/ }),

/***/ 7138:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ InMemoryStorage),
/* harmony export */   v: () => (/* binding */ conditionalFormattingEditor)
/* harmony export */ });
class InMemoryStorage {
    getValue() { return this.value; }
    setValue(value) { this.value = value; }
}
const conditionalFormattingEditor = {
    customColorStorage: new InMemoryStorage(),
    customAppearanceStorage: new InMemoryStorage()
};


/***/ }),

/***/ 7195:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ efDataSourceSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3689);

let efDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_0__/* .dataSourceSerializationsInfo */ .v;


/***/ }),

/***/ 7212:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ CustomItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_formatter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6726);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5988);
/* harmony import */ var _data_item_data_item_data_axis_point__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5720);
/* harmony import */ var _data_special_values__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2383);
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5419);
/* harmony import */ var _custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4634);
/* harmony import */ var _custom_properties_custom_properties_metadata__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8553);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1923);
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(158);
/* harmony import */ var _data_item_window_definition_custom_item_calc_window_definition__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(8826);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(1041);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(8588);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(4904);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(9692);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(9282);
/* harmony import */ var _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(1965);
/* harmony import */ var _metadata_custom_item__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(793);
/* harmony import */ var _slice_table__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(4206);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




















var COLOR_MEASURE_ID = 'ColorMeasure';
class CustomItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_15__/* .DataDashboardItem */ .s {
    static getPropertyInfo(p) {
        return (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .deepExtend */ .zw)({ modelName: '@' + p.propertyName, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_14__/* .PropertyCategory */ .Sw.ViewModel }, p);
    }
    static _getBindingLinkName(propertyName) {
        return '__' + propertyName;
    }
    static _getSerializationsInfo(bindings) {
        return (bindings || []).map(binding => {
            return {
                propertyName: CustomItem._getBindingLinkName(binding.propertyName),
                modelName: binding.propertyName,
                array: binding.array,
                info: !binding.array ? _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_10__/* .dataItemLinkSerializationsInfo */ .N5 : undefined
            };
        });
    }
    static _hasInteractivityTargets(meta) {
        var bindings = (meta && meta['bindings']) || [];
        return bindings.some(binding => binding.enableInteractivity);
    }
    static _hasColoringDimensions(bindings) {
        return bindings.some(binding => binding.enableColoring && binding.dataItemType === 'Dimension');
    }
    static _hasColoringMeasures(bindings) {
        return bindings.some(binding => binding.enableColoring && binding.dataItemType === 'Measure');
    }
    static _isFilterAllowed(meta) {
        var interactivity = !!meta && meta['interactivity'];
        return !!interactivity && interactivity.filter && CustomItem._hasInteractivityTargets(meta);
    }
    static _isDrillDownAllowed(meta) {
        var interactivity = !!meta && meta['interactivity'];
        return !!interactivity && interactivity.drillDown && CustomItem._hasInteractivityTargets(meta);
    }
    static _getInfo(meta, customItemType) {
        if (!meta) {
            const staticCustomPropertiesInfo = CustomItem._getCustomPropertiesSerializationInfo(customItemType, []);
            return _metadata_custom_item__WEBPACK_IMPORTED_MODULE_18__/* .customDashboardItemSerializationsInfo */ .a.concat([staticCustomPropertiesInfo]);
        }
        const dynamicInfo = [];
        const bindings = (meta && meta.bindings) || [];
        const isFilterAllowed = CustomItem._isFilterAllowed(meta);
        const isDrillDownAllowed = CustomItem._isDrillDownAllowed(meta);
        const bindingsInfo = CustomItem._getSerializationsInfo(bindings);
        const propertiesMetadata = ((meta && meta.properties) || [])
            .map(p => ({
            ownerType: CustomItem,
            customItemType: customItemType,
            propertyName: p.propertyName,
            defaultValue: p.defaultVal,
        }))
            .concat((meta && meta.customProperties))
            .filter(cp => !!cp);
        const customProperties = CustomItem._getCustomPropertiesSerializationInfo(customItemType, propertiesMetadata);
        if (isFilterAllowed && isDrillDownAllowed) {
            dynamicInfo.push(_options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__/* ._dashboardItemInteractivityOptionsMeta */ .FF);
        }
        else if (isFilterAllowed) {
            dynamicInfo.push(_options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__/* ._masterFilterInteractivityOptionsMeta */ .qA);
        }
        else if (isDrillDownAllowed) {
            dynamicInfo.push(_options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__/* ._drillDownInteractivityOptionsMeta */ .xE);
        }
        else {
            dynamicInfo.push(_options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__/* ._baseInteractivityOptionsMeta */ .vP);
        }
        var hasColoringDimensions = CustomItem._hasColoringDimensions(bindings);
        if (hasColoringDimensions) {
            dynamicInfo.push(_metadata_custom_item__WEBPACK_IMPORTED_MODULE_18__/* .coloringDimensions */ .t_);
        }
        var hasColoringMeasures = CustomItem._hasColoringMeasures(bindings);
        if (hasColoringMeasures) {
            dynamicInfo.push(_metadata_custom_item__WEBPACK_IMPORTED_MODULE_18__/* .coloringMeasures */ .Ju);
        }
        if (hasColoringDimensions || hasColoringMeasures) {
            dynamicInfo.push(_options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_17__/* .coloringOptions */ .k);
        }
        return _metadata_custom_item__WEBPACK_IMPORTED_MODULE_18__/* .customDashboardItemSerializationsInfo */ .a
            .concat([{ propertyName: 'customMetadata', modelName: 'CustomMetadata', info: bindingsInfo }])
            .concat(dynamicInfo)
            .concat(customProperties);
    }
    constructor(_meta, modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer, CustomItem._getInfo(_meta, modelJson['@CustomItemType']));
        this._meta = _meta;
        this.sliceTables = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.interactivityTargets = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.coloringDimensions = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.coloringMeasures = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray();
        this.customMetadata = {};
        this._getMeasureValue = (dataRow, dataItemUniqueName) => {
            return this._getStorage().getValue(dataRow, dataItemUniqueName);
        };
        this._getMeasureDisplayText = (dataRow, dataItemUniqueName) => {
            var value = this._getMeasureValue(dataRow, dataItemUniqueName);
            if (value === null || value === undefined) {
                return null;
            }
            var metaData = this._dataManager().getMetaData(), formatViewModel = metaData.getMeasureFormat(dataItemUniqueName);
            return this._format(value, formatViewModel);
        };
        this._getDimensionUniqueValue = (dataRow, dataItemUniqueName) => {
            return this._getStorage().getKeyValue(dataRow, dataItemUniqueName);
        };
        this._getDimensionValue = (dataRow, dataItemUniqueName) => {
            var value = this._getSpecialValue(dataRow, dataItemUniqueName, _data_item_data_item_data_axis_point__WEBPACK_IMPORTED_MODULE_4__/* .dataStorageSpecialIds */ .p.Value);
            if (value === null || value === undefined)
                value = this._getDimensionUniqueValue(dataRow, dataItemUniqueName);
            if (value === _data_special_values__WEBPACK_IMPORTED_MODULE_5__/* .specialValues */ .A.nullValueGuid)
                value = null;
            return value;
        };
        this._getDimensionDisplayText = (dataRow, dataItemUniqueName) => {
            var displayText = this._getServerText(dataRow, dataItemUniqueName), uniqueValue = this._getDimensionUniqueValue(dataRow, dataItemUniqueName);
            if (uniqueValue === _data_special_values__WEBPACK_IMPORTED_MODULE_5__/* .specialValues */ .A.olapNullValueGuid)
                return undefined;
            if (displayText == null) {
                var metaData = this._dataManager().getMetaData(), formatViewModel = metaData.getDimensionFormat(dataItemUniqueName);
                displayText = this._format(this._getDimensionValue(dataRow, dataItemUniqueName), formatViewModel);
            }
            return displayText;
        };
        var modelCustomMetadata = modelJson.CustomMetadata || {};
        this.addDisposable(this._isExcludingAllFilter = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if (this._isMasterFilter() && !!this.customInteractivity && !!this.customInteractivity.applyEmptyFilter) {
                var selectionValues = this._selectionValues();
                return !selectionValues || selectionValues.length === 0;
            }
            return false;
        }));
        this.customBindings.forEach((binding) => {
            let linkPropertyName = CustomItem._getBindingLinkName(binding.propertyName);
            if (binding.array) {
                this[linkPropertyName] = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelCustomMetadata[binding.propertyName], (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_9__/* .DataItemLink */ .Kz(this, item, serializer));
                this[binding.propertyName] = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
                this._subscribeDataItemLinkArrays({ propertyName: linkPropertyName, modelName: binding.propertyName });
                (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_12__/* .subscribeArrayChange */ .w$)(this[linkPropertyName], {
                    added: item => item.itemType(binding.dataItemType)
                });
            }
            else {
                this[binding.propertyName] = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
                this._attachDataItem(this, linkPropertyName, new _data_item_data_item__WEBPACK_IMPORTED_MODULE_9__/* .DataItemLink */ .Kz(this, modelCustomMetadata[binding.propertyName], serializer));
            }
            this.customMetadata[linkPropertyName] = this[linkPropertyName];
        });
        this.legacyCustomProperties.forEach(p => {
            this.addDisposable(this.customMetadata[p.propertyName] = this[p.propertyName] = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
                read: () => this.customProperties[p.propertyName](),
                write: (value) => this.customProperties.setValue(p.propertyName, value),
            }));
        });
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var sliceTables = [];
            var interactivityTargets = [];
            var coloringDimensions = [];
            var coloringMeasures = [];
            this.customBindings.forEach(binding => {
                var prop = this[CustomItem._getBindingLinkName(binding.propertyName)];
                var bindings = (binding.array ? prop() : [prop]).filter(link => !!link.dataItem());
                var sliceTable = sliceTables.filter(sliceTable => sliceTable.name() === binding.slice)[0];
                if (!sliceTable) {
                    sliceTable = new _slice_table__WEBPACK_IMPORTED_MODULE_19__/* .SliceTable */ .j(this, { '@ItemType': 'SliceTable', '@Name': binding.slice });
                    sliceTables.push(sliceTable);
                }
                sliceTable.push(bindings, binding.dataItemType);
                if (binding.enableInteractivity) {
                    interactivityTargets = interactivityTargets.concat(bindings);
                }
                if (binding.enableColoring) {
                    if (binding.dataItemType === 'Dimension') {
                        bindings.forEach(link => _data_dashboard_item__WEBPACK_IMPORTED_MODULE_15__/* .DataDashboardItem */ .s._addColoringMeta([link]));
                        if (binding.array) {
                            prop.subscribe(links => _data_dashboard_item__WEBPACK_IMPORTED_MODULE_15__/* .DataDashboardItem */ .s._addColoringMeta(links));
                        }
                        coloringDimensions = coloringDimensions.concat(bindings);
                    }
                    if (binding.dataItemType === 'Measure') {
                        coloringMeasures = coloringMeasures.concat(bindings);
                    }
                }
            });
            this.sliceTables(sliceTables);
            this.interactivityTargets(interactivityTargets);
            this.coloringDimensions(coloringDimensions);
            this.coloringMeasures(coloringMeasures);
        }));
        if (!this.customBindings.length) {
            this._supportedUIStates(['error']);
        }
    }
    _clearBindings() {
        super._clearBindings();
        this.customBindings.forEach(binding => {
            if (binding.array) {
                this[CustomItem._getBindingLinkName(binding.propertyName)].removeAll();
            }
        });
    }
    getBindingValue(propertyName, index) {
        var binding = knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(this[CustomItem._getBindingLinkName(propertyName)]);
        var bindingValues = undefined;
        var wrapBindingValue = (binding) => {
            return !binding.dataItem() ? undefined : {
                displayName: () => this._getDataItemDisplayName(binding.dataItem()),
                uniqueName: () => binding.uniqueName()
            };
        };
        if (Array.isArray(binding)) {
            bindingValues = index != undefined ? [wrapBindingValue(binding[index])] : binding.map(b => wrapBindingValue(b));
        }
        else {
            bindingValues = [wrapBindingValue(binding)];
        }
        return bindingValues.filter(b => b !== undefined);
    }
    iterateData(action, sliceTableName = null) {
        var slice = this.getSlice(sliceTableName);
        if (!slice)
            return;
        var keyIds = slice.getKeyIds() || [], valueIds = slice.getValueIds() || [], processDataRow = (dataRow, propertyName, measureAction, dimensionAction) => {
            var binding = this.customBindings.filter(b => b.propertyName === propertyName)[0], result = [];
            if (!!binding) {
                let property = this[CustomItem._getBindingLinkName(propertyName)];
                (binding.array ? property() : [property]).forEach(item => {
                    var uniqueName = item.uniqueName();
                    if (keyIds.indexOf(uniqueName) != -1)
                        result.push(dimensionAction(dataRow, uniqueName));
                    if (valueIds.indexOf(uniqueName) != -1)
                        result.push(measureAction(dataRow, uniqueName));
                });
            }
            return result;
        };
        slice.forEach(dataRow => {
            action({
                getColor: (measureBindingName) => {
                    if (!measureBindingName) {
                        return [this._getColor(dataRow, keyIds, COLOR_MEASURE_ID)];
                    }
                    else {
                        return processDataRow(dataRow, measureBindingName, (dataRow, uniqueName) => this._getColor(dataRow, keyIds, this._getColorMeasureId(uniqueName)), (dataRow, uniqueName) => this._getColor(dataRow, keyIds, COLOR_MEASURE_ID));
                    }
                },
                getDisplayText: (property) => {
                    return processDataRow(dataRow, property, this._getMeasureDisplayText, this._getDimensionDisplayText);
                },
                getValue: (property) => {
                    return processDataRow(dataRow, property, this._getMeasureValue, this._getDimensionValue);
                },
                getUniqueValue: (property) => {
                    return processDataRow(dataRow, property, this._getMeasureValue, this._getDimensionUniqueValue);
                }
            });
        });
    }
    _getDefaultItemType() {
        return CustomItem.ItemType;
    }
    _getSliceTable(name) {
        var sliceTables = this.sliceTables();
        if (!!name) {
            return sliceTables.filter(slice => slice.name() === name)[0];
        }
        else {
            return sliceTables.length > 0 ? sliceTables[0] : undefined;
        }
    }
    _getAllSelectionValues(activeDimensions) {
        var sliceTables = this.sliceTables().filter(slice => activeDimensions.every(id => slice.dimensions().map(dim => dim.uniqueName()).indexOf(id) !== -1)), values = [];
        if (sliceTables.length > 0) {
            var slice = this.getSlice(sliceTables[0].name());
            if (!!slice) {
                var keyIds = slice.getKeyIds().filter(id => activeDimensions.indexOf(id) !== -1);
                slice.forEach(dataRow => values.push(keyIds.map(id => slice.getKeyValue(dataRow.rowKey, id))));
            }
        }
        return values;
    }
    getSlice(sliceTableName = null) {
        var dimensions = this._getSliceTable(sliceTableName).dimensions();
        var storage = this._getStorage();
        return storage && storage.getSliceByIds && storage.getSliceByIds(this._getValidIds(dimensions));
    }
    _getStorage() {
        return this._dataManager() && this._dataManager().getDataStorage();
    }
    _getValidIds(dimensionLinks) {
        var excluded = [];
        if (this.isDrillDownAllowed() && this._isDrillDownEnabled() && this.interactivityTargets().every(d => dimensionLinks.filter(dd => d.uniqueName() === dd.uniqueName()).length > 0)) {
            excluded = this.interactivityTargets().slice(this._drillDownValues().length + 1);
        }
        return dimensionLinks.filter(d => excluded.filter(dd => d.uniqueName() === dd.uniqueName()).length == 0).map(d => d.uniqueName());
    }
    _getColor(dataRow, keyIds, colorMeasureId) {
        var coloredDimensionIds = this._coloredDimensions().map(dim => dim.uniqueName()).filter(id => keyIds.indexOf(id) != -1), sliceKey = [];
        if (coloredDimensionIds.length > 0) {
            var lastColored = coloredDimensionIds[coloredDimensionIds.length - 1];
            for (var i = 0; i < keyIds.length; i++) {
                var currentId = keyIds[i];
                sliceKey.push(currentId);
                if (currentId == lastColored)
                    break;
            }
        }
        var colorValue = this._getValueBySliceKey(dataRow, sliceKey, colorMeasureId);
        if (colorValue)
            return _color__WEBPACK_IMPORTED_MODULE_6__/* .Color */ .Q.toHex(colorValue);
        return null;
    }
    _getColorMeasureId(uniqueName) {
        if (this.coloringOptions && this._coloredByMeasures()) {
            let metaData = this._dataManager().getMetaData();
            let colorMeasureDescriptors = metaData.getColorMeasures().filter(mi => mi.dataItemId === uniqueName);
            if (colorMeasureDescriptors && colorMeasureDescriptors.length > 0)
                return colorMeasureDescriptors[0].id;
        }
        return COLOR_MEASURE_ID;
    }
    _format(value, formatViewModel) {
        return !!formatViewModel ? (0,_data_formatter__WEBPACK_IMPORTED_MODULE_2__/* .format */ .GP)(value, formatViewModel) : value.toString();
    }
    _getServerText(dataRow, dataItemUniqueName) {
        return this._getSpecialValue(dataRow, dataItemUniqueName, _data_item_data_item_data_axis_point__WEBPACK_IMPORTED_MODULE_4__/* .dataStorageSpecialIds */ .p.DisplayText);
    }
    _getSpecialValue(dataRow, dataItemUniqueName, specialId) {
        return this._getValueBySliceKey(dataRow, [dataItemUniqueName], specialId);
    }
    _getValueBySliceKey(dataRow, sliceKey, valueId) {
        var storage = this._getStorage(), metaDataSliceKey = storage.getSliceKey(sliceKey);
        if (metaDataSliceKey < 0)
            return null;
        var metaDataRowKey = storage.findDataRowKey(metaDataSliceKey, dataRow);
        return storage.getValue(metaDataRowKey, valueId);
    }
    get customBindings() {
        return (this._meta && this._meta.bindings) || [];
    }
    get legacyCustomProperties() {
        return (this._meta && this._meta.properties) || [];
    }
    get customInteractivity() {
        return !!this._meta && this._meta.interactivity;
    }
    get _optionsPanelSections() {
        return !!this._meta && this._meta.optionsPanelSections;
    }
    _getMasterFilterMode() {
        return this.interactivityOptions instanceof _options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__/* .DashboardItemMasterFilterInteractivityOptions */ .hT ? this.interactivityOptions.masterFilterMode() : 'None';
    }
    _getDrillDownEnabled() {
        return this.interactivityOptions instanceof _options_interactivity_options__WEBPACK_IMPORTED_MODULE_16__/* .DashboardItemInteractivityOptions */ .lZ && this.interactivityOptions.isDrillDownEnabled();
    }
    _getIgnoreMasterFilter() { return !!this.interactivityOptions && this.interactivityOptions.ignoreMasterFilters(); }
    _getInteractivityDimensionLinks() { return this.interactivityTargets(); }
    _getIsVisualInteractivitySupported() { return this.isDrillDownAllowed() || this.isFilterAllowed(); }
    isDrillDownAllowed() {
        return CustomItem._isDrillDownAllowed(this._meta);
    }
    isFilterAllowed() {
        return CustomItem._isFilterAllowed(this._meta);
    }
    _isInteractivityAllowed() {
        return this.isDrillDownAllowed() || this.isFilterAllowed();
    }
    _getCanColorByMeasures() { return CustomItem._hasColoringMeasures(this.customBindings); }
    _getCanColorByDimensions() { return CustomItem._hasColoringDimensions(this.customBindings); }
    _getColorizableDataItemsInfo() {
        return this.customBindings.filter(binding => binding.enableColoring && binding.dataItemType === 'Dimension').map(binding => {
            var prop = this[CustomItem._getBindingLinkName(binding.propertyName)];
            return {
                items: binding.array ? prop() : [prop],
                prefixId: binding.displayName
            };
        });
    }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_custom_item_calc_window_definition__WEBPACK_IMPORTED_MODULE_11__/* .CustomItemWindowDefinition */ .c();
    }
    getInfo() {
        return CustomItem._getInfo(this._meta, this.customItemType());
    }
    _getInfoCore() {
        return null;
    }
    static _getCustomPropertiesSerializationInfo(customItemType, dynamicCustomPropertiesMetadata) {
        const filterPredicate = cp => cp.ownerType === CustomItem && cp.customItemType === customItemType || CustomItem.prototype instanceof cp.ownerType;
        const filteredCustomProperties = _custom_properties_custom_properties_metadata__WEBPACK_IMPORTED_MODULE_8__/* ._customPropertiesMeta */ .du
            .filter(filterPredicate)
            .concat(dynamicCustomPropertiesMetadata);
        return (0,_custom_properties_custom_properties_utils__WEBPACK_IMPORTED_MODULE_7__/* ._getCustomPropertiesSerializationInfoCore */ .B)(filteredCustomProperties);
    }
}
CustomItem.ItemType = 'CustomItem';
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_13__/* .collectionItemType */ .s)('Dimension')
], CustomItem.prototype, "interactivityTargets", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_13__/* .collectionItemType */ .s)('Dimension')
], CustomItem.prototype, "coloringDimensions", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_13__/* .collectionItemType */ .s)('Measure')
], CustomItem.prototype, "coloringMeasures", void 0);


/***/ }),

/***/ 7228:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  E: () => (/* binding */ setLocalization)
});

;// external "DevExpress.Analytics.Localization"
const external_DevExpress_Analytics_Localization_namespaceObject = DevExpress.Analytics.Localization;
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
;// ./dist/data/localization/_localization-initializer.js


function setLocalization(localization) {
    (0,external_DevExpress_Analytics_Localization_namespaceObject.loadMessages)(localization);
}
setLocalization((0,_default/* getDefaultLocalization */.$T)());


/***/ }),

/***/ 7229:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ customItemWindowDefinitionSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(774);

let customItemWindowDefinitionSerializationsInfo = _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationWindowDefinitionSerializationsInfo */ .s.concat([]);


/***/ }),

/***/ 7275:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ gridDataController)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);
/* harmony import */ var _grid_bar_calculator__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1051);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4833);
/* harmony import */ var _data_controller_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(814);





var GridColumnType = {
    Dimension: 'Dimension',
    Measure: 'Measure',
    Delta: 'Delta',
    Sparkline: 'Sparkline',
    Hyperlink: 'Hyperlink'
};
class gridDataController extends _data_controller_base__WEBPACK_IMPORTED_MODULE_3__/* .dataControllerBase */ .K4 {
    constructor(options) {
        super(options);
        var pushColumn = (columnName, columnViewModel) => {
            this._columnRepository[columnName] = {
                columnName: columnName,
                column: columnViewModel,
                barCalculator: columnViewModel.BarViewModel ? new _grid_bar_calculator__WEBPACK_IMPORTED_MODULE_4__/* .GridBarCalculator */ .W(columnViewModel.BarViewModel.AlwaysShowZeroLevel) : null
            };
            if (this.viewModel.SelectionDataMembers && this.viewModel.SelectionDataMembers.indexOf(columnName) !== -1) {
                this._selectionMembers.push(columnName);
            }
        };
        this._columnRepository = {};
        this._selectionMembers = [];
        if (!!this.multiData) {
            if (!!this.viewModel.HasDimensionColumns) {
                this._axisColumnPoints = this.multiData.getAxis(this.viewModel.ColumnAxisName).getPoints();
            }
            if (!!this.viewModel.SparklineAxisName) {
                this._axisSparklinePoints = this.multiData.getAxis(this.viewModel.SparklineAxisName).getPoints();
            }
            (this.viewModel.Columns || []).forEach(columnViewModel => {
                pushColumn(columnViewModel.DataId, columnViewModel);
                if (!!this._columnRepository[columnViewModel.DataId].barCalculator)
                    this.initializeColumnBarCalculator(this._columnRepository[columnViewModel.DataId]);
            });
        }
    }
    getDataSource() {
        var that = this, list = [], listItem, hasColumns = (that.viewModel.Columns || []).length > 0, axisPointsCount = !!that._axisColumnPoints ? that._axisColumnPoints.length : +hasColumns;
        for (var rowIndex = 0; rowIndex < axisPointsCount; rowIndex++) {
            listItem = { index: rowIndex };
            Object.keys(that._columnRepository).forEach(columnName => {
                let columnInfo = that._columnRepository[columnName];
                var valueItem = that._getValueItem(columnInfo, rowIndex);
                listItem[columnName] = valueItem.getValue();
                if (columnInfo.column.ColumnType === GridColumnType.Hyperlink && !!columnInfo.column.DataAttributeId) {
                    listItem[columnName + '_' + columnInfo.column.DataAttributeId] = valueItem.getUriValue();
                }
            });
            list.push(listItem);
        }
        return list;
    }
    initializeColumnBarCalculator(barColumn) {
        let columnValues = [];
        const axisPointsCount = !!this._axisColumnPoints ? this._axisColumnPoints.length : 1;
        for (let rowIndex = 0; rowIndex < axisPointsCount; rowIndex++)
            columnValues.push(this._getValueItem(barColumn, rowIndex).getValue());
        barColumn.barCalculator.initialize(Math.min(...columnValues), Math.max(...columnValues));
    }
    getValueItem(columnName, rowIndex) {
        return this._getValueItem(this._columnRepository[columnName], rowIndex);
    }
    _getValueItem(columnInfo, rowIndex) {
        var that = this;
        var columnName = columnInfo.columnName;
        switch (columnInfo.column.ColumnType) {
            case GridColumnType.Measure:
                if (columnInfo.column.DisplayMode === 'Bar') {
                    return this._getBarCellValue(columnName, rowIndex, columnInfo.barCalculator);
                }
                else {
                    return this._getMeasureCellValue(columnName, rowIndex);
                }
            case GridColumnType.Delta:
                return that._getDeltaValue(columnName, rowIndex, columnInfo.column.DisplayMode === 'Bar' ? columnInfo.barCalculator : null, columnInfo.column.DeltaValueType, columnInfo.column.IgnoreDeltaColor);
            case GridColumnType.Sparkline:
                return that._getSparklineCellValues(columnName, rowIndex, columnInfo.column.SparklineOptions);
            case GridColumnType.Hyperlink:
                return that._getCellValue(columnName, columnInfo.column.DataAttributeId, rowIndex);
            case GridColumnType.Dimension:
                return that._getCellValue(columnName, null, rowIndex);
        }
    }
    getSelectionValues(values) {
        var that = this, point, resultPoint, result = [], selectionMembers = that._selectionMembers, fit, columns = that.viewModel.Columns, visibleDimensions = columns.map(function (column) { return column.DataId; });
        if (values.length > selectionMembers.length)
            values = values.slice(-selectionMembers.length);
        jquery__WEBPACK_IMPORTED_MODULE_0__.each(that._axisColumnPoints, function (index, axisPoint) {
            fit = false;
            jquery__WEBPACK_IMPORTED_MODULE_0__.each(selectionMembers, function (memberIndex, member) {
                point = that._findAxisPoint(member, axisPoint);
                if (point && values.length > memberIndex) {
                    if (!(0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .checkValuesAreEqual */ .rY)(point.getUniqueValue(), values[memberIndex], true)) {
                        fit = false;
                        return false;
                    }
                    resultPoint = point;
                }
                fit = true;
            });
            if (fit && resultPoint) {
                result = resultPoint._selectPath(function (point) {
                    var index = visibleDimensions.indexOf(point.getDimension().id);
                    if (index === -1 || columns[index].DisplayMode != 'Image')
                        return point.getUniqueValue();
                    else
                        return;
                });
                return;
            }
        });
        return result;
    }
    getSelectedRowKeys(valuesSet) {
        var that = this, keys = [], selectionMembers = that._selectionMembers, checkAxisPoint = function (axisPoint, values) {
            var point;
            for (var i = 0; i < values.length; i++) {
                point = that._findAxisPoint(selectionMembers[i], axisPoint);
                if (!(0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .checkValuesAreEqual */ .rY)(point.getUniqueValue(), values[i], true))
                    return false;
            }
            return true;
        };
        jquery__WEBPACK_IMPORTED_MODULE_0__.each(that._axisColumnPoints, function (index, axisPoint) {
            jquery__WEBPACK_IMPORTED_MODULE_0__.each(valuesSet, function (_, values) {
                if (values.length > selectionMembers.length)
                    values = values.slice(-selectionMembers.length);
                if (checkAxisPoint(axisPoint, values)) {
                    keys.push(index);
                    return;
                }
            });
        });
        return keys;
    }
    getDimensionValues(rowIndex) {
        let columnAxisPoint = this._getColumnAxisPoint(rowIndex);
        return columnAxisPoint ? columnAxisPoint.getUniquePath() : [];
    }
    getTotalValue(measureId) {
        return this.multiData.getMeasureValue(measureId).getDisplayText();
    }
    _getBarCellValue(columnName, rowIndex, barCalculator) {
        var that = this, item = this.multiData.getMeasureValueByAxisPoints(columnName, that._getPointArray(rowIndex));
        barCalculator.addValue(rowIndex, item);
        return {
            getValue: function () {
                return item.getValue();
            },
            getData: function () {
                return that._getBarData(barCalculator, item, rowIndex);
            },
            getStyleSettingsInfo: function () {
                return that._getStyleSettingsInfo(columnName, rowIndex);
            }
        };
    }
    _getBarData(barCalculator, item, rowIndex) {
        return {
            zeroValue: barCalculator.getZeroPosition(),
            normalizedValue: barCalculator.getNormalizedValue(rowIndex || 0),
            text: item.getDisplayText()
        };
    }
    _getMeasureCellValue(columnName, rowIndex) {
        var that = this, item = that.multiData.getMeasureValueByAxisPoints(columnName, that._getPointArray(rowIndex)), value = item.getValue();
        return {
            getValue: function () {
                return value;
            },
            getData: function () {
                return {
                    value: item.getValue(),
                    displayText: item.getDisplayText()
                };
            },
            getStyleSettingsInfo: function () {
                return that._getStyleSettingsInfo(columnName, rowIndex);
            }
        };
    }
    _getCellValue(columnName, uriColumnName, rowIndex) {
        var that = this, item = undefined, uriItem = !!uriColumnName ? that.multiData.getMeasureValueByAxisPoints(uriColumnName, that._getPointArray(rowIndex)) : null, obtainItem = function () {
            if (item === undefined) {
                item = that._findAxisPoint(columnName, that._getColumnAxisPoint(rowIndex)) || {
                    getValue: function () {
                        return undefined;
                    },
                    getUniqueValue: function () {
                        return undefined;
                    },
                    getDisplayText: function () {
                        return '';
                    }
                };
            }
            return item;
        };
        var cellValue = {
            getValue: function () {
                return obtainItem().getValue();
            },
            getUniqueValue: function () {
                return obtainItem().getUniqueValue();
            },
            getData: function () {
                return {
                    value: obtainItem().getValue(),
                    displayText: obtainItem().getDisplayText()
                };
            },
            getStyleSettingsInfo: function () {
                return that._getStyleSettingsInfo(columnName, rowIndex);
            }
        };
        cellValue.getUriValue = function () {
            return !!uriItem ? uriItem.getValue() : obtainItem().getDisplayText();
        };
        return cellValue;
    }
    _getStyleSettingsInfo(columnName, rowIndex) {
        var that = this, rules = [], cellInfo = {
            rowIndex: rowIndex
        };
        if (that.cfModel) {
            rules = jquery__WEBPACK_IMPORTED_MODULE_0__.grep(that.cfModel.RuleModels, function (rule) {
                return rule.ApplyToRow || rule.ApplyToDataId === columnName;
            });
        }
        return that._getStyleSettingsInfoCore(cellInfo, rules, that.viewModel.ColumnAxisName, _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.defaultAxis);
    }
    _getStyleIndexes(rule, cellInfo, points) {
        var that = this, axisPoint, currentStyleIndexes, styleIndexes = [];
        axisPoint = cellInfo.rowIndex !== undefined ? that._getAxisPoint(cellInfo.rowIndex, rule.CalcByDataId) : undefined;
        if (axisPoint)
            points.push(axisPoint);
        currentStyleIndexes = that._getMeasureValueByAxisPoints(points, rule.FormatConditionMeasureId);
        if (currentStyleIndexes) {
            styleIndexes = styleIndexes.concat(currentStyleIndexes);
        }
        return styleIndexes;
    }
    _getAxisPoint(rowIndex, columnInfo) {
        var axisPoint = rowIndex !== undefined && !!this._axisColumnPoints ? this._axisColumnPoints[rowIndex] : undefined, correctAxisPoint = axisPoint ? this._findAxisPoint(columnInfo, axisPoint) : undefined;
        return correctAxisPoint || axisPoint;
    }
    _getDeltaValue(columnName, rowIndex, barCalculator, deltaType, useDefaultColor) {
        var that = this, deltaValue = null, deltaValueItem = null, measureValue = null, deltaDesriptor = that.multiData.getDeltaById(columnName), measureItem, idBarDisplayMode = !!barCalculator, getStyleSettingsInfo = function (columnName, rowIndex) {
            return that._getStyleSettingsInfo(columnName, rowIndex);
        };
        if (deltaDesriptor) {
            deltaValue = that.multiData.getDeltaValueByAxisPoints(columnName, that._getPointArray(rowIndex));
            deltaValueItem = that._getDeltaValueItem(deltaValue, deltaType);
            if (idBarDisplayMode)
                barCalculator.addValue(rowIndex, deltaValueItem);
            return {
                getValue: function () {
                    return deltaValueItem.getValue();
                },
                getData: function () {
                    if (idBarDisplayMode) {
                        return that._getBarData(barCalculator, deltaValueItem, rowIndex);
                    }
                    else {
                        return {
                            type: that._convertIndicatorType(deltaValue.getIndicatorType().getValue()),
                            hasPositiveMeaning: deltaValue.getIsGood().getValue(),
                            text: {
                                value: deltaValueItem.getDisplayText(),
                                useDefaultColor: useDefaultColor
                            }
                        };
                    }
                },
                getStyleSettingsInfo: function () {
                    return that._getStyleSettingsInfo(columnName, rowIndex);
                }
            };
        }
        else {
            measureItem = that.multiData.getMeasureValueByAxisPoints(columnName, that._getPointArray(rowIndex));
            if (idBarDisplayMode)
                barCalculator.addValue(rowIndex, measureItem);
            return {
                getValue: function () {
                    return measureItem.getValue();
                },
                getData: function () {
                    if (idBarDisplayMode) {
                        return that._getBarData(barCalculator, measureItem, rowIndex);
                    }
                    else {
                        return {
                            type: null,
                            hasPositiveMeaning: null,
                            text: {
                                value: measureItem.getDisplayText(),
                                useDefaultColor: null
                            }
                        };
                    }
                },
                getStyleSettingsInfo: function () {
                    return that._getStyleSettingsInfo(columnName, rowIndex);
                }
            };
        }
    }
    _getDeltaValueItem(deltaValue, deltaValueType) {
        switch (deltaValueType) {
            case 'ActualValue':
                return deltaValue.getActualValue();
            case 'AbsoluteVariation':
                return deltaValue.getAbsoluteVariation();
            case 'PercentVariation':
                return deltaValue.getPercentVariation();
            case 'PercentOfTarget':
                return deltaValue.getPercentOfTarget();
            case 'TargetValue':
                return deltaValue.getTargetValue();
        }
    }
    _getSparklineCellValues(columnName, rowIndex, sparklineOptions) {
        var that = this, measureDescriptor = that.multiData.getMeasureById(columnName), axisPoint = that._getPointArray(rowIndex), getValues = function (getter) {
            var result = [];
            if (!!that._axisSparklinePoints) {
                jquery__WEBPACK_IMPORTED_MODULE_0__.each(that._axisSparklinePoints, function (_, sparklinePoint) {
                    result.push(getter(that.multiData.getMeasureValueByAxisPoints(columnName, axisPoint.concat(sparklinePoint))));
                });
            }
            else {
                result.push(getter(that.multiData.getMeasureValueByAxisPoints(columnName, axisPoint)));
            }
            return result;
        }, values = getValues(function (item) {
            var value = item.getValue();
            return value || 0;
        });
        return {
            getValue: function () {
                return values;
            },
            getData: function () {
                var valuesItems = getValues(function (item) {
                    return item;
                }), startValue = valuesItems[0].getValue(), endValue = valuesItems[valuesItems.length - 1].getValue();
                return {
                    sparkline: that._generateSparklineOptions(values, sparklineOptions, measureDescriptor.format),
                    startText: startValue ? valuesItems[0].getDisplayText() : measureDescriptor.format(0),
                    endText: endValue ? valuesItems[valuesItems.length - 1].getDisplayText() : measureDescriptor.format(0)
                };
            },
            getStyleSettingsInfo: function () {
                return that._getStyleSettingsInfo(columnName, rowIndex);
            }
        };
    }
    _getColumnAxisPoint(rowIndex) {
        return !!this._axisColumnPoints ? this._axisColumnPoints[rowIndex] : undefined;
    }
    _getPointArray(rowIndex) {
        var point = this._getColumnAxisPoint(rowIndex), array = [];
        if (point)
            array.push(point);
        return array;
    }
}


/***/ }),

/***/ 7283:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Oh: () => (/* binding */ DataItemNumericFormat),
/* harmony export */   SL: () => (/* binding */ PercentOfTargetNumericFormat),
/* harmony export */   VW: () => (/* binding */ PercentVariationNumericFormat),
/* harmony export */   kN: () => (/* binding */ DataItemDateTimeFormat),
/* harmony export */   nm: () => (/* binding */ AbsoluteVariationNumericFormat)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_data_item_format__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3272);



class DataItemNumericFormat extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_data_item_format__WEBPACK_IMPORTED_MODULE_2__/* .dataItemNumericFormatSerializationsInfo */ .$O;
    }
    _getViewModel() {
        return {
            NumericFormat: {
                CurrencyCulture: this.currencyCultureName(),
                FormatType: this.formatType(),
                Precision: this.precision(),
                Unit: this.unit(),
                IncludeGroupSeparator: this.includeGroupSeparator()
            }
        };
    }
}
class AbsoluteVariationNumericFormat extends DataItemNumericFormat {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_data_item_format__WEBPACK_IMPORTED_MODULE_2__/* .absoluteVariationNumericFormatSerializationsInfo */ .i3;
    }
}
class PercentVariationNumericFormat extends DataItemNumericFormat {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_data_item_format__WEBPACK_IMPORTED_MODULE_2__/* .percentVariationNumericFormatSerializationsInfo */ .Uh;
    }
}
class PercentOfTargetNumericFormat extends DataItemNumericFormat {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_data_item_format__WEBPACK_IMPORTED_MODULE_2__/* .percentOfTargetNumericFormatSerializationsInfo */ .HA;
    }
}
class DataItemDateTimeFormat extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_data_item_format__WEBPACK_IMPORTED_MODULE_2__/* .dataItemDateTimeFormatSerializationsInfo */ .Bq;
    }
    _getViewModel(groupInterval) {
        return {
            DateTimeFormat: {
                GroupInterval: groupInterval || 'None',
                YearFormat: this.yearFormat(),
                QuarterFormat: this.quarterFormat(),
                MonthFormat: this.monthFormat(),
                DayOfWeekFormat: this.dayOfWeekFormat(),
                DateFormat: this.dateFormat(),
                DateHourFormat: this.dateHourFormat(),
                DateHourMinuteFormat: this.dateHourMinuteFormat(),
                DateTimeFormat: this.dateTimeFormat(),
                HourFormat: this.hourFormat(),
                ExactDateFormat: this.exactDateFormat()
            }
        };
    }
}


/***/ }),

/***/ 7328:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ DateFilterItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _viewer_parts_viewer_items_range_selector_item_range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(9667);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1923);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1513);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(9692);
/* harmony import */ var _range_filter_range_filter_item_helper__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7502);
/* harmony import */ var _range_filter_range_state_controller__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7563);
/* harmony import */ var _range_filter_date_time_period__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(3607);
/* harmony import */ var _metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1187);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};












class DateFilterItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_6__/* .DataDashboardItem */ .s {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this._defaultDateTimePeriodIndexSubscription = null;
        this.currentSelectedDateTimePeriodName = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this._attachDataItem(this, _metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_10__/* .dateFilterDimension */ .$R.propertyName);
        this.__dimension._specifics.acceptableShapingType = _data_item_data_item__WEBPACK_IMPORTED_MODULE_3__/* .AcceptableShapingType */ .zH.RangeDate;
        this.dateTimePeriods = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.DateTimePeriods, (item) => new _range_filter_date_time_period__WEBPACK_IMPORTED_MODULE_9__/* .DateTimePeriod */ .F(item, serializer));
        this.addDisposable(this._stateController = new _range_filter_range_state_controller__WEBPACK_IMPORTED_MODULE_8__/* .RangeStateController */ .B(this));
        this.addDisposable(this._defaultDateTimePeriodIndexSubscription);
        this._stateController.initialize();
        (0,_range_filter_range_filter_item_helper__WEBPACK_IMPORTED_MODULE_7__/* ._subscribeToDimension */ .x)(this.dimension, this.dateTimePeriods, this._dataManager);
    }
    _getSelectionByPeriod(period) {
        let range = period.getDateTimeValue();
        return [[range.startValue, range.endValue]];
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.dateTimePeriods);
        this.dateTimePeriods.removeAll();
    }
    _getInfoCore() {
        return _metadata_date_filter_item__WEBPACK_IMPORTED_MODULE_10__/* .dateFilterDashboardItemSerializationsInfo */ .Vj;
    }
    _getDefaultItemType() {
        return 'DateFilter';
    }
    _getClearMasterFilterSupported() { return true; }
    _getIsMasterFilter() { return true; }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getIsVisualInteractivitySupported() { return false; }
    _getInteractivityDimensionLinks() {
        return [this.__dimension];
    }
    _getDisplayFilterValues(limitCount) {
        return this._stateController._getDisplayFilterValues(limitCount);
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        (content.ViewModel.DateTimePeriods || []).forEach(p => {
            p.Start && p.Start.Date && (p.Start.Date = new Date(p.Start.Date));
            p.End && p.End.Date && (p.End.Date = new Date(p.End.Date));
        });
    }
    _setState(itemState) {
        this._stateController.setState(itemState);
    }
    _removeSelectionFromState(state) {
        let itemState = super._removeSelectionFromState((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state));
        return this._stateController.removeSelectionFromState(itemState);
    }
    _setPredefinedPeriodToState(state, periodName) {
        let itemState = super._setPredefinedPeriodToState((0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state), periodName);
        return this._stateController.setPredefinedPeriodToState(itemState, periodName);
    }
    _setSelectionToState(state, selection) {
        return this._stateController.setSelectionToState(state, selection);
    }
    _getValidatedSelection(selectionValues) {
        let validatedValues = super._getValidatedSelection(selectionValues);
        if (validatedValues && this.dimension()) {
            let validatedRange = _viewer_parts_viewer_items_range_selector_item_range_filter_selection_validator__WEBPACK_IMPORTED_MODULE_11__/* .RangeFilterSelectionValidator */ .A.validate({
                startValue: validatedValues[0][0],
                endValue: validatedValues[0][1]
            }, this.dimension()._actualDateTimeGroupInterval() === 'Year');
            validatedValues[0] = [validatedRange.startValue, validatedRange.endValue];
        }
        return validatedValues;
    }
    _extendContentState(content) {
        super._extendContentState(content);
        this._stateController.extendContentState(content);
    }
    _hasSelection() {
        if (!!this.currentSelectedDateTimePeriodName())
            return true;
        else if (super._hasSelection()) {
            if (!!this._selectionValues()[0][0] || !!this._selectionValues()[0][1])
                return true;
        }
        return false;
    }
    _isSortingEnabled() {
        return false;
    }
    _isTopNEnabled(dataItem) {
        return false;
    }
    _getEntireRange() {
        if (this._multiData) {
            var measures = this._multiData.getMeasures();
            var values = [];
            for (var i = 0; i < measures.length; i++)
                values.push(this._multiData.getMeasureValue(measures[i].id).getValue());
            values.sort((a, b) => a > b ? 1 : -1);
            return values;
        }
        return [];
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_4__/* .collectionItemType */ .s)('DateTimePeriod')
], DateFilterItem.prototype, "dateTimePeriods", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_5__/* .itemTypesMap */ .Jh['DateFilter'] = { type: DateFilterItem, groupName: 'filter', title: 'DashboardStringId.DefaultNameDateFilterItem', index: 350 };


/***/ }),

/***/ 7339:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ FormatConditionRangeSet)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _format_condition_range_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3730);
/* harmony import */ var _metadata_format_condition_range_set__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8324);
/* harmony import */ var _range_generator__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5771);




class FormatConditionRangeSet extends _format_condition_range_base__WEBPACK_IMPORTED_MODULE_1__/* .FormatConditionRangeBase */ .L {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_format_condition_range_set__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionRangeSetSerializationsInfo */ .v;
    }
    getActualPredefinedType() {
        return _range_generator__WEBPACK_IMPORTED_MODULE_3__/* .FormatConditionRangeGenerator */ .N.getPredefinedType(this.actualStyles, type => {
            var c = new FormatConditionRangeSet();
            _range_generator__WEBPACK_IMPORTED_MODULE_3__/* .FormatConditionRangeGenerator */ .N.generateRangeSet(c, type);
            return c;
        });
    }
    setActualPredefinedType(type) {
        _range_generator__WEBPACK_IMPORTED_MODULE_3__/* .FormatConditionRangeGenerator */ .N.generateRangeSet(this, type);
    }
}


/***/ }),

/***/ 7343:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ CalculationSurface)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _items_properties_composers_calculation_properties_composer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3915);


class CalculationSurface {
    constructor(model, measure, dashboardItem, dataSourceBrowser, propertiesController) {
        this.model = model;
        this.measure = measure;
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
        this.propertiesController = propertiesController;
        this._disposables = [];
        this.propertiesTabs = knockout__WEBPACK_IMPORTED_MODULE_0__.observableArray([]);
    }
    updatePropertiesTabs() {
        var composer = new _items_properties_composers_calculation_properties_composer__WEBPACK_IMPORTED_MODULE_1__/* .CalculationPropertiesComposer */ .h();
        var tabs = composer.composeTabs(this.measure, {
            dashboardItem: this.dashboardItem,
            dataSourceBrowser: this.dataSourceBrowser
        });
        this.propertiesTabs(tabs);
        this.propertiesController.secondaryModel({
            displayText: this.model.title,
            data: this
        });
        this.propertiesController.secondarySelectedIndex(0);
    }
    startEditing(args) {
        args.createImmediately = false;
        this.updatePropertiesTabs();
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}


/***/ }),

/***/ 7345:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ RangeFilterWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6368);



class RangeFilterWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_range_filter_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .rangeFilterWindowDefinitionSerializationsInfo */ .u;
    }
    equals(def) {
        return (def instanceof RangeFilterWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['RangeFilterWindowDefinition'] = RangeFilterWindowDefinition;


/***/ }),

/***/ 7395:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ FilterExpressionEditorViewModel)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2991);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);



class FilterExpressionEditorViewModel {
    constructor(params) {
        this.params = params;
        this.editorTemplate = 'dx-filtereditor-popup';
        this.criteriaString = knockout__WEBPACK_IMPORTED_MODULE_2__.observable();
        this.editor = new _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__.FilterEditor(params.options, params.fieldListProvider, false, params.displayNameProvider);
        knockout__WEBPACK_IMPORTED_MODULE_2__.computed(() => {
            var displayExpressionConverter = new _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.DisplayExpressionConverter(params.displayNameProvider);
            displayExpressionConverter.toDisplayExpression(params.options().path(), params.options().value()).done((result) => {
                this.criteriaString(result);
            }).fail(() => {
                this.criteriaString(params.options().value());
            });
        });
    }
    edit() {
        this.editor.popupVisible(true);
    }
    remove() {
        this.params.options().value(null);
    }
}


/***/ }),

/***/ 7490:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ SparklineOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1807);



class SparklineOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_sparkline_options__WEBPACK_IMPORTED_MODULE_2__/* .sparklineOptionsSerializationsInfo */ .Fr;
    }
}


/***/ }),

/***/ 7502:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   x: () => (/* binding */ _subscribeToDimension)
/* harmony export */ });
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1041);

const _subscribeToDimension = (dimension, dateTimePeriods, dataManager) => {
    (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_0__/* .safeSubscribe */ .uQ)({
        dimension,
        dateTimePeriods,
        dataManager
    }, (args) => {
        setPeriodFirstDayOfWeek(args.dimension, args.dateTimePeriods, args.dataManager);
        const subscriptions = args.dimension ?
            args.dateTimePeriods.map(curPeriod => curPeriod._subscribeToGroupInterval(args.dimension)) : [];
        return { dispose: () => { subscriptions.forEach(s => s.dispose()); } };
    });
};
const setPeriodFirstDayOfWeek = (dimension, dateTimePeriods, dataManager) => {
    const metaData = dataManager && dataManager.getMetaData();
    const dimensionUniqueName = dimension && dimension.uniqueName();
    const dimensionFormat = metaData && metaData.getDimensionFormat(dimensionUniqueName);
    const firstDayOfWeek = dimensionFormat && dimensionFormat.DateTimeFormat && dimensionFormat.DateTimeFormat.FirstDayOfWeek;
    if (firstDayOfWeek) {
        dateTimePeriods.forEach(period => period._firstDayOfWeek(firstDayOfWeek));
    }
};


/***/ }),

/***/ 7540:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F1: () => (/* binding */ formatRuleName),
/* harmony export */   HI: () => (/* binding */ classCaption),
/* harmony export */   Qd: () => (/* binding */ dashboardItemFormatRuleSerializationsInfo),
/* harmony export */   Sn: () => (/* binding */ enabled),
/* harmony export */   uH: () => (/* binding */ condition),
/* harmony export */   zY: () => (/* binding */ conditionTypes)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _conditions_format_condition_average__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6826);
/* harmony import */ var _conditions_format_condition_bar__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8408);
/* harmony import */ var _conditions_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4866);
/* harmony import */ var _conditions_format_condition_expression__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6855);
/* harmony import */ var _conditions_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8184);
/* harmony import */ var _conditions_format_condition_value__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4544);
/* harmony import */ var _conditions_range_format_condition_range_color_bar__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2160);
/* harmony import */ var _conditions_range_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(9899);
/* harmony import */ var _conditions_range_format_condition_range_gradient_bar__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9539);
/* harmony import */ var _conditions_range_format_condition_range_set__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7339);











let formatRuleName = {
    propertyName: 'name', modelName: '@Name', displayName: 'DashboardWebStringId.Options.Caption', simpleFormAdapterItem: 'textBoxEditor'
};
let classCaption = {
    propertyName: '_classCaption', displayName: 'DashboardWebStringId.Options.Caption', simpleFormAdapterItem: 'textBoxEditor'
};
let enabled = { propertyName: 'enabled', modelName: '@Enabled', displayName: 'DashboardWebStringId.TopNEnabled', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let conditionTypes = [
    { propertyName: 'conditionValue', displayName: 'DashboardStringId.CommandFormatRuleValue', modelName: 'FormatConditionValue', type: _conditions_format_condition_value__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionValue */ .q },
    { propertyName: 'conditionTopBottom', displayName: 'DashboardStringId.CommandFormatRuleTopBottom', modelName: 'FormatConditionTopBottom', type: _conditions_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_5__/* .FormatConditionTopBottom */ .Z },
    { propertyName: 'conditionAverage', displayName: 'DashboardStringId.CommandFormatRuleAboveBelowAverage', modelName: 'FormatConditionAverage', type: _conditions_format_condition_average__WEBPACK_IMPORTED_MODULE_1__/* .FormatConditionAverage */ .O },
    { propertyName: 'conditionDateOccuring', displayName: 'DashboardStringId.CommandFormatRuleDateOccurring', modelName: 'FormatConditionDateOccurring', type: _conditions_format_condition_date_occuring__WEBPACK_IMPORTED_MODULE_3__/* .FormatConditionDateOccurring */ .n },
    { propertyName: 'conditionExpression', displayName: 'DashboardStringId.CommandFormatRuleExpression', modelName: 'FormatConditionExpression', type: _conditions_format_condition_expression__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionExpression */ .d },
    { propertyName: 'conditionBar', displayName: 'DashboardStringId.CommandFormatRuleBar', modelName: 'FormatConditionBar', type: _conditions_format_condition_bar__WEBPACK_IMPORTED_MODULE_2__/* .FormatConditionBar */ .u },
    { propertyName: 'conditionColorRangeBar', displayName: 'DashboardStringId.CommandFormatRuleColorRangeBar', modelName: 'FormatConditionColorRangeBar', type: _conditions_range_format_condition_range_color_bar__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionColorRangeBar */ .Y },
    { propertyName: 'conditionGradientRangeBar', displayName: 'DashboardWebStringId.ConditionalFormatting.GradientRangeBar', modelName: 'FormatConditionGradientRangeBar', type: _conditions_range_format_condition_range_gradient_bar__WEBPACK_IMPORTED_MODULE_9__/* .FormatConditionGradientRangeBar */ .r },
    { propertyName: 'conditionRangeGradient', displayName: 'DashboardWebStringId.ConditionalFormatting.RangeGradient', modelName: 'FormatConditionRangeGradient', type: _conditions_range_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_8__/* .FormatConditionRangeGradient */ .A },
    { propertyName: 'conditionRangeSet', displayName: 'DashboardStringId.CommandFormatRuleRangeSet', modelName: 'FormatConditionRangeSet', type: _conditions_range_format_condition_range_set__WEBPACK_IMPORTED_MODULE_10__/* .FormatConditionRangeSet */ .E }
];
let condition = { propertyName: 'condition' };
let dashboardItemFormatRuleSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, formatRuleName, enabled, condition].concat(conditionTypes);


/***/ }),

/***/ 7563:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ RangeStateController)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4833);
/* harmony import */ var _dashboard_state__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2216);
/* harmony import */ var _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8782);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2037);







class RangeStateController extends _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.Disposable {
    get defaultDateTimePeriodName() { return this.item.defaultDateTimePeriodName; }
    get currentSelectedDateTimePeriodName() { return this.item.currentSelectedDateTimePeriodName; }
    get dateTimePeriods() { return this.item.dateTimePeriods; }
    get _selectionValues() { return this.item._selectionValues; }
    _getSelectionByPeriod(period) {
        return this.item._getSelectionByPeriod(period);
    }
    _setSelection(stateSelection) {
        this.item._setSelection(stateSelection);
    }
    constructor(item) {
        super();
        this.item = item;
    }
    initialize() {
        if (this.defaultDateTimePeriodName()) {
            this.item._processItemSetPredefinedPeriod(this.defaultDateTimePeriodName());
        }
        this.addDisposable(this.dateTimePeriods.subscribe(newPeriods => {
            if (!newPeriods.filter(p => p.name() === this.defaultDateTimePeriodName())[0]) {
                this.defaultDateTimePeriodName(undefined);
            }
        }));
        var subscribeOnDefaultPeriodNameChange = () => {
            this.item._defaultDateTimePeriodIndexSubscription && this.item._defaultDateTimePeriodIndexSubscription.dispose();
            this.item._defaultDateTimePeriodIndexSubscription = null;
            var newPeriod = this.dateTimePeriods().filter(p => p.name() === this.defaultDateTimePeriodName())[0];
            if (newPeriod) {
                this.item._defaultDateTimePeriodIndexSubscription = newPeriod.name.subscribe((changedName) => {
                    this.defaultDateTimePeriodName(changedName);
                });
            }
        };
        this.addDisposable(this.defaultDateTimePeriodName.subscribe(newName => {
            subscribeOnDefaultPeriodNameChange();
            this.item._processItemSetPredefinedPeriod(newName);
        }));
        subscribeOnDefaultPeriodNameChange();
        this.addDisposable(this.item._state = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var state = new _dashboard_state__WEBPACK_IMPORTED_MODULE_4__/* .ItemState */ .hF();
            if (this.defaultDateTimePeriodName() && this.defaultDateTimePeriodName() !== this.currentSelectedDateTimePeriodName()) {
                state.RangeFilterState = null;
            }
            if (this.currentSelectedDateTimePeriodName()) {
                if (this.currentSelectedDateTimePeriodName() !== this.defaultDateTimePeriodName()) {
                    state.RangeFilterState = {
                        PeriodName: this.currentSelectedDateTimePeriodName()
                    };
                }
            }
            else {
                var selection = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_5__/* .toStringArray */ .oU)(this._selectionValues());
                if (selection && selection.length && (!!selection[0][0] || !!selection[0][1])) {
                    state.RangeFilterState = {
                        Selection: {
                            Minimum: selection[0][0],
                            Maximum: selection[0][1]
                        }
                    };
                }
            }
            return state;
        }));
    }
    setState(itemState) {
        var obsoleteItemState = itemState;
        let rangeFilterState = itemState.RangeFilterState;
        let selectedPeriod;
        let selection;
        if (rangeFilterState) {
            let rangeSelection = rangeFilterState.Selection;
            if (rangeFilterState.PeriodName) {
                let period = this.dateTimePeriods().filter(p => p.name() === rangeFilterState.PeriodName)[0];
                if (period) {
                    selectedPeriod = rangeFilterState.PeriodName;
                    selection = this._getSelectionByPeriod(period);
                }
            }
            else if (rangeSelection) {
                if (!!rangeSelection.Minimum || !!rangeSelection.Maximum) {
                    selection = [[rangeSelection.Minimum, rangeSelection.Maximum]];
                }
            }
        }
        else {
            selection = itemState.MasterFilterValues || obsoleteItemState.Selection;
        }
        this.currentSelectedDateTimePeriodName(selectedPeriod);
        this._setSelection(selection);
    }
    removeSelectionFromState(state) {
        var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state);
        itemState.RangeFilterState = undefined;
        return itemState;
    }
    setPredefinedPeriodToState(state, periodName) {
        var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state);
        itemState.RangeFilterState = { PeriodName: periodName };
        return itemState;
    }
    setSelectionToState(state, selection) {
        var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)({}, state);
        if (!itemState.RangeFilterState) {
            itemState.RangeFilterState = new _dashboard_state__WEBPACK_IMPORTED_MODULE_4__/* .RangeFilterState */ .pg();
        }
        let rangeSelection = new _dashboard_state__WEBPACK_IMPORTED_MODULE_4__/* .RangeFilterSelection */ .S$();
        if (selection && selection.length > 0 && selection[0].length > 0) {
            rangeSelection.Minimum = selection[0][0];
            rangeSelection.Maximum = selection[0][1];
        }
        itemState.RangeFilterState.Selection = rangeSelection;
        return itemState;
    }
    extendContentState(content) {
        if (this.currentSelectedDateTimePeriodName()) {
            let selectedPeriod = this.dateTimePeriods().filter(p => p.name() === this.currentSelectedDateTimePeriodName())[0];
            if (selectedPeriod) {
                content.ViewModel.SelectedPeriodIndex = this.dateTimePeriods().indexOf(selectedPeriod);
            }
        }
    }
    _getDisplayFilterValues(limitCount) {
        var metaData = this.item._dataManager() ? this.item._dataManager().getMetaData() : undefined, selection = this.item._outputFilter(), outFilterValues = [], argumentDimension = selection && selection.dimensions && selection.dimensions[0];
        if (argumentDimension) {
            let dimensionId = argumentDimension['@DefaultId'];
            let format = metaData ? metaData.getDimensionFormat(dimensionId) : undefined;
            if (!(0,_data_utils__WEBPACK_IMPORTED_MODULE_3__/* .arrayEquals */ .ng)(selection.range, this.item._fullRange())) {
                let filterValues = new _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_6__/* .DimensionFilterValues */ .R(this.item._getDimensionDisplayName(dimensionId));
                filterValues.Values.push({
                    Type: 'Range',
                    RangeLeft: selection.range[0],
                    RangeRight: selection.range[1],
                    Format: format
                });
                outFilterValues.push(filterValues);
            }
        }
        return outFilterValues;
    }
}


/***/ }),

/***/ 7576:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AD: () => (/* binding */ indicatorTypeMap),
/* harmony export */   FA: () => (/* binding */ chartIndicatorValueLevel),
/* harmony export */   Gu: () => (/* binding */ chartIndicatorType),
/* harmony export */   LD: () => (/* binding */ chartIndicatorValue),
/* harmony export */   Py: () => (/* binding */ chartIndicatorShowInLegend),
/* harmony export */   Qk: () => (/* binding */ chartIndicatorVisible),
/* harmony export */   b_: () => (/* binding */ chartIndicatorColor),
/* harmony export */   lm: () => (/* binding */ chartIndicatorDashStyle),
/* harmony export */   qH: () => (/* binding */ chartIndicatorLegendText),
/* harmony export */   sT: () => (/* binding */ chartIndicatorSerializationInfo),
/* harmony export */   uJ: () => (/* binding */ chartIndicatorThickness)
/* harmony export */ });
/* unused harmony exports dashStyleMap, chartIndicatorIgnoreEmptyArgument, chartIndicatorDisplayName, chartIndicatorTypeName */
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5419);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _chart_pane__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(164);



let dashStyleMap = {
    'Solid': 'DashboardWebStringId.Chart.Indicator.DashStyle.Solid',
    'Dash': 'DashboardWebStringId.Chart.Indicator.DashStyle.Dash',
    'Dot': 'DashboardWebStringId.Chart.Indicator.DashStyle.Dot',
    'DashDot': 'DashboardWebStringId.Chart.Indicator.DashStyle.DashDot',
    'DashDotDot': 'DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot'
};
let indicatorTypeMap = {
    'RegressionLine': 'DashboardWebStringId.Chart.Indicator.Type.Regression',
    'TrendLine': 'DashboardWebStringId.Chart.Indicator.Type.Trend'
};
let chartIndicatorColor = { propertyName: 'color', modelName: '@Color', displayName: 'DashboardWebStringId.Chart.Indicator.Color', from: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorRgbaFromModel, toJsonObject: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorRgbaToModel, simpleFormAdapterItem: 'colorBoxEditor' };
let chartIndicatorDashStyle = { propertyName: 'dashStyle', modelName: '@DashStyle', displayName: 'DashboardWebStringId.Chart.Indicator.DashStyle', defaultVal: 'Solid', values: dashStyleMap, simpleFormAdapterItem: 'selectBoxEditor' };
let chartIndicatorIgnoreEmptyArgument = { propertyName: 'ignoreEmptyArgument', modelName: '@IgnoreEmptyArgument', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let chartIndicatorType = { propertyName: 'itemType', modelName: '@ItemType', displayName: 'DashboardWebStringId.Chart.Indicator.Type', values: indicatorTypeMap, simpleFormAdapterItem: 'selectBoxEditor' };
let chartIndicatorLegendText = { propertyName: 'legendText', modelName: '@LegendText', displayName: 'DashboardWebStringId.Chart.Indicator.LegendText', simpleFormAdapterItem: 'textBoxEditor' };
let chartIndicatorValue = { propertyName: 'value', modelName: '@Value', displayName: 'DashboardWebStringId.Chart.Indicator.Value', simpleFormAdapterItem: 'selectBoxEditor' };
let chartIndicatorShowInLegend = { propertyName: 'showInLegend', modelName: '@ShowInLegend', displayName: 'DashboardWebStringId.Chart.Indicator.ShowInLegend', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let chartIndicatorThickness = { propertyName: 'thickness', modelName: '@Thickness', displayName: 'DashboardWebStringId.Chart.Indicator.Thickness', defaultVal: 1, from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .floatFromModel */ .a1 };
let chartIndicatorVisible = { propertyName: 'visible', modelName: '@Visible', displayName: 'DashboardWebStringId.Chart.Indicator.Visible', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let chartIndicatorValueLevel = { propertyName: 'valueLevel', modelName: '@ValueLevel', displayName: 'DashboardWebStringId.Chart.Indicator.ValueLevel', isTwoWay: true };
let chartIndicatorDisplayName = { propertyName: 'displayName', modelName: '@DisplayName' };
let chartIndicatorTypeName = { propertyName: 'customTypeName', modelName: '@TypeName' };
let chartIndicatorSerializationInfo = [
    chartIndicatorIgnoreEmptyArgument, chartIndicatorValue,
    _chart_pane__WEBPACK_IMPORTED_MODULE_2__/* .chartPaneName */ .Wh, chartIndicatorDisplayName, chartIndicatorType,
    chartIndicatorValueLevel, chartIndicatorDashStyle, chartIndicatorLegendText,
    chartIndicatorShowInLegend,
    chartIndicatorThickness, chartIndicatorVisible, chartIndicatorTypeName,
    chartIndicatorColor
];


/***/ }),

/***/ 7582:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ey: () => (/* binding */ calculatedFieldSerializationsInfo),
/* harmony export */   Kl: () => (/* binding */ calcFieldDataMember),
/* harmony export */   Oj: () => (/* binding */ calcFieldExpressionEditable),
/* harmony export */   j: () => (/* binding */ calculatedFieldType),
/* harmony export */   oq: () => (/* binding */ calcFieldExpression)
/* harmony export */ });
/* harmony import */ var _internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1023);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);


let calcFieldDataMember = { propertyName: 'dataMember', modelName: '@DataMember' };
let calcFieldExpression = { propertyName: 'expression', modelName: '@Expression',
    from: (expressionStr) => {
        return (0,_internal_expression_utils__WEBPACK_IMPORTED_MODULE_0__/* .replaceExpressionParametersPrefix */ .nV)(expressionStr);
    }, defaultVal: '' };
let calcFieldExpressionEditable = { propertyName: 'expressionEditable', displayName: 'DashboardStringId.CalculationTypeExpression' };
let calculatedFieldType = {
    propertyName: 'fieldType', modelName: '@DataType', displayName: 'DevExpressWebStringId.CalculatedFieldDataType', defaultVal: 'String', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Auto': 'DashboardStringId.CalculatedFieldTypeAuto',
        'String': 'DashboardStringId.CalculatedFieldTypeString',
        'Integer': 'DashboardStringId.CalculatedFieldTypeLong',
        'Double': 'DashboardStringId.CalculatedFieldTypeDouble',
        'Decimal': 'DashboardStringId.CalculatedFieldTypeDecimal',
        'Boolean': 'DashboardStringId.CalculatedFieldTypeBoolean',
        'DateTime': 'DashboardStringId.CalculatedFieldTypeDateTime',
        'Object': 'DashboardStringId.CalculatedFieldTypeObject'
    }
};
let calculatedFieldSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, calcFieldExpression, calculatedFieldType, calcFieldDataMember];


/***/ }),

/***/ 7604:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ chartArgumentsMeta),
/* harmony export */   W: () => (/* binding */ chartItemBaseSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1965);
/* harmony import */ var _series_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8181);



let chartArgumentsMeta = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .argumentsPropertyName */ .zv, modelName: 'Arguments', displayName: 'DashboardStringId.ChartCalculationAlongArguments', array: true };
let chartItemBaseSerializationsInfo = _series_item__WEBPACK_IMPORTED_MODULE_2__/* .seriesDashboardItemSerializationsInfo */ .c.concat([chartArgumentsMeta, _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_1__/* .coloringOptions */ .k]);


/***/ }),

/***/ 7618:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ID: () => (/* binding */ groupChildValues),
/* harmony export */   LW: () => (/* binding */ topNOptionsCount),
/* harmony export */   Mo: () => (/* binding */ sortMode),
/* harmony export */   N3: () => (/* binding */ topNOptionsMode),
/* harmony export */   NF: () => (/* binding */ dateTimeGroupIntervalsDict),
/* harmony export */   PG: () => (/* binding */ rangeDateTimeGroupInterval),
/* harmony export */   R9: () => (/* binding */ sortMeasure),
/* harmony export */   Xd: () => (/* binding */ sortOrderOlap),
/* harmony export */   aS: () => (/* binding */ topNOptionsMeasure),
/* harmony export */   cQ: () => (/* binding */ dateTimeGroupInterval),
/* harmony export */   e: () => (/* binding */ textGroupInterval),
/* harmony export */   i7: () => (/* binding */ sortOrderBase),
/* harmony export */   j7: () => (/* binding */ topNOptionsEnabled),
/* harmony export */   jH: () => (/* binding */ topNOptionsSerializationsInfo),
/* harmony export */   kO: () => (/* binding */ dimensionGroupIndex),
/* harmony export */   ow: () => (/* binding */ realSortMode),
/* harmony export */   pg: () => (/* binding */ dimensionItemSerializationsInfo),
/* harmony export */   po: () => (/* binding */ topNOptionsModeValues),
/* harmony export */   uv: () => (/* binding */ topNOptionsShowOthers),
/* harmony export */   wN: () => (/* binding */ sortOrderNonOlap),
/* harmony export */   z4: () => (/* binding */ coloringMode),
/* harmony export */   zp: () => (/* binding */ isDiscreteNumericScale)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _data_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(158);


let dateTimeGroupIntervalsDict = {
    'Year': 'DashboardStringId.DateTimeGroupIntervalYear',
    'Quarter': 'DashboardStringId.DateTimeGroupIntervalQuarter',
    'Month': 'DashboardStringId.DateTimeGroupIntervalMonth',
    'Day': 'DashboardStringId.DateTimeGroupIntervalDay',
    'Hour': 'DashboardStringId.DateTimeGroupIntervalHour',
    'Minute': 'DashboardStringId.DateTimeGroupIntervalMinute',
    'Second': 'DashboardStringId.DateTimeGroupIntervalSecond',
    'DayOfYear': 'DashboardStringId.DateTimeGroupIntervalDayOfYear',
    'DayOfWeek': 'DashboardStringId.DateTimeGroupIntervalDayOfWeek',
    'WeekOfYear': 'DashboardStringId.DateTimeGroupIntervalWeekOfYear',
    'WeekOfMonth': 'DashboardStringId.DateTimeGroupIntervalWeekOfMonth',
    'QuarterYear': 'DashboardStringId.DateTimeGroupIntervalQuarterYear',
    'MonthYear': 'DashboardStringId.DateTimeGroupIntervalMonthYear',
    'WeekYear': 'DashboardStringId.DateTimeGroupIntervalWeekYear',
    'DayMonthYear': 'DashboardStringId.DateTimeGroupIntervalDayMonthYear',
    'DateHour': 'DashboardStringId.DateTimeGroupIntervalDateHour',
    'DateHourMinute': 'DashboardStringId.DateTimeGroupIntervalDateHourMinute',
    'DateHourMinuteSecond': 'DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond',
    'None': 'DashboardStringId.DateTimeGroupIntervalExactDate'
};
let dimensionGroupIndex = { propertyName: 'groupIndex', modelName: '@GroupIndex' };
let dateTimeGroupInterval = {
    propertyName: 'dateTimeGroupInterval', modelName: '@DateTimeGroupInterval', displayName: 'DashboardWebStringId.Dimension.GroupInterval', defaultVal: 'Year', simpleFormAdapterItem: 'selectBoxEditor', values: dateTimeGroupIntervalsDict
};
let rangeDateTimeGroupInterval = {
    propertyName: 'dateTimeGroupInterval', modelName: '@DateTimeGroupInterval', displayName: 'DashboardWebStringId.Dimension.GroupInterval', defaultVal: 'Year', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Year': 'DashboardStringId.DateTimeGroupIntervalYear',
        'QuarterYear': 'DashboardStringId.DateTimeGroupIntervalQuarterYear',
        'MonthYear': 'DashboardStringId.DateTimeGroupIntervalMonthYear',
        'DayMonthYear': 'DashboardStringId.DateTimeGroupIntervalDayMonthYear',
        'DateHour': 'DashboardStringId.DateTimeGroupIntervalDateHour',
        'DateHourMinute': 'DashboardStringId.DateTimeGroupIntervalDateHourMinute',
        'DateHourMinuteSecond': 'DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond',
        'None': 'DashboardStringId.DateTimeGroupIntervalExactDate'
    }
};
let sortOrderBase = {
    propertyName: 'sortOrder', modelName: '@SortOrder', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder', defaultVal: 'Ascending', simpleFormAdapterItem: 'buttonGroupEditor'
};
let sortOrderOlap = {
    values: {
        'Ascending': 'DevExpress.DashboardCommon.DimensionSortOrder.Ascending',
        'Descending': 'DevExpress.DashboardCommon.DimensionSortOrder.Descending',
        'None': 'DevExpress.DashboardCommon.DimensionSortOrder.None'
    },
    ...sortOrderBase
};
let sortOrderNonOlap = {
    values: {
        'Ascending': 'DevExpress.DashboardCommon.DimensionSortOrder.Ascending',
        'Descending': 'DevExpress.DashboardCommon.DimensionSortOrder.Descending'
    },
    ...sortOrderBase
};
let sortMode = {
    propertyName: 'sortMode', modelName: '@SortMode', displayName: 'DashboardWebStringId.Dimension.SortMode', defaultVal: 'Value', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'DisplayText': 'DashboardStringId.CommandDimensionSortModeDisplayText',
        'Value': 'DashboardStringId.CommandDimensionSortModeValue',
        'ID': 'DashboardStringId.CommandDimensionSortModeID',
        'Key': 'DashboardStringId.CommandDimensionSortModeKey'
    }
};
let textGroupInterval = {
    propertyName: 'textGroupInterval', modelName: '@TextGroupInterval', displayName: 'DashboardWebStringId.Dimension.GroupInterval', defaultVal: 'None', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'None': 'DashboardStringId.GroupIntervalNone',
        'Alphabetical': 'DashboardStringId.TextGroupIntervalAlphabetical'
    }
};
let isDiscreteNumericScale = { propertyName: 'isDiscreteNumericScale', modelName: '@IsDiscreteScale', displayName: 'DashboardWebStringId.Dialog.ArgumentMode', defaultVal: false, simpleFormAdapterItem: 'discreteContinuousButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let groupChildValues = { propertyName: 'groupChildValues', modelName: '@GroupChildValues', displayName: 'DashboardStringId.CommandDimensionGroupChildValues', defaultVal: false, simpleFormAdapterItem: 'yesNoButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let coloringMode = {
    propertyName: 'coloringMode', modelName: '@ColoringMode', displayName: 'DashboardWebStringId.ColoringOptions', defaultVal: 'Default', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Default': 'DashboardWebStringId.ColoringModeAuto',
        'None': 'DashboardWebStringId.ColoringModeOff',
        'Hue': 'DashboardWebStringId.ColoringModeOn'
    }
};
let sortMeasure = { propertyName: 'sortMeasure', modelName: '@SortByMeasure', displayName: 'DashboardWebStringId.DimensionSortBy' };
let realSortMode = { propertyName: 'realSortMode', defaultVal: 'DXValue', displayName: 'DashboardWebStringId.DimensionSortBy', simpleFormAdapterItem: 'selectBoxEditor' };
let topNOptionsEnabled = { propertyName: 'topNOptionsEnabled', modelName: '@TopNEnabled', displayName: 'DashboardWebStringId.TopNEnabled', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let topNOptionsModeValues = {
    'Top': 'DashboardWebStringId.TopN.Top',
    'Bottom': 'DashboardWebStringId.TopN.Bottom'
};
let topNOptionsMode = {
    propertyName: 'topNOptionsMode', modelName: '@TopNMode', displayName: 'DashboardWebStringId.TopNMode', defaultVal: 'Top', simpleFormAdapterItem: 'buttonGroupEditor', values: topNOptionsModeValues
};
let topNOptionsCount = { propertyName: 'topNOptionsCount', modelName: '@TopNCount', displayName: 'DashboardStringId.SummaryTypeCount', defaultVal: 5, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, editorOptions: { min: 1 }, validateBeforeSet: true, validationRules: [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .integerValidationRule */ .OY] };
let topNOptionsMeasure = { propertyName: 'topNOptionsMeasureName', modelName: '@TopNMeasure', displayName: 'DashboardStringId.DescriptionItemMeasure', simpleFormAdapterItem: 'selectBoxEditor' };
let topNOptionsShowOthers = { propertyName: 'topNOptionsShowOthers', modelName: '@TopNShowOthers', displayName: 'DashboardWebStringId.ShowOthersValue', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let topNOptionsSerializationsInfo = [topNOptionsEnabled, topNOptionsMode, topNOptionsCount, topNOptionsMeasure, topNOptionsShowOthers];
let dimensionItemSerializationsInfo = _data_item__WEBPACK_IMPORTED_MODULE_1__/* .dataItemSerializationsInfo */ .lh
    .concat(dimensionGroupIndex, dateTimeGroupInterval, sortOrderBase, sortMeasure, sortMode, textGroupInterval, isDiscreteNumericScale, groupChildValues, coloringMode)
    .concat(topNOptionsSerializationsInfo);


/***/ }),

/***/ 7654:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ RunningTotalCalculation)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5354);
/* harmony import */ var _metadata_running_total_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3131);



class RunningTotalCalculation extends _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculation */ .Q {
    get name() {
        return 'DashboardWebStringId.Calculations.RunningTotal';
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_running_total_calculation__WEBPACK_IMPORTED_MODULE_2__/* .runningTotalCalculationSerializationsInfo */ .E;
    }
    _createInstance() {
        return new RunningTotalCalculation();
    }
    _getExpression(argument) {
        switch (this.summaryType()) {
            case 'Average':
                return `RunningAvg(${argument})`;
            case 'Count':
                return `RunningCount(${argument})`;
            case 'Max':
                return `RunningMax(${argument})`;
            case 'Min':
                return `RunningMin(${argument})`;
            case 'Sum':
                return `RunningSum(${argument})`;
            default:
                return `${this._getAggrName(this.summaryType())}(${argument}, First(), 0)`;
        }
    }
}
_measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .calculationsTypesMap */ .c['RunningTotal'] = RunningTotalCalculation;


/***/ }),

/***/ 7685:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Fe: () => (/* binding */ nextValuesCount),
/* harmony export */   Rb: () => (/* binding */ summaryType),
/* harmony export */   ZM: () => (/* binding */ previousValuesCount),
/* harmony export */   hc: () => (/* binding */ movingCalculationSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8675);


let summaryType = {
    propertyName: 'summaryType', modelName: '@SummaryType', displayName: 'DashboardWebStringId.SummaryType', defaultVal: 'Sum', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Count': 'DashboardStringId.SummaryTypeCount',
        'Sum': 'DashboardStringId.SummaryTypeSum',
        'Min': 'DashboardStringId.SummaryTypeMin',
        'Max': 'DashboardStringId.SummaryTypeMax',
        'Average': 'DashboardStringId.SummaryTypeAverage',
        'StdDev': 'DashboardStringId.SummaryTypeStdDev',
        'StdDevp': 'DashboardStringId.SummaryTypeStdDevp',
        'Var': 'DashboardStringId.SummaryTypeVar',
        'Varp': 'DashboardStringId.SummaryTypeVarp',
        'CountDistinct': 'DashboardStringId.SummaryTypeCountDistinct',
        'Median': 'DashboardStringId.SummaryTypeMedian',
        'Mode': 'DashboardStringId.SummaryTypeMode'
    }
};
let previousValuesCount = { propertyName: 'previousValuesCount', modelName: '@PreviousValuesCount', displayName: 'DashboardWebStringId.Calculations.PreviousValuesCount', defaultVal: 2, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let nextValuesCount = { propertyName: 'nextValuesCount', modelName: '@NextValuesCount', displayName: 'DashboardWebStringId.Calculations.NextValuesCount', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let movingCalculationSerializationsInfo = _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .measureCalculationSerializationsInfo */ .d.concat([summaryType, previousValuesCount, nextValuesCount]);


/***/ }),

/***/ 7687:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getDataItemContainerDisplayName),
/* harmony export */   F: () => (/* binding */ getDataItemDisplayName)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3599);
/* harmony import */ var _model_data_item_measure__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6779);
/* harmony import */ var _model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7618);
/* harmony import */ var _model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4030);
/* harmony import */ var _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4270);







function getDataItemContainerDisplayName(dataSourceBrowser, dashboardItem, dataItemContainer) {
    return dashboardItem._getDataItemContainerDisplayName(dataItemContainer, (dataItem) => getDataItemDisplayName(dataSourceBrowser, dashboardItem, dataItem));
}
function getDataItemDisplayName(dataFieldProvider, dataDashboardItem, dataItem) {
    let dataSourceName = dataDashboardItem.dataSource.peek(), queryName = dataDashboardItem.dataMember.peek(), dataMember = dataItem.dataMember(), cacheKey = createKey(dataSourceName, queryName, dataMember);
    if (!dataItem[cacheKey]) {
        var dataFieldObservable = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(null);
        dataFieldProvider
            .findDataField(dataSourceName, queryName, dataMember, true)
            .done((dataField) => {
            if (dataField) {
                dataFieldObservable(dataField);
            }
        });
        dataItem[cacheKey] = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => getDataItemDisplayNameByField(dataDashboardItem, dataItem, dataFieldObservable));
    }
    return dataItem[cacheKey]();
}
function getDataItemDisplayNameByField(dataDashboardItem, dataItem, dataFieldObservable) {
    if (dataItem.name()) {
        return dataItem.name();
    }
    var dataField = dataFieldObservable();
    if (dataField) {
        return computeDataItemDisplayName(dataDashboardItem, dataItem, dataField);
    }
    else {
        return guessDataItemDisplayName(dataDashboardItem, dataItem);
    }
}
function createKey(dataSourceName, queryName, dataMemberName) {
    return '__dx_displayNameCache_' + [dataSourceName, queryName, dataMemberName].join('_');
}
function guessDataItemDisplayName(dataDashboardItem, dataItem) {
    var dataMember = dataItem.dataMember();
    var isOlap = _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_6__/* .DataField */ .J7.isOlap(dataMember);
    if (isOlap) {
        var parts = dataMember.split(_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_6__/* .DataField */ .J7.olapMarker());
        var length = parts.length - 1;
        return parts[length].substr(0, parts[length].length - 1);
    }
    else if (dataItem instanceof _model_data_item_measure__WEBPACK_IMPORTED_MODULE_3__/* .Measure */ .t) {
        return _getMeasureDisplayName(dataDashboardItem, dataItem, dataMember);
    }
    else if (dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__/* .Dimension */ .f) {
        let timeGroupInterval = dataItem.dateTimeGroupInterval();
        let postfix = timeGroupInterval !== 'Year' && timeGroupInterval !== 'None' ?
            ' (' + (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_4__/* .dateTimeGroupIntervalsDict */ .NF[timeGroupInterval]) + ')' : '';
        return dataMember + postfix;
    }
    else {
        return dataMember;
    }
}
function computeDataItemDisplayName(dataDashboardItem, dataItem, dataField) {
    var displayName = dataField.displayName();
    var isOlap = _model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_6__/* .DataField */ .J7.isOlap(dataItem.dataMember());
    if (isOlap) {
        return displayName;
    }
    else if (dataItem instanceof _model_data_item_measure__WEBPACK_IMPORTED_MODULE_3__/* .Measure */ .t) {
        return _getMeasureDisplayName(dataDashboardItem, dataItem, displayName, dataField.isAggregate && dataField.isAggregate() || false);
    }
    else if (dataItem instanceof _model_data_item_dimension__WEBPACK_IMPORTED_MODULE_2__/* .Dimension */ .f) {
        let timeGroupInterval = dataItem.dateTimeGroupInterval();
        if ((0,_model_data_sources_data_field__WEBPACK_IMPORTED_MODULE_6__/* .IsDateTime */ .kz)(dataField.fieldType()) && timeGroupInterval !== 'None') {
            return displayName + ' (' + (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_model_data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_4__/* .dateTimeGroupIntervalsDict */ .NF[timeGroupInterval]) + ')';
        }
        else {
            return displayName;
        }
    }
    else {
        return displayName;
    }
}
function _getMeasureDisplayName(dataDashboardItem, measure, dataMemberDisplayName, isAggregate = false) {
    if (dataDashboardItem._isAttribute(measure)) {
        return dataMemberDisplayName;
    }
    if (!!measure.expression()) {
        return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Calculations.Expression');
    }
    let prefix = !!measure.calculation.calculation() && (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(measure.calculation.calculation().name);
    let postfix = isAggregate ? '' : ' (' + (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)(_model_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_5__/* .summaryTypeDict */ .Jf[measure.summaryType()]) + ')';
    return ((prefix && (prefix + ' ')) || '') + dataMemberDisplayName + postfix;
}


/***/ }),

/***/ 7739:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IM: () => (/* binding */ contentType),
/* harmony export */   dU: () => (/* binding */ serializeFlagsEnumType),
/* harmony export */   e3: () => (/* binding */ DashboardDataIdField),
/* harmony export */   iF: () => (/* binding */ parseFlagsEnumType),
/* harmony export */   pC: () => (/* binding */ getFlagsEnumTypeValues),
/* harmony export */   qH: () => (/* binding */ viewerActions)
/* harmony export */ });
const DashboardDataIdField = '__DX_DASHBOARD_DATA_ID';
let viewerActions = {
    setMasterFilter: 'SetMasterFilter',
    setMultipleValuesMasterFilter: 'SetMultipleValuesMasterFilter',
    clearMasterFilter: 'ClearMasterFilter',
    drillDown: 'DrillDown',
    drillUp: 'DrillUp',
    setSelectedElementIndex: 'SetSelectedElementIndex',
    expandValue: 'ExpandValue',
    dataRequest: 'DataRequest',
    getDrillThroughData: 'GetDrillThroughData'
};
let contentType = {
    empty: 'Empty',
    viewModel: 'ViewModel',
    actionModel: 'ActionModel',
    completeDataSource: 'CompleteDataSource',
    partialDataSource: 'PartialDataSource',
    fullContent: 'FullContent'
};
var separator = ', ';
let parseFlagsEnumType = (typeModel, defaultValue, dic) => {
    var types = typeModel.split(separator);
    return Object.keys(dic).reduce((prev, curr) => {
        return prev | (types.indexOf(curr) >= 0 ? dic[curr] : 0);
    }, defaultValue);
};
let serializeFlagsEnumType = (val, defaultValue, dic) => {
    return Object.keys(dic).reduce((prev, curr) => {
        if (val & dic[curr]) {
            prev.push(curr);
        }
        return prev;
    }, []).join(separator) || defaultValue;
};
let getFlagsEnumTypeValues = (val, dic, type) => {
    var keys = [];
    Object.keys(dic).forEach(function (key) {
        if (dic[key] & val) {
            keys.push(type === 'value' ? dic[key] : key);
        }
    });
    return keys;
};


/***/ }),

/***/ 7746:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ ExcelDataSource)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6844);
/* harmony import */ var _metadata_excel_data_source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1371);



class ExcelDataSource extends _data_source__WEBPACK_IMPORTED_MODULE_1__/* .DataSource */ .q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.hasCalculatedFields = true;
        this.hasFilter = true;
    }
    getInfo() {
        return _metadata_excel_data_source__WEBPACK_IMPORTED_MODULE_2__/* .excelDataSourceSerializationsInfo */ .M;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultExcelDataSourceName';
    }
    _getDefaultItemType() {
        return 'ExcelDataSource';
    }
}


/***/ }),

/***/ 7749:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Zt: () => (/* binding */ deltaValueTypes),
/* harmony export */   hZ: () => (/* binding */ itemMetaData),
/* harmony export */   qv: () => (/* binding */ deltaValueNames)
/* harmony export */ });
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6726);
/* harmony import */ var _item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);


let deltaValueNames = {
    actualValue: 'actualValue',
    targetValue: 'targetValue',
    absoluteVariation: 'absoluteVariation',
    percentVariation: 'percentVariation',
    percentOfTarget: 'percentOfTarget',
    mainValue: 'mainValue',
    subValue1: 'subValue1',
    subValue2: 'subValue2',
    isGood: 'isGood',
    indicatorType: 'indicatorType'
};
let deltaValueTypes = {
    actualValue: 'ActualValue',
    absoluteVariation: 'AbsoluteVariation',
    percentVariation: 'PercentVariation',
    percentOfTarget: 'PercentOfTarget',
    targetValue: 'TargetValue'
};
class itemMetaData {
    constructor(metaDataDto) {
        this._metaDataDto = metaDataDto;
    }
    initialize() {
        let metaDataDto = this._metaDataDto;
        this._measuresInfo = this._createMeasureInfo(metaDataDto.MeasureDescriptors);
        this._colorMeasuresInfo = this._createMeasureInfo(metaDataDto.ColorMeasureDescriptors);
        this._conditionalFormattingMeasuresInfo = this._createMeasureInfo(metaDataDto.FormatConditionMeasureDescriptors);
        this._deltaInfo = this._createDeltaInfo();
        this._axesInfo = this._createAxesInfo();
        this._dataSourceColumns = this._metaDataDto.DataSourceColumns;
    }
    _createMeasureInfo(descriptors) {
        var measures = [], formatByMeasureId = {};
        let expressionByMeasureId = {};
        let calculationByMeasureId = {};
        let windowDefinitionByMeasureId = {};
        if (descriptors) {
            descriptors.forEach((_measure) => {
                var measure = {
                    id: _measure.ID,
                    name: _measure.Name,
                    dataItemId: _measure.DataItemId,
                    dataMember: _measure.DataMember,
                    dataType: _measure.DataType,
                    finalDataType: _measure.FinalDataType,
                    summaryType: _measure.SummaryType,
                    format: function (value) {
                        var format = _measure.Format, text = undefined;
                        if (format)
                            text = (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .format */ .GP)(value, format);
                        return text;
                    }
                };
                measures.push(measure);
                formatByMeasureId[measure.id] = _measure.Format;
                expressionByMeasureId[measure.id] = _measure.Expression;
                calculationByMeasureId[measure.id] = _measure.Calculation;
                windowDefinitionByMeasureId[measure.id] = _measure.WindowDefinition;
            });
        }
        return {
            measures: measures,
            formatByMeasureId: formatByMeasureId,
            expressionByMeasureId: expressionByMeasureId,
            calculationByMeasureId: calculationByMeasureId,
            windowDefinitionByMeasureId: windowDefinitionByMeasureId
        };
    }
    _createDeltaInfo() {
        var metaData = this._metaDataDto, names = deltaValueNames, deltas = [], valueIdsByDeltaId = {}, formatsByDeltaId = {};
        if (metaData.DeltaDescriptors) {
            metaData.DeltaDescriptors.forEach((_delta) => {
                var delta = {
                    id: _delta.ID,
                    name: _delta.Name,
                    actualMeasureId: _delta.ActualMeasureID,
                    targetMeasureId: _delta.TargetMeasureID
                }, ids = {}, formats = {};
                deltas.push(delta);
                ids[names.actualValue] = _delta.ActualValueID;
                ids[names.targetValue] = _delta.TargetValueID;
                ids[names.absoluteVariation] = _delta.AbsoluteVariationID;
                ids[names.percentVariation] = _delta.PercentVariationID;
                ids[names.percentOfTarget] = _delta.PercentOfTargetID;
                ids[names.isGood] = _delta.IsGoodID;
                ids[names.indicatorType] = _delta.IndicatorTypeID;
                formats[names.actualValue] = _delta.ActualValueFormat;
                formats[names.targetValue] = _delta.TargetValueFormat;
                formats[names.absoluteVariation] = _delta.AbsoluteVariationFormat;
                formats[names.percentVariation] = _delta.PercentVariationFormat;
                formats[names.percentOfTarget] = _delta.PercentOfTargetFormat;
                switch (_delta.DeltaValueType) {
                    case deltaValueTypes.actualValue:
                        ids[names.mainValue] = ids[names.actualValue];
                        ids[names.subValue1] = ids[names.absoluteVariation];
                        ids[names.subValue2] = ids[names.percentVariation];
                        formats[names.mainValue] = formats[names.actualValue];
                        formats[names.subValue1] = formats[names.absoluteVariation];
                        formats[names.subValue2] = formats[names.percentVariation];
                        break;
                    case deltaValueTypes.absoluteVariation:
                        ids[names.mainValue] = ids[names.absoluteVariation];
                        ids[names.subValue1] = ids[names.actualValue];
                        ids[names.subValue2] = ids[names.percentVariation];
                        formats[names.mainValue] = formats[names.absoluteVariation];
                        formats[names.subValue1] = formats[names.actualValue];
                        formats[names.subValue2] = formats[names.percentVariation];
                        break;
                    case deltaValueTypes.percentVariation:
                        ids[names.mainValue] = ids[names.percentVariation];
                        ids[names.subValue1] = ids[names.actualValue];
                        ids[names.subValue2] = ids[names.absoluteVariation];
                        formats[names.mainValue] = formats[names.percentVariation];
                        formats[names.subValue1] = formats[names.actualValue];
                        formats[names.subValue2] = formats[names.absoluteVariation];
                        break;
                    case deltaValueTypes.percentOfTarget:
                        ids[names.mainValue] = ids[names.percentOfTarget];
                        ids[names.subValue1] = ids[names.actualValue];
                        ids[names.subValue2] = ids[names.absoluteVariation];
                        formats[names.mainValue] = formats[names.percentOfTarget];
                        formats[names.subValue1] = formats[names.actualValue];
                        formats[names.subValue2] = formats[names.absoluteVariation];
                        break;
                    case deltaValueTypes.targetValue:
                        ids[names.mainValue] = ids[names.targetValue];
                        ids[names.subValue1] = ids[names.absoluteVariation];
                        ids[names.subValue2] = ids[names.percentVariation];
                        formats[names.mainValue] = formats[names.targetValue];
                        formats[names.subValue1] = formats[names.absoluteVariation];
                        formats[names.subValue2] = formats[names.percentVariation];
                        break;
                }
                valueIdsByDeltaId[delta.id] = ids;
                formatsByDeltaId[delta.id] = formats;
            });
        }
        return {
            deltas: deltas,
            valueIdsByDeltaId: valueIdsByDeltaId,
            formatsByDeltaId: formatsByDeltaId
        };
    }
    _createAxesInfo() {
        var metaDataDto = this._metaDataDto, axes = {}, dimensionDescriptorsByAxisName = metaDataDto.DimensionDescriptors || {}, levelByDimensionId = {}, formatByDimensionId = {}, pivotAreaByAxisName = {};
        Object.keys(dimensionDescriptorsByAxisName).forEach((_name) => {
            let _dimensions = dimensionDescriptorsByAxisName[_name];
            var dimensions = [];
            if (_dimensions) {
                _dimensions.forEach((_dimension) => {
                    var dimension = {
                        id: _dimension.ID,
                        name: _dimension.Name,
                        dataMember: _dimension.DataMember,
                        finalDataType: _dimension.FinalDataType,
                        dataType: _dimension.DataType,
                        dateTimeGroupInterval: _dimension.DateTimeGroupInterval,
                        textGroupInterval: _dimension.TextGroupInterval,
                        getFormat: function () {
                            return (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .convertToFormat */ .mL)(_dimension.Format);
                        },
                        format: function (value) {
                            var format = _dimension.Format, text = undefined;
                            if (format)
                                text = (0,_formatter__WEBPACK_IMPORTED_MODULE_0__/* .format */ .GP)(value, format);
                            return text;
                        }
                    };
                    levelByDimensionId[dimension.id] = _dimension.Level;
                    formatByDimensionId[dimension.id] = _dimension.Format;
                    dimensions.push(dimension);
                });
            }
            axes[_name] = dimensions;
        });
        if (metaDataDto.ColumnHierarchy)
            pivotAreaByAxisName[metaDataDto.ColumnHierarchy] = 'Columns';
        if (metaDataDto.RowHierarchy)
            pivotAreaByAxisName[metaDataDto.RowHierarchy] = 'Rows';
        return {
            axes: axes,
            levelByDimensionId: levelByDimensionId,
            formatByDimensionId: formatByDimensionId,
            pivotAreaByAxisName: pivotAreaByAxisName
        };
    }
    getAxes() {
        return this._axesInfo.axes;
    }
    getAxisNames() {
        var names = [];
        Object.keys(this.getAxes()).forEach((name) => {
            names.push(name);
        });
        return names;
    }
    getPivotAreaByAxisName(name) {
        return this._axesInfo.pivotAreaByAxisName[name];
    }
    getColorMeasures() {
        return this._colorMeasuresInfo.measures;
    }
    getConditionalFormattingMeasures() {
        return this._conditionalFormattingMeasuresInfo.measures;
    }
    getDimensions(axisName) {
        return this.getAxes()[axisName === undefined ? _item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.defaultAxis : axisName];
    }
    getMeasures() {
        return this._measuresInfo.measures;
    }
    getDeltas() {
        return this._deltaInfo.deltas;
    }
    getMeasureById(id) {
        var measures = this.getMeasures(), foundMeasures = measures.filter((measure) => {
            return measure.id == id;
        });
        return foundMeasures[0];
    }
    getDeltaById(id) {
        var deltas = this.getDeltas(), foundDeltas = deltas.filter((delta) => {
            return delta.id == id;
        });
        return foundDeltas[0];
    }
    getMeasureFormat(measureId) {
        return this._measuresInfo.formatByMeasureId[measureId];
    }
    getMeasureExpression(measureId) {
        return this._measuresInfo.expressionByMeasureId[measureId];
    }
    getMeasureCalculation(measureId) {
        return this._measuresInfo.calculationByMeasureId[measureId];
    }
    getMeasureWindowDefinition(measureId) {
        return this._measuresInfo.windowDefinitionByMeasureId[measureId];
    }
    getDeltaValueIds(deltaId) {
        return this._deltaInfo.valueIdsByDeltaId[deltaId];
    }
    getDeltaFormats(deltaId) {
        return this._deltaInfo.formatsByDeltaId[deltaId];
    }
    getDeltaValueType(deltaId) {
    }
    getDimensionLevel(dimensionId) {
        return this._axesInfo.levelByDimensionId[dimensionId];
    }
    getDimensionFormat(dimensionId) {
        return this._axesInfo.formatByDimensionId[dimensionId];
    }
    getDataMembers() {
        return this._dataSourceColumns;
    }
    getFinalDataType(dataItemId) {
        var dataItem = this.getMeasureById(dataItemId);
        if (!dataItem) {
            let axes = this.getAxes();
            Object.keys(axes).forEach((axisName) => {
                let dimensions = axes[axisName];
                dataItem = dimensions.filter(d => d.id == dataItemId)[0];
                if (!!dataItem) {
                    return false;
                }
            });
        }
        return !!dataItem ? dataItem.finalDataType : undefined;
    }
}


/***/ }),

/***/ 7766:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IQ: () => (/* binding */ deltaName),
/* harmony export */   XJ: () => (/* binding */ valueName),
/* harmony export */   ZG: () => (/* binding */ deltaMapTargetValue),
/* harmony export */   cF: () => (/* binding */ deltaMapActualValue),
/* harmony export */   dW: () => (/* binding */ deltaMapDeltaOptions),
/* harmony export */   ek: () => (/* binding */ chorolpethMapValue),
/* harmony export */   k5: () => (/* binding */ deltaMapSerializationsInfo),
/* harmony export */   td: () => (/* binding */ actualValueName),
/* harmony export */   ty: () => (/* binding */ valueMapSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _options_delta_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8191);



let valueName = { propertyName: 'valueName', modelName: '@ValueName', displayName: 'DashboardWebStringId.Map.TooltipCaption', simpleFormAdapterItem: 'textBoxEditor' };
let chorolpethMapValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .valuePropertyName */ .sl, modelName: 'Value', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let valueMapSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, chorolpethMapValue, valueName];
let deltaMapActualValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .actualValuePropertyName */ .UQ, modelName: 'ActualValue', displayName: 'DashboardStringId.ActualValueCaption', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let deltaMapTargetValue = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .targetValuePropertyName */ .HI, modelName: 'TargetValue', displayName: 'DashboardStringId.TargetValueCaption', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let deltaMapDeltaOptions = { propertyName: 'deltaOptions', modelName: 'DeltaOptions', displayName: 'DashboardWebStringId.Grid.DeltaOptions', type: _options_delta_options__WEBPACK_IMPORTED_MODULE_2__/* .DeltaOptions */ .j };
let actualValueName = { propertyName: 'actualValueName', modelName: '@ActualValueName', displayName: 'DashboardWebStringId.Map.TooltipActualValueCaption', simpleFormAdapterItem: 'textBoxEditor' };
let deltaName = { propertyName: 'deltaName', modelName: '@DeltaName', displayName: 'DashboardWebStringId.Map.TooltipDeltaCaption', simpleFormAdapterItem: 'textBoxEditor' };
let deltaMapSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .itemType */ .YG, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .name */ .UU, deltaMapActualValue, deltaMapTargetValue, actualValueName, deltaName, deltaMapDeltaOptions, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .absoluteVariationNumericFormat */ .V5, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .percentVariationNumericFormat */ .r9, _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .percentOfTargetNumericFormat */ .sS];


/***/ }),

/***/ 7777:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AI: () => (/* binding */ styleSettingsProvider),
/* harmony export */   ZU: () => (/* binding */ cardItemStyleSettingsProvider),
/* harmony export */   _p: () => (/* binding */ DrawProperty),
/* harmony export */   fO: () => (/* binding */ BarCacheItem)
/* harmony export */ });
/* harmony import */ var devextreme_color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6555);
/* harmony import */ var devextreme_color__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_color__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_core_utils_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4527);
/* harmony import */ var devextreme_core_utils_browser__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_browser__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var devextreme_ui_tooltip__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3436);
/* harmony import */ var devextreme_ui_tooltip__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(devextreme_ui_tooltip__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5988);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4833);
/* harmony import */ var _viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8117);
/* harmony import */ var _widgets_widgets_viewer_css_class_names__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8223);
/* harmony import */ var _appearance_settings_provider__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(672);








const ICON_TYPE_NONE = 'None', APPEARANCE_TYPE_NONE = 'None', APPEARANCE_TYPE_CUSTOM = 'Custom', VERTICAL_AXIS_PADDING = 3, GRID_BANDED_ROW_SELECTOR = '.dx-datagrid .dx-row-alt', PIVOT_AREA_SELECTOR = '.dx-pivotgrid .dx-pivotgrid-area';
const nbspSymbol = '\u00A0';
class BarCacheItem {
    dispose() {
        if (this.tooltip) {
            this.tooltip.dispose();
            this.tooltip = null;
        }
        this.barContainer = null;
        this.barDiv = null;
        this.container = null;
        this.axisDiv = null;
        this.tooltipDiv = null;
        this.getTextDiv = null;
    }
}
class DrawProperty {
    constructor() {
        this.shouldDrawFontStyles = true;
        this.shouldDrawBackColorStyle = true;
    }
}
class styleSettingsProvider {
    static toIconCssClass(iconType) {
        return styleSettingsProvider.cssClassNames.iconConditionalFormatting + '-' + iconType.toLowerCase();
    }
    static _getRangeBackColorStyleSettings(styleSettings, condition) {
        var rangeIndex = styleSettings.RangeIndex, leftIndex = -1, rightIndex = -1, leftModel, rightModel, leftColor, rightColor;
        Object.keys(condition.FixedColors)
            .map(Number)
            .forEach((index) => {
            if (index < rangeIndex && (leftIndex === -1 || index > leftIndex))
                leftIndex = index;
            if (index > rangeIndex && (rightIndex === -1 || index < rightIndex))
                rightIndex = index;
        });
        leftModel = condition.FixedColors[leftIndex];
        rightModel = condition.FixedColors[rightIndex];
        leftColor = new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_7__/* .appearanceSettingsProvider */ .v.getColor(leftModel));
        rightColor = new (devextreme_color__WEBPACK_IMPORTED_MODULE_0___default())(_appearance_settings_provider__WEBPACK_IMPORTED_MODULE_7__/* .appearanceSettingsProvider */ .v.getColor(rightModel));
        return {
            AppearanceType: APPEARANCE_TYPE_CUSTOM,
            Color: leftColor.blend(rightColor, (rangeIndex - leftIndex) / (rightIndex - leftIndex)),
            ForeColor: leftModel.ForeColor,
            FontFamily: leftModel.FontFamily,
            FontSize: leftModel.FontSize,
            FontStyle: leftModel.FontStyle,
            IsBarStyle: leftModel.IsBarStyle
        };
    }
    constructor(container) {
        this.container = container;
        this.wordWrap = false;
        this.FontStyle = {
            Bold: 1,
            Italic: 2,
            Underline: 4,
            Strikeout: 8
        };
        this.DataAttributes = {
            Bar: 'bar',
            Axis: 'axis',
            NormalizedValue: 'normalizedValue',
            ZeroPosition: 'zeroPosition',
            AllowNegativeAxis: 'allowNegativeAxis',
            DrawAxis: 'drawAxis'
        };
        this.cfModel = undefined;
        this.cssCustomClasses = [];
        this.cssCustomClassesLinks = [];
        this.id = styleSettingsProvider.inctanceCounter++;
        this.drawingLocked = true;
        this.barCache = {};
        this.padding = null;
        this.barPrefixes = [];
    }
    clearBarCache() {
        if (this.barCache) {
            Object.values(this.barCache).forEach(columnCacheItem => {
                if (columnCacheItem && columnCacheItem.length) {
                    columnCacheItem.forEach(item => item.dispose());
                }
            });
        }
    }
    initialize(cfModel, wordWrap) {
        if (cfModel) {
            this.cfModel = cfModel;
            this._clearCssClasses();
            this._registerCssClasses();
            this.drawingLocked = true;
            this.clearBarCache();
            this.barCache = {};
            this.padding = null;
            this.barPrefixes = [];
        }
        this.wordWrap = wordWrap !== undefined ? wordWrap : this.wordWrap;
    }
    dispose() {
        this._clearCssClasses();
        this.clearBarCache();
        this.barCache = {};
        this.container = null;
    }
    draw() {
        Object.values(this.barCache).forEach(columnCacheItem => {
            columnCacheItem.forEach(barCacheItem => {
                const textDiv = barCacheItem.getTextDiv();
                while (barCacheItem.container.firstChild) {
                    barCacheItem.container.removeChild(barCacheItem.container.firstChild);
                }
                if (!barCacheItem.container.classList.contains(styleSettingsProvider.cssClassNames.barContainer)) {
                    barCacheItem.container.classList.add(styleSettingsProvider.cssClassNames.barContainer);
                }
                var barContainer = barCacheItem.barContainer;
                barCacheItem.container.appendChild(barContainer);
                barContainer.appendChild(barCacheItem.barDiv);
                if (barCacheItem.drawAxis) {
                    barContainer.appendChild(barCacheItem.axisDiv);
                }
                if (!barCacheItem.showBarOnly) {
                    barContainer.appendChild(textDiv);
                }
                else {
                    barCacheItem.container.appendChild(textDiv);
                    barCacheItem.container.appendChild(barCacheItem.tooltipDiv);
                }
            });
        });
        this.drawingLocked = false;
        this.barPrefixes.forEach(barPrefix => this.updateBarWidth(barPrefix));
    }
    updateBarWidth(barPrefix) {
        if (!this.drawingLocked) {
            let barCacheItems = this.barCache[barPrefix], containerHeights;
            if (barCacheItems) {
                containerHeights = this._getContainerHeights(barCacheItems);
                barCacheItems.forEach((barCacheItem, i) => {
                    var bar = barCacheItem.barDiv, normalizedValue = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(bar, this.DataAttributes.NormalizedValue), zeroPosition = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(bar, this.DataAttributes.ZeroPosition), allowNegativeAxis = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(bar, this.DataAttributes.AllowNegativeAxis), drawAxis = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(bar, this.DataAttributes.DrawAxis), containerHeight = containerHeights[i], axisDiv = bar.parentNode && bar.parentNode.querySelector('.' + this.DataAttributes.Axis + '_' + barPrefix);
                    this._setBarBounds(bar, containerHeight, zeroPosition, normalizedValue, allowNegativeAxis, drawAxis);
                    if (axisDiv) {
                        this._setAxisBounds(axisDiv, containerHeight, zeroPosition);
                    }
                });
            }
        }
    }
    applyStyleSettings(container, popupContainer, styleSettingsInfo, ignoreImageSettings, barPrefix, forceLeftAlignment, isSecondaryStyle) {
        let styleSettingsModel, sortedStyleIndexes = styleSettingsInfo ? styleSettingsInfo.styleIndexes : undefined, condition, ruleIndex, barInfo, iconType;
        if (sortedStyleIndexes && sortedStyleIndexes.length > 0) {
            sortedStyleIndexes.sort((a, b) => a - b);
            sortedStyleIndexes.forEach(styleIndex => {
                styleSettingsModel = this.cfModel.FormatConditionStyleSettings[styleIndex];
                ruleIndex = styleSettingsInfo.styleAndRuleMappingTable[styleIndex];
                if (styleSettingsModel.IsBarStyle) {
                    condition = this.cfModel.RuleModels[ruleIndex].ConditionModel;
                    barInfo = this._getBarInfo(styleSettingsModel, styleIndex, condition);
                }
                else if (styleSettingsModel.RangeIndex || styleSettingsModel.AppearanceType !== APPEARANCE_TYPE_NONE) {
                    let style = isSecondaryStyle === true ? this.cssCustomClasses[styleIndex].secondary : this.cssCustomClasses[styleIndex].primary;
                    container.classList.add(style);
                }
                else if (styleSettingsModel.IconType !== ICON_TYPE_NONE)
                    iconType = styleSettingsModel.IconType;
            });
            if (barInfo) {
                barInfo.normalizedValue = styleSettingsInfo.normalizedValue;
                barInfo.zeroPosition = styleSettingsInfo.zeroPosition;
                this._createBarContent(container, popupContainer, barInfo, barPrefix, forceLeftAlignment);
            }
            else if (!ignoreImageSettings && iconType) {
                this._applyIconSettings(container, iconType, forceLeftAlignment);
            }
        }
    }
    _getContainerHeights(barCacheItems) {
        const containerHeights = [];
        barCacheItems.forEach(barCacheItem => {
            const containerElement = barCacheItem.container, containerBounds = containerElement.getBoundingClientRect(), containerStyles = getComputedStyle(containerElement), topBorderWidth = parseInt(containerStyles.borderTopWidth) || 0, bottomBorderWidth = parseInt(containerStyles.borderBottomWidth) || 0, height = (devextreme_core_utils_browser__WEBPACK_IMPORTED_MODULE_1___default().webkit) ? containerBounds.height - topBorderWidth : containerBounds.height - topBorderWidth - bottomBorderWidth;
            containerHeights.push(height);
        });
        return containerHeights;
    }
    _createCssClassName(prefix, styleIndex, postFix) {
        let styleName = prefix + '-' + this.id + '-' + styleIndex;
        if (postFix)
            styleName += '-' + postFix;
        return styleName;
    }
    _applyIconSettings(container, iconType, forceLeftAlignment, flexParentStyle = styleSettingsProvider.cssClassNames.flexParent) {
        if (!container.classList.contains('dx-white-space-column')) {
            let classes = styleSettingsProvider.cssClassNames;
            let textAlignmentIsLeft = this._textAlignmentIsLeft(container);
            let imageClasses = [classes.iconConditionalFormatting, styleSettingsProvider.toIconCssClass(iconType)];
            this._wrapChildElementsToApplyIconSettings(container, classes, forceLeftAlignment);
            let marginClass = textAlignmentIsLeft ? classes.leftMargin : classes.rightMargin;
            imageClasses.push(classes.fixed, marginClass);
            const imageElt = document.createElement('div');
            imageElt.classList.add(...imageClasses);
            if (textAlignmentIsLeft) {
                container.appendChild(imageElt);
            }
            else {
                container.insertBefore(imageElt, container.firstChild);
            }
            const wrappingElement = document.createElement('div');
            wrappingElement.classList.add(flexParentStyle);
            (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .wrapInner */ .HE)(container, wrappingElement);
        }
    }
    _wrapChildElementsToApplyIconSettings(container, classes, forceLeftAlignment) {
        let textClasses = [this.wordWrap ? classes.wordWrap : classes.truncated,
            forceLeftAlignment ? '' : classes.stretched].filter(Boolean);
        if (container.children.length > 0) {
            container.querySelectorAll('.dx-expand-icon-container').forEach(element => element.classList.add(classes.fixed));
            container.querySelectorAll(':scope>:not(.dx-expand-icon-container)').forEach(element => element.classList.add(...textClasses));
        }
        else {
            const wrappingElement = document.createElement('div');
            wrappingElement.classList.add(...textClasses);
            (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .wrapInner */ .HE)(container, wrappingElement);
        }
    }
    _textAlignmentIsLeft(container) {
        var textAlignment = getComputedStyle(container).textAlign;
        return textAlignment === 'left' || textAlignment === 'start' || textAlignment === 'center' || textAlignment === 'justify';
    }
    _getBarInfo(styleSettingsModel, styleIndex, condition) {
        if (this._shouldDrawBarStyle(styleSettingsModel)) {
            return {
                showBarOnly: condition.BarOptions.ShowBarOnly,
                allowNegativeAxis: condition.BarOptions.AllowNegativeAxis,
                drawAxis: condition.BarOptions.DrawAxis,
                cssClass: this.cssCustomClasses[styleIndex].primary
            };
        }
        return null;
    }
    _createBarContent(container, popupContainer, barInfo, barPrefix, forceLeftAlignment) {
        const barCacheItem = new BarCacheItem();
        const displayText = container.textContent;
        const containerContent = Array.from(container.childNodes);
        if (!this.padding) {
            const computedStyles = getComputedStyle(container);
            this.padding = computedStyles.paddingTop + ' ' + computedStyles.paddingLeft;
        }
        if (!this.barCache[barPrefix])
            this.barCache[barPrefix] = [];
        this.barCache[barPrefix].push(barCacheItem);
        const barContainer = document.createElement('div');
        barContainer.classList.add(styleSettingsProvider.cssClassNames.relativePosition);
        barCacheItem.container = container;
        barCacheItem.barContainer = barContainer;
        if (!this.barPrefixes.some(prefix => prefix === barPrefix))
            this.barPrefixes.push(barPrefix);
        barCacheItem.barDiv = this._createBarDiv(barInfo, barPrefix);
        barCacheItem.showBarOnly = barInfo.showBarOnly;
        barCacheItem.drawAxis = barInfo.drawAxis;
        if (barInfo.drawAxis) {
            barCacheItem.axisDiv = this._createAxisDiv(barPrefix, barInfo.zeroPosition);
        }
        let textDiv;
        barCacheItem.getTextDiv = () => {
            if (!textDiv) {
                textDiv = document.createElement('div');
                if (barInfo.showBarOnly) {
                    textDiv.append(nbspSymbol);
                }
                else {
                    textDiv.classList.add(styleSettingsProvider.cssClassNames.barValue);
                    containerContent.forEach(node => textDiv.appendChild(node));
                }
            }
            return textDiv;
        };
        if (barInfo.showBarOnly) {
            var tooltipDiv = document.createElement('div');
            tooltipDiv.innerText = displayText;
            const tooltip = new (devextreme_ui_tooltip__WEBPACK_IMPORTED_MODULE_2___default())(tooltipDiv, {
                target: container,
                container: popupContainer,
                showEvent: 'dxhoverstart',
                hideEvent: 'dxhoverend',
            });
            barCacheItem.tooltipDiv = tooltipDiv;
            barCacheItem.tooltip = tooltip;
        }
    }
    _createBarDiv(barInfo, barPrefix) {
        const barDiv = document.createElement('div');
        barDiv.classList.add(styleSettingsProvider.cssClassNames.absolutePosition);
        barDiv.classList.add(barInfo.cssClass);
        barDiv.classList.add(this.DataAttributes.Bar + '_' + barPrefix);
        barDiv.append(nbspSymbol);
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(barDiv, this.DataAttributes.NormalizedValue, barInfo.normalizedValue);
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(barDiv, this.DataAttributes.ZeroPosition, barInfo.zeroPosition);
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(barDiv, this.DataAttributes.AllowNegativeAxis, barInfo.allowNegativeAxis);
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(barDiv, this.DataAttributes.DrawAxis, barInfo.drawAxis);
        return barDiv;
    }
    _createAxisDiv(barPrefix, zeroPosition) {
        const axisDiv = document.createElement('div');
        axisDiv.classList.add(styleSettingsProvider.cssClassNames.absolutePosition);
        axisDiv.classList.add(this.DataAttributes.Axis + '_' + barPrefix, styleSettingsProvider.cssClassNames.barAxis);
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .accessJQueryData */ .R8)(axisDiv, this.DataAttributes.ZeroPosition, zeroPosition);
        return axisDiv;
    }
    _setBarBounds(barDiv, containerHeight, zeroPosition, normalizedValue, allowNegativeAxis, drawAxis) {
        var barWidth = Math.abs(normalizedValue * 100), axisPosition = Math.abs(zeroPosition * 100), width = allowNegativeAxis && drawAxis && normalizedValue < 0 && zeroPosition > 0 ? 'calc(' + barWidth + '% + 1px)' : barWidth + '%';
        barDiv.style.height = containerHeight + 'px';
        barDiv.style.width = width;
        if (allowNegativeAxis && normalizedValue < 0 && zeroPosition > 0) {
            if (drawAxis) {
                barDiv.style.right = 'calc(' + (100 - axisPosition) + '% - 1px)';
            }
            else {
                barDiv.style.right = (100 - axisPosition) + '%';
            }
        }
        else
            barDiv.style.left = axisPosition + '%';
    }
    _setAxisBounds(axisDiv, containerHeight, zeroPosition) {
        axisDiv.style.left = Math.abs(zeroPosition * 100) + '%';
        axisDiv.style.height = Math.max(0, containerHeight - VERTICAL_AXIS_PADDING * 2) + 'px';
    }
    _clearCssClasses() {
        this.cssCustomClassesLinks.forEach(style => style());
        this.cssCustomClassesLinks = [];
    }
    _registerCssClasses() {
        if (this.cfModel != undefined) {
            for (let styleIndex = 0; styleIndex < this.cfModel.FormatConditionStyleSettings.length; styleIndex++) {
                let styleSettingsModel = this.cfModel.FormatConditionStyleSettings[styleIndex];
                this._registerCssClassByStyleModel(styleSettingsModel, styleIndex, false);
                if (this._isShouldGenerateSecondaryStyle(styleSettingsModel)) {
                    this._registerCssClassByStyleModel(styleSettingsModel, styleIndex, true);
                }
            }
        }
    }
    _registerCssClassByStyleModel(styleSettingsModel, styleIndex, isSecondaryStyle) {
        let className = this._generateCssClassName(styleIndex, isSecondaryStyle);
        this._addCssClassToDictionary(className, styleIndex, isSecondaryStyle);
        this._generateCssClassBody(styleSettingsModel, className, this._getDrawProperty(isSecondaryStyle));
    }
    _addCssClassToDictionary(styleName, styleIndex, isSecondary) {
        let primaryStyle, secondaryStyle;
        if (this.cssCustomClasses[styleIndex]) {
            primaryStyle = this.cssCustomClasses[styleIndex].primary;
            secondaryStyle = this.cssCustomClasses[styleIndex].secondary;
        }
        if (isSecondary)
            secondaryStyle = styleName;
        else
            primaryStyle = styleName;
        this.cssCustomClasses[styleIndex] = {
            primary: primaryStyle,
            secondary: secondaryStyle
        };
    }
    _generateCssClassName(styleIndex, isSecondary) {
        let postFix = this._getStylePostFix(isSecondary);
        let cssClassName = this._createCssClassName(styleSettingsProvider.cssClassNames.customStyle, styleIndex, postFix);
        return cssClassName;
    }
    addNewStyle(styleName, styleIndex, isSecond) {
        this.cssCustomClasses[styleIndex] = {
            secondary: styleName,
            primary: styleName
        };
    }
    _isShouldGenerateSecondaryStyle(styleSettingsModel) {
        return false;
    }
    _isSecondaryStyle(styleSettingsModel) {
        return false;
    }
    _getStylePostFix(isSecondary) {
        return null;
    }
    _getDrawProperty(isSecondaryStyle) {
        return null;
    }
    _shouldDrawBarStyle(styleSettingsModel) {
        return true;
    }
    _generateCssClassBody(styleSettingsModel, cssClassName, drawProperty) {
        let selector = this._getCssTdSelector(cssClassName);
        if (styleSettingsModel.RangeIndex) {
            let condition = this.cfModel.RuleModels[styleSettingsModel.RuleIndex].ConditionModel;
            styleSettingsModel = styleSettingsProvider._getRangeBackColorStyleSettings(styleSettingsModel, condition);
            this._createCssClassFromCustomAppearanceType(styleSettingsModel, selector, drawProperty);
        }
        else if (styleSettingsModel.AppearanceType === APPEARANCE_TYPE_CUSTOM) {
            this._createCssClassFromCustomAppearanceType(styleSettingsModel, selector, drawProperty);
        }
        else if (styleSettingsModel.AppearanceType !== APPEARANCE_TYPE_NONE) {
            this._createCssClassFromPredefinedAppearanceType(selector, styleSettingsModel.AppearanceType, drawProperty);
        }
    }
    _getCssTdSelector(cssClassname) {
        return '.' + styleSettingsProvider.cssClassNames.dashboardContainer + ' .' + cssClassname + ', '
            + GRID_BANDED_ROW_SELECTOR + ' .' + cssClassname + ', '
            + PIVOT_AREA_SELECTOR + ' .' + cssClassname;
    }
    _createCssClassFromCustomAppearanceType(styleSettingsModel, cssSelector, drawProperty) {
        let cssProperties = Array();
        if (drawProperty == null || drawProperty.shouldDrawBackColorStyle)
            cssProperties.push(this._createBackColorStyle(styleSettingsModel));
        if (drawProperty == null || drawProperty.shouldDrawFontStyles)
            cssProperties = cssProperties.concat(this._createFontStyles(styleSettingsModel));
        this.cssCustomClassesLinks.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssClass */ .a4)(cssSelector, cssProperties, this.container));
    }
    _createFontStyles(styleSettingsModel) {
        let fontStyles = Array();
        var isUnderline = (styleSettingsModel.FontStyle & this.FontStyle.Underline) !== 0, isStrikeout = (styleSettingsModel.FontStyle & this.FontStyle.Strikeout) !== 0;
        if (styleSettingsModel.ForeColor)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('color', (0,_data_utils__WEBPACK_IMPORTED_MODULE_4__/* .toColor */ .VR)(styleSettingsModel.ForeColor)));
        if (styleSettingsModel.FontFamily)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('font-family', styleSettingsModel.FontFamily));
        if (styleSettingsModel.FontSize && styleSettingsModel.FontSize > 0)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('font-size', styleSettingsModel.FontSize));
        if ((styleSettingsModel.FontStyle & this.FontStyle.Bold) !== 0)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('font-weight', 'bold'));
        if ((styleSettingsModel.FontStyle & this.FontStyle.Italic) !== 0)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('font-style', 'italic'));
        if (isUnderline && isStrikeout)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('text-decoration', 'underline line-through'));
        else if (isUnderline)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('text-decoration', 'underline'));
        else if (isStrikeout)
            fontStyles.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('text-decoration', 'line-through'));
        return fontStyles;
    }
    _createBackColorStyle(styleSettingsModel) {
        return styleSettingsModel.Color ? (0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssPropertyWrapper */ .MZ)('background-color', _appearance_settings_provider__WEBPACK_IMPORTED_MODULE_7__/* .appearanceSettingsProvider */ .v.getColor(styleSettingsModel)) : null;
    }
    _createCssClassFromPredefinedAppearanceType(selector, appearanceType, drawProperty) {
        this.cssCustomClassesLinks.push((0,_viewer_cssHelper__WEBPACK_IMPORTED_MODULE_5__/* .createCssClass */ .a4)(selector, _appearance_settings_provider__WEBPACK_IMPORTED_MODULE_7__/* .appearanceSettingsProvider */ .v.toCssProperties(appearanceType, drawProperty), this.container));
    }
}
styleSettingsProvider.cssClassNames = {
    iconConditionalFormatting: 'dx-icon-dashboard-cf',
    barAxis: 'dx-dashboard-bar-axis',
    customStyle: 'dx-dashboard-cf-style',
    customGradientStyle: 'dx-dashboard-cf-gradient-style',
    dashboardContainer: 'dx-dashboard-container',
    absolutePosition: 'dx-dashboard-absolute-position',
    relativePosition: 'dx-dashboard-relative-position',
    flexParent: 'dx-dashboard-flex-parent',
    flexParentBaseline: 'dx-dashboard-flex-parent-baseline',
    truncated: 'dx-dashboard-truncated',
    wordWrap: 'dx-dashboard-word-wrap',
    stretched: 'dx-dashboard-stretched',
    fixed: 'dx-dashboard-fixed',
    leftMargin: 'dx-dashboard-left-margin',
    rightMargin: 'dx-dashboard-right-margin',
    barContainer: 'dx-dashboard-cf-bar-container',
    barValue: 'dx-dashboard-cf-bar-value'
};
styleSettingsProvider.inctanceCounter = 0;
class cardItemStyleSettingsProvider extends styleSettingsProvider {
    _getDrawProperty(isSecondaryStyle) {
        let drawProperty = new DrawProperty();
        drawProperty.shouldDrawBackColorStyle = isSecondaryStyle;
        drawProperty.shouldDrawFontStyles = !isSecondaryStyle;
        return drawProperty;
    }
    _getStylePostFix(isSecondaryStyle) {
        return isSecondaryStyle ? 'card' : null;
    }
    _isShouldGenerateSecondaryStyle(styleSettingsModel) {
        return true;
    }
    _shouldDrawBarStyle(styleSettingsModel) {
        return false;
    }
    _textAlignmentIsLeft(container) {
        return false;
    }
    _getCssTdSelector(cssClassname) {
        let notSelectedOrHovered = ':not(.dx-selected-viewer-item):not(.dx-hovered-viewer-item)';
        return '.' + styleSettingsProvider.cssClassNames.dashboardContainer + ' .' + _widgets_widgets_viewer_css_class_names__WEBPACK_IMPORTED_MODULE_6__/* .layoutCardCssClassNames */ .m.card + notSelectedOrHovered + ' .' + cssClassname + ', '
            + '.' + styleSettingsProvider.cssClassNames.dashboardContainer + ' .' + _widgets_widgets_viewer_css_class_names__WEBPACK_IMPORTED_MODULE_6__/* .layoutCardCssClassNames */ .m.card + notSelectedOrHovered + '.' + cssClassname;
    }
    _applyIconSettings(container, iconType, forceLeftAlignment, flexParentStyle = styleSettingsProvider.cssClassNames.flexParent) {
        super._applyIconSettings(container, iconType, forceLeftAlignment, styleSettingsProvider.cssClassNames.flexParentBaseline);
    }
    _wrapChildElementsToApplyIconSettings(container, classes, forceLeftAlignment) {
        const textClasses = [this.wordWrap ? classes.wordWrap : classes.truncated, classes.stretched];
        const wrappingElement = document.createElement('div');
        wrappingElement.classList.add(...textClasses);
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .wrapInner */ .HE)(container, wrappingElement);
    }
    getIconType(styleSettingsInfo) {
        let sortedStyleIndexes = styleSettingsInfo ? styleSettingsInfo.styleIndexes : undefined;
        let iconType;
        if (sortedStyleIndexes && sortedStyleIndexes.length > 0) {
            sortedStyleIndexes.sort((a, b) => a - b);
            sortedStyleIndexes.forEach(index => {
                let styleSettingsModel = this.cfModel.FormatConditionStyleSettings[index];
                if (styleSettingsModel.IconType !== ICON_TYPE_NONE)
                    iconType = styleSettingsModel.IconType;
            });
        }
        return iconType;
    }
    applyIndicatorStyle(container, iconType) {
        this._applyIconSettings(container, iconType, null);
    }
}


/***/ }),

/***/ 7886:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ZT: () => (/* binding */ rangeInfoSerializationsInfo),
/* harmony export */   Zn: () => (/* binding */ rangeValue),
/* harmony export */   oW: () => (/* binding */ rangeValueComparison)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _format_rules_common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1973);


let rangeValue = { propertyName: 'value', modelName: 'Value', displayName: 'DashboardStringId.CommandFormatRuleValue', type: _format_rules_common__WEBPACK_IMPORTED_MODULE_1__/* .ComplexValue */ ._ };
let rangeValueComparison = {
    propertyName: 'valueComparison', modelName: '@ValueComparison', displayName: 'DashboardWebStringId.ConditionalFormatting.ValueComparison', defaultVal: 'GreaterOrEqual', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Greater': '>',
        'GreaterOrEqual': '≥'
    }
};
let rangeInfoSerializationsInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG, rangeValue, rangeValueComparison];


/***/ }),

/***/ 7899:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JZ: () => (/* binding */ wrapWithUndoRedo),
/* harmony export */   aY: () => (/* binding */ UndoEngineContainer),
/* harmony export */   dm: () => (/* binding */ callFuncWithUndoRedo),
/* harmony export */   hS: () => (/* binding */ wrapFuncWithUndoRedo)
/* harmony export */ });
class UndoEngineContainer {
}
function wrapFuncWithUndoRedo(func) {
    return function (...args) {
        try {
            UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.start();
            var result = func.apply(this, args);
            return result;
        }
        finally {
            UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.end();
        }
    };
}
function callFuncWithUndoRedo(func) {
    try {
        UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.start();
        func();
    }
    finally {
        UndoEngineContainer.undoEngine && UndoEngineContainer.undoEngine.end();
    }
}
function wrapWithUndoRedo(target, key, value) {
    return {
        value: wrapFuncWithUndoRedo(value.value)
    };
}


/***/ }),

/***/ 7944:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ DashboardLayoutGroup),
/* harmony export */   M: () => (/* binding */ DashboardLayoutRootGroup)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _layout_item_placeholder__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(842);
/* harmony import */ var _layout_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3620);
/* harmony import */ var _dashboard_layout_node__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4307);





class DashboardLayoutGroup extends _dashboard_layout_node__WEBPACK_IMPORTED_MODULE_4__/* .DashboardLayoutNode */ .Z {
    get _template() { return 'dx-dashboard-group'; }
    get _createPlaceholderFunc() { return () => new _layout_item_placeholder__WEBPACK_IMPORTED_MODULE_2__/* .DashboardLayoutItemPlaceholder */ .L(this); }
    get _visibleItems() { return this.childNodes; }
    get _childItems() { return this.childNodes; }
    get _orientation() { return this.orientation; }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.childNodes = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.childNodes((0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.LayoutItems || {}, modelJson => (0,_layout_utils__WEBPACK_IMPORTED_MODULE_3__/* .deserializeDashboardLayoutNode */ .k)(modelJson, serializer))());
        this.childNodes().forEach(childNode => childNode.parentNode(this));
        this.addDisposable(this.parentNode.subscribe(newParentNode => {
            this.childNodes().forEach(childNode => childNode.parentNode(this));
        }));
        this.addDisposable(this.childNodes.subscribe((arrayChanges) => {
            arrayChanges.forEach(arrayChange => {
                if (arrayChange.status === 'added') {
                    var addedLayoutItem = arrayChange.value;
                    addedLayoutItem.parentNode(this);
                }
                if (arrayChange.status === 'deleted') {
                    var removedLayoutItem = arrayChange.value;
                    if (removedLayoutItem.parentNode() === this) {
                        arrayChange.value.parentNode(null);
                    }
                }
            });
        }, null, 'arrayChange'));
    }
    dispose() {
        super.dispose();
        this.disposeObservableArray(this.childNodes);
        this.resetObservableArray(this.childNodes);
    }
    findLayoutItem(dashboardItem) {
        var result = super.findLayoutItem(dashboardItem);
        if (!result) {
            for (let childLayoutItem of this.childNodes()) {
                result = childLayoutItem.findLayoutItem(dashboardItem);
                if (!!result) {
                    break;
                }
            }
        }
        return result;
    }
    getNodesRecursive() {
        return this.childNodes().reduce((acc, layoutItem) => {
            acc.push(layoutItem);
            if (layoutItem instanceof DashboardLayoutGroup) {
                acc = acc.concat(layoutItem.getNodesRecursive());
            }
            return acc;
        }, []);
    }
    getItemsRecursive() {
        return this.getNodesRecursive().filter(node => node.dashboardItem());
    }
    _attachToGroupWithInversedOrientation(target, itemToAttach, position) {
        var owner = this;
        var newGroupItemModel = new DashboardLayoutGroup();
        newGroupItemModel.orientation(owner.orientation());
        owner.childNodes().slice(0).forEach(node => {
            owner._detachChild(node);
            newGroupItemModel.childNodes.push(node);
        });
        owner.orientation(newGroupItemModel.orientation() === 'Horizontal' ? 'Vertical' : 'Horizontal');
        owner.childNodes.push(newGroupItemModel);
        owner._attachChild(target, itemToAttach, position);
    }
    _attachChild(target, itemToAttach, position) {
        var attachBefore = true;
        var owner = this;
        if (this.orientation() === 'Horizontal') {
            switch (position) {
                case 'left':
                    break;
                case 'right':
                    attachBefore = false;
                    break;
                case 'top':
                    owner = this._wrapChildWithGroup(target, 'Vertical');
                    break;
                case 'bottom':
                    attachBefore = false;
                    owner = this._wrapChildWithGroup(target, 'Vertical');
                    break;
            }
        }
        else {
            switch (position) {
                case 'left':
                    owner = this._wrapChildWithGroup(target, 'Horizontal');
                    break;
                case 'right':
                    attachBefore = false;
                    owner = this._wrapChildWithGroup(target, 'Horizontal');
                    break;
                case 'top':
                    break;
                case 'bottom':
                    attachBefore = false;
                    break;
            }
        }
        if (!this.parentNode() && owner === this) {
            owner = this._wrapChildWithGroup(target, 'Horizontal');
        }
        _attachChildCore(owner, target, itemToAttach, attachBefore);
    }
    _detachChild(removedChildLayoutNode) {
        this.childNodes.splice(this.childNodes().indexOf(removedChildLayoutNode), 1);
        if (this.childNodes().length === 0 && !this.item) {
            this.remove();
        }
        this._ensureGroupIsNeeded();
    }
    _ensureGroupIsNeeded() {
        if (this.childNodes().length === 1 && !this.item && this.parentNode() && this.parentNode().parentNode()) {
            var childToUnwrap = this.childNodes()[0];
            var parentNode = this.parentNode();
            childToUnwrap.weight(this.weight());
            this.childNodes.remove(childToUnwrap);
            parentNode.childNodes.splice(parentNode.childNodes().indexOf(this), 1, childToUnwrap);
            parentNode._ensureGroupIsNeeded();
        }
    }
    _wrapChildWithGroup(childLayoutNode, orientation) {
        var newGroupItemModel = new DashboardLayoutGroup();
        newGroupItemModel.weight(childLayoutNode.weight());
        newGroupItemModel.orientation(orientation);
        _attachChildCore(this, childLayoutNode, newGroupItemModel, true);
        this._detachChild(childLayoutNode);
        newGroupItemModel.childNodes.push(childLayoutNode);
        return newGroupItemModel;
    }
    _getOrientationByInsertPosition(position) {
        return (position === 'left' || position === 'right') ? 'Horizontal' : 'Vertical';
    }
    _insertItemCore(layoutNodeToInsert, position, insertionBehavior) {
        if (this.parentNode()) {
            if (insertionBehavior === 'InsertIntoGroup' && this._getOrientationByInsertPosition(position) !== this.orientation()) {
                this._attachToGroupWithInversedOrientation(this, layoutNodeToInsert, position);
            }
            else {
                super._insertItemCore(layoutNodeToInsert, position);
            }
        }
        else {
            this._addItem(layoutNodeToInsert);
        }
    }
    _addItem(layoutNodeToInsert) {
        this.childNodes.push(layoutNodeToInsert);
    }
    _getDefaultItemType() { return 'LayoutGroup'; }
    _deleteDashbordItem() {
        super._deleteDashbordItem();
        if (this._dashboard()) {
            this._dashboard().items.remove(item => item.parentContainer() === this.item.componentName());
            this._dashboard().groups.remove(this.item);
        }
    }
}
function _attachChildCore(owner, target, sibling, before = true) {
    var index = owner.childNodes().indexOf(target);
    if (index == -1)
        index = 0;
    owner.childNodes.splice(before ? index : index + 1, 0, sibling);
}
_layout_utils__WEBPACK_IMPORTED_MODULE_3__/* ._layoutItemTypeMap */ .r['LayoutGroup'] = DashboardLayoutGroup;
class DashboardLayoutRootGroup extends DashboardLayoutGroup {
    constructor(dashboard, modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this._dashboard(dashboard);
        this.weight(undefined);
    }
    _getDefaultItemType() { return ''; }
    _addItem(layoutNodeToInsert) {
        if (this.childNodes().length == 0) {
            var targetLayoutItem = new DashboardLayoutGroup();
            targetLayoutItem.childNodes.push(layoutNodeToInsert);
            this.childNodes.push(targetLayoutItem);
        }
        else if (this.childNodes().length == 1 && this.childNodes()[0] instanceof DashboardLayoutGroup) {
            this.childNodes()[0].childNodes.push(layoutNodeToInsert);
        }
        else if (this.childNodes().length > 1) {
            throw new Error('Root layout item has more than one child.');
        }
    }
}


/***/ }),

/***/ 7975:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ chartDataController)
/* harmony export */ });
/* harmony import */ var _localization_ids__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4216);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4999);
/* harmony import */ var _chart_data_controller_proto__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6224);



class chartDataController extends _chart_data_controller_proto__WEBPACK_IMPORTED_MODULE_2__/* .chartDataControllerProto */ .f {
    getArgumentBindingValue(argumentPoint, pointIndex) {
        if (this.isQualitativeArgument() || this.isDiscreteArgument()) {
            if (argumentPoint.getParent() != null) {
                return pointIndex.toString();
            }
            else {
                return _localizer__WEBPACK_IMPORTED_MODULE_1__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_0__/* .localizationId */ .d.ChartTotalValue);
            }
        }
        return argumentPoint.getValue();
    }
}


/***/ }),

/***/ 7994:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ ScatterChartItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1345);
/* harmony import */ var _metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2084);



class ScatterChartItemFormatRule extends _chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__/* .ChartItemFormatRuleBase */ .k {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getDefaultItemType() {
        return 'ScatterChartItemFormatRule';
    }
    getInfo() {
        return _metadata_chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_2__/* .chartItemFormatRuleSerializationsInfoBase */ .zh;
    }
}


/***/ }),

/***/ 8002:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ PointLabelOptionsBase),
/* harmony export */   Z: () => (/* binding */ PointLabelOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_point_label_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2323);



class PointLabelOptionsBase extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_point_label_options__WEBPACK_IMPORTED_MODULE_2__/* .pointLabelOptionsBaseSerializationsInfo */ .XN;
    }
    grabFrom(options) {
        this.showPointLabels(options.showPointLabels());
        this.orientation(options.orientation());
        this.overlappingMode(options.overlappingMode());
    }
}
class PointLabelOptions extends PointLabelOptionsBase {
    constructor(JSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _metadata_point_label_options__WEBPACK_IMPORTED_MODULE_2__/* .pointLabelOptionsSerializationsInfo */ .c3;
    }
    grabFrom(options) {
        super.grabFrom(options);
        this.showForZeroValues(options.showForZeroValues());
        this.position(options.position());
        this.contentType(options.contentType());
    }
}


/***/ }),

/***/ 8011:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ formatConditionColorRangeBarSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6744);
/* harmony import */ var _format_condition_range_set__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8324);


let formatConditionColorRangeBarSerializationsInfo = _format_condition_range_set__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionRangeSetSerializationsInfo */ .v.concat([_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_0__/* .barOptions */ .oD]);


/***/ }),

/***/ 8015:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ DrillThroughDataWrapper)
/* harmony export */ });
/* harmony import */ var _list_source__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2058);

class DrillThroughDataWrapper {
    constructor(drillThroughData) {
        this._drillThroughData = drillThroughData;
    }
    initialize() {
        var that = this;
        that._errorMessage = this._drillThroughData.ErrorMessage;
        if (that.isDataReceived()) {
            that._data = {};
            that._data.dataMembers = that._drillThroughData.DataMembers;
            that._data.displayNames = that._drillThroughData.DataMembersDisplayNames;
            that._data.listSource = new _list_source__WEBPACK_IMPORTED_MODULE_0__/* .listSource */ .K(that._drillThroughData.Data, that._data.dataMembers);
        }
    }
    getRowCount() {
        return this._data.listSource.getRowCount();
    }
    getRowValue(rowIndex, columnName) {
        return this._data.listSource.getRowValue(rowIndex, columnName);
    }
    getDataMembers() {
        return this._data.dataMembers;
    }
    getDisplayNames() {
        return this._data.data.displayNames;
    }
    isDataReceived() {
        return this._drillThroughData && this._drillThroughData.Data != null;
    }
    getRequestDataError() {
        return this._errorMessage;
    }
}


/***/ }),

/***/ 8035:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ ChartItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1345);
/* harmony import */ var _metadata_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4784);



class ChartItemFormatRule extends _chart_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__/* .ChartItemFormatRuleBase */ .k {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getDefaultItemType() {
        return 'ChartItemFormatRule';
    }
    getInfo() {
        return _metadata_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .chartItemFormatRuleSerializationsInfo */ .wP;
    }
}


/***/ }),

/***/ 8042:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ getAceTheme)
/* harmony export */ });
/* harmony import */ var _viewer_parts_dx_devextreme_themes_integration__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3523);

var getAceTheme = () => (0,_viewer_parts_dx_devextreme_themes_integration__WEBPACK_IMPORTED_MODULE_0__/* .getBaseColorScheme */ .u)() === 'light' ? 'ace/theme/dreamweaver' : 'ace/theme/ambiance';


/***/ }),

/***/ 8058:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ Parameter),
/* harmony export */   q: () => (/* binding */ _getParametersQuery)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(2037);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1513);
/* harmony import */ var _parameters_helper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2809);
/* harmony import */ var _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(0);
/* harmony import */ var _look_up_value__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5690);
/* harmony import */ var _metadata_parameter__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1843);
/* harmony import */ var _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5225);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











function _getParametersQuery(parameters, tempParameterValues) {
    return parameters.map(p => {
        return {
            name: p.name(),
            value: (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_10__/* .toStringArray */ .oU)((tempParameterValues && tempParameterValues[p.name()]) ?? p._actualValue()),
            type: p.type(),
            allowMultiselect: p.allowMultiselect(),
            selectAll: p.allowMultiselect() && p.selectAllValues() && p._actualValue() === Parameter.SelectAllValue
        };
    });
}
class Parameter extends _serializable_model__WEBPACK_IMPORTED_MODULE_4__/* .TypedSerializableModel */ .$t {
    _patchSerializationsInfo(infos, propertyName, action) {
        var property = (infos.filter((prop) => { return prop.propertyName === propertyName; })[0]);
        if (!!property) {
            action(property);
        }
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer(), _allParameters) {
        super(modelJson, serializer);
        this._allParameters = _allParameters;
        this.lookUpSourceType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('None');
        this.staticListLookUpSettings = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        this.dynamicListLookUpSettings = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        this._paramDialogValue = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.addDisposable(this._value = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => this._paramDialogValue(),
            write: val => this._paramDialogValue(val)
        }));
        this.defaultValues = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Values, (item) => new _look_up_value__WEBPACK_IMPORTED_MODULE_7__/* .LookUpValue */ .Q(item, serializer));
        this.addDisposable(this._valuesOfDefaultValues = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return this.defaultValues() && this.defaultValues().map(val => val.value()) || null;
        }));
        if (this._type()) {
            var typeParts = this._type().split(',');
            if (typeParts.length > 1) {
                this._type(typeParts[0]);
            }
        }
        this.addDisposable(this.type = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
            read: () => {
                return this._type();
            },
            write: (val) => {
                var oldVal = this._type();
                if (val !== oldVal) {
                    this._value(undefined);
                    if (this.staticListLookUpSettings()) {
                        this.staticListLookUpSettings()._updateValuesType(val);
                    }
                    this._type(val);
                    if (val === 'System.DateTime') {
                        this.defaultValue(_parameters_helper__WEBPACK_IMPORTED_MODULE_5__/* .ParameterHelper */ ._.getDefaultTypeValue(val));
                    }
                    else {
                        this.defaultValue(_parameters_helper__WEBPACK_IMPORTED_MODULE_5__/* .ParameterHelper */ ._.convertSingleValue(this.defaultValue(), val, this.allowNull()));
                    }
                }
            }
        }));
        this.defaultValue(_parameters_helper__WEBPACK_IMPORTED_MODULE_5__/* .ParameterHelper */ ._.convertSingleValue(this.defaultValue(), this.type(), this.allowNull()));
        if (modelJson.hasOwnProperty(_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* .StaticListLookUpSettings */ .E.modelName)) {
            this.staticListLookUpSettings(new _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* .StaticListLookUpSettings */ .E(modelJson[_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* .StaticListLookUpSettings */ .E.modelName], serializer));
            delete this['_model'][_static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* .StaticListLookUpSettings */ .E.modelName];
            this.staticListLookUpSettings()._updateValuesType(this.type());
            this.lookUpSourceType('StaticListLookUpSettings');
        }
        else if (modelJson.hasOwnProperty(_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* .DynamicListLookUpSettings */ .x.modelName)) {
            this.dynamicListLookUpSettings(new _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* .DynamicListLookUpSettings */ .x(modelJson[_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* .DynamicListLookUpSettings */ .x.modelName], serializer));
            delete this['_model'][_dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* .DynamicListLookUpSettings */ .x.modelName];
            this.lookUpSourceType('DynamicListLookUpSettings');
        }
        else {
            this.lookUpSourceType('None');
        }
        this.addDisposable(this.lookUpSourceType = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                if (!!this.staticListLookUpSettings()) {
                    return 'StaticListLookUpSettings';
                }
                else if (this.dynamicListLookUpSettings()) {
                    return 'DynamicListLookUpSettings';
                }
                else {
                    return 'None';
                }
            },
            write: (val) => {
                this.dynamicListLookUpSettings() && this.dynamicListLookUpSettings().dispose();
                switch (val) {
                    case 'StaticListLookUpSettings':
                        this.staticListLookUpSettings(new _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* .StaticListLookUpSettings */ .E());
                        this.dynamicListLookUpSettings(null);
                        this._resetDefaultValues();
                        break;
                    case 'DynamicListLookUpSettings':
                        this.staticListLookUpSettings(null);
                        this.dynamicListLookUpSettings(new _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* .DynamicListLookUpSettings */ .x());
                        this._resetDefaultValues();
                        break;
                    default:
                        this.staticListLookUpSettings(null);
                        this.dynamicListLookUpSettings(null);
                        this._resetDefaultValues();
                        this.allowMultiselect(false);
                        this.selectAllValues(false);
                        break;
                }
            }
        }));
        this.addDisposable(this._actualValue = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if ((!this.allowNull() && (this._value() === null || this._value() === undefined)) ||
                (this.allowNull() && this._value() === undefined)) {
                if (this.allowMultiselect()) {
                    if (this.selectAllValues()) {
                        if (!!this.staticListLookUpSettings()) {
                            return this.staticListLookUpSettings().values().map(val => val.value());
                        }
                        else if (!!this.dynamicListLookUpSettings()) {
                            return Parameter.SelectAllValue;
                        }
                    }
                    return this._valuesOfDefaultValues();
                }
                return this.defaultValue();
            }
            return this._value();
        }));
        this.addDisposable(this.containsDisplayMember = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            return !!this.dynamicListLookUpSettings();
        }));
        this.addDisposable(this.defaultValue.subscribe(newDefaultValue => {
            if (!this.allowMultiselect()) {
                this._value(this.defaultValue());
            }
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if (this.allowMultiselect()) {
                if (this.selectAllValues()) {
                    this._value(undefined);
                }
                else {
                    this._value(this._valuesOfDefaultValues());
                }
            }
            else {
                this._value(this.defaultValue());
            }
        }));
        this.addDisposable(this.allowMultiselect.subscribe(newAllowMultiselect => {
            if (!newAllowMultiselect) {
                this.selectAllValues(false);
            }
            this._resetDefaultValues();
        }));
        this.addDisposable(this.selectAllValues.subscribe(_ => {
            this._resetDefaultValues();
        }));
    }
    dispose() {
        super.dispose();
        this.dynamicListLookUpSettings() && this.dynamicListLookUpSettings().dispose();
    }
    getInfo() {
        var info = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .deepExtend */ .zw)([], _metadata_parameter__WEBPACK_IMPORTED_MODULE_8__/* .dashboardParameterSerializationsInfo */ .vw);
        if (this.type) {
            this._patchSerializationsInfo(info, _metadata_parameter__WEBPACK_IMPORTED_MODULE_8__/* .defaultValue */ .Jh.propertyName, (prop) => { prop.defaultVal = _parameters_helper__WEBPACK_IMPORTED_MODULE_5__/* .ParameterHelper */ ._.getDefaultTypeValue(this.type()); });
        }
        if (this.staticListLookUpSettings && !!this.staticListLookUpSettings()) {
            this._patchSerializationsInfo(info, _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* ._staticListLookUpSettingsSerializationInfo */ .d.propertyName, (prop) => { prop.modelName = _static_list_lookup_settings__WEBPACK_IMPORTED_MODULE_9__/* .StaticListLookUpSettings */ .E.modelName; });
        }
        if (this.staticListLookUpSettings && !!this.dynamicListLookUpSettings()) {
            this._patchSerializationsInfo(info, _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* ._dynamicListLookUpSettingsSerializationInfo */ .y.propertyName, (prop) => { prop.modelName = _dynamic_list_lookup_settings__WEBPACK_IMPORTED_MODULE_6__/* .DynamicListLookUpSettings */ .x.modelName; });
        }
        return info;
    }
    _resetDefaultValues() {
        this.defaultValue(_parameters_helper__WEBPACK_IMPORTED_MODULE_5__/* .ParameterHelper */ ._.convertSingleValue(null, this.type(), this.allowNull()));
        this.defaultValues(this.allowNull() ? null : []);
    }
    grabFrom(another) {
        this.name(another.name.peek());
        this._type(another._type.peek());
        this.allowNull(another.allowNull.peek());
        this.parameterVisible(another.parameterVisible.peek());
        this.description(another.description.peek());
        this.defaultValue(another.defaultValue.peek());
        this.allowMultiselect(another.allowMultiselect.peek());
        this.defaultValues(another.defaultValues.peek());
        this.selectAllValues(another.selectAllValues.peek());
        this.staticListLookUpSettings(another.staticListLookUpSettings.peek());
        this.dynamicListLookUpSettings(another.dynamicListLookUpSettings.peek());
    }
    _getDefaultItemType() {
        return 'Parameter';
    }
}
Parameter.SelectAllValue = '7BD68C11-DC21-4571-8EF6-AAB6E15355EF';
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_3__/* .collectionItemType */ .s)('Value')
], Parameter.prototype, "defaultValues", void 0);


/***/ }),

/***/ 8088:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ scatterChartDataController)
/* harmony export */ });
/* harmony import */ var _viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2850);
/* harmony import */ var _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1133);
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6726);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4833);
/* harmony import */ var _chart_data_controller_proto__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6224);





class scatterChartDataController extends _chart_data_controller_proto__WEBPACK_IMPORTED_MODULE_4__/* .chartDataControllerProto */ .f {
    constructor(options) {
        super(options);
    }
    getArgument(argumentAxisPoint) {
        var measureId = this.viewModel.AxisXDataMember, slice = this.multiData.getSlice(argumentAxisPoint);
        return slice.getMeasureValue(measureId).getValue();
    }
    getArgumentBindingValue(argumentPoint, pointIndex) {
        return this.getArgument(argumentPoint);
    }
    getArgumentDisplayPath(axisPoint) {
        return axisPoint.getDisplayPath().reverse().join(', ');
    }
    getArgumentFormat() {
        return this.multiData && this.multiData.getMeasureFormat(this.viewModel.AxisXDataMember);
    }
    getArgumentText(argument) {
        if (this.viewModel.AxisXPercentValues)
            return (0,_formatter__WEBPACK_IMPORTED_MODULE_2__/* .formatPercentValue */ .Iv)(argument.value);
        if (this.viewModel.AxisXScientificValues)
            return (0,_formatter__WEBPACK_IMPORTED_MODULE_2__/* .formatScientificAxisValue */ .Fn)(argument.value);
        return (0,_formatter__WEBPACK_IMPORTED_MODULE_2__/* .formatAxisValue */ .Ah)(argument.value, argument.min, argument.max);
    }
    _getTooltipHtml(series, point, seriesFormats, encodeHtml, color) {
        var that = this, text, slice = that.multiData.getSlice(point.tag.axisPoint), measureIds = that._getMeasureIds();
        var table = document.createElement('table');
        measureIds.forEach((measureId, index) => {
            text = that.multiData.getMeasureById(measureId).name + ': ' + slice.getMeasureValue(measureId).getDisplayText();
            text = encodeHtml ? (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .encodeHtml */ .o4)(text) : text;
            var tr = document.createElement('tr');
            var td = document.createElement('td');
            tr.appendChild(td);
            if (color && index === 0) {
                td.appendChild(_viewer_parts_widgets_render_helper__WEBPACK_IMPORTED_MODULE_0__/* .RenderHelper */ .p.rectangleHtml(color, 10, 10, '5px'));
            }
            td = document.createElement('td');
            td.innerHTML = text;
            tr.appendChild(td);
            table.appendChild(tr);
        });
        return table;
    }
    _getMeasureIds() {
        var measureIds = [];
        measureIds.push(this.viewModel.AxisXDataMember);
        this.viewModel.Panes[0].SeriesTemplates[0].DataMembers.forEach(measureId => {
            measureIds.push(measureId);
        });
        return measureIds;
    }
    getTooltipArgumentText(obj) {
        return this._getTooltipArgumentText(obj.point.tag.axisPoint);
    }
    _getTooltipArgumentText(axisPoint) {
        var axisName = axisPoint.getAxisName();
        if (this.drillDownState[axisName]) {
            return axisPoint.getDisplayText();
        }
        else {
            return this.getArgumentDisplayPath(axisPoint);
        }
    }
    _customizePointLabelText(valueContainer, pointLabel, seriesInfo) {
        var that = this, axisPoint = valueContainer.point.tag.axisPoint, argument = function () {
            return that._getTooltipArgumentText(axisPoint);
        }, weight = function () {
            var dataMembers = that.viewModel.Panes[0].SeriesTemplates[0].DataMembers;
            if (dataMembers.length > 1) {
                var measureId = dataMembers[1];
                var slice = that.multiData.getSlice(axisPoint);
                return slice.getMeasureValue(measureId).getDisplayText();
            }
            return null;
        }, values = function () {
            var text = '', measureIds = that._getMeasureIds(), slice = that.multiData.getSlice(axisPoint);
            measureIds.forEach((measureId, index) => {
                text += (index > 0 ? ' - ' : '') + slice.getMeasureValue(measureId).getDisplayText();
            });
            return text;
        };
        switch (pointLabel.scatterContent) {
            case 'Argument':
                return argument();
            case 'Weight':
                return weight();
            case 'Values':
                return values();
            case 'ArgumentAndWeight':
                return argument() + ': ' + weight();
            case 'ArgumentAndValues':
                return argument() + ': ' + values();
            default:
                return null;
        }
    }
    isQualitativeArgument() {
        return false;
    }
    isDiscreteArgument() {
        return false;
    }
    showPointLabels(pointLabelInfo) {
        return pointLabelInfo && pointLabelInfo.showPointLabels;
    }
    _getStyleSettingsInfo(argumentAxisPoint, seriesAxisPoint, seriesMeasureId, chartElement) {
        if (this.cfModel) {
            let seriesInfo = {
                argumentAxisPoint: argumentAxisPoint,
                seriesAxisPoint: seriesAxisPoint,
                chartElement: chartElement
            };
            return this._getStyleSettingsInfoCore(seriesInfo, this.cfModel.RuleModels, this.viewModel.ColumnAxisName, _item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_1__/* .itemDataAxisNames */ .X.defaultAxis);
        }
    }
    _getStyleIndexes(rule, seriesInfo, points) {
        return seriesInfo.chartElement === 'Point' ? super._getStyleIndexes(rule, seriesInfo, points) : [];
    }
}


/***/ }),

/***/ 8090:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ FilterElementItemBase)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_hashset_wrapper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6570);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4833);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1923);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1041);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8588);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9692);
/* harmony import */ var _metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(641);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









class FilterElementItemBase extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_7__/* .DataDashboardItem */ .s {
    get _supportParallelRequests() {
        return false;
    }
    get _useCriteriaOptimization() {
        return !this.filterString()
            && !this.visibleDataFilterString()
            && this.interactivityOptions.ignoreMasterFilters()
            && !this.isMasterFilterCrossDataSource()
            && !this._interactivityDimensions.some(d => d.topNOptionsEnabled());
    }
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.__filterDimensions = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.filterDimensions = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this._unselectedValues = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.addDisposable(this._isExcludingAllFilter = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            if (!!this._useNeutralFilterMode())
                return false;
            var selectionValues = this._selectionValues();
            return this._dataManager() && selectionValues && selectionValues.length === 0;
        }));
        (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_5__/* .subscribeArrayChange */ .w$)(this.__filterDimensions, {
            added: link => link._specifics.supportsTopNOther = false,
            deleted: link => link._specifics.supportsTopNOther = true
        });
        this.__filterDimensions((0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.FilterDimensions, (item) => {
            var link = new _data_item_data_item__WEBPACK_IMPORTED_MODULE_4__/* .DataItemLink */ .Kz(this, item, serializer);
            link._specifics.supportsTopNOther = false;
            return link;
        })());
        this._subscribeDataItemLinkArrays(_metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_8__/* .filterDimensions */ .Ug);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__filterDimensions);
        this.__filterDimensions.removeAll();
    }
    _getInfoCore() {
        return _metadata_filter_element_item_base__WEBPACK_IMPORTED_MODULE_8__/* .filterElementItemBaseSerializationInfo */ .fL;
    }
    _isCalculationSupported() {
        return false;
    }
    _getInteractivityDimensionLinks() { return this.__filterDimensions(); }
    _getMasterFilterMode() { return !this._useNeutralFilterMode() || (!!this._useNeutralFilterMode() && this._isMultiselectable()) ? 'Multiple' : 'Single'; }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getClearMasterFilterSupported() { return !!this._useNeutralFilterMode(); }
    _getIsMasterFilter() { return true; }
    _getIsVisualInteractivitySupported() { return false; }
    _isMultiselectable() { return false; }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        content.ViewModel.EnableSearch = this.enableSearch();
    }
    _performOutputFilterOptimization(filter) {
        if (this.__filterDimensions && filter && !!filter.values && this._useCriteriaOptimization) {
            const allSelectionValues = this._getAllSelectionValues(this._interactivityDimensions.map(d => d.uniqueName()));
            const selectionLenght = allSelectionValues.length;
            if (filter.values.length === selectionLenght) {
                return undefined;
            }
        }
        if (!!this._dataQueryParams.peek()
            && !!this._dataQueryParams.peek().Filter
            && this._dataQueryParams.peek().Filter.some(externalFilter => externalFilter.isExcludingAllFilter)) {
            return undefined;
        }
        return filter;
    }
    _validateSelectionByData(origSelection) {
        let selection = origSelection;
        if (!this._interactivityDimensions.length)
            return;
        var allValues = this._getAllSelectionValues(this._interactivityDimensions.map(d => d.uniqueName()));
        if (this._isMultiselectable() && !this._useNeutralFilterMode() && !Array.isArray(this._unselectedValues())) {
            this._unselectedValues([]);
            if (Array.isArray(selection)) {
                this._updateUnselectedValues(selection, allValues);
            }
        }
        if (this._isMultipleMasterFilter() && this._useNeutralFilterMode() && selection && this._useCriteriaOptimization && allValues.length) {
            const hashSet = new _data_hashset_wrapper__WEBPACK_IMPORTED_MODULE_2__/* .HashsetWrapper */ .e(allValues);
            selection = [];
            origSelection.forEach(val => hashSet.contains(val) && selection.push(val));
        }
        this._setSelectionData(this._correctSelectionValues(allValues, selection || []), this._useCriteriaOptimization && this._useNeutralFilterMode());
    }
    _setSelectionData(selection, forceSetSelection = false) {
        if (!this._useNeutralFilterMode() && this._multiData) {
            var currentSelection = this._selectionValues();
            if (this._isMultiselectable() && !!currentSelection && this._unselectedValues()) {
                this._updateUnselectedValues(selection, currentSelection);
            }
            if (!!selection) {
                var hashset = new _data_hashset_wrapper__WEBPACK_IMPORTED_MODULE_2__/* .HashsetWrapper */ .e(selection);
                var allValues = this._getAllSelectionValues(this._interactivityDimensions.map(d => d.uniqueName()));
                selection = hashset.getIntersection(allValues);
            }
        }
        super._setSelectionData(selection, forceSetSelection);
    }
    _correctSelectionValues(allValues, currentSelection) {
        if (this._isMultiselectable() && !this._useNeutralFilterMode()) {
            var unknownSelection = allValues
                .filter(x => !this._arrayContains(currentSelection, x) && !this._arrayContains(this._unselectedValues(), x));
            return currentSelection.concat(unknownSelection);
        }
        else if (!this._isMultiselectable()) {
            if (!!this._useNeutralFilterMode()) {
                if (currentSelection.length !== 1) {
                    return this._allowAllValue() || allValues.length == 0 ? null : [allValues[0]];
                }
            }
            else {
                if (currentSelection.length !== 1 || !this._arrayContains(allValues, currentSelection[0])) {
                    return this._allowAllValue() ? allValues : [allValues[0]];
                }
            }
        }
        return currentSelection;
    }
    _updateUnselectedValues(newSelection, currentSelection) {
        if (!newSelection || newSelection.length === 0) {
            currentSelection.forEach(x => this._unselectedValues().push(x.slice()));
        }
        else {
            let hashset = new _data_hashset_wrapper__WEBPACK_IMPORTED_MODULE_2__/* .HashsetWrapper */ .e(newSelection);
            let unselectedCount = this._unselectedValues().length;
            for (let i = unselectedCount - 1; i >= 0; i--) {
                if (hashset.contains(this._unselectedValues()[i])) {
                    this._unselectedValues().splice(i, 1);
                }
            }
            currentSelection.forEach(x => {
                if (!hashset.contains(x)) {
                    this._unselectedValues().push(x.slice());
                }
            });
        }
    }
    _arrayContains(container, part) {
        return (0,_data_utils__WEBPACK_IMPORTED_MODULE_3__/* .arrayContains */ .DQ)(container, part);
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_6__/* .collectionItemType */ .s)('Dimension')
], FilterElementItemBase.prototype, "__filterDimensions", void 0);


/***/ }),

/***/ 8096:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  nB: () => (/* binding */ dashboardGridItemSerializationsInfo),
  ZA: () => (/* binding */ gridColumnFilter),
  cb: () => (/* binding */ gridColumns),
  nv: () => (/* binding */ gridOptions),
  Jd: () => (/* binding */ sparklineArgument)
});

// EXTERNAL MODULE: ./dist/model/data-item/metadata/_data-item.js
var _data_item = __webpack_require__(158);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
// EXTERNAL MODULE: ./dist/model/items/metadata/_data-dashboard-item.js
var _data_dashboard_item = __webpack_require__(6157);
// EXTERNAL MODULE: ./dist/model/items/options/interactivity-options.js
var interactivity_options = __webpack_require__(9282);
// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
// EXTERNAL MODULE: ./dist/model/items/grid/metadata/_grid-column-filter-options.js
var _grid_column_filter_options = __webpack_require__(6392);
;// ./dist/model/items/grid/grid-column-filter-options.js



class GridColumnFilterOptions extends serializable_model/* SerializableModel */.Lm {
    constructor(JSON = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(JSON, serializer);
    }
    getInfo() {
        return _grid_column_filter_options/* gridColumnFilterOptionsSerializationsInfo */.sX;
    }
    _getViewModel() {
        return {
            ShowFilterRow: this.showFilterRow(),
            UpdateTotalsOnColumnFilterChanged: this.updateTotals(),
        };
    }
}

// EXTERNAL MODULE: ./dist/model/items/grid/grid-options.js
var grid_options = __webpack_require__(4473);
;// ./dist/model/items/grid/metadata/_grid-item.js






let gridOptions = { propertyName: 'gridOptions', modelName: 'GridOptions', displayName: 'DashboardWebStringId.Grid.Options', type: grid_options/* GridOptions */.d };
let gridColumnFilter = { propertyName: 'columnFilterOptions', modelName: 'ColumnFilterOptions', displayName: 'DashboardWebStringId.Grid.GridColumnFilter', type: GridColumnFilterOptions };
let gridColumns = { propertyName: 'columns', modelName: 'GridColumns', displayName: 'DashboardStringId.PivotCalculationAlongColumns', array: true };
let sparklineArgument = { propertyName: _base_metadata/* sparklineArgumentPropertyName */.JY, modelName: 'SparklineArgument', displayName: 'DashboardStringId.GridCalculationAlongSparklineArgument', info: _data_item/* dataItemLinkSerializationsInfo */.N5 };
let dashboardGridItemSerializationsInfo = _data_dashboard_item/* dataDashboardItemSerializationsInfo */.LH.concat(gridColumns, sparklineArgument, gridOptions, interactivity_options/* _dashboardItemInteractivityOptionsMeta */.FF, gridColumnFilter);


/***/ }),

/***/ 8105:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $p: () => (/* binding */ FormatConditionConverter),
/* harmony export */   _p: () => (/* binding */ FormatConditionRangeGradientPredefinedType),
/* harmony export */   cu: () => (/* binding */ FormatConditionIconGroups),
/* harmony export */   mZ: () => (/* binding */ FormatConditionRangeSetPredefinedType)
/* harmony export */ });
var FormatConditionRangeSetPredefinedType;
(function (FormatConditionRangeSetPredefinedType) {
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["None"] = 0] = "None";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Custom"] = 1] = "Custom";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Arrows2"] = 2] = "Arrows2";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Arrows3"] = 3] = "Arrows3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Arrows4"] = 4] = "Arrows4";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Arrows5"] = 5] = "Arrows5";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ArrowsGray2"] = 6] = "ArrowsGray2";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ArrowsGray3"] = 7] = "ArrowsGray3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ArrowsGray4"] = 8] = "ArrowsGray4";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ArrowsGray5"] = 9] = "ArrowsGray5";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["PositiveNegative3"] = 10] = "PositiveNegative3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Stars3"] = 11] = "Stars3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Quarters5"] = 12] = "Quarters5";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Bars4"] = 13] = "Bars4";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Bars5"] = 14] = "Bars5";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Boxes5"] = 15] = "Boxes5";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["TrafficLights3"] = 16] = "TrafficLights3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Circles2"] = 17] = "Circles2";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Circles3"] = 18] = "Circles3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Circles4"] = 19] = "Circles4";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["CirclesRedToBlack4"] = 20] = "CirclesRedToBlack4";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Signs3"] = 21] = "Signs3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Symbols2"] = 22] = "Symbols2";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Symbols3"] = 23] = "Symbols3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["SymbolsCircled2"] = 24] = "SymbolsCircled2";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["SymbolsCircled3"] = 25] = "SymbolsCircled3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["Flags3"] = 26] = "Flags3";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsPaleRedGreen"] = 27] = "ColorsPaleRedGreen";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsPaleRedGreenBlue"] = 28] = "ColorsPaleRedGreenBlue";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsPaleRedYellowGreenBlue"] = 29] = "ColorsPaleRedYellowGreenBlue";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsPaleRedOrangeYellowGreenBlue"] = 30] = "ColorsPaleRedOrangeYellowGreenBlue";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsRedGreen"] = 31] = "ColorsRedGreen";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsRedGreenBlue"] = 32] = "ColorsRedGreenBlue";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsRedYellowGreenBlue"] = 33] = "ColorsRedYellowGreenBlue";
    FormatConditionRangeSetPredefinedType[FormatConditionRangeSetPredefinedType["ColorsRedOrangeYellowGreenBlue"] = 34] = "ColorsRedOrangeYellowGreenBlue";
})(FormatConditionRangeSetPredefinedType || (FormatConditionRangeSetPredefinedType = {}));
var FormatConditionRangeGradientPredefinedType;
(function (FormatConditionRangeGradientPredefinedType) {
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["None"] = 0] = "None";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["Custom"] = 1] = "Custom";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenWhite"] = 2] = "GreenWhite";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["WhiteGreen"] = 3] = "WhiteGreen";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedWhite"] = 4] = "RedWhite";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["WhiteRed"] = 5] = "WhiteRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["YellowGreen"] = 6] = "YellowGreen";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenYellow"] = 7] = "GreenYellow";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["YellowRed"] = 8] = "YellowRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedYellow"] = 9] = "RedYellow";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueWhite"] = 10] = "BlueWhite";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["WhiteBlue"] = 11] = "WhiteBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueRed"] = 12] = "BlueRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedBlue"] = 13] = "RedBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["YellowBlue"] = 14] = "YellowBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueYellow"] = 15] = "BlueYellow";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenBlue"] = 16] = "GreenBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueGreen"] = 17] = "BlueGreen";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenWhiteBlue"] = 18] = "GreenWhiteBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueWhiteGreen"] = 19] = "BlueWhiteGreen";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueWhiteRed"] = 20] = "BlueWhiteRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedWhiteBlue"] = 21] = "RedWhiteBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenWhiteRed"] = 22] = "GreenWhiteRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedWhiteGreen"] = 23] = "RedWhiteGreen";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenYellowRed"] = 24] = "GreenYellowRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedYellowGreen"] = 25] = "RedYellowGreen";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueYellowRed"] = 26] = "BlueYellowRed";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["RedYellowBlue"] = 27] = "RedYellowBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["GreenYellowBlue"] = 28] = "GreenYellowBlue";
    FormatConditionRangeGradientPredefinedType[FormatConditionRangeGradientPredefinedType["BlueYellowGreen"] = 29] = "BlueYellowGreen";
})(FormatConditionRangeGradientPredefinedType || (FormatConditionRangeGradientPredefinedType = {}));
var FormatConditionIconGroups;
(function (FormatConditionIconGroups) {
    FormatConditionIconGroups[FormatConditionIconGroups["Directional"] = 0] = "Directional";
    FormatConditionIconGroups[FormatConditionIconGroups["Indicators"] = 1] = "Indicators";
    FormatConditionIconGroups[FormatConditionIconGroups["Flags"] = 2] = "Flags";
    FormatConditionIconGroups[FormatConditionIconGroups["Shapes"] = 3] = "Shapes";
    FormatConditionIconGroups[FormatConditionIconGroups["RatingsMonochrome"] = 4] = "RatingsMonochrome";
    FormatConditionIconGroups[FormatConditionIconGroups["RatingsColor"] = 5] = "RatingsColor";
})(FormatConditionIconGroups || (FormatConditionIconGroups = {}));
var FormatConditionRangeSetTypeGroups;
(function (FormatConditionRangeSetTypeGroups) {
    FormatConditionRangeSetTypeGroups[FormatConditionRangeSetTypeGroups["Ranges2"] = 0] = "Ranges2";
    FormatConditionRangeSetTypeGroups[FormatConditionRangeSetTypeGroups["Ranges3"] = 1] = "Ranges3";
    FormatConditionRangeSetTypeGroups[FormatConditionRangeSetTypeGroups["Ranges4"] = 2] = "Ranges4";
    FormatConditionRangeSetTypeGroups[FormatConditionRangeSetTypeGroups["Ranges5"] = 3] = "Ranges5";
})(FormatConditionRangeSetTypeGroups || (FormatConditionRangeSetTypeGroups = {}));
var FormatConditionRangeGradientTypeGroups;
(function (FormatConditionRangeGradientTypeGroups) {
    FormatConditionRangeGradientTypeGroups[FormatConditionRangeGradientTypeGroups["TwoColors"] = 0] = "TwoColors";
    FormatConditionRangeGradientTypeGroups[FormatConditionRangeGradientTypeGroups["ThreeColors"] = 1] = "ThreeColors";
})(FormatConditionRangeGradientTypeGroups || (FormatConditionRangeGradientTypeGroups = {}));
class FormatConditionConverter {
    static getStyleList(type) {
        var styleList = {};
        var iconTypes = FormatConditionConverter.toIconTypes(type);
        if (iconTypes) {
            styleList.list = iconTypes;
            styleList.isIcon = true;
        }
        else {
            styleList.list = FormatConditionConverter.toColorTypes(type);
            styleList.isIcon = false;
        }
        return styleList;
    }
    static toColorTypes(colorRangeSetType) {
        switch (colorRangeSetType) {
            case FormatConditionRangeSetPredefinedType.ColorsPaleRedGreen:
                return ['PaleRed', 'PaleGreen'];
            case FormatConditionRangeSetPredefinedType.ColorsPaleRedGreenBlue:
                return ['PaleRed', 'PaleGreen', 'PaleBlue'];
            case FormatConditionRangeSetPredefinedType.ColorsPaleRedYellowGreenBlue:
                return ['PaleRed', 'PaleYellow', 'PaleGreen', 'PaleBlue'];
            case FormatConditionRangeSetPredefinedType.ColorsPaleRedOrangeYellowGreenBlue:
                return ['PaleRed', 'PaleOrange', 'PaleYellow', 'PaleGreen', 'PaleBlue'];
            case FormatConditionRangeSetPredefinedType.ColorsRedGreen:
                return ['Red', 'Green'];
            case FormatConditionRangeSetPredefinedType.ColorsRedGreenBlue:
                return ['Red', 'Green', 'Blue'];
            case FormatConditionRangeSetPredefinedType.ColorsRedYellowGreenBlue:
                return ['Red', 'Yellow', 'Green', 'Blue'];
            case FormatConditionRangeSetPredefinedType.ColorsRedOrangeYellowGreenBlue:
                return ['Red', 'Orange', 'Yellow', 'Green', 'Blue'];
            default:
                return null;
        }
    }
    static toIconTypes(iconRangeSetType) {
        switch (iconRangeSetType) {
            case FormatConditionRangeSetPredefinedType.Arrows2:
                return ['DirectionalRedDownArrow', 'DirectionalGreenArrowUp'];
            case FormatConditionRangeSetPredefinedType.Arrows3:
                return ['DirectionalRedDownArrow', 'DirectionalYellowSideArrow', 'DirectionalGreenArrowUp'];
            case FormatConditionRangeSetPredefinedType.Arrows4:
                return ['DirectionalRedDownArrow', 'DirectionalYellowDownInclineArrow', 'DirectionalYellowUpInclineArrow', 'DirectionalGreenArrowUp'];
            case FormatConditionRangeSetPredefinedType.Arrows5:
                return ['DirectionalRedDownArrow', 'DirectionalYellowDownInclineArrow', 'DirectionalYellowSideArrow', 'DirectionalYellowUpInclineArrow', 'DirectionalGreenArrowUp'];
            case FormatConditionRangeSetPredefinedType.ArrowsGray2:
                return ['DirectionalGrayDownArrow', 'DirectionalGrayArrowUp'];
            case FormatConditionRangeSetPredefinedType.ArrowsGray3:
                return ['DirectionalGrayDownArrow', 'DirectionalGraySideArrow', 'DirectionalGrayArrowUp'];
            case FormatConditionRangeSetPredefinedType.ArrowsGray4:
                return ['DirectionalGrayDownArrow', 'DirectionalGrayDownInclineArrow', 'DirectionalGrayUpInclineArrow', 'DirectionalGrayArrowUp'];
            case FormatConditionRangeSetPredefinedType.ArrowsGray5:
                return ['DirectionalGrayDownArrow', 'DirectionalGrayDownInclineArrow', 'DirectionalGraySideArrow', 'DirectionalGrayUpInclineArrow', 'DirectionalGrayArrowUp'];
            case FormatConditionRangeSetPredefinedType.PositiveNegative3:
                return ['DirectionalRedTriangleDown', 'DirectionalYellowDash', 'DirectionalGreenTriangleUp'];
            case FormatConditionRangeSetPredefinedType.Stars3:
                return ['RatingEmptyGrayStar', 'RatingHalfGrayStar', 'RatingFullGrayStar'];
            case FormatConditionRangeSetPredefinedType.Quarters5:
                return ['RatingEmptyGrayCircle', 'Rating3QuartersGrayCircle', 'Rating2QuartersGrayCircle', 'Rating1QuarterGrayCircle', 'RatingFullGrayCircle'];
            case FormatConditionRangeSetPredefinedType.Bars4:
                return ['Rating1Bar', 'Rating2Bars', 'Rating3Bars', 'Rating4Bars'];
            case FormatConditionRangeSetPredefinedType.Bars5:
                return ['Rating0Bars', 'Rating1Bar', 'Rating2Bars', 'Rating3Bars', 'Rating4Bars'];
            case FormatConditionRangeSetPredefinedType.Boxes5:
                return ['Rating0FilledBoxes', 'Rating1FilledBox', 'Rating2FilledBoxes', 'Rating3FilledBoxes', 'Rating4FilledBoxes'];
            case FormatConditionRangeSetPredefinedType.TrafficLights3:
                return ['ShapeRedTrafficLight', 'ShapeYellowTrafficLight', 'ShapeGreenTrafficLight'];
            case FormatConditionRangeSetPredefinedType.Circles2:
                return ['ShapeRedCircle', 'ShapeGreenCircle'];
            case FormatConditionRangeSetPredefinedType.Circles3:
                return ['ShapeRedCircle', 'ShapeYellowCircle', 'ShapeGreenCircle'];
            case FormatConditionRangeSetPredefinedType.Circles4:
                return ['RatingFullGrayCircle', 'ShapeRedCircle', 'ShapeYellowCircle', 'ShapeGreenCircle'];
            case FormatConditionRangeSetPredefinedType.CirclesRedToBlack4:
                return ['RatingFullGrayCircle', 'ShapeLightGrayCircle', 'ShapeLightRedCircle', 'ShapeRedCircle'];
            case FormatConditionRangeSetPredefinedType.Signs3:
                return ['ShapeRedDiamond', 'ShapeYellowTriangle', 'ShapeGreenCircle'];
            case FormatConditionRangeSetPredefinedType.Symbols2:
                return ['IndicatorRedCross', 'IndicatorGreenCheck'];
            case FormatConditionRangeSetPredefinedType.Symbols3:
                return ['IndicatorRedCross', 'IndicatorYellowExclamation', 'IndicatorGreenCheck'];
            case FormatConditionRangeSetPredefinedType.SymbolsCircled2:
                return ['IndicatorCircledRedCross', 'IndicatorCircledGreenCheck'];
            case FormatConditionRangeSetPredefinedType.SymbolsCircled3:
                return ['IndicatorCircledRedCross', 'IndicatorCircledYellowExclamation', 'IndicatorCircledGreenCheck'];
            case FormatConditionRangeSetPredefinedType.Flags3:
                return ['IndicatorRedFlag', 'IndicatorYellowFlag', 'IndicatorGreenFlag'];
            default:
                return null;
        }
    }
    static toAppearanceTypes(gradientType) {
        switch (gradientType) {
            case FormatConditionRangeGradientPredefinedType.GreenWhite:
                return ['GradientGreen', 'GradientTransparent'];
            case FormatConditionRangeGradientPredefinedType.WhiteGreen:
                return ['GradientTransparent', 'GradientGreen'];
            case FormatConditionRangeGradientPredefinedType.RedWhite:
                return ['GradientRed', 'GradientTransparent'];
            case FormatConditionRangeGradientPredefinedType.WhiteRed:
                return ['GradientTransparent', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.GreenYellow:
                return ['GradientGreen', 'GradientYellow'];
            case FormatConditionRangeGradientPredefinedType.YellowGreen:
                return ['GradientYellow', 'GradientGreen'];
            case FormatConditionRangeGradientPredefinedType.RedYellow:
                return ['GradientRed', 'GradientYellow'];
            case FormatConditionRangeGradientPredefinedType.YellowRed:
                return ['GradientYellow', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.BlueWhite:
                return ['GradientBlue', 'GradientTransparent'];
            case FormatConditionRangeGradientPredefinedType.WhiteBlue:
                return ['GradientTransparent', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.BlueRed:
                return ['GradientBlue', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.RedBlue:
                return ['GradientRed', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.BlueYellow:
                return ['GradientBlue', 'GradientYellow'];
            case FormatConditionRangeGradientPredefinedType.YellowBlue:
                return ['GradientYellow', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.BlueGreen:
                return ['GradientBlue', 'GradientGreen'];
            case FormatConditionRangeGradientPredefinedType.GreenBlue:
                return ['GradientGreen', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.GreenWhiteBlue:
                return ['GradientGreen', 'GradientTransparent', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.BlueWhiteGreen:
                return ['GradientBlue', 'GradientTransparent', 'GradientGreen'];
            case FormatConditionRangeGradientPredefinedType.RedWhiteBlue:
                return ['GradientRed', 'GradientTransparent', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.BlueWhiteRed:
                return ['GradientBlue', 'GradientTransparent', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.GreenWhiteRed:
                return ['GradientGreen', 'GradientTransparent', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.RedWhiteGreen:
                return ['GradientRed', 'GradientTransparent', 'GradientGreen'];
            case FormatConditionRangeGradientPredefinedType.GreenYellowRed:
                return ['GradientGreen', 'GradientYellow', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.RedYellowGreen:
                return ['GradientRed', 'GradientYellow', 'GradientGreen'];
            case FormatConditionRangeGradientPredefinedType.BlueYellowRed:
                return ['GradientBlue', 'GradientYellow', 'GradientRed'];
            case FormatConditionRangeGradientPredefinedType.RedYellowBlue:
                return ['GradientRed', 'GradientYellow', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.GreenYellowBlue:
                return ['GradientGreen', 'GradientYellow', 'GradientBlue'];
            case FormatConditionRangeGradientPredefinedType.BlueYellowGreen:
                return ['GradientBlue', 'GradientYellow', 'GradientGreen'];
            default:
                return null;
        }
    }
    static toGroupIconTypes(iconsGroup) {
        switch (iconsGroup) {
            case FormatConditionIconGroups.Directional:
                return ['DirectionalGreenArrowUp',
                    'DirectionalYellowUpInclineArrow',
                    'DirectionalYellowSideArrow',
                    'DirectionalYellowDownInclineArrow',
                    'DirectionalRedDownArrow',
                    'DirectionalGrayArrowUp',
                    'DirectionalGrayUpInclineArrow',
                    'DirectionalGraySideArrow',
                    'DirectionalGrayDownInclineArrow',
                    'DirectionalGrayDownArrow',
                    'DirectionalYellowDash',
                    'DirectionalRedTriangleDown',
                    'DirectionalGreenTriangleUp'];
            case FormatConditionIconGroups.RatingsMonochrome:
                return ['RatingFullGrayCircle',
                    'Rating1QuarterGrayCircle',
                    'Rating2QuartersGrayCircle',
                    'Rating3QuartersGrayCircle',
                    'RatingEmptyGrayCircle',
                    'RatingFullGrayStar',
                    'RatingHalfGrayStar',
                    'RatingEmptyGrayStar'];
            case FormatConditionIconGroups.RatingsColor:
                return ['Rating4Bars',
                    'Rating3Bars',
                    'Rating2Bars',
                    'Rating1Bar',
                    'Rating0Bars',
                    'Rating4FilledBoxes',
                    'Rating3FilledBoxes',
                    'Rating2FilledBoxes',
                    'Rating1FilledBox',
                    'Rating0FilledBoxes'];
            case FormatConditionIconGroups.Indicators:
                return ['IndicatorGreenCheck',
                    'IndicatorYellowExclamation',
                    'IndicatorRedCross',
                    'IndicatorCircledGreenCheck',
                    'IndicatorCircledYellowExclamation',
                    'IndicatorCircledRedCross',
                    'ShapeYellowTriangle',
                    'ShapeRedDiamond'];
            case FormatConditionIconGroups.Flags:
                return ['IndicatorGreenFlag',
                    'IndicatorYellowFlag',
                    'IndicatorRedFlag'];
            case FormatConditionIconGroups.Shapes:
                return ['ShapeGreenTrafficLight',
                    'ShapeYellowTrafficLight',
                    'ShapeRedTrafficLight',
                    'ShapeGreenCircle',
                    'ShapeYellowCircle',
                    'ShapeRedCircle',
                    'ShapeLightRedCircle',
                    'ShapeLightGrayCircle'];
            default:
                throw new Error('Undefined icon group type');
        }
    }
}


/***/ }),

/***/ 8109:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U: () => (/* binding */ extractDataSourceSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _data_source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3689);


let extractDataSourceSerializationsInfo = _data_source__WEBPACK_IMPORTED_MODULE_1__/* .dataSourceSerializationsInfo */ .v.concat([_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .filter */ .pb]);


/***/ }),

/***/ 8117:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Hp: () => (/* binding */ createStylesElement),
/* harmony export */   Lq: () => (/* binding */ addToStyles),
/* harmony export */   MZ: () => (/* binding */ createCssPropertyWrapper),
/* harmony export */   Yz: () => (/* binding */ convertCssPropertyWrappersToObject),
/* harmony export */   a4: () => (/* binding */ createCssClass),
/* harmony export */   hV: () => (/* binding */ getEmptyCssPropertyWrappersArray)
/* harmony export */ });
/* unused harmony exports findStylesElement, removeStylesElement, convertCssPropertyWrappersToString */
function createCssPropertyWrapper(propertyName, propertyValue) {
    return { propertyName, propertyValue };
}
function getEmptyCssPropertyWrappersArray() {
    return [];
}
const dashboardStyleTagClass = 'dx-dashboard-styles';
const dashboardStyleTagSelector = '.' + dashboardStyleTagClass;
function findStylesElement(relativeElement) {
    const style = relativeElement?.closest('.dx-dashboard-widget-container')?.parentElement?.querySelector(dashboardStyleTagSelector);
    return style || document.querySelector(dashboardStyleTagSelector);
}
function createStylesElement(rootElement = document.head, nonce) {
    let style = rootElement.querySelector(dashboardStyleTagSelector);
    if (!style) {
        style = document.createElement('style');
        style.setAttribute('type', 'text/css');
        style.classList.add(dashboardStyleTagClass);
        if (nonce) {
            style.setAttribute('nonce', nonce);
        }
        rootElement.prepend(style);
    }
}
function removeStylesElement() {
    findStylesElement()?.remove();
}
function addToStyles(styles, relativeElement) {
    var style = findStylesElement(relativeElement);
    style.textContent += styles;
    return () => {
        style.textContent = style.textContent.replace(styles, '');
    };
}
function createCssClass(cssSelector, cssProperties, relativeElement) {
    return addToStyles(cssSelector + ' {' + convertCssPropertyWrappersToString(cssProperties) + '}', relativeElement);
}
function convertCssPropertyWrappersToString(properties) {
    return properties
        .filter(x => x && x.propertyValue)
        .map(value => value.propertyName + ': ' + value.propertyValue + ';')
        .join(' ');
}
function convertCssPropertyWrappersToObject(properties) {
    return properties
        .filter(x => x && x.propertyValue)
        .reduce((result, current) => {
        result[current.propertyName] = current.propertyValue;
        return result;
    }, {});
}


/***/ }),

/***/ 8152:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ CardItemDeltaFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5061);
/* harmony import */ var _metadata_card_item_delta_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4249);



class CardItemDeltaFormatRule extends _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__/* .CardItemFormatRuleBase */ .c {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_item_delta_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .cardItemDeltaFormatRuleSerializationsInfo */ .Gn;
    }
    _getDefaultItemType() {
        return 'CardItemDeltaFormatRule';
    }
}


/***/ }),

/***/ 8181:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ seriesDimensions),
/* harmony export */   c: () => (/* binding */ seriesDashboardItemSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6157);

let seriesDimensions = { propertyName: '__seriesDimensions', modelName: 'SeriesDimensions', displayName: 'DashboardWebStringId.SeriesItem.SeriesDimensions', array: true };
let seriesDashboardItemSerializationsInfo = _data_dashboard_item__WEBPACK_IMPORTED_MODULE_0__/* .dataDashboardItemSerializationsInfo */ .LH.concat([seriesDimensions]);


/***/ }),

/***/ 8182:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ DashboardTitle)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_title__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3411);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1513);



class DashboardTitle extends _serializable_model__WEBPACK_IMPORTED_MODULE_2__/* .SerializableModel */ .Lm {
    constructor(model, serializer, info) {
        super(model || {}, serializer, info);
        this.imageType = knockout__WEBPACK_IMPORTED_MODULE_0__.observable('none');
        if (this.image64()) {
            this.imageType('embedded');
        }
        else if (this.url()) {
            this.imageType('linked');
        }
        else {
            this.imageType('none');
        }
        this.addDisposable(this.imageType.subscribe(imageType => {
            switch (imageType) {
                case 'embedded':
                    this.url(null);
                    break;
                case 'linked':
                    this.image64(null);
                    break;
                default:
                    this.url(null);
                    this.image64(null);
            }
        }));
    }
    getInfo() {
        return _metadata_title__WEBPACK_IMPORTED_MODULE_1__/* .dashboardTitleSerializationsInfo */ .gS;
    }
}


/***/ }),

/***/ 8184:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ FormatConditionTopBottom)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4840);
/* harmony import */ var _metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5281);




class FormatConditionTopBottom extends _format_condition_style_base__WEBPACK_IMPORTED_MODULE_2__/* .FormatConditionStyleBase */ .F {
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => this.topBottom();
        this.setSpecificType = (type) => {
            this.topBottom(type);
        };
        this.addDisposable(this._actualRankType = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
            read: () => this.rankType() === 'Automatic' ? 'Number' : this.rankType(),
            write: value => this.rankType(value)
        }));
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_top_bottom__WEBPACK_IMPORTED_MODULE_3__/* .formatConditionTopBottomSerializationsInfo */ .oB;
    }
}


/***/ }),

/***/ 8191:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ CardDeltaOptions),
/* harmony export */   j: () => (/* binding */ DeltaOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_delta_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82);



class CardDeltaOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJSON, serializer);
    }
    getInfo() {
        return _metadata_delta_options__WEBPACK_IMPORTED_MODULE_2__/* .cardDeltaOptionsSerializationsInfo */ .iv;
    }
}
class DeltaOptions extends CardDeltaOptions {
    constructor(modelJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJSON, serializer);
    }
    getInfo() {
        return _metadata_delta_options__WEBPACK_IMPORTED_MODULE_2__/* .deltaOptionsSerializationsInfo */ .KW;
    }
}


/***/ }),

/***/ 8201:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ percentOfTotalCalculationSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8675);

let percentOfTotalCalculationSerializationsInfo = _measure_calculation__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationSerializationsInfo */ .d.concat([]);


/***/ }),

/***/ 8223:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ cssClassNames),
/* harmony export */   m: () => (/* binding */ layoutCardCssClassNames)
/* harmony export */ });
let cssClassNames = {
    widgetsViewerScrollableHolder: 'dx-widgets-viewer-scrollable-holder',
    widgetViewerIdPrefix: 'dx-widgets-viewer-style_id',
    widgetViewerContainer: 'dx-widget-viewer-container',
    widgetViewerTable: 'widget-viewer-table',
    widgetViewerRow: 'widget-viewer-row',
    widgetViewerCell: 'widget-viewer-cell',
    cardItem: 'dx-cardItem',
    widgetItem: 'dx-widgetItem',
    cardTitle: 'dx-card-title',
    cardSubtitle: 'dx-card-subTitle',
    cardIndicator: 'dx-card-indicator',
    cardVariableValue1: 'dx-card-variableValue1',
    cardVariableValue2: 'dx-card-variableValue2',
    cardMainValue: 'dx-card-mainValue',
    cardSparkline: 'dx-card-sparkline',
    cardHiddenContainer: 'dx-card-item-hidden-container',
    cardNowrapHiddenContainer: 'dx-card-item-nowrap-hidden-container',
    layoutCardHiddenContainer: 'dx-layout-card-hidden-container',
    selectedItem: 'dx-selected-viewer-item',
    hoveredItem: 'dx-hovered-viewer-item'
};
let layoutCardCssClassNames = {
    cardScrollableHolder: 'dx-card-scrollable-holder',
    card: 'dx-flex-card-layout',
    content: 'dx-flex-card-layout-content',
    contentTopRows: 'dx-flex-card-layout-content-top-rows',
    contentBottomRows: 'dx-flex-card-layout-content-bottom-rows',
    row: 'dx-flex-card-layout-row',
    rowOnlyCenterElements: 'dx-flex-card-layout-row-center-only',
    rowLeftRightElements: 'dx-flex-card-layout-row-left-right',
    rowElement: 'dx-flex-card-layout-row-element',
    indicatorElement: 'dx-flex-card-layout-indicator-element',
    sparklineElement: 'dx-flex-card-layout-sparkline-row-element'
};


/***/ }),

/***/ 8231:
/***/ ((module) => {

module.exports = DevExpress.data.utils;

/***/ }),

/***/ 8245:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ formatConditionStyleBaseSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _format_condition_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3085);

let formatConditionStyleBaseSerializationsInfo = _format_condition_base__WEBPACK_IMPORTED_MODULE_0__/* .formatConditionBaseSerializationsInfo */ .R;


/***/ }),

/***/ 8248:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Criteria.Utils;

/***/ }),

/***/ 8257:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Qw: () => (/* binding */ gaugeDashboardItemSerializationsInfo),
/* harmony export */   Tf: () => (/* binding */ gaugeViewType),
/* harmony export */   wD: () => (/* binding */ showGaugeCaptions),
/* harmony export */   x_: () => (/* binding */ gauges)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _kpi_metadata_kpi_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(773);


let gauges = { propertyName: 'gauges', modelName: 'Gauges', displayName: 'DashboardStringId.DefaultNameGaugeItem', array: true };
let gaugeViewType = {
    propertyName: 'viewType', modelName: '@ViewType', displayName: 'DashboardWebStringId.Gauge.Type', defaultVal: 'CircularFull', valuesArray: [
        { value: 'CircularFull', displayValue: 'DashboardWebStringId.Gauge.Type.FullQuarterGauge' },
        { value: 'CircularHalf', displayValue: 'DashboardWebStringId.Gauge.Type.HalfCircular' },
        { value: 'CircularQuarterLeft', displayValue: 'DashboardWebStringId.Gauge.Type.LeftQuarterCircular' },
        { value: 'CircularQuarterRight', displayValue: 'DashboardWebStringId.Gauge.Type.RightQuarterCircular' },
        { value: 'CircularThreeFourth', displayValue: 'DashboardWebStringId.Gauge.Type.ThreeFourthCircular' },
        { value: 'LinearHorizontal', displayValue: 'DashboardWebStringId.Gauge.Type.LinearHorizontal' },
        { value: 'LinearVertical', displayValue: 'DashboardWebStringId.Gauge.Type.LinearVertical' }
    ]
};
let showGaugeCaptions = { propertyName: 'showGaugeCaptions', modelName: '@ShowGaugeCaptions', displayName: 'DashboardWebStringId.Gauge.Captions', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let gaugeDashboardItemSerializationsInfo = _kpi_metadata_kpi_item__WEBPACK_IMPORTED_MODULE_1__/* .kpiDashboardItemSerializationsInfo */ .p.concat([gauges, gaugeViewType, showGaugeCaptions]);


/***/ }),

/***/ 8285:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   o: () => (/* binding */ ChartSeriesCreator)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _chart_series__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9508);


class ChartSeriesCreator {
    static getSeriesCreator(dataItemProvider) {
        return (seriesViewType) => {
            var seriesType = ChartSeriesCreator.chartSeriesViewTypesMap[seriesViewType].seriesType, series = ChartSeriesCreator.createSeries(dataItemProvider, { '@ItemType': seriesType });
            if (series instanceof _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .SimpleSeries */ .K9) {
                series.seriesType(seriesViewType);
            }
            else if (series instanceof _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .RangeSeries */ .lr) {
                series.seriesType(seriesViewType);
            }
            else if (series instanceof _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .OpenHighLowCloseSeries */ .o4) {
                series.seriesType(seriesViewType);
            }
            return series;
        };
    }
    static createSeries(dataItemProvider, seriesJSON, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        var itemType = seriesJSON['@ItemType'];
        return new ChartSeriesCreator.chartSeriesTypesMap[itemType](dataItemProvider, seriesJSON, serializer);
    }
}
ChartSeriesCreator.chartSeriesTypesMap = {
    'Simple': _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .SimpleSeries */ .K9,
    'Range': _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .RangeSeries */ .lr,
    'Weighted': _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .WeightedSeries */ .HP,
    'OpenHighLowClose': _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .OpenHighLowCloseSeries */ .o4,
    'HighLowClose': _chart_series__WEBPACK_IMPORTED_MODULE_1__/* .HighLowCloseSeries */ .cC
};
ChartSeriesCreator.chartSeriesViewTypesMap = {
    'Bar': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeBar',
        group: 'Bar',
        icon: 'dx-dashboard-chart-series-bar'
    },
    'StackedBar': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeStackedBar',
        group: 'Bar',
        icon: 'dx-dashboard-chart-series-stacked-bar'
    },
    'FullStackedBar': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeFullStackedBar',
        group: 'Bar',
        icon: 'dx-dashboard-chart-series-full-stacked-bar'
    },
    'Point': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypePoint',
        group: 'Point / Line',
        icon: 'dx-dashboard-chart-series-points'
    },
    'Line': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeLine',
        group: 'Point / Line',
        icon: 'dx-dashboard-chart-series-line'
    },
    'StackedLine': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeStackedLine',
        group: 'Point / Line',
        icon: 'dx-dashboard-chart-series-stacked-line'
    },
    'FullStackedLine': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeFullStackedLine',
        group: 'Point / Line',
        icon: 'dx-dashboard-chart-series-full-stacked-line'
    },
    'StepLine': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeStepLine',
        group: 'Point / Line',
        icon: 'dx-dashboard-chart-series-step-line'
    },
    'Spline': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeSpline',
        group: 'Point / Line',
        icon: 'dx-dashboard-chart-series-spline'
    },
    'Area': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-area'
    },
    'StackedArea': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeStackedArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-stacked-area'
    },
    'FullStackedArea': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeFullStackedArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-full-stacked-area'
    },
    'StepArea': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeStepArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-step-area'
    },
    'SplineArea': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeSplineArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-spline-area'
    },
    'StackedSplineArea': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeStackedSplineArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-stacked-spline-area'
    },
    'FullStackedSplineArea': {
        seriesType: 'Simple',
        displayName: 'DashboardStringId.SeriesTypeFullStackedSplineArea',
        group: 'Area',
        icon: 'dx-dashboard-chart-series-full-stacked-spline-area'
    },
    'SideBySideRangeBar': {
        seriesType: 'Range',
        displayName: 'DashboardStringId.SeriesTypeSideBySideRangeBar',
        group: 'Range',
        icon: 'dx-dashboard-chart-series-range-bar'
    },
    'RangeArea': {
        seriesType: 'Range',
        displayName: 'DashboardStringId.SeriesTypeRangeArea',
        group: 'Range',
        icon: 'dx-dashboard-chart-series-range-area'
    },
    'Weighted': {
        seriesType: 'Weighted',
        displayName: 'DashboardWebStringId.Chart.SeriesType.Weighted',
        group: 'Bubble',
        icon: 'dx-dashboard-chart-series-weighted'
    },
    'HighLowClose': {
        seriesType: 'HighLowClose',
        displayName: 'DashboardStringId.SeriesTypeHighLowClose',
        group: 'Financial',
        icon: 'dx-dashboard-chart-series-high-low-close'
    },
    'CandleStick': {
        seriesType: 'OpenHighLowClose',
        displayName: 'DashboardStringId.SeriesTypeCandleStick',
        group: 'Financial',
        icon: 'dx-dashboard-chart-series-candle-stick'
    },
    'Stock': {
        seriesType: 'OpenHighLowClose',
        displayName: 'DashboardStringId.SeriesTypeStock',
        group: 'Financial',
        icon: 'dx-dashboard-chart-series-stock'
    }
};
ChartSeriesCreator.chartSeriesGroupLocalization = {
    'Area': 'DashboardStringId.SeriesTypeGroupArea',
    'Bar': 'DashboardStringId.SeriesTypeGroupBar',
    'Bubble': 'DashboardStringId.SeriesTypeGroupBubble',
    'Financial': 'DashboardStringId.SeriesTypeGroupFinancial',
    'Point / Line': 'DashboardStringId.SeriesTypeGroupPointLine',
    'Range': 'DashboardStringId.SeriesTypeGroupRange'
};


/***/ }),

/***/ 8288:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ ranges),
/* harmony export */   d: () => (/* binding */ rangeSetSerializationsInfo)
/* harmony export */ });
let ranges = { propertyName: 'ranges', modelName: 'Ranges', displayName: 'DashboardWebStringId.ConditionalFormatting.Ranges', array: true };
let rangeSetSerializationsInfo = [ranges];


/***/ }),

/***/ 8290:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ cardItemFormatRuleSerializationsInfo),
/* harmony export */   q: () => (/* binding */ cardItemformatRuleDataItem)
/* harmony export */ });
/* harmony import */ var _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2251);

let cardItemformatRuleDataItem = { propertyName: 'dataItemName', modelName: '@DataItem' };
let cardItemFormatRuleSerializationsInfo = _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_0__/* .cardItemFormatRuleSerializationsInfoBase */ .FC.concat([cardItemformatRuleDataItem]);


/***/ }),

/***/ 8324:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ formatConditionRangeSetSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _format_condition_range_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1571);

let formatConditionRangeSetSerializationsInfo = _format_condition_range_base__WEBPACK_IMPORTED_MODULE_0__/* .formatConditionRangeBaseSerializationsInfo */ .W_.concat([]);


/***/ }),

/***/ 8396:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bf: () => (/* binding */ bubbleMapDashboardItemSerializationsInfo),
/* harmony export */   Od: () => (/* binding */ bubbleMapColor),
/* harmony export */   vc: () => (/* binding */ bubbleMapWeight)
/* harmony export */ });
/* harmony import */ var _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(158);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);
/* harmony import */ var _geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2248);
/* harmony import */ var _map_item__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7069);




let bubbleMapWeight = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .weightPropertyName */ .N5, modelName: 'Weight', displayName: 'DashboardStringId.WeightCaption', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let bubbleMapColor = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .colorPropertyName */ .Ui, modelName: 'Color', displayName: 'DashboardStringId.DescriptionItemColor', info: _data_item_metadata_data_item__WEBPACK_IMPORTED_MODULE_0__/* .dataItemLinkSerializationsInfo */ .N5 };
let bubbleMapDashboardItemSerializationsInfo = _geo_point_map_item_base__WEBPACK_IMPORTED_MODULE_2__/* .geoPointMapDashboardItemBaseSerializationsInfo */ .H3.concat([bubbleMapWeight, bubbleMapColor, _map_item__WEBPACK_IMPORTED_MODULE_3__/* .colorLegend */ .$z, _map_item__WEBPACK_IMPORTED_MODULE_3__/* .weightedLegend */ .bJ]);


/***/ }),

/***/ 8398:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ DisposableObject)
/* harmony export */ });
class DisposableObject {
    constructor() {
        this._disposables = [];
        this.disposed = false;
    }
    toDispose(...disposables) {
        this._disposables.push(...disposables);
    }
    dispose() {
        this._disposables.forEach(disposable => disposable.dispose());
        this._disposables = [];
        this.disposed = true;
    }
}


/***/ }),

/***/ 8405:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ ChartWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6790);



class ChartWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .chartWindowDefinitionSerializationsInfo */ .b;
    }
    equals(def) {
        return (def instanceof ChartWindowDefinition) && (this.definitionMode() === def.definitionMode());
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['ChartWindowDefinition'] = ChartWindowDefinition;


/***/ }),

/***/ 8406:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ BaseItemSurface),
/* harmony export */   r: () => (/* binding */ DataDashboardItemSurface)
/* harmony export */ });
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _common_data_source_browser__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6768);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9167);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5988);
/* harmony import */ var _model_disposable_object__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8398);
/* harmony import */ var _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7899);
/* harmony import */ var _accordion_tab_options__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(914);
/* harmony import */ var _confirm_dialog_confirm_dialog__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8750);
/* harmony import */ var _sections_data_item_collection_surface__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1754);
/* harmony import */ var _section_descriptors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(3374);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











class BaseItemSurface extends _model_disposable_object__WEBPACK_IMPORTED_MODULE_9__/* .DisposableObject */ .I {
    constructor() {
        super(...arguments);
        this._dashboardItemCustomization = (tabs, model, args) => {
            if (this.customizeDashboardItemTabs) {
                this.customizeDashboardItemTabs({
                    dashboardItem: model,
                    addSection: (customTabOption) => {
                        (0,_accordion_tab_options__WEBPACK_IMPORTED_MODULE_5__/* ._customizeTabs */ .t)(tabs, customTabOption, model);
                    }
                });
            }
        };
    }
    getPropertiesComposer() {
        throw "'getPropertiesComposer' method is not implemented.";
    }
}
class DataDashboardItemSurface extends BaseItemSurface {
    get showDefaultSections() {
        return true;
    }
    fillSections() {
    }
    extendHiddenDimensionsTabs(tabs, model) {
    }
    extendHiddenMeasuresTabs(tabs, model) {
    }
    constructor(dashboardItem, dashboardModel, _dataSourceBrowser, notificationController, findExtension) {
        super();
        this.dashboardItem = dashboardItem;
        this.dashboardModel = dashboardModel;
        this._dataSourceBrowser = _dataSourceBrowser;
        this.notificationController = notificationController;
        this.findExtension = findExtension;
        this._dataItemContainerCustomization = (tabs, target, args) => {
            if (this.customizeDataItemContainerTabs) {
                this.customizeDataItemContainerTabs({
                    dashboardItem: args.dashboardItem,
                    dataItemContainer: target,
                    addSection: (customTabOption) => {
                        (0,_accordion_tab_options__WEBPACK_IMPORTED_MODULE_5__/* ._customizeTabs */ .t)(tabs, customTabOption, target);
                    }
                });
            }
        };
        this.dataSourceName = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.dataMemberName = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.dataSourceDisplayText = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var dsName = this.dashboardItem.dataSource();
            if (!!dsName) {
                var dataSource = this._dataSourceBrowser.findDataSource(dsName);
                if (!!dataSource) {
                    if (dataSource.supportDataMembers && this._dataSourceBrowser.isLoading()) {
                        return 'DashboardStringId.MessageLoading';
                    }
                    return this.dashboardItem.dataMember() ? dataSource.name() + '/' + this.dashboardItem.dataMember() : dataSource.name();
                }
            }
            return 'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton';
        });
        this.needSetDataSource = knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var dsName = this.dashboardItem.dataSource();
            if (!!dsName) {
                var dataSource = this._dataSourceBrowser.findDataSource(dsName);
                if (!!dataSource && dataSource.supportDataMembers) {
                    return !this.dashboardItem.dataMember();
                }
                return !dataSource;
            }
            return true;
        });
        this.changeDataSourcePanelVisible = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false);
        this.template = 'dx-dashboard-base-item-surface';
        this.dataSections = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.fillSections();
        if (this.showDefaultSections) {
            this.dataSections.push(new _sections_data_item_collection_surface__WEBPACK_IMPORTED_MODULE_7__/* .DataItemCollectionSurface */ .N(this, _section_descriptors__WEBPACK_IMPORTED_MODULE_8__/* .SectionDescriptors */ .g8.HiddenDimensions, this.extendHiddenDimensionsTabs.bind(this)));
            this.dataSections.push(new _sections_data_item_collection_surface__WEBPACK_IMPORTED_MODULE_7__/* .DataItemCollectionSurface */ .N(this, _section_descriptors__WEBPACK_IMPORTED_MODULE_8__/* .SectionDescriptors */ .g8.HiddenMeasures, this.extendHiddenMeasuresTabs.bind(this)));
        }
        this.confirmDialogViewModel = new _confirm_dialog_confirm_dialog__WEBPACK_IMPORTED_MODULE_6__/* .ConfirmDialogViewModel */ .b();
        this.toDispose(this.dataSourceDisplayText);
        this.dataSections().forEach(section => this.toDispose(section));
    }
    changeDataSource() {
        if (!this.changeDataSourcePanelVisible()) {
            this.dataSourceName(this.dashboardItem.dataSource());
            this.dataMemberName(this.dashboardItem.dataMember());
        }
        this.changeDataSourcePanelVisible(!this.changeDataSourcePanelVisible());
    }
    _changeDataSource() {
        this.dashboardItem.dataSource(this.dataSourceName());
        this.dashboardItem.dataMember(this.dataMemberName());
        let newDataSource = this._dataSourceBrowser.findDataSource(this.dataSourceName());
        let notificationStr = (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_0__.format)((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage'), this.dashboardItem.name(), `${newDataSource.name()}${!!this.dataMemberName() ? ` (${this.dataMemberName()})` : ''}`);
        this.notificationController.showSuccess(notificationStr);
    }
    saveDataSourceChanges() {
        if (!!this.propertiesController) {
            this.propertiesController.mainModel(null);
        }
        this._changeDataSource();
        this.changeDataSourcePanelVisible(false);
    }
    get dataSourceBrowser() {
        return {
            getDataFieldsArray: (dataSourceName) => {
                var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_4__/* .createJQueryDeferred */ .KO)();
                if (!dataSourceName) {
                    return deferred.resolve(this.dashboardModel.dataSources().map(ds => {
                        return {
                            dataSourceName: ds.componentName(),
                            dataMemberName: '',
                            dataMember: ds.componentName,
                            name: ds.componentName,
                            displayName: ds.name,
                            fieldType: knockout__WEBPACK_IMPORTED_MODULE_1__.observable('Unknown'),
                            nodeType: knockout__WEBPACK_IMPORTED_MODULE_1__.observable('DataSource'),
                            isDataFieldNode: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(!ds.supportDataMembers)
                        };
                    })).promise();
                }
                this._dataSourceBrowser.getDataFieldsArray(dataSourceName, '', '', _common_data_source_browser__WEBPACK_IMPORTED_MODULE_2__/* .isNonCollectionDataField */ .mG).done(dataMembers => {
                    deferred.resolve(dataMembers.map(dm => {
                        return {
                            dataSourceName: dataSourceName,
                            dataMemberName: dm.dataMember(),
                            dataMember: dm.dataMember,
                            name: dm.name,
                            displayName: dm.displayName,
                            fieldType: dm.fieldType,
                            nodeType: dm.nodeType,
                            isDataFieldNode: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(true)
                        };
                    }));
                });
                return deferred.promise();
            },
            splitFullPath: (...args) => this._dataSourceBrowser.splitFullPath.apply(this._dataSourceBrowser, args),
            findDataSource: (dataSourceName) => this._dataSourceBrowser.findDataSource(dataSourceName)
        };
    }
}
__decorate([
    _model_internal_undo_engine_helper__WEBPACK_IMPORTED_MODULE_10__/* .wrapWithUndoRedo */ .JZ
], DataDashboardItemSurface.prototype, "_changeDataSource", null);


/***/ }),

/***/ 8408:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ FormatConditionBar)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6744);
/* harmony import */ var _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2531);
/* harmony import */ var _format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3750);
/* harmony import */ var _metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4919);






class FormatConditionBar extends _format_condition_min_max_base__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionMinMaxBase */ .K {
    get _isApplyToRowColumnRestricted() { return true; }
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.currentStyleSettingsType = knockout__WEBPACK_IMPORTED_MODULE_1__.observable('Positive');
        this.getSpecificType = () => null;
        this.setSpecificType = (type) => { };
        this.negativeStyleSettings(new _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_3__/* .BarStyleSettings */ .S(modelJson && modelJson[_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_5__/* .barNegativeStyleSettings */ .vI.modelName] || {}));
        if (modelJson) {
            delete modelJson[_metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_5__/* .barNegativeStyleSettings */ .vI.modelName];
        }
        this.addDisposable(this.currentStyleSettings = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => this.currentStyleSettingsType() == 'Positive' ? this.styleSettings() : this.negativeStyleSettings(),
            write: value => this.currentStyleSettingsType() == 'Positive' ? this.styleSettings(value) : this.negativeStyleSettings(value)
        }));
    }
    _getInfoButStyleSettings() {
        return _metadata_format_condition_bar__WEBPACK_IMPORTED_MODULE_5__/* .formatConditionBarSerializationsInfo */ .x0;
    }
    _getStyleSettingsInfo() {
        return {
            ..._metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_2__/* .styleSettings */ .v_,
            modelName: 'StyleSettings',
            type: _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_3__/* .BarStyleSettings */ .S
        };
    }
    _getDefaultStyleSettingsType() {
        return 'BarStyleSettings';
    }
    init() {
        super.init();
        if (this.negativeStyleSettings()) {
            this.negativeStyleSettings().init();
        }
        this.isEmpty(false);
    }
}


/***/ }),

/***/ 8478:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ bubbleMapDataController)
/* harmony export */ });
/* harmony import */ var _jquery_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5988);
/* harmony import */ var _geo_point_map_data_controller_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5462);


class bubbleMapDataController extends _geo_point_map_data_controller_base__WEBPACK_IMPORTED_MODULE_1__/* .geoPointMapDataControllerBase */ .N {
    constructor(options) {
        super(options);
    }
    getPoint(index) {
        return (0,_jquery_helpers__WEBPACK_IMPORTED_MODULE_0__/* .deepExtend */ .zw)(super.getPoint(index), {
            weight: this._getMeasureValue(index, this.viewModel.WeightId),
            color: this._getMeasureValue(index, this.viewModel.ColorId),
            weightText: this._getMeasureDisplayText(index, this.viewModel.WeightId),
            colorText: this._getMeasureDisplayText(index, this.viewModel.ColorId)
        });
    }
    formatColor(value) {
        var measure = this.multiData.getMeasureById(this.viewModel.ColorId);
        return measure ? measure.format(value) : value;
    }
    formatWeight(value) {
        var measure = this.multiData.getMeasureById(this.viewModel.WeightId);
        return measure ? measure.format(value) : value;
    }
}


/***/ }),

/***/ 8502:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ TextBoxItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8588);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1513);
/* harmony import */ var _data_dashboard_item__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9692);
/* harmony import */ var _metadata_text_box_item__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4191);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







class TextBoxItem extends _data_dashboard_item__WEBPACK_IMPORTED_MODULE_5__/* .DataDashboardItem */ .s {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.values = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.__values = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Values, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_metadata_text_box_item__WEBPACK_IMPORTED_MODULE_6__/* .textBoxValues */ .jp);
        this.addDisposable(this.__values.subscribe((links) => {
            this._setLinkCollectionAcceptableShapingType(links, _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String);
        }));
        this._setLinkCollectionAcceptableShapingType(this.__values(), _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String);
        this._supportedUIStates(['error', 'loading']);
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.__values);
        this.__values.removeAll();
    }
    _getInfoCore() {
        return _metadata_text_box_item__WEBPACK_IMPORTED_MODULE_6__/* .textBoxDashboardItemSerializationsInfo */ .dZ;
    }
    _isCalculationSupported() {
        return false;
    }
    _getDefaultItemType() {
        return 'TextBox';
    }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getIsVisualInteractivitySupported() { return false; }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_3__/* .collectionItemType */ .s)('Value')
], TextBoxItem.prototype, "__values", void 0);
_serializable_model__WEBPACK_IMPORTED_MODULE_4__/* .itemTypesMap */ .Jh['TextBox'] = { type: TextBoxItem, groupName: 'common', title: 'DashboardStringId.DefaultNameTextBoxItem', index: 80 };


/***/ }),

/***/ 8503:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ PivotItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7096);
/* harmony import */ var _metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9228);



class PivotItemFormatRule extends _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_1__/* .CellsItemFormatRule */ .Q {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .pivotItemFormatRuleSerializationsInfo */ .oR;
    }
    _getDefaultItemType() {
        return 'PivotItemFormatRule';
    }
}


/***/ }),

/***/ 8509:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   F: () => (/* binding */ CalculatedField)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_calculated_field__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7582);



class CalculatedField extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_calculated_field__WEBPACK_IMPORTED_MODULE_2__/* .calculatedFieldSerializationsInfo */ .Ey;
    }
}


/***/ }),

/***/ 8518:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $C: () => (/* binding */ DashboardItemPropertiesComposer),
/* harmony export */   DU: () => (/* binding */ PropertiesComposerBase),
/* harmony export */   WZ: () => (/* binding */ DataItemContainerPropertiesComposer)
/* harmony export */ });
class PropertiesComposerBase {
    constructor(_customizeTabs) {
        this._customizeTabs = _customizeTabs;
    }
    composeTabs(model, args) {
        var tabs = this._composeTabsCore(model, args);
        this._customizeTabs(tabs, model, args);
        return tabs;
    }
}
class DataItemContainerPropertiesComposer extends PropertiesComposerBase {
    constructor(_customizeTabs) {
        super(_customizeTabs);
    }
}
class DashboardItemPropertiesComposer extends PropertiesComposerBase {
    constructor(_customizeTabs) {
        super(_customizeTabs);
    }
}


/***/ }),

/***/ 8533:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E4: () => (/* binding */ chartAxisX),
/* harmony export */   GA: () => (/* binding */ chartRotated),
/* harmony export */   W6: () => (/* binding */ chartItemSerializationInfo),
/* harmony export */   gd: () => (/* binding */ panes),
/* harmony export */   k2: () => (/* binding */ chartLegend),
/* harmony export */   vH: () => (/* binding */ chartIndicators)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7604);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);
/* harmony import */ var _chart_axis__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(840);
/* harmony import */ var _chart_legend__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5060);





let chartRotated = { propertyName: 'rotated', modelName: '@Rotated', displayName: 'DashboardWebStringId.Chart.Rotated', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.ViewModel };
let panes = { propertyName: 'panes', modelName: 'Panes', displayName: 'DashboardWebStringId.Chart.Panes', array: true };
let chartIndicators = { propertyName: 'indicators', modelName: 'Indicators', array: true };
let chartLegend = { propertyName: 'legend', modelName: 'ChartLegend', displayName: 'DashboardWebStringId.Chart.Legend', type: _chart_legend__WEBPACK_IMPORTED_MODULE_4__/* .ChartLegend */ ._ };
let chartAxisX = { propertyName: 'axisX', modelName: 'AxisX', displayName: 'DashboardWebStringId.Chart.AxisX', type: _chart_axis__WEBPACK_IMPORTED_MODULE_3__/* .ChartAxisX */ .af };
let chartItemSerializationInfo = _metadata_chart_item_base__WEBPACK_IMPORTED_MODULE_1__/* .chartItemBaseSerializationsInfo */ .W.concat([panes, chartIndicators, chartRotated, chartLegend, chartAxisX, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._chartItemInteractivityOptionsMeta */ .jI]);


/***/ }),

/***/ 8534:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B0: () => (/* binding */ dataFieldFieldType),
/* harmony export */   EC: () => (/* binding */ dataFieldIsAggregate),
/* harmony export */   EH: () => (/* binding */ dataFieldChildNodes),
/* harmony export */   I: () => (/* binding */ dataFieldSerializationsInfo),
/* harmony export */   K4: () => (/* binding */ dataFieldDisplayName),
/* harmony export */   KB: () => (/* binding */ dataFieldIsDataSourceNode),
/* harmony export */   Nd: () => (/* binding */ dataFieldIsList),
/* harmony export */   OL: () => (/* binding */ dataFieldIsConvertible),
/* harmony export */   PD: () => (/* binding */ dataFieldDataMember),
/* harmony export */   Td: () => (/* binding */ dataFieldIsDataFieldNode),
/* harmony export */   Vq: () => (/* binding */ nodeType),
/* harmony export */   kD: () => (/* binding */ groupIndex),
/* harmony export */   kS: () => (/* binding */ dataFieldIsExpressionsNode),
/* harmony export */   kl: () => (/* binding */ dataFieldName),
/* harmony export */   tR: () => (/* binding */ dataFieldIsComparable),
/* harmony export */   v7: () => (/* binding */ dataFieldIsDataTableNode),
/* harmony export */   wV: () => (/* binding */ dataFieldIsCorruptedCalcField),
/* harmony export */   xw: () => (/* binding */ dataFieldIsDataMemberNode)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);


let dataFieldDataMember = { propertyName: 'dataMember', modelName: 'DataMember' };
let dataFieldName = { propertyName: 'name', modelName: 'Name' };
let nodeType = { propertyName: 'nodeType', modelName: 'NodeType' };
let groupIndex = { propertyName: 'groupIndex', modelName: 'GroupIndex' };
let dataFieldChildNodes = { propertyName: 'childNodes', modelName: 'ChildNodes', array: true };
let dataFieldDisplayName = { propertyName: 'displayName', modelName: 'DisplayName' };
let dataFieldFieldType = {
    propertyName: 'fieldType', modelName: 'FieldType', defaultVal: 'Unknown', from: (value) => knockout__WEBPACK_IMPORTED_MODULE_0__.observable(value === 'String' ? 'Text' : value)
};
let dataFieldIsDataFieldNode = { propertyName: 'isDataFieldNode', modelName: 'IsDataFieldNode', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsAggregate = { propertyName: 'isAggregate', modelName: 'IsAggregateCalculatedField', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsDataMemberNode = { propertyName: 'isDataMemberNode', modelName: 'IsDataMemberNode', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsConvertible = { propertyName: 'isConvertible', modelName: 'IsConvertible', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsComparable = { propertyName: 'isComparable', modelName: 'IsComparable', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsList = { propertyName: 'isList', modelName: 'IsList', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsCorruptedCalcField = { propertyName: 'isCorruptedCalcField', modelName: 'IsCorruptedCalculatedField', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsDataSourceNode = { propertyName: 'isDataSourceNode', modelName: 'IsDataSourceNode', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsDataTableNode = { propertyName: 'isDataTableNode', modelName: 'IsDataTableNode', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldIsExpressionsNode = { propertyName: 'isExpressionsNode', modelName: 'IsExpressionsNode', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .parseBool */ .q6 };
let dataFieldSerializationsInfo = [dataFieldDataMember, dataFieldName, dataFieldChildNodes, dataFieldDisplayName, dataFieldFieldType, dataFieldIsDataMemberNode, dataFieldIsDataFieldNode, dataFieldIsConvertible, dataFieldIsComparable, nodeType, groupIndex, dataFieldIsAggregate, dataFieldIsList, dataFieldIsCorruptedCalcField, dataFieldIsDataSourceNode, dataFieldIsDataTableNode, dataFieldIsExpressionsNode];


/***/ }),

/***/ 8553:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E0: () => (/* binding */ registerCustomProperty),
/* harmony export */   KS: () => (/* binding */ _customMetadataContainsProperty),
/* harmony export */   du: () => (/* binding */ _customPropertiesMeta),
/* harmony export */   ob: () => (/* binding */ _clearCustomPropertiesMeta)
/* harmony export */ });
/* harmony import */ var _custom_property_validation__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8736);

function registerCustomProperty(meta) {
    if (_customPropertiesMeta.filter(existingMeta => existingMeta.ownerType === meta.ownerType && existingMeta.propertyName === meta.propertyName)[0]) {
        throw new Error('Duplicated CustomPropertiesMeta');
    }
    (0,_custom_property_validation__WEBPACK_IMPORTED_MODULE_0__/* .validateCustomPropertyName */ .m)(meta.propertyName);
    _customPropertiesMeta.push(meta);
}
function _clearCustomPropertiesMeta() {
    _customPropertiesMeta = [];
}
let _customPropertiesMeta = [];
function _customMetadataContainsProperty(propertyName) {
    return !!(_customPropertiesMeta.filter(c => c.propertyName === propertyName)[0]);
}


/***/ }),

/***/ 8588:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ collectionItemType)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _knockout_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1041);


function collectionItemType(itemType) {
    return (target, key) => {
        var createObjectPropertyDescriptor = () => {
            var _subscription;
            var _val = undefined;
            var getter = function () {
                return _val;
            };
            var setter = function (newVal) {
                if (!!_subscription) {
                    _subscription.dispose();
                    _subscription = null;
                }
                if (knockout__WEBPACK_IMPORTED_MODULE_0__.isObservable(newVal) && Array.isArray(knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(newVal))) {
                    _subscription = (0,_knockout_utils__WEBPACK_IMPORTED_MODULE_1__/* .subscribeArrayChange */ .w$)(newVal, {
                        added: (item) => {
                            item.itemType(itemType);
                        }
                    });
                }
                _val = newVal;
            };
            return {
                get: getter,
                set: setter,
                enumerable: true,
                configurable: true
            };
        };
        var prototypePropertyDescriptor = {
            get: null,
            set: null,
            enumerable: true,
            configurable: true
        };
        var getter = function () {
            var descriptor = Object.getOwnPropertyDescriptor(this, key);
            if (descriptor === void 0) {
                Object.defineProperty(this, key, createObjectPropertyDescriptor());
            }
            return this[key];
        };
        var setter = function (newVal) {
            var descriptor = Object.getOwnPropertyDescriptor(this, key);
            if (descriptor === void 0) {
                Object.defineProperty(this, key, createObjectPropertyDescriptor());
            }
            this[key] = newVal;
        };
        prototypePropertyDescriptor.get = getter;
        prototypePropertyDescriptor.set = setter;
        if (delete target[key]) {
            Object.defineProperty(target, key, prototypePropertyDescriptor);
        }
    };
}


/***/ }),

/***/ 8591:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ CardItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5061);
/* harmony import */ var _metadata_card_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8290);



class CardItemFormatRule extends _card_item_format_rule_base__WEBPACK_IMPORTED_MODULE_1__/* .CardItemFormatRuleBase */ .c {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .cardItemFormatRuleSerializationsInfo */ .c;
    }
    _getDefaultItemType() {
        return 'CardItemFormatRule';
    }
}


/***/ }),

/***/ 8621:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GS: () => (/* binding */ calculationRankOrder),
/* harmony export */   jV: () => (/* binding */ rankCalculationSerializationsInfo),
/* harmony export */   q8: () => (/* binding */ calculationRankType)
/* harmony export */ });
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8675);

let calculationRankType = {
    propertyName: 'rankType', modelName: '@RankType', displayName: 'DashboardWebStringId.Calculations.RankType', defaultVal: 'Competition', simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Unique': 'DashboardStringId.RankTypeUnique',
        'Competition': 'DashboardStringId.RankTypeCompetition',
        'Dense': 'DashboardStringId.RankTypeDense',
        'Modified': 'DashboardStringId.RankTypeModified',
        'Percentile': 'DashboardStringId.RankTypePercentile'
    }
};
let calculationRankOrder = {
    propertyName: 'rankOrder', modelName: '@RankOrder', displayName: 'DashboardWebStringId.Calculations.RankOrder', defaultVal: 'Ascending', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Ascending': 'DashboardStringId.RankOrderAscending',
        'Descending': 'DashboardStringId.RankOrderDescending'
    }
};
let rankCalculationSerializationsInfo = _measure_calculation__WEBPACK_IMPORTED_MODULE_0__/* .measureCalculationSerializationsInfo */ .d.concat([calculationRankType, calculationRankOrder]);


/***/ }),

/***/ 8648:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ KpiItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _series_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2400);
/* harmony import */ var _metadata_kpi_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(773);



class KpiItem extends _series_item__WEBPACK_IMPORTED_MODULE_1__/* .SeriesItem */ .$ {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getInfoCore() {
        return _metadata_kpi_item__WEBPACK_IMPORTED_MODULE_2__/* .kpiDashboardItemSerializationsInfo */ .p;
    }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return this.interactivityOptions.isDrillDownEnabled(); }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
}


/***/ }),

/***/ 8675:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ measureCalculationSerializationsInfo)
/* harmony export */ });
let measureCalculationSerializationsInfo = [];


/***/ }),

/***/ 8689:
/***/ ((module) => {

module.exports = DevExpress.utils.date;

/***/ }),

/***/ 8729:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   hZ: () => (/* binding */ appearanceSettingsSerializationsInfo),
/* harmony export */   lU: () => (/* binding */ backColor),
/* harmony export */   mw: () => (/* binding */ fontFamily),
/* harmony export */   pP: () => (/* binding */ appearanceType),
/* harmony export */   se: () => (/* binding */ foreColor),
/* harmony export */   xC: () => (/* binding */ fontStyle)
/* harmony export */ });
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5419);
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3024);


let appearanceType = {
    propertyName: 'appearanceType', modelName: '@AppearanceType', displayName: 'DashboardWebStringId.ConditionalFormatting.AppearanceType', defaultVal: _style_settings_base__WEBPACK_IMPORTED_MODULE_1__/* .emptyStyleType */ .R, simpleFormAdapterItem: 'selectBoxEditor', values: {
        'None': 'DashboardStringId.FormatConditionAppearanceNone',
        'Custom': 'DashboardStringId.FormatConditionAppearanceCustom',
        'PaleRed': 'DashboardStringId.FormatConditionAppearancePaleRed',
        'PaleYellow': 'DashboardStringId.FormatConditionAppearancePaleYellow',
        'PaleGreen': 'DashboardStringId.FormatConditionAppearancePaleGreen',
        'PaleBlue': 'DashboardStringId.FormatConditionAppearancePaleBlue',
        'PalePurple': 'DashboardStringId.FormatConditionAppearancePalePurple',
        'PaleCyan': 'DashboardStringId.FormatConditionAppearancePaleCyan',
        'PaleOrange': 'DashboardStringId.FormatConditionAppearancePaleOrange',
        'PaleGray': 'DashboardStringId.FormatConditionAppearancePaleGray',
        'Red': 'DashboardStringId.FormatConditionAppearanceRed',
        'Yellow': 'DashboardStringId.FormatConditionAppearanceYellow',
        'Green': 'DashboardStringId.FormatConditionAppearanceGreen',
        'Blue': 'DashboardStringId.FormatConditionAppearanceBlue',
        'Purple': 'DashboardStringId.FormatConditionAppearancePurple',
        'Cyan': 'DashboardStringId.FormatConditionAppearanceCyan',
        'Orange': 'DashboardStringId.FormatConditionAppearanceOrange',
        'Gray': 'DashboardStringId.FormatConditionAppearanceGray',
        'GradientRed': 'DashboardStringId.FormatConditionAppearanceGradientRed',
        'GradientYellow': 'DashboardStringId.FormatConditionAppearanceGradientYellow',
        'GradientGreen': 'DashboardStringId.FormatConditionAppearanceGradientGreen',
        'GradientBlue': 'DashboardStringId.FormatConditionAppearanceGradientBlue',
        'GradientPurple': 'DashboardStringId.FormatConditionAppearanceGradientPurple',
        'GradientCyan': 'DashboardStringId.FormatConditionAppearanceGradientCyan',
        'GradientOrange': 'DashboardStringId.FormatConditionAppearanceGradientOrange',
        'GradientTransparent': 'DashboardStringId.FormatConditionAppearanceGradientTransparent',
        'FontBold': 'DashboardStringId.FormatConditionAppearanceFontBold',
        'FontItalic': 'DashboardStringId.FormatConditionAppearanceFontItalic',
        'FontUnderline': 'DashboardStringId.FormatConditionAppearanceFontUnderline',
        'FontGrayed': 'DashboardStringId.FormatConditionAppearanceFontGrayed',
        'FontRed': 'DashboardStringId.FormatConditionAppearanceFontRed',
        'FontYellow': 'DashboardStringId.FormatConditionAppearanceFontYellow',
        'FontGreen': 'DashboardStringId.FormatConditionAppearanceFontGreen',
        'FontBlue': 'DashboardStringId.FormatConditionAppearanceFontBlue'
    }
};
let fontStyle = {
    propertyName: 'fontStyle', modelName: '@FontStyle', displayName: 'DashboardWebStringId.ConditionalFormatting.FontStyle', defaultVal: null, simpleFormAdapterItem: 'selectBoxEditor', values: {
        'Regular': 'DashboardWebStringId.ConditionalFormatting.FontRegular',
        'Bold': 'DashboardStringId.FormatConditionAppearanceFontBold',
        'Italic': 'DashboardStringId.FormatConditionAppearanceFontItalic',
        'Underline': 'DashboardStringId.FormatConditionAppearanceFontUnderline',
        'Strikeout': 'DashboardStringId.FormatConditionAppearanceFontStrikeout'
    }
};
let fontFamily = { propertyName: 'fontFamily', modelName: '@FontFamily', displayName: 'DashboardWebStringId.ConditionalFormatting.FontFamily', defaultVal: 'Segoe UI', simpleFormAdapterItem: 'textBoxEditor' };
let backColor = { propertyName: 'backColor', modelName: '@BackColor', displayName: 'DashboardWebStringId.ConditionalFormatting.Appearance.BackColor', defaultVal: null, from: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorFromModel, toJsonObject: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorToModel, simpleFormAdapterItem: 'numberBoxEditor' };
let foreColor = { propertyName: 'foreColor', modelName: '@ForeColor', displayName: 'DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor', defaultVal: null, from: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorFromModel, toJsonObject: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorToModel, simpleFormAdapterItem: 'numberBoxEditor' };
let appearanceSettingsSerializationsInfo = _style_settings_base__WEBPACK_IMPORTED_MODULE_1__/* .styleSettingsBaseSerializationsInfo */ .i.concat([appearanceType, backColor, foreColor, fontFamily, fontStyle]);


/***/ }),

/***/ 8736:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ validateCustomPropertyName),
/* harmony export */   s: () => (/* binding */ validateCustomPropertyValueType)
/* harmony export */ });
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5792);

function validateCustomPropertyName(name) {
    if (!(0,_internal_helper_classes__WEBPACK_IMPORTED_MODULE_0__/* .isComponentNameValid */ .ZN)(name))
        throw new Error(`The property name '${name}' is invalid. It should contain only letters, numbers, and the underscore symbol and cannot start with a number.`);
}
function validateCustomPropertyValueType(propertyName, value) {
    if (typeof value !== 'string' && typeof value !== 'number' && typeof value !== 'boolean' && value !== null && value !== undefined)
        throw new Error(`The '${propertyName}' custom property value has incorrect type.`);
}


/***/ }),

/***/ 8750:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ ConfirmDialogViewModel)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5988);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4833);



class ConfirmDialogViewModel {
    constructor() {
        this.confirmTitle = knockout__WEBPACK_IMPORTED_MODULE_0__.observable('');
        this.confirmText = knockout__WEBPACK_IMPORTED_MODULE_0__.observable('');
        this.confirmVisible = knockout__WEBPACK_IMPORTED_MODULE_0__.observable(false);
        this.confirmButtons = knockout__WEBPACK_IMPORTED_MODULE_0__.observable([]);
        this.confirmHidden = (e) => { };
    }
    confirm(title, message, okButtonText, cancelButtonText) {
        var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_1__/* .createJQueryDeferred */ .KO)();
        this.confirmTitle(title);
        this.confirmText(message);
        let buttons = [];
        if (_data_utils__WEBPACK_IMPORTED_MODULE_2__/* .type */ .NW.isDefined(okButtonText))
            buttons.push({
                toolbar: 'bottom', location: 'after', widget: 'dxButton', options: {
                    text: okButtonText,
                    type: 'default',
                    onClick: () => {
                        setTimeout(() => { this.confirmVisible(false); }, 1);
                        deferred.resolve(true);
                    }
                }
            });
        if (_data_utils__WEBPACK_IMPORTED_MODULE_2__/* .type */ .NW.isDefined(cancelButtonText))
            buttons.push({
                toolbar: 'bottom', location: 'after', widget: 'dxButton', options: {
                    text: cancelButtonText,
                    onClick: () => {
                        setTimeout(() => { this.confirmVisible(false); }, 1);
                        deferred.resolve(false);
                    }
                }
            });
        this.confirmButtons(buttons);
        this.confirmHidden = (e) => {
            if (deferred.state() === 'pending')
                deferred.reject();
        };
        this.confirmVisible(true);
        return deferred.promise();
    }
}


/***/ }),

/***/ 8782:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ DimensionFilterValues)
/* harmony export */ });
class DimensionFilterValues {
    constructor(name = '') {
        this.Name = name;
        this.Truncated = false;
        this.Values = [];
    }
}


/***/ }),

/***/ 8791:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MF: () => (/* binding */ CardRowBase),
/* harmony export */   dM: () => (/* binding */ CardRow),
/* harmony export */   sM: () => (/* binding */ CardSparklineRow)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _card_row_element__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1578);
/* harmony import */ var _metadata_card_row__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9220);




class CardRowBase extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .TypedSerializableModel */ .$t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_row__WEBPACK_IMPORTED_MODULE_3__/* .cardRowBaseSerializationInfo */ .QH;
    }
}
class CardRow extends CardRowBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.elements = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.CardRowElements, (item) => this.createRowElement(item, serializer));
    }
    createRowElement(elementJSON, serializer) {
        var itemType = elementJSON['@ItemType'];
        return new CardRow.elementItemTypes[itemType].constructor(elementJSON, serializer);
    }
    getInfo() {
        return _metadata_card_row__WEBPACK_IMPORTED_MODULE_3__/* .cardRowSerializationInfo */ .Rv;
    }
    _getDefaultItemType() {
        return 'CardRow';
    }
}
CardRow.elementItemTypes = {
    'CardRowDataElement': {
        constructor: _card_row_element__WEBPACK_IMPORTED_MODULE_2__/* .CardRowDataElement */ .Jx
    },
    'CardRowIndicatorElement': {
        constructor: _card_row_element__WEBPACK_IMPORTED_MODULE_2__/* .CardRowIndicatorElement */ .wg
    },
    'CardRowTextElement': {
        constructor: _card_row_element__WEBPACK_IMPORTED_MODULE_2__/* .CardRowTextElement */ .er
    }
};
class CardSparklineRow extends CardRowBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_card_row__WEBPACK_IMPORTED_MODULE_3__/* .cardSparklineRowSerializationInfo */ .sK;
    }
    _getDefaultItemType() {
        return 'CardSparklineRow';
    }
}


/***/ }),

/***/ 8798:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U: () => (/* binding */ DashboardExpressionEditor)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(8248);
/* harmony import */ var _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2991);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1669);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5988);
/* harmony import */ var _dx_designer_integration__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8042);
/* harmony import */ var _expression_editor_functions__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8914);
/* harmony import */ var _flat_item_provider_wrapper__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5143);








class DashboardExpressionEditor extends _devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__.ExpressionEditor {
    constructor(options, fieldListProvider, displayNameProvider, saveHandler, disabled) {
        options.theme = (0,_dx_designer_integration__WEBPACK_IMPORTED_MODULE_5__/* .getAceTheme */ .r)();
        super(options, fieldListProvider, disabled, undefined, displayNameProvider);
        var createCompletersBase = this.languageHelper.createCompleters;
        this.languageHelper.createCompleters = (e, b, v) => {
            var completers = createCompletersBase.call(this.languageHelper, e, b, v);
            completers[0]['_fieldListProvider'] = new _flat_item_provider_wrapper__WEBPACK_IMPORTED_MODULE_7__/* .FlatItemProviderWrapper */ .b(fieldListProvider());
            completers.forEach(completer => this._disposables.push(completer));
            return completers;
        };
        let saveHandlerValue = (callback) => {
            var val = '';
            if (this.aceAvailable) {
                val = this.editorContainer().getSession().getValue();
            }
            else {
                val = this.textAreaValue();
            }
            var toRealExpressionPromise = this.displayExpressionConverter ?
                this.displayExpressionConverter.toRealExpression(options.path(), val) :
                (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_4__/* .createDxDeferred */ .Ay)().resolve(val).promise();
            toRealExpressionPromise
                .then((realExpression) => {
                if (!!realExpression) {
                    _devexpress_analytics_core_analytics_criteria_utils__WEBPACK_IMPORTED_MODULE_0__.CriteriaOperatorStateMachine.parse(realExpression);
                    options.value(realExpression);
                    this.isValid(true);
                    options.isValid(true);
                }
                else {
                    this.isValid(false);
                    options.isValid(false);
                }
            })
                .catch((exception) => {
                this.isValid(false);
                options.isValid(false);
            })
                .then(() => {
                if (this.isValid()) {
                    callback();
                }
            });
        };
        saveHandler && saveHandler(saveHandlerValue);
        this._disposables.push(this.displayValue.subscribe(newValue => this.textAreaValue(newValue)));
    }
    focus() {
        this.editorContainer() && this.editorContainer().focus();
    }
}
knockout__WEBPACK_IMPORTED_MODULE_3__.bindingHandlers['dshdExpressionEditor'] = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        var $element = jquery__WEBPACK_IMPORTED_MODULE_2__.fn.constructor(element);
        $element.children().remove();
        $element.addClass('dx-filtereditor');
        var templateHtml = (0,_devexpress_analytics_core_analytics_widgets__WEBPACK_IMPORTED_MODULE_1__.getTemplate)('dx-expressioneditor-main'), $element = $element.append(templateHtml), editorElement = $element.children()[0], values = valueAccessor();
        values.options.functions = (0,_expression_editor_functions__WEBPACK_IMPORTED_MODULE_6__/* .getExpressionEditorFunctions */ .X)();
        var editor = new DashboardExpressionEditor(values.options, knockout__WEBPACK_IMPORTED_MODULE_3__.observable(values.fieldListProvider), values.displayNameProvider, values.saveHandler, viewModel.disabled);
        editor.popupVisible(true);
        values.onResize && values.onResize(() => editor.resizeAceEditor());
        knockout__WEBPACK_IMPORTED_MODULE_3__.utils.domNodeDisposal.addDisposeCallback(editorElement, () => {
            editor.dispose();
            values.onResize && values.onResize(null);
        });
        knockout__WEBPACK_IMPORTED_MODULE_3__.applyBindings(editor, editorElement);
        editor.focus();
        return { controlsDescendantBindings: true };
    }
};


/***/ }),

/***/ 8826:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ CustomItemWindowDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1105);
/* harmony import */ var _metadata_custom_item_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7229);



class CustomItemWindowDefinition extends _measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculationWindowDefinition */ .t {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_custom_item_calc_window_definition__WEBPACK_IMPORTED_MODULE_2__/* .customItemWindowDefinitionSerializationsInfo */ .Z;
    }
    equals(def) {
        return def instanceof CustomItemWindowDefinition;
    }
}
_measure_calc_window_definition__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinitionsTypesMap */ .I['CustomItemWindowDefinition'] = CustomItemWindowDefinition;


/***/ }),

/***/ 8860:
/***/ ((module) => {

module.exports = DevExpress.ui.dxButton;

/***/ }),

/***/ 8914:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ ExpressionEditorFunctions),
/* harmony export */   X: () => (/* binding */ getExpressionEditorFunctions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9542);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__);

var windowFunctions = {
    display: 'Window Functions',
    localizationId: 'DashboardStringId.FunctionCategoryWindow',
    items: {
        First: [{
                paramCount: 1,
                text: 'First()',
                displayName: 'First()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionFirst'
            }],
        Last: [{
                paramCount: 1,
                text: 'Last()',
                displayName: 'Last()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionLast'
            }],
        Index: [{
                paramCount: 1,
                text: 'Index()',
                displayName: 'Index()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionIndex'
            }],
        Size: [{
                paramCount: 1,
                text: 'Size()',
                displayName: 'Size()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionSize'
            }],
        Lookup: [{
                paramCount: 2,
                text: 'Lookup(, )',
                displayName: 'Lookup(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionLookup'
            }],
        RankCompetition: [{
                paramCount: 2,
                text: 'RankCompetition(, )',
                displayName: 'RankCompetition(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRankCompetition'
            }],
        RankDense: [{
                paramCount: 2,
                text: 'RankDense(, )',
                displayName: 'RankDense(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRankDense'
            }],
        RankUnique: [{
                paramCount: 2,
                text: 'RankUnique(, )',
                displayName: 'RankUnique(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRankUnique'
            }],
        RankModified: [{
                paramCount: 2,
                text: 'RankModified(, )',
                displayName: 'RankModified(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRankModified'
            }],
        RankPercentile: [{
                paramCount: 2,
                text: 'RankPercentile(, )',
                displayName: 'RankPercentile(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRankPercentile'
            }],
        RunningAggregate: [{
                paramCount: 2,
                text: 'RunningAggregate(, )',
                displayName: 'RunningAggregate(, )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRunningCustomAggregate'
            }],
        RunningAvg: [{
                paramCount: 1,
                text: 'RunningAvg()',
                displayName: 'RunningAvg()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRunningAvg'
            }],
        RunningCount: [{
                paramCount: 1,
                text: 'RunningCount()',
                displayName: 'RunningCount()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRunningCount'
            }],
        RunningMax: [{
                paramCount: 1,
                text: 'RunningMax()',
                displayName: 'RunningMax()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRunningMax'
            }],
        RunningMin: [{
                paramCount: 1,
                text: 'RunningMin()',
                displayName: 'RunningMin()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRunningMin'
            }],
        RunningSum: [{
                paramCount: 1,
                text: 'RunningSum()',
                displayName: 'RunningSum()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionRunningSum'
            }],
        WindowAggregate: [{
                paramCount: 4,
                text: 'WindowAggregate(, , , )',
                displayName: 'WindowAggregate(, , , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowCustomAggregate'
            }],
        WindowAvg: [{
                paramCount: 3,
                text: 'WindowAvg(, , )',
                displayName: 'WindowAvg(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowAvg'
            }],
        WindowCount: [{
                paramCount: 3,
                text: 'WindowCount(, , )',
                displayName: 'WindowCount(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowCount'
            }],
        WindowCountDistinct: [{
                paramCount: 3,
                text: 'WindowCountDistinct(, , )',
                displayName: 'WindowCountDistinct(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowCountDistinct'
            }],
        WindowMax: [{
                paramCount: 3,
                text: 'WindowMax(, , )',
                displayName: 'WindowMax(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowMax'
            }],
        WindowMin: [{
                paramCount: 3,
                text: 'WindowMin(, , )',
                displayName: 'WindowMin(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowMin'
            }],
        WindowSum: [{
                paramCount: 3,
                text: 'WindowSum(, , )',
                displayName: 'WindowSum(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowSum'
            }],
        WindowMedian: [{
                paramCount: 3,
                text: 'WindowMedian(, , )',
                displayName: 'WindowMedian(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowMedian'
            }],
        WindowMode: [{
                paramCount: 3,
                text: 'WindowMode(, , )',
                displayName: 'WindowMode(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowMode'
            }],
        WindowVar: [{
                paramCount: 3,
                text: 'WindowVar(, , )',
                displayName: 'WindowVar(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowVar'
            }],
        WindowVarp: [{
                paramCount: 3,
                text: 'WindowVarp(, , )',
                displayName: 'WindowVarp(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowVarp'
            }],
        WindowStdDev: [{
                paramCount: 3,
                text: 'WindowStdDev(, , )',
                displayName: 'WindowStdDev(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowStdDev'
            }],
        WindowStdDevp: [{
                paramCount: 3,
                text: 'WindowStdDevp(, , )',
                displayName: 'WindowStdDevp(, , )',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowStdDevp'
            }],
        Total: [{
                paramCount: 0,
                text: 'Total()',
                displayName: 'Total()',
                descriptionStringId: 'DashboardStringId.FunctionDescriptionTotal'
            }]
    }
};
var dashboardAggrFunctions = {
    display: 'Aggregate',
    localizationId: 'DashboardStringId.FunctionCategoryAggregate',
    category: 'DashboardAggregate',
    items: {
        Avg: [{ paramCount: 1, text: 'Avg()', displayName: 'Avg()', descriptionStringId: 'XtraEditorsExpressionEditor.AvgAggregate.Description' }],
        Count: [{ paramCount: 1, text: 'Count()', displayName: 'Count()', descriptionStringId: 'XtraEditorsExpressionEditor.CountAggregate.Description' }],
        Max: [{ paramCount: 1, text: 'Max()', displayName: 'Max()', descriptionStringId: 'XtraEditorsExpressionEditor.MaxAggregate.Description' }],
        Min: [{ paramCount: 1, text: 'Min()', displayName: 'Min()', descriptionStringId: 'XtraEditorsExpressionEditor.MinAggregate.Description' }],
        Sum: [{ paramCount: 1, text: 'Sum()', displayName: 'Sum()', descriptionStringId: 'XtraEditorsExpressionEditor.SumAggregate.Description' }],
        CountNotNull: [{ paramCount: 1, text: 'CountNotNull()', displayName: 'CountNotNull()', descriptionStringId: 'DashboardStringId.AggregateExFunctionDescriptionCountNotNull' }],
        CountDistinct: [{ paramCount: 1, text: 'CountDistinct()', displayName: 'CountDistinct()', descriptionStringId: 'DashboardStringId.FunctionDescriptionCountDistinct' }],
        Median: [{ paramCount: 1, text: 'Median()', displayName: 'Median()', descriptionStringId: 'DashboardStringId.FunctionDescriptionMedian' }],
        Mode: [{ paramCount: 1, text: 'Mode()', displayName: 'Mode()', descriptionStringId: 'DashboardStringId.AggregateExFunctionDescriptionMode' }],
        StdDev: [{ paramCount: 1, text: 'StdDev()', displayName: 'StdDev()', descriptionStringId: 'DashboardStringId.FunctionDescriptionStdDev' }],
        StdDevp: [{ paramCount: 1, text: 'StdDevp()', displayName: 'StdDevp()', descriptionStringId: 'DashboardStringId.FunctionDescriptionStdDevp' }],
        Var: [{ paramCount: 1, text: 'Var()', displayName: 'Var()', descriptionStringId: 'DashboardStringId.FunctionDescriptionVar' }],
        Varp: [{ paramCount: 1, text: 'Varp()', displayName: 'Varp()', descriptionStringId: 'DashboardStringId.FunctionDescriptionVarp' }]
    }
};
var dashboardAdvancedFunctions = {
    display: 'Advanced',
    localizationId: 'DashboardStringId.FunctionCategoryAdvanced',
    category: 'Advanced',
    items: {
        aggr: [{ paramCount: 1, text: 'aggr()', displayName: 'aggr()', descriptionStringId: 'DashboardStringId.FunctionDescriptionAggr' }],
        asc: [{ paramCount: 1, text: 'asc()', displayName: 'asc()', descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc' }],
        desc: [{ paramCount: 1, text: 'desc()', displayName: 'desc()', descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc' }],
        orderBy: [{ paramCount: 1, text: 'orderBy()', displayName: 'orderBy()', descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy' }],
        partitionBy: [{ paramCount: 1, text: 'partitionBy()', displayName: 'partitionBy()', descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy' }],
        w: [{ paramCount: 3, text: 'w( , partitionBy(), orderBy() )', displayName: 'w()', descriptionStringId: 'DashboardStringId.FunctionDescriptionWindowDefinition' }],
        filter: [{ paramCount: 2, text: 'filter( , )', displayName: 'filter()', descriptionStringId: 'DashboardStringId.FunctionDescriptionAggregateFilter' }],
        joinRule: [{ paramCount: 2, text: 'joinRule()', displayName: 'joinRule()', descriptionStringId: 'DashboardStringId.FunctionDescriptionAggrJoinRule' }]
    }
};
var dashboardAdditionalFunctions = {
    'Date-Time': {
        GetDateHour: [{ paramCount: 1, text: 'GetDateHour()', displayName: 'GetDateHour()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour' }],
        GetDateHourMinute: [{ paramCount: 1, text: 'GetDateHourMinute()', displayName: 'GetDateHourMinute()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute' }],
        GetDateHourMinuteSecond: [{ paramCount: 1, text: 'GetDateHourMinuteSecond()', displayName: 'GetDateHourMinuteSecond()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond' }],
        GetDateMonthYear: [{ paramCount: 1, text: 'GetDateMonthYear()', displayName: 'GetDateMonthYear()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear' }],
        GetDateWeekYear: [
            { paramCount: 1, text: 'GetDateWeekYear()', displayName: 'GetDateWeekYear()', descriptionStringId: 'DashboardStringId.FunctionDescriptionGetDateWeekYear' },
            { paramCount: 2, text: 'GetDateWeekYear(,)', displayName: 'GetDateWeekYear(,)', descriptionStringId: 'DashboardStringId.FunctionDescriptionGetDateWeekYear2' }
        ],
        GetDateQuarterYear: [{ paramCount: 1, text: 'GetDateQuarterYear()', displayName: 'GetDateQuarterYear()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear' }],
        GetQuarter: [{ paramCount: 1, text: 'GetQuarter()', displayName: 'GetQuarter()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter' }],
        GetWeekOfMonth: [{ paramCount: 1, text: 'GetWeekOfMonth()', displayName: 'GetWeekOfMonth()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth' }],
        GetWeekOfYear: [{ paramCount: 1, text: 'GetWeekOfYear()', displayName: 'GetWeekOfYear()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear' }],
        ToDateTime: [{ paramCount: 1, text: 'ToDateTime()', displayName: 'ToDateTime()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime' }],
        MakeDateTime: [
            { paramCount: 3, text: 'MakeDateTime(,,)', displayName: 'MakeDateTime(,,)', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3' },
            { paramCount: 4, text: 'MakeDateTime(,,,)', displayName: 'MakeDateTime(,,,)', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4' },
            { paramCount: 5, text: 'MakeDateTime(,,,,)', displayName: 'MakeDateTime(,,,,)', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5' },
            { paramCount: 6, text: 'MakeDateTime(,,,,,)', displayName: 'MakeDateTime(,,,,,)', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6' }
        ]
    },
    'Logical': {
        ToBoolean: [{ paramCount: 1, text: 'ToBoolean()', displayName: 'ToBoolean()', descriptionStringId: 'DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean' }]
    },
    'String': {
        Join: null
    }
};
class ExpressionEditorFunctions {
}
ExpressionEditorFunctions.customFunctions = [];
function getExpressionEditorFunctions() {
    return [dashboardAdvancedFunctions,
        dashboardAggrFunctions]
        .concat((0,_devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_0__.functionDisplay)().filter(category => category.display !== 'Aggregate'))
        .map(functionCategory => {
        let category = functionCategory.display;
        if (dashboardAdditionalFunctions[category]) {
            var clone = { ...functionCategory };
            clone.items = { ...clone.items, ...dashboardAdditionalFunctions[category] };
            return clone;
        }
        else {
            return functionCategory;
        }
    })
        .concat([windowFunctions])
        .concat(ExpressionEditorFunctions.customFunctions);
}


/***/ }),

/***/ 8928:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ ExpressionEditorItemsProvider)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _common_data_source_browser__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6768);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5988);
/* harmony import */ var _data_index_internal__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2882);
/* harmony import */ var _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1923);
/* harmony import */ var _model_data_sources_olap_data_source__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6401);
/* harmony import */ var _model_parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2809);








class ExpressionEditorItemsProvider {
    constructor(dataFieldsProvider, dataSourceProvider, dataItemValuesProvider, parameters, dataSourceName, dataMember, filterPredicate = () => true) {
        this.dataFieldsProvider = dataFieldsProvider;
        this.dataSourceProvider = dataSourceProvider;
        this.dataItemValuesProvider = dataItemValuesProvider;
        this.parameters = parameters;
        this.dataSourceName = dataSourceName;
        this.dataMember = dataMember;
        this.filterPredicate = filterPredicate;
    }
    getValues(pathRequest) {
        const deferred = new _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.DxDeferred();
        this.dataFieldsProvider.findDataField(this.dataSourceName(), this.dataMember(), pathRequest.path).done((res) => {
            deferred.resolve((res['_model']?.EditorValues || []).map(x => ({
                value: x,
                display: x
            })));
        });
        return deferred.promise();
    }
    getItems(pathRequest) {
        var items = [], fullPath = pathRequest.fullPath && pathRequest.fullPath.toLowerCase() || '';
        if (fullPath === '') {
            items = [{
                    displayName: (0,_data_index_internal__WEBPACK_IMPORTED_MODULE_4__.getLocalizationById)('DashboardWebStringId.DashboardParameters'),
                    name: 'Parameters',
                    isList: true,
                    specifics: 'parameters'
                }];
        }
        else if (fullPath === 'parameters') {
            items = (this.parameters && this.parameters || []).map(parameter => {
                const parameterType = _model_parameters_parameters_helper__WEBPACK_IMPORTED_MODULE_7__/* .ParameterHelper */ ._.typeValues.filter(item => item.value === parameter.type())[0];
                const parameterSpecific = parameterType && parameterType.specifics || 'Default';
                return {
                    displayName: parameter.name(),
                    name: parameter.name(),
                    isList: false,
                    specifics: parameterSpecific
                };
            });
        }
        else {
            var deferred = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)(), fieldPath = pathRequest.path, dataSource = this.dataSourceProvider.findDataSource(this.dataSourceName());
            if (!!this.dataMember) {
                fieldPath = (0,_common_data_source_browser__WEBPACK_IMPORTED_MODULE_2__/* .trimLeadingPathElement */ .sG)(fieldPath, this.dataMember());
            }
            this.dataFieldsProvider.getDataFieldsArray(this.dataSourceName(), this.dataMember(), fieldPath, _common_data_source_browser__WEBPACK_IMPORTED_MODULE_2__/* .isNonCollectionDataField */ .mG)
                .done(dataFields => {
                items = dataFields.filter(this.filterPredicate).map(field => {
                    return {
                        displayName: knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(field.displayName),
                        name: dataSource instanceof _model_data_sources_olap_data_source__WEBPACK_IMPORTED_MODULE_6__/* .OlapDataSource */ .u ? field.dataMember() : field.name(),
                        field: field,
                        isList: !field.isDataFieldNode(),
                        hasItems: !field.isDataFieldNode(),
                        specifics: field.isDataFieldNode() ? _model_data_item_data_item__WEBPACK_IMPORTED_MODULE_5__/* .DataItem */ .sO.typesMap[field.fieldType()] || 'Default' : field.isList && field.isList() ? 'List' : 'Default'
                    };
                });
                deferred.resolve(items);
            });
            return deferred.promise();
        }
        return (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_3__/* .createJQueryDeferred */ .KO)().resolve(items).promise();
    }
}


/***/ }),

/***/ 8991:
/***/ ((module) => {

module.exports = DevExpress.formatHelper;

/***/ }),

/***/ 9025:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ RuleRangesEditor)
/* harmony export */ });
/* harmony import */ var devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4306);
/* harmony import */ var devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5988);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9167);
/* harmony import */ var _model__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7104);
/* harmony import */ var _model_color__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5419);
/* harmony import */ var _model_format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7886);
/* harmony import */ var _model_format_rules_conditions_range_range_generator__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5771);
/* harmony import */ var _model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(6744);
/* harmony import */ var _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(3024);
/* harmony import */ var _model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1041);
/* harmony import */ var _style_settings_adapters__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(6592);












const negativeInfinityDisplayText = '-∞';
var dataGridColumnTypes = {
    Text: 'string',
    DateTime: 'date',
    Bool: 'boolean',
    Integer: 'number',
    Float: 'number',
    Double: 'number',
    Decimal: 'number',
    Enum: 'string',
    Custom: 'object',
    Unknown: 'object'
};
class RuleRangesEditor {
    constructor(options) {
        this.selection = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(null);
        this.value = knockout__WEBPACK_IMPORTED_MODULE_1__.observableArray([]);
        this.disposables = [];
        this.popoverOffset = (0,devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0__.isMaterial)((0,devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0__.current)()) ? '0 -8' : '-8 -8';
        this.closeEditCell = () => {
            this._closeEditCell && this._closeEditCell();
        };
        this._closeEditCell = null;
        this.isGradient = options.condition.isGradient();
        this.appearanceMode = options.appearanceMode;
        this.condition = options.condition;
        this.enableCustomStyles = options.enableCustomStyles;
        this.dataType = this.condition.dataType;
        this.restrictToColor = options.restrictToColor;
        this.isPercent = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => this.condition.valueType() === 'Percent',
            write: (isPercent) => {
                if (isPercent) {
                    this.condition.setValues(_model_format_rules_conditions_range_range_generator__WEBPACK_IMPORTED_MODULE_7__/* .FormatConditionRangeGenerator */ .N.calculateRangePercentValues(this.condition.rangeSet.ranges.peek().length));
                }
            }
        });
        this.disposables.push(this.isPercent);
        (0,_model_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_9__/* .safeComputed */ .Tq)({ valueType: this.condition.valueType }, () => {
            this._updateValue();
            this.updateRangeValues(this.isPercent());
        });
        this.disposables.push(this.condition.rangeSet.ranges.subscribe(() => this._updateValue(), null, 'arrayChange'));
        if (this.condition.rangeSet.ranges()[0].styleSettings() instanceof _model__WEBPACK_IMPORTED_MODULE_4__.IconSettings && (0,devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0__.isMaterial)((0,devextreme_ui_themes__WEBPACK_IMPORTED_MODULE_0__.current)())) {
            this.popoverOffset = '12 -8';
        }
    }
    updateRangeValues(isPercent) {
        const valueType = isPercent ? 'System.Double' : _model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__/* .fieldTypes */ .s$[this.dataType()];
        this.condition.rangeSet.ranges().forEach((rangeInfo) => rangeInfo.value.setValue(RuleRangesEditor.patchValueToMatchSerializedType(rangeInfo.value.value(), valueType), valueType));
    }
    isRangeEmptyAllowed(range) {
        if (this.isGradient) {
            var ranges = this.value.peek();
            var index = ranges.indexOf(range);
            return (index != 0) && (index != ranges.length - 1);
        }
        else {
            return true;
        }
    }
    createStyleSettingsEditorOptions(range) {
        return {
            allowChangeViewMode: false,
            appearanceMode: this.appearanceMode,
            isEmptyAllowed: this.isRangeEmptyAllowed(range),
            selectedChanged: this.getSelectedStyleChangedHandler(range),
            closeEditCell: this.closeEditCell,
            enableCustomStyles: this.enableCustomStyles,
            restrictToColor: this.restrictToColor,
            getAvailableFontFamilies: this.condition._getAvailableFontFamilies
        };
    }
    createStyleSettingsEditorItemOptions(range) {
        return {
            item: range.style(),
            clickHandler: () => { },
            isSelected: knockout__WEBPACK_IMPORTED_MODULE_1__.observable(false),
            isEmptyAllowed: this.isRangeEmptyAllowed(range),
            isRange: true,
            isGradient: this.isGradient,
            restrictToColor: this.restrictToColor,
            getAvailableFontFamilies: this.condition._getAvailableFontFamilies
        };
    }
    createRangeNumberEditorViewModel(args) {
        const isNegativeInfintySelected = args.value() === _model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__/* .negativeInfinity */ .qv;
        const editorValue = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(isNegativeInfintySelected ? 0 : args.value());
        const allowInfinity = args.isRightValue && args.grid.totalCount() === args.rowIndex + 1 && !this.isPercent();
        const infinitValue = knockout__WEBPACK_IMPORTED_MODULE_1__.observable(isNegativeInfintySelected);
        const editorType = this.dataType() === 'DateTime' ? 'dateBox' : 'numberBox';
        const editorOptions = {
            onValueChanged: (e) => {
                args.setValue(e.value);
                editorValue(e.value);
            },
            format: this.dataType() === 'Integer' && !this.isPercent() ? 'fixedPoint' : '',
            value: editorValue()
        };
        const buttonOptions = {
            width: '100%',
            keyExpr: 'value',
            selectedItemKeys: [isNegativeInfintySelected ? _model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__/* .negativeInfinity */ .qv : 'number'],
            items: [{
                    value: 'number',
                    text: (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardStringId.FormatConditionNumberValueType')
                }, {
                    value: _model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__/* .negativeInfinity */ .qv,
                    text: negativeInfinityDisplayText
                }],
            selectionMode: 'single',
            onSelectionChanged: (e) => {
                if (e.addedItems[0].value === _model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__/* .negativeInfinity */ .qv) {
                    args.setValue(_model_format_rules_metadata_format_rules_common__WEBPACK_IMPORTED_MODULE_8__/* .negativeInfinity */ .qv);
                    infinitValue(true);
                }
                else {
                    args.setValue(editorValue());
                    infinitValue(false);
                }
            }
        };
        return {
            editorType,
            negativeInfinityDisplayText,
            allowInfinity,
            infinitValue,
            editorOptions,
            buttonOptions
        };
    }
    get dataGridOptions() {
        let valueType = dataGridColumnTypes[this.dataType()];
        return {
            dataSource: (this.value),
            twoWayBindingEnabled: false,
            hoverStateEnabled: false,
            showRowLines: true,
            showColumnHeaders: false,
            rowAlternationEnabled: false,
            selection: undefined,
            paging: {
                enabled: false
            },
            editing: {
                mode: 'cell',
                allowFiltering: false,
                allowSorting: false,
                allowUpdating: true
            },
            onInitialized: (e) => {
                e.component.getController('editorFactory')._showRevertButton = () => { };
                this._closeEditCell = () => {
                    e.component.closeEditCell();
                    this._updateValue();
                };
            },
            onCellHoverChanged: function (e) {
                let cellElement = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(e.cellElement);
                if (e.eventType === 'mouseover') {
                    cellElement.classList.add('dx-dashboard-range-editor-state-hover');
                }
                else {
                    cellElement.classList.remove('dx-dashboard-range-editor-state-hover');
                }
            },
            onRowPrepared: function (e) {
                if (e.data === this.selection()) {
                    let selectedRow = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(e.element).querySelector('tr.dx-selection');
                    if (selectedRow) {
                        selectedRow.classList.remove('dx-selection');
                    }
                    (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(e.rowElement).classList.add('dx-selection');
                }
            },
            onEditingStart: function (e) {
                if (e.component.getRowIndexByKey(e.key) === 0 && e.column.dataField === 'leftValue') {
                    e.cancel = true;
                }
            },
            onCellPrepared: function (e) {
                let cellElement = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(e.cellElement);
                if (cellElement.classList.contains('dx-editor-cell')) {
                    this.selection(e.data);
                    let selectedRow = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_2__/* .$unwrap */ .I1)(e.element).querySelector('tr.dx-selection');
                    if (selectedRow) {
                        selectedRow.classList.remove('dx-selection');
                    }
                    cellElement.parentElement.classList.add('dx-selection');
                }
            },
            onRowValidating: function (e) {
                if (!!e.newData.sign || e.brokenRules.length > 0)
                    return;
                var dataGrid = e.component, value = e.newData.leftValue || e.newData.rightValue, rowIndex = dataGrid.getRowIndexByKey(e.key), bottomValue = undefined, upperValue = undefined;
                if (!!e.newData.leftValue) {
                    bottomValue = dataGrid.getKeyByRowIndex(rowIndex).rightValue();
                    upperValue = rowIndex - 1 >= 0 ? dataGrid.getKeyByRowIndex(rowIndex - 1).leftValue() : undefined;
                }
                else if (!!e.newData.rightValue) {
                    var count = dataGrid.option('dataSource').length;
                    var minBottomValue = this.isPercent() && (rowIndex + 1 == count) ? 0 : undefined;
                    bottomValue = rowIndex + 1 < count ? dataGrid.getKeyByRowIndex(rowIndex + 1).rightValue() : minBottomValue;
                    upperValue = dataGrid.getKeyByRowIndex(rowIndex).leftValue();
                }
                if (value == undefined || (bottomValue !== undefined && value < bottomValue) || (upperValue !== undefined && value > upperValue)) {
                    e.isValid = false;
                    e.errorText = 'Invalid value: value should be between [' + bottomValue + ', ' + upperValue + ']';
                }
            },
            columns: [{
                    dataField: 'style',
                    alignment: 'center',
                    width: 52,
                    cellTemplate: 'dx-dashboard-range-style-template',
                    lookup: {
                        dataSource: []
                    },
                    editCellTemplate: 'dx-dashboard-range-style-editor-template'
                }, {
                    dataField: 'leftValue',
                    dataType: valueType,
                    width: 74,
                    alignment: 'center',
                    cellTemplate: 'dx-dashboard-range-cell-template',
                    editCellTemplate: 'dx-dashboard-range-edit-number-template-left',
                    cssClass: 'dx-dashboard-range-value',
                    validationRules: [{ type: 'required' }]
                }, {
                    dataField: 'sign',
                    alignment: 'center',
                    cellTemplate: 'dx-dashboard-range-cell-template',
                    cssClass: 'dx-dashboard-range-sign',
                    showEditorAlways: false,
                    editorOptions: {
                        searchEnabled: false,
                        showDropDownButton: false
                    },
                    lookup: {
                        dataSource: [{
                                name: _model_format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_6__/* .rangeValueComparison */ .oW.values['GreaterOrEqual'],
                                id: 'GreaterOrEqual'
                            }, {
                                name: _model_format_rules_conditions_range_metadata_range_info__WEBPACK_IMPORTED_MODULE_6__/* .rangeValueComparison */ .oW.values['Greater'],
                                id: 'Greater'
                            }],
                        displayExpr: 'name',
                        valueExpr: 'id'
                    }
                }, {
                    dataField: 'rightValue',
                    dataType: valueType,
                    alignment: 'center',
                    width: 74,
                    cellTemplate: 'dx-dashboard-range-cell-template',
                    editCellTemplate: 'dx-dashboard-range-edit-number-template-right',
                    cssClass: 'dx-dashboard-range-value',
                    validationRules: [{ type: 'required' }],
                    customizeText: (e) => {
                        return e.value === -Infinity ? negativeInfinityDisplayText : e.valueText;
                    }
                }
            ]
        };
    }
    add() {
        var index = !!this.selection() ? this.condition.rangeSet.ranges.indexOf(this.selection().rangeInfo) : this.condition.rangeSet.ranges().length - 1;
        var rangeInfo = this.condition.rangeSet.ranges()[index];
        this.condition.rangeSet.ranges.splice(index, 0, rangeInfo.clone());
    }
    remove() {
        if (!!this.selection() && this.condition.rangeSet.ranges().length > 2) {
            var rangeInfo = this.selection().rangeInfo;
            var index = this.condition.rangeSet.ranges.indexOf(rangeInfo);
            this.condition.rangeSet.ranges.splice(index, 1);
            this.selection(this.value()[this.value().indexOf(this.selection())]);
        }
    }
    getSelectedStyleChangedHandler(range) {
        return (oldStyle, newStyle) => {
            range.rangeInfo.styleSettings(newStyle);
        };
    }
    _updateValue() {
        this.value(generateRanges(this.condition.rangeSet.ranges.peek(), this.isGradient, this.isPercent()));
    }
    dispose() {
        this.disposables.forEach(disposable => disposable?.dispose());
    }
}
RuleRangesEditor.patchValueToMatchSerializedType = (value, valueType) => {
    if (valueType === 'System.Int32')
        return Math.round(value);
    return value;
};
var generateRanges = (ranges, isGradient, isPercent) => {
    var value = [];
    var prevIndex = -1, nextIndex = ranges.length;
    var isStyleEmpty = (s) => {
        return !s || (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_10__/* .styleSettingsAdapter */ .o)(s).getPredefinedStyle() == _model_format_rules_style_settings_metadata_style_settings_base__WEBPACK_IMPORTED_MODULE_11__/* .emptyStyleType */ .R;
    };
    var generateStyleSettings = (currentIndex) => {
        let color;
        let nextColor;
        const itemAdapter = (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_10__/* .styleSettingsAdapter */ .o)(ranges[prevIndex].styleSettings());
        const nextItemAdapter = (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_10__/* .styleSettingsAdapter */ .o)(ranges[nextIndex].styleSettings());
        color = itemAdapter.hasCustomStyle() ? _model_color__WEBPACK_IMPORTED_MODULE_5__/* .Color */ .Q.fromRgbaString(itemAdapter.getCustomColor()) : _model_color__WEBPACK_IMPORTED_MODULE_5__/* .Color */ .Q.fromAppearance(itemAdapter.getPredefinedStyle());
        nextColor = nextItemAdapter.hasCustomStyle() ? _model_color__WEBPACK_IMPORTED_MODULE_5__/* .Color */ .Q.fromRgbaString(nextItemAdapter.getCustomColor()) : _model_color__WEBPACK_IMPORTED_MODULE_5__/* .Color */ .Q.fromAppearance(nextItemAdapter.getPredefinedStyle());
        const generatedColor = _model_color__WEBPACK_IMPORTED_MODULE_5__/* .Color */ .Q.fromDxColor(nextColor.blend(color, (currentIndex - nextIndex) / (prevIndex - nextIndex))).css;
        const newItem = (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_10__/* .styleSettingsAdapter */ .o)(ranges[0].styleSettings()).itemFactory();
        (0,_style_settings_adapters__WEBPACK_IMPORTED_MODULE_10__/* .styleSettingsAdapter */ .o)(newItem).setCustomColor(generatedColor);
        return knockout__WEBPACK_IMPORTED_MODULE_1__.observable(newItem);
    };
    var getRangeValue = (index) => {
        var rangeInfo = ranges[index];
        return rangeInfo.value.value;
    };
    for (var i = ranges.length - 1; i >= 0; i--) {
        var styleSettings = ranges[i].styleSettings;
        if (isGradient) {
            if (isStyleEmpty(styleSettings())) {
                if (nextIndex > i) {
                    for (var j = i - 1; j >= 0; j--) {
                        if (!isStyleEmpty(ranges[j].styleSettings())) {
                            nextIndex = j;
                            break;
                        }
                    }
                }
                styleSettings = generateStyleSettings(i);
            }
            else {
                prevIndex = i;
            }
        }
        value.push({
            style: styleSettings,
            sign: ranges[i].valueComparison,
            leftValue: (i < ranges.length - 1) ? getRangeValue(i + 1) : (isPercent ? knockout__WEBPACK_IMPORTED_MODULE_1__.observable(100) : knockout__WEBPACK_IMPORTED_MODULE_1__.observable('∞')),
            rightValue: getRangeValue(i),
            rangeInfo: ranges[i]
        });
    }
    return value;
};


/***/ }),

/***/ 9028:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DZ: () => (/* binding */ leftLongitude),
/* harmony export */   MS: () => (/* binding */ centerPointLatitude),
/* harmony export */   Me: () => (/* binding */ bottomLatitude),
/* harmony export */   VT: () => (/* binding */ centerPointLongitude),
/* harmony export */   ZY: () => (/* binding */ createViewerPaddings),
/* harmony export */   gk: () => (/* binding */ mapViewportSerializationsInfo),
/* harmony export */   iQ: () => (/* binding */ topLatitude),
/* harmony export */   wg: () => (/* binding */ rightLongitude)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let topLatitude = { propertyName: 'topLatitude', modelName: '@TopLatitude', displayName: 'DashboardWebStringId.Map.Viewport.TopLatitude', defaultVal: 90, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let bottomLatitude = { propertyName: 'bottomLatitude', modelName: '@BottomLatitude', displayName: 'DashboardWebStringId.Map.Viewport.BottomLatitude', defaultVal: -90, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let leftLongitude = { propertyName: 'leftLongitude', modelName: '@LeftLongitude', displayName: 'DashboardWebStringId.Map.Viewport.LeftLongitude', defaultVal: -180, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let rightLongitude = { propertyName: 'rightLongitude', modelName: '@RightLongitude', displayName: 'DashboardWebStringId.Map.Viewport.RightLongitude', defaultVal: 180, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let centerPointLatitude = { propertyName: 'centerPointLatitude', modelName: '@CenterPointLatitude', displayName: 'DashboardWebStringId.Map.Viewport.CenterPointLatitude', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let centerPointLongitude = { propertyName: 'centerPointLongitude', modelName: '@CenterPointLongitude', displayName: 'DashboardWebStringId.Map.Viewport.CenterPointLongitude', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let createViewerPaddings = { propertyName: 'createViewerPaddings', modelName: '@CreateViewerPaddings', displayName: 'DashboardWebStringId.Map.Viewport.CreateViewerPaddings', defaultVal: true, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let mapViewportSerializationsInfo = [topLatitude, bottomLatitude, leftLongitude, rightLongitude, centerPointLatitude, centerPointLongitude, createViewerPaddings];


/***/ }),

/***/ 9044:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ ModelSubscriber)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4904);


class ModelSubscriber {
    static changePropertyQuietly(property, func) {
        try {
            property[ModelSubscriber.dxSubscriptionSuspend] = true;
            func();
        }
        finally {
            delete property[ModelSubscriber.dxSubscriptionSuspend];
        }
    }
    constructor(_model) {
        this._model = _model;
        this.handlers = [];
        this._subscribe(_model);
    }
    _unsubscribe(model) {
        if (model.disposed)
            return;
        var serializationsInfo = model.getInfo();
        serializationsInfo
            .filter(serializationInfo => !!serializationInfo.modelName)
            .forEach(serializationInfo => {
            var property = model[serializationInfo.propertyName];
            var propertyValue = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(property);
            if (property && property[ModelSubscriber.dxSubscription]) {
                var subscription = property[ModelSubscriber.dxSubscription];
                subscription.dispose();
                delete property[ModelSubscriber.dxSubscription];
            }
            if (this._isPropertySerializeModel(propertyValue)) {
                this._unsubscribe(propertyValue);
            }
        });
    }
    _addDisposable(model, subscription, property) {
        if (model.addDisposable)
            model.addDisposable(subscription);
        else
            property[ModelSubscriber.dxSubscription] = subscription;
    }
    _subscribe(model) {
        if (!model.getInfo) {
            return;
        }
        var serializationsInfo = model.getInfo();
        serializationsInfo
            .filter(serializationInfo => !!serializationInfo.modelName)
            .forEach(serializationInfo => {
            var property = model[serializationInfo.propertyName];
            var category = !!serializationInfo['category'] ? serializationInfo['category'] : _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.Data;
            var propertyValue = knockout__WEBPACK_IMPORTED_MODULE_0__.unwrap(property);
            if (Array.isArray(property)) {
                throw new Error('Non-observable arrays are not supported.');
            }
            if (category === _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.NoUpdate)
                return;
            if (Array.isArray(propertyValue) && !property[ModelSubscriber.dxSubscription]) {
                propertyValue.forEach(item => this._subscribe(item));
                const subscription = property.subscribe((arrayChanges) => {
                    arrayChanges.forEach(arrayChange => {
                        var changedStatus = 'unknown';
                        if (arrayChange.status === 'added') {
                            this._subscribe(arrayChange.value);
                            changedStatus = 'added';
                        }
                        if (arrayChange.status === 'deleted') {
                            this._unsubscribe(arrayChange.value);
                            changedStatus = 'deleted';
                        }
                        if (property[ModelSubscriber.dxSubscriptionSuspend] !== true)
                            this._propertyChanged(category, arrayChange.value, serializationInfo.propertyName, changedStatus);
                    });
                }, null, 'arrayChange');
                this._addDisposable(model, subscription, property);
            }
            else if (knockout__WEBPACK_IMPORTED_MODULE_0__.isObservable(property) && !property[ModelSubscriber.dxSubscription]) {
                var getSubscribeHandler = prevModel => model => {
                    if (this._isPropertySerializeModel(prevModel)) {
                        this._unsubscribe(prevModel);
                    }
                    if (this._isPropertySerializeModel(model)) {
                        this._subscribe(model);
                    }
                };
                var subscriberHandler = getSubscribeHandler(propertyValue);
                const subscription = property.subscribe(val => {
                    if (property[ModelSubscriber.dxSubscriptionSuspend] !== true) {
                        this._propertyChanged(category, model, serializationInfo.propertyName, 'changed');
                    }
                    if (category !== _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.NoUpdateByObservableValue) {
                        subscriberHandler(val);
                        subscriberHandler = getSubscribeHandler(val);
                    }
                });
                this._addDisposable(model, subscription, property);
                if (category !== _model_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_1__/* .PropertyCategory */ .Sw.NoUpdateByObservableValue && this._isPropertySerializeModel(propertyValue)) {
                    this._subscribe(propertyValue);
                }
            }
            else if (!knockout__WEBPACK_IMPORTED_MODULE_0__.isObservable(property) && this._isPropertySerializeModel(propertyValue)) {
                this._subscribe(propertyValue);
            }
        });
    }
    _propertyChanged(category, model, propertyName, status) {
        this.handlers.forEach(handler => handler(category, model, propertyName, status));
    }
    registerHandler(handler) {
        this.handlers.push(handler);
    }
    _isPropertySerializeModel(propertyValue) {
        return propertyValue && propertyValue['getInfo'];
    }
    dispose() {
        this._unsubscribe(this._model);
    }
}
ModelSubscriber.dxSubscription = '__dx_notifier_subscription';
ModelSubscriber.dxSubscriptionSuspend = '__dx_notifier_subscription_suspend';


/***/ }),

/***/ 9045:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ ColorStyleSettings)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5419);
/* harmony import */ var _metadata_color_style_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4162);
/* harmony import */ var _style_settings_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2265);




class ColorStyleSettings extends _style_settings_base__WEBPACK_IMPORTED_MODULE_3__/* .StyleSettingsBase */ .S {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_color_style_settings__WEBPACK_IMPORTED_MODULE_2__/* .colorStyleSettingsSerializationsInfo */ .Fm;
    }
    equals(style) {
        return (style instanceof ColorStyleSettings) &&
            this.predefinedColor() === style.predefinedColor() &&
            _color__WEBPACK_IMPORTED_MODULE_1__/* .Color */ .Q.equals(this.color(), style.color());
    }
    clone() {
        var style = new ColorStyleSettings({});
        style.predefinedColor(this.predefinedColor());
        style.color(this.color());
        return style;
    }
    setSpecificType(type) {
        this.predefinedColor(type);
    }
    init() {
        this.predefinedColor('Red');
    }
}


/***/ }),

/***/ 9075:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ FormatConditionBarOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6968);



class FormatConditionBarOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_format_condition_bar_options__WEBPACK_IMPORTED_MODULE_2__/* .formatConditionBarOptionsSerializationsInfo */ .b_;
    }
}


/***/ }),

/***/ 9077:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B4: () => (/* binding */ tilesLabelContentType),
/* harmony export */   CC: () => (/* binding */ layoutAlgorithm),
/* harmony export */   LB: () => (/* binding */ treemapDashboardItemSerializationsInfo),
/* harmony export */   YS: () => (/* binding */ treeMapArgumentsMeta),
/* harmony export */   Yg: () => (/* binding */ tilesTooltipContentType),
/* harmony export */   _M: () => (/* binding */ layoutDirection),
/* harmony export */   ab: () => (/* binding */ groupsLabelContentType),
/* harmony export */   tQ: () => (/* binding */ groupsTooltipContentType),
/* harmony export */   tZ: () => (/* binding */ treeMapvalues)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6157);
/* harmony import */ var _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9282);
/* harmony import */ var _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1965);




let treeMapvalues = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .valuesPropertyName */ .Dn, modelName: 'Values', displayName: 'DashboardWebStringId.Binding.Values', array: true };
let treeMapArgumentsMeta = { propertyName: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .argumentsPropertyName */ .zv, modelName: 'Arguments', array: true };
let layoutAlgorithm = {
    propertyName: 'layoutAlgorithm', modelName: '@LayoutAlgorithm', displayName: 'DashboardWebStringId.TreemapLayoutAlgorithm', defaultVal: 'Squarified', simpleFormAdapterItem: 'listEditor', values: {
        'SliceAndDice': 'DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm',
        'Squarified': 'DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm',
        'Striped': 'DashboardWebStringId.Treemap.StripedLayoutAlgorithm'
    }
};
let layoutDirection = {
    propertyName: 'layoutDirection', modelName: '@LayoutDirection', displayName: 'DashboardWebStringId.Treemap.LayoutDirection', defaultVal: 'TopLeftToBottomRight', simpleFormAdapterItem: 'listEditor', values: {
        'BottomLeftToTopRight': 'DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection',
        'BottomRightToTopLeft': 'DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection',
        'TopLeftToBottomRight': 'DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection',
        'TopRightToBottomLeft': 'DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection'
    }
};
let tilesLabelContentType = {
    propertyName: 'tilesLabelContentType', modelName: '@TilesLabelContentType', displayName: 'DashboardWebStringId.TilesLabelContentType', defaultVal: 'Argument', simpleFormAdapterItem: 'listEditor', values: {
        'None': 'DashboardWebStringId.Treemap.TileLabelsNone',
        'Argument': 'DashboardWebStringId.Treemap.TileLabelsArgument',
        'Value': 'DashboardWebStringId.Treemap.TileLabelsValue',
        'ArgumentAndValue': 'DashboardWebStringId.Treemap.TileLabelsArgumentAndValue'
    }
};
let tilesTooltipContentType = {
    propertyName: 'tilesTooltipContentType', modelName: '@TilesTooltipContentType', displayName: 'DashboardWebStringId.TilesTooltipContentType', defaultVal: 'ArgumentAndValue', simpleFormAdapterItem: 'listEditor', values: {
        'None': 'DashboardWebStringId.Treemap.TileTooltipsNone',
        'Argument': 'DashboardWebStringId.Treemap.TileTooltipsArgument',
        'Value': 'DashboardWebStringId.Treemap.TileTooltipsValue',
        'ArgumentAndValue': 'DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue'
    }
};
let groupsLabelContentType = {
    propertyName: 'groupsLabelContentType', modelName: '@GroupsLabelContentType', displayName: 'DashboardWebStringId.GroupsLabelContentType', defaultVal: 'Argument', simpleFormAdapterItem: 'listEditor', values: {
        'None': 'DashboardWebStringId.Treemap.GroupLabelsNone',
        'Argument': 'DashboardWebStringId.Treemap.GroupLabelsArgument',
        'Value': 'DashboardWebStringId.Treemap.GroupLabelsValue',
        'ArgumentAndValue': 'DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue'
    }
};
let groupsTooltipContentType = {
    propertyName: 'groupsTooltipContentType', modelName: '@GroupsTooltipContentType', displayName: 'DashboardWebStringId.GroupsTooltipContentType', defaultVal: 'ArgumentAndValue', simpleFormAdapterItem: 'listEditor', values: {
        'None': 'DashboardWebStringId.Treemap.GroupTooltipsNone',
        'Argument': 'DashboardWebStringId.Treemap.GroupTooltipsArgument',
        'Value': 'DashboardWebStringId.Treemap.GroupTooltipsValue',
        'ArgumentAndValue': 'DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue'
    }
};
let treemapDashboardItemSerializationsInfo = _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dataDashboardItemSerializationsInfo */ .LH.concat([treeMapvalues, treeMapArgumentsMeta, layoutAlgorithm, layoutDirection, tilesLabelContentType, tilesTooltipContentType, groupsLabelContentType, groupsTooltipContentType, _options_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* ._dashboardItemInteractivityOptionsMeta */ .FF, _options_metadata_coloring_options__WEBPACK_IMPORTED_MODULE_3__/* .coloringOptions */ .k]);


/***/ }),

/***/ 9113:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U: () => (/* binding */ ObjectPropertiesWrapper)
/* harmony export */ });
/* harmony import */ var devextreme_data_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1702);
/* harmony import */ var devextreme_data_query__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(devextreme_data_query__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);


class ObjectPropertiesWrapper {
    constructor(options) {
        this._serializationInfo = [];
        this.isPropertyVisible = (name) => {
            if (!this._serializationInfo.filter(i => i.propertyName === name)[0]) {
                throw new Error('unknown property');
            }
            var result = true;
            var propertyFilter = this.visibilityFilterRules[name];
            if (propertyFilter) {
                result = !!devextreme_data_query__WEBPACK_IMPORTED_MODULE_0___default()([this]).filter(propertyFilter).toArray().length;
            }
            return result;
        };
        this.isPropertyDisabled = (name) => {
            if (!this._serializationInfo.filter(i => i.propertyName === name)[0]) {
                throw new Error('unknown property');
            }
            var result = false;
            var propertyFilter = this.disabledFilterRules[name];
            if (propertyFilter) {
                result = !!devextreme_data_query__WEBPACK_IMPORTED_MODULE_0___default()([this]).filter(propertyFilter).toArray().length;
            }
            return result;
        };
        this.getDynamicEditor = (name) => {
            if (!this._serializationInfo.filter(i => i.propertyName === name)[0]) {
                throw new Error('unknown property');
            }
            return this.dynamicEditorRules[name] && this.dynamicEditorRules[name](this.model) || null;
        };
        this.model = options.model;
        this.visibilityFilterRules = options.visibilityFilterRules || {};
        this.disabledFilterRules = options.disabledFilterRules || {};
        this.dynamicEditorRules = options.dynamicEditorRules || {};
        this._modelSubscriptions = options.disposableModelSubscriptions || [];
        this.summary = options.summary;
        this.getPropertiesFromContainer(this.model, options.properties);
        if (options.modelExtention) {
            this.getPropertiesFromContainer(options.modelExtention, options.properties);
        }
        if (options.properties.length === 0) {
            this.model['getInfo']().forEach(propertyInfo => {
                this._assignPropertyCore(this.model[propertyInfo.propertyName], propertyInfo);
            });
        }
    }
    getPropertiesFromContainer(cur, properties) {
        properties.forEach((propertyInfo) => {
            if (propertyInfo['container']) {
                var containerObject = knockout__WEBPACK_IMPORTED_MODULE_1__.unwrap(cur[propertyInfo['container'].propertyName]);
                if (!!containerObject) {
                    this.getPropertiesFromContainer(containerObject, propertyInfo['properties']);
                }
            }
            else {
                var sourcePropertyName = propertyInfo.propertyName, targetPropertyName = propertyInfo.replacementPropertyName || sourcePropertyName;
                if (cur[sourcePropertyName]) {
                    var serializationInfo = sourcePropertyName !== targetPropertyName ? { ...propertyInfo, propertyName: targetPropertyName } : propertyInfo;
                    this._assignPropertyCore((propertyInfo.sourceObject || cur[sourcePropertyName]), serializationInfo);
                }
            }
        });
    }
    assignValidationPovider(validationProvider) {
        this._validationProvider = validationProvider;
    }
    _assignPropertyCore(propertyObject, info) {
        if (info.validateBeforeSet === true && knockout__WEBPACK_IMPORTED_MODULE_1__.isObservable(propertyObject)) {
            this[info.propertyName] = knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
                read: () => propertyObject(),
                write: (value) => {
                    if (this._validationProvider) {
                        var validateResult = this._validationProvider.validate();
                        if (validateResult.status === 'valid') {
                            propertyObject(value);
                        }
                    }
                    else {
                        propertyObject(value);
                    }
                }
            });
            this._modelSubscriptions.push(this[info.propertyName]);
        }
        else {
            this[info.propertyName] = propertyObject;
        }
        this._serializationInfo.push(info);
    }
    addProperty(propertyValue, info) {
        this._assignPropertyCore(propertyValue, info);
    }
    getInfo() {
        return this._serializationInfo;
    }
    isEmpty() {
        if (this._serializationInfo.length !== 0) {
            let everythingIsInvisible = true;
            this._serializationInfo.forEach(i => {
                if (this.isPropertyVisible(i.propertyName))
                    everythingIsInvisible = false;
            });
            return everythingIsInvisible;
        }
        return true;
    }
    unbindModel() {
        this._modelSubscriptions.forEach(disposable => disposable.dispose());
        this._modelSubscriptions = [];
    }
}


/***/ }),

/***/ 9167:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $T: () => (/* binding */ getDefaultLocalization),
/* harmony export */   HH: () => (/* binding */ tryLocalize),
/* harmony export */   Mu: () => (/* binding */ getLocalizationById),
/* harmony export */   QI: () => (/* binding */ formatLocalizable),
/* harmony export */   pB: () => (/* binding */ defaultLocalization)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1__);


const defaultLocalization = {
    'DashboardStringId.ActionClearMasterFilter': 'Clear Master Filter',
    'DashboardStringId.ActionClearSelection': 'Clear Selection',
    'DashboardStringId.ActionOtherValues': 'Values',
    'DashboardStringId.ActionDrillUp': 'Drill Up',
    'DashboardStringId.ActionExportTo': 'Export To',
    'DashboardStringId.ActionExportToPdf': 'Export To PDF',
    'DashboardStringId.ActionExportToImage': 'Export To Image',
    'DashboardStringId.ActionExportToExcel': 'Export To Excel',
    'DashboardStringId.RangeFilterCustomDateTimePeriod': 'Custom Period',
    'DashboardStringId.ActionExportTemplate': '{0} - {1}',
    'DashboardStringId.ActionAllowMultiselection': 'Multi-Select',
    'DashboardStringId.DashboardNullValue': ' ',
    'DashboardStringId.TopNOthersValue': 'Others',
    'DashboardStringId.DashboardErrorValue': 'Error',
    'DashboardStringId.DateTimeQuarterFormat': 'Q{0}',
    'DashboardStringId.MessageLoading': 'Loading...',
    'DashboardStringId.ParametersFormCaption': 'Dashboard Parameters',
    'DashboardStringId.ParametersSelectorText': 'Select...',
    'DashboardStringId.ParametersFormAllowNullColumnCaption': 'Pass Null',
    'DashboardStringId.ParametersFormValueColumnCaption': 'Value',
    'DashboardStringId.ParametersFormNameColumnCaption': 'Parameter Name',
    'DashboardStringId.ButtonOK': 'OK',
    'DashboardStringId.ButtonCancel': 'Cancel',
    'DashboardStringId.SelectDate': 'Select date',
    'DashboardStringId.ButtonReset': 'Reset',
    'DashboardStringId.ButtonSubmit': 'Submit',
    'DashboardStringId.ButtonApply': 'Apply',
    'DashboardStringId.ButtonExport': 'Export',
    'DashboardStringId.GridResetColumnWidths': 'Reset column widths',
    'DashboardStringId.GridSortAscending': 'Sort Ascending',
    'DashboardStringId.GridSortDescending': 'Sort Descending',
    'DashboardStringId.GridClearSorting': 'Clear Sorting',
    'DashboardStringId.PivotGridTotal': '{0} Total',
    'DashboardStringId.PivotGridGrandTotal': 'Grand Total',
    'DashboardStringId.ChartTotalValue': 'Total',
    'DashboardStringId.PageLayout': 'Page Layout',
    'DashboardStringId.PageLayoutAuto': 'Auto',
    'DashboardStringId.PageLayoutPortrait': 'Portrait',
    'DashboardStringId.PageLayoutLandscape': 'Landscape',
    'DashboardStringId.PaperKind': 'Size',
    'DashboardStringId.PaperKindLetter': 'Letter',
    'DashboardStringId.PaperKindLegal': 'Legal',
    'DashboardStringId.PaperKindExecutive': 'Executive',
    'DashboardStringId.PaperKindA5': 'A5',
    'DashboardStringId.PaperKindA4': 'A4',
    'DashboardStringId.PaperKindA3': 'A3',
    'DashboardStringId.ScaleMode': 'Scale Mode',
    'DashboardStringId.ScaleModeNone': 'None',
    'DashboardStringId.ScaleModeUseScaleFactor': 'Use Scale Factor',
    'DashboardStringId.ScaleModeAutoFitToPagesWidth': 'Auto Fit to Pages Width',
    'DashboardStringId.AutoFitPageCount': 'Auto Fit Page Count',
    'DashboardStringId.ScaleFactor': 'Scale Factor',
    'DashboardStringId.PrintHeadersOnEveryPage': 'Print Headers on Every Page',
    'DashboardStringId.FitToPageWidth': 'Fit to Page Width',
    'DashboardStringId.SizeMode': 'Size Mode',
    'DashboardStringId.SizeModeNone': 'None',
    'DashboardStringId.SizeModeStretch': 'Stretch',
    'DashboardStringId.SizeModeZoom': 'Zoom',
    'DashboardStringId.AutoArrangeContent': 'Auto Arrange Content',
    'DashboardStringId.ImageFormat': 'Image Format',
    'DashboardStringId.ExcelFormat': 'ExcelFormat',
    'DashboardStringId.CsvValueSeparator': 'Separator',
    'DashboardStringId.ExportFilters': 'Export Filters',
    'DashboardStringId.ExportParameters': 'Export Parameters',
    'DashboardStringId.DashboardStatePosition': 'Dashboard State',
    'DashboardStringId.Resolution': 'Resolution (dpi)',
    'DashboardStringId.ShowTitle': 'Show Title',
    'DashboardStringId.Title': 'Title',
    'DashboardStringId.FileName': 'File Name',
    'DashboardStringId.FilterStatePresentationAfter': 'Below',
    'DashboardStringId.FilterStatePresentationAfterAndSplitPage': 'Separate Page',
    'DashboardStringId.FilterStatePresentationSplitSheet': 'Separate Sheet',
    'DashboardStringId.MessageCustomItemIsNotSupported': 'The custom item is not supported by this control.',
    'DashboardStringId.MessageGridHasNoData': 'The grid has no data.',
    'DashboardStringId.MessagePivotHasNoData': 'The pivot grid has no data.',
    'DashboardStringId.SparklineTooltipStartValue': 'Start:',
    'DashboardStringId.SparklineTooltipEndValue': 'End:',
    'DashboardStringId.SparklineTooltipMinValue': 'Min:',
    'DashboardStringId.SparklineTooltipMaxValue': 'Max:',
    'DashboardStringId.OpenCaption': 'Open',
    'DashboardStringId.HighCaption': 'High',
    'DashboardStringId.LowCaption': 'Low',
    'DashboardStringId.CloseCaption': 'Close',
    'DashboardStringId.InitialExtent': 'Initial Extent',
    'DashboardStringId.FilterElementShowAllItem': '(All)',
    'DashboardStringId.NumericFormatUnitSymbolThousands': 'K',
    'DashboardStringId.NumericFormatUnitSymbolMillions': 'M',
    'DashboardStringId.NumericFormatUnitSymbolBillions': 'B',
    'DashboardStringId.ActionSelectDateTimePeriod': 'Select Date Time Period',
    'DashboardStringId.RangeFilterSelectRange': 'Select Range',
    'DashboardStringId.FilterElementCheckedComboBoxNoDataCaption': '(none)',
    'DashboardStringId.FilterElementRadioComboBoxNoDataCaption': 'Select...',
    'DashboardStringId.FilterElementNoDataToDisplay': 'No data to display',
    'DashboardWebStringId.FilterElementCheckedComboBoxSelected': '{0} selected',
    'DashboardStringId.RangeFilterSelectRangeFromCaption': 'From:',
    'DashboardStringId.RangeFilterSelectRangeToCaption': 'To:',
    'DashboardWebStringId.DashboardParameters': 'Parameters',
    'DashboardStringId.DataSourceDataMember': 'Data Member',
    'DashboardStringId.DescriptionMeasures': 'Measures',
    'DashboardWebStringId.TextBoxFormatText': 'Format',
    'DashboardStringId.NumericFormatUnitCaption': 'Unit',
    'DashboardWebStringId.SummaryType': 'Summary Type',
    'DashboardStringId.CalculationTypeExpression': 'Expression',
    'DevExpressWebStringId.CalculatedFieldDataType': 'DataType',
    'DashboardStringId.ValueCaption': 'Value',
    'DashboardStringId.Value1Caption': 'Value 1',
    'DashboardStringId.Value2Caption': 'Value 2',
    'DashboardStringId.CommandFormatRuleTopBottom': 'Top/Bottom',
    'DashboardStringId.CommandFormatRuleAboveBelowAverage': 'Average',
    'DashboardStringId.CommandFormatRuleBar': 'Bar',
    'DashboardStringId.CommandFormatRuleColorRangeBar': 'Color Range Bar',
    'DashboardStringId.CommandFormatRuleGradientRangeBar': 'Bar Gradient Ranges',
    'DashboardStringId.FormatRuleStyleAppearance': 'Appearance',
    'DashboardStringId.FormatRuleStyleIcons': 'Icons',
    'DashboardStringId.FormatRuleNegativeStyle': 'NegativeStyleSettings',
    'DashboardStringId.CommandFormatRuleExpression': 'Expression',
    'DashboardWebStringId.TopNMode': 'Mode',
    'DashboardStringId.CommandFormatRuleRangeSet': 'Range Set',
    'DashboardStringId.CommandFormatRuleRangeSetRanges2': 'Ranges 2',
    'DashboardStringId.CommandFormatRuleRangeSetRanges3': 'Ranges 3',
    'DashboardStringId.CommandFormatRuleRangeSetRanges4': 'Ranges 4',
    'DashboardStringId.CommandFormatRuleRangeSetRanges5': 'Ranges 5',
    'DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges': '2 Color Gradient Ranges',
    'DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges': '3 Color Gradient Ranges',
    'DashboardStringId.CommandFormatRuleValue': 'Value',
    'DashboardStringId.CommandFormatRuleDateOccurring': 'A Date Occurring',
    'DashboardWebStringId.ConditionalFormatting.Appearance.BackColor': 'Background color',
    'DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor': 'Text color',
    'DashboardStringId.DescriptionBoundImageAttribute': 'Attribute',
    'DashboardWebStringId.ShowCaptionText': 'Show Caption',
    'DashboardWebStringId.DisplayItemAsPage': 'Display Item as Page',
    'DashboardStringId.DefaultNameItemGroup': 'Group',
    'DashboardStringId.DefaultNameTabContainerItem': 'Tab Container',
    'DashboardStringId.DefaultDataSourceName': 'Data Source',
    'DashboardWebStringId.CrossDataSourceFiltering': 'Cross-Data-Source Filtering',
    'DashboardStringId.RangeFilterCalculationAlongSeries': 'Series',
    'DashboardStringId.RangeFilterCalculationAlongArgument': 'Argument',
    'DashboardStringId.DescriptionItemSeries': 'Series',
    'DashboardStringId.DescriptionSeries': 'Series',
    'DashboardWebStringId.Chart.SeriesType': 'Series Type',
    'DashboardStringId.DescriptionDimensions': 'Dimensions',
    'DashboardWebStringId.TreeView.AutoExpand': 'AutoExpand',
    'DashboardWebStringId.ConditionalFormatting.ConditionMinimum': 'Minimum',
    'DashboardWebStringId.ConditionalFormatting.ConditionMaximum': 'Maximum',
    'DashboardStringId.DescriptionItemDimension': 'Dimension',
    'DashboardStringId.DescriptionItemMeasure': 'Measure',
    'DashboardWebStringId.Grid.MergeCells': 'Merge Cells',
    'DashboardWebStringId.Grid.ColumnWidthMode': 'Column Width Mode',
    'DashboardWebStringId.Grid.BandedRows': 'Banded Rows',
    'DashboardWebStringId.Grid.VerticalLines': 'Vertical Lines',
    'DashboardWebStringId.Grid.HorizontalLines': 'Horizontal Lines',
    'DashboardWebStringId.Grid.ColumnHeaders': 'Column Headers',
    'DashboardWebStringId.Grid.WordWrap': 'Word Wrap',
    'DashboardWebStringId.Grid.ShowFilterRow': 'Filter Row',
    'DashboardWebStringId.Grid.UpdateTotals': 'Update Totals',
    'DashboardWebStringId.Grid.GridColumnFilter': 'Column Filter',
    'DashboardStringId.ActualValueCaption': 'Actual',
    'DashboardStringId.TargetValueCaption': 'Target',
    'DashboardStringId.UriPatternCaption': 'Uri Pattern',
    'DashboardStringId.UriCaption': 'Uri',
    'DashboardStringId.DisplayValueCaption': 'Display Value',
    'DashboardStringId.WeightCaption': 'Weight',
    'DashboardStringId.DescriptionItemColor': 'Color',
    'DashboardStringId.Latitude': 'Latitude',
    'DashboardStringId.Longitude': 'Longitude',
    'DashboardWebStringId.GeoPointMapClusterization': 'Enable Clustering',
    'DashboardWebStringId.MapLockNavigation': 'Navigation',
    'DashboardWebStringId.WeightedLegendGalleryGroup': 'Position',
    'DashboardStringId.DescriptionItemArgument': 'Argument',
    'DashboardWebStringId.PieMapIsWeighted': 'Weighted Pies',
    'DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters': 'Ignore Master Filters',
    'DashboardWebStringId.InteractivityOptions.DrillDown': 'Drill Down',
    'DashboardWebStringId.Pie.ShowCaptions': 'Show Pie Captions',
    'DashboardStringId.DescriptionColumns': 'Columns',
    'DashboardStringId.DescriptionRows': 'Rows',
    'DashboardStringId.DescriptionValues': 'Values',
    'DashboardStringId.DescriptionArguments': 'Arguments',
    'DashboardStringId.TextGroupIntervalAlphabetical': 'Alphabetical',
    'DashboardStringId.ActionMaximizeDashboardItem': 'Maximize',
    'DashboardStringId.ActionRestoreDashboardItem': 'Restore Down',
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource': 'Data Source',
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember': 'Data Member',
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember': 'Value Member',
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember': 'Display Member',
    'DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder': 'Sort Order',
    'DevExpress.DashboardCommon.DashboardParameter.Visible': 'Visible',
    'DevExpress.DashboardCommon.DashboardParameter.Description': 'Description',
    'DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect': 'Allow Multiselect',
    'DevExpress.DashboardCommon.DashboardParameter.AllowNull': 'Allow Null',
    'DevExpress.DashboardCommon.DashboardParameter.SelectAllValues': 'Select All Values',
    'DevExpress.DashboardCommon.StaticListLookUpSettings.Values': 'Values',
    'DevExpress.DashboardCommon.DimensionSortOrder.Ascending': 'Ascending',
    'DevExpress.DashboardCommon.DimensionSortOrder.Descending': 'Descending',
    'DevExpress.DashboardCommon.DimensionSortOrder.None': 'None',
    'DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions': 'Point Labels',
    'DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute': 'Shape Labels',
    'DashboardStringId.CommandFormatRuleTopN': 'Top N',
    'DashboardWebStringId.Type': 'Type',
    'DashboardWebStringId.Grid.ColumnWidth': 'Column Width',
    'DashboardWebStringId.AccordionTab.ShowTotals': 'Totals',
    'DashboardWebStringId.AccordionTab.Layout': 'Layout',
    'DashboardWebStringId.AccordionTab.PivotInitialState': 'Initial State',
    'DashboardWebStringId.AccordionTab.ImageOptions': 'Options',
    'DashboardWebStringId.AccordionTab.Labels': 'Labels',
    'DashboardWebStringId.AccordionTab.MapLegend': 'Color Legend',
    'DashboardWebStringId.AccordionTab.WeightedLegend': 'Weighted Legend',
    'DashboardWebStringId.AccordionTab.Common': 'Common',
    'DashboardWebStringId.AccordionTab.ChartLegend': 'Legend',
    'DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode': 'AutoFit To Content',
    'DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode': 'AutoFitToGrid',
    'DashboardWebStringId.Grid.ManualGridColumnWidthMode': 'Manual',
    'DashboardStringId.DateTimeIntervalYear': 'Year',
    'DashboardStringId.DateTimeIntervalQuarter': 'Quarter',
    'DashboardStringId.DateTimeIntervalMonth': 'Month',
    'DashboardStringId.DateTimeIntervalWeek': 'Week',
    'DashboardStringId.DateTimeIntervalDay': 'Day',
    'DashboardStringId.DateTimeIntervalHour': 'Hour',
    'DashboardStringId.DateTimeIntervalMinute': 'Minute',
    'DashboardStringId.DateTimeIntervalSecond': 'Second',
    'DashboardStringId.DateTimeGroupIntervalYear': 'Year',
    'DashboardStringId.DateTimeGroupIntervalQuarter': 'Quarter',
    'DashboardStringId.DateTimeGroupIntervalMonth': 'Month',
    'DashboardStringId.DateTimeGroupIntervalDay': 'Day',
    'DashboardStringId.DateTimeGroupIntervalHour': 'Hour',
    'DashboardStringId.DateTimeGroupIntervalMinute': 'Minute',
    'DashboardStringId.DateTimeGroupIntervalSecond': 'Second',
    'DashboardStringId.DateTimeGroupIntervalDayOfYear': 'Day Of Year',
    'DashboardStringId.DateTimeGroupIntervalDayOfWeek': 'Day Of Week',
    'DashboardStringId.DateTimeGroupIntervalWeekOfYear': 'Week Of Year',
    'DashboardStringId.DateTimeGroupIntervalWeekOfMonth': 'Week Of Month',
    'DashboardStringId.DateTimeGroupIntervalMonthYear': 'Month-Year',
    'DashboardStringId.DateTimeGroupIntervalQuarterYear': 'Quarter-Year',
    'DashboardStringId.DateTimeGroupIntervalWeekYear': 'Week-Year',
    'DashboardStringId.DateTimeGroupIntervalDayMonthYear': 'Day-Month-Year',
    'DashboardStringId.DateTimeGroupIntervalDateHour': 'Date-Hour',
    'DashboardStringId.DateTimeGroupIntervalDateHourMinute': 'Date-Hour-Minute',
    'DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond': 'Date-Hour-Minute-Second',
    'DashboardStringId.DateTimeGroupIntervalExactDate': 'Exact Date',
    'DashboardStringId.GroupIntervalNone': 'No Grouping',
    'DashboardWebStringId.Treemap.StripedLayoutAlgorithm': 'Striped',
    'DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm': 'Squarified',
    'DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm': 'Slice and Dice',
    'DashboardWebStringId.Treemap.TileLabelsArgumentAndValue': 'Argument and Value',
    'DashboardWebStringId.Treemap.TileLabelsNone': 'None',
    'DashboardWebStringId.Treemap.TileLabelsValue': 'Value',
    'DashboardWebStringId.Treemap.TileLabelsArgument': 'Argument',
    'DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue': 'Argument and Value',
    'DashboardWebStringId.Treemap.TileTooltipsArgument': 'Argument',
    'DashboardWebStringId.Treemap.TileTooltipsValue': 'Value',
    'DashboardWebStringId.Treemap.TileTooltipsNone': 'None',
    'DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection': 'Top Left To Bottom Right',
    'DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection': 'Top Right To Bottom Left',
    'DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection': 'Bottom Left To Top Right',
    'DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection': 'Bottom Right To Top Left',
    'DashboardWebStringId.Treemap.LayoutDirection': 'Layout Direction',
    'DashboardWebStringId.Treemap.GroupLabelsNone': 'None',
    'DashboardWebStringId.Treemap.GroupLabelsArgument': 'Argument',
    'DashboardWebStringId.Treemap.GroupLabelsValue': 'Value',
    'DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue': 'Argument and Value',
    'DashboardWebStringId.Treemap.GroupTooltipsNone': 'None',
    'DashboardWebStringId.Treemap.GroupTooltipsArgument': 'Argument',
    'DashboardWebStringId.Treemap.GroupTooltipsValue': 'Value',
    'DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue': 'Argument and Value',
    'DashboardStringId.RankOrderAscending': 'Ascending',
    'DashboardStringId.RankOrderDescending': 'Descending',
    'DashboardStringId.DateTimeFormatYearFormatDefaultCaption': 'Default',
    'DashboardStringId.DateTimeFormatYearFormatFullCaption': 'Full',
    'DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption': 'Abbreviated',
    'DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption': 'Default',
    'DashboardStringId.DateTimeFormatQuarterFormatNumericCaption': 'Numeric',
    'DashboardStringId.DateTimeFormatQuarterFormatFullCaption': 'Full',
    'DashboardStringId.DateTimeFormatMonthFormatDefaultCaption': 'Default',
    'DashboardStringId.DateTimeFormatMonthFormatFullCaption': 'Full',
    'DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption': 'Abbreviated',
    'DashboardStringId.DateTimeFormatMonthFormatNumericCaption': 'Numeric',
    'DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption': 'Default',
    'DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption': 'Full',
    'DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption': 'Abbreviated',
    'DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption': 'Numeric',
    'DashboardStringId.DateTimeFormatDateFormatDefaultCaption': 'Default',
    'DashboardStringId.DateTimeFormatDateFormatLongCaption': 'Long',
    'DashboardStringId.DateTimeFormatDateFormatShortCaption': 'Short',
    'DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption': 'Default',
    'DashboardStringId.DateTimeFormatDateTimeFormatLongCaption': 'Long',
    'DashboardStringId.DateTimeFormatDateTimeFormatShortCaption': 'Short',
    'DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption': 'TimeOnly',
    'DashboardStringId.ExactDateFormatYear': 'Year',
    'DashboardStringId.ExactDateFormatQuarter': 'Quarter',
    'DashboardStringId.ExactDateFormatMonth': 'Month',
    'DashboardStringId.ExactDateFormatDay': 'Day',
    'DashboardStringId.ExactDateFormatHour': 'Hour',
    'DashboardStringId.ExactDateFormatMinute': 'Minute',
    'DashboardStringId.ExactDateFormatSecond': 'Second',
    'DashboardWebStringId.FormatType': 'Format Type',
    'DashboardWebStringId.TopN.Top': 'Top',
    'DashboardWebStringId.TopN.Bottom': 'Bottom',
    'DashboardWebStringId.DimensionSortBy': 'Sort by',
    'DashboardStringId.NumericFormatUnitAutoCaption': 'Auto',
    'DashboardStringId.NumericFormatFormatTypeAutoCaption': 'Auto',
    'DashboardStringId.NumericFormatFormatTypeGeneralCaption': 'General',
    'DashboardStringId.NumericFormatFormatTypeNumberCaption': 'Number',
    'DashboardStringId.NumericFormatFormatTypeCurrencyCaption': 'Currency',
    'DashboardStringId.NumericFormatFormatTypeScientificCaption': 'Scientific',
    'DashboardStringId.NumericFormatFormatTypePercentCaption': 'Percent',
    'DashboardStringId.NumericFormatUnitOnesCaption': 'Ones',
    'DashboardStringId.NumericFormatUnitThousandsCaption': 'Thousands',
    'DashboardStringId.NumericFormatUnitMillionsCaption': 'Millions',
    'DashboardStringId.NumericFormatUnitBillionsCaption': 'Billions',
    'DashboardStringId.DeltaValueTypeActualValueCaption': 'Actual Value',
    'DashboardStringId.DeltaValueTypeAbsoluteVariationCaption': 'Absolute Variation',
    'DashboardStringId.DeltaValueTypePercentVariationCaption': 'Percent Variation',
    'DashboardStringId.DeltaValueTypePercentOfTargetCaption': 'Percent Of Target',
    'DashboardStringId.DeltaValueTypeTargetValueCaption': 'Target Value',
    'DashboardStringId.GaugeScaleLabelFormatCaption': 'Scale Label',
    'DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption': 'Greater Is Good',
    'DashboardStringId.DeltaIndicationModeLessIsGoodCaption': 'Less Is Good',
    'DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption': 'Warning If Greater',
    'DashboardStringId.DeltaIndicationModeWarningIfLessCaption': 'Warning If Less',
    'DashboardStringId.DeltaIndicationModeNoIndicationCaption': 'No Indication',
    'DashboardStringId.DeltaThresholdTypeAbsolute': 'Absolute',
    'DashboardStringId.DeltaThresholdTypePercent': 'Percent',
    'DashboardStringId.CommandDimensionGroupChildValues': 'Group Tiles',
    'DashboardStringId.SeriesTypeBar': 'Bar',
    'DashboardStringId.SeriesTypeStackedBar': 'Stacked Bar',
    'DashboardStringId.SeriesTypeFullStackedBar': 'Full Stacked Bar',
    'DashboardStringId.SeriesTypePoint': 'Point',
    'DashboardStringId.SeriesTypeLine': 'Line',
    'DashboardStringId.SeriesTypeStackedLine': 'Stacked Line',
    'DashboardStringId.SeriesTypeFullStackedLine': 'Full Stacked Line',
    'DashboardStringId.SeriesTypeStepLine': 'Step Line',
    'DashboardStringId.SeriesTypeSpline': 'Spline',
    'DashboardStringId.SeriesTypeArea': 'Area',
    'DashboardStringId.SeriesTypeStackedArea': 'Stacked Area',
    'DashboardStringId.SeriesTypeFullStackedArea': 'Full Stacked Area',
    'DashboardStringId.SeriesTypeStepArea': 'Step Area',
    'DashboardStringId.SeriesTypeSplineArea': 'Spline Area',
    'DashboardStringId.SeriesTypeStackedSplineArea': 'Stacked Spline Area',
    'DashboardStringId.SeriesTypeFullStackedSplineArea': 'Full Stacked Spline Area',
    'DashboardWebStringId.Chart.ShowLegend': 'Show Legend',
    'DashboardStringId.DefaultNameBoundImageItem': 'Bound Image',
    'DashboardStringId.DefaultNameImageItem': 'Image',
    'DashboardStringId.DefaultNameTextBoxItem': 'Text Box',
    'DashboardStringId.DefaultNameCardItem': 'Cards',
    'DashboardStringId.DefaultNameChartItem': 'Chart',
    'DashboardStringId.DefaultNameComboBoxItem': 'Combo Box',
    'DashboardStringId.DefaultNameListBoxItem': 'List Box',
    'DashboardStringId.DefaultNameTreeViewItem': 'Tree View',
    'DashboardStringId.DefaultNameGaugeItem': 'Gauges',
    'DashboardStringId.DefaultNameGridItem': 'Grid',
    'DashboardStringId.GridHyperlinkUriPatternErrorMessage': 'Invalid placeholder',
    'DashboardWebStringId.DefaultNameBubbleMapItem': 'Bubble Map',
    'DashboardWebStringId.DefaultNameChoroplethMapItem': 'Choropleth Map',
    'DashboardWebStringId.DefaultNameGeoPointMapItem': 'Geo Point Map',
    'DashboardWebStringId.DefaultNamePieMapItem': 'Pie Map',
    'DashboardStringId.DefaultNamePieItem': 'Pies',
    'DashboardStringId.DefaultNamePivotItem': 'Pivot',
    'DashboardStringId.DefaultNameRangeFilterItem': 'Range Filter',
    'DashboardStringId.DefaultNameScatterChartItem': 'Scatter Chart',
    'DashboardStringId.DefaultNameTreemapItem': 'Treemap',
    'DashboardStringId.DescriptionMaps': 'Maps',
    'DashboardStringId.EntireRangePeriodCaption': 'Entire Range',
    'DashboardStringId.CalculationTypePercentOfTotal': 'Percent Of Total',
    'DashboardStringId.CalculationTypeDifference': 'Difference',
    'DashboardStringId.CalculationTypePercentageDifference': 'Percentage Difference',
    'DashboardStringId.CalculationTypeRunningTotal': 'Running Total',
    'DashboardStringId.CalculationTypeMovingCalculation': 'Moving Calculation',
    'DashboardStringId.CalculationTypeRank': 'Rank',
    'DashboardStringId.ColorPaletteIndex': 'Palette Index',
    'DashboardStringId.DifferenceCalculationTargetPrevious': 'Previous',
    'DashboardStringId.DifferenceCalculationTargetNext': 'Next',
    'DashboardStringId.DifferenceCalculationTargetFirst': 'First',
    'DashboardStringId.DifferenceCalculationTargetLast': 'Last',
    'DashboardStringId.SummaryTypeCount': 'Count',
    'DashboardStringId.SummaryTypeSum': 'Sum',
    'DashboardStringId.SummaryTypeMin': 'Min',
    'DashboardStringId.SummaryTypeMax': 'Max',
    'DashboardStringId.SummaryTypeAverage': 'Average',
    'DashboardStringId.SummaryTypeStdDev': 'StdDev',
    'DashboardStringId.SummaryTypeStdDevp': 'StdDevp',
    'DashboardStringId.SummaryTypeVar': 'Var',
    'DashboardStringId.SummaryTypeVarp': 'Varp',
    'DashboardStringId.SummaryTypeCountDistinct': 'Count Distinct',
    'DashboardStringId.SummaryTypeMedian': 'Median',
    'DashboardStringId.SummaryTypeMode': 'Mode',
    'DashboardStringId.RankTypeUnique': 'Unique',
    'DashboardStringId.RankTypeCompetition': 'Competition',
    'DashboardStringId.RankTypeDense': 'Dense',
    'DashboardStringId.RankTypeModified': 'Modified',
    'DashboardStringId.RankTypePercentile': 'Percentile',
    'DashboardStringId.CardCalculationAlongCards': 'Cards',
    'DashboardStringId.CardCalculationAlongSparklineArgument': 'Sparkline Argument',
    'DashboardStringId.CardCalculationAlongCardsAndSparklineArgument': 'Cards And Sparkline Argument',
    'DashboardStringId.CardCalculationAlongSparklineArgumentAndCards': 'Sparkline Argument And Cards',
    'DashboardStringId.ChartCalculationAlongArguments': 'Arguments',
    'DashboardStringId.ChartCalculationAlongSeries': 'Series',
    'DashboardStringId.ChartCalculationAlongArgumentsAndSeries': 'Arguments And Series',
    'DashboardStringId.ChartCalculationAlongSeriesAndArguments': 'Series And Arguments',
    'DashboardStringId.GridCalculationAlongRows': 'Rows',
    'DashboardStringId.GridCalculationAlongSparklineArgument': 'Sparkline Argument',
    'DashboardStringId.GridCalculationAlongRowsAndSparklineArgument': 'Rows And Sparkline Argument',
    'DashboardStringId.GridCalculationAlongSparklineArgumentAndRows': 'Sparkline Argument And Rows',
    'DashboardStringId.PivotCalculationAlongColumns': 'Columns',
    'DashboardStringId.PivotCalculationAlongRows': 'Rows',
    'DashboardStringId.PivotCalculationAlongColumnsAndRows': 'Columns And Rows',
    'DashboardStringId.PivotCalculationAlongRowsAndColumns': 'Rows And Columns',
    'DashboardStringId.PivotCalculationAlongGroupsInColumns': 'Groups In Columns',
    'DashboardStringId.PivotCalculationAlongGroupsInRows': 'Groups In Rows',
    'DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows': 'Groups In Columns And Rows',
    'DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns': 'Groups In Rows And Columns',
    'DashboardStringId.PieCalculationAlongArguments': 'Arguments',
    'DashboardStringId.PieCalculationAlongSeries': 'Series',
    'DashboardStringId.PieCalculationAlongArgumentsAndSeries': 'Arguments / Series',
    'DashboardStringId.PieCalculationAlongSeriesAndArguments': 'Series / Arguments',
    'DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries': 'Argument / Series',
    'DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument': 'Series / Argument',
    'DashboardStringId.GaugeCalculationAlongGauges': 'Gauges',
    'DashboardStringId.ScatterCalculationAlongArguments': 'Arguments',
    'DashboardStringId.CalculationAlongSpecificDimensions': 'Specific...',
    'DashboardStringId.CalculatedFieldTypeString': 'String',
    'DashboardStringId.CalculatedFieldTypeLong': 'Integer',
    'DashboardStringId.CalculatedFieldTypeDecimal': 'Decimal',
    'DashboardStringId.CalculatedFieldTypeBoolean': 'Boolean',
    'DashboardStringId.CalculatedFieldTypeDateTime': 'DateTime',
    'DashboardStringId.CalculatedFieldTypeDouble': 'Double',
    'DashboardStringId.CalculatedFieldTypeAuto': 'Auto',
    'DashboardStringId.CalculatedFieldTypeObject': 'Object',
    'DashboardStringId.DefaultEFDataSourceName': 'EF Data Source',
    'DashboardStringId.DefaultExcelDataSourceName': 'Excel Data Source',
    'DashboardStringId.DefaultFileExtractDataSourceName': 'Extract Data Source',
    'DashboardStringId.DefaultFederationDataSourceName': 'Federated Data Source',
    'DashboardStringId.DefaultObjectDataSourceName': 'Object Data Source',
    'DashboardStringId.DefaultOlapDataSourceName': 'OLAP Data Source',
    'DashboardStringId.DefaultSqlDataSourceName': 'SQL Data Source',
    'DashboardStringId.DefaultJsonDataSourceName': 'JSON Data Source',
    'DashboardStringId.DefaultMongoDBDataSourceName': 'MongoDB Data Source',
    'DashboardStringId.DefaultXpoDataSourceName': 'XPO Data Source',
    'DashboardStringId.OlapRaggedHierarchyNoneItemCaption': '(None)',
    'DashboardStringId.FormatRuleApplyToColumn': 'Apply to column',
    'DashboardStringId.SeriesTypeSideBySideRangeBar': 'Side By Side Range Bar',
    'DashboardStringId.SeriesTypeRangeArea': 'Range Area',
    'DashboardStringId.SeriesTypeHighLowClose': 'High Low Close',
    'DashboardStringId.SeriesTypeCandleStick': 'Candle Stick',
    'DashboardStringId.SeriesTypeStock': 'Type Stock',
    'DashboardWebStringId.StyleSettings': 'Style',
    'DashboardStringId.ParametersFormCalendarTodayButton': 'Today',
    'DashboardStringId.TreemapLabelArgumentTemplate': '{0} - {1}',
    'DashboardStringId.TreemapLabelValueTemplate': '{0}: {1}',
    'DashboardStringId.SearchNullValuePrompt': 'Enter text to search...',
    'DashboardStringId.CustomItems': 'Custom Items',
    'DashboardStringId.FormatRuleAllowNegativeAxis': 'Allow negative axis',
    'DashboardStringId.FormatRuleDrawAxis': 'Draw axis',
    'DashboardStringId.FormatRuleShowBarOnly': 'Show bar only',
    'DashboardStringId.CommandFormatRuleBottomN': 'Bottom N',
    'DashboardStringId.FormatConditionAppearanceNone': 'None',
    'DashboardStringId.FormatConditionAppearanceCustom': 'Custom',
    'DashboardStringId.FormatConditionAppearancePaleRed': 'Pale Red',
    'DashboardStringId.FormatConditionAppearancePaleYellow': 'Pale Yellow',
    'DashboardStringId.FormatConditionAppearancePaleGreen': 'Pale Green',
    'DashboardStringId.FormatConditionAppearancePaleBlue': 'Pale Blue',
    'DashboardStringId.FormatConditionAppearancePalePurple': 'Pale Purple',
    'DashboardStringId.FormatConditionAppearancePaleCyan': 'Pale Cyan',
    'DashboardStringId.FormatConditionAppearancePaleOrange': 'Pale Orange',
    'DashboardStringId.FormatConditionAppearancePaleGray': 'Pale Gray',
    'DashboardStringId.FormatConditionAppearanceRed': 'Red',
    'DashboardStringId.FormatConditionAppearanceYellow': 'Yellow',
    'DashboardStringId.FormatConditionAppearanceGreen': 'Green',
    'DashboardStringId.FormatConditionAppearanceBlue': 'Blue',
    'DashboardStringId.FormatConditionAppearancePurple': 'Purple',
    'DashboardStringId.FormatConditionAppearanceCyan': 'Cyan',
    'DashboardStringId.FormatConditionAppearanceOrange': 'Orange',
    'DashboardStringId.FormatConditionAppearanceGray': 'Gray',
    'DashboardStringId.FormatConditionAppearanceGradientRed': 'Gradient Red',
    'DashboardStringId.FormatConditionAppearanceGradientYellow': 'Gradient Yellow',
    'DashboardStringId.FormatConditionAppearanceGradientGreen': 'Gradient Green',
    'DashboardStringId.FormatConditionAppearanceGradientBlue': 'Gradient Blue',
    'DashboardStringId.FormatConditionAppearanceGradientPurple': 'Gradient Purple',
    'DashboardStringId.FormatConditionAppearanceGradientCyan': 'Gradient Cyan',
    'DashboardStringId.FormatConditionAppearanceGradientOrange': 'Gradient Orange',
    'DashboardStringId.FormatConditionAppearanceGradientTransparent': 'Gradient Transparent',
    'DashboardStringId.FormatConditionAppearanceFontBold': 'Bold',
    'DashboardStringId.FormatConditionAppearanceFontItalic': 'Italic',
    'DashboardStringId.FormatConditionAppearanceFontUnderline': 'Underline',
    'DashboardStringId.FormatConditionAppearanceFontGrayed': 'Grayed',
    'DashboardStringId.FormatConditionAppearanceFontRed': 'Red',
    'DashboardStringId.FormatConditionAppearanceFontYellow': 'Yellow',
    'DashboardStringId.FormatConditionAppearanceFontGreen': 'Green',
    'DashboardStringId.FormatConditionAppearanceFontBlue': 'Blue',
    'DashboardStringId.IntersectionLevelModeFirst': 'First level',
    'DashboardStringId.IntersectionLevelModeLast': 'Last level',
    'DashboardStringId.IntersectionLevelModeAuto': '(Auto)',
    'DashboardStringId.IntersectionLevelModeAll': 'All levels',
    'DashboardStringId.IntersectionLevelModeSpecific': 'Specific level',
    'DashboardStringId.FormatRuleApplyToRow': 'Apply to row',
    'DashboardStringId.FormatRuleApplyTo': 'Apply to',
    'DashboardStringId.FormatRuleApplyToChartElement': 'Apply to chart elements',
    'DashboardStringId.ChartElementPointCaption': 'Point',
    'DashboardStringId.ChartElementLineOrAreaCaption': 'Line/Area',
    'DashboardWebStringId.FilterItem.AllowEmptyFilter': 'Allow Empty Filter',
    'DashboardStringId.FormatConditionAppearanceFontStrikeout': 'Strikeout',
    'DashboardStringId.FormatConditionAutomaticValueType': 'Automatic',
    'DashboardStringId.FormatConditionNumberValueType': 'Number',
    'DashboardStringId.FormatConditionPercentValueType': 'Percent',
    'DashboardStringId.CommandFormatRuleRangeIcons': 'Range Icons',
    'DashboardStringId.CommandFormatRuleGreaterThan': 'Greater',
    'DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo': 'Greater Or Equal',
    'DashboardStringId.CommandFormatRuleLessThan': 'Less',
    'DashboardStringId.CommandFormatRuleLessThanOrEqualTo': 'Less Or Equal',
    'DashboardStringId.CommandFormatRuleEqualTo': 'Equal',
    'DashboardStringId.CommandFormatRuleNotEqualTo': 'Not Equal',
    'DashboardStringId.CommandFormatRuleBetween': 'Between',
    'DashboardStringId.CommandFormatRuleNotBetween': 'Not Between',
    'DashboardStringId.CommandFormatRuleBetweenOrEqual': 'Between Or Equal',
    'DashboardStringId.CommandFormatRuleNotBetweenOrEqual': 'Not Between Or Equal',
    'DashboardStringId.CommandFormatRuleContains': 'Contains Text',
    'DashboardStringId.ColorAutoAssigned': 'Auto',
    'DashboardStringId.CalculationTypeNone': 'None',
    'DashboardStringId.UndoText': 'Undo',
    'DashboardStringId.RedoText': 'Redo',
    'DashboardStringId.DashboardCurrencyUseCurrentCurrency': 'Use client system settings',
    'DashboardStringId.CommandDimensionSortModeDisplayText': '(Display Text)',
    'DashboardStringId.CommandDimensionSortModeValue': '(Value)',
    'DashboardStringId.CommandDimensionSortModeID': '(ID)',
    'DashboardStringId.CommandDimensionSortModeKey': '(Key)',
    'DashboardWebStringId.Chart.AddPane': 'Add Pane',
    'DashboardStringId.MapShapeNoneAttribute': 'NONE',
    'DashboardStringId.DefaultPeriodName': 'Period',
    'DashboardStringId.CardLayoutTemplateStretchedCaption': 'Stretched',
    'DashboardStringId.CardLayoutTemplateCenteredCaption': 'Centered',
    'DashboardStringId.CardLayoutTemplateCompactCaption': 'Compact',
    'DashboardStringId.CardLayoutTemplateLightweightCaption': 'Lightweight',
    'DashboardStringId.CardLayoutTemplateCustomCaption': 'Custom',
    'DashboardStringId.CardLayoutTemplateNoneCaption': 'None',
    'DashboardStringId.CardRowDataElementTypeTitleCaption': 'Title',
    'DashboardStringId.CardRowDataElementTypeSubtitleCaption': 'Subtitle',
    'DashboardStringId.CardRowDataElementTypeActualValueCaption': 'Actual Value',
    'DashboardStringId.CardRowDataElementTypeTargetValueCaption': 'Target Value',
    'DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption': 'Absolute Variation',
    'DashboardStringId.CardRowDataElementTypePercentVariationCaption': 'Percent Variation',
    'DashboardStringId.CardRowDataElementTypePercentOfTargetCaption': 'Percent of Target',
    'DashboardStringId.CardRowDataElementTypeDimensionValueCaption': 'Dimension',
    'DashboardStringId.CardRowDataElementTypeCardNameCaption': 'Card Name',
    'DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption': 'Delta Indicator',
    'DashboardStringId.CardRowDataElementTypeSparklineCaption': 'Sparkline',
    'DashboardStringId.FormatRuleApplyToAllElements': 'All elements',
    'DashboardWebStringId.FormatRuleApplyToDimensionElement': 'Dimension',
    'DashboardWebStringId.FormatRuleApplyToTextElement': 'Text',
    'DashboardStringId.FormatRuleDisplayInLegend': 'Display in legend',
    'DashboardStringId.FormatRuleDisplayName': 'Caption',
    'DashboardStringId.LegendItemFormatString': '{0} - {1}',
    'DashboardWebStringId.Pie.LabelPosition': 'Label Position',
    'DashboardWebStringId.Pie.LabelPositionOutside': 'Outside',
    'DashboardWebStringId.Pie.LabelPositionInside': 'Inside',
    'DashboardStringId.IncludeExportDashboardState': 'Include',
    'DashboardStringId.PointLabelContentTypeArgument': 'Argument',
    'DashboardStringId.PointLabelContentTypeSeriesName': 'Series Name',
    'DashboardStringId.PointLabelContentTypeValue': 'Value',
    'DashboardStringId.PointLabelContentTypePercent': 'Percent',
    'DashboardWebStringId.DashboardMenu': 'Dashboard Menu',
    'DashboardWebStringId.DashboardMenuNew': 'New...',
    'DashboardWebStringId.DashboardMenuOpen': 'Open...',
    'DashboardWebStringId.DashboardMenuSave': 'Save',
    'DashboardWebStringId.DashboardMenuCurrency': 'Currency',
    'DashboardWebStringId.DashboardMenuDataSources': 'Data Sources',
    'DashboardWebStringId.DashboardMenuColorScheme': 'Color Scheme',
    'DashboardWebStringId.DashboardMenuNewDashboardCreate': 'Create',
    'DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder': 'Enter a dashboard name',
    'DashboardWebStringId.Binding.DefaultEmptyPlaceholder': 'Set {0}',
    'DashboardWebStringId.Binding.DefaultSelectedPlaceholder': 'Configure {0}',
    'DashboardWebStringId.Binding.DataSource': 'Data Source',
    'DashboardWebStringId.Binding.Argument': 'Argument ',
    'DashboardWebStringId.Binding.Attribute': 'Attribute ',
    'DashboardWebStringId.Binding.Sparkline': 'Sparkline ',
    'DashboardWebStringId.Binding.Columns': 'Columns ',
    'DashboardWebStringId.Binding.TooltipDimensions': 'Tooltip Dimensions',
    'DashboardWebStringId.Binding.TooltipMeasures': 'Tooltip Measures',
    'DashboardWebStringId.Binding.HiddenDimensions': 'Hidden Dimensions',
    'DashboardWebStringId.Binding.HiddenMeasures': 'Hidden Measures',
    'DashboardWebStringId.Binding.AddDimension': 'Add Dimension',
    'DashboardWebStringId.Binding.AddMeasure': 'Add Measure',
    'DashboardWebStringId.Binding.AddColumn': 'Add Column',
    'DashboardWebStringId.Binding.AddRow': 'Add Row',
    'DashboardWebStringId.Binding.AddValue': 'Add Value',
    'DashboardWebStringId.Binding.AddSeries': 'Add Series',
    'DashboardWebStringId.Binding.SetLatitude': 'Set Latitude',
    'DashboardWebStringId.Binding.SetLongitude': 'Set Longitude',
    'DashboardWebStringId.Binding.SetArgument': 'Set Argument',
    'DashboardWebStringId.Binding.AddArgument': 'Add Argument',
    'DashboardWebStringId.Binding.SetWeight': 'Set Weight',
    'DashboardWebStringId.Binding.SetColor': 'Set Color',
    'DashboardWebStringId.Binding.SetAttribute': 'Set Attribute',
    'DashboardWebStringId.Binding.SetValue': 'Set Value',
    'DashboardWebStringId.Binding.XAxis': 'X - axis ',
    'DashboardWebStringId.Binding.YAxis': 'Y - axis ',
    'DashboardWebStringId.Binding.ConfigureDimension': 'Configure Dimension',
    'DashboardWebStringId.Binding.ConfigureMeasure': 'Configure Measure',
    'DashboardWebStringId.Binding.ConfigureSeries': 'Configure Series',
    'DashboardWebStringId.Binding.ConfigureArgument': 'Configure Argument',
    'DashboardWebStringId.Binding.ConfigureValue': 'Configure Value',
    'DashboardWebStringId.Binding.ConfigureAttribute': 'Configure Attribute',
    'DashboardWebStringId.Binding.ConfigureLatitude': 'Configure Latitude',
    'DashboardWebStringId.Binding.ConfigureLongitude': 'Configure Longitude',
    'DashboardWebStringId.Binding.ConfigureColumn': 'Configure Column',
    'DashboardWebStringId.Binding.ConfigureRow': 'Configure Row',
    'DashboardWebStringId.Binding.ConfigureWeight': 'Configure Weight',
    'DashboardWebStringId.Binding.ConfigureColor': 'Configure Color',
    'DashboardWebStringId.Binding.ShowAll': 'Show All',
    'DashboardWebStringId.ColorScheme.Color': 'Color',
    'DashboardWebStringId.ColorScheme.Colors': 'Colors',
    'DashboardWebStringId.Parameters.ParameterList': 'Parameter List',
    'DashboardWebStringId.Parameters.AddParameter': 'Add New Parameter',
    'DashboardWebStringId.Parameters.AddParameter.Tooltip': 'Add new parameter to the dashboard',
    'DashboardWebStringId.Parameters.NoSelectedParameter': 'No parameter is selected.',
    'DashboardWebStringId.Parameters.Reorder': 'Reorder',
    'DashboardWebStringId.Parameters.Done': 'Done',
    'DashboardWebStringId.Currency.Currency': 'Currency',
    'DashboardWebStringId.Currency.CurrencyCulture': 'Culture',
    'DashboardWebStringId.Currency.DefaultCurrencyWarning': 'The currency culture format is based on environmental settings. Specify the culture explicitly to ignore these settings.',
    'DashboardWebStringId.Preview': 'Preview',
    'DashboardWebStringId.Add': 'Add',
    'DashboardWebStringId.DataSources.UsedDataSources': 'Used Data Sources',
    'DashboardWebStringId.DataSources.DataItems': 'Data Items',
    'DashboardWebStringId.DataSources.AddQuery': 'Add Query',
    'DashboardWebStringId.DataSources.ManageQueries': 'Manage Queries',
    'DashboardWebStringId.DataSources.AddCalculatedField': 'Add Calculated Field',
    'DashboardWebStringId.DataSources.AddDataSource': 'Add Data Source',
    'DashboardWebStringId.DataSources.RenameDataSource': 'Rename Data Source',
    'DashboardWebStringId.DataSources.NoUsedDataSources': 'There are no used data sources in this dashboard.',
    'DashboardWebStringId.DataSources.NoAvailableDataSources': 'There are no available datasources.',
    'DashboardWebStringId.DataSources.ChooseDataSource': 'Choose the data source for the dashboard',
    'DashboardWebStringId.DataSources.CreateDataSource': 'Create',
    'DashboardWebStringId.DataSources.CreateNewDataSource': 'Create data source...',
    'DashboardWebStringId.DataSources.CreateDataSource.Tooltip': 'Create a new data source...',
    'DashboardWebStringId.DataSources.EditCalculatedField': 'Edit Calculated Field',
    'DashboardWebStringId.DataSources.CalculatedField.Name': 'Name ',
    'DashboardWebStringId.DataSources.CalculatedField.FieldType': 'Field Type',
    'DashboardWebStringId.DataSources.CalculatedField.UniqueNameError': 'Calculated field should have a unique name.',
    'DashboardWebStringId.DataSources.CalculatedField.Corrupted': 'The calculated field contains errors',
    'DashboardWebStringId.DataSources.Edit': 'Edit',
    'DashboardWebStringId.DataSources.Rename': 'Rename',
    'DashboardWebStringId.DataSources.NewDataSourceName': 'New Data Source Name:',
    'DashboardWebStringId.DataSources.DataSourceNameExistsMessage': 'Duplicate Name: Please enter a unique data source name to proceed.',
    'DashboardStringId.MessageCollectionTypesNotSupported': 'Dashboard does not support collection types.',
    'DashboardWebStringId.New.DashboardName': 'Dashboard Name:',
    'DashboardWebStringId.Bindings': 'Binding',
    'DashboardWebStringId.Interactivity': 'Interactivity',
    'DashboardWebStringId.Filters': 'Filters',
    'DashboardWebStringId.Options': 'Options',
    'DashboardWebStringId.Remove': 'Remove',
    'DashboardWebStringId.MasterFilterMode': 'Master Filter Mode',
    'DashboardWebStringId.Title.Text': 'Text',
    'DashboardWebStringId.Title.Visible': 'Visible',
    'DashboardWebStringId.Title.IncludeMasterFilter': 'Include Master Filter',
    'DashboardWebStringId.Title.Aligment': 'Alignment',
    'DashboardWebStringId.Title.Image': 'Image',
    'DashboardWebStringId.DataSources.Cancel': 'Cancel',
    'DashboardWebStringId.DataSources.IncludeToTheDashboard': 'Add',
    'DashboardWebStringId.DataSources.AvailableDataSourcesError': 'An error occurred during an attempt to load the list of available data sources',
    'DashboardWebStringId.DataSources.DashboardDataSourceWizard': 'Dashboard Data Source Wizard',
    'DashboardWebStringId.Viewer': 'Viewer ',
    'DashboardWebStringId.Loading': 'LOADING...',
    'DashboardWebStringId.ClickHereInvitation': 'Click here',
    'DashboardWebStringId.BindDataInvitation': 'to bind this item to data',
    'DashboardWebStringId.AddItemInvitation': 'Drag an item from the Toolbox or click a button below to create a new item.',
    'DashboardWebStringId.Parameters.Values': 'Values ',
    'DashboardWebStringId.Binding.Cards': 'Cards ',
    'DashboardWebStringId.Binding.AddCard': 'Add Card',
    'DashboardWebStringId.Binding.ConfigureCard': 'Configure Card',
    'DashboardWebStringId.Binding.AddValues': 'Add Values',
    'DashboardWebStringId.Binding.ConfigureValues': 'Configure Values',
    'DashboardWebStringId.Binding.Maps': 'Maps ',
    'DashboardWebStringId.Binding.AddMap': 'Add Map',
    'DashboardWebStringId.Binding.ConfigureMap': 'Configure Map',
    'DashboardWebStringId.Binding.Gauges': 'Gauges ',
    'DashboardWebStringId.Binding.AddGauge': 'Add Gauge',
    'DashboardWebStringId.Binding.ConfigureGauge': 'Configure Gauge',
    'DashboardWebStringId.InteractivityOptions': 'Interactivity Options',
    'DashboardWebStringId.Binding.Values': 'Values ',
    'DashboardWebStringId.Binding.RemovePane': 'Remove Pane',
    'DashboardWebStringId.ClickToSetFilterCriteria': 'Click to set Filter Criteria',
    'DashboardWebStringId.DataSources.OK': 'OK',
    'DashboardWebStringId.DataSources.Save': 'Save',
    'DashboardWebStringId.Cards.ArrangementMode': 'Content Arrangement Mode',
    'DashboardWebStringId.Cards.ArrangementMode.Auto': 'Auto',
    'DashboardWebStringId.Cards.ArrangementMode.FixedRows': 'Fixed Rows',
    'DashboardWebStringId.Cards.ArrangementMode.FixedColumns': 'Fixed Columns',
    'DashboardWebStringId.Cards.LineCount': 'Line Count',
    'DashboardWebStringId.ConditionalFormatting': 'Conditional Formatting',
    'DashboardWebStringId.CollectionEditor.NoItems': 'Click + to add a new item.',
    'DashboardWebStringId.CollectionEditor.Totals.NoItems': 'Click + to add a new total.',
    'DashboardWebStringId.CollectionEditor.Parameters.NoItems': 'Click + to add a new parameter.',
    'DashboardWebStringId.PivotGrid.AutoExpandColumnGroups': 'Auto - Expand Column Groups',
    'DashboardWebStringId.PivotGrid.AutoExpandRowGroups': 'Auto - Expand Row Groups',
    'DashboardWebStringId.PivotGrid.ColumnGrandTotals': 'Column Grand Totals',
    'DashboardWebStringId.PivotGrid.RowGrandTotals': 'Row Grand Totals',
    'DashboardWebStringId.PivotGrid.ColumnTotals': 'Column Totals',
    'DashboardWebStringId.PivotGrid.RowTotals': 'Row Totals',
    'DashboardWebStringId.PivotGrid.ValuesPosition': 'Values Position',
    'DashboardWebStringId.PivotGrid.ValuesPositionColumns': 'Columns',
    'DashboardWebStringId.PivotGrid.ValuesPositionRows': 'Rows',
    'DashboardWebStringId.PivotGrid.RowTotalsPosition': 'Row Totals Position',
    'DashboardWebStringId.PivotGrid.RowTotalsPositionBottom': 'Bottom',
    'DashboardWebStringId.PivotGrid.RowTotalsPositionTop': 'Top',
    'DashboardWebStringId.PivotGrid.ColumnTotalsPosition': 'Column Totals Position',
    'DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar': 'Far',
    'DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear': 'Near',
    'DashboardWebStringId.PivotGrid.LayoutType': 'Layout',
    'DashboardWebStringId.PivotGrid.LayoutTypeCompact': 'Compact',
    'DashboardWebStringId.PivotGrid.LayoutTypeTabular': 'Tabular',
    'DashboardWebStringId.Options.Caption': 'Caption',
    'DashboardWebStringId.InteractivityOptions.IsMasterFilter': 'Master Filter',
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.None': 'None',
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single': 'Single',
    'DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple': 'Multiple',
    'DashboardWebStringId.InteractivityOptions.TargetDimensions': 'Target Dimensions',
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments': 'Arguments',
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Series': 'Series',
    'DashboardWebStringId.InteractivityOptions.TargetDimensions.Points': 'Points',
    'DashboardWebStringId.ColoringOptions': 'Coloring',
    'DashboardWebStringId.DataSources.Filter': 'Filter',
    'DashboardWebStringId.Chart.Rotated': 'Rotated',
    'DashboardWebStringId.Chart.Panes': 'Panes',
    'DashboardWebStringId.Chart.Legend': 'Legend',
    'DashboardWebStringId.Chart.AxisX': 'Axis X',
    'DashboardWebStringId.Chart.AxisY': 'Axis Y',
    'DashboardWebStringId.Chart.AxisYSecondary': 'Axis Y Secondary',
    'DashboardWebStringId.Chart.PointLabelOptions': 'Point Label Options',
    'DashboardWebStringId.Chart.AxisXMeasure': 'Axis X Measure',
    'DashboardWebStringId.Chart.AxisYMeasure': 'Axis Y Measure',
    'DashboardWebStringId.Chart.Weight': 'Weight',
    'DashboardWebStringId.Chart.Content': 'Content',
    'DashboardWebStringId.Chart.ArgumentAndWeight': 'Argument and Weight',
    'DashboardWebStringId.Chart.ArgumentAndValues': 'Argument and Values',
    'DashboardWebStringId.Chart.Reverse': 'Reverse',
    'DashboardWebStringId.Chart.Visible': 'Visible',
    'DashboardWebStringId.Chart.Title': 'Title',
    'DashboardWebStringId.Chart.TitleText': 'Title Text',
    'DashboardWebStringId.Chart.EnableZooming': 'Enable Zooming',
    'DashboardWebStringId.Chart.LimitVisiblePoints': 'Limit visible points',
    'DashboardWebStringId.Chart.VisiblePointsCount': 'Visible Points Count',
    'DashboardWebStringId.Chart.AlwaysShowZeroLevel': 'Always show zero level',
    'DashboardWebStringId.Chart.GridLines': 'Grid Lines',
    'DashboardWebStringId.Chart.LogarithmicScale': 'Logarithmic Scale',
    'DashboardWebStringId.Chart.LogarithmicScaleBase': 'Logarithmic Scale Base',
    'DashboardWebStringId.Chart.LogarithmicScaleBase2': '2',
    'DashboardWebStringId.Chart.LogarithmicScaleBase5': '5',
    'DashboardWebStringId.Chart.LogarithmicScaleBase10': '10',
    'DashboardWebStringId.Chart.Position': 'Position',
    'DashboardWebStringId.Chart.IsInsideOfDiagram': 'Inside diagram',
    'DashboardWebStringId.Chart.PrimaryAxisY': 'PrimaryAxisY',
    'DashboardWebStringId.Chart.SecondaryAxisY': 'SecondaryAxisY',
    'DashboardWebStringId.Chart.Name': 'Name',
    'DashboardWebStringId.Chart.PlotOnSecondaryAxis': 'Plot on secondary axis',
    'DashboardWebStringId.Chart.IgnoreEmptyPoints': 'Ignore empty points',
    'DashboardWebStringId.Chart.ShowPointMarkers': 'Show point markers',
    'DashboardWebStringId.Chart.Value': 'Value',
    'DashboardWebStringId.Chart.ShowZeroValues': 'Show for zero values',
    'DashboardWebStringId.Chart.OverlappingMode': 'Overlapping Mode',
    'DashboardWebStringId.Chart.Orientation': 'Orientation',
    'DashboardWebStringId.Chart.ShowPointLablels': 'Show Point Labels',
    'DashboardWebStringId.Chart.TooltipContent': 'Tooltips',
    'DashboardWebStringId.Chart.LabelContent': 'Data Labels',
    'DashboardWebStringId.Card.SparklineOptions': 'Sparkline Options',
    'DashboardWebStringId.Card.SparklineVisible': 'Show Sparkline',
    'DashboardWebStringId.Chart.Position.TopLeftVertical': 'Top Left Vertical',
    'DashboardWebStringId.Chart.Position.TopLeftHorizontal': 'Top Left Horizontal',
    'DashboardWebStringId.Chart.Position.TopCenterHorizontal': 'Top Center Horizontal',
    'DashboardWebStringId.Chart.Position.TopRightVertical': 'Top Right Vertical',
    'DashboardWebStringId.Chart.Position.TopRightHorizontal': 'Top Right Horizontal',
    'DashboardWebStringId.Chart.Position.BottomLeftVertical': 'Bottom Left Vertical',
    'DashboardWebStringId.Chart.Position.BottomLeftHorizontal': 'Bottom Left Horizontal',
    'DashboardWebStringId.Chart.Position.BottomCenterHorizontal': 'Bottom Center Horizontal',
    'DashboardWebStringId.Chart.Position.BottomRightVertical': 'Bottom Right Vertical',
    'DashboardWebStringId.Chart.Position.BottomRightHorizontal': 'Bottom Right Horizontal',
    'DashboardWebStringId.Chart.Position.TopCenterVertical': 'Top Center Vertical',
    'DashboardWebStringId.Chart.Position.BottomCenterVertical': 'Bottom Center Vertical',
    'DashboardWebStringId.Chart.Indicator.DashStyle': 'Dash Style',
    'DashboardWebStringId.Chart.Indicator.DashStyle.Empty': 'Empty',
    'DashboardWebStringId.Chart.Indicator.DashStyle.Solid': 'Solid',
    'DashboardWebStringId.Chart.Indicator.DashStyle.Dash': 'Dash',
    'DashboardWebStringId.Chart.Indicator.DashStyle.Dot': 'Dot',
    'DashboardWebStringId.Chart.Indicator.DashStyle.DashDot': 'DashDot',
    'DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot': 'DashDotDot',
    'DashboardWebStringId.Chart.Indicator.Type': 'Type',
    'DashboardWebStringId.Chart.Indicator.Type.Regression': 'Regression',
    'DashboardWebStringId.Chart.Indicator.Type.Trend': 'Trend',
    'DashboardWebStringId.Chart.Indicator.LegendText': 'Legend Text',
    'DashboardWebStringId.Chart.Indicator.ShowInLegend': 'Display in legend',
    'DashboardWebStringId.Chart.Indicator.Thickness': 'Thickness',
    'DashboardWebStringId.Chart.Indicator.ValueLevel': 'Value level',
    'DashboardWebStringId.Chart.Indicator.ValueLevel.Value': 'Value',
    'DashboardWebStringId.Chart.Indicator.Visible': 'Visible',
    'DashboardWebStringId.Chart.Indicator.Color': 'Color',
    'DashboardWebStringId.Chart.Indicator.Value': 'Value',
    'DashboardWebStringId.Chart.Indicators': 'Trend Indicators',
    'DashboardWebStringId.Chart.IndicatorSettings': 'Indicator settings',
    'DashboardWebStringId.FilterItem.Type': 'Type',
    'DashboardWebStringId.FilterItem.Type.Standard': 'Standard',
    'DashboardWebStringId.FilterItem.Type.Checked': 'Checked',
    'DashboardWebStringId.FilterItem.Type.Radio': 'Radio',
    'DashboardWebStringId.FilterItem.ShowAllValue': 'Show "All" Value',
    'DashboardWebStringId.FilterItem.EnableSearch': 'Enable Search',
    'DashboardWebStringId.Gauge.Min': 'Minimum Value',
    'DashboardWebStringId.Gauge.Max': 'Maximum Value',
    'DashboardWebStringId.Gauge.ScaleOptions': 'Scale Options',
    'DashboardWebStringId.Gauge.Type': 'Gauge Type',
    'DashboardWebStringId.Gauge.Type.FullQuarterGauge': 'Full Quarter Gauge',
    'DashboardWebStringId.Gauge.Type.HalfCircular': 'Half Circular',
    'DashboardWebStringId.Gauge.Type.LeftQuarterCircular': 'Left - Quarter Circular',
    'DashboardWebStringId.Gauge.Type.RightQuarterCircular': 'Right - Quarter Circular',
    'DashboardWebStringId.Gauge.Type.ThreeFourthCircular': 'Three-Quarter Circular',
    'DashboardWebStringId.Gauge.Type.LinearHorizontal': 'Linear Horizontal',
    'DashboardWebStringId.Gauge.Type.LinearVertical': 'Linear Vertical',
    'DashboardWebStringId.Gauge.Captions': 'Show Gauge Captions',
    'DashboardWebStringId.Gauge.Scale.Custom': 'Custom',
    'DashboardWebStringId.Gauge.Scale.Auto': 'Auto',
    'DashboardWebStringId.Grid.ColumnType': 'Column Type',
    'DashboardWebStringId.Grid.DisplayMode': 'Display Mode',
    'DashboardWebStringId.Grid.DisplayMode.Value': 'Value',
    'DashboardWebStringId.Grid.DisplayMode.Bar': 'Bar',
    'DashboardWebStringId.Grid.DisplayMode.Text': 'Text',
    'DashboardWebStringId.Grid.DisplayMode.Image': 'Image',
    'DashboardWebStringId.Grid.FixedWidth': 'Fixed Width',
    'DashboardWebStringId.Grid.WidthType': 'Width Type',
    'DashboardWebStringId.Grid.WidthType.Weight': 'Weight',
    'DashboardWebStringId.Grid.WidthType.FitToContent': 'Fit To Content',
    'DashboardWebStringId.Grid.DeltaOptions': 'Delta Options',
    'DashboardWebStringId.Grid.ShowStartEndValues': 'Show Start/ End Values',
    'DashboardWebStringId.Grid.TotalType': 'Total Type',
    'DashboardWebStringId.Grid.Dimension': 'Dimension',
    'DashboardWebStringId.Grid.Measure': 'Measure',
    'DashboardWebStringId.Grid.Delta': 'Delta',
    'DashboardWebStringId.Grid.Sparkline': 'Sparkline',
    'DashboardWebStringId.Grid.Hyperlink': 'Hyperlink',
    'DashboardWebStringId.Grid.Options': 'Grid Options',
    'DashboardWebStringId.Map.ShapeFileLoaded': '(SHP File)',
    'DashboardWebStringId.Map.AttributeFileLoaded': '(DBF File)',
    'DashboardWebStringId.Map.ValueMap': 'Value Map',
    'DashboardWebStringId.Map.DeltaMap': 'Delta Map',
    'DashboardWebStringId.Map.TooltipCaption': 'Tooltip Caption',
    'DashboardWebStringId.Map.TooltipActualValueCaption': 'Tooltip Actual Value Caption',
    'DashboardWebStringId.Map.TooltipDeltaCaption': 'Tooltip Delta Caption',
    'DashboardWebStringId.Map.CustomMapOptions': 'Custom Map Options',
    'DashboardWebStringId.Map.CustomMapOptionsSource': 'Source',
    'DashboardWebStringId.Map.CustomMapOptionsUrl': 'Url',
    'DashboardWebStringId.Map.CustomMapOptionsFile': 'File',
    'DashboardWebStringId.Map.CustomMapUrl': 'Shape File Url',
    'DashboardWebStringId.Map.CustomMapFile': 'Shape File',
    'DashboardWebStringId.Map.CustomAttributeFile': 'Attribute File',
    'DashboardWebStringId.Map.AttributeDimension': 'Attribute Dimension',
    'DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle': 'Include Summary Value',
    'DashboardWebStringId.Map.AttributeName': 'Attribute Name',
    'DashboardWebStringId.Map.TooltipAttribute': 'Tooltip Attribute',
    'DashboardWebStringId.Map.TooltipDimensions': 'Tooltip Dimensions',
    'DashboardWebStringId.Map.Area.Custom': 'Custom',
    'DashboardWebStringId.Map.Area.WorldCountries': 'World Countries',
    'DashboardWebStringId.Map.Area.Europe': 'Europe',
    'DashboardWebStringId.Map.Area.Asia': 'Asia',
    'DashboardWebStringId.Map.Area.NorthAmerica': 'North America',
    'DashboardWebStringId.Map.Area.SouthAmerica': 'South America',
    'DashboardWebStringId.Map.Area.Africa': 'Africa',
    'DashboardWebStringId.Map.Area.USA': 'USA',
    'DashboardWebStringId.Map.Area.Canada': 'Canada',
    'DashboardWebStringId.Map.Viewport': 'Viewport',
    'DashboardWebStringId.Map.ShapeTitleAttribute': 'Shape Title Attribute',
    'DashboardWebStringId.Map.UseBindingAttribute': 'Use binding attribute',
    'DashboardWebStringId.Map.WeightedLegendType': 'Type',
    'DashboardWebStringId.Map.WeightedLegendType.Linear': 'Linear',
    'DashboardWebStringId.Map.WeightedLegendType.Nested': 'Nested',
    'DashboardWebStringId.Map.Orientation.Vertical': 'Vertical',
    'DashboardWebStringId.Map.Orientation.Horizontal': 'Horizontal',
    'DashboardWebStringId.Map.Position.TopLeft': 'Top Left',
    'DashboardWebStringId.Map.Position.TopCenter': 'Top Center',
    'DashboardWebStringId.Map.Position.TopRight': 'Top Right',
    'DashboardWebStringId.Map.Position.BottomLeft': 'Bottom Left',
    'DashboardWebStringId.Map.Position.BottomCenter': 'Bottom Center',
    'DashboardWebStringId.Map.Position.BottomRight': 'Bottom Right',
    'DashboardWebStringId.Map.Viewport.TopLatitude': 'Top Latitude',
    'DashboardWebStringId.Map.Viewport.LeftLongitude': 'Left Longitude',
    'DashboardWebStringId.Map.Viewport.RightLongitude': 'Right Longitude',
    'DashboardWebStringId.Map.Viewport.BottomLatitude': 'Bottom Latitude',
    'DashboardWebStringId.Map.Viewport.CenterPointLatitude': 'Center Point Latitude',
    'DashboardWebStringId.Map.Viewport.CenterPointLongitude': 'Center Point Longitude',
    'DashboardWebStringId.Map.Viewport.CreateViewerPaddings': 'Create Viewer Paddings',
    'DashboardWebStringId.Map.ShowLegend': 'Show Color Legend',
    'DashboardWebStringId.Map.ShowWeightedLegend': 'Show Weighted Legend',
    'DashboardWebStringId.Pie.Type': 'Pie Type',
    'DashboardWebStringId.Pie': 'Pie',
    'DashboardWebStringId.Pie.Donut': 'Donut',
    'DashboardWebStringId.Pie.LabelContentType.None': 'None',
    'DashboardWebStringId.Pie.LabelContentType.Argument': 'Argument',
    'DashboardWebStringId.Pie.LabelContentType.Percent': 'Percent',
    'DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent': 'Argument And Percent',
    'DashboardWebStringId.Pie.LabelContentType.Value': 'Value',
    'DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue': 'Argument And Value',
    'DashboardWebStringId.Pie.LabelContentType.ValueAndPercent': 'Value And Percent',
    'DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent': 'Argument, Value And Percent',
    'DashboardWebStringId.Image.BindingMode': 'Binding Mode',
    'DashboardWebStringId.Image.BindingMode.BinaryArray': 'Binary Array',
    'DashboardWebStringId.Image.BindingMode.Uri': 'Uri',
    'DashboardWebStringId.RangeFilter.UriPattern': 'Uri Pattern',
    'DashboardWebStringId.Image.SizeMode.Clip': 'Clip',
    'DashboardWebStringId.Image.SizeMode.Stretch': 'Stretch',
    'DashboardWebStringId.Image.SizeMode.Zoom': 'Zoom',
    'DashboardWebStringId.Image.SizeMode.Squeeze': 'Squeeze',
    'DashboardWebStringId.Image.HorizontalAlignment': 'Horizontal Alignment',
    'DashboardWebStringId.Image.VerticalAlignment': 'Vertical Alignment',
    'DashboardWebStringId.Image.Alignment.Left': 'Left',
    'DashboardWebStringId.Image.Alignment.Center': 'Center',
    'DashboardWebStringId.Image.Alignment.Right': 'Right',
    'DashboardWebStringId.Image.Alignment.Top': 'Top',
    'DashboardWebStringId.Image.Alignment.Bottom': 'Bottom',
    'DashboardWebStringId.SeriesItem.SeriesDimensions': 'Series Dimensions',
    'DashboardWebStringId.TextBox.Text': 'Text',
    'DashboardWebStringId.Chart.Orientation.Default': 'Default',
    'DashboardWebStringId.Chart.Orientation.RotateRight': 'Rotate Right',
    'DashboardWebStringId.Chart.Orientation.RotateLeft': 'Rotate Left',
    'DashboardWebStringId.Chart.OverlappingMode.Hide': 'Hide',
    'DashboardWebStringId.Chart.OverlappingMode.None': 'None',
    'DashboardWebStringId.Chart.Position.Outside': 'Outside',
    'DashboardWebStringId.Chart.Position.Inside': 'Inside',
    'DashboardWebStringId.Chart.SeriesType.Weighted': 'Weighted',
    'DashboardWebStringId.Coloring.MeasuresColoringMode': 'Measures Coloring',
    'DashboardWebStringId.Coloring.Global': 'Global',
    'DashboardWebStringId.Coloring.Local': 'Local',
    'DashboardWebStringId.Delta.ValueType': 'Value Type',
    'DashboardWebStringId.Delta.ResultIndication': 'Result Indication',
    'DashboardWebStringId.Delta.ThresholdType': 'Threshold Type',
    'DashboardWebStringId.Delta.ThresholdValue': 'Threshold Value',
    'DashboardWebStringId.Sparkline.ViewType': 'View Type',
    'DashboardWebStringId.Sparkline.HighlightMinMaxPoints': 'Highlight Min/ Max Points',
    'DashboardWebStringId.Sparkline.HighlightStartEndPoints': 'Highlight Start/ End Points',
    'DashboardWebStringId.Title.Aligment.Left': 'Left',
    'DashboardWebStringId.Title.Aligment.Center': 'Center',
    'DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp': 'No Look-Up',
    'DashboardWebStringId.Parameters.LookUpSettingsType.StaticList': 'Static List',
    'DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList': 'Dynamic List',
    'DashboardWebStringId.Parameters.LookUpSettingsType': 'Look-up Settings',
    'DashboardWebStringId.Parameters.DefaultValue': 'Default Value',
    'DashboardWebStringId.DataItem': 'Data Item',
    'DashboardWebStringId.DataItem.Precision': 'Precision',
    'DashboardWebStringId.DataItem.IncludeGroupSeparator': 'Include Group Separator',
    'DashboardWebStringId.DataItem.ShowValues': 'Show Values',
    'DashboardWebStringId.DataItem.ShowTotals': 'Show Totals',
    'DashboardWebStringId.DataItem.ShowGrandTotals': 'Show Grand Totals',
    'DashboardWebStringId.Dialog.ConfirmSaving': 'Confirm saving',
    'DashboardWebStringId.Dialog.Warning': 'Warning',
    'DashboardWebStringId.Dimension.GroupInterval': 'Group Interval',
    'DashboardWebStringId.Dimension.SortMode': 'Sort Mode',
    'DashboardWebStringId.Dialog.ArgumentMode': 'Axis Type',
    'DashboardWebStringId.Calculations': 'Calculations',
    'DashboardWebStringId.Calculations.Expression': 'Calculation',
    'DashboardWebStringId.Calculations.DifferenceCalculation': 'Difference of',
    'DashboardWebStringId.Calculations.Moving': 'Moving of',
    'DashboardWebStringId.Calculations.RunningTotal': 'Running Total of',
    'DashboardWebStringId.Calculations.PercentOfTotal': 'Percent Of Total of',
    'DashboardWebStringId.Calculations.Rank': 'Rank of',
    'DashboardWebStringId.Calculations.DefinitionMode': 'Definition Mode',
    'DashboardWebStringId.Calculations.WindowDefinition': 'Window Definition',
    'DashboardWebStringId.Calculations.WindowDefinitionModeSpecific': 'Specific',
    'DashboardWebStringId.Calculations.WindowDefinitionModePredefined': 'Predefined',
    'DashboardWebStringId.Calculations.DifferenceType': 'Difference Type',
    'DashboardWebStringId.TreemapLayoutAlgorithm': 'Layout Algorithm',
    'DashboardWebStringId.TilesLabelContentType': 'Tile Label',
    'DashboardWebStringId.TilesTooltipContentType': 'Tile Tooltip',
    'DashboardWebStringId.GroupsLabelContentType': 'Group Label',
    'DashboardWebStringId.GroupsTooltipContentType': 'Group Tooltip',
    'DashboardWebStringId.ShowOthersValue': 'Show "Others" Value',
    'DashboardWebStringId.TopNEnabled': 'Enabled',
    'DashboardWebStringId.Parameters.StaticListLookUpSettings': 'Static List LookUp Settings',
    'DashboardWebStringId.Parameters.DynamicListLookUpSettings': 'Dynamic List LookUp Settings',
    'DashboardWebStringId.ConvertTo': 'Convert To',
    'DashboardWebStringId.Duplicate': 'Duplicate current item',
    'DashboardWebStringId.DataSourceWizard': 'Dashboard Data Source Wizard',
    'DashboardWebStringId.RangeFilter.CustomPeriods': 'Custom Periods',
    'DashboardWebStringId.RangeFilter.StartMode': 'Start Mode',
    'DashboardWebStringId.RangeFilter.EndMode': 'End Mode',
    'DashboardWebStringId.RangeFilter.StartIntervalAndOffset': 'Start Interval and Offset',
    'DashboardWebStringId.RangeFilter.EndIntervalAndOffset': 'End Interval and Offset',
    'DashboardWebStringId.RangeFilter.StartDate': 'Start Date',
    'DashboardWebStringId.RangeFilter.EndDate': 'End Date',
    'DashboardWebStringId.RangeFilter.None': 'None',
    'DashboardWebStringId.RangeFilter.Fixed': 'Fixed',
    'DashboardWebStringId.RangeFilter.Flow': 'Flow',
    'DashboardWebStringId.Tabs.Binding': 'Binding',
    'DashboardWebStringId.Tabs.DataShaping': 'Data Shaping',
    'DashboardWebStringId.Tabs.Format': 'Format',
    'DashboardWebStringId.Calculations.Types.Moving': 'Moving',
    'DashboardWebStringId.Parameters.SortByMember': 'Sort By',
    'DashboardWebStringId.Parameters.LookUpSettingsTypeCaption': 'Look-Up Settings Type',
    'DashboardWebStringId.Dashboard.Items': 'Items',
    'DashboardWebStringId.Dashboard.Groups': 'Groups',
    'DashboardWebStringId.Dashboard.LayoutItems': 'Layout Items',
    'DashboardWebStringId.Dashboard.ComponentName': 'Component Name',
    'DashboardWebStringId.ButtonConfirm': 'Confirm',
    'DashboardWebStringId.Colorization.GroupInterval': 'Group Interval',
    'DashboardWebStringId.ButtonOn': 'ON',
    'DashboardWebStringId.ButtonOff': 'OFF',
    'DashboardWebStringId.ButtonYes': 'YES',
    'DashboardWebStringId.ButtonNo': 'NO',
    'DashboardWebStringId.ButtonDiscrete': 'DISCRETE',
    'DashboardWebStringId.ButtonContinuous': 'CONTINUOUS',
    'DashboardWebStringId.ButtonVisible': 'VISIBLE',
    'DashboardWebStringId.ButtonHidden': 'HIDDEN',
    'DashboardWebStringId.Calculations.PreviousValuesCount': 'Start Offset',
    'DashboardWebStringId.Calculations.NextValuesCount': 'End Offset',
    'DashboardWebStringId.Calculations.RankType': 'Rank Type',
    'DashboardWebStringId.Calculations.RankOrder': 'Rank Order',
    'DashboardWebStringId.TileOptions': 'Tile Options',
    'DashboardWebStringId.MapLockNavigationLocked': 'Locked',
    'DashboardWebStringId.MapLockNavigationUnlocked': 'Unlocked',
    'DashboardWebStringId.ConditionalFormatting.BarOptions': 'Bar Options',
    'DashboardWebStringId.ConditionalFormatting.CalculatedBy': 'Calculated by',
    'DashboardWebStringId.ConditionalFormatting.IconType': 'Icon Type',
    'DashboardStringId.FormatRulePredefinedColor': 'Predefined Color',
    'DashboardStringId.FormatRuleCustomColor': 'Custom Color',
    'DashboardWebStringId.FormatConditionPredefinedAppearanceCaption': 'Predefined Appearance',
    'DashboardWebStringId.FormatConditionCustomAppearanceCaption': 'Custom Appearance',
    'DashboardWebStringId.FormatConditionRangeSetNoStyleCaption': 'No Style',
    'DashboardWebStringId.EditorAutomaticValue': '(Automatic)',
    'DashboardWebStringId.ConditionalFormatting.Save': 'Save',
    'DashboardWebStringId.ConditionalFormatting.AppearanceType': 'Appearance Type',
    'DashboardWebStringId.ConditionalFormatting.FontStyle': 'Font Style',
    'DashboardWebStringId.ConditionalFormatting.FontFamily': 'Font Family',
    'DashboardWebStringId.ConditionalFormatting.FontRegular': 'Regular',
    'DashboardWebStringId.ConditionalFormatting.CustomStyleSettings': 'Custom Style Settings',
    'DashboardWebStringId.ConditionalFormatting.IconType.None': 'None',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp': 'Directional Green Arrow Up',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow': 'Directional Yellow Up Incline Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow': 'Directional Yellow Side Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow': 'Directional Yellow Down Incline Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow': 'Directional Red Down Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp': 'Directional Gray Arrow Up',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow': 'Directional Gray Up Incline Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow': 'Directional Gray Side Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow': 'Directional Gray Down Incline Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow': 'Directional Gray Down Arrow',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash': 'Directional Yellow Dash',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown': 'Directional Red Triangle Down',
    'DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp': 'Directional Green Triangle Up',
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar': 'Rating Full Gray Star',
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar': 'Rating Half Gray Star',
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar': 'Rating Empty Gray Star',
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle': 'Rating Full Gray Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle': 'Rating 1 Quarter Gray Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle': 'Rating 2 Quarters Gray Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle': 'Rating 3 Quarters Gray Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle': 'Rating Empty Gray Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars': 'Rating 4 Bars',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars': 'Rating 3 Bars',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars': 'Rating 2 Bars',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar': 'Rating 1 Bar',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars': 'Rating 0 Bars',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes': 'Rating 4 Filled Boxes',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes': 'Rating 3 Filled Boxes',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes': 'Rating 2 Filled Boxes',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox': 'Rating 1 Filled Box',
    'DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes': 'Rating 0 Filled Boxes',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight': 'Shape Green Traffic Light',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight': 'Shape Yellow Traffic Light',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight': 'Shape Red Traffic Light',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle': 'Shape Green Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle': 'Shape Yellow Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle': 'Shape Red Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle': 'Shape Light Red Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle': 'Shape Light Gray Circle',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle': 'Shape Yellow Triangle',
    'DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond': 'Shape Red Diamond',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck': 'Indicator Green Check',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation': 'Indicator Yellow Exclamation',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross': 'Indicator Red Cross',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck': 'Indicator Circled Green Check',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation': 'Indicator Circled Yellow Exclamation',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross': 'Indicator Circled Red Cross',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag': 'Indicator Green Flag',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag': 'Indicator Yellow Flag',
    'DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag': 'Indicator Red Flag',
    'DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension': 'Intersection Column Dimension',
    'DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension': 'Intersection Row Dimension',
    'DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode': 'Intersection Level Mode',
    'DashboardWebStringId.ConditionalFormatting.GradientRangeBar': 'Gradient Range Bar',
    'DashboardWebStringId.ConditionalFormatting.RangeGradient': 'Range Gradient',
    'DashboardWebStringId.ConditionalFormatting.SegmentNumber': 'Segment Number',
    'DashboardWebStringId.ConditionalFormatting.ValueComparison': 'Value Comparison',
    'DashboardWebStringId.ConditionalFormatting.Ranges': 'Ranges',
    'DashboardWebStringId.ConditionalFormatting.AverageType': 'Average Type',
    'DashboardWebStringId.ConditionalFormatting.Above': 'Above',
    'DashboardWebStringId.ConditionalFormatting.AboveOrEqual': 'Above or Equal',
    'DashboardWebStringId.ConditionalFormatting.Below': 'Below',
    'DashboardWebStringId.ConditionalFormatting.BelowOrEqual': 'Below or Equal',
    'DashboardWebStringId.ConditionalFormatting.StyleSettingsType': 'Style Settings Type',
    'DashboardWebStringId.ConditionalFormatting.Positive': 'Positive',
    'DashboardWebStringId.ConditionalFormatting.Negative': 'Negative',
    'DashboardWebStringId.ConditionalFormatting.MinimumType': 'Minimum Type',
    'DashboardWebStringId.ConditionalFormatting.MaximumType': 'Maximum Type',
    'DashboardWebStringId.ConditionalFormatting.DateType': 'Date Type',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringNone': 'None',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty': 'Empty',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday': 'Yesterday',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringToday': 'Today',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow': 'Tomorrow',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek': 'Last Week',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek': 'This Week',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek': 'Next Week',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1': 'Last Month',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth': 'This Month',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1': 'Next Month',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek': 'This week, prior to yesterday',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth': 'This month, prior to previous week',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear': 'This year, prior to this month',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2': 'During the month 2 months ago',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3': 'During the month 3 months ago',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4': 'During the month 4 months ago',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5': 'During the month 5 months ago',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6': 'During the month 6 months ago',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier': 'Prior to the month 6 months ago',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear': 'Prior to this year',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek': 'This week, beyond tomorrow',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth': 'This month, beyond next week',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear': 'This year, beyond this month',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2': 'During the month in 2 months time',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond': 'Following the month in 2 months time',
    'DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear': 'Following this year',
    'DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem': 'Data Item',
    'DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard': 'Card',
    'DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue': 'Please select a valid data item',
    'DashboardWebStringId.Colorization.NoSelectedSchema': 'Select color signature to edit schema',
    'DashboardWebStringId.Colorization.ColorSchemes': 'Color Schemes',
    'DashboardWebStringId.LayoutHasBeenChangedDialogMessage': 'The dashboard layout has been changed.',
    'DashboardWebStringId.SaveConfirmationDialogMessage': 'If you leave before saving, your changes will be lost.',
    'DashboardWebStringId.SaveChangesDialogMessage': 'Do you want to save changes?',
    'DashboardWebStringId.Dialog.Save': 'Save',
    'DashboardWebStringId.Dialog.DoNotSave': "Don't Save",
    'DashboardWebStringId.Dialog.UnsupportedCalculatedField': 'This data item does not support the calculated field you created. This field is available on the Data Sources page of the dashboard menu.',
    'DashboardWebStringId.Colorization.ColorSchemeType': 'Color Scheme Type',
    'DashboardWebStringId.Colorization.MeasureNames': 'Measure Names',
    'DashboardWebStringId.Colorization.AddColor': 'Add Color',
    'DashboardWebStringId.Colorization.ValidationSelectMeasure': 'Select at least one measure',
    'DashboardWebStringId.ColoringModeAuto': 'Auto',
    'DashboardWebStringId.ColoringModeOff': 'Off',
    'DashboardWebStringId.ColoringModeOn': 'On',
    'DashboardWebStringId.ColorScheme.Empty': 'The current dashboard does not contain color schemes',
    'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton': 'Select a data source',
    'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip': 'To add a data source to the current dashboard, go to Menu | Data Sources.',
    'DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage': 'The data source for the {0} item was changed to {1}',
    'DashboardWebStringId.ConditionalFormatting.Miscellaneous': 'Miscellaneous',
    'DashboardWebStringId.Dashboards': 'Dashboards',
    'DashboardWebStringId.EditInDesigner': 'Edit in Designer',
    'DashboardWebStringId.NoDashboards': 'There are no dashboards to display.',
    'DashboardWebStringId.AddNewDashboard': 'To add a new dashboard, click',
    'DashboardWebStringId.NewDashboard': 'New Dashboard',
    'DashboardWebStringId.Binding.Searching': 'Start typing to search...',
    'DashboardWebStringId.Binding.EmptySearchResult': 'Nothing was found',
    'DashboardWebStringId.Errors.AttemptToLoadData': 'An error occurred during an attempt to load data',
    'DashboardWebStringId.ConditionType': 'Condition Type',
    'DashboardWebStringId.ConditionalFormatting.UnsupportedDataType': 'This data type is not supported',
    'DashboardWebStringId.FormatRule': 'Format Rule',
    'DashboardWebStringId.Notification.DashboardSaving': 'Dashboard is saving',
    'DashboardWebStringId.Notification.DashboardSaved': 'Dashboard is saved',
    'DashboardWebStringId.Notification.DashboardCanNotBeSaved': 'The dashboard cannot be saved',
    'DashboardWebStringId.Notification.DashboardSavingIsNotAvailable': 'Saving is not available',
    'DashboardWebStringId.Notification.AttemptToLoadDashboards': 'An error occurred during an attempt to load the list of available dashboards',
    'DashboardWebStringId.Notification.DashboardLoading': 'Dashboard is loading...',
    'DashboardWebStringId.Notification.AttemptToLoadDashboard': 'An error occurred during an attempt to load the dashboard ',
    'DashboardWebStringId.Notification.AttemptToConnectionStrings': 'An error occurred during an attempt to load connection strings',
    'DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode': 'This method is not allowed in the viewer mode',
    'DashboardWebStringId.Notification.AttemptToLoadParameterValues': 'An error occurred during an attempt to load parameter values for the data source ',
    'DashboardWebStringId.Notification.AttemptToGetUnderlyingData': 'An error occurred during an attempt to get underlying data for the item ',
    'DashboardWebStringId.Notification.AttemptToConvertItemToType': 'An error occurred during an attempt to convert the item to the type ',
    'DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues': 'An error occurred during an attempt to load dimension unique values for the data source ',
    'DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource': 'An error occurred during an attempt to load the field list for the data source ',
    'DashboardWebStringId.Notification.AttemptToGetColorScheme': 'An error occurred during an attempt to get the color scheme',
    'DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies': 'An error occurred during an attempt to load available font families',
    'DashboardWebStringId.Notification.AttemptToPerformExport': 'An error occurred during an attempt to perform export',
    'DashboardWebStringId.Notification.NewDashboardCannotBeCreated': 'A new dashboard cannot be created',
    'DashboardWebStringId.Notification.ErrorHasOccuredOn': 'An error occurred during an',
    'DashboardWebStringId.Notification.UnsupportedDataSourceType': 'Unsupported data source type',
    'DashboardWebStringId.Notification.QueryDoesNotExist': 'The query with the specified name does not exist: {0}.',
    'DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded': 'The data for the \'{0}\' dashboard item has not been loaded yet. Please check whether the \'getItemData\' method call returns an initialized non-null value before you request the underlying data.',
    'DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip': 'This dashboard item is bound to a large dataset and does not currently display all data to retain performance. Click this button to display all data.',
    'DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip': 'This dashboard item is bound to a large data set. To increase performance, click this icon to limit visible data.',
    'DashboardWebStringId.ConditionalFormatting.Condition': 'Condition',
    'DashboardWebStringId.CardLayout.MinWidth': 'Min Width',
    'DashboardWebStringId.CardLayout.MaxWidth': 'Max Width',
    'DashboardWebStringId.CardLayout.Editor.CardLayout': 'Card Layout',
    'DashboardWebStringId.CardLayout.Editor.FormatOptions': 'Format Options',
    'DashboardWebStringId.CardLayout.LayoutOptions': 'Layout Options',
    'DashboardWebStringId.CardLayout.ResetTemplate': 'Reset',
    'DashboardWebStringId.CardLayout.ApplyToAllCards': 'Apply to all Cards',
    'DashboardWebStringId.Binding.ValuesPattern': 'Values {0}',
    'DashboardWebStringId.Parameters.ParameterNameShouldBeUnique': 'A name of the parameter should be unique',
    'DashboardWebStringId.Title.ImageEmbedded': 'Embedded',
    'DashboardWebStringId.Title.ImageLinked': 'Linked',
    'DashboardWebStringId.Title.ImageNone': 'None',
    'DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod': 'Set as Default',
    'DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod': 'Clear Default Custom Period',
    'DashboardWebStringId.MobileLayout.Back': 'Back',
    'DashboardWebStringId.MobileLayout.SwitchToViewer': 'You have opened the Web Dashboard in the Designer mode. The control supports a mobile layout only if it works in the Viewer mode. Do you want to switch to the Viewer mode?',
    'DashboardWebStringId.Search': 'Search...',
    'DashboardWebStringId.SearchFontFamilies': 'Search font families...',
    'DashboardStringId.DefaultNameTabPage': 'Page',
    'DashboardStringId.DefaultNameChartPane': 'Pane',
    'DashboardStringId.DefaultNameChartIndicator': 'indicator',
    'DashboardStringId.NewCalculatedFieldNamePrefix': 'Calculated Field',
    'DashboardStringId.NewParameterNamePrefix': 'Parameter',
    'AnalyticsCoreStringId.Parameter_Type_String': 'String',
    'AnalyticsCoreStringId.Parameter_Type_DateTime': 'Date',
    'AnalyticsCoreStringId.Parameter_Type_Int16': 'Number (16 bit integer)',
    'AnalyticsCoreStringId.Parameter_Type_Int32': 'Number (32 bit integer)',
    'AnalyticsCoreStringId.Parameter_Type_Int64': 'Number (64 bit integer)',
    'AnalyticsCoreStringId.Parameter_Type_Float': 'Number (floating-point)',
    'AnalyticsCoreStringId.Parameter_Type_Double': 'Number (double-precision floating-point)',
    'AnalyticsCoreStringId.Parameter_Type_Decimal': 'Number (decimal)',
    'AnalyticsCoreStringId.Parameter_Type_Boolean': 'Boolean',
    'AnalyticsCoreStringId.Parameter_Type_Guid': 'Guid',
    'AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption': 'Expression Editor',
    'DataAccessUIStringId.FiltersView': 'Filter Editor',
    'DashboardStringId.SeriesTypeGroupArea': 'Area',
    'DashboardStringId.SeriesTypeGroupBar': 'Bar',
    'DashboardStringId.SeriesTypeGroupBubble': 'Bubble',
    'DashboardStringId.SeriesTypeGroupFinancial': 'Financial',
    'DashboardStringId.SeriesTypeGroupPointLine': 'Point / Line',
    'DashboardStringId.SeriesTypeGroupRange': 'Range',
    'DashboardStringId.FunctionCategoryWindow': 'Window',
    'DashboardStringId.FunctionCategoryAggregate': 'Aggregate',
    'DashboardStringId.FunctionCategoryAdvanced': 'Advanced',
    'DashboardStringId.FunctionDescriptionRunningCustomAggregate': 'RunningAggregate(SummaryExpression, CustomAggregateName) - Returns the cumulative result of the custom function applied to specified expression from the first row in the window to the current row.\r\n',
    'DashboardStringId.FunctionDescriptionWindowCustomAggregate': 'WindowAggregate(SummaryExpression, StartOffset, EndOffset, CustomAggregateName) - Returns the result of the custom function applied to the specified expression in the window.\r\n',
    'DashboardStringId.FunctionDescriptionWindowAvg': 'WindowAvg(SummaryExpression, StartOffset, EndOffset)\r\nReturns the average of the expression within the window, which is defined using offsets from the current row.\r\n  ',
    'DashboardStringId.FunctionDescriptionRunningMin': 'RunningMin(SummaryExpression)\r\nReturns the running minimum of the specified expression from the first row in the window to the current row.\r\n  ',
    'DashboardStringId.FunctionDescriptionTotal': 'Total(SummaryExpression)\r\nReturns the total for the specified expression in a table calculation window.\r\n  ',
    'DashboardStringId.FunctionDescriptionRankCompetition': 'RankCompetition(SummaryExpression, ["asc", "desc"])\r\nReturns the standard competition rank for the current row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionLookup': 'Lookup(SummaryExpression, Position)\r\nReturns the value of the expression in a target position specified as a relative offset from the current position.\r\n  ',
    'DashboardStringId.FunctionDescriptionRunningCount': 'RunningCount(SummaryExpression)\r\nReturns the running count of the specified expression from the first row in the window to the current row.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowMax': 'WindowMax(SummaryExpression, StartOffset, EndOffset)\r\nReturns the maximum of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionVarp': 'Varp(Value)\r\nReturns the variance of a population, where the population is the entire data to be summarized.',
    'DashboardStringId.FunctionDescriptionRunningAvg': 'RunningAvg(SummaryExpression)\r\nReturns the running average of the specified expression from the first row in the window to the current row.\r\n  ',
    'DashboardStringId.FunctionDescriptionFirst': 'First()\r\nReturns the number of rows from the current row to the first row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowMin': 'WindowMin(SummaryExpression, StartOffset, EndOffset)\r\nReturns the minimum of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowStdDev': 'WindowStdDev(SummaryExpression, StartOffset, EndOffset)\r\nReturns the sample standard deviation of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionLast': 'Last()\r\nReturns the number of rows from the current row to the last row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowCount': 'WindowCount(SummaryExpression, StartOffset, EndOffset)\r\nReturns the count of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionCountDistinct': 'CountDistinct(Value)\r\nReturns the number of unique objects in a collection.',
    'DashboardStringId.FunctionDescriptionIndex': 'Index()\r\nReturns the index of the current row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowStdDevp': 'WindowStdDevp(SummaryExpression, StartOffset, EndOffset)\r\nReturns the biased standard deviation of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowMode': 'WindowMode(SummaryExpression, StartOffset, EndOffset)\r\n Returns the mode of the expression within the window.',
    'DashboardStringId.FunctionDescriptionRunningMax': 'RunningMax(SummaryExpression)\r\nReturns the running maximum of the specified expression from the first row in the window to the current row.\r\n  ',
    'DashboardStringId.FunctionDescriptionRankPercentile': 'RankPercentile(SummaryExpression, ["asc", "desc"])\r\nReturns the percentile rank for the current row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionRankDense': 'RankDense(SummaryExpression, ["asc", "desc"])\r\nReturns the dense rank for the current row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowSum': 'WindowSum(SummaryExpression, StartOffset, EndOffset)\r\nReturns the sum of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowCountDistinct': 'WindowCountDistinct(SummaryExpression, StartOffset, EndOffset)\r\nReturns the distinct count of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionStdDevp': 'StdDevp(Value)\r\nReturns the standard deviation of a population, where the population is the entire data to be summarized.',
    'DashboardStringId.FunctionDescriptionSize': 'Size()\r\nReturns the number of rows in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionMedian': 'Median(Value)\r\nReturns the median of the values in a collection.',
    'DashboardStringId.FunctionDescriptionRankModified': 'RankModified(SummaryExpression, ["asc", "desc"])\r\nReturns the modified competition rank for the current row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowMedian': 'WindowMedian(SummaryExpression, StartOffset, EndOffset)\r\nReturns the median of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionRunningSum': 'RunningSum(SummaryExpression)\r\nReturns the running sum of the specified expression from the first row in the window to the current row.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowVarp': 'WindowVarp(SummaryExpression, StartOffset, EndOffset)\r\nReturns the biased variance of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionWindowVar': 'WindowVar(SummaryExpression, StartOffset, EndOffset)\r\nReturns the variance of the expression within the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionStdDev': 'StdDev(Value)\r\nReturns an estimate of the standard deviation of a population, where the sample is a subset of the entire population.',
    'DashboardStringId.FunctionDescriptionRankUnique': 'RankUnique(SummaryExpression, ["asc", "desc"])\r\nReturns the unique rank for the current row in the window.\r\n  ',
    'DashboardStringId.FunctionDescriptionVar': 'Var(Value)\r\nReturns an estimate of the variance of a population, where the sample is a subset of the entire population.',
    'DashboardStringId.FunctionDescriptionAggr': 'aggr(SummaryExpression, Dimension1, Dimension2, ...)\r\nUses the detail level and summary function to aggregate underlying data. The level depends on the number of dimensions.',
    'DashboardStringId.FunctionDescriptionAggrJoinRule': "joinRule(dimension, searchValue)\r\nSpecifies the dimension for the 'aggr' function and a column whose values are used in the join operation after aggregation is completed.",
    'DashboardStringId.FunctionDescriptionWindowDefinition': 'w(WindowExpression, partitionByFunction, orderByFunction)\r\nCalculates aggregated values with the specified window function for the window defined by the specified partitioning and ordering.',
    'DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy': 'partitionBy(column1, column2, ...)\r\nSpecifies the columns by which the data rows are partitioned. The window function is applied to each partition separately.',
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy': 'orderBy(column1, column2, ...)\r\nSpecifies the logical order in which the window function calculation is performed on the rows in the window.',
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc': 'asc(column)\r\nSpecifies that the values in the specified column are sorted in ascending order. This is the default sort order.',
    'DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc': 'desc(column)\r\nSpecifies that the values in the specified column are sorted in descending order.',
    'DashboardStringId.AggregateExFunctionDescriptionCountNotNull': 'CountNotNull(Value)\r\nReturns a number of non-null objects in a collection.',
    'DashboardStringId.AggregateExFunctionDescriptionMode': 'Mode(Value)\r\nThe mode of the values.A mode is the value that is repeated more often than any other.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour': 'GetDateHour(DateTime)\r\nExtracts the date part with the hour value from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute': 'GetDateHourMinute(DateTime)\r\nExtracts the date part with the hour and minute values from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond': 'GetDateHourMinuteSecond(DateTime)\r\nExtracts the date part with the hour, minute, and second values from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear': 'GetDateHourMinuteSecond(DateTime)\r\nExtracts the date part with the hour, minute, and second values from the defined DateTime.',
    'DashboardStringId.FunctionDescriptionGetDateWeekYear': 'GetDateWeekYear(DateTime)\r\nReturns the date that corresponds the first day of the week in the defined DateTime depending on the culture settings.',
    'DashboardStringId.FunctionDescriptionGetDateWeekYear2': "GetDateWeekYear(DateTime, ['FirstDay', 'FirstFullWeek', 'FirstFourDayWeek'])\r\nReturns the date of the first day of the week for a given DateTime. The second parameter determines the rule for calculating the calendar week.",
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear': 'GetDateQuarterYear(DateTime)\r\nExtracts the date with the quarter and year from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter': 'GetQuarter(DateTime)\r\nExtracts a quarter from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth': 'GetWeekOfMonth(DateTime)\r\nExtracts the week of the month from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear': 'GetWeekOfYear(DateTime)\r\nExtracts the week of the year from the defined DateTime.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3': 'MakeDateTime(Year, Month, Day)\r\nReturns a date value constructed from the specified Year, Month and Day.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4': 'MakeDateTime(Year, Month, Day, Hour)\r\nReturns a date value constructed from the specified Year, Month, Day and Hour.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5': 'MakeDateTime(Year, Month, Day, Hour, Minute)\r\nReturns a date value constructed from the specified Year, Month, Day, Hour and Minute.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6': 'MakeDateTime(Year, Month, Day, Hour, Minute, Second)\r\nReturns a date value constructed from the specified Year, Month, Day, Hour, Minute and Second.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean': 'ToBoolean(Value)\r\nConverts Value to an equivalent Boolean value.',
    'DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime': 'ToDateTime(Value)\r\nConverts Value to a DateTime value.',
    'DashboardStringId.SparklineIndicationModeLine': 'Line',
    'DashboardStringId.SparklineIndicationModeArea': 'Area',
    'DashboardStringId.SparklineIndicationModeBar': 'Bar',
    'DashboardStringId.SparklineIndicationModeWinLoss': 'Win/Loss',
    'DashboardStringId.DefaultNameDateFilterItem': 'Date Filter',
    'DashboardWebStringId.DateFilter.FilterType': 'Filter Type',
    'DashboardWebStringId.DateFilter.FilterTypeExact': 'Exact',
    'DashboardWebStringId.DateFilter.FilterTypeAfter': 'After',
    'DashboardWebStringId.DateFilter.FilterTypeBefore': 'Before',
    'DashboardWebStringId.DateFilter.FilterTypeBetween': 'Between',
    'DashboardWebStringId.DateFilter.ArrangementMode': 'Arrangement Mode',
    'DashboardWebStringId.DateFilter.ArrangementModeAutoHeight': 'Auto Height',
    'DashboardWebStringId.DateFilter.ArrangementModeHorizontal': 'Horizontal',
    'DashboardWebStringId.DateFilter.ArrangementModeVertical': 'Vertical',
    'DashboardWebStringId.DateFilter.DatePickerLocation': 'Date Picker Location',
    'DashboardWebStringId.DateFilter.DatePickerLocationFar': 'Far',
    'DashboardWebStringId.DateFilter.DatePickerLocationNear': 'Near',
    'DashboardWebStringId.DateFilter.DatePickerLocationHidden': 'Hidden',
    'DashboardStringId.DateFilterDisplayTextPattern': 'Display Text Pattern',
    'DashboardStringId.DateFilterDatePickerButtonDefaultText': 'Set Filter...',
    'DashboardStringId.FromDatePeriodCaption': 'From {0}',
    'DashboardStringId.ToDatePeriodCaption': 'To {0}',
    'DashboardStringId.FromToDatePeriodCaption': '{0} - {1}',
    'DashboardStringId.UniqueNameValidationMessage': 'A name should be unique.',
    'DashboardStringId.NumberRangeValidationMessage': 'Value is out of ranges',
    'DashboardStringId.GridTotalAutoTemplate': '{0}',
    'DashboardStringId.GridTotalValueTemplate': '{0}',
    'DashboardStringId.GridTotalTemplate': '{0} = {1}',
    'DashboardStringId.GridTotalTypeCount': 'Count',
    'DashboardStringId.GridTotalTypeMin': 'Min',
    'DashboardStringId.GridTotalTypeMax': 'Max',
    'DashboardStringId.GridTotalTypeAvg': 'Avg',
    'DashboardStringId.GridTotalTypeSum': 'Sum',
    'DashboardStringId.GridTotalTypeAuto': 'Auto',
    'DashboardStringId.ActionShowDataInspector': 'Inspect Data',
    'DashboardStringId.InspectedData': 'Inspected Data:',
    'DashboardStringId.InspectedTypeFormatString': '({0} Data)',
    'DashboardStringId.AggregatedDataType': 'Aggregated',
    'DashboardStringId.RawDataType': 'Raw',
    'DashboardStringId.OLAPUnavailableRawData': 'OLAP Data Source - Data Unavailable',
    'DashboardStringId.SparklineValuesSeparator': ', ',
    'DashboardStringId.SparklineArgumentValueSeparator': ' - ',
    'DashboardStringId.DataInspectorButtonClose': 'Close',
    'DashboardWebStringId.Grid.FilterClause.ApplyFilter': 'Apply filter',
    'DashboardWebStringId.Grid.FilterClause.ResetOperation': 'Reset',
    'DashboardWebStringId.Grid.FilterClause.Contains': 'Contains',
    'DashboardWebStringId.Grid.FilterClause.DoesNotContain': 'Does not contain',
    'DashboardWebStringId.Grid.FilterClause.StartsWith': 'Starts with',
    'DashboardWebStringId.Grid.FilterClause.EndsWith': 'Ends with',
    'DashboardWebStringId.Grid.FilterClause.Equals': 'Equals',
    'DashboardWebStringId.Grid.FilterClause.DoesNotEqual': 'Does not equal',
    'DashboardWebStringId.Grid.FilterClause.Less': 'Less than',
    'DashboardWebStringId.Grid.FilterClause.Greater': 'Greater than',
    'DashboardWebStringId.Grid.FilterClause.LessOrEqual': 'Less than or equal to',
    'DashboardWebStringId.Grid.FilterClause.GreaterOrEqual': 'Greater than or equal to',
    'DashboardWebStringId.Grid.FilterClause.Between': 'Between',
    'DashboardWebStringId.Grid.FilterClause.BetweenStart': 'Start',
    'DashboardWebStringId.Grid.FilterClause.BetweenEnd': 'End',
    'DashboardWebStringId.AccordionTab.Content': 'Content',
    'DashboardWebStringId.TextBoxItemEditor.NoFields': 'No dashboard fields',
    'DashboardWebStringId.TextBoxItemEditor.InsertField': 'Insert Field',
    'DashboardWebStringId.TextBoxItemEditor.EditTextButton': 'Edit Text',
    'DashboardWebStringId.TextBoxItemEditor.DialogCaption': 'Text Editor',
    'DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose': 'Save and Close',
    'DashboardWebStringId.TextBoxItemEditor.DialogClose': 'Close',
    'DashboardStringId.StartDate': '(Start Date)',
    'DashboardStringId.EndDate': '(End Date)',
    'DashboardWebStringId.AccordionTab.MeasureFilter': 'Filter',
    'DashboardStringId.FunctionDescriptionAggregateFilter': 'filter(SummaryExpression, filterCriteria)\r\nFilters underlying data with specified filter criteria and aggregates filtered data using current detail level and the summary function.',
    'DashboardWebStringId.TabPages': 'Tab Pages',
    'DashboardWebStringId.More': 'More',
    'DashboardStringId.MeasureFilterCaptionFormatString': 'Filtered {0}',
    'DashboardWebStringId.AccordionTab.ItemFilter': 'Item Filter',
    'DashboardWebStringId.AccordionTab.VisibleDataFilter': 'Visible Data Filter',
    'DashboardStringId.LayoutDimensionModeAuto': 'Auto',
    'DashboardStringId.LayoutDimensionModeFixed': 'Fixed',
    'DashboardWebStringId.DesignerToolbar.Width': 'W:',
    'DashboardWebStringId.DesignerToolbar.Height': 'H:',
    'DashboardWebStringId.DesignerToolbar.Pixels': 'px',
    'DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError': 'The value should be between {0} and {1}',
    'DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage': 'Provide at least one data source to be used to create a federated data source.',
    'DevExpressWebStringId.AriaLabel.EmptyDashboardItem': 'Dashboard item is empty',
    'DevExpressWebStringId.AriaLabel.DashboardItem': 'Dashboard item, {0}',
    'DevExpressWebStringId.AriaLabel.DashboardMasterFilter': 'Master filter, {0}',
    'DevExpressWebStringId.AriaLabel.DashboardItemUpdated': '{0} updated',
    'DevExpressWebStringId.AriaLabel.DashboardTitle': 'Dashboard title, {0}'
};
function tryLocalize(key) {
    return (0,_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.localize)(key) || key;
}
function getLocalizationById(key) {
    return (0,_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.localize)(key) || key;
}
function formatLocalizable(localizationId, arg1) {
    return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1__.format)(getLocalizationById(localizationId), getLocalizationById(arg1));
}
function getDefaultLocalization() {
    return defaultLocalization;
}


/***/ }),

/***/ 9219:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ DifferenceCalculation)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5354);
/* harmony import */ var _metadata_difference_calculation__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5116);



class DifferenceCalculation extends _measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .MeasureCalculation */ .Q {
    static getLookupShiftExpression(target) {
        switch (target) {
            case 'Previous':
                return '-1';
            case 'Next':
                return '1';
            case 'First':
                return 'First()';
            case 'Last':
                return 'First()';
            default:
                throw new Error('Unsupported Target');
        }
    }
    get name() {
        return 'DashboardWebStringId.Calculations.DifferenceCalculation';
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    get lookupShiftExpression() {
        return DifferenceCalculation.getLookupShiftExpression(this.target());
    }
    getInfo() {
        return _metadata_difference_calculation__WEBPACK_IMPORTED_MODULE_2__/* .differenceCalculationSerializationsInfo */ .aN;
    }
    _createInstance() {
        return new DifferenceCalculation();
    }
    _getExpression(argument) {
        switch (this.differenceType()) {
            case 'Absolute':
                return `${argument} - Lookup(${argument}, ${this.lookupShiftExpression})`;
            case 'Percentage':
                return `ToDouble(${argument} - Lookup(${argument}, ${this.lookupShiftExpression})) / Lookup(${argument}, ${this.lookupShiftExpression})`;
            default:
                throw new Error('Unexpected DifferenceType');
        }
    }
}
_measure_calculation__WEBPACK_IMPORTED_MODULE_1__/* .calculationsTypesMap */ .c['DifferenceCalculation'] = DifferenceCalculation;


/***/ }),

/***/ 9220:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Mq: () => (/* binding */ vAlignment),
/* harmony export */   QH: () => (/* binding */ cardRowBaseSerializationInfo),
/* harmony export */   Rv: () => (/* binding */ cardRowSerializationInfo),
/* harmony export */   Yt: () => (/* binding */ elements),
/* harmony export */   pZ: () => (/* binding */ indent),
/* harmony export */   sK: () => (/* binding */ cardSparklineRowSerializationInfo),
/* harmony export */   uJ: () => (/* binding */ height),
/* harmony export */   wn: () => (/* binding */ cardSparklineRowOptions)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);

let vAlignment = { propertyName: 'vAlignment', modelName: '@VAlignment' };
let indent = { propertyName: 'indent', modelName: '@Indent' };
let cardRowBaseSerializationInfo = [vAlignment, indent, _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .itemType */ .YG];
let elements = { propertyName: 'elements', modelName: 'CardRowElements', array: true };
let cardRowSerializationInfo = cardRowBaseSerializationInfo.concat([elements]);
let height = { propertyName: 'height', modelName: '@Height' };
let cardSparklineRowOptions = { propertyName: 'sparklineOptions', modelName: 'sparklineOptions' };
let cardSparklineRowSerializationInfo = cardRowBaseSerializationInfo.concat([height, cardSparklineRowOptions]);


/***/ }),

/***/ 9223:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Hf: () => (/* binding */ formatConditionMinMaxBaseSerializationsInfo),
/* harmony export */   Rt: () => (/* binding */ minimumType),
/* harmony export */   XF: () => (/* binding */ formatConditionMinimum),
/* harmony export */   nG: () => (/* binding */ formatConditionMaximum),
/* harmony export */   xM: () => (/* binding */ maximumType)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8245);


let minimumType = {
    propertyName: 'minimumType', modelName: '@MinimumType', displayName: 'DashboardWebStringId.ConditionalFormatting.MinimumType', defaultVal: 'Automatic', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Automatic': 'DashboardStringId.FormatConditionAutomaticValueType',
        'Number': 'DashboardStringId.FormatConditionNumberValueType',
        'Percent': 'DashboardStringId.FormatConditionPercentValueType'
    }
};
let maximumType = {
    propertyName: 'maximumType', modelName: '@MaximumType', displayName: 'DashboardWebStringId.ConditionalFormatting.MaximumType', defaultVal: 'Automatic', simpleFormAdapterItem: 'buttonGroupEditor', values: {
        'Automatic': 'DashboardStringId.FormatConditionAutomaticValueType',
        'Number': 'DashboardStringId.FormatConditionNumberValueType',
        'Percent': 'DashboardStringId.FormatConditionPercentValueType'
    }
};
let formatConditionMinimum = { propertyName: 'minimum', modelName: '@Minimum', displayName: 'DashboardWebStringId.ConditionalFormatting.ConditionMinimum', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let formatConditionMaximum = { propertyName: 'maximum', modelName: '@Maximum', displayName: 'DashboardWebStringId.ConditionalFormatting.ConditionMaximum', defaultVal: 0, simpleFormAdapterItem: 'numberBoxEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .floatFromModel */ .a1 };
let formatConditionMinMaxBaseSerializationsInfo = _format_condition_style_base__WEBPACK_IMPORTED_MODULE_1__/* .formatConditionStyleBaseSerializationsInfo */ .i.concat([minimumType, maximumType, formatConditionMinimum, formatConditionMaximum]);


/***/ }),

/***/ 9228:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $h: () => (/* binding */ intersectionLevelMode),
/* harmony export */   QF: () => (/* binding */ applyToColumn),
/* harmony export */   iU: () => (/* binding */ restrictedIntersectionLevelModeValues),
/* harmony export */   oR: () => (/* binding */ pivotItemFormatRuleSerializationsInfo),
/* harmony export */   pJ: () => (/* binding */ intersectionLevelModeValues),
/* harmony export */   tZ: () => (/* binding */ pivotLevel)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(76);
/* harmony import */ var _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2807);



let applyToColumn = { propertyName: 'applyToColumn', modelName: '@ApplyToColumn', displayName: 'DashboardStringId.FormatRuleApplyToColumn', defaultVal: false, simpleFormAdapterItem: 'onOffButtonGroupEditor', from: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .parseBool */ .q6 };
let intersectionLevelModeValues = {
    'Auto': 'DashboardStringId.IntersectionLevelModeAuto',
    'FirstLevel': 'DashboardStringId.IntersectionLevelModeFirst',
    'LastLevel': 'DashboardStringId.IntersectionLevelModeLast',
    'AllLevels': 'DashboardStringId.IntersectionLevelModeAll',
    'SpecificLevel': 'DashboardStringId.IntersectionLevelModeSpecific'
};
let restrictedIntersectionLevelModeValues = { ...intersectionLevelModeValues };
delete restrictedIntersectionLevelModeValues['AllLevels'];
let intersectionLevelMode = {
    propertyName: 'intersectionLevelMode', modelName: '@IntersectionLevelMode', displayName: 'DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode', defaultVal: 'Auto'
};
let pivotLevel = { propertyName: 'level', modelName: 'PivotItemFormatRuleLevel', type: _pivot_item_format_rule_level__WEBPACK_IMPORTED_MODULE_1__/* .PivotItemFormatRuleLevel */ .F };
let pivotItemFormatRuleSerializationsInfo = _cells_item_format_rule__WEBPACK_IMPORTED_MODULE_2__/* .cellsItemFormatRuleSerializationsInfo */ .pm.concat([applyToColumn, intersectionLevelMode, pivotLevel]);


/***/ }),

/***/ 9272:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ MeasureDefinition)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1704);
/* harmony import */ var devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(9167);
/* harmony import */ var _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4030);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1513);
/* harmony import */ var _dimension_definition__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1055);
/* harmony import */ var _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9369);








class MeasureDefinition extends _serializable_model__WEBPACK_IMPORTED_MODULE_5__/* .SerializableModel */ .Lm {
    static _constructFilteredName(baseName) {
        return (0,devextreme_core_utils_string__WEBPACK_IMPORTED_MODULE_1__.format)((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardStringId.MeasureFilterCaptionFormatString'), baseName);
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer, _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__/* .measureKeySerializationInfo */ .S7);
        this.definitions = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(modelJson.Definitions, (item) => new _dimension_definition__WEBPACK_IMPORTED_MODULE_6__/* .DimensionDefinition */ .M(item, serializer));
        this.addDisposable(this.displayText = knockout__WEBPACK_IMPORTED_MODULE_2__.computed(() => {
            if (!!this.expression())
                return (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Calculations.Expression');
            let prefix = !!this.calculation.calculation() && (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)(this.calculation.calculation().name);
            let postfix = ' (' + (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_3__/* .getLocalizationById */ .Mu)(_data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_4__/* .summaryTypeDict */ .Jf[this.summaryType() || 'Sum']) + ')';
            let name = ((prefix && (prefix + ' ')) || '') + this.dataMember() + postfix;
            if (this.filterString())
                return MeasureDefinition._constructFilteredName(name);
            return name;
        }));
        this.addDisposable(this.calculation, this.windowDefinition);
    }
    getInfo() {
        return _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__/* .measureKeySerializationInfo */ .S7;
    }
    get _id() {
        let serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer({ useRefs: false });
        return JSON.stringify(serializer.serialize(this, _metadata_color_scheme_entry__WEBPACK_IMPORTED_MODULE_7__/* .measureKeySerializationInfo */ .S7));
    }
}


/***/ }),

/***/ 9282:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FF: () => (/* binding */ _dashboardItemInteractivityOptionsMeta),
/* harmony export */   Hl: () => (/* binding */ FilterableDashboardItemInteractivityOptions),
/* harmony export */   Lv: () => (/* binding */ _tabItemInteractivityOptions),
/* harmony export */   Pz: () => (/* binding */ _filterItemInteractivityOptionsMeta),
/* harmony export */   Q_: () => (/* binding */ DashboardItemBaseInteractivityOptions),
/* harmony export */   UN: () => (/* binding */ DashboardItemGroupInteractivityOptions),
/* harmony export */   _3: () => (/* binding */ DashboardTabItemInteractivityOptions),
/* harmony export */   e0: () => (/* binding */ ChartInteractivityOptions),
/* harmony export */   hT: () => (/* binding */ DashboardItemMasterFilterInteractivityOptions),
/* harmony export */   jI: () => (/* binding */ _chartItemInteractivityOptionsMeta),
/* harmony export */   kb: () => (/* binding */ _groupItemInteractivityOptionsMeta),
/* harmony export */   lZ: () => (/* binding */ DashboardItemInteractivityOptions),
/* harmony export */   qA: () => (/* binding */ _masterFilterInteractivityOptionsMeta),
/* harmony export */   vP: () => (/* binding */ _baseInteractivityOptionsMeta),
/* harmony export */   xE: () => (/* binding */ _drillDownInteractivityOptionsMeta),
/* harmony export */   yN: () => (/* binding */ DashboardItemDrillDownInteractivityOptions)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1513);
/* harmony import */ var _metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2591);



class FilterableDashboardItemInteractivityOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return [_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .ignoreMasterFiltersDefaultTrue */ .Ny];
    }
}
class DashboardItemGroupInteractivityOptions extends FilterableDashboardItemInteractivityOptions {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return super.getInfo().concat(_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .isMasterFilterDefaultFalse */ .rH);
    }
}
class DashboardItemBaseInteractivityOptions extends _serializable_model__WEBPACK_IMPORTED_MODULE_1__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return [_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .ignoreMasterFiltersDefaultFalse */ .ym];
    }
}
class DashboardTabItemInteractivityOptions extends DashboardItemBaseInteractivityOptions {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return super.getInfo().concat([_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .isMasterFilterDefaultTrue */ .gu, _metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .ignoreMasterFiltersDefaultFalse */ .ym]);
    }
}
class DashboardItemMasterFilterInteractivityOptions extends DashboardItemBaseInteractivityOptions {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return super.getInfo().concat([_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .masterFilterMode */ .u3]);
    }
}
class DashboardItemDrillDownInteractivityOptions extends DashboardItemBaseInteractivityOptions {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return super.getInfo().concat([_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .isDrillDownEnabled */ .ht]);
    }
}
class DashboardItemInteractivityOptions extends DashboardItemMasterFilterInteractivityOptions {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return super.getInfo().concat([_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .isDrillDownEnabled */ .ht]);
    }
}
class ChartInteractivityOptions extends DashboardItemInteractivityOptions {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return super.getInfo().concat(_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .targetDimensions */ .Jc);
    }
}
let _filterItemInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(FilterableDashboardItemInteractivityOptions);
let _groupItemInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(DashboardItemGroupInteractivityOptions);
let _tabItemInteractivityOptions = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(DashboardTabItemInteractivityOptions);
let _baseInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(DashboardItemBaseInteractivityOptions);
let _dashboardItemInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(DashboardItemInteractivityOptions);
let _masterFilterInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(DashboardItemMasterFilterInteractivityOptions);
let _drillDownInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(DashboardItemDrillDownInteractivityOptions);
let _chartItemInteractivityOptionsMeta = (0,_metadata_interactivity_options__WEBPACK_IMPORTED_MODULE_2__/* .getInteractivityOptionsPropertyInfo */ .rZ)(ChartInteractivityOptions);


/***/ }),

/***/ 9361:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ chartHelper)
/* harmony export */ });
let chartHelper = {
    SelectionMode: {
        Argument: 'Argument',
        Series: 'Series',
        Points: 'Points'
    },
    ChartLegendInsidePosition: {
        TopLeftVertical: 'TopLeftVertical',
        TopLeftHorizontal: 'TopLeftHorizontal',
        TopCenterVertical: 'TopCenterVertical',
        TopCenterHorizontal: 'TopCenterHorizontal',
        TopRightVertical: 'TopRightVertical',
        TopRightHorizontal: 'TopRightHorizontal',
        BottomLeftVertical: 'BottomLeftVertical',
        BottomLeftHorizontal: 'BottomLeftHorizontal',
        BottomCenterVertical: 'BottomCenterVertical',
        BottomCenterHorizontal: 'BottomCenterHorizontal',
        BottomRightVertical: 'BottomRightVertical',
        BottomRightHorizontal: 'BottomRightHorizontal'
    },
    ChartLegendOutsidePosition: {
        TopLeftVertical: 'TopLeftVertical',
        TopLeftHorizontal: 'TopLeftHorizontal',
        TopCenterHorizontal: 'TopCenterHorizontal',
        TopRightVertical: 'TopRightVertical',
        TopRightHorizontal: 'TopRightHorizontal',
        BottomLeftVertical: 'BottomLeftVertical',
        BottomLeftHorizontal: 'BottomLeftHorizontal',
        BottomCenterHorizontal: 'BottomCenterHorizontal',
        BottomRightVertical: 'BottomRightVertical',
        BottomRightHorizontal: 'BottomRightHorizontal'
    },
    convertSeriesType: function (viewSeriesType) {
        switch (viewSeriesType) {
            case 'Bar': return 'bar';
            case 'StackedBar': return 'stackedbar';
            case 'FullStackedBar': return 'fullstackedbar';
            case 'Point': return 'scatter';
            case 'Line': return 'line';
            case 'StackedLine': return 'stackedline';
            case 'FullStackedLine': return 'fullstackedline';
            case 'StepLine': return 'stepline';
            case 'Spline': return 'spline';
            case 'Area': return 'area';
            case 'StackedArea': return 'stackedarea';
            case 'FullStackedArea': return 'fullstackedarea';
            case 'StepArea': return 'steparea';
            case 'SplineArea': return 'splinearea';
            case 'StackedSplineArea': return 'stackedsplinearea';
            case 'FullStackedSplineArea': return 'fullstackedsplinearea';
            case 'SideBySideRangeBar': return 'rangebar';
            case 'RangeArea': return 'rangearea';
            case 'CandleStick': return 'candlestick';
            case 'Stock': return 'stock';
            case 'Donut': return 'doughnut';
            case 'Pie': return 'pie';
            case 'HighLowClose': return 'stock';
            case 'Weighted': return 'bubble';
            default:
                return 'area';
        }
    },
    convertPresentationUnit: function (argumentViewModel) {
        if (argumentViewModel && argumentViewModel.Type === 'DateTime') {
            switch (argumentViewModel.DateTimePresentationUnit) {
                case 'Second':
                    return 'second';
                case 'Minute':
                    return 'minute';
                case 'Hour':
                    return 'hour';
                case 'Day':
                    return 'day';
                case 'Month':
                    return 'month';
                case 'Week':
                    return 'week';
                case 'Quarter':
                    return 'quarter';
                default:
                    return null;
            }
        }
        return null;
    },
    convertLegendInsidePosition: function (position) {
        var legendPosition = this.ChartLegendInsidePosition;
        switch (position) {
            case legendPosition.TopLeftVertical:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'left',
                    orientation: 'vertical'
                };
            case legendPosition.TopLeftHorizontal:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'left',
                    orientation: 'horizontal'
                };
            case legendPosition.TopCenterVertical:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'center',
                    orientation: 'vertical'
                };
            case legendPosition.TopCenterHorizontal:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'center',
                    orientation: 'horizontal'
                };
            case legendPosition.TopRightVertical:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'right',
                    orientation: 'vertical'
                };
            case legendPosition.TopRightHorizontal:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'right',
                    orientation: 'horizontal'
                };
            case legendPosition.BottomLeftVertical:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'left',
                    orientation: 'vertical'
                };
            case legendPosition.BottomLeftHorizontal:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'left',
                    orientation: 'horizontal'
                };
            case legendPosition.BottomCenterVertical:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'center',
                    orientation: 'vertical'
                };
            case legendPosition.BottomCenterHorizontal:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'center',
                    orientation: 'horizontal'
                };
            case legendPosition.BottomRightVertical:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'right',
                    orientation: 'vertical'
                };
            case legendPosition.BottomRightHorizontal:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'right',
                    orientation: 'horizontal'
                };
            default:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'center',
                    orientation: 'horizontal'
                };
        }
    },
    convertLegendOutsidePosition: function (position) {
        var legendPosition = this.ChartLegendOutsidePosition;
        switch (position) {
            case legendPosition.TopLeftVertical:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'left',
                    orientation: 'vertical'
                };
            case legendPosition.TopLeftHorizontal:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'left',
                    orientation: 'horizontal'
                };
            case legendPosition.TopCenterHorizontal:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'center',
                    orientation: 'horizontal'
                };
            case legendPosition.TopRightVertical:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'right',
                    orientation: 'vertical'
                };
            case legendPosition.TopRightHorizontal:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'right',
                    orientation: 'horizontal'
                };
            case legendPosition.BottomLeftVertical:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'left',
                    orientation: 'vertical'
                };
            case legendPosition.BottomLeftHorizontal:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'left',
                    orientation: 'horizontal'
                };
            case legendPosition.BottomCenterHorizontal:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'center',
                    orientation: 'horizontal'
                };
            case legendPosition.BottomRightVertical:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'right',
                    orientation: 'vertical'
                };
            case legendPosition.BottomRightHorizontal:
                return {
                    verticalAlignment: 'bottom',
                    horizontalAlignment: 'right',
                    orientation: 'horizontal'
                };
            default:
                return {
                    verticalAlignment: 'top',
                    horizontalAlignment: 'center',
                    orientation: 'horizontal'
                };
        }
    },
    convertPointLabelRotationAngle: function (orientation) {
        switch (orientation) {
            case 'RotateRight':
                return 90;
            case 'RotateLeft':
                return 270;
            default:
                return 0;
        }
    },
    convertPointLabelPosition: function (position) {
        if (position == 'Inside')
            return 'inside';
        else
            return 'outside';
    },
    allowArgumentAxisMargins: function (panes) {
        var seriesType = undefined, seriesEqual = true, marginsArgsEnabled;
        if (panes.length == 1) {
            panes[0].SeriesTemplates.forEach(seriesTemplate => {
                seriesType = (seriesType == undefined) ? seriesTemplate.SeriesType : seriesType;
                seriesEqual = seriesEqual && (seriesType === seriesTemplate.SeriesType);
            });
            marginsArgsEnabled = !(seriesEqual &&
                (['Area', 'StackedArea', 'FullStackedArea', 'StepArea', 'SplineArea', 'StackedSplineArea', 'RangeArea', 'FullStackedSplineArea'].indexOf(seriesType) !== -1));
        }
        else
            marginsArgsEnabled = true;
        return marginsArgsEnabled;
    },
    isFinancialType: function (type) {
        switch (type) {
            case 'candlestick':
            case 'stock':
                return true;
            default:
                return false;
        }
    },
    isTransparentColorType: function (type) {
        switch (type) {
            case 'area':
            case 'steparea':
            case 'splinearea':
            case 'rangearea':
            case 'bubble':
                return true;
            default:
                return false;
        }
    },
    isSeriesColorSupported: function (type) {
        switch (type) {
            case 'line':
            case 'stackedline':
            case 'fullstackedline':
            case 'stepline':
            case 'spline':
            case 'area':
            case 'fullstackedarea':
            case 'splinearea':
            case 'stackedarea':
            case 'stackedsplinearea':
            case 'fullstackedsplinearea':
            case 'steparea':
            case 'rangearea':
                return true;
            default:
                return false;
        }
    },
    isStackedAreaType: function (type) {
        switch (type) {
            case 'stackedarea':
            case 'fullstackedarea':
            case 'stackedsplinearea':
            case 'fullstackedsplinearea':
                return true;
            default:
                return false;
        }
    }
};


/***/ }),

/***/ 9369:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bj: () => (/* binding */ dimensionKeys),
/* harmony export */   Kn: () => (/* binding */ dimensionKeySerializationInfo),
/* harmony export */   OC: () => (/* binding */ dimensionInfoDateTimeGroupInterval),
/* harmony export */   S7: () => (/* binding */ measureKeySerializationInfo),
/* harmony export */   UE: () => (/* binding */ measureKey),
/* harmony export */   Ub: () => (/* binding */ paletteIndex),
/* harmony export */   Vo: () => (/* binding */ colorShemeValue),
/* harmony export */   di: () => (/* binding */ colorSchemeSummaryType),
/* harmony export */   eZ: () => (/* binding */ colorSchemeDataSource),
/* harmony export */   fV: () => (/* binding */ colorSchemeDataMember),
/* harmony export */   iS: () => (/* binding */ dimensionValue),
/* harmony export */   j6: () => (/* binding */ colorSchemeEntrySerializationInfo),
/* harmony export */   mw: () => (/* binding */ definition),
/* harmony export */   oY: () => (/* binding */ colorSchemeColor),
/* harmony export */   ug: () => (/* binding */ colorShemetype),
/* harmony export */   ui: () => (/* binding */ definitionInfo),
/* harmony export */   ul: () => (/* binding */ valueInfo),
/* harmony export */   vS: () => (/* binding */ definitionsInMeasureDefinition)
/* harmony export */ });
/* harmony import */ var _color__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5419);
/* harmony import */ var _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4030);
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4904);



let colorSchemeDataSource = { propertyName: 'dataSource', modelName: '@DataSource', displayName: 'DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor' };
let colorSchemeDataMember = { propertyName: 'dataMember', modelName: '@DataMember', displayName: 'DashboardStringId.DataSourceDataMember', defaultVal: '', simpleFormAdapterItem: 'textBoxEditor' };
let colorSchemeColor = { propertyName: 'color', modelName: '@Color', displayName: 'DashboardStringId.DescriptionItemColor', defaultVal: null, simpleFormAdapterItem: 'textBoxEditor', from: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorFromModel, toJsonObject: _color__WEBPACK_IMPORTED_MODULE_0__/* .Color */ .Q._colorToModel };
let paletteIndex = { propertyName: 'paletteIndex', modelName: '@PaletteIndex', displayName: 'DashboardStringId.ColorPaletteIndex', defaultVal: null, simpleFormAdapterItem: 'numberBoxEditor' };
let colorSchemeSummaryType = { propertyName: 'summaryType', modelName: '@SummaryType', displayName: 'DashboardWebStringId.SummaryType', defaultVal: 'Sum', simpleFormAdapterItem: 'textBoxEditor' };
let dimensionInfoDateTimeGroupInterval = { propertyName: 'dateTimeGroupInterval', modelName: '@DateTimeGroupInterval', displayName: 'DashboardWebStringId.Colorization.GroupInterval', defaultVal: 'Year', simpleFormAdapterItem: 'textBoxEditor' };
let definitionInfo = [colorSchemeDataMember, dimensionInfoDateTimeGroupInterval];
let definitionsInMeasureDefinition = { propertyName: 'definitions', modelName: 'Definitions', array: true };
let measureKeySerializationInfo = [colorSchemeDataMember, colorSchemeSummaryType, _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_1__/* .calculation */ .G7, _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_1__/* .windowDefinition */ .sj, _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_1__/* .expression */ .dn, _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_1__/* .measureFilterString */ .QJ, definitionsInMeasureDefinition];
let dimensionKeys = { propertyName: 'dimensionKeys', modelName: 'DimensionKeys', displayName: 'DashboardStringId.DescriptionDimensions', array: true };
let measureKey = { propertyName: 'measureKeys', modelName: 'MeasureKey', displayName: 'DashboardStringId.DescriptionMeasures', array: true, info: measureKeySerializationInfo };
let colorSchemeEntrySerializationInfo = [_metadata_base_metadata__WEBPACK_IMPORTED_MODULE_2__/* .itemType */ .YG, colorSchemeDataSource, colorSchemeDataMember, colorSchemeColor, paletteIndex, dimensionKeys, measureKey];
let colorShemetype = { propertyName: 'type', modelName: '@Type', displayName: 'DashboardWebStringId.Type', simpleFormAdapterItem: 'textBoxEditor' };
let dimensionValue = { propertyName: 'value', modelName: '@Value', displayName: 'DashboardStringId.ValueCaption', simpleFormAdapterItem: 'textBoxEditor' };
let valueInfo = [colorShemetype, dimensionValue];
let definition = { propertyName: 'definition', modelName: 'Definition', info: definitionInfo, defaultVal: '' };
let colorShemeValue = { propertyName: 'value', modelName: 'Value', displayName: 'DashboardStringId.ValueCaption', info: valueInfo };
let dimensionKeySerializationInfo = [definition, colorShemeValue];


/***/ }),

/***/ 9378:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ segmentNumber),
/* harmony export */   L: () => (/* binding */ formatConditionRangeGradientSerializationsInfo)
/* harmony export */ });
/* harmony import */ var _format_condition_range_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1571);

let segmentNumber = { propertyName: 'segmentNumber', displayName: 'DashboardWebStringId.ConditionalFormatting.SegmentNumber', defaultVal: 10, simpleFormAdapterItem: 'numberBoxEditor' };
let formatConditionRangeGradientSerializationsInfo = _format_condition_range_base__WEBPACK_IMPORTED_MODULE_0__/* .formatConditionRangeBaseSerializationsInfo */ .W_.concat([]);


/***/ }),

/***/ 9449:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ cacheable),
/* harmony export */   W: () => (/* binding */ resetGlobalSizeCache)
/* harmony export */ });
let globalCache = {};
function resetGlobalSizeCache() {
    globalCache = {};
}
function cacheable(cacheKey) {
    return (target, propertyKey, descriptor) => {
        if (typeof target !== 'function') {
            throw Error('The cacheable decorator can be applied only for static methods');
        }
        return {
            value: (...args) => {
                if (!globalCache[cacheKey]) {
                    globalCache[cacheKey] = {};
                }
                var functionCache = globalCache[cacheKey];
                var argsKey = JSON.stringify(args);
                if (functionCache.hasOwnProperty(argsKey)) {
                    return functionCache[argsKey];
                }
                else {
                    var result = descriptor.value.apply(this, args);
                    functionCache[argsKey] = result;
                    return result;
                }
            }
        };
    };
}


/***/ }),

/***/ 9453:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A6: () => (/* binding */ CardLayoutTemplateSparklineElement),
/* harmony export */   YL: () => (/* binding */ CardLayoutTemplateElementBase),
/* harmony export */   bf: () => (/* binding */ CardLayoutTemplateDataElement),
/* harmony export */   vt: () => (/* binding */ CardLayoutTemplateDeltaElement)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9167);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5854);





class CardLayoutTemplateElementBase extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _createEditorModel(dimensionNames) {
        return {
            title: this._getTitle(dimensionNames),
            checked: this.visible
        };
    }
    getInfo() {
        return _metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__/* .cardLayoutTemplateElementBaseSerializationInfo */ .mg;
    }
    _initDefault(visible = true, valueType = null, dimenstionIndex = 0) {
        this.visible(visible);
    }
}
class CardLayoutTemplateDeltaElement extends CardLayoutTemplateElementBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getTitle() {
        return knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)(_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__/* .cardRowDataElementTypeValuesMapEx */ .MP.DeltaIndicator));
    }
}
class CardLayoutTemplateSparklineElement extends CardLayoutTemplateElementBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getTitle() {
        return knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)(_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__/* .cardRowDataElementTypeValuesMapEx */ .MP.Sparkline));
    }
}
class CardLayoutTemplateDataElement extends CardLayoutTemplateElementBase {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    _getTitle(dimensionNames) {
        return knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            var res = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)(_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__/* .cardRowDataElementTypeValuesMapEx */ .MP[this.valueType()]);
            if (this.valueType() === 'DimensionValue') {
                res += ' ' + (dimensionNames[this.dimensionIndex()] || ('[' + this.dimensionIndex() + ']'));
            }
            return res;
        });
    }
    getInfo() {
        return _metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__/* .cardLayoutTemplateDataElementSerializationInfo */ .h$;
    }
    _initDefault(visible, valueType, dimenstionIndex = 0) {
        super._initDefault(visible);
        this.valueType(valueType);
        this.dimensionIndex(dimenstionIndex);
    }
    _getEditorProperty(valueType, dimensionIndex = 0, dimensionNames) {
        var displayText = (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)(_metadata_card_layout_template_element__WEBPACK_IMPORTED_MODULE_4__/* .cardRowDataElementTypeValuesMapEx */ .MP[valueType]);
        if (valueType === 'DimensionValue')
            displayText += ' ' + dimensionNames[dimensionIndex];
        return { value: valueType, displayText: displayText, dimensionIndex: dimensionIndex, key: valueType + dimensionIndex };
    }
    _createEditorModel(dimensionNames) {
        var items = ['Title', 'Subtitle', 'ActualValue', 'TargetValue', 'AbsoluteVariation', 'PercentVariation', 'PercentOfTarget', 'CardName']
            .map((valueType) => this._getEditorProperty(valueType))
            .concat(dimensionNames.map((name, index) => this._getEditorProperty('DimensionValue', index, dimensionNames)));
        return {
            ...super._createEditorModel(dimensionNames),
            lookupDataSource: items,
            selectedItem: knockout__WEBPACK_IMPORTED_MODULE_1__.pureComputed({
                read: () => {
                    const selectedItem = items.filter(i => i.value === this.valueType() && i.dimensionIndex === this.dimensionIndex())[0];
                    return selectedItem && selectedItem.key;
                },
                write: (val) => {
                    const newValue = items.filter(i => i.key === val)[0];
                    this.valueType(newValue.value);
                    this.dimensionIndex(newValue.dimensionIndex);
                }
            }),
        };
    }
}


/***/ }),

/***/ 9478:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ ChartItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);
/* harmony import */ var _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7618);
/* harmony import */ var _data_item_window_definition_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8405);
/* harmony import */ var _data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4270);
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5792);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1041);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1513);
/* harmony import */ var _chart_item_base__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(5097);
/* harmony import */ var _chart_indicator__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(5200);
/* harmony import */ var _chart_pane__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7111);
/* harmony import */ var _chart_series__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(9508);
/* harmony import */ var _metadata_chart_item__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(8533);













class ChartItem extends _chart_item_base__WEBPACK_IMPORTED_MODULE_8__/* .ChartItemBase */ .P {
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dashboardItemJSON, serializer);
        this.panes = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Panes || {}, (item) => new _chart_pane__WEBPACK_IMPORTED_MODULE_10__/* .ChartPane */ .X(this, item, serializer));
        this.indicators = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Indicators || {}, (item) => new _chart_indicator__WEBPACK_IMPORTED_MODULE_9__/* .ChartIndicator */ .k(item, serializer));
        if (this.panes().length === 0) {
            this._addNewPane();
        }
        (0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_6__/* .subscribeAndPerform */ .l4)(this.__arguments, newValue => {
            newValue.forEach((argument) => {
                argument._specifics.customDataShapingProperties = [{
                        serializationInfo: _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_2__/* .isDiscreteNumericScale */ .zp,
                        filter: dataField => _data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__/* .DataField */ .J7.isNumeric(dataField)
                    }];
            });
        });
    }
    _clearBindings() {
        super._clearBindings();
        this.disposeObservableArray(this.panes);
        this.panes.removeAll();
        this.panes.push(new _chart_pane__WEBPACK_IMPORTED_MODULE_10__/* .ChartPane */ .X(this, {}));
    }
    _shouldSuspendOnMasterFilterSet() {
        return this._useNeutralFilterMode() && this._isMultipleMasterFilter();
    }
    _getInfoCore() {
        return _metadata_chart_item__WEBPACK_IMPORTED_MODULE_12__/* .chartItemSerializationInfo */ .W6;
    }
    _getDefaultItemType() {
        return 'Chart';
    }
    _updateContentViewModel(content) {
        super._updateContentViewModel(content);
        content.ViewModel.Rotated = this.rotated();
    }
    _getTargetDimensions() { return this.interactivityOptions.targetDimensions(); }
    _getMasterFilterMode() { return this.interactivityOptions.masterFilterMode(); }
    _getDrillDownEnabled() { return this.interactivityOptions.isDrillDownEnabled(); }
    _getIgnoreMasterFilter() { return this.interactivityOptions.ignoreMasterFilters(); }
    _getCanColorByDimensions() { return this._coloredSeries().length > 0; }
    _getAreMeasuresColoredByDefault() {
        return this._coloredSeries().length > 1;
    }
    _getIsDimensionColoredByDefault(dimension) {
        return !!this.__seriesDimensions().filter(link => link.dataItem() === dimension)[0];
    }
    _addNewPane() {
        var pane = new _chart_pane__WEBPACK_IMPORTED_MODULE_10__/* .ChartPane */ .X(this, { '@ItemType': 'Pane' });
        pane.name(_internal_helper_classes__WEBPACK_IMPORTED_MODULE_5__/* .NameGenerator */ .$A.generateName((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardStringId.DefaultNameChartPane') + ' ', this.panes(), 'name', 1));
        this.panes.push(pane);
    }
    _coloredSeries() {
        return [].concat.apply([], this.panes().map(pane => pane.series())).filter(series => !(series instanceof _chart_series__WEBPACK_IMPORTED_MODULE_11__/* .HighLowCloseSeries */ .cC) && !(series instanceof _chart_series__WEBPACK_IMPORTED_MODULE_11__/* .OpenHighLowCloseSeries */ .o4));
    }
    _getDefaultCalculationWindowDefinition() {
        return new _data_item_window_definition_chart_calc_window_definition__WEBPACK_IMPORTED_MODULE_3__/* .ChartWindowDefinition */ .Q();
    }
}
_serializable_model__WEBPACK_IMPORTED_MODULE_7__/* .itemTypesMap */ .Jh['Chart'] = { type: ChartItem, groupName: 'common', title: 'DashboardStringId.DefaultNameChartItem', index: 30 };


/***/ }),

/***/ 9508:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Eu: () => (/* binding */ ChartSeries),
/* harmony export */   HP: () => (/* binding */ WeightedSeries),
/* harmony export */   K9: () => (/* binding */ SimpleSeries),
/* harmony export */   cC: () => (/* binding */ HighLowCloseSeries),
/* harmony export */   lr: () => (/* binding */ RangeSeries),
/* harmony export */   o4: () => (/* binding */ OpenHighLowCloseSeries)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_item_container__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6465);
/* harmony import */ var _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7011);



class ChartSeries extends _data_item_container__WEBPACK_IMPORTED_MODULE_1__/* .DataItemContainer */ .L {
    constructor(seriesJSON, serializer) {
        super(seriesJSON, serializer);
    }
    _getInfoCore() {
        throw new Error("Method 'getInfo' is not implemented.");
    }
    grabFrom(series) {
        super.grabFrom(series);
        this.plotOnSecondaryAxis(series.plotOnSecondaryAxis());
        this.ignoreEmptyPoints(series.ignoreEmptyPoints());
        this.showPointMarkers(series.showPointMarkers());
        this.ignoreEmptyPoints(series.ignoreEmptyPoints());
        this.pointLabelOptions.grabFrom(series.pointLabelOptions);
    }
    _getDataId() {
        const defaultMeasure = this._measures[0];
        return defaultMeasure && defaultMeasure.uniqueName() || null;
    }
}
class SimpleSeries extends ChartSeries {
    constructor(dataItemProvider, seriesJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(seriesJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .chartSeriesValue */ .Hq.propertyName);
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .chartSeriesValue */ .Hq.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.ValueCaption'
            }];
    }
    _getContainerType() {
        return this.seriesType();
    }
    _getInfoCore() {
        return _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .simpleSeriesSerializationsInfo */ .XE;
    }
    _getDefaultItemType() {
        return 'Simple';
    }
    get _measures() { return [this.value()].filter(m => !!m); }
    get _isConditionalFormattingSupported() { return true; }
}
class RangeSeries extends ChartSeries {
    constructor(dataItemProvider, seriesJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(seriesJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .value1 */ .zp.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .value2 */ .sH.propertyName);
    }
    _getInfoCore() {
        return _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .rangeSeriesSerializationsInfo */ .WL;
    }
    _getDefaultItemType() {
        return 'Range';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .value1 */ .zp.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.Value1Caption'
            }, {
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .value2 */ .sH.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.Value2Caption'
            }];
    }
    _getContainerType() {
        return this.seriesType();
    }
    get _measures() { return [this.value1(), this.value2()].filter(m => !!m); }
    get _isConditionalFormattingSupported() { return true; }
}
class WeightedSeries extends ChartSeries {
    constructor(dataItemProvider, seriesJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(seriesJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .chartSeriesWeight */ .C7.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .chartSeriesValue */ .Hq.propertyName);
    }
    _getInfoCore() {
        return _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .weightedSeriesSerializationsInfo */ .AP;
    }
    _getDefaultItemType() {
        return 'Weighted';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .chartSeriesValue */ .Hq.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardWebStringId.Chart.Value'
            }, {
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .chartSeriesWeight */ .C7.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.WeightCaption'
            }];
    }
    get _measures() { return [this.value(), this.weight()].filter(m => !!m); }
    get _isConditionalFormattingSupported() { return true; }
}
class HighLowCloseSeries extends ChartSeries {
    constructor(dataItemProvider, seriesJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(seriesJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .high */ .$t.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .low */ .R0.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .close */ .VN.propertyName);
    }
    _getInfoCore() {
        return _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .highLowCloseSeriesSerializationsInfo */ .Hs;
    }
    _getDefaultItemType() {
        return 'HighLowClose';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .high */ .$t.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.HighCaption'
            }, {
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .low */ .R0.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.LowCaption'
            }, {
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .close */ .VN.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.CloseCaption'
            }];
    }
    get _measures() { return [this.high(), this.low(), this.close()].filter(m => !!m); }
    get _isConditionalFormattingSupported() { return false; }
}
class OpenHighLowCloseSeries extends HighLowCloseSeries {
    constructor(dataItemProvider, seriesJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(dataItemProvider, seriesJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .open */ .ho.propertyName);
    }
    _getInfoCore() {
        return _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .openHighLowCloseSeriesSerializationsInfo */ .Zv;
    }
    _getDefaultItemType() {
        return 'OpenHighLowClose';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_chart_series__WEBPACK_IMPORTED_MODULE_2__/* .open */ .ho.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.OpenCaption'
            }].concat(super._getBindingModel());
    }
    _getContainerType() {
        return this.seriesType();
    }
    get _measures() { return [this.open(), this.high(), this.low(), this.close()].filter(m => !!m); }
    get _isConditionalFormattingSupported() { return false; }
}


/***/ }),

/***/ 9539:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ FormatConditionGradientRangeBar)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2531);
/* harmony import */ var _format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9899);
/* harmony import */ var _metadata_format_condition_range_gradient_bar__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6490);
/* harmony import */ var _range_generator__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5771);





class FormatConditionGradientRangeBar extends _format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_2__/* .FormatConditionRangeGradient */ .A {
    get _isApplyToRowColumnRestricted() { return true; }
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
    }
    getInfo() {
        return _metadata_format_condition_range_gradient_bar__WEBPACK_IMPORTED_MODULE_3__/* .formatConditionGradientRangeBarSerializationsInfo */ .i;
    }
    getActualPredefinedType() {
        return _range_generator__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeGenerator */ .N.getGradientPredefinedType(this.actualStyles, (type) => {
            var c = new FormatConditionGradientRangeBar();
            _range_generator__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeGenerator */ .N.generateGradientByType(c, type, 5, true);
            return c;
        });
    }
    setActualPredefinedType(type) {
        _range_generator__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeGenerator */ .N.generateGradientByType(this, type, 5, true);
    }
    _isGradientStop(style) {
        if (style instanceof _style_settings_bar_style_settings__WEBPACK_IMPORTED_MODULE_1__/* .BarStyleSettings */ .S) {
            return _format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_2__/* .FormatConditionRangeGradient */ .A.isGradientStop(style.predefinedColor(), style.color());
        }
        else {
            return false;
        }
    }
    _generateByDefault(segmentNumber) {
        _range_generator__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeGenerator */ .N.generateGradientByStyles(this, this.stopStyles, segmentNumber);
    }
}


/***/ }),

/***/ 9541:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ ColorSchemeDefinition)
/* harmony export */ });
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9167);


class ColorSchemeDefinition {
    constructor(dataSource, dataMember, dimensionDefinitions, colorByMeasures = false, componentName = '', name = '') {
        this.dataSource = dataSource;
        this.dataMember = dataMember;
        this.dimensionDefinitions = dimensionDefinitions;
        this.colorByMeasures = colorByMeasures;
        this.componentName = componentName;
        this.name = name;
        this.dataItems = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            return this.dimensionDefinitions.map(definition => {
                return  false ? 0 : definition.dataMember();
            }).concat(this.colorByMeasures ? [(0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Colorization.MeasureNames')] : []);
        });
        this.typeText = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            return !this.componentName ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Coloring.Global') : ((0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Coloring.Local') + '(' + this.name + ')');
        });
        this.dataSourceText = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            return this.dataMember || this.dataSource;
        });
        this.key = knockout__WEBPACK_IMPORTED_MODULE_0__.computed(() => {
            return [this.componentName, this.dataMember, this.dataSource].concat(this.dimensionDefinitions.map(value => value.dataMember() + '(' + value.dateTimeGroupInterval() + ')').sort()).concat(this.colorByMeasures ? [(0,_data_localization_default__WEBPACK_IMPORTED_MODULE_1__/* .getLocalizationById */ .Mu)('DashboardWebStringId.Colorization.MeasureNames')] : []).join('|');
        });
    }
    equals(definition) {
        return definition.key() === this.key();
    }
    _getDataSourceText(dataSourceName) {
        return this.dataMember || dataSourceName || this.dataSource;
    }
}


/***/ }),

/***/ 9542:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Widgets.Internal;

/***/ }),

/***/ 9557:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ DashboardPrivateSettings),
/* harmony export */   l: () => (/* binding */ LegacySettings)
/* harmony export */ });
class LegacySettings {
}
LegacySettings.useLegacyTreeView = false;
LegacySettings._useCardLegacyLayout = false;
LegacySettings.showExtendedDateOccurringList = false;
LegacySettings.showUndoRedoButtonsInToolbox = false;
class DashboardPrivateSettings {
}
DashboardPrivateSettings.customNumericFormatMode = 'Disabled';
DashboardPrivateSettings.useCurrencyAccountingStyle = true;
DashboardPrivateSettings.gridColumnFilterMode = 'CaseInsensitive';


/***/ }),

/***/ 9576:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Hy: () => (/* binding */ GridColumn),
/* harmony export */   d7: () => (/* binding */ GridDeltaColumn),
/* harmony export */   f2: () => (/* binding */ GridColumnType),
/* harmony export */   nJ: () => (/* binding */ GridDimensionColumn),
/* harmony export */   og: () => (/* binding */ GridSparklineColumn),
/* harmony export */   rV: () => (/* binding */ GridMeasureColumn),
/* harmony export */   xl: () => (/* binding */ GridHyperlinkColumn)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1923);
/* harmony import */ var _data_item_measure__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6779);
/* harmony import */ var _data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4270);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8588);
/* harmony import */ var _data_item_container__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6465);
/* harmony import */ var _grid_column_total__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5046);
/* harmony import */ var _metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(151);
/* harmony import */ var _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(6955);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










var GridColumnType;
(function (GridColumnType) {
    GridColumnType[GridColumnType["Dimension"] = 0] = "Dimension";
    GridColumnType[GridColumnType["Measure"] = 1] = "Measure";
    GridColumnType[GridColumnType["Delta"] = 2] = "Delta";
    GridColumnType[GridColumnType["Sparkline"] = 3] = "Sparkline";
    GridColumnType[GridColumnType["Hyperlink"] = 4] = "Hyperlink";
})(GridColumnType || (GridColumnType = {}));
class GridColumn extends _data_item_container__WEBPACK_IMPORTED_MODULE_6__/* .DataItemContainer */ .L {
    get actualDataItem() {
        var dataItemLink = this._getActualDataItemLink();
        return !!dataItemLink ? dataItemLink.dataItem() : undefined;
    }
    get _actualDataItemLink() {
        return this._getActualDataItemLink();
    }
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer) {
        super(dashboardItemJSON, serializer);
        this._displayNameSeparator = 'vs';
        this.totals = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.deserializeArray)(dashboardItemJSON.Totals, (item) => new _grid_column_total__WEBPACK_IMPORTED_MODULE_7__/* .GridColumnTotal */ .RH(item, serializer));
    }
    dispose() {
        super.dispose();
        this.disposeObservableArray(this.totals);
    }
    grabFrom(column) {
        super.grabFrom(column);
        this.weight(column.weight());
        this.fixedWidth(column.fixedWidth());
        this.widthType(column.widthType());
    }
    _getInfoCore() {
        return _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridColumnBaseSerializationsInfo */ .LW;
    }
    _getColumnType() {
        return undefined;
    }
    _getDataId() {
        return this.actualDataItem && this.actualDataItem.uniqueName() || null;
    }
    _isAttribute(dataItem) {
        return false;
    }
    _getViewModel() {
        return {
            Weight: this.weight(),
            FixedWidth: this.fixedWidth(),
            WidthType: this.widthType()
        };
    }
    _getAvailableTotalTypes(dataItemProvider) {
        return _metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__/* .totalTypeValues */ .t.commonCountTypes;
    }
    _getTotalTypes(dataType) {
        var possibleTypes = _metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__/* .totalTypeValues */ .t.commonCountTypes;
        if ((0,_data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__/* .IsNumeric */ .U$)(dataType)) {
            return _metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__/* .totalTypeValues */ .t.commonMinMaxTypes.concat(_metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__/* .totalTypeValues */ .t.numericTypes).concat(possibleTypes);
        }
        else if ((0,_data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__/* .IsTextual */ .gH)(dataType) || (0,_data_sources_data_field__WEBPACK_IMPORTED_MODULE_4__/* .IsDateTime */ .kz)(dataType)) {
            return _metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__/* .totalTypeValues */ .t.commonMinMaxTypes.concat(possibleTypes);
        }
        else {
            return possibleTypes;
        }
    }
}
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_5__/* .collectionItemType */ .s)('Total')
], GridColumn.prototype, "totals", void 0);
class GridDimensionColumn extends GridColumn {
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer) {
        super(dataItemProvider, dashboardItemJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .dimension */ .rK.propertyName);
    }
    _getInfoCore() {
        return _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridDimensionColumnSerializationsInfo */ .w7;
    }
    _getColumnType() {
        return GridColumnType.Dimension;
    }
    _getActualDataItemLink() {
        return this.__dimension;
    }
    _getAvailableTotalTypes(dataItemProvider) {
        var dataItem = this.actualDataItem;
        if (dataItem) {
            return this._getTotalTypes(dataItemProvider._getFinalDataType(dataItem.uniqueName()));
        }
        else {
            return super._getAvailableTotalTypes(dataItemProvider);
        }
    }
    _getDefaultItemType() {
        return 'GridDimensionColumn';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .dimension */ .rK.propertyName,
                dataItemType: 'Dimension',
                emptyPlaceholder: 'DashboardStringId.DescriptionItemDimension'
            }];
    }
}
class GridMeasureColumn extends GridColumn {
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer) {
        super(dataItemProvider, dashboardItemJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .measure */ .xP.propertyName);
        this.__measure._specifics.acceptableShapingType = _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.String;
    }
    _getInfoCore() {
        return _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridMeasureColumnSerializationsInfo */ .Wg;
    }
    _getColumnType() {
        return GridColumnType.Measure;
    }
    _getActualDataItemLink() {
        return this.__measure;
    }
    _getAvailableTotalTypes(dataItemProvider) {
        var dataItem = this.actualDataItem;
        if (dataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_3__/* .Measure */ .t) {
            var totalTypes = this._getTotalTypes(dataItemProvider._getFinalDataType(dataItem.uniqueName()));
            if (dataItem.expression() == null && dataItem.calculation.calculation() == null)
                totalTypes = totalTypes.concat(_metadata_grid_column_total__WEBPACK_IMPORTED_MODULE_8__/* .totalTypeValues */ .t.autoTypes);
            return totalTypes;
        }
        else {
            return super._getAvailableTotalTypes(dataItemProvider);
        }
    }
    _getDefaultItemType() {
        return 'GridMeasureColumn';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .measure */ .xP.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.DescriptionItemMeasure'
            }];
    }
}
class GridDeltaColumn extends GridColumn {
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer) {
        super(dataItemProvider, dashboardItemJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridColumnActualValue */ .Kf.propertyName);
        dataItemProvider._attachDataItem(this, _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridColumnTargetValue */ .Le.propertyName);
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            this.__actualValue._specifics.skipFormatting = true;
            this.__targetValue._specifics.skipFormatting = true;
            if (!this.__actualValue.dataItem() && this.__targetValue.dataItem()) {
                this.__targetValue._specifics.skipFormatting = false;
            }
            if (this.__actualValue.dataItem() && !this.__targetValue.dataItem()) {
                this.__actualValue._specifics.skipFormatting = false;
            }
            else if (this.__actualValue.dataItem() && this.__targetValue.dataItem() && this.deltaOptions.valueType() === 'ActualValue') {
                this.__actualValue._specifics.skipFormatting = false;
            }
        }));
    }
    _getInfoCore() {
        return _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridDeltaColumnSerializationsInfo */ .cG;
    }
    _getColumnType() {
        return GridColumnType.Delta;
    }
    _getActualDataItemLink() {
        return !!this.__actualValue.dataItem() ? this.__actualValue : this.__targetValue;
    }
    _getDefaultItemType() {
        return 'GridDeltaColumn';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridColumnActualValue */ .Kf.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.ActualValueCaption'
            }, {
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridColumnTargetValue */ .Le.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.TargetValueCaption'
            }];
    }
}
class GridSparklineColumn extends GridColumn {
    _getInfoCore() {
        return _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridSparklineColumnSerializationsInfo */ .RF;
    }
    _getColumnType() {
        return GridColumnType.Sparkline;
    }
    _getActualDataItemLink() {
        return this.__measure;
    }
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer) {
        super(dataItemProvider, dashboardItemJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .sparkline */ .KM.propertyName);
    }
    _getDefaultItemType() {
        return 'GridSparklineColumn';
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .sparkline */ .KM.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardWebStringId.Grid.Sparkline'
            }];
    }
}
class GridHyperlinkColumn extends GridColumn {
    constructor(dataItemProvider, dashboardItemJSON = {}, serializer) {
        super(dataItemProvider, dashboardItemJSON, serializer);
        dataItemProvider._attachDataItem(this, _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .displayValue */ .KN.propertyName);
        this.__uriAttribute = _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .DataItemLink */ .Kz.create(dataItemProvider, this.__uriAttribute);
        this.__uriAttribute._specifics.isAttribute = true;
        this.__uriAttribute._specifics.acceptableShapingType = _data_item_data_item__WEBPACK_IMPORTED_MODULE_2__/* .AcceptableShapingType */ .zH.Attribute;
        this._displayNameSeparator = '/';
        var isUriPatternChangedCallback = (value) => {
            this.uriPattern((0,_metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .checkGridUriPattern */ .H)(value));
        };
        this.addDisposable(this.uriPattern.subscribe(isUriPatternChangedCallback));
    }
    _getInfoCore() {
        return _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .gridHyperlinkColumnSerializationsInfo */ ._7;
    }
    _getColumnType() {
        return GridColumnType.Hyperlink;
    }
    _getActualDataItemLink() {
        return this.__displayValue;
    }
    _getDefaultItemType() {
        return 'GridHyperlinkColumn';
    }
    _isAttribute(dataItem) {
        return dataItem === this.__uriAttribute.dataItem();
    }
    _getBindingModel() {
        return [{
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .displayValue */ .KN.propertyName,
                dataItemType: 'Dimension',
                emptyPlaceholder: 'DashboardStringId.DisplayValueCaption'
            }, {
                propertyName: _metadata_grid_columns__WEBPACK_IMPORTED_MODULE_9__/* .uri */ .Hr.propertyName,
                dataItemType: 'Measure',
                emptyPlaceholder: 'DashboardStringId.UriCaption'
            }];
    }
    _getAvailableTotalTypes(dataItemProvider) {
        if (this.actualDataItem) {
            return this._getTotalTypes(dataItemProvider._getFinalDataType(this.actualDataItem.uniqueName()));
        }
        else {
            return super._getAvailableTotalTypes(dataItemProvider);
        }
    }
}


/***/ }),

/***/ 9645:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ rangeFilterDataController)
/* harmony export */ });
/* harmony import */ var _chart_helper__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9361);
/* harmony import */ var _formatter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6726);
/* harmony import */ var _localization_ids__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4216);
/* harmony import */ var _localizer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4999);
/* harmony import */ var _chart_data_controller_proto__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6224);





class rangeFilterDataController extends _chart_data_controller_proto__WEBPACK_IMPORTED_MODULE_4__/* .chartDataControllerProto */ .f {
    constructor(options) {
        super(options);
    }
    getArgument(argumentAxisPoint) {
        if (argumentAxisPoint.getParent() != null) {
            return argumentAxisPoint.getValue();
        }
        else {
            return _localizer__WEBPACK_IMPORTED_MODULE_3__/* .localizer */ .O.getString(_localization_ids__WEBPACK_IMPORTED_MODULE_2__/* .localizationId */ .d.ChartTotalValue);
        }
    }
    _iterateSeriesTemplates(proc) {
        this.viewModel.SeriesTemplates.forEach(seriesTemplate => {
            proc(undefined, seriesTemplate);
        });
    }
    _isSelectionTagsRequired() {
        return false;
    }
    _getLastSeriesType(colorMeasureId) {
        var seriesTemplates = this.viewModel.SeriesTemplates;
        for (var i = seriesTemplates.length - 1; i >= 0; i--) {
            if (colorMeasureId === seriesTemplates[i].ColorMeasureID) {
                return _chart_helper__WEBPACK_IMPORTED_MODULE_0__/* .chartHelper */ .v.convertSeriesType(seriesTemplates[i].SeriesType);
            }
        }
    }
    _createArgumentFormat() {
        const argument = this.viewModel ? this.viewModel.Argument : undefined;
        let argumentAxisLabelFormat = undefined;
        if (argument && !this.isDiscreteArgument()) {
            argumentAxisLabelFormat = (0,_formatter__WEBPACK_IMPORTED_MODULE_1__/* .convertToFormat */ .mL)(argument.AxisXLabelFormat);
            if (this._isNumericDataType(argument.Type)) {
                if (!argumentAxisLabelFormat || !argument.AxisXLabelFormat.NumericFormat) {
                    argumentAxisLabelFormat = this._getArgumentAutoFormat();
                }
                else if (argument.AxisXLabelFormat.NumericFormat.Unit == 'Auto') {
                    argumentAxisLabelFormat = { ...this._getArgumentAutoFormat(), format: argumentAxisLabelFormat.format };
                }
                argumentAxisLabelFormat.dateType = null;
            }
            if (argumentAxisLabelFormat) {
                argumentAxisLabelFormat.showTrailingZeros = false;
            }
        }
        else {
            argumentAxisLabelFormat = super._createArgumentFormat();
        }
        return argumentAxisLabelFormat;
    }
    showPointLabels(pointLabelInfo) {
        return false;
    }
    getArgumentBindingValue(argumentPoint, pointIndex) {
        return argumentPoint.getValue();
    }
}


/***/ }),

/***/ 9651:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ DashboardItemFormatRule)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9167);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7540);
/* harmony import */ var _style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(341);






class DashboardItemFormatRule extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .TypedSerializableModel */ .$t {
    get _classCaption() {
        var info = _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_4__/* .conditionTypes */ .zY.filter(t => this.condition() instanceof t.type)[0];
        return info && (this.name() + ': ' + (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_2__/* .getLocalizationById */ .Mu)(info.displayName));
    }
    get _classId() {
        var info = _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_4__/* .conditionTypes */ .zY.filter(t => this.condition() instanceof t.type)[0];
        var id = info && info.propertyName;
        if (id === 'conditionRangeSet') {
            if (this.condition().actualStyles.filter(style => style instanceof _style_settings_icon_settings__WEBPACK_IMPORTED_MODULE_5__/* .IconSettings */ .N).length > 0) {
                id += '_icons';
            }
            else {
                id += '_colors';
            }
        }
        return id;
    }
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.addDisposable(this.conditionBar, this.conditionRangeGradient, this.conditionGradientRangeBar, this.conditionValue, this.conditionTopBottom, this.conditionAverage, this.conditionDateOccuring, this.conditionExpression);
        this.addDisposable(this.condition = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => {
                var info = _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_4__/* .conditionTypes */ .zY.filter(ct => this[ct.propertyName] && !this[ct.propertyName].isEmpty())[0];
                if (info) {
                    return this[info.propertyName];
                }
            },
            write: (newCondition) => {
                var info = _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_4__/* .conditionTypes */ .zY.filter(ct => newCondition instanceof ct.type)[0];
            }
        }));
    }
    getInfo() {
        return _metadata_dashboard_item_format_rule__WEBPACK_IMPORTED_MODULE_4__/* .dashboardItemFormatRuleSerializationsInfo */ .Qd;
    }
    _changeConditionType(propertyName) {
        var condition = this[propertyName];
        var oldCondition = this.condition();
        condition.init();
        oldCondition && oldCondition.isEmpty(true);
    }
}


/***/ }),

/***/ 9659:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ CustomProperties)
/* harmony export */ });
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1513);
/* harmony import */ var _custom_property_validation__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8736);


class CustomProperties extends _serializable_model__WEBPACK_IMPORTED_MODULE_0__/* .SerializableModel */ .Lm {
    constructor(json, serializer, info) {
        super(json, serializer, info);
        info.forEach(propertyInfo => {
            this.addDisposable(this[propertyInfo.propertyName].subscribe(value => {
                propertyInfo.alwaysSerialize = value !== null && value !== undefined;
            }));
        });
        this.getInfo = () => info;
    }
    _isKnownProperty(propertyName) {
        return !!this.getInfo().filter(i => i.propertyName === propertyName)[0];
    }
    getValue(propertyName) {
        if (this._isKnownProperty(propertyName)) {
            return this[propertyName].peek();
        }
        else {
            return this._model[propertyName];
        }
    }
    setValue(propertyName, propertyValue) {
        (0,_custom_property_validation__WEBPACK_IMPORTED_MODULE_1__/* .validateCustomPropertyName */ .m)(propertyName);
        (0,_custom_property_validation__WEBPACK_IMPORTED_MODULE_1__/* .validateCustomPropertyValueType */ .s)(propertyName, propertyValue);
        if (this._isKnownProperty(propertyName)) {
            this[propertyName](propertyValue);
        }
        else {
            this._model[propertyName] = propertyValue;
        }
    }
}


/***/ }),

/***/ 9667:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ RangeFilterSelectionValidator)
/* harmony export */ });
class RangeFilterSelectionValidator {
    static validate(range, isYearGroupInterval, entireRange) {
        let validatedRange = this._prepareYearRangeBeforeSelection(range, isYearGroupInterval);
        validatedRange = this._validateValues(validatedRange, entireRange || { maximum: null, minimum: null });
        validatedRange = this.validateLimitsOrder(validatedRange);
        if (entireRange) {
            validatedRange = this._validateOutOfRange(validatedRange, entireRange);
        }
        return validatedRange;
    }
    static validateLimitsOrder(range) {
        if (range.startValue && range.endValue && range.startValue > range.endValue) {
            return {
                startValue: range.endValue,
                endValue: range.startValue
            };
        }
        return range;
    }
    static isValidValue(value) {
        return (typeof value === 'number') || (value instanceof Date);
    }
    static _validateValues(range, entireRange) {
        return {
            startValue: RangeFilterSelectionValidator.isValidValue(range.startValue) ? range.startValue : entireRange.minimum,
            endValue: RangeFilterSelectionValidator.isValidValue(range.endValue) ? range.endValue : entireRange.maximum
        };
    }
    static _validateOutOfRange(range, entireRange) {
        let startValue = range.startValue >= entireRange.minimum ? range.startValue : entireRange.minimum;
        startValue = startValue <= entireRange.maximum ? startValue : entireRange.minimum;
        let endValue = range.endValue <= entireRange.maximum ? range.endValue : entireRange.maximum;
        endValue = endValue >= entireRange.minimum ? endValue : entireRange.maximum;
        return {
            startValue: startValue,
            endValue: endValue
        };
    }
    static _prepareYearRangeBeforeSelection(range, isYearGroupInterval) {
        let prepareYearBeforeSelection = (value) => {
            return value && value.getFullYear ? value.getFullYear() : value;
        };
        if (isYearGroupInterval) {
            return {
                startValue: prepareYearBeforeSelection(range.startValue),
                endValue: prepareYearBeforeSelection(range.endValue)
            };
        }
        else {
            return range;
        }
    }
}


/***/ }),

/***/ 9692:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ DataDashboardItem)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(191);
/* harmony import */ var _devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9542);
/* harmony import */ var _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _data_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7739);
/* harmony import */ var _data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(5988);
/* harmony import */ var _data_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(4833);
/* harmony import */ var _data_item_data_item_data_tuple__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(786);
/* harmony import */ var _data_item_data_internal_item_data_axis_builder__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(6713);
/* harmony import */ var _data_item_data_internal_item_data_axis_helper__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(2456);
/* harmony import */ var _data_item_data_internal_item_data_manager__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(6655);
/* harmony import */ var _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1133);
/* harmony import */ var _data_localization_default__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(9167);
/* harmony import */ var _data_special_values__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(2383);
/* harmony import */ var _colorization_color_scheme_definition__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(9541);
/* harmony import */ var _colorization_color_scheme_entry__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(3578);
/* harmony import */ var _dashboard_state__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(2216);
/* harmony import */ var _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(8782);
/* harmony import */ var _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(1923);
/* harmony import */ var _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(3599);
/* harmony import */ var _data_item_measure__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(6779);
/* harmony import */ var _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(7618);
/* harmony import */ var _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(4030);
/* harmony import */ var _data_item_window_definition_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(3151);
/* harmony import */ var _data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(4270);
/* harmony import */ var _format_rules_card_item_delta_format_rule__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(8152);
/* harmony import */ var _format_rules_card_item_format_rule__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(8591);
/* harmony import */ var _format_rules_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(8035);
/* harmony import */ var _format_rules_grid_item_format_rule__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(3886);
/* harmony import */ var _format_rules_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(8503);
/* harmony import */ var _format_rules_scatter_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(7994);
/* harmony import */ var _internal_array_utils__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(2972);
/* harmony import */ var _internal_dashboard_component_name_generator__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(1943);
/* harmony import */ var _internal_date_utils__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(2037);
/* harmony import */ var _internal_expanding_manager__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(7003);
/* harmony import */ var _internal_helper_classes__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(5792);
/* harmony import */ var _internal_knockout_utils__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(1041);
/* harmony import */ var _internal_obsolete_dashboard_state__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(887);
/* harmony import */ var _internal_utils__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(8588);
/* harmony import */ var _limit_data_state__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(4168);
/* harmony import */ var _dashboard_item__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(4391);
/* harmony import */ var _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(6157);
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










































class DataDashboardItem extends _dashboard_item__WEBPACK_IMPORTED_MODULE_33__/* .DashboardItem */ .K {
    static _createDataItem(itemTypeName, dataItemJSON, serializer) {
        var itemType = DataDashboardItem._itemTypesMap[itemTypeName];
        return new itemType(dataItemJSON, serializer);
    }
    static _updateDataItemByField(dataField, newDataItem, summaryInfo) {
        newDataItem.dataMember(dataField.dataMember());
        if (newDataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t) {
            if (!_data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .DataField */ .J7.isOlap(dataField.dataMember())) {
                if (!!summaryInfo && summaryInfo.oldDataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t) {
                    var avaliableSummaryTypes = DataDashboardItem._getAvaliableSummaryTypeInfo(dataField, summaryInfo.acceptableShapingType, newDataItem);
                    if (avaliableSummaryTypes) {
                        if (Object.keys(avaliableSummaryTypes.values).indexOf(summaryInfo.oldDataItem.summaryType()) !== -1) {
                            newDataItem.summaryType(summaryInfo.oldDataItem.summaryType());
                        }
                        else {
                            newDataItem.summaryType(avaliableSummaryTypes.defaultVal);
                        }
                    }
                }
                else {
                    newDataItem.summaryType(getSummaryType(dataField));
                }
            }
            else if (!!dataField['defaultNumericFormat']) {
                var defaultNumericFormat = dataField['defaultNumericFormat'];
                newDataItem.numericFormat.currencyCultureName(defaultNumericFormat.CurrencyCultureName);
                newDataItem.numericFormat.formatType(defaultNumericFormat.FormatType);
                newDataItem.numericFormat.includeGroupSeparator(defaultNumericFormat.IncludeGroupSeparator);
                newDataItem.numericFormat.precision(defaultNumericFormat.Precision);
                newDataItem.numericFormat.unit(defaultNumericFormat.Unit);
            }
        }
    }
    static _createFormatRule(item, formatRuleJSON, serializer) {
        var typeName = formatRuleJSON['@ItemType'];
        var type = DataDashboardItem._formatRuleTypesMap[typeName];
        return new type(formatRuleJSON, serializer);
    }
    static _getAvaliableSummaryTypeInfo(dataField, acceptableShapingType, dataItem) {
        if (!!dataItem && dataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t && !!dataItem.expression())
            return null;
        if (!_data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .DataField */ .J7.isOlap(dataField.dataMember()) && !(dataField.isAggregate && dataField.isAggregate())) {
            if (_data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .DataField */ .J7.isNumeric(dataField)) {
                return _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_19__/* .summaryTypeNumericToAny */ .je;
            }
            else {
                switch (acceptableShapingType) {
                    case _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .AcceptableShapingType */ .zH.Number:
                        return _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_19__/* .summaryTypeNonNumericToNumeric */ .tt;
                    case _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .AcceptableShapingType */ .zH.Attribute:
                        return _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_19__/* .summaryTypeAttribute */ .tG;
                    case _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .AcceptableShapingType */ .zH.String:
                    case _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .AcceptableShapingType */ .zH.Hidden:
                        return _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_19__/* .summaryTypeNonNumericToString */ .LF;
                }
            }
        }
        return null;
    }
    get _actualSelectionValues() {
        return this._selectionValues;
    }
    get _canColorByMeasures() { return this._getCanColorByMeasures(); }
    get _canColorByDimensions() { return this._getCanColorByDimensions(); }
    get _isLocallyColored() {
        return (this._getAreMeasuresColoredByDefault() || this._getCanColorByDimensions()) && !this._getUseGlobalColors();
    }
    get _isGloballyColored() {
        return (this._getAreMeasuresColoredByDefault() || this._getCanColorByDimensions()) && this._getUseGlobalColors();
    }
    get _interactivityDimensions() {
        return this._getInteractivityDimensionLinks().map(link => link.dataItem()).filter(item => !!item);
    }
    get _dimensions() {
        return this.dataItems && this.dataItems().filter(item => item instanceof _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f);
    }
    get _measures() {
        return this.dataItems && this.dataItems().filter(item => item instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t);
    }
    get _uniqueDataItems() {
        var uniqueDataItems = [];
        this.dataItems.peek().forEach(dataItem => {
            if (uniqueDataItems.filter(item => item.isDefinitionEquals(dataItem)).length === 0) {
                uniqueDataItems.push(dataItem);
            }
        });
        return uniqueDataItems;
    }
    get _multiData() {
        var dataManager = this._dataManager.peek();
        return dataManager && dataManager.getItemData();
    }
    constructor(dashboardItemJSON = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.ModelSerializer(), info = undefined) {
        super(dashboardItemJSON, serializer, info);
        this.isDisposed = knockout__WEBPACK_IMPORTED_MODULE_3__.observable(false);
        this.hiddenDimensions = knockout__WEBPACK_IMPORTED_MODULE_3__.observableArray([]);
        this.hiddenMeasures = knockout__WEBPACK_IMPORTED_MODULE_3__.observableArray([]);
        this.colorScheme = knockout__WEBPACK_IMPORTED_MODULE_3__.observableArray();
        this._fullRange = knockout__WEBPACK_IMPORTED_MODULE_3__.observable();
        this._selectedElementIndex = knockout__WEBPACK_IMPORTED_MODULE_3__.observable();
        this._beforeMasterFilterSetByUserInteraction = null;
        this._afterMasterFilterSetByUserInteraction = null;
        this._drillDownChangedByUserInteraction = null;
        this._masterFilterItems = knockout__WEBPACK_IMPORTED_MODULE_3__.observable([]);
        this._dataManager = knockout__WEBPACK_IMPORTED_MODULE_3__.observable();
        this._drillDownValues = knockout__WEBPACK_IMPORTED_MODULE_3__.observableArray([]);
        this._clientState = knockout__WEBPACK_IMPORTED_MODULE_3__.observable();
        this._dataRequestArgs = knockout__WEBPACK_IMPORTED_MODULE_3__.observable();
        this._expandingManager = new _internal_expanding_manager__WEBPACK_IMPORTED_MODULE_35__/* .ExpandingManager */ .u();
        this._selectionValues = knockout__WEBPACK_IMPORTED_MODULE_3__.observable();
        this._supportedUIStates = knockout__WEBPACK_IMPORTED_MODULE_3__.observable(['error', 'empty', 'loading']);
        this._limitDataState = new _limit_data_state__WEBPACK_IMPORTED_MODULE_36__/* .LimitDataState */ .F();
        this._processItemSelectionChange = (itemElement, mode, selection) => {
            if (mode === _data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMasterFilter || mode === _data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMultipleValuesMasterFilter) {
                this._beforeMasterFilterSetByUserInteraction && this._beforeMasterFilterSetByUserInteraction();
                var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__/* .deepExtend */ .zw)({}, this._state());
                itemState = this._removeSelectionFromState(itemState);
                itemState = this._setSelectionToState(itemState, selection);
                this._setState(itemState);
                this._afterMasterFilterSetByUserInteraction && this._afterMasterFilterSetByUserInteraction();
            }
            else if (mode === _data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.drillDown) {
                this._drillDownChangedByUserInteraction && this._drillDownChangedByUserInteraction();
                this._drillDownValues.push(selection[0]);
                this._setSelectionData(null);
            }
        };
        this._processItemDrillUp = () => {
            this._drillDownChangedByUserInteraction && this._drillDownChangedByUserInteraction();
            var drillValue = this._drillDownValues.pop();
            this._selectionValues(this._isMasterFilter() ? [[drillValue]] : null);
        };
        this._processItemClearMasterFilter = (itemElement) => {
            this._beforeMasterFilterSetByUserInteraction && this._beforeMasterFilterSetByUserInteraction();
            var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__/* .deepExtend */ .zw)({}, this._state());
            itemState = this._removeSelectionFromState(itemState);
            this._setState(itemState);
            this._afterMasterFilterSetByUserInteraction && this._afterMasterFilterSetByUserInteraction();
        };
        this._processItemSetPredefinedPeriod = (periodName) => {
            var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__/* .deepExtend */ .zw)({}, this._state());
            itemState = this._removeSelectionFromState(itemState);
            itemState = this._setPredefinedPeriodToState(itemState, periodName);
            this._setState(itemState);
        };
        this._processContentElementSelection = (itemName, args) => {
            this._selectedElementIndex(args.index);
        };
        this._processDataRequest = () => { };
        this._processItemClientStateUpdate = (itemName, clientState) => {
            this._setClientState(clientState);
        };
        this._processExpandingStateChanged = (expandingParams, dxPivotState) => {
            this._expandingManager.onViewStateChanged(expandingParams, dxPivotState);
        };
        this._processItemExpandingChange = (expandingParams) => {
            this._expandingManager.setExpandingParams(expandingParams);
            this._dataQueryParams.notifySubscribers();
        };
        this.addDisposable(this._masterFilterMode = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._getMasterFilterMode(); }));
        this.addDisposable(this._isSingleMasterFilter = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._masterFilterMode() === 'Single'; }));
        this.addDisposable(this._isMultipleMasterFilter = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._masterFilterMode() === 'Multiple'; }));
        this.addDisposable(this._isDrillDownEnabled = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._getDrillDownEnabled(); }));
        this.addDisposable(this._isIgnoreMasterFilter = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._getIgnoreMasterFilter(); }));
        this.addDisposable(this._isMasterFilter = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._getIsMasterFilter(); }));
        this.addDisposable(this._isVisualInteractivitySupported = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._getIsVisualInteractivitySupported(); }));
        this.addDisposable(this._clearMasterFilterSupported = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => { return this._getClearMasterFilterSupported(); }));
        this.addDisposable(this._isExcludingAllFilter = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => false));
        this.dataItems = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.deserializeArray)(dashboardItemJSON.DataItems, dataItemJSON => DataDashboardItem._createDataItem(dataItemJSON['@ItemType'], dataItemJSON, serializer));
        this.formatRules = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.deserializeArray)(dashboardItemJSON.FormatRules, (rule) => DataDashboardItem._createFormatRule(this, rule, serializer));
        this.__hiddenDimensions = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.deserializeArray)(dashboardItemJSON.HiddenDimensions, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .DataItemLink */ .Kz(this, item, serializer));
        this.__hiddenMeasures = (0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.deserializeArray)(dashboardItemJSON.HiddenMeasures, (item) => new _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .DataItemLink */ .Kz(this, item, serializer));
        this._subscribeDataItemLinkArrays(_metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_34__/* .hiddenDimensions */ ._K, _metadata_data_dashboard_item__WEBPACK_IMPORTED_MODULE_34__/* .hiddenMeasures */ .o3);
        this.colorScheme((0,_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.deserializeArray)(dashboardItemJSON.ColorScheme, (item) => new _colorization_color_scheme_entry__WEBPACK_IMPORTED_MODULE_14__/* .ColorSchemeEntry */ .r(item, serializer, this.componentName(), this.name()))());
        this.addDisposable(this.__hiddenMeasures.subscribe((links) => {
            this._setLinkCollectionAcceptableShapingType(links, _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .AcceptableShapingType */ .zH.Hidden);
        }));
        this._setLinkCollectionAcceptableShapingType(this.__hiddenMeasures(), _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .AcceptableShapingType */ .zH.Hidden);
        this.addDisposable(this._componentNameGenerator = new _internal_dashboard_component_name_generator__WEBPACK_IMPORTED_MODULE_29__/* .DashboardUniqueNameGenerator */ .O('uniqueName', 0, this.dataItems));
        this.addDisposable(this._state = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
            var state = new _dashboard_state__WEBPACK_IMPORTED_MODULE_37__/* .ItemState */ .hF();
            if (this._drillDownValues().length) {
                state.DrillDownValues = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .toStringArray */ .oU)(this._drillDownValues());
            }
            if (this._selectionValues()) {
                state.MasterFilterValues = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .toStringArray */ .oU)(this._selectionValues());
            }
            if (this._selectedElementIndex()) {
                state.SelectedLayerIndex = this._selectedElementIndex();
            }
            return state;
        }));
        this.addDisposable(this._actions = knockout__WEBPACK_IMPORTED_MODULE_3__.computed({
            read: () => {
                var newValue = [];
                var interactivityDimensionCount = this._interactivityDimensions.length;
                var drillDownValuesCount = this._drillDownValues().length;
                if (this._isMasterFilter() && interactivityDimensionCount > 0) {
                    newValue.push(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMasterFilter);
                }
                if (this._isMultipleMasterFilter() && interactivityDimensionCount > 0) {
                    newValue.push(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMultipleValuesMasterFilter);
                }
                if (this._isDrillDownEnabled() && (drillDownValuesCount < (interactivityDimensionCount - 1))) {
                    newValue.push(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.drillDown);
                }
                var isPreviousLevelSelection = false;
                if (drillDownValuesCount > 0) {
                    newValue.push(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.drillUp);
                    if (this._selectionValues() && this._selectionValues()[0] && this._selectionValues()[0][0] === this._drillDownValues()[drillDownValuesCount - 1]) {
                        isPreviousLevelSelection = true;
                    }
                }
                if (this._hasSelection() && !isPreviousLevelSelection) {
                    newValue.push(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.clearMasterFilter);
                }
                return newValue;
            },
            deferEvaluation: true
        }));
        this.addDisposable(this._outputFilter = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
            if (!this._isMasterFilter())
                return undefined;
            var result = undefined, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.ModelSerializer(), selectionValues = this._selectionValues(), selectionValuesCount = selectionValues ? selectionValues.length : 0, drillDownValuesCount = this._drillDownValues.peek().length, dimensionality = selectionValuesCount > 0 ? selectionValues[0].length : 0, fullRange = this._fullRange();
            if (selectionValuesCount > 0 || drillDownValuesCount > 0) {
                result = {
                    dimensions: this._interactivityDimensions.slice(0, drillDownValuesCount + dimensionality).map(dimension => serializer.serialize(dimension))
                };
                if (result.dimensions.length === 1 && selectionValuesCount === 1 && dimensionality === 2) {
                    result.range = selectionValues[0];
                }
                else {
                    result.values = selectionValuesCount > 0 ? selectionValues.map(arr => this._drillDownValues.peek().concat(arr)) : [this._drillDownValues.peek()];
                }
            }
            if (!result) {
                if (fullRange && fullRange.length && this._interactivityDimensions.length) {
                    result = {
                        dimensions: this._interactivityDimensions.map(dim => serializer.serialize(dim)),
                        range: fullRange
                    };
                }
            }
            if (this._isExcludingAllFilter()) {
                result = result || {};
                result.isExcludingAllFilter = true;
            }
            result = this._performOutputFilterOptimization(result);
            return result;
        }));
        this.addDisposable(this._dataQueryParams = knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
            var result = {};
            if (this.dataItems().length > 0) {
                var externalFilter = this._masterFilterItems().filter(item => !!item._outputFilter()).map(item => item._outputFilter());
                if (externalFilter.length) {
                    result.Filter = externalFilter.map((f) => {
                        var v = {};
                        if (!!f.dimensions) {
                            v.dimensions = f.dimensions;
                        }
                        if (!!f.values) {
                            v.values = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .toStringArray */ .oU)(f.values);
                        }
                        if (!!f.range) {
                            v.range = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .toStringArray */ .oU)(f.range);
                        }
                        if (f.isExcludingAllFilter != undefined) {
                            v.isExcludingAllFilter = f.isExcludingAllFilter;
                        }
                        return v;
                    });
                }
                if (this._drillDownValues().length) {
                    result.DrillDown = (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .toStringArray */ .oU)(this._drillDownValues());
                }
                if (this._dataRequestArgs()) {
                    result.ClientState = this._dataRequestArgs();
                }
                if (this._selectedElementIndex()) {
                    result.SelectedElementIndex = this._selectedElementIndex();
                }
            }
            return result;
        }));
        this._colorableItems = knockout__WEBPACK_IMPORTED_MODULE_3__.observable([this]);
        this._uiState && this._uiState['dispose'] && this._uiState['dispose']();
        this.addDisposable(this._uiState = knockout__WEBPACK_IMPORTED_MODULE_3__.computed({
            read: () => {
                var result = 'live', errorState = this._errorState(), previousState = this._uiState(), paneValid = this._paneContentHolder.valid(), viewerItemCreated = this._viewerItemCreated(), hasDataItems = !!this.dataSource.peek() && !!this.dataItems.peek().length;
                if (this._stateSupported('error') && errorState) {
                    result = 'error';
                }
                else if (this._stateSupported('empty') && !hasDataItems) {
                    result = 'empty';
                }
                else if (this._stateSupported('loading') && !paneValid && (!viewerItemCreated || 'empty' === previousState || 'error' === previousState)) {
                    result = 'loading';
                }
                else {
                    result = 'live';
                }
                return result;
            },
            deferEvaluation: true
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
            if (this._selectedElementIndex() >= this._getLayersCount()) {
                this._selectedElementIndex(null);
            }
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
            this.dataItems()
                .map(d => d instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t ? d.windowDefinition.windowDefinition() : null)
                .filter(def => def != null)
                .forEach(def => {
                if (def instanceof _data_item_window_definition_specific_calc_window_definition__WEBPACK_IMPORTED_MODULE_20__/* .SpecificWindowDefinition */ .a) {
                    def.dimensions().forEach(link => link._updateProvider(this));
                }
            });
        }));
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
            if (!this.dataSource() || this.dataItems().length === 0) {
                this._dataManager(null);
            }
        }));
        this.addDisposable((0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_31__/* .subscribeToArrayItemProperties */ .Ro)(this.dataItems, dataItem => {
            if (dataItem instanceof _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f) {
                return dataItem.dateTimeGroupInterval.subscribe(() => {
                    this._removeFromFilters(dataItem);
                });
            }
            return null;
        }));
    }
    _onDispose() {
        this._clearBindings();
        this.isDisposed(true);
    }
    _removeFromFilters(dataItem) {
        this.filterString(removeDataItemFromCriteria(this.filterString(), dataItem.uniqueName()));
        this.visibleDataFilterString((removeDataItemFromCriteria(this.visibleDataFilterString(), dataItem.uniqueName())));
        this._measures.forEach(measure => {
            measure.filterString(removeDataItemFromCriteria(measure.filterString(), dataItem.uniqueName()));
        });
    }
    _clearBindings() {
        this.disposeObservableArray(this.dataItems);
        this.disposeObservableArray(this.formatRules);
        this.disposeObservableArray(this.__hiddenDimensions);
        this.disposeObservableArray(this.__hiddenMeasures);
        this.disposeObservableArray(this.colorScheme);
        this.dataSource(null);
        this.dataMember(null);
        this.dataItems.removeAll();
        this.__hiddenDimensions.removeAll();
        this.__hiddenMeasures.removeAll();
        this.colorScheme.removeAll();
    }
    _clearInteractivityState() {
        this._selectionValues(null);
        this._drillDownValues([]);
    }
    _isCalculationSupported() {
        return true;
    }
    _isSortingEnabled() {
        return true;
    }
    _isTopNEnabled(dataItem) {
        return this.hiddenDimensions().indexOf(dataItem) == -1;
    }
    _isColoringEnabled(dataItem) {
        if (dataItem instanceof _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f) {
            if (this._canColorByDimensions) {
                if (this._isHiddenDimension(dataItem) || dataItem.coloringMode() === 'None') {
                    return false;
                }
                if (dataItem.coloringMode() === 'Hue') {
                    return true;
                }
                return this._getIsDimensionColoredByDefault(dataItem);
            }
        }
        else if (dataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t) {
            if (this._canColorByMeasures) {
                if (this._isHiddenMeasure(dataItem)) {
                    return false;
                }
                return this._coloredByMeasures();
            }
            return false;
        }
    }
    _getDataItem(uniqueName) {
        return this.dataItems().filter(item => item.uniqueName() === uniqueName)[0];
    }
    _getFinalDataType(dataItemId) {
        var metaData = this._dataManager() ? this._dataManager().getMetaData() : undefined;
        return !!metaData ? metaData.getFinalDataType(dataItemId) : 'Unknown';
    }
    _createDataItem(dataField, binding) {
        var itemTypeName = binding.dataItemType;
        if (!itemTypeName) {
            itemTypeName = _data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .DataField */ .J7.isMeasure(dataField) ? 'Measure' : 'Dimension';
        }
        var newDataItem = DataDashboardItem._createDataItem(itemTypeName);
        DataDashboardItem._updateDataItemByField(dataField, newDataItem);
        this.dataItems.push(newDataItem);
        return newDataItem;
    }
    _updateDataItem(dataItem, binding, dataField, acceptableShapingType) {
        _internal_helper_classes__WEBPACK_IMPORTED_MODULE_30__/* .Guard */ .wM.isNotFalsy(dataItem, 'dataItem');
        var itemTypeName = binding.dataItemType || dataItem.itemType();
        var newDataItem = (binding.dataItemType === dataItem.itemType()) ? dataItem : DataDashboardItem._createDataItem(itemTypeName);
        var oldDataMember = dataItem.dataMember();
        DataDashboardItem._updateDataItemByField(dataField, newDataItem, { oldDataItem: dataItem, acceptableShapingType: acceptableShapingType });
        var removeFromFilters = (newDataItem !== dataItem) || (oldDataMember !== newDataItem.dataMember());
        if (this.hiddenDimensions().some(dimension => dataItem.uniqueName() === dimension.uniqueName()) || this.hiddenMeasures().some(dimension => dataItem.uniqueName() === dimension.uniqueName()))
            removeFromFilters = false;
        this._unassignDataItem(dataItem, removeFromFilters, false);
        if (newDataItem !== dataItem) {
            this._removeFromFilters(dataItem);
            this._removeDataItemCore(dataItem);
            newDataItem.uniqueName(dataItem.uniqueName());
            this.dataItems.push(newDataItem);
        }
    }
    _removeDataItem(dataItem, skipGroups) {
        this._removeDataItemCore(dataItem);
        this._unassignDataItem(dataItem, true, skipGroups);
    }
    _attachDataItem(target, propertyName, link) {
        var dataItemLink = !!link ? link : new _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .DataItemLink */ .Kz(this, { '@DefaultId': target[propertyName].uniqueName() });
        target[propertyName] = dataItemLink;
        const dataComputed = knockout__WEBPACK_IMPORTED_MODULE_3__.computed({
            read: () => dataItemLink.dataItem(),
            write: (value) => {
                if (!!value) {
                    if (this._getDataItem(value.uniqueName())) {
                        throw Error(`DataItemLink: DataItem ${value.uniqueName()} already exists`);
                    }
                    else {
                        this.dataItems.push(value);
                        dataItemLink.dataItem(value);
                    }
                }
                else {
                    if (dataItemLink.dataItem()) {
                        this._removeDataItem(dataItemLink.dataItem());
                        dataItemLink.dataItem(null);
                    }
                }
            }
        });
        target[propertyName.substring(2)] = dataComputed;
        target.addDisposable(dataItemLink, dataComputed);
    }
    _subscribeDataItemLinkArrays(...propertyInfos) {
        propertyInfos.forEach(propertyInfo => {
            var property = this[propertyInfo.propertyName];
            var realProperty = this[propertyInfo.propertyName.substring(2)];
            this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
                property().filter(value => !value.dataItem())
                    .forEach(value => property.remove(value));
            }));
            this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_3__.computed(() => {
                var linkedDataItems = property().map(link => link.dataItem()).filter(dataItem => !!dataItem);
                realProperty.peek().filter(dataItem => linkedDataItems.indexOf(dataItem) === -1)
                    .forEach(itemToRemove => realProperty.remove(itemToRemove));
                linkedDataItems.filter(dataItem => realProperty.peek().indexOf(dataItem) === -1)
                    .forEach(itemToAdd => realProperty.splice(linkedDataItems.indexOf(itemToAdd), 0, itemToAdd));
            }));
            this.addDisposable((0,_internal_knockout_utils__WEBPACK_IMPORTED_MODULE_31__/* .subscribeArrayChange */ .w$)(realProperty, {
                added: (dimension, index) => {
                    if (!property().some(link => link.dataItem() === dimension)) {
                        this.dataItems.push(dimension);
                        var link = new _data_item_data_item__WEBPACK_IMPORTED_MODULE_15__/* .DataItemLink */ .Kz(this);
                        link.dataItem(dimension);
                        property.splice(index, 0, link);
                    }
                },
                deleted: (dimension) => {
                    if (property().some(link => link.dataItem() === dimension)) {
                        this.dataItems.remove(dimension);
                        property.remove(link => link.dataItem() === dimension);
                    }
                }
            }));
        });
    }
    _getMasterFilterMode() { return 'None'; }
    _getDrillDownEnabled() { return false; }
    _getIgnoreMasterFilter() { return false; }
    _getClearMasterFilterSupported() { return this._isMultipleMasterFilter(); }
    _getIsMasterFilter() { return this._isSingleMasterFilter() || this._isMultipleMasterFilter(); }
    _getInteractivityDimensionLinks() { return []; }
    _getIsVisualInteractivitySupported() { return true; }
    _getCanColorByMeasures() { return false; }
    _getCanColorByDimensions() { return false; }
    _getAreMeasuresColoredByDefault() { return false; }
    _getIsDimensionColoredByDefault(dimension) { return false; }
    _coloredDimensions() {
        return this._dimensions.filter(item => this._isColoringEnabled(item));
    }
    _coloredByMeasures() {
        if (this.coloringOptions.measuresColoringMode() === 'Hue') {
            return true;
        }
        if (this.coloringOptions.measuresColoringMode() === 'None') {
            return false;
        }
        return this._getAreMeasuresColoredByDefault();
    }
    _getUseGlobalColors() { return this.coloringOptions && this.coloringOptions.useGlobalColors(); }
    _getValidatedSelection(selectionValues) {
        return selectionValues ? selectionValues.map(value => { return value.map(_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .tryConvertToDateTime */ .bt); }) : selectionValues;
    }
    _getClearMasterFilterState() {
        if (this._clearMasterFilterSupported()) {
            if (this._useNeutralFilterMode() && this._isSingleMasterFilter() && !this._allowAllValue()) {
                return 'Disabled';
            }
            return this._actions().indexOf(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.clearMasterFilter) !== -1 ? 'Enabled' : 'Hidden';
        }
        return 'Hidden';
    }
    _allowAllValue() { return false; }
    _validateSelectionByData(selection) {
        var activeDimensions = this._interactivityDimensions.slice(this._drillDownValues().length).map(d => d.uniqueName());
        if (this._isSingleMasterFilter() && activeDimensions.length > 0) {
            var allSelection = this._getAllSelectionValues(activeDimensions);
            if (!selection || (!this._useNeutralFilterMode() && !(0,_data_utils__WEBPACK_IMPORTED_MODULE_6__/* .arrayContains */ .DQ)(allSelection, selection[0]))) {
                this._setSelectionData(allSelection.length > 0 ? [allSelection[0]] : null);
            }
        }
    }
    _updateContentData(content) {
        super._updateContentData(content);
        if (this.dataItems().length > 0 || !this._stateSupported('empty')) {
            this._updateDataManager(content);
        }
        if (content.ItemData && content.ItemData.Reduced) {
            this._limitDataState.setReduced();
        }
        this._validateSelectionByData(this._actualSelectionValues());
        let drillDownValues = this._getDisplayDrillDownValues();
        (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__/* .deepExtend */ .zw)(content, {
            multiData: this._multiData,
            DrillDownValues: !!drillDownValues ? drillDownValues.map(fv => fv.Values).reduce((v1, v2) => v1.concat(v2)) : undefined,
            DrillDownUniqueValues: this._drillDownValues.peek().length > 0 ? this._drillDownValues.peek() : undefined,
            LimitDataState: this._limitDataState.getViewModel()
        });
    }
    _extendContentState(content) {
        super._extendContentState(content);
        content.SelectedValues = this._actualSelectionValues.peek();
    }
    _updateDataManager(content) {
        let itemDataDTO = content.ItemData, contentType = content.ContentType;
        if (itemDataDTO) {
            (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .patchDateTime */ .OE)(itemDataDTO.DataStorageDTO);
        }
        if (contentType === _data_common__WEBPACK_IMPORTED_MODULE_4__/* .contentType */ .IM.partialDataSource && this._dataManager() && itemDataDTO) {
            this._updateDataManagerByPartialDataSource(content, itemDataDTO);
        }
        else {
            if ((contentType === _data_common__WEBPACK_IMPORTED_MODULE_4__/* .contentType */ .IM.fullContent || contentType === _data_common__WEBPACK_IMPORTED_MODULE_4__/* .contentType */ .IM.completeDataSource) && itemDataDTO && itemDataDTO.MetaData) {
                var dataManager = new _data_item_data_internal_item_data_manager__WEBPACK_IMPORTED_MODULE_9__/* .itemDataManager */ .N();
                dataManager.initialize(itemDataDTO);
                this._dataManager(dataManager);
            }
            if (contentType !== _data_common__WEBPACK_IMPORTED_MODULE_4__/* .contentType */ .IM.completeDataSource) {
            }
        }
        this._expandingManager.resetExpandingParams();
    }
    _updateDataManagerByPartialDataSource(content, itemDataDTO) {
        content.Parameters[0] = !!content.Parameters[0] && content.Parameters[0].map(value => (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .tryConvertToDateTime */ .bt)(value));
        this._dataManager().updateExpandedData(itemDataDTO, {
            values: content.Parameters[0],
            pivotArea: content.Parameters[1] ? _data_item_data_internal_item_data_axis_builder__WEBPACK_IMPORTED_MODULE_7__/* .pivotAreaNames */ .e.columns : _data_item_data_internal_item_data_axis_builder__WEBPACK_IMPORTED_MODULE_7__/* .pivotAreaNames */ .e.rows
        });
    }
    _getAllSelectionValues(activeDimensions) {
        return !!this._multiData ? this._multiData.getAllSelectionValues(activeDimensions) : [];
    }
    _getPointsByDimension(dimensionId, axisName) {
        if (this._multiData) {
            var axis = this._multiData.getAxis(axisName);
            return axis ? axis.getPointsByDimension(dimensionId) : [];
        }
    }
    _getColorizableDataItemsInfo() {
        return [];
    }
    _getDefaultCalculationWindowDefinition() {
        return undefined;
    }
    _getExportingSelection() {
        return this._selectionValues();
    }
    _getDisplayFilterValues(limitCount) {
        let selection = this._outputFilter(), outFilterValues = [];
        if (selection && selection.dimensions) {
            selection.dimensions.forEach((dimensionDefinition, dimensionIndex) => {
                var dimension = this._dimensions.filter(d => d.uniqueName() === dimensionDefinition['@DefaultId'])[0];
                var filterValues = new _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_39__/* .DimensionFilterValues */ .R(this._getDimensionDisplayName(dimension.uniqueName()));
                var uniqueValues = {};
                for (var valueIndex = 0, valueCount = 0; valueIndex < selection.values.length; valueIndex++) {
                    if (!!limitCount && valueCount >= limitCount) {
                        filterValues.Truncated = true;
                        break;
                    }
                    var value = selection.values[valueIndex][dimensionIndex];
                    if (!uniqueValues[value]) {
                        uniqueValues[value] = value;
                        valueCount++;
                    }
                }
                filterValues.Values = Object.keys(uniqueValues).map(v => this._createFormattableValue(dimension, uniqueValues[v]));
                outFilterValues.push(filterValues);
            });
        }
        return outFilterValues;
    }
    _createFormattableValue(dimension, value) {
        var isOlap = _data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .DataField */ .J7.isOlap(dimension.dataMember());
        var dimensionId = dimension.uniqueName();
        if (isOlap) {
            return {
                Type: 'Value',
                Value: this._getOlapDimensionDisplayText(value, dimensionId),
                Format: undefined
            };
        }
        else {
            var metaData = this._dataManager() ? this._dataManager().getMetaData() : undefined;
            return {
                Type: 'Value',
                Value: value,
                Format: metaData ? metaData.getDimensionFormat(dimensionId) : undefined
            };
        }
    }
    _getDisplayFilterValuesExternal() {
        var externalFilter = this._masterFilterItems().filter(item => !!item._outputFilter());
        return externalFilter
            .map(item => item._getDisplayFilterValues())
            .filter(arr => arr.length > 0)
            .reduce((acc, items) => acc.concat(items), []);
    }
    _getDisplayDrillDownValues() {
        var drillDownUniqueValues = this._drillDownValues.peek();
        if (!drillDownUniqueValues || drillDownUniqueValues.length == 0)
            return undefined;
        var values = new Array(), metaData = this._dataManager() ? this._dataManager().getMetaData() : undefined;
        drillDownUniqueValues.forEach((value, valueIndex) => {
            var dimension = this._interactivityDimensions[valueIndex];
            var filterValues = new _data_item_dimension_filter_values__WEBPACK_IMPORTED_MODULE_39__/* .DimensionFilterValues */ .R(this._getDimensionDisplayName(dimension.uniqueName()));
            var isOlap = _data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .DataField */ .J7.isOlap(dimension.dataMember());
            filterValues.Values.push(this._createFormattableValue(dimension, value));
            values.push(filterValues);
        });
        return values;
    }
    _getColoringSignature() {
        return this._getColoringSignatureBase(this._coloredDimensions());
    }
    _getColoringSignatureOnCurrentDrillDownLevel() {
        if (this._isDrillDownEnabled()) {
            var coloredDimensions = [];
            var currentDrillDownDimension = this._interactivityDimensions[this._drillDownValues().length];
            var currentColored = null;
            for (var i = 0; i < this._dimensions.length; i++) {
                var dimension = this._dimensions[i];
                if (this._isColoringEnabled(dimension))
                    currentColored = dimension;
                if (dimension === currentDrillDownDimension && currentColored !== null) {
                    coloredDimensions = [currentColored];
                    break;
                }
            }
            return this._getColoringSignatureBase(coloredDimensions);
        }
        else {
            return this._getColoringSignature();
        }
    }
    _getColoringSignatureBase(coloredDimension) {
        return new _colorization_color_scheme_definition__WEBPACK_IMPORTED_MODULE_13__/* .ColorSchemeDefinition */ .i(this.dataSource(), this.dataMember(), coloredDimension.map(dimension => {
            return {
                dataMember: knockout__WEBPACK_IMPORTED_MODULE_3__.observable(dimension.dataMember()),
                dateTimeGroupInterval: knockout__WEBPACK_IMPORTED_MODULE_3__.observable(dimension.dateTimeGroupInterval())
            };
        }), this._coloredByMeasures(), this._isGloballyColored ? '' : this.componentName(), this._isGloballyColored ? '' : this.name());
    }
    _isAttribute(dataItem) {
        return false;
    }
    _getItemDataAxis() {
        return _data_item_data_item_data_axis_names__WEBPACK_IMPORTED_MODULE_10__/* .itemDataAxisNames */ .X.defaultAxis;
    }
    _getDataItemContainerDisplayName(dataItemContainer, dataItemDisplayNameGetter = null) {
        var name = dataItemContainer.name && dataItemContainer.name() || null;
        if (name) {
            return name;
        }
        var bindingModel = dataItemContainer._getBindingModel(), separator = ' ' + (dataItemContainer._displayNameSeparator || '-') + ' ';
        name = '';
        bindingModel.forEach((binding) => {
            var dataItemLink = dataItemContainer[binding.propertyName];
            var dataItem = dataItemLink.dataItem && dataItemLink.dataItem();
            if (dataItem && dataItem.dataMember()) {
                if (name) {
                    name = name + separator;
                }
                name = name + (!!dataItemDisplayNameGetter ? dataItemDisplayNameGetter(dataItem) : this._getDataItemDisplayName(dataItem));
            }
        });
        return name;
    }
    _getDataItemDisplayName(dataItem) {
        var uniqueName = dataItem.uniqueName();
        return dataItem instanceof _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f ? this._getDimensionDisplayName(uniqueName) : this._getMeasureDisplayName(uniqueName);
    }
    _getMeasureDisplayName(uniqueName) {
        var metaData = this._dataManager() ? this._dataManager().getMetaData() : undefined;
        var measure = metaData.getMeasures().filter(m => m.id == uniqueName)[0];
        return !!measure ? measure.name : uniqueName;
    }
    _getDimensionDisplayName(uniqueName) {
        var dimension = undefined;
        var metaData = this._dataManager() ? this._dataManager().getMetaData() : undefined;
        var axes = !!metaData && metaData.getAxisNames() || [];
        axes.every(axisName => {
            var dimensions = metaData.getDimensions(axisName) || [];
            dimension = dimensions.filter(d => d.id == uniqueName)[0];
            return !dimension;
        });
        return !!dimension ? dimension.name : uniqueName;
    }
    _getOlapDimensionDisplayText(uniqueValue, dimensionId) {
        var itemData = this._dataManager() ? this._dataManager().getItemData() : undefined;
        var axes = !!itemData ? itemData.getAxisNames() : [];
        var pt = undefined;
        axes.every(axisName => {
            var axis = itemData.getAxis(axisName);
            pt = axis.getPointByUniqueValueAndDimension(uniqueValue, dimensionId);
            return !pt;
        });
        if (!!pt) {
            return pt.getUniqueValue() === _data_special_values__WEBPACK_IMPORTED_MODULE_12__/* .specialValues */ .A.olapNullValueGuid ? (0,_data_localization_default__WEBPACK_IMPORTED_MODULE_11__/* .getLocalizationById */ .Mu)('DashboardStringId.OlapRaggedHierarchyNoneItemCaption') : pt.getDisplayText();
        }
        else {
            return uniqueValue;
        }
    }
    _cleanDataItemDependencies() {
    }
    _setLinkCollectionAcceptableShapingType(links, type) {
        links.forEach(l => { l._specifics.acceptableShapingType = type; });
    }
    _updateDataQueryParams(params) {
        super._updateDataQueryParams(params);
        if (this._expandingManager.canProvideExpandingState()) {
            params.ExpandingState = this._expandingManager.calculateExpandingState();
        }
    }
    _stateSupported(state) {
        return this._supportedUIStates().indexOf(state) !== -1;
    }
    _isHiddenDimension(dimension) {
        return !!this.__hiddenDimensions().filter(link => link.dataItem() === dimension)[0];
    }
    _isHiddenMeasure(measure) {
        return !!this.__hiddenMeasures().filter(link => link.dataItem() === measure)[0];
    }
    _setSelection(stateSelection) {
        let validatedSelection = this._getValidatedSelection(stateSelection);
        if (this._isSingleMasterFilter()) {
            if ((!validatedSelection || validatedSelection.length === 0) && !this._clearMasterFilterSupported())
                return;
            if (validatedSelection && validatedSelection.length > 1)
                validatedSelection = [validatedSelection[0]];
        }
        this._setSelectionData(validatedSelection);
    }
    _hasSelection() {
        return !!this._selectionValues() && !!this._selectionValues()[0];
    }
    _performOutputFilterOptimization(filter) {
        return filter;
    }
    _setState(parameter) {
        super._setState(parameter);
        var itemState = parameter;
        var obsoleteItemState = parameter;
        let drillDownState = itemState.DrillDownValues || _internal_obsolete_dashboard_state__WEBPACK_IMPORTED_MODULE_40__/* .ObsoleteItemState */ .k.unwrapDilldownValues(obsoleteItemState.DrillLevels) || [];
        drillDownState = drillDownState.map(value => (0,_internal_date_utils__WEBPACK_IMPORTED_MODULE_38__/* .tryConvertToDateTime */ .bt)(value));
        if (!(0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_28__/* .arrayEquals */ .ng)(this._drillDownValues(), drillDownState))
            this._drillDownValues(drillDownState);
        let selectionState = itemState.MasterFilterValues || obsoleteItemState.Selection;
        this._setSelection(selectionState);
        let selectedElementIndexState = itemState.SelectedLayerIndex || obsoleteItemState.SelectedElementIndex;
        if (this._selectedElementIndex() !== selectedElementIndexState)
            this._selectedElementIndex(selectedElementIndexState);
    }
    _setClientState(clientState) {
        this._clientState(clientState);
    }
    _setSelectionData(selection, forceSetSelection = false) {
        if (!(0,_internal_array_utils__WEBPACK_IMPORTED_MODULE_28__/* .arrayEquals */ .ng)(this._selectionValues(), selection) || forceSetSelection) {
            this._selectionValues(selection);
        }
    }
    _itemInteractivityByColumnAxis() {
        return true;
    }
    _getInteractivityAxisDimensionCount() {
        return this._dimensions.length - this.hiddenDimensions().length;
    }
    _removeSelectionFromState(state) {
        var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__/* .deepExtend */ .zw)({}, state);
        itemState.MasterFilterValues = undefined;
        return itemState;
    }
    _setSelectionToState(state, selection) {
        var itemState = (0,_data_jquery_helpers__WEBPACK_IMPORTED_MODULE_5__/* .deepExtend */ .zw)({}, state);
        itemState.MasterFilterValues = selection;
        return itemState;
    }
    _setPredefinedPeriodToState(itemState, periodName) {
        return itemState;
    }
    _unassignDataItem(dataItem, removeFromFilters, skipGroups) {
        this._clearInteractivityState();
        if (removeFromFilters)
            this._removeFromFilters(dataItem);
        if (!skipGroups && dataItem instanceof _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f && (0,_data_sources_data_field__WEBPACK_IMPORTED_MODULE_21__/* .IsOlapHierarchyField */ .Q0)(dataItem)) {
            for (var i = this.dataItems().length - 1; i >= 0; i--) {
                var item = this.dataItems()[i];
                if (item instanceof _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f && item.groupIndex() == dataItem.groupIndex() && item != dataItem) {
                    this.dataItems.remove(item);
                }
            }
            this._cleanDataItemDependencies();
        }
    }
    _removeDataItemCore(dataItem) {
        if (dataItem instanceof _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t) {
            this._dimensions.forEach(dimensionDataItem => {
                var dimension = dimensionDataItem;
                if (dimension.sortMeasure() === dataItem.uniqueName()) {
                    dimension.sortMeasure(undefined);
                }
                if (dimension.topNOptionsMeasureName() === dataItem.uniqueName()) {
                    dimension.topNOptionsMeasureName(undefined);
                }
            });
        }
        this.dataItems.remove(dataItem);
    }
    _getActiveDimensions() {
        var drillDownValuesCount = this._drillDownValues().length;
        if (this._getDrillDownEnabled()) {
            return [this._interactivityDimensions[drillDownValuesCount]];
        }
        else {
            return this._interactivityDimensions;
        }
    }
    _getDimensionIdsByItemName() {
        return this._getActiveDimensions().map(dim => dim.uniqueName());
    }
    _getValues(tuples) {
        return _data_item_data_internal_item_data_axis_helper__WEBPACK_IMPORTED_MODULE_8__/* .itemDataAxisHelper */ .J.getValuesByTuples(tuples, this._getDimensionIdsByItemName());
    }
    _getAvailableTuples() {
        var that = this, data = that._getItemData(), dimensionIds = that._getDimensionIdsByItemName(), axisName = that._getCurrentAxisNameByItemName();
        return data && data.getAvailableTuples(dimensionIds, axisName);
    }
    _getCurrentAxisNameByItemName() {
        return this._getItemDataAxis();
    }
    _getSelectedValuesByItemName() {
        return this._selectionValues();
    }
    _performSetMasterFilter(values) {
        if (values) {
            if (!Array.isArray(values) || (!(values[0] instanceof _data_item_data_item_data_tuple__WEBPACK_IMPORTED_MODULE_41__/* .itemDataTuple */ .e) && !Array.isArray(values[0]))) {
                throw new Error('The type of the values parameter is not supported.');
            }
            let arrayValues = values[0] instanceof _data_item_data_item_data_tuple__WEBPACK_IMPORTED_MODULE_41__/* .itemDataTuple */ .e ? this._getValues(values) : values;
            if (this._isSingleMasterFilter() && arrayValues.length !== 1) {
                throw new Error('Only one filter value is allowed when the Master Filter mode is set to Single.');
            }
            this._processItemSelectionChange('', _data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMasterFilter, arrayValues.map(selectionRow => selectionRow.map(_data_utils__WEBPACK_IMPORTED_MODULE_6__/* .unwrapSpecialNullValue */ .rD)));
        }
        else {
            throw Error();
        }
    }
    _performClearMasterFilter() {
        this._processItemClearMasterFilter();
    }
    _performDrillDown(values) {
        var realValues = values instanceof _data_item_data_item_data_tuple__WEBPACK_IMPORTED_MODULE_41__/* .itemDataTuple */ .e ? this._getValues([values]) : [[(0,_data_utils__WEBPACK_IMPORTED_MODULE_6__/* .unwrapSpecialNullValue */ .rD)(values)]];
        this._processItemSelectionChange('', _data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.drillDown, realValues[0]);
    }
    _performDrillUp() {
        this._processItemDrillUp();
    }
    _getAvailableDrillDownValues(itemName) {
        return (this._getAvailableActions().indexOf(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.drillDown) !== -1) ? this._getAvailableTuples() : null;
    }
    _getCurrentDrillDownValues() {
        var data = this._getItemData(), dimensionIds = this._getDimensionIdsByItemName(), axisName = this._getCurrentAxisNameByItemName();
        return data && data.getCurrentDrillDownValues(dimensionIds, axisName);
    }
    _getAvailableFilterValues(itemName) {
        return (this._getAvailableActions().indexOf(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMasterFilter) !== -1 ||
            this._getAvailableActions().indexOf(_data_common__WEBPACK_IMPORTED_MODULE_4__/* .viewerActions */ .qH.setMultipleValuesMasterFilter) !== -1) ? this._getAvailableTuples() : null;
    }
    _getAvailableActions() {
        return this._actions();
    }
    _getItemData() {
        var dataManager = this._dataManager();
        return dataManager && dataManager.getItemData();
    }
    _getCurrentFilterValues() {
        var that = this, data = that._getItemData(), dimensionIds = that._getDimensionIdsByItemName(), axisName = that._getCurrentAxisNameByItemName(), selectedValues = that._getSelectedValuesByItemName();
        return data && data.getCurrentFilterValues(dimensionIds, axisName, selectedValues);
    }
    _conditionFormattingExpressionEditorFilter(dataItem) {
        return !this.hiddenDimensions().filter(hd => hd.uniqueName() === dataItem.uniqueName())[0];
    }
}
DataDashboardItem._itemTypesMap = {
    Measure: _data_item_measure__WEBPACK_IMPORTED_MODULE_17__/* .Measure */ .t,
    Dimension: _data_item_dimension__WEBPACK_IMPORTED_MODULE_16__/* .Dimension */ .f
};
DataDashboardItem._formatRuleTypesMap = {
    GridItemFormatRule: _format_rules_grid_item_format_rule__WEBPACK_IMPORTED_MODULE_25__/* .GridItemFormatRule */ .D,
    PivotItemFormatRule: _format_rules_pivot_item_format_rule__WEBPACK_IMPORTED_MODULE_26__/* .PivotItemFormatRule */ .V,
    CardItemFormatRule: _format_rules_card_item_format_rule__WEBPACK_IMPORTED_MODULE_23__/* .CardItemFormatRule */ .X,
    CardItemDeltaFormatRule: _format_rules_card_item_delta_format_rule__WEBPACK_IMPORTED_MODULE_22__/* .CardItemDeltaFormatRule */ .z,
    ChartItemFormatRule: _format_rules_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_24__/* .ChartItemFormatRule */ .X,
    ScatterChartItemFormatRule: _format_rules_scatter_chart_item_format_rule__WEBPACK_IMPORTED_MODULE_27__/* .ScatterChartItemFormatRule */ .l
};
DataDashboardItem._addColoringMeta = (links) => {
    links.forEach((link) => {
        if (!link._specifics.customDataShapingProperties.some(prop => prop.serializationInfo.propertyName === _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_18__/* .coloringMode */ .z4.propertyName)) {
            link._specifics.customDataShapingProperties = link._specifics.customDataShapingProperties.concat([{
                    serializationInfo: _data_item_metadata_dimension__WEBPACK_IMPORTED_MODULE_18__/* .coloringMode */ .z4
                }]);
        }
    });
};
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_32__/* .collectionItemType */ .s)('Dimension')
], DataDashboardItem.prototype, "__hiddenDimensions", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_32__/* .collectionItemType */ .s)('Measure')
], DataDashboardItem.prototype, "__hiddenMeasures", void 0);
__decorate([
    (0,_internal_utils__WEBPACK_IMPORTED_MODULE_32__/* .collectionItemType */ .s)('Entry')
], DataDashboardItem.prototype, "colorScheme", void 0);
function getSummaryType(dataField) {
    if (dataField) {
        switch (dataField.fieldType()) {
            case 'Bool':
            case 'Text':
            case 'DateTime':
                return 'Count';
            case 'Custom':
                if (!dataField.isConvertible()) {
                    return 'Count';
                }
        }
    }
    return _data_item_metadata_measure__WEBPACK_IMPORTED_MODULE_19__/* .summaryTypeNumericToAny */ .je.defaultVal;
}
function removePropertyFromCriteriaOperator(sourceCriteriaOperator, propertyName) {
    if (sourceCriteriaOperator instanceof _devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__.GroupOperator) {
        sourceCriteriaOperator.operands = sourceCriteriaOperator.operands.map(operand => removePropertyFromCriteriaOperator(operand, propertyName));
        return sourceCriteriaOperator;
    }
    else if (sourceCriteriaOperator instanceof _devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__.UnaryOperator) {
        sourceCriteriaOperator.operand = removePropertyFromCriteriaOperator(sourceCriteriaOperator.operand, propertyName);
        return sourceCriteriaOperator;
    }
    else if (!sourceCriteriaOperator.children().some(operand => operand instanceof _devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__.OperandProperty && operand.propertyName === propertyName)) {
        return sourceCriteriaOperator;
    }
    return new _devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__.GroupOperator(_devexpress_analytics_core_analytics_criteria__WEBPACK_IMPORTED_MODULE_0__.GroupOperatorType.And, []);
}
function removeDataItemFromCriteria(criteria, dataItemName) {
    try {
        if (!!criteria) {
            var criteriaSerializer = new _devexpress_analytics_core_analytics_widgets_internal__WEBPACK_IMPORTED_MODULE_2__.FilterEditorSerializer();
            var criteriaOperator = criteriaSerializer.deserialize(criteria);
            var cleanedOperator = removePropertyFromCriteriaOperator(criteriaOperator, dataItemName);
            return criteriaSerializer.serialize(cleanedOperator);
        }
        else {
            return criteria;
        }
    }
    catch (e) {
        return '';
    }
}


/***/ }),

/***/ 9699:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ tabContainerItemSerializationInfo),
/* harmony export */   a: () => (/* binding */ tabPages)
/* harmony export */ });
/* harmony import */ var _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(4904);
/* harmony import */ var _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3888);


let tabPages = { propertyName: 'tabPages', modelName: 'Pages', array: true, category: _metadata_base_metadata__WEBPACK_IMPORTED_MODULE_0__/* .PropertyCategory */ .Sw.NoUpdate };
let tabContainerItemSerializationInfo = _metadata_dashboard_item__WEBPACK_IMPORTED_MODULE_1__/* .dashboardItemSerializationsInfo */ .xg.concat([tabPages]);


/***/ }),

/***/ 9731:
/***/ ((module) => {

module.exports = DevExpress.Analytics.Internal;

/***/ }),

/***/ 9759:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  G: () => (/* binding */ JsonDataSource)
});

// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/data-sources/data-source.js
var data_source = __webpack_require__(6844);
// EXTERNAL MODULE: external "DevExpress.Analytics.Data"
var external_DevExpress_Analytics_Data_ = __webpack_require__(546);
// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
// EXTERNAL MODULE: ./dist/model/data-sources/metadata/_data-source.js
var _data_source = __webpack_require__(3689);
;// ./dist/model/data-sources/metadata/_json-data-source.js




let jsonDataSourceSerializationsInfo = _data_source/* dataSourceSerializationsInfo */.v.concat([
    _base_metadata/* filter */.pb,
    { propertyName: 'connectionName', modelName: '@ConnectionName' },
    { propertyName: 'rootElement', modelName: '@RootElement', defaultVal: 'root' },
    {
        propertyName: 'schema', modelName: 'Schema',
        from: (model, serializer) => external_ko_.observable(external_DevExpress_Analytics_Data_.JsonSchemaRootNode.from(model, serializer)),
        toJsonObject: external_DevExpress_Analytics_Data_.JsonSchemaRootNode.toJson,
        category: _base_metadata/* PropertyCategory */.Sw.NoUpdateByObservableValue
    },
    { propertyName: 'source', modelName: 'Source', defaultVal: '' },
]);

;// ./dist/model/data-sources/json-data-source.js



class JsonDataSource extends data_source/* DataSource */.q {
    get _isFederationDataProvider() {
        return true;
    }
    constructor(dataSourceJSON = {}, serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer()) {
        super(dataSourceJSON, serializer);
        this.hasCalculatedFields = true;
        this.hasFilter = true;
    }
    getInfo() {
        return jsonDataSourceSerializationsInfo;
    }
    getDisplayNamePrefix() {
        return 'DashboardStringId.DefaultJsonDataSourceName';
    }
    _getDefaultItemType() {
        return 'JsonDataSource';
    }
}


/***/ }),

/***/ 9795:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ Calculation),
/* harmony export */   g: () => (/* binding */ _currentCalculationInfo)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9731);
/* harmony import */ var _devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _serializable_model__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1513);
/* harmony import */ var _measure_calculation__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5354);
/* harmony import */ var _metadata_calculation__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3090);






let _currentCalculationInfo = (model) => {
    if (!model.calculationType)
        return [];
    return [{
            propertyName: 'calculation',
            modelName: model.calculationType() || 'FakeCalculationForModelSubscriber',
            from: (json, serializer) => { return new _measure_calculation__WEBPACK_IMPORTED_MODULE_4__/* .calculationsTypesMap */ .c[model.calculationType()](json, serializer); },
            toJsonObject: (value, serializer, refs) => {
                var result = serializer.serialize(value, null, refs);
                if ((0,_devexpress_analytics_core_analytics_internal__WEBPACK_IMPORTED_MODULE_0__.isEmptyObject)(result)) {
                    return null;
                }
                return result;
            }
        }];
};
class Calculation extends _serializable_model__WEBPACK_IMPORTED_MODULE_3__/* .SerializableModel */ .Lm {
    constructor(modelJson = {}, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_1__.ModelSerializer()) {
        super(modelJson, serializer);
        this.calculationType = knockout__WEBPACK_IMPORTED_MODULE_2__.observable();
        this.calculation = knockout__WEBPACK_IMPORTED_MODULE_2__.observable();
        this.calculationType(Object.keys(_measure_calculation__WEBPACK_IMPORTED_MODULE_4__/* .calculationsTypesMap */ .c).filter(mapItem => !!modelJson && modelJson[mapItem] !== undefined)[0]);
        if (!!this.calculationType()) {
            this.calculation(new (_measure_calculation__WEBPACK_IMPORTED_MODULE_4__/* .calculationsTypesMap */ .c[this.calculationType()])((modelJson || {})[this.calculationType()]));
            delete this['_model'][this.calculationType()];
        }
        this.addDisposable(this.calculation.subscribe(calculation => {
            this.calculationType(Object.keys(_measure_calculation__WEBPACK_IMPORTED_MODULE_4__/* .calculationsTypesMap */ .c).filter(mapItem => calculation instanceof _measure_calculation__WEBPACK_IMPORTED_MODULE_4__/* .calculationsTypesMap */ .c[mapItem])[0]);
        }));
    }
    getInfo() {
        return _metadata_calculation__WEBPACK_IMPORTED_MODULE_5__/* .calculationSerializationsInfo */ .r.concat(_currentCalculationInfo(this));
    }
    isEmpty() {
        return !this.calculation();
    }
}


/***/ }),

/***/ 9818:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ Card)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data_sources_data_field__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4270);
/* harmony import */ var _kpi_kpi_element__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1129);
/* harmony import */ var _card_layout_template__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1360);
/* harmony import */ var _metadata_card__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2369);






var emptyCardTemplate = new _card_layout_template__WEBPACK_IMPORTED_MODULE_4__/* .CardEmptyLayoutTemplate */ .wb();
class Card extends _kpi_kpi_element__WEBPACK_IMPORTED_MODULE_3__/* .KpiElement */ .p {
    static _createTemplate(jsonModel, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        return jsonModel ? new Card.templateTypes[jsonModel['@Type']](jsonModel, serializer) : emptyCardTemplate;
    }
    constructor(dataItemProvider, modelJson = {}, serializer) {
        super(dataItemProvider, modelJson, serializer);
        this.layoutTemplate = knockout__WEBPACK_IMPORTED_MODULE_1__.observable();
        this.addDisposable(knockout__WEBPACK_IMPORTED_MODULE_1__.computed(() => {
            this.__targetValue._specifics.skipFormatting = !!this.__actualValue.uniqueName();
        }));
        this.layoutTemplate(Card._createTemplate(modelJson.LayoutTemplate, serializer));
    }
    _getInfoCore() {
        return _metadata_card__WEBPACK_IMPORTED_MODULE_5__/* .cardSerializationsInfo */ .GF;
    }
    _isTypeEmpty() {
        return this.layoutTemplate().getType() === emptyCardTemplate.getType();
    }
    _setTemplateSwitchingOptions(newTemplate) {
        if (this._isTypeEmpty()) {
            this._switchToCardDeltaOptions();
        }
        else if (newTemplate.getType() === emptyCardTemplate.getType()) {
            this._switchToKpiDeltaOptions();
        }
        this.layoutTemplate(newTemplate);
    }
    _switchToCardDeltaOptions() {
        this.cardDeltaOptions.resultIndicationMode(this.deltaOptions.resultIndicationMode());
        this.cardDeltaOptions.resultIndicationThreshold(this.deltaOptions.resultIndicationThreshold());
        this.cardDeltaOptions.resultIndicationThresholdType(this.deltaOptions.resultIndicationThresholdType());
    }
    _switchToKpiDeltaOptions() {
        this.deltaOptions.resultIndicationMode(this.cardDeltaOptions.resultIndicationMode());
        this.deltaOptions.resultIndicationThreshold(this.cardDeltaOptions.resultIndicationThreshold());
        this.deltaOptions.resultIndicationThresholdType(this.cardDeltaOptions.resultIndicationThresholdType());
    }
    _getDefaultItemType() { return 'Card'; }
    _getBindingModel() {
        let baseModel = super._getBindingModel();
        baseModel.forEach(property => property.fieldConstraint = (dataField) => !_data_sources_data_field__WEBPACK_IMPORTED_MODULE_2__/* .DataField */ .J7.isMeasure(dataField) || _data_sources_data_field__WEBPACK_IMPORTED_MODULE_2__/* .DataField */ .J7.isNumeric(dataField));
        return baseModel;
    }
}
Card.templateTypes = {
    Stretched: _card_layout_template__WEBPACK_IMPORTED_MODULE_4__/* .CardStretchedLayoutTemplate */ .jX,
    Centered: _card_layout_template__WEBPACK_IMPORTED_MODULE_4__/* .CardCenteredLayoutTemplate */ .fS,
    Compact: _card_layout_template__WEBPACK_IMPORTED_MODULE_4__/* .CardCompactLayoutTemplate */ .cT,
    Lightweight: _card_layout_template__WEBPACK_IMPORTED_MODULE_4__/* .CardLightweightLayoutTemplate */ .b9,
    Custom: _card_layout_template__WEBPACK_IMPORTED_MODULE_4__/* .CardCustomLayoutTemplate */ .aQ
};


/***/ }),

/***/ 9850:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ dimensionId),
/* harmony export */   GO: () => (/* binding */ elementTypeApplyTo),
/* harmony export */   TI: () => (/* binding */ cardFormatRuleRowElementSerializationsInfo),
/* harmony export */   re: () => (/* binding */ textId)
/* harmony export */ });
let elementTypeApplyTo = { propertyName: 'elementTypeApplyTo', modelName: '@LayoutItemApplyTo', displayName: 'DashboardStringId.FormatRuleApplyTo', defaultVal: 'Title', simpleFormAdapterItem: 'selectBoxEditor' };
let dimensionId = { propertyName: 'dimensionId', modelName: '@DimensionId', displayName: 'DashboardWebStringId.FormatRuleApplyToDimensionElement', defaultVal: '', simpleFormAdapterItem: 'selectBoxEditor' };
let textId = { propertyName: 'textId', modelName: '@Text', displayName: 'DashboardWebStringId.FormatRuleApplyToTextElement', defaultVal: '', simpleFormAdapterItem: 'selectBoxEditor' };
let cardFormatRuleRowElementSerializationsInfo = [elementTypeApplyTo, dimensionId, textId];


/***/ }),

/***/ 9899:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ FormatConditionRangeGradient)
/* harmony export */ });
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6799);
/* harmony import */ var _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(865);
/* harmony import */ var knockout__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(knockout__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(488);
/* harmony import */ var _style_settings_range_index_settings__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3748);
/* harmony import */ var _format_condition_range_base__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3730);
/* harmony import */ var _metadata_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9378);
/* harmony import */ var _range_generator__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5771);
/* harmony import */ var _range_info__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4633);








class FormatConditionRangeGradient extends _format_condition_range_base__WEBPACK_IMPORTED_MODULE_4__/* .FormatConditionRangeBase */ .L {
    static isGradientStop(predefined, color) {
        return predefined == 'Custom' && !!color || predefined != 'None' && predefined.indexOf('Gradient') != -1;
    }
    constructor(modelJson, serializer = new _devexpress_analytics_core_analytics_utils__WEBPACK_IMPORTED_MODULE_0__.ModelSerializer()) {
        super(modelJson, serializer);
        this.getSpecificType = () => this.getActualPredefinedType();
        this.setSpecificType = (specificType) => this.setActualPredefinedType(specificType);
        this.addDisposable(this.segmentNumber = knockout__WEBPACK_IMPORTED_MODULE_1__.computed({
            read: () => this.rangeSet.ranges().length,
            write: (value) => {
                this._generateByDefault(value);
            }
        }));
    }
    isGradient() {
        return true;
    }
    getInfo() {
        return _metadata_format_condition_range_gradient__WEBPACK_IMPORTED_MODULE_5__/* .formatConditionRangeGradientSerializationsInfo */ .L;
    }
    getActualPredefinedType() {
        return _range_generator__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGenerator */ .N.getGradientPredefinedType(this.actualStyles, (type) => {
            var c = new FormatConditionRangeGradient();
            _range_generator__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGenerator */ .N.generateGradientByType(c, type, 10);
            return c;
        });
    }
    setActualPredefinedType(type) {
        _range_generator__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGenerator */ .N.generateGradientByType(this, type, 10);
    }
    _generateByDefault(segmentNumber) {
        _range_generator__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGenerator */ .N.generateGradientByStyles(this, this.stopStyles, segmentNumber);
    }
    generateAsPercent(startStyle, endStyle, segmentNumber) {
        if (segmentNumber >= this.stopStyles.length) {
            this.valueType('Percent');
            this._generate(startStyle, endStyle, segmentNumber);
            this.setValues(_range_generator__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGenerator */ .N.calculateRangePercentValues(segmentNumber));
        }
    }
    generateAsNumber(startStyle, endStyle, values) {
        var segmentNumber = values.length;
        if (segmentNumber >= this.stopStyles.length) {
            this.valueType('Number');
            this._generate(startStyle, endStyle, segmentNumber);
            this.setValues(values);
        }
    }
    _getRangeIndexSettings(index) {
        return new _style_settings_range_index_settings__WEBPACK_IMPORTED_MODULE_3__/* .RangeIndexSettings */ .P(index);
    }
    _getSortedRanges() {
        var ranges = this.rangeSet.ranges();
        ranges.sort((a, b) => {
            var aValue = a.value.value(), bValue = b.value.value();
            var c = _range_generator__WEBPACK_IMPORTED_MODULE_6__/* .FormatConditionRangeGenerator */ .N.compareValues(aValue, bValue, true);
            if (c != 0)
                return c;
            if (a.valueComparison() == b.valueComparison())
                return 0;
            if (a.valueComparison() == 'Greater')
                return 1;
            return -1;
        });
        return ranges;
    }
    _generate(startStyle, endStyle, rangeCount) {
        var ranges = [];
        for (var i = 0; i < rangeCount; i++) {
            ranges.push(new _range_info__WEBPACK_IMPORTED_MODULE_7__/* .RangeInfo */ .c());
        }
        ranges[0].styleSettings(this._validateStyle(startStyle));
        ranges[ranges.length - 1].styleSettings(this._validateStyle(endStyle));
        this.rangeSet.ranges(ranges);
    }
    _isGradientStop(style) {
        if (style instanceof _style_settings_appearance_settings__WEBPACK_IMPORTED_MODULE_2__/* .AppearanceSettings */ .M) {
            return FormatConditionRangeGradient.isGradientStop(style.appearanceType(), style.backColor());
        }
        else {
            return false;
        }
    }
    _validateStyle(style) {
        if (!this._isGradientStop(style))
            throw new Error("Use colors with the 'Gradient' prefix from the FormatConditionAppearanceType enumeration to initialize the AppearanceSettings.appearanceType property or set the AppearanceSettings.appearanceType property to 'Custom' and specify the AppearanceSettings.backColor property.");
        return style;
    }
}


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};

// UNUSED EXPORTS: default

// NAMESPACE OBJECT: ./dist/data/index.js
var data_namespaceObject = {};
__webpack_require__.r(data_namespaceObject);
__webpack_require__.d(data_namespaceObject, {
  itemDataAxisNames: () => (item_data_axis_names/* itemDataAxisNames */.X),
  specialValues: () => (special_values/* specialValues */.A)
});

// NAMESPACE OBJECT: ./dist/common/viewer/index.internal.js
var viewer_index_internal_namespaceObject = {};
__webpack_require__.r(viewer_index_internal_namespaceObject);
__webpack_require__.d(viewer_index_internal_namespaceObject, {
  ArrangementInfo: () => (ArrangementInfo),
  ArrangementStrategy: () => (ArrangementStrategy),
  AutoArrangementStrategy: () => (AutoArrangementStrategy),
  BarCacheItem: () => (_style_settings_provider/* BarCacheItem */.fO),
  BaseWidgetItem: () => (BaseWidgetItem),
  CardItem: () => (CardItem),
  CardVirtualizationController: () => (CardVirtualizationController),
  CardsViewer: () => (CardsViewer),
  ClickableFloatingCaptionToolbar: () => (ClickableFloatingCaptionToolbar),
  ColumnArrangementStrategy: () => (ColumnArrangementStrategy),
  ColumnWidthCalculator: () => (ColumnWidthCalculator),
  DashboardCaptionToolbarAdapter: () => (DashboardCaptionToolbarAdapter),
  DashboardCaptionToolbarBase: () => (DashboardCaptionToolbarBase),
  DashboardItemContext: () => (DashboardItemContext),
  DashboardItemHeaderHeight: () => (DashboardItemHeaderHeight),
  DashboardLayoutModeHelper: () => (DashboardLayoutModeHelper),
  DashboardTitleComponent: () => (DashboardTitleComponent),
  DashboardTitleContext: () => (DashboardTitleContext),
  DashboardTitleModel: () => (DashboardTitleModel),
  DashboardTitleToolbar: () => (DashboardTitleToolbar),
  DashboardTitleToolbarAdapter: () => (DashboardTitleToolbarAdapter),
  DashboardTitleView: () => (DashboardTitleView),
  DashboardUIItemStateController: () => (DashboardUIItemStateController),
  DashboardViewerConstants: () => (_dashboard_viewer_constants/* DashboardViewerConstants */.k),
  DataItemViewerAdapter: () => (DataItemViewerAdapter),
  DateTimePeriodConverter: () => (_datetime_period_converter/* DateTimePeriodConverter */.F),
  DeltaIndicator: () => (DeltaIndicator),
  DrawProperty: () => (_style_settings_provider/* DrawProperty */._p),
  ExportOptions: () => (ExportOptions),
  FilterIconTooltip: () => (FilterIconTooltip),
  FloatingCaptionToolbarBase: () => (FloatingCaptionToolbarBase),
  GaugeDeltaIndicator: () => (GaugeDeltaIndicator),
  GridColumnPainter: () => (GridColumnPainter),
  GridItemViewerAdapter: () => (GridItemViewerAdapter),
  HiddenCaptionToolbar: () => (HiddenCaptionToolbar),
  HoveredDashboardCaptionToolbar: () => (HoveredDashboardCaptionToolbar),
  HoveredFloatingCaptionToolbar: () => (HoveredFloatingCaptionToolbar),
  ItemLoadingElement: () => (ItemLoadingElement),
  ItemViewerAdapterBase: () => (ItemViewerAdapterBase),
  MapItemViewerAdapter: () => (MapItemViewerAdapter),
  MinimizedClickableCaptionToolbar: () => (MinimizedClickableCaptionToolbar),
  MinimizedHoveredCaptionToolbar: () => (MinimizedHoveredCaptionToolbar),
  MinimizedToolbarState: () => (MinimizedToolbarState),
  MobileLayoutCaptionToolbar: () => (MobileLayoutCaptionToolbar),
  ParameterEntity: () => (ParameterEntity),
  PivotItemViewerAdapter: () => (PivotItemViewerAdapter),
  PopupMenuCreator: () => (PopupMenuCreator),
  PredefinedPeriodsItemViewerAdapter: () => (PredefinedPeriodsItemViewerAdapter),
  RangeFilterSelectionValidator: () => (_range_filter_selection_validator/* RangeFilterSelectionValidator */.A),
  RenderHelper: () => (_render_helper/* RenderHelper */.p),
  RowArrangementStrategy: () => (RowArrangementStrategy),
  Settings: () => (Settings),
  SimpleIndicator: () => (SimpleIndicator),
  StaticCaptionToolbar: () => (StaticCaptionToolbar),
  ViewerItemAdaptersManager: () => (ViewerItemAdaptersManager),
  ViewerItemFactory: () => (ViewerItemFactory),
  WidgetItem: () => (WidgetItem),
  _convertToExportFormat: () => (_convertToExportFormat),
  _registerDashboardTitle: () => (_registerDashboardTitle),
  appearanceSettingsProvider: () => (_appearance_settings_provider/* appearanceSettingsProvider */.v),
  arrangeFloatingToolbarItems: () => (arrangeFloatingToolbarItems),
  arrangeHoveredToolbarItems: () => (arrangeHoveredToolbarItems),
  arrangeStaticToolbarItems: () => (arrangeStaticToolbarItems),
  arrangeTitleToolbarItems: () => (arrangeTitleToolbarItems),
  baseItem: () => (baseItem),
  borders: () => (borders),
  boundImageItem: () => (boundImageItem),
  boundImageItemOptionsGroup: () => (boundImageItemOptionsGroup),
  bubbleMapItem: () => (bubbleMapItem),
  cacheable: () => (_cacheable/* cacheable */.$),
  calcMaxWidth: () => (calcMaxWidth),
  calcTabHeadersWidth: () => (calcTabHeadersWidth),
  captionOptionsGroup: () => (captionOptionsGroup),
  cardArrangementInfo: () => (cardArrangementInfo),
  cardArrangementTableGenerator: () => (cardArrangementTableGenerator),
  cardIndicatorElement: () => (cardIndicatorElement),
  cardItemStyleSettingsProvider: () => (_style_settings_provider/* cardItemStyleSettingsProvider */.ZU),
  cardLayout: () => (cardLayout),
  cardMeasurer: () => (cardMeasurer),
  cardOptionsGroup: () => (cardOptionsGroup),
  cardPainter: () => (cardPainter),
  cardRow: () => (cardRow),
  cardRowElement: () => (cardRowElement),
  cardRowElementBase: () => (cardRowElementBase),
  cardSparklineElement: () => (cardSparklineElement),
  cardValue1Counter: () => (cardValue1Counter),
  cardsItem: () => (cardsItem),
  chartItem: () => (chartItem),
  chartOptionsGroup: () => (chartOptionsGroup),
  checkRange: () => (checkRange),
  choroplethMapItem: () => (choroplethMapItem),
  comboBoxFilterElement: () => (comboBoxFilterElement),
  constraints: () => (constraints),
  contentToolbarHeight: () => (contentToolbarHeight),
  createDefaultToolbar: () => (createDefaultToolbar),
  createElementSizeUpdater: () => (createElementSizeUpdater),
  createFakeObjects: () => (_render_helper/* createFakeObjects */.S),
  createItemClickEventArgs: () => (createItemClickEventArgs),
  createItemElementCustomColorEventArgs: () => (createItemElementCustomColorEventArgs),
  createItemInteractivityEventArgs: () => (createItemInteractivityEventArgs),
  createItemSelectionChangedEventArgs: () => (createItemSelectionChangedEventArgs),
  createItemSizeUpdater: () => (createItemSizeUpdater),
  createWidgetEventArgs: () => (createWidgetEventArgs),
  createWidgetOptionsEventArgs: () => (createWidgetOptionsEventArgs),
  cssClassNames: () => (_css_class_names/* cssClassNames */._),
  cssClassNamesBaseItem: () => (cssClassNamesBaseItem),
  cssClasses: () => (cssClasses),
  cssComboBoxClassNames: () => (cssComboBoxClassNames),
  cssDateFilterClassNames: () => (cssDateFilterClassNames),
  cssListBoxClassNames: () => (cssListBoxClassNames),
  cssTreeViewClassNames: () => (cssTreeViewClassNames),
  customFakeItem: () => (customFakeItem),
  customItemOptionsGroup: () => (customItemOptionsGroup),
  customTimePeriodDialog: () => (customTimePeriodDialog),
  dashboardExcelOptionsGroup: () => (dashboardExcelOptionsGroup),
  dashboardExportDocumentScaleMode: () => (dashboardExportDocumentScaleMode),
  dashboardExportExcelFormat: () => (dashboardExportExcelFormat),
  dashboardExportFilterState: () => (dashboardExportFilterState),
  dashboardExportImageFormat: () => (dashboardExportImageFormat),
  dashboardExportPageLayout: () => (dashboardExportPageLayout),
  dashboardExportPaperKind: () => (dashboardExportPaperKind),
  dashboardExportScaleMode: () => (dashboardExportScaleMode),
  dashboardExportSizeMode: () => (dashboardExportSizeMode),
  dashboardImageOptionsGroup: () => (dashboardImageOptionsGroup),
  dashboardOptionsGroup: () => (dashboardOptionsGroup),
  dashboardSelectionMode: () => (dashboardSelectionMode),
  dashboardStateExcelExportPosition: () => (dashboardStateExcelExportPosition),
  dashboardStateExportPosition: () => (dashboardStateExportPosition),
  dashboardStateOptionsGroup: () => (dashboardStateOptionsGroup),
  dashboardStatePosition: () => (dashboardStatePosition),
  dataGridItem: () => (dataGridItem),
  dateFilterElement: () => (dateFilterElement),
  deepCloneObject: () => (deepCloneObject),
  defConstraints: () => (defConstraints),
  defSizeInPercents: () => (defSizeInPercents),
  defaultViewerItemFactory: () => (defaultViewerItemFactory),
  defaultWidgetsMap: () => (defaultWidgetsMap),
  dialogClasses: () => (dialogClasses),
  dialogForm: () => (dialogForm),
  dialogSizes: () => (dialogSizes),
  documentOptionsGroup: () => (documentOptionsGroup),
  dxWidgetsViewer: () => (dxWidgetsViewer),
  ensureRange: () => (ensureRange),
  entireDashboardOptionsGroup: () => (entireDashboardOptionsGroup),
  excelDashboardStatePosition: () => (excelDashboardStatePosition),
  excelExportFilterState: () => (excelExportFilterState),
  excelFormat: () => (excelFormat),
  excelOptionsGroup: () => (excelOptionsGroup),
  exportDialog: () => (exportDialog),
  exportFormats: () => (exportFormats),
  exportOptionsCache: () => (exportOptionsCache),
  filterElementBaseItem: () => (filterElementBaseItem),
  gaugeOptionsGroup: () => (gaugeOptionsGroup),
  gaugesItem: () => (gaugesItem),
  geoPointMapItem: () => (geoPointMapItem),
  geoPointMapItemBase: () => (geoPointMapItemBase),
  getControlContainer: () => (getControlContainer),
  getCrossDirection: () => (getCrossDirection),
  gridOptionsGroup: () => (gridOptionsGroup),
  groupItem: () => (groupItem),
  groupItemOptionsGroup: () => (groupItemOptionsGroup),
  horizontalAlignment: () => (horizontalAlignment),
  imageFormat: () => (imageFormat),
  imageItem: () => (imageItem),
  imageItemOptionsGroup: () => (imageItemOptionsGroup),
  imageOptionsGroup: () => (imageOptionsGroup),
  indicatorType: () => (_consts_indicatorType),
  interactivityController: () => (interactivityController),
  kpiItem: () => (kpiItem),
  labeledEditor: () => (labeledEditor),
  layoutCardCssClassNames: () => (_css_class_names/* layoutCardCssClassNames */.m),
  listFilterElement: () => (listFilterElement),
  mapItem: () => (mapItem),
  mapOptionsGroup: () => (mapOptionsGroup),
  margins: () => (margins),
  masterFilterValues: () => (masterFilterValues),
  maxFilterValuesCount: () => (maxFilterValuesCount),
  newCardItem: () => (newCardItem),
  newCardMeasurements: () => (newCardMeasurements),
  nonClientElement: () => (nonClientElement),
  optionName: () => (optionName),
  optionsGroup: () => (optionsGroup),
  paddings: () => (paddings),
  pageLayout: () => (pageLayout),
  paperKind: () => (paperKind),
  parameterTypes: () => (parameterTypes),
  parametersDialog: () => (parametersDialog),
  pieItem: () => (pieItem),
  pieMapItem: () => (pieMapItem),
  pieMouseEventController: () => (pieMouseEventController),
  pieOptionsGroup: () => (pieOptionsGroup),
  pivotGridItem: () => (pivotGridItem),
  pivotOptionsGroup: () => (pivotOptionsGroup),
  positioningDirection: () => (positioningDirection),
  rangeFilterOptionsGroup: () => (rangeFilterOptionsGroup),
  rangeFilterSelection: () => (rangeFilterSelection),
  rangeSelectorItem: () => (rangeSelectorItem),
  resetGlobalSizeCache: () => (_cacheable/* resetGlobalSizeCache */.W),
  scaleMode: () => (scaleMode),
  scaleModeOptionsGroup: () => (scaleModeOptionsGroup),
  setElementSize: () => (setElementSize),
  simplyImageOptionsGroup: () => (simplyImageOptionsGroup),
  size: () => (size),
  sizeMode: () => (sizeMode),
  sparklineOptions: () => (sparklineOptions),
  stubItem: () => (stubItem),
  styleSettingsProvider: () => (_style_settings_provider/* styleSettingsProvider */.AI),
  tabPageItem: () => (tabPageItem),
  textItem: () => (textItem),
  textItemOptionsGroup: () => (textItemOptionsGroup),
  titleHeight: () => (_dashboard_title_view_constants_titleHeight),
  titleTooltipClasses: () => (titleTooltipClasses),
  titleVerticalPadding: () => (titleVerticalPadding),
  treeViewFilterElement: () => (treeViewFilterElement),
  treemapItem: () => (treemapItem),
  treemapOptionsGroup: () => (treemapOptionsGroup),
  types: () => (_viewer_item_types/* types */.g),
  verticalAlignment: () => (verticalAlignment),
  widgetItemCore: () => (widgetItemCore),
  widgetItemFactory: () => (widgetItemFactory),
  widgetViewerItem: () => (widgetViewerItem)
});

// NAMESPACE OBJECT: ./dist/common/index.internal.js
var common_index_internal_namespaceObject = {};
__webpack_require__.r(common_index_internal_namespaceObject);
__webpack_require__.d(common_index_internal_namespaceObject, {
  AriaLiveRegion: () => (AriaLiveRegion),
  ArrangementInfo: () => (ArrangementInfo),
  ArrangementStrategy: () => (ArrangementStrategy),
  AutoArrangementStrategy: () => (AutoArrangementStrategy),
  BarCacheItem: () => (_style_settings_provider/* BarCacheItem */.fO),
  BaseWidgetItem: () => (BaseWidgetItem),
  CardItem: () => (CardItem),
  CardVirtualizationController: () => (CardVirtualizationController),
  CardsViewer: () => (CardsViewer),
  ClickableFloatingCaptionToolbar: () => (ClickableFloatingCaptionToolbar),
  ColorSchemeSubscriber: () => (ColorSchemeSubscriber),
  ColumnArrangementStrategy: () => (ColumnArrangementStrategy),
  ColumnWidthCalculator: () => (ColumnWidthCalculator),
  ComponentArraySubscriber: () => (ComponentArraySubscriber),
  DashboardCaptionToolbarAdapter: () => (DashboardCaptionToolbarAdapter),
  DashboardCaptionToolbarBase: () => (DashboardCaptionToolbarBase),
  DashboardDragItemInfo: () => (DashboardDragItemInfo),
  DashboardItemContext: () => (DashboardItemContext),
  DashboardItemHeaderHeight: () => (DashboardItemHeaderHeight),
  DashboardLayoutModeHelper: () => (DashboardLayoutModeHelper),
  DashboardMobileLayoutController: () => (DashboardMobileLayoutController),
  DashboardMobileLayoutItem: () => (DashboardMobileLayoutItem),
  DashboardTabsViewModel: () => (DashboardTabsViewModel),
  DashboardTitleComponent: () => (DashboardTitleComponent),
  DashboardTitleContext: () => (DashboardTitleContext),
  DashboardTitleModel: () => (DashboardTitleModel),
  DashboardTitleToolbar: () => (DashboardTitleToolbar),
  DashboardTitleToolbarAdapter: () => (DashboardTitleToolbarAdapter),
  DashboardTitleView: () => (DashboardTitleView),
  DashboardUIItemStateController: () => (DashboardUIItemStateController),
  DashboardUpdateHub: () => (DashboardUpdateHub),
  DashboardViewerConstants: () => (_dashboard_viewer_constants/* DashboardViewerConstants */.k),
  DataInspectorViewModel: () => (DataInspectorViewModel),
  DataInspectorViewModelOptions: () => (DataInspectorViewModelOptions),
  DataItemViewerAdapter: () => (DataItemViewerAdapter),
  DataSourceBrowser: () => (_data_source_browser/* DataSourceBrowser */.wN),
  DataSourcesSubscriber: () => (DataSourcesSubscriber),
  DateTimePeriodConverter: () => (_datetime_period_converter/* DateTimePeriodConverter */.F),
  DeltaIndicator: () => (DeltaIndicator),
  DesignerDataServiceClient: () => (DesignerDataServiceClient),
  DockingLayoutAdapter: () => (DockingLayoutAdapter),
  DockingLayoutController: () => (DockingLayoutController),
  DockingLayoutSettings: () => (DockingLayoutSettings),
  DragOverStateController: () => (DragOverStateController),
  DrawProperty: () => (_style_settings_provider/* DrawProperty */._p),
  ExportDialogBinder: () => (ExportDialogBinder),
  ExportDialogBinderOptions: () => (ExportDialogBinderOptions),
  ExportInfoManager: () => (ExportInfoManager),
  ExportOptions: () => (ExportOptions),
  FilterIconTooltip: () => (FilterIconTooltip),
  FloatingCaptionToolbarBase: () => (FloatingCaptionToolbarBase),
  FullscreenItemModel: () => (FullscreenItemModel),
  GaugeDeltaIndicator: () => (GaugeDeltaIndicator),
  GridColumnPainter: () => (GridColumnPainter),
  GridItemViewerAdapter: () => (GridItemViewerAdapter),
  HiddenCaptionToolbar: () => (HiddenCaptionToolbar),
  HoveredDashboardCaptionToolbar: () => (HoveredDashboardCaptionToolbar),
  HoveredFloatingCaptionToolbar: () => (HoveredFloatingCaptionToolbar),
  ItemChangeSubscriber: () => (ItemChangeSubscriber),
  ItemLoadingElement: () => (ItemLoadingElement),
  ItemMasterFilterInfo: () => (ItemMasterFilterInfo),
  ItemMasterFiltersViewModel: () => (ItemMasterFiltersViewModel),
  ItemViewerAdapterBase: () => (ItemViewerAdapterBase),
  ItemsChangeSubscriber: () => (ItemsChangeSubscriber),
  KeyCodes: () => (KeyCodes),
  LayoutDragController: () => (LayoutDragController),
  LayoutItem: () => (_layout_item/* LayoutItem */.Up),
  LayoutItemDragItemInfo: () => (LayoutItemDragItemInfo),
  MapItemViewerAdapter: () => (MapItemViewerAdapter),
  MasterFiltersEditorModel: () => (MasterFiltersEditorModel),
  MinWeight: () => (_layout_item/* MinWeight */.p$),
  MinimizedClickableCaptionToolbar: () => (MinimizedClickableCaptionToolbar),
  MinimizedHoveredCaptionToolbar: () => (MinimizedHoveredCaptionToolbar),
  MinimizedToolbarState: () => (MinimizedToolbarState),
  MobileItemViewerFactory: () => (MobileItemViewerFactory),
  MobileLayoutCaptionToolbar: () => (MobileLayoutCaptionToolbar),
  MobileLayoutItemViewModel: () => (MobileLayoutItemViewModel),
  ModelSubscriber: () => (_model_subscriber/* ModelSubscriber */.K),
  NotificationControllerViewModel: () => (NotificationControllerViewModel),
  ParameterDialogViewModel: () => (ParameterDialogViewModel),
  ParameterEntity: () => (ParameterEntity),
  PivotItemViewerAdapter: () => (PivotItemViewerAdapter),
  PopupMenuCreator: () => (PopupMenuCreator),
  PopupResizeController: () => (PopupResizeController),
  PredefinedPeriodsItemViewerAdapter: () => (PredefinedPeriodsItemViewerAdapter),
  RangeFilterSelectionValidator: () => (_range_filter_selection_validator/* RangeFilterSelectionValidator */.A),
  RenderHelper: () => (_render_helper/* RenderHelper */.p),
  RowArrangementStrategy: () => (RowArrangementStrategy),
  ScrollAnimator: () => (ScrollAnimator),
  Settings: () => (Settings),
  SimpleIndicator: () => (SimpleIndicator),
  SingleItemSizeController: () => (SingleItemSizeController),
  SingleTabItemSizeController: () => (SingleTabItemSizeController),
  SplitterSize: () => (_layout_item/* SplitterSize */.ZZ),
  StaticCaptionToolbar: () => (StaticCaptionToolbar),
  ViewerDataServiceClient: () => (ViewerDataServiceClient),
  ViewerItemAdaptersManager: () => (ViewerItemAdaptersManager),
  ViewerItemFactory: () => (ViewerItemFactory),
  WidgetItem: () => (WidgetItem),
  _convertToExportFormat: () => (_convertToExportFormat),
  _registerDashboardDockingLayout: () => (_registerDashboardDockingLayout),
  _registerDashboardMobileLayoutWidget: () => (_registerDashboardMobileLayoutWidget),
  _registerDashboardStandaloneItem: () => (_registerDashboardStandaloneItem),
  _registerDashboardTitle: () => (_registerDashboardTitle),
  _registerDxLayoutItem: () => (_layout_item/* _registerDxLayoutItem */.U0),
  _syncLayoutHelper: () => (_layout_item/* _syncLayoutHelper */.LU),
  appearanceSettingsProvider: () => (_appearance_settings_provider/* appearanceSettingsProvider */.v),
  arrangeFloatingToolbarItems: () => (arrangeFloatingToolbarItems),
  arrangeHoveredToolbarItems: () => (arrangeHoveredToolbarItems),
  arrangeStaticToolbarItems: () => (arrangeStaticToolbarItems),
  arrangeTitleToolbarItems: () => (arrangeTitleToolbarItems),
  baseItem: () => (baseItem),
  borders: () => (borders),
  boundImageItem: () => (boundImageItem),
  boundImageItemOptionsGroup: () => (boundImageItemOptionsGroup),
  bubbleMapItem: () => (bubbleMapItem),
  cacheable: () => (_cacheable/* cacheable */.$),
  calcMaxWidth: () => (calcMaxWidth),
  calcTabHeadersWidth: () => (calcTabHeadersWidth),
  captionOptionsGroup: () => (captionOptionsGroup),
  cardArrangementInfo: () => (cardArrangementInfo),
  cardArrangementTableGenerator: () => (cardArrangementTableGenerator),
  cardIndicatorElement: () => (cardIndicatorElement),
  cardItemStyleSettingsProvider: () => (_style_settings_provider/* cardItemStyleSettingsProvider */.ZU),
  cardLayout: () => (cardLayout),
  cardMeasurer: () => (cardMeasurer),
  cardOptionsGroup: () => (cardOptionsGroup),
  cardPainter: () => (cardPainter),
  cardRow: () => (cardRow),
  cardRowElement: () => (cardRowElement),
  cardRowElementBase: () => (cardRowElementBase),
  cardSparklineElement: () => (cardSparklineElement),
  cardValue1Counter: () => (cardValue1Counter),
  cardsItem: () => (cardsItem),
  chartItem: () => (chartItem),
  chartOptionsGroup: () => (chartOptionsGroup),
  checkRange: () => (checkRange),
  choroplethMapItem: () => (choroplethMapItem),
  comboBoxFilterElement: () => (comboBoxFilterElement),
  constraints: () => (constraints),
  contentToolbarHeight: () => (contentToolbarHeight),
  createDefaultToolbar: () => (createDefaultToolbar),
  createElementSizeUpdater: () => (createElementSizeUpdater),
  createFakeObjects: () => (_render_helper/* createFakeObjects */.S),
  createFullscreenItemViewModel: () => (createFullscreenItemViewModel),
  createItemClickEventArgs: () => (createItemClickEventArgs),
  createItemElementCustomColorEventArgs: () => (createItemElementCustomColorEventArgs),
  createItemInteractivityEventArgs: () => (createItemInteractivityEventArgs),
  createItemSelectionChangedEventArgs: () => (createItemSelectionChangedEventArgs),
  createItemSizeUpdater: () => (createItemSizeUpdater),
  createLayoutViewModel: () => (createLayoutViewModel),
  createWidgetEventArgs: () => (createWidgetEventArgs),
  createWidgetOptionsEventArgs: () => (createWidgetOptionsEventArgs),
  cssClassNames: () => (_css_class_names/* cssClassNames */._),
  cssClassNamesBaseItem: () => (cssClassNamesBaseItem),
  cssClasses: () => (cssClasses),
  cssComboBoxClassNames: () => (cssComboBoxClassNames),
  cssDateFilterClassNames: () => (cssDateFilterClassNames),
  cssListBoxClassNames: () => (cssListBoxClassNames),
  cssTreeViewClassNames: () => (cssTreeViewClassNames),
  customFakeItem: () => (customFakeItem),
  customItemOptionsGroup: () => (customItemOptionsGroup),
  customTimePeriodDialog: () => (customTimePeriodDialog),
  customizeMobileViewerItems: () => (customizeMobileViewerItems),
  dashboardExcelOptionsGroup: () => (dashboardExcelOptionsGroup),
  dashboardExportDocumentScaleMode: () => (dashboardExportDocumentScaleMode),
  dashboardExportExcelFormat: () => (dashboardExportExcelFormat),
  dashboardExportFilterState: () => (dashboardExportFilterState),
  dashboardExportImageFormat: () => (dashboardExportImageFormat),
  dashboardExportPageLayout: () => (dashboardExportPageLayout),
  dashboardExportPaperKind: () => (dashboardExportPaperKind),
  dashboardExportScaleMode: () => (dashboardExportScaleMode),
  dashboardExportSizeMode: () => (dashboardExportSizeMode),
  dashboardImageOptionsGroup: () => (dashboardImageOptionsGroup),
  dashboardOptionsGroup: () => (dashboardOptionsGroup),
  dashboardSelectionMode: () => (dashboardSelectionMode),
  dashboardStateExcelExportPosition: () => (dashboardStateExcelExportPosition),
  dashboardStateExportPosition: () => (dashboardStateExportPosition),
  dashboardStateOptionsGroup: () => (dashboardStateOptionsGroup),
  dashboardStatePosition: () => (dashboardStatePosition),
  dashboardTitleKey: () => (dashboardTitleKey),
  dataGridItem: () => (dataGridItem),
  dateFilterElement: () => (dateFilterElement),
  deepCloneObject: () => (deepCloneObject),
  defConstraints: () => (defConstraints),
  defSizeInPercents: () => (defSizeInPercents),
  defaultViewerItemFactory: () => (defaultViewerItemFactory),
  defaultWidgetsMap: () => (defaultWidgetsMap),
  dialogClasses: () => (dialogClasses),
  dialogForm: () => (dialogForm),
  dialogSizes: () => (dialogSizes),
  documentOptionsGroup: () => (documentOptionsGroup),
  dxWidgetsViewer: () => (dxWidgetsViewer),
  ensureRange: () => (ensureRange),
  entireDashboardOptionsGroup: () => (entireDashboardOptionsGroup),
  excelDashboardStatePosition: () => (excelDashboardStatePosition),
  excelExportFilterState: () => (excelExportFilterState),
  excelFormat: () => (excelFormat),
  excelOptionsGroup: () => (excelOptionsGroup),
  exportDialog: () => (exportDialog),
  exportFormats: () => (exportFormats),
  exportOptionsCache: () => (exportOptionsCache),
  filterElementBaseItem: () => (filterElementBaseItem),
  findDataMember: () => (_data_source_browser/* findDataMember */.um),
  findItemForApi: () => (findItemForApi),
  gaugeOptionsGroup: () => (gaugeOptionsGroup),
  gaugesItem: () => (gaugesItem),
  geoPointMapItem: () => (geoPointMapItem),
  geoPointMapItemBase: () => (geoPointMapItemBase),
  getControlContainer: () => (getControlContainer),
  getCrossDirection: () => (getCrossDirection),
  getDataFields: () => (_data_source_browser/* getDataFields */.Wt),
  getFirstDataMember: () => (_data_source_browser/* getFirstDataMember */.Bi),
  gridOptionsGroup: () => (gridOptionsGroup),
  groupItem: () => (groupItem),
  groupItemOptionsGroup: () => (groupItemOptionsGroup),
  groupLayoutItems: () => (groupLayoutItems),
  groupWithoutCaptionItemKey: () => (groupWithoutCaptionItemKey),
  horizontalAlignment: () => (horizontalAlignment),
  imageFormat: () => (imageFormat),
  imageItem: () => (imageItem),
  imageItemOptionsGroup: () => (imageItemOptionsGroup),
  imageOptionsGroup: () => (imageOptionsGroup),
  indicatorType: () => (_consts_indicatorType),
  interactivityController: () => (interactivityController),
  isNonCollectionDataField: () => (_data_source_browser/* isNonCollectionDataField */.mG),
  isStartedWith: () => (_data_source_browser/* isStartedWith */.eV),
  kpiItem: () => (kpiItem),
  labeledEditor: () => (labeledEditor),
  layoutCardCssClassNames: () => (_css_class_names/* layoutCardCssClassNames */.m),
  listFilterElement: () => (listFilterElement),
  mapItem: () => (mapItem),
  mapOptionsGroup: () => (mapOptionsGroup),
  margins: () => (margins),
  masterFilterValues: () => (masterFilterValues),
  maxFilterValuesCount: () => (maxFilterValuesCount),
  newCardItem: () => (newCardItem),
  newCardMeasurements: () => (newCardMeasurements),
  nonClientElement: () => (nonClientElement),
  optionName: () => (optionName),
  optionsGroup: () => (optionsGroup),
  paddings: () => (paddings),
  pageLayout: () => (pageLayout),
  paperKind: () => (paperKind),
  parameterTypes: () => (parameterTypes),
  parametersDialog: () => (parametersDialog),
  patchCalcFieldPath: () => (_data_source_browser/* patchCalcFieldPath */.xx),
  pieItem: () => (pieItem),
  pieMapItem: () => (pieMapItem),
  pieMouseEventController: () => (pieMouseEventController),
  pieOptionsGroup: () => (pieOptionsGroup),
  pivotGridItem: () => (pivotGridItem),
  pivotOptionsGroup: () => (pivotOptionsGroup),
  positioningDirection: () => (positioningDirection),
  rangeFilterOptionsGroup: () => (rangeFilterOptionsGroup),
  rangeFilterSelection: () => (rangeFilterSelection),
  rangeSelectorItem: () => (rangeSelectorItem),
  resetGlobalSizeCache: () => (_cacheable/* resetGlobalSizeCache */.W),
  scaleMode: () => (scaleMode),
  scaleModeOptionsGroup: () => (scaleModeOptionsGroup),
  setCardAutoArrangementMode: () => (setCardAutoArrangementMode),
  setElementSize: () => (setElementSize),
  setHoverLocation: () => (_layout_item/* setHoverLocation */.gX),
  simplyImageOptionsGroup: () => (simplyImageOptionsGroup),
  size: () => (size),
  sizeMode: () => (sizeMode),
  sparklineOptions: () => (sparklineOptions),
  splitFullFieldName: () => (_data_source_browser/* splitFullFieldName */.zV),
  stubItem: () => (stubItem),
  styleSettingsProvider: () => (_style_settings_provider/* styleSettingsProvider */.AI),
  tabPageItem: () => (tabPageItem),
  textItem: () => (textItem),
  textItemOptionsGroup: () => (textItemOptionsGroup),
  titleHeight: () => (_dashboard_title_view_constants_titleHeight),
  titleTooltipClasses: () => (titleTooltipClasses),
  titleVerticalPadding: () => (titleVerticalPadding),
  treeViewFilterElement: () => (treeViewFilterElement),
  treemapItem: () => (treemapItem),
  treemapOptionsGroup: () => (treemapOptionsGroup),
  trimLeadingPathElement: () => (_data_source_browser/* trimLeadingPathElement */.sG),
  types: () => (_viewer_item_types/* types */.g),
  ungroupedItemKey: () => (ungroupedItemKey),
  verticalAlignment: () => (verticalAlignment),
  widgetItemCore: () => (widgetItemCore),
  widgetItemFactory: () => (widgetItemFactory),
  widgetViewerItem: () => (widgetViewerItem)
});

// NAMESPACE OBJECT: ./dist/common/index.js
var common_namespaceObject = {};
__webpack_require__.r(common_namespaceObject);
__webpack_require__.d(common_namespaceObject, {
  AjaxRemoteService: () => (AjaxRemoteService),
  ChartContext: () => (ChartContext),
  CustomItemViewer: () => (CustomItemViewer),
  DashboardControl: () => (DashboardControl),
  DashboardExportExtension: () => (DashboardExportExtension),
  DashboardPanelExtension: () => (DashboardPanelExtension),
  DashboardParameterDialogExtension: () => (DashboardParameterDialogExtension),
  DashboardPrivateSettings: () => (legacy_settings/* DashboardPrivateSettings */.d),
  DataInspectorExtension: () => (DataInspectorExtension),
  FetchRemoteService: () => (FetchRemoteService),
  GaugeContext: () => (GaugeContext),
  GridContext: () => (GridContext),
  KeyboardNavigationExtension: () => (KeyboardNavigationExtension),
  LegacySettings: () => (legacy_settings/* LegacySettings */.l),
  MobileLayoutExtension: () => (MobileLayoutExtension),
  NotificationController: () => (NotificationController),
  ResourceManager: () => (ResourceManager),
  UrlStateExtension: () => (UrlStateExtension),
  ViewerApiExtension: () => (ViewerApiExtension),
  customViewerItem: () => (customViewerItem),
  dashboardToolbarItemNames: () => (dashboardToolbarItemNames),
  defaultExtensions: () => (control_options/* defaultExtensions */.wf),
  designerExtensions: () => (control_options/* designerExtensions */.YS),
  extensionNameMap: () => (control_options/* extensionNameMap */.RY)
});

// NAMESPACE OBJECT: ./dist/designer/index.internal.js
var designer_index_internal_namespaceObject = {};
__webpack_require__.r(designer_index_internal_namespaceObject);
__webpack_require__.d(designer_index_internal_namespaceObject, {
  AccordionTab: () => (_accordion_tab/* AccordionTab */.gV),
  AddDataSourcePopup: () => (AddDataSourcePopup),
  BaseItemSurface: () => (_base_item_surface/* BaseItemSurface */.O),
  BindingAccordionTab: () => (_accordion_tab/* BindingAccordionTab */.pL),
  BoundImageItemPropertiesComposer: () => (BoundImageItemPropertiesComposer),
  BoundImageItemSurface: () => (BoundImageItemSurface),
  BubbleMapItemSurface: () => (BubbleMapItemSurface),
  BubleMapItemPropertiesComposer: () => (BubleMapItemPropertiesComposer),
  CURRENCIES: () => (_currencies/* CURRENCIES */.y),
  CalcFieldEditor: () => (CalcFieldEditor),
  CalcFieldEditorViewModel: () => (CalcFieldEditorViewModel),
  CalculationExpressionEditor: () => (_expression_editor/* CalculationExpressionEditor */.J),
  CalculationPropertiesComposer: () => (_calculation_properties_composer/* CalculationPropertiesComposer */.h),
  CalculationSurface: () => (_calculation_surface/* CalculationSurface */.t),
  CardElementPropertiesComposer: () => (CardElementPropertiesComposer),
  CardItemPropertiesComposer: () => (CardItemPropertiesComposer),
  CardItemSurface: () => (CardItemSurface),
  CardTemplatePropertiesComposer: () => (CardTemplatePropertiesComposer),
  ChartItemPropertiesComposer: () => (ChartItemPropertiesComposer),
  ChartItemSurface: () => (ChartItemSurface),
  ChartSeriesPropertiesComposer: () => (ChartSeriesPropertiesComposer),
  ChoroplethMapElementPropertiesComposer: () => (ChoroplethMapElementPropertiesComposer),
  ChoroplethMapItemPropertiesComposer: () => (ChoroplethMapItemPropertiesComposer),
  ChoroplethMapItemSurface: () => (ChoroplethMapItemSurface),
  CollectionEditorEditItemArguments: () => (_collection_editor_viewmodel/* CollectionEditorEditItemArguments */.$),
  CollectionEditorRefreshCallback: () => (_collection_editor_viewmodel_base/* CollectionEditorRefreshCallback */.y),
  CollectionEditorViewModel: () => (_collection_editor_viewmodel/* CollectionEditorViewModel */.e),
  CollectionEditorViewModelBase: () => (_collection_editor_viewmodel_base/* CollectionEditorViewModelBase */.v),
  ColorEntryTreeItem: () => (ColorEntryTreeItem),
  ColorPickerModel: () => (ColorPickerModel),
  ColorSchemeEntryCreator: () => (ColorSchemeEntryCreator),
  ColorSchemeModel: () => (ColorSchemeModel),
  ColorTreeViewModel: () => (ColorTreeViewModel),
  ConfirmDialogViewModel: () => (_confirm_dialog/* ConfirmDialogViewModel */.b),
  ContainerTypeSelector: () => (_container_type_selector/* ContainerTypeSelector */.z),
  ContentInHeaderAccordionTab: () => (_accordion_tab/* ContentInHeaderAccordionTab */.XB),
  CreateNewDataSourceWizardIterator: () => (CreateNewDataSourceWizardIterator),
  CultureInfo: () => (_currency_selector/* CultureInfo */.fX),
  CurrencyInfo: () => (_currency_selector/* CurrencyInfo */.gk),
  CurrencySelector: () => (_currency_selector/* CurrencySelector */.JH),
  CustomAppearanceDialog: () => (CustomAppearanceDialog),
  CustomItemPropertiesComposer: () => (CustomItemPropertiesComposer),
  CustomItemSurface: () => (CustomItemSurface),
  CustomRangePropertiesComposer: () => (CustomRangePropertiesComposer),
  DashboardDataSourceWizard: () => (DashboardDataSourceWizard),
  DashboardDataSourceWizardBase: () => (DashboardDataSourceWizardBase),
  DashboardDataSourceWizardOptions: () => (DashboardDataSourceWizardOptions),
  DashboardDataSourceWizardState: () => (DashboardDataSourceWizardState),
  DashboardExpressionEditor: () => (expression_editor_expression_editor/* DashboardExpressionEditor */.U),
  DashboardItemMenu: () => (DashboardItemMenu),
  DashboardItemMenuSizes: () => (DashboardItemMenuSizes),
  DashboardItemPropertiesComposer: () => (_base_properties_composer/* DashboardItemPropertiesComposer */.$C),
  DashboardMultiQueryDataSourceWizard: () => (DashboardMultiQueryDataSourceWizard),
  DashboardMultiQueryDataSourceWizardOptions: () => (DashboardMultiQueryDataSourceWizardOptions),
  DashboardMultiQueryWizardIterator: () => (DashboardMultiQueryWizardIterator),
  DashboardRequestWrapper: () => (DashboardRequestWrapper),
  DataDashboardItemSurface: () => (_base_item_surface/* DataDashboardItemSurface */.r),
  DataFieldViewModel: () => (DataFieldViewModel),
  DataItemCollectionSurface: () => (_data_item_collection_surface/* DataItemCollectionSurface */.N),
  DataItemContainerCollectionSurface: () => (DataItemContainerCollectionSurface),
  DataItemContainerPropertiesComposer: () => (_base_properties_composer/* DataItemContainerPropertiesComposer */.WZ),
  DataItemContainerSeed: () => (DataItemContainerSeed),
  DataItemContainerSurface: () => (DataItemContainerSurface),
  DataItemLinkComponent: () => (DataItemLinkComponent),
  DataItemSurface: () => (_data_item_surface/* DataItemSurface */.z),
  DataItemsPropertiesComposer: () => (_data_item_properties_composer/* DataItemsPropertiesComposer */.Q),
  DataSourceBrowserViewModel: () => (DataSourceBrowserViewModel),
  DataSourceChooserController: () => (DataSourceChooserController),
  DataSourceTreeListViewModel: () => (DataSourceTreeListViewModel),
  DateFilterItemPropertiesComposer: () => (DateFilterItemPropertiesComposer),
  DateFilterItemSurface: () => (DateFilterItemSurface),
  DeltaNumericFormatSurface: () => (DeltaNumericFormatSurface),
  DragProcessor: () => (DragProcessor),
  EditCardTemplateSurface: () => (EditCardTemplateSurface),
  EditQueryWizardIterator: () => (EditQueryWizardIterator),
  EditableListEditorViewModel: () => (_editable_list_editor_viewmodel/* EditableListEditorViewModel */.a),
  EntryEditorViewModel: () => (EntryEditorViewModel),
  ExpressionEditorFunctions: () => (_expression_editor_functions/* ExpressionEditorFunctions */.D),
  ExpressionEditorItemsProvider: () => (_expression_editor_item_provider/* ExpressionEditorItemsProvider */.v),
  ExpressionEditorWrapper: () => (_expression_editor/* ExpressionEditorWrapper */.v),
  FederationDataSourceAnalyticsWrapper: () => (FederationDataSourceAnalyticsWrapper),
  FederationDataSourceProviderWrapper: () => (FederationDataSourceProviderWrapper),
  FieldChooserController: () => (FieldChooserController),
  FieldChooserItem: () => (FieldChooserItem),
  FieldChooserList: () => (FieldChooserList),
  FieldListItemProvider: () => (FieldListItemProvider),
  FieldListPicker: () => (FieldListPicker),
  FilterExpressionEditorViewModel: () => (_filter_expression_editor/* FilterExpressionEditorViewModel */.y),
  FilterItemPropertiesComposer: () => (FilterItemPropertiesComposer),
  FilterItemSurface: () => (FilterItemSurface),
  FlatItemProviderWrapper: () => (_flat_item_provider_wrapper/* FlatItemProviderWrapper */.b),
  FlatteningDataFieldsProviderWrapper: () => (FlatteningDataFieldsProviderWrapper),
  FormatConditionTypeEditorSurface: () => (_condition_type_editor/* FormatConditionTypeEditorSurface */.T),
  FormatRulePropertiesComposer: () => (FormatRulePropertiesComposer),
  FormatRuleSurface: () => (FormatRuleSurface),
  GaugeElementPropertiesComposer: () => (GaugeElementPropertiesComposer),
  GaugeItemPropertiesComposer: () => (GaugeItemPropertiesComposer),
  GaugeItemSurface: () => (GaugeItemSurface),
  GeoPointItemSurface: () => (GeoPointItemSurface),
  GeoPointMapItemPropertiesComposer: () => (GeoPointMapItemPropertiesComposer),
  GridColumnPropertiesComposer: () => (GridColumnPropertiesComposer),
  GridItemPropertiesComposer: () => (GridItemPropertiesComposer),
  GridItemSurface: () => (GridItemSurface),
  ImageItemPropertiesComposer: () => (ImageItemPropertiesComposer),
  ImageItemSurface: () => (ImageItemSurface),
  InMemoryStorage: () => (_conditional_formatting_custom_color_storage/* InMemoryStorage */._),
  InlineEditCollectionEditorViewModel: () => (_inline_edit_collection_editor_viewmodel/* InlineEditCollectionEditorViewModel */.V),
  InteractivityPropertiesComposer: () => (InteractivityPropertiesComposer),
  ItemColorScheme: () => (ItemColorScheme),
  ItemFilterDisplayNameProvider: () => (_item_filter_display_name_provider/* ItemFilterDisplayNameProvider */.c),
  ItemFilterItemsProvider: () => (_item_filter_items_provider/* ItemFilterItemsProvider */.Nk),
  ItemGroupAccordionTab: () => (_accordion_tab/* ItemGroupAccordionTab */.gL),
  ItemMenuPositionCalculator: () => (ItemMenuPositionCalculator),
  JsonDataSourceWizardSettings: () => (JsonDataSourceWizardSettings),
  KnownTabs: () => (_accordion_tab/* KnownTabs */.iq),
  MapCustomShapeFileSurface: () => (_map_custom_shapefile_surface/* MapCustomShapeFileSurface */.W),
  MapCustomShapefilePropertiesComposer: () => (_map_custom_shapefile_properties_composer/* MapCustomShapefilePropertiesComposer */.O),
  ObjectPropertiesWrapper: () => (_object_properties_wrapper/* ObjectPropertiesWrapper */.U),
  Palette: () => (_style_settings_palette/* Palette */.e),
  ParameterListEditorViewModel: () => (ParameterListEditorViewModel),
  ParametersItemProvider: () => (ParametersItemProvider),
  PieItemPropertiesComposer: () => (PieItemPropertiesComposer),
  PieItemSurface: () => (PieItemSurface),
  PieMapItemPropertiesComposer: () => (PieMapItemPropertiesComposer),
  PieMapItemSurface: () => (PieMapItemSurface),
  PivotItemPropertiesComposer: () => (PivotItemPropertiesComposer),
  PivotItemSurface: () => (PivotItemSurface),
  PopoverColorPicker: () => (PopoverColorPicker),
  PropertiesComposerBase: () => (_base_properties_composer/* PropertiesComposerBase */.DU),
  PropertiesController: () => (_properties_controller/* PropertiesController */.C),
  RangeFilterItemPropertiesComposer: () => (RangeFilterItemPropertiesComposer),
  RangeFilterItemSurface: () => (RangeFilterItemSurface),
  RuleRangesEditor: () => (_rule_ranges_editor/* RuleRangesEditor */.m),
  ScatterChartItemPropertiesComposer: () => (ScatterChartItemPropertiesComposer),
  ScatterChartItemSurface: () => (ScatterChartItemSurface),
  SectionDescriptors: () => (_section_descriptors/* SectionDescriptors */.g8),
  SharedComposers: () => (_shared_composers/* SharedComposers */.d),
  SharedPropertiesComposer: () => (SharedPropertiesComposer),
  SimpleFilterEditor: () => (_simple_filter_editor/* SimpleFilterEditor */.E),
  SingleDataItemSurface: () => (SingleDataItemSurface),
  SliderController: () => (SliderController),
  StyleAccordionTab: () => (_accordion_tab/* StyleAccordionTab */.zu),
  StyleSettingsEditor: () => (_style_settings_editor/* StyleSettingsEditor */.k),
  SurfaceItemsFactory: () => (_section_descriptors/* SurfaceItemsFactory */.ME),
  TabContainerItemPropertiesComposer: () => (TabContainerItemPropertiesComposer),
  TabContainerItemSurface: () => (TabContainerItemSurface),
  TextBoxItemPropertiesComposer: () => (_textbox_item_properties_composer/* TextBoxItemPropertiesComposer */.D),
  TextBoxItemSurface: () => (_textbox_item_surface/* TextBoxItemSurface */.P),
  ToolboxViewModel: () => (ToolboxViewModel),
  TreeViewFieldChooserItem: () => (TreeViewFieldChooserItem),
  TreemapItemPropertiesComposer: () => (TreemapItemPropertiesComposer),
  TreemapItemSurface: () => (TreemapItemSurface),
  TypeAccordionTab: () => (_accordion_tab/* TypeAccordionTab */.__),
  WindowDefinitionEditor: () => (_window_definition_editor/* WindowDefinitionEditor */.P$),
  WindowDefinitionMode: () => (_window_definition_editor/* WindowDefinitionMode */.p7),
  _registerChooseJsonSchemaPage: () => (_registerChooseJsonSchemaPage),
  _registerDxDashboardButtonGroup: () => (_registerDxDashboardButtonGroup),
  _registerDxDashboardCheckedButton: () => (_registerDxDashboardCheckedButton),
  _registerDxDashboardColorsComponent: () => (_registerDxDashboardColorsComponent),
  _registerDxDashboardCurrencySelector: () => (_currency_selector/* _registerDxDashboardCurrencySelector */.PS),
  _registerDxDashboardDataItemLink: () => (_registerDxDashboardDataItemLink),
  _registerDxDashboardGroupDataItems: () => (_registerDxDashboardGroupDataItems),
  _registerDxDashboardItemMenu: () => (_registerDxDashboardItemMenu),
  _registerDxDashboardStyleSettingsEditor: () => (_style_settings_editor/* _registerDxDashboardStyleSettingsEditor */.C),
  _registerDxDatasourceChooser: () => (_registerDxDatasourceChooser),
  _registerDxFieldChooser: () => (_registerDxFieldChooser),
  addConditionEditor: () => (addConditionEditor),
  addOrUpdateQuery: () => (addOrUpdateQuery),
  addSourceIfNotExists: () => (addSourceIfNotExists),
  colorSchemeTreeViewEditor: () => (colorSchemeTreeViewEditor),
  conditionalFormattingEditor: () => (_conditional_formatting_custom_color_storage/* conditionalFormattingEditor */.v),
  createContextPopupMenuViewModel: () => (createContextPopupMenuViewModel),
  createDashboardDataSourceWizard: () => (createDashboardDataSourceWizard),
  createDashboardMultiQueryWizard: () => (createDashboardMultiQueryWizard),
  createDataSourceInfos: () => (createDataSourceInfos),
  createDataTypeObservable: () => (createDataTypeObservable),
  createDeltaDataTypeObservable: () => (createDeltaDataTypeObservable),
  createItemFilterOptions: () => (_filter_utils/* createItemFilterOptions */.uv),
  createNewFederationDataSource: () => (createNewFederationDataSource),
  createQueryPageCallback: () => (createQueryPageCallback),
  createToolbarSeparator: () => (createToolbarSeparator),
  createWizardSettings: () => (createWizardSettings),
  formatValue: () => (_filter_utils/* formatValue */.Fl),
  getAceTheme: () => (_dx_designer_integration/* getAceTheme */.r),
  getCalculationArgumentExpression: () => (_calculation_properties_composer/* getCalculationArgumentExpression */.N),
  getCommonCellsFormatRuleProperties: () => (getCommonCellsFormatRuleProperties),
  getDataItemContainerDisplayName: () => (_display_name_provider/* getDataItemContainerDisplayName */.A),
  getDataItemDisplayName: () => (_display_name_provider/* getDataItemDisplayName */.F),
  getDataSourceInfo: () => (getDataSourceInfo),
  getDimensionToolbarItems: () => (getDimensionToolbarItems),
  getExpressionEditorFunctions: () => (_expression_editor_functions/* getExpressionEditorFunctions */.X),
  getFederationFieldList: () => (getFederationFieldList),
  getFieldList: () => (getFieldList),
  getRealDimensionType: () => (_item_filter_items_provider/* getRealDimensionType */.lY),
  getValuesList: () => (_filter_utils/* getValuesList */.vj),
  initialQueryAliasSymbol: () => (initialQueryAliasSymbol),
  isCategoricalDateTime: () => (_item_filter_items_provider/* isCategoricalDateTime */.cS),
  multipleLookupValueEditor: () => (multipleLookupValueEditor),
  renameDataMember: () => (renameDataMember),
  singleLookupValueEditor: () => (singleLookupValueEditor),
  surfaceItemsFactory: () => (_section_descriptors/* surfaceItemsFactory */.ce),
  toAnalyticsFederationDataSource: () => (toAnalyticsFederationDataSource),
  toFederationDataSource: () => (toFederationDataSource),
  toSameSourcesFederationQuery: () => (toSameSourcesFederationQuery),
  windowDefinitionEditor: () => (_window_definition_editor/* windowDefinitionEditor */.Xd)
});

// NAMESPACE OBJECT: ./dist/designer/index.js
var designer_namespaceObject = {};
__webpack_require__.r(designer_namespaceObject);
__webpack_require__.d(designer_namespaceObject, {
  AvailableDataSourcesExtension: () => (AvailableDataSourcesExtension),
  AvailableFontFamiliesExtension: () => (AvailableFontFamiliesExtension),
  BindingPanelExtension: () => (BindingPanelExtension),
  ChartIndicatorsExtension: () => (ChartIndicatorsExtension),
  ConversionPanelExtension: () => (ConversionPanelExtension),
  CreateDashboardExtension: () => (CreateDashboardExtension),
  DashboardChooseDataSourceTypePage: () => (DashboardChooseDataSourceTypePage),
  DashboardChooseOlapConnectionStringPage: () => (DashboardChooseOlapConnectionStringPage),
  DashboardColorSchemeEditorExtension: () => (DashboardColorSchemeEditorExtension),
  DashboardCurrencyEditorExtension: () => (DashboardCurrencyEditorExtension),
  DashboardItemMenuExtension: () => (DashboardItemMenuExtension),
  DashboardMenuItem: () => (DashboardMenuItem),
  DashboardParameterEditorExtension: () => (DashboardParameterEditorExtension),
  DashboardTitleEditorExtension: () => (DashboardTitleEditorExtension),
  DashboardToolbarGroup: () => (DashboardToolbarGroup),
  DashboardToolbarItem: () => (DashboardToolbarItem),
  DashboardToolboxGroup: () => (DashboardToolboxGroup),
  DashboardToolboxItem: () => (DashboardToolboxItem),
  DataSourceBrowserExtension: () => (DataSourceBrowserExtension),
  DataSourceWizardExtension: () => (DataSourceWizardExtension),
  DataSourceWizardPageId: () => (DataSourceWizardPageId),
  DesignerToolbarExtension: () => (DesignerToolbarExtension),
  FilterPanelExtension: () => (FilterPanelExtension),
  FormItemTemplates: () => (form_item_templates/* FormItemTemplates */.Z),
  InteractivityPanelExtension: () => (InteractivityPanelExtension),
  LayoutOptionEditorExtension: () => (LayoutOptionEditorExtension),
  MultiQueryDataSourceWizardExtension: () => (MultiQueryDataSourceWizardExtension),
  OlapDataSourceWizardPageId: () => (OlapDataSourceWizardPageId),
  OpenDashboardExtension: () => (OpenDashboardExtension),
  OptionsPanelExtension: () => (OptionsPanelExtension),
  SaveDashboardExtension: () => (SaveDashboardExtension),
  ToDashboardDataSourceType: () => (ToDashboardDataSourceType),
  ToDataSourceTypeNumber: () => (ToDataSourceTypeNumber),
  ToolboxExtension: () => (ToolboxExtension),
  UndoRedoExtension: () => (UndoRedoExtension),
  _customizeTabs: () => (accordion_tab_options/* _customizeTabs */.t),
  _registerChooseDataSourceTypePage: () => (_registerChooseDataSourceTypePage),
  _registerOlapConnectionStringsPage: () => (_registerOlapConnectionStringsPage)
});

// EXTERNAL MODULE: ./dist/model/internal/_obsolete-helper.js
var _obsolete_helper = __webpack_require__(4355);
// EXTERNAL MODULE: ./dist/data/index.internal.js + 1 modules
var index_internal = __webpack_require__(2882);
// EXTERNAL MODULE: ./dist/data/item-data/item-data-axis-names.js
var item_data_axis_names = __webpack_require__(1133);
// EXTERNAL MODULE: ./dist/data/special-values.js
var special_values = __webpack_require__(2383);
;// ./dist/data/index.exports.js






;// ./dist/data/index.js





// EXTERNAL MODULE: external "DevExpress.Analytics.Internal"
var external_DevExpress_Analytics_Internal_ = __webpack_require__(9731);
// EXTERNAL MODULE: external "DevExpress.Color"
var external_DevExpress_Color_ = __webpack_require__(6555);
var external_DevExpress_Color_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_Color_);
;// external "DevExpress.events.utils"
const external_DevExpress_events_utils_namespaceObject = DevExpress.events.utils;
// EXTERNAL MODULE: external "DevExpress.localization.date"
var external_DevExpress_localization_date_ = __webpack_require__(1505);
// EXTERNAL MODULE: external "DevExpress.localization.number"
var external_DevExpress_localization_number_ = __webpack_require__(2780);
;// external "DevExpress.Class"
const external_DevExpress_Class_namespaceObject = DevExpress.Class;
var external_DevExpress_Class_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_Class_namespaceObject);
;// external "DevExpress.registerComponent"
const external_DevExpress_registerComponent_namespaceObject = DevExpress.registerComponent;
;// external "DevExpress.devices"
const external_DevExpress_devices_namespaceObject = DevExpress.devices;
var external_DevExpress_devices_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_devices_namespaceObject);
;// external "DevExpress.DOMComponent"
const external_DevExpress_DOMComponent_namespaceObject = DevExpress.DOMComponent;
// EXTERNAL MODULE: external "DevExpress.utils.browser"
var external_DevExpress_utils_browser_ = __webpack_require__(4527);
;// external "DevExpress.utils.console"
const external_DevExpress_utils_console_namespaceObject = DevExpress.utils.console;
// EXTERNAL MODULE: external "DevExpress.data.utils"
var external_DevExpress_data_utils_ = __webpack_require__(8231);
// EXTERNAL MODULE: external "DevExpress.utils.date"
var external_DevExpress_utils_date_ = __webpack_require__(8689);
;// external "DevExpress.utils.resizeCallbacks"
const external_DevExpress_utils_resizeCallbacks_namespaceObject = DevExpress.utils.resizeCallbacks;
var external_DevExpress_utils_resizeCallbacks_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_utils_resizeCallbacks_namespaceObject);
// EXTERNAL MODULE: external "DevExpress.utils.string"
var external_DevExpress_utils_string_ = __webpack_require__(1704);
;// external "DevExpress.utils.support"
const external_DevExpress_utils_support_namespaceObject = DevExpress.utils.support;
// EXTERNAL MODULE: external "DevExpress.data.ArrayStore"
var external_DevExpress_data_ArrayStore_ = __webpack_require__(6692);
var external_DevExpress_data_ArrayStore_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_ArrayStore_);
// EXTERNAL MODULE: external "DevExpress.data.CustomStore"
var external_DevExpress_data_CustomStore_ = __webpack_require__(2262);
var external_DevExpress_data_CustomStore_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_CustomStore_);
// EXTERNAL MODULE: external "DevExpress.data.DataSource"
var external_DevExpress_data_DataSource_ = __webpack_require__(2951);
var external_DevExpress_data_DataSource_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_DataSource_);
// EXTERNAL MODULE: external "DevExpress.data.query"
var external_DevExpress_data_query_ = __webpack_require__(1702);
// EXTERNAL MODULE: external "DevExpress.formatHelper"
var external_DevExpress_formatHelper_ = __webpack_require__(8991);
;// external "DevExpress"
const external_DevExpress_namespaceObject = DevExpress;
;// external "DevExpress.localization"
const external_DevExpress_localization_namespaceObject = DevExpress.localization;
;// external "DevExpress.ui.dxAccordion"
const external_DevExpress_ui_dxAccordion_namespaceObject = DevExpress.ui.dxAccordion;
// EXTERNAL MODULE: external "DevExpress.ui.dxButton"
var external_DevExpress_ui_dxButton_ = __webpack_require__(8860);
var external_DevExpress_ui_dxButton_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxButton_);
// EXTERNAL MODULE: external "DevExpress.ui.dxCheckBox"
var external_DevExpress_ui_dxCheckBox_ = __webpack_require__(5585);
var external_DevExpress_ui_dxCheckBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxCheckBox_);
;// external "DevExpress.ui.CollectionWidget"
const external_DevExpress_ui_CollectionWidget_namespaceObject = DevExpress.ui.CollectionWidget;
;// external "DevExpress.ui.dxDataGrid"
const external_DevExpress_ui_dxDataGrid_namespaceObject = DevExpress.ui.dxDataGrid;
var external_DevExpress_ui_dxDataGrid_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxDataGrid_namespaceObject);
;// external "DevExpress.ui.dxDateBox"
const external_DevExpress_ui_dxDateBox_namespaceObject = DevExpress.ui.dxDateBox;
var external_DevExpress_ui_dxDateBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxDateBox_namespaceObject);
;// external "DevExpress.ui.dialog"
const external_DevExpress_ui_dialog_namespaceObject = DevExpress.ui.dialog;
// EXTERNAL MODULE: external "DevExpress.ui.dxList"
var external_DevExpress_ui_dxList_ = __webpack_require__(1160);
var external_DevExpress_ui_dxList_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxList_);
;// external "DevExpress.ui.dxOverlay"
const external_DevExpress_ui_dxOverlay_namespaceObject = DevExpress.ui.dxOverlay;
var external_DevExpress_ui_dxOverlay_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxOverlay_namespaceObject);
;// external "DevExpress.ui.dxPivotGrid"
const external_DevExpress_ui_dxPivotGrid_namespaceObject = DevExpress.ui.dxPivotGrid;
var external_DevExpress_ui_dxPivotGrid_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxPivotGrid_namespaceObject);
;// external "DevExpress.ui.dxPopup"
const external_DevExpress_ui_dxPopup_namespaceObject = DevExpress.ui.dxPopup;
var external_DevExpress_ui_dxPopup_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxPopup_namespaceObject);
// EXTERNAL MODULE: external "DevExpress.ui.dxScrollView"
var external_DevExpress_ui_dxScrollView_ = __webpack_require__(6296);
var external_DevExpress_ui_dxScrollView_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxScrollView_);
;// external "DevExpress.ui.dxSelectBox"
const external_DevExpress_ui_dxSelectBox_namespaceObject = DevExpress.ui.dxSelectBox;
var external_DevExpress_ui_dxSelectBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxSelectBox_namespaceObject);
// EXTERNAL MODULE: external "DevExpress.ui.dxTagBox"
var external_DevExpress_ui_dxTagBox_ = __webpack_require__(2193);
var external_DevExpress_ui_dxTagBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTagBox_);
;// external "DevExpress.ui.dxTextBox"
const external_DevExpress_ui_dxTextBox_namespaceObject = DevExpress.ui.dxTextBox;
var external_DevExpress_ui_dxTextBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTextBox_namespaceObject);
// EXTERNAL MODULE: external "DevExpress.ui.themes"
var external_DevExpress_ui_themes_ = __webpack_require__(4306);
;// external "DevExpress.ui.dxToast"
const external_DevExpress_ui_dxToast_namespaceObject = DevExpress.ui.dxToast;
;// external "DevExpress.ui.dxToolbar"
const external_DevExpress_ui_dxToolbar_namespaceObject = DevExpress.ui.dxToolbar;
var external_DevExpress_ui_dxToolbar_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxToolbar_namespaceObject);
;// external "DevExpress.ui.dxTreeList"
const external_DevExpress_ui_dxTreeList_namespaceObject = DevExpress.ui.dxTreeList;
var external_DevExpress_ui_dxTreeList_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTreeList_namespaceObject);
;// external "DevExpress.ui.dxTreeView"
const external_DevExpress_ui_dxTreeView_namespaceObject = DevExpress.ui.dxTreeView;
var external_DevExpress_ui_dxTreeView_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTreeView_namespaceObject);
;// external "DevExpress.validationEngine"
const external_DevExpress_validationEngine_namespaceObject = DevExpress.validationEngine;
var external_DevExpress_validationEngine_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_validationEngine_namespaceObject);
;// external "DevExpress.ui.Widget"
const external_DevExpress_ui_Widget_namespaceObject = DevExpress.ui.Widget;
;// external "DevExpress.viz.dxBullet"
const external_DevExpress_viz_dxBullet_namespaceObject = DevExpress.viz.dxBullet;
var external_DevExpress_viz_dxBullet_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxBullet_namespaceObject);
;// external "DevExpress.viz.dxChart"
const external_DevExpress_viz_dxChart_namespaceObject = DevExpress.viz.dxChart;
var external_DevExpress_viz_dxChart_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxChart_namespaceObject);
;// external "DevExpress.viz.dxCircularGauge"
const external_DevExpress_viz_dxCircularGauge_namespaceObject = DevExpress.viz.dxCircularGauge;
var external_DevExpress_viz_dxCircularGauge_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxCircularGauge_namespaceObject);
;// external "DevExpress.viz._dashboard"
const external_DevExpress_viz_dashboard_namespaceObject = DevExpress.viz._dashboard;
;// external "DevExpress.viz.dxLinearGauge"
const external_DevExpress_viz_dxLinearGauge_namespaceObject = DevExpress.viz.dxLinearGauge;
var external_DevExpress_viz_dxLinearGauge_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxLinearGauge_namespaceObject);
;// external "DevExpress.viz.dxPieChart"
const external_DevExpress_viz_dxPieChart_namespaceObject = DevExpress.viz.dxPieChart;
var external_DevExpress_viz_dxPieChart_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxPieChart_namespaceObject);
;// external "DevExpress.viz.dxRangeSelector"
const external_DevExpress_viz_dxRangeSelector_namespaceObject = DevExpress.viz.dxRangeSelector;
var external_DevExpress_viz_dxRangeSelector_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxRangeSelector_namespaceObject);
;// external "DevExpress.viz.dxSparkline"
const external_DevExpress_viz_dxSparkline_namespaceObject = DevExpress.viz.dxSparkline;
var external_DevExpress_viz_dxSparkline_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxSparkline_namespaceObject);
// EXTERNAL MODULE: external "DevExpress.viz"
var external_DevExpress_viz_ = __webpack_require__(3473);
;// external "DevExpress.viz.dxTreeMap"
const external_DevExpress_viz_dxTreeMap_namespaceObject = DevExpress.viz.dxTreeMap;
var external_DevExpress_viz_dxTreeMap_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxTreeMap_namespaceObject);
;// external "DevExpress.viz.dxVectorMap"
const external_DevExpress_viz_dxVectorMap_namespaceObject = DevExpress.viz.dxVectorMap;
var external_DevExpress_viz_dxVectorMap_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_viz_dxVectorMap_namespaceObject);
;// external "DevExpress.viz.map"
const external_DevExpress_viz_map_namespaceObject = DevExpress.viz.map;
// EXTERNAL MODULE: external "jQuery"
var external_jQuery_ = __webpack_require__(1669);
// EXTERNAL MODULE: ./dist/model/index.js + 12 modules
var dist_model = __webpack_require__(7104);
// EXTERNAL MODULE: external "DevExpress.Analytics.Widgets.Internal"
var external_DevExpress_Analytics_Widgets_Internal_ = __webpack_require__(9542);
;// ./dist/resources/_html_bindings.generated.js

(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-ko-resizable: { getWidgetContainer: $root.getWidgetContainer, layoutItem: $data }, visible: visible', function ($context, $element) { return { 'dx-ko-resizable': function () { return { 'getWidgetContainer': $context.$root.getWidgetContainer, 'layoutItem': $context.$data }; }, 'visible': function () { return $context.$data.visible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { width: containerWidth() + \'px\', height: containerHeight() + \'px\' }', function ($context, $element) { return { 'style': function () { return { 'width': $context.$data.containerWidth() + 'px', 'height': $context.$data.containerHeight() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxclick: coverClickHandler, css: itemStyle', function ($context, $element) { return { 'dxclick': function () { return $context.$data.coverClickHandler; }, 'css': function () { return $context.$data.itemStyle; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('visible: isSelected', function ($context, $element) { return { 'visible': function () { return $context.$data.isSelected; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: itemStyle', function ($context, $element) { return { 'css': function () { return $context.$data.itemStyle; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('layoutItem: $data', function ($context, $element) { return { 'layoutItem': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: layoutItem', function ($context, $element) { return { 'with': function () { return $context.$data.layoutItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: viewModel.hasItem()', function ($context, $element) { return { 'if': function () { return $context.$data.viewModel.hasItem(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: viewModel.template || \'dx-layout-item-container\'', function ($context, $element) { return { 'template': function () { return $context.$data.viewModel.template || 'dx-layout-item-container'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: viewModel.hasItem()', function ($context, $element) { return { 'ifnot': function () { return $context.$data.viewModel.hasItem(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-layout-group-container\'', function ($context, $element) { return { 'template': function () { return 'dx-layout-group-container'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isDesignMode', function ($context, $element) { return { 'if': function () { return $context.$data.isDesignMode; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: viewModel.orientation() === \'Horizontal\'', function ($context, $element) { return { 'if': function () { return $context.$data.viewModel.orientation() === 'Horizontal'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: items', function ($context, $element) { return { 'foreach': function () { return $context.$data.items; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: viewModel.orientation() === \'Vertical\'', function ($context, $element) { return { 'if': function () { return $context.$data.viewModel.orientation() === 'Vertical'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: items().length === 0 && !!$data.getPlaceholder', function ($context, $element) { return { 'if': function () { return $context.$data.items().length === 0 && !!$context.$data.getPlaceholder; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: $data.getPlaceholder()', function ($context, $element) { return { 'with': function () { return $context.$data.getPlaceholder(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: viewModel.template', function ($context, $element) { return { 'template': function () { return $context.$data.viewModel.template; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: $data', function ($context, $element) { return { 'foreach': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: $data', function ($context, $element) { return { 'template': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.isDesignMode()', function ($context, $element) { return { 'if': function () { return $context.$parent.isDesignMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !dragOverLocation()', function ($context, $element) { return { 'if': function () { return !$context.$data.dragOverLocation(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: getLayoutItemPlaceholder()', function ($context, $element) { return { 'template': function () { return $context.$data.getLayoutItemPlaceholder(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-layout-group-binding: { dashboardContext: $data.getContext(), localContext: $data.getLocalContext(), sizeController: $data.sizeController, dashboardItem: $data.viewModel.model.item, headerHeight: $parent.headerHeight }', function ($context, $element) { return { 'dx-dashboard-layout-group-binding': function () { return { 'dashboardContext': $context.$data.getContext(), 'localContext': $context.$data.getLocalContext(), 'sizeController': $context.$data.sizeController, 'dashboardItem': $context.$data.viewModel.model.item, 'headerHeight': $context.$parent.headerHeight }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxclick: coverClickHandler, event: { mouseover: coverMouseOverHandler }, css: itemStyle', function ($context, $element) { return { 'dxclick': function () { return $context.$data.coverClickHandler; }, 'event': function () { return { 'mouseover': $context.$data.coverMouseOverHandler }; }, 'css': function () { return $context.$data.itemStyle; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { top: $parent.headerHeight() + \'px\', padding: $parent.padding() + \'px\' }', function ($context, $element) { return { 'style': function () { return { 'top': $context.$parent.headerHeight() + 'px', 'padding': $context.$parent.padding() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: items().length !== 0', function ($context, $element) { return { 'if': function () { return $context.$data.items().length !== 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: items().length === 0 && isDesignMode()', function ($context, $element) { return { 'if': function () { return $context.$data.items().length === 0 && $context.$data.isDesignMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isSelected', function ($context, $element) { return { 'if': function () { return $context.$data.isSelected; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: getContextMenu()', function ($context, $element) { return { 'template': function () { return $context.$data.getContextMenu(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-item-plate\' }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-item-plate' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTabs: { items: tabPageBindings, itemTemplate: \'dx-dasbhoard-layout-tab-item\', selectionMode: \'single\', keyExpr: \'id\', selectedItemKeys: selectedItemKeys, onSelectionChanged: onSelectionChanged, hoverStateEnabled: true, scrollingEnabled: false, focusStateEnabled: false}', function ($context, $element) { return { 'dxTabs': function () { return { 'items': $context.$data.tabPageBindings, 'itemTemplate': 'dx-dasbhoard-layout-tab-item', 'selectionMode': 'single', 'keyExpr': 'id', 'selectedItemKeys': $context.$data.selectedItemKeys, 'onSelectionChanged': $context.$data.onSelectionChanged, 'hoverStateEnabled': true, 'scrollingEnabled': false, 'focusStateEnabled': false }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-layout-tab-binding: { dashboardItem: $data.dashboardItem, dashboardContext: $data.context, localContext: $data.localContext, sizeController: $data.sizeController, ignoreBorder: $data.ignoreBorder }', function ($context, $element) { return { 'dx-dashboard-layout-tab-binding': function () { return { 'dashboardItem': $context.$data.dashboardItem, 'dashboardContext': $context.$data.context, 'localContext': $context.$data.localContext, 'sizeController': $context.$data.sizeController, 'ignoreBorder': $context.$data.ignoreBorder }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: toggleMenu', function ($context, $element) { return { 'click': function () { return $context.$data.toggleMenu; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: createTabPage', function ($context, $element) { return { 'click': function () { return $context.$data.createTabPage; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('layoutItem: $data, headerHeight: $parent.headerHeight', function ($context, $element) { return { 'layoutItem': function () { return $context.$data; }, 'headerHeight': function () { return $context.$parent.headerHeight; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.activeItems().length !== 0', function ($context, $element) { return { 'if': function () { return $context.$parent.activeItems().length !== 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.activeItems()[0].items().length !== 0', function ($context, $element) { return { 'if': function () { return $context.$parent.activeItems()[0].items().length !== 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.activeItems()[0].items().length === 0 && isDesignMode()', function ($context, $element) { return { 'if': function () { return $context.$parent.activeItems()[0].items().length === 0 && $context.$data.isDesignMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with:  $parent.activeItems()[0].getPlaceholder()', function ($context, $element) { return { 'with': function () { return $context.$parent.activeItems()[0].getPlaceholder(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.activeItems().length === 0 && isDesignMode()', function ($context, $element) { return { 'if': function () { return $context.$parent.activeItems().length === 0 && $context.$data.isDesignMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: showMenu()', function ($context, $element) { return { 'if': function () { return $context.$data.showMenu(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-open-tab-pages\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-open-tab-pages'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: showAddButton()', function ($context, $element) { return { 'if': function () { return $context.$data.showAddButton(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-add\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-add'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name:\'dx-dasbhoard-layout-tab-item\' }', function () { return { dxTemplate: { name: 'dx-dasbhoard-layout-tab-item' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: cssClasses', function ($context, $element) { return { 'css': function () { return $context.$data.cssClasses; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: title.containerStyles', function ($context, $element) { return { 'style': function () { return $context.$data.title.containerStyles; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: title.styles', function ($context, $element) { return { 'style': function () { return $context.$data.title.styles; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxScrollView: scrollView.options, style: scrollView.styles', function ($context, $element) { return { 'dxScrollView': function () { return $context.$data.scrollView.options; }, 'style': function () { return $context.$data.scrollView.styles; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: scrollView.contentWrapperStyles, dx-dashboard-element-accessor: layoutMainElementEvents', function ($context, $element) { return { 'style': function () { return $context.$data.scrollView.contentWrapperStyles; }, 'dx-dashboard-element-accessor': function () { return $context.$data.layoutMainElementEvents; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-state-underlying-selection\': $data.areChildrenSelected() }', function ($context, $element) { return { 'css': function () { return { 'dx-state-underlying-selection': $context.$data.areChildrenSelected() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: fullscreenItem.styles', function ($context, $element) { return { 'style': function () { return $context.$data.fullscreenItem.styles; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-item-binding: { dashboardItem: fullscreenItemModel.viewModel().dashboardItem, dashboardContext: fullscreenItemModel.viewModel().dashboardContext, localContext:  fullscreenItemModel.viewModel().localContext, sizeController: fullscreenItemModel.viewModel().getSizeController($element) }', function ($context, $element) { return { 'dx-dashboard-item-binding': function () { return { 'dashboardItem': $context.$data.fullscreenItemModel.viewModel().dashboardItem, 'dashboardContext': $context.$data.fullscreenItemModel.viewModel().dashboardContext, 'localContext': $context.$data.fullscreenItemModel.viewModel().localContext, 'sizeController': $context.$data.fullscreenItemModel.viewModel().getSizeController($element) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('componentArgs: componentArgs', function ($context, $element) { return { 'componentArgs': function () { return $context.$data.componentArgs; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('componentArgs: title.componentArgs', function ($context, $element) { return { 'componentArgs': function () { return $context.$data.title.componentArgs; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: componentArgs', function ($context, $element) { return { 'if': function () { return $context.$data.componentArgs; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: title.showTitle()', function ($context, $element) { return { 'if': function () { return $context.$data.title.showTitle(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: layout', function ($context, $element) { return { 'with': function () { return $context.$data.layout; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: fullscreenItemModel.visible()', function ($context, $element) { return { 'if': function () { return $context.$data.fullscreenItemModel.visible(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'left top\', at: \'left top\', collision: \'flipfit\', boundaryOffset: \'0, 0\', boundary: $root.getWidgetContainer(), of:  $root.getWidgetContainer(), offset: \'0, 0\' }, animation: enableAnimation () ? { show: { type: \'slide\', from: { left: panelWidth() * -1 }, to: { left: 0 }, duration: 500 }, hide: { type: \'slide\', from: { left: 0 }, to: { left: panelWidth() * -1 }, duration: 500 } } : null, focusStateEnabled: false, showCloseButton: isMobile, dragEnabled: false, width: panelWidth, height: \'100%\', shading: false, toolbarItems: [{ text: $root.getLocalizationById(\'DashboardWebStringId.Dashboards\'), location: \'before\', toolbar: \'top\', }], hideOnOutsideClick: false, onInitialized: onPopupInitialized, onDisposing: onPopupDisposing, onContentReady: function() { enableAnimation(true) }, visible: visible, wrapperAttr: { class: isMobile() ? \'dx-dashboard-card-view-panel dx-dashboard-panel-extension dx-dashboard-typography\' : \'dx-dashboard-panel-extension dx-dashboard-typography\' } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'my': 'left top', 'at': 'left top', 'collision': 'flipfit', 'boundaryOffset': '0, 0', 'boundary': $context.$root.getWidgetContainer(), 'of': $context.$root.getWidgetContainer(), 'offset': '0, 0' }, 'animation': $context.$data.enableAnimation() ? { 'show': { 'type': 'slide', 'from': { 'left': $context.$data.panelWidth() * -1 }, 'to': { 'left': 0 }, 'duration': 500 }, 'hide': { 'type': 'slide', 'from': { 'left': 0 }, 'to': { 'left': $context.$data.panelWidth() * -1 }, 'duration': 500 } } : null, 'focusStateEnabled': false, 'showCloseButton': $context.$data.isMobile, 'dragEnabled': false, 'width': $context.$data.panelWidth, 'height': '100%', 'shading': false, 'toolbarItems': [{ 'text': $context.$root.getLocalizationById('DashboardWebStringId.Dashboards'), 'location': 'before', 'toolbar': 'top' }], 'hideOnOutsideClick': false, 'onInitialized': $context.$data.onPopupInitialized, 'onDisposing': $context.$data.onPopupDisposing, 'onContentReady': function () { $context.$data.enableAnimation(true); }, 'visible': $context.$data.visible, 'wrapperAttr': { 'class': $context.$data.isMobile() ? 'dx-dashboard-card-view-panel dx-dashboard-panel-extension dx-dashboard-typography' : 'dx-dashboard-panel-extension dx-dashboard-typography' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: listOptions, css: { \'dx-dashboard-dashboard-list-full\': !allowSwitchToDesigner(), \'dx-dashboard-dashboard-list-clipped\': allowSwitchToDesigner() }', function ($context, $element) { return { 'dxList': function () { return $context.$data.listOptions; }, 'css': function () { return { 'dx-dashboard-dashboard-list-full': !$context.$data.allowSwitchToDesigner(), 'dx-dashboard-dashboard-list-clipped': $context.$data.allowSwitchToDesigner() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: name', function ($context, $element) { return { 'text': function () { return $context.$data.name; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-minimized\': hidden }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-minimized': $context.$data.hidden }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-hidden\': hidden }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-hidden': $context.$data.hidden }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { src: imageUrl, alt: name }, event: { error: hide }', function ($context, $element) { return { 'attr': function () { return { 'src': $context.$data.imageUrl, 'alt': $context.$data.name }; }, 'event': function () { return { 'error': $context.$data.hide }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { onClick: switchToDesigner, type: \'default\', template: \'template\' }', function ($context, $element) { return { 'dxButton': function () { return { 'onClick': $context.$data.switchToDesigner, 'type': 'default', 'template': 'template' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.EditInDesigner\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.EditInDesigner'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { onClick: click, type: \'default\', text: $root.getLocalizationById(\'DashboardWebStringId.Viewer\') }', function ($context, $element) { return { 'dxButton': function () { return { 'onClick': $context.$data.click, 'type': 'default', 'text': $context.$root.getLocalizationById('DashboardWebStringId.Viewer') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowSwitchToDesigner', function ($context, $element) { return { 'if': function () { return $context.$data.allowSwitchToDesigner; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-edit-in-designer-button\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-edit-in-designer-button'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-edit-in-designer-button-icon\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-edit-in-designer-button-icon'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dashboard-card-view\' }', function () { return { dxTemplate: { name: 'dashboard-card-view' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dashboard-preview\' }', function () { return { dxTemplate: { name: 'dashboard-preview' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dashboard-list-item\' }', function () { return { dxTemplate: { name: 'dashboard-list-item' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate: { name: \'template\' }', function () { return { dxTemplate: { name: 'template' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: _getPopupOptions()', function ($context, $element) { return { 'dxPopup': function () { return $context.$data._getPopupOptions(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardStringId.InspectedData\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardStringId.InspectedData'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxRadioGroup: { layout: \'horizontal\', displayExpr: \'text\', valueExpr: \'value\', dataSource: avaliableInspectedDataType, value: inspectedDataType }', function ($context, $element) { return { 'dxRadioGroup': function () { return { 'layout': 'horizontal', 'displayExpr': 'text', 'valueExpr': 'value', 'dataSource': $context.$data.avaliableInspectedDataType, 'value': $context.$data.inspectedDataType }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxDataGrid: $data', function ($context, $element) { return { 'dxDataGrid': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowSwitchInspectedDataType', function ($context, $element) { return { 'if': function () { return $context.$data.allowSwitchInspectedDataType; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: gridOptions', function ($context, $element) { return { 'with': function () { return $context.$data.gridOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: layoutViewModel, style: { top: titleViewModel.height() + \'px\' }', function ($context, $element) { return { 'dxList': function () { return $context.$data.layoutViewModel; }, 'style': function () { return { 'top': $context.$data.titleViewModel.height() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('componentArgs: { options: options, width: width, height: height, encodeHtml: encodeHtml, className: className }', function ($context, $element) { return { 'componentArgs': function () { return { 'options': $context.$data.options, 'width': $context.$data.width, 'height': $context.$data.height, 'encodeHtml': $context.$data.encodeHtml, 'className': $context.$data.className }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-mobile-title\', data: titleViewModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-mobile-title', 'data': $context.$data.titleViewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-mobile-fullscreen-item\', data: fullscreenItemViewModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-mobile-fullscreen-item', 'data': $context.$data.fullscreenItemViewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-mobile-item-master-filters\', data: itemMasterFiltersViewModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-mobile-item-master-filters', 'data': $context.$data.itemMasterFiltersViewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'item\' }', function () { return { dxTemplate: { name: 'item' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxOverlay: { shading: false, width: width, height: height, deferRendering: true, visible: visible, animation: { show: { type: \'slide\', duration: 400, from: { position: { my: \'left\', at: \'right\', of: window } }, to: { position: { my: \'center\', at: \'center\', of: window } } }, hide: { type: \'slide\', duration: 400, from: { position: { my: \'center\', at: \'center\', of: window } }, to: { position: { my: \'left\', at: \'right\', of: window } } } }, onInitialized: onInitialized, onDisposing: onDisposing, wrapperAttr: { class: \'dx-dashboard-fullscreen-item-popup\' }, position: { my: \'left top\', at: \'left top\' } }', function ($context, $element) { return { 'dxOverlay': function () { return { 'shading': false, 'width': $context.$data.width, 'height': $context.$data.height, 'deferRendering': true, 'visible': $context.$data.visible, 'animation': { 'show': { 'type': 'slide', 'duration': 400, 'from': { 'position': { 'my': 'left', 'at': 'right', 'of': window } }, 'to': { 'position': { 'my': 'center', 'at': 'center', 'of': window } } }, 'hide': { 'type': 'slide', 'duration': 400, 'from': { 'position': { 'my': 'center', 'at': 'center', 'of': window } }, 'to': { 'position': { 'my': 'left', 'at': 'right', 'of': window } } } }, 'onInitialized': $context.$data.onInitialized, 'onDisposing': $context.$data.onDisposing, 'wrapperAttr': { 'class': 'dx-dashboard-fullscreen-item-popup' }, 'position': { 'my': 'left top', 'at': 'left top' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dashboardItem: dashboardItem, dashboardContext: dashboardContext, localContext: localContext, repaintRequest: repaintRequest,', function ($context, $element) { return { 'dashboardItem': function () { return $context.$data.dashboardItem; }, 'dashboardContext': function () { return $context.$data.dashboardContext; }, 'localContext': function () { return $context.$data.localContext; }, 'repaintRequest': function () { return $context.$data.repaintRequest; }, '': function () { return undefined; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: visible', function ($context, $element) { return { 'if': function () { return $context.$data.visible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: itemViewModel', function ($context, $element) { return { 'with': function () { return $context.$data.itemViewModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-mobile-layout-maximize-icon-selected\': isReadyForAction() }, style: { \'opacity\': maximizeIconOpacity()  }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-mobile-layout-maximize-icon-selected': $context.$data.isReadyForAction() }; }, 'style': function () { return { 'opacity': $context.$data.maximizeIconOpacity() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { \'transform\': \'translateX(\' + itemOffsetInPixels() + \'px)\'  }', function ($context, $element) { return { 'style': function () { return { 'transform': 'translateX(' + $context.$data.itemOffsetInPixels() + 'px)' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxclick: click, dxpointerdown: selectItem, dxpointerup: unselectItem, dxpointermove: unselectItem', function ($context, $element) { return { 'dxclick': function () { return $context.$data.click; }, 'dxpointerdown': function () { return $context.$data.selectItem; }, 'dxpointerup': function () { return $context.$data.unselectItem; }, 'dxpointermove': function () { return $context.$data.unselectItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-maximize-item\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-maximize-item'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxOverlay: { height: masterFiltersPopup.height, width: masterFiltersPopup.width, hideOnOutsideClick: true, visible: masterFiltersPopup.visible, onHiding: function() { closeMasterFiltersPopup() }, position: { my: \'bottom\', at: \'bottom\', of: window } , animation: { show: { type: \'slide\', duration: 250, from: { position: { my: \'top\', at: \'bottom\', of: window } } }, hide: { type: \'slide\', duration: 250, to: { position: { my: \'top\', at: \'bottom\', of: window } } } }, onInitialized: masterFiltersPopup.onInitialized, onDisposing: masterFiltersPopup.onDisposing, wrapperAttr: { class: \'dx-dashboard-master-filters-popup\' } }', function ($context, $element) { return { 'dxOverlay': function () { return { 'height': $context.$data.masterFiltersPopup.height, 'width': $context.$data.masterFiltersPopup.width, 'hideOnOutsideClick': true, 'visible': $context.$data.masterFiltersPopup.visible, 'onHiding': function () { $context.$data.closeMasterFiltersPopup(); }, 'position': { 'my': 'bottom', 'at': 'bottom', 'of': window }, 'animation': { 'show': { 'type': 'slide', 'duration': 250, 'from': { 'position': { 'my': 'top', 'at': 'bottom', 'of': window } } }, 'hide': { 'type': 'slide', 'duration': 250, 'to': { 'position': { 'my': 'top', 'at': 'bottom', 'of': window } } } }, 'onInitialized': $context.$data.masterFiltersPopup.onInitialized, 'onDisposing': $context.$data.masterFiltersPopup.onDisposing, 'wrapperAttr': { 'class': 'dx-dashboard-master-filters-popup' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { flex: maximizeFiltersPopup() ? 0 : 1 }, dxclick: function() { closeMasterFiltersPopup() }', function ($context, $element) { return { 'style': function () { return { 'flex': $context.$data.maximizeFiltersPopup() ? 0 : 1 }; }, 'dxclick': function () { return function () { $context.$data.closeMasterFiltersPopup(); }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { flex: maximizeFiltersPopup() ? 1 : 0 }', function ($context, $element) { return { 'style': function () { return { 'flex': $context.$data.maximizeFiltersPopup() ? 1 : 0 }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxclick: click', function ($context, $element) { return { 'dxclick': function () { return $context.$data.click; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: valuesString', function ($context, $element) { return { 'text': function () { return $context.$data.valuesString; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { text:  $root.getLocalizationById(\'DashboardStringId.ButtonOK\'), onClick: closeMasterFiltersPopup, type: \'default\' }', function ($context, $element) { return { 'dxButton': function () { return { 'text': $context.$root.getLocalizationById('DashboardStringId.ButtonOK'), 'onClick': $context.$data.closeMasterFiltersPopup, 'type': 'default' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxOverlay: { height: masterFilterMaximizedItemPopup.height, width: masterFilterMaximizedItemPopup.width, hideOnOutsideClick: true, onHiding: function() { closeMasterFilterItemPopup() }, visible: masterFilterMaximizedItemPopup.visible, position: { my: \'bottom\', at: \'bottom\', of: window } , animation: { show: { type: \'slide\', duration: 250, from: { position: { my: \'top\', at: \'bottom\', of: window } } }, hide: { type: \'slide\', duration: 250, to: { position: { my: \'top\', at: \'bottom\', of: window } } } }, onInitialized: masterFilterMaximizedItemPopup.onInitialized, onDisposing: masterFilterMaximizedItemPopup.onDisposing, wrapperAttr: { class: \'dx-dashboard-master-filters-popup\' } }', function ($context, $element) { return { 'dxOverlay': function () { return { 'height': $context.$data.masterFilterMaximizedItemPopup.height, 'width': $context.$data.masterFilterMaximizedItemPopup.width, 'hideOnOutsideClick': true, 'onHiding': function () { $context.$data.closeMasterFilterItemPopup(); }, 'visible': $context.$data.masterFilterMaximizedItemPopup.visible, 'position': { 'my': 'bottom', 'at': 'bottom', 'of': window }, 'animation': { 'show': { 'type': 'slide', 'duration': 250, 'from': { 'position': { 'my': 'top', 'at': 'bottom', 'of': window } } }, 'hide': { 'type': 'slide', 'duration': 250, 'to': { 'position': { 'my': 'top', 'at': 'bottom', 'of': window } } } }, 'onInitialized': $context.$data.masterFilterMaximizedItemPopup.onInitialized, 'onDisposing': $context.$data.masterFilterMaximizedItemPopup.onDisposing, 'wrapperAttr': { 'class': 'dx-dashboard-master-filters-popup' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { text: $root.getLocalizationById(\'DashboardStringId.ButtonOK\'), onClick: closeMasterFilterItemPopup, type: \'default\' }', function ($context, $element) { return { 'dxButton': function () { return { 'text': $context.$root.getLocalizationById('DashboardStringId.ButtonOK'), 'onClick': $context.$data.closeMasterFilterItemPopup, 'type': 'default' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: masterItems', function ($context, $element) { return { 'foreach': function () { return $context.$data.masterItems; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: filterValues', function ($context, $element) { return { 'foreach': function () { return $context.$data.filterValues; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: masterFilterItem', function ($context, $element) { return { 'with': function () { return $context.$data.masterFilterItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxToast: { type: \'custom\', visible: visible() && !suspended(), width: \'auto\', target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'bottom right\', at: \'bottom right\', offset: \'0 0\', boundary: $root.getWidgetContainer(), of: $root.getWidgetContainer() }, displayTime: displayTime, closeOnClick: true, onHidden: onHidden, closeOnSwipe: false, onInitialized: onInitialized }', function ($context, $element) { return { 'dxToast': function () { return { 'type': 'custom', 'visible': $context.$data.visible() && !$context.$data.suspended(), 'width': 'auto', 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'my': 'bottom right', 'at': 'bottom right', 'offset': '0 0', 'boundary': $context.$root.getWidgetContainer(), 'of': $context.$root.getWidgetContainer() }, 'displayTime': $context.$data.displayTime, 'closeOnClick': true, 'onHidden': $context.$data.onHidden, 'closeOnSwipe': false, 'onInitialized': $context.$data.onInitialized }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: notifications, css: {  \'dx-dashboard-error\': type() === \'error\', \'dx-dashboard-success\': type() === \'success\', \'dx-dashboard-info\': type() === \'info\'}', function ($context, $element) { return { 'foreach': function () { return $context.$data.notifications; }, 'css': function () { return { 'dx-dashboard-error': $context.$data.type() === 'error', 'dx-dashboard-success': $context.$data.type() === 'success', 'dx-dashboard-info': $context.$data.type() === 'info' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: title', function ($context, $element) { return { 'text': function () { return $context.$data.title; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: detail', function ($context, $element) { return { 'text': function () { return $context.$data.detail; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: detail !== null', function ($context, $element) { return { 'if': function () { return $context.$data.detail !== null; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-item-binding: { dashboardItem: $data.viewModel.model.item, dashboardContext: $data.getContext(), localContext: $data.getLocalContext(), sizeController: $data.sizeController }, css: { \'dx-layout-item-selected\': isSelected }', function ($context, $element) { return { 'dx-dashboard-item-binding': function () { return { 'dashboardItem': $context.$data.viewModel.model.item, 'dashboardContext': $context.$data.getContext(), 'localContext': $context.$data.getLocalContext(), 'sizeController': $context.$data.sizeController }; }, 'css': function () { return { 'dx-layout-item-selected': $context.$data.isSelected }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text:$root.getLocalizationById(\'DashboardStringId.MessageLoading\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardStringId.MessageLoading'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { \'aria-label\': emptyAriaLabel }, class: sizeClass', function ($context, $element) { return { 'attr': function () { return { 'aria-label': $context.$data.emptyAriaLabel }; }, 'class': function () { return $context.$data.sizeClass; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('class: sizeClass', function ($context, $element) { return { 'class': function () { return $context.$data.sizeClass; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: errorState() && errorState().title', function ($context, $element) { return { 'text': function () { return $context.$data.errorState() && $context.$data.errorState().title; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: errorState() && errorState().detail', function ($context, $element) { return { 'text': function () { return $context.$data.errorState() && $context.$data.errorState().detail; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: {\'dx-dashboard-widget-container\': isStandalone, \'dx-dashboard-typography\': isStandalone  }, dx-dashboard-item-binding: { dashboardItem: $data.dashboardItem, dashboardContext: $data.dashboardContext, localContext: $data.localContext, sizeController: $data.sizeController }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-widget-container': $context.$data.isStandalone, 'dx-dashboard-typography': $context.$data.isStandalone }; }, 'dx-dashboard-item-binding': function () { return { 'dashboardItem': $context.$data.dashboardItem, 'dashboardContext': $context.$data.dashboardContext, 'localContext': $context.$data.localContext, 'sizeController': $context.$data.sizeController }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data', function ($context, $element) { return { 'if': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: icon', function ($context, $element) { return { 'template': function () { return $context.$data.icon; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.getEmptyItemTemplates', function ($context, $element) { return { 'if': function () { return $context.$parent.getEmptyItemTemplates; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: $parent.getEmptyItemTemplates()', function ($context, $element) { return { 'template': function () { return $context.$parent.getEmptyItemTemplates(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: colorSchemeCss', function ($context, $element) { return { 'css': function () { return $context.$data.colorSchemeCss; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { left: surfaceLeft() + \'px\' }, css: $data.classList()', function ($context, $element) { return { 'style': function () { return { 'left': $context.$data.surfaceLeft() + 'px' }; }, 'css': function () { return $context.$data.classList(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.NoDashboards\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.NoDashboards'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: externalTemplates', function ($context, $element) { return { 'foreach': function () { return $context.$data.externalTemplates; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isDashboardLoaded()', function ($context, $element) { return { 'if': function () { return $context.$data.isDashboardLoaded(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: $data.layoutTemplate()', function ($context, $element) { return { 'template': function () { return $context.$data.layoutTemplate(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: isDashboardLoaded()', function ($context, $element) { return { 'ifnot': function () { return $context.$data.isDashboardLoaded(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isLoading()', function ($context, $element) { return { 'if': function () { return $context.$data.isLoading(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: isLoading()', function ($context, $element) { return { 'ifnot': function () { return $context.$data.isLoading(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: emptyControlTemplates', function ($context, $element) { return { 'foreach': function () { return $context.$data.emptyControlTemplates; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template:  { name: "dx-dashboard-notification-controller", data: notificationController._viewModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-notification-controller', 'data': $context.$data.notificationController._viewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButtonGroup: $data', function ($context, $element) { return { 'dxButtonGroup': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'center\', at: \'center\', of: $root.getWidgetContainer(), boundary: $root.getWidgetContainer() }, height: \'80%\', width: \'688px\', maxHeight: \'800px\', minHeight: \'500px\', maxWidth: \'80%\', minWidth:\'600px\', animation: { }, focusStateEnabled: true, hideOnOutsideClick: false, toolbarItems: toolbarItems, visible: popupVisible, showTitle: true, hideOnParentScroll: false, title: $root.getLocalizationById(\'DashboardWebStringId.DataSources.EditCalculatedField\'), wrapperAttr: { class: \'dx-dashboard-calc-field-editor-popup\' }, resizeEnabled: true, onResize: function() { $data.resizeAceEditor(); } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'my': 'center', 'at': 'center', 'of': $context.$root.getWidgetContainer(), 'boundary': $context.$root.getWidgetContainer() }, 'height': '80%', 'width': '688px', 'maxHeight': '800px', 'minHeight': '500px', 'maxWidth': '80%', 'minWidth': '600px', 'animation': {}, 'focusStateEnabled': true, 'hideOnOutsideClick': false, 'toolbarItems': $context.$data.toolbarItems, 'visible': $context.$data.popupVisible, 'showTitle': true, 'hideOnParentScroll': false, 'title': $context.$root.getLocalizationById('DashboardWebStringId.DataSources.EditCalculatedField'), 'wrapperAttr': { 'class': 'dx-dashboard-calc-field-editor-popup' }, 'resizeEnabled': true, 'onResize': function () { $context.$data.resizeAceEditor(); } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CalculatedField.Name\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.CalculatedField.Name'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTextBox: { value: name }, dxValidator: { isValid: isCalcFieldNameValid, validationRules: nameValidationRules }', function ($context, $element) { return { 'dxTextBox': function () { return { 'value': $context.$data.name }; }, 'dxValidator': function () { return { 'isValid': $context.$data.isCalcFieldNameValid, 'validationRules': $context.$data.nameValidationRules }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CalculatedField.FieldType\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.CalculatedField.FieldType'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxSelectBox: { dataSource: availableTypes, valueExpr: \'value\', displayExpr: \'displayValue\', value: fieldType, displayCustomValue: true, editEnabled: false, dropDownOptions: { container: $root.getWidgetContainer() } }', function ($context, $element) { return { 'dxSelectBox': function () { return { 'dataSource': $context.$data.availableTypes, 'valueExpr': 'value', 'displayExpr': 'displayValue', 'value': $context.$data.fieldType, 'displayCustomValue': true, 'editEnabled': false, 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-invalid\': !expressionEditable.isValid() }', function ($context, $element) { return { 'css': function () { return { 'dx-invalid': !$context.$data.expressionEditable.isValid() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dshdExpressionEditor: { options: expressionEditable, onResize: onResize, fieldListProvider: itemsProvider, displayNameProvider: displayNameProvider, saveHandler: saveHandler }', function ($context, $element) { return { 'dshdExpressionEditor': function () { return { 'options': $context.$data.expressionEditable, 'onResize': $context.$data.onResize, 'fieldListProvider': $context.$data.itemsProvider, 'displayNameProvider': $context.$data.displayNameProvider, 'saveHandler': $context.$data.saveHandler }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: viewModel', function ($context, $element) { return { 'with': function () { return $context.$data.viewModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { showTitle: true, title: $root.getLocalizationById(\'AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption\'), visible: popupVisible, toolbarItems: buttonItems, showCloseButton: true, fullScreen: false, height: \'70%\', width: \'645px\', animation: { }, maxHeight: \'800px\', minHeight: \'500px\', maxWidth: \'80%\', minWidth:\'600px\', container: $root.getWidgetContainer(), position: { of: $root.getWidgetContainer(), boundary: $root.getWidgetContainer() }, wrapperAttr: { class: \'dx-designer dx-expressioneditor dx-popup-general\' }, resizeEnabled: true, onResize: function() { $data.resizeAceEditor(); } }', function ($context, $element) { return { 'dxPopup': function () { return { 'showTitle': true, 'title': $context.$root.getLocalizationById('AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption'), 'visible': $context.$data.popupVisible, 'toolbarItems': $context.$data.buttonItems, 'showCloseButton': true, 'fullScreen': false, 'height': '70%', 'width': '645px', 'animation': {}, 'maxHeight': '800px', 'minHeight': '500px', 'maxWidth': '80%', 'minWidth': '600px', 'container': $context.$root.getWidgetContainer(), 'position': { 'of': $context.$root.getWidgetContainer(), 'boundary': $context.$root.getWidgetContainer() }, 'wrapperAttr': { 'class': 'dx-designer dx-expressioneditor dx-popup-general' }, 'resizeEnabled': true, 'onResize': function () { $context.$data.resizeAceEditor(); } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: "dx-expressioneditor-main"', function ($context, $element) { return { 'template': function () { return 'dx-expressioneditor-main'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-form-adapter: { target: $data }', function ($context, $element) { return { 'dx-dashboard-form-adapter': function () { return { 'target': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('value: mode, values: dataSource', function ($context, $element) { return { 'value': function () { return $context.$data.mode; }, 'values': function () { return $context.$data.dataSource; }, '_ko_property_writers': function () { return { 'value': function (_z) { $context.$data.mode = _z; } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: formAdapterWrapper', function ($context, $element) { return { 'with': function () { return $context.$data.formAdapterWrapper; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.ColorSchemes\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Colorization.ColorSchemes'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: editableSignatures, selectedItems: selectedSignatures, selectionMode: \'single\', keyExpr: \'key\', nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\') }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.editableSignatures, 'selectedItems': $context.$data.selectedSignatures, 'selectionMode': 'single', 'keyExpr': 'key', 'nextButtonText': $context.$root.getLocalizationById('DashboardWebStringId.More') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { \'margin-left\': ($index() > 1 ? ($index() -1) * 21 : 0).toString() + \'px\' }', function ($context, $element) { return { 'style': function () { return { 'margin-left': ($context.$index() > 1 ? ($context.$index() - 1) * 21 : 0).toString() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $data, attr: { title: $data }', function ($context, $element) { return { 'text': function () { return $context.$data; }, 'attr': function () { return { 'title': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.ColorSchemeType\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Colorization.ColorSchemeType'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: typeText, attr: {title: typeText}', function ($context, $element) { return { 'text': function () { return $context.$data.typeText; }, 'attr': function () { return { 'title': $context.$data.typeText }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardStringId.DefaultDataSourceName\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardStringId.DefaultDataSourceName'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: _getDataSourceText($parents[1].getDataSourceName(dataSource)), attr: { title: _getDataSourceText($parents[1].getDataSourceName(dataSource)) }', function ($context, $element) { return { 'text': function () { return $context.$data._getDataSourceText($context.$parents[1].getDataSourceName($context.$data.dataSource)); }, 'attr': function () { return { 'title': $context.$data._getDataSourceText($context.$parents[1].getDataSourceName($context.$data.dataSource)) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: $parent.removeTable', function ($context, $element) { return { 'click': function () { return $context.$parent.removeTable; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.ColorScheme.Empty\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.ColorScheme.Empty'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name :\'dx-dashboard-edit-color-scheme\' }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-edit-color-scheme' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.NoSelectedSchema\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Colorization.NoSelectedSchema'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.ColorScheme.Color\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.ColorScheme.Color'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxColorBox: { value: color, editAlphaChannel: true, dropDownOptions: { container: $root.getWidgetContainer() } }', function ($context, $element) { return { 'dxColorBox': function () { return { 'value': $context.$data.color, 'editAlphaChannel': true, 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopover: { target: target, container: $root.getWidgetContainer(), toolbarItems: buttonItems, visible: visible, position: { boundary: $root.getWidgetContainer() } }', function ($context, $element) { return { 'dxPopover': function () { return { 'target': $context.$data.target, 'container': $context.$root.getWidgetContainer(), 'toolbarItems': $context.$data.buttonItems, 'visible': $context.$data.visible, 'position': { 'boundary': $context.$root.getWidgetContainer() } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxScrollView: { direction: \'vertical\' }', function ($context, $element) { return { 'dxScrollView': function () { return { 'direction': 'vertical' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxColorView: { value: colorCss, editAlphaChannel: true, applyValueMode: \'instantly\' }', function ($context, $element) { return { 'dxColorView': function () { return { 'value': $context.$data.colorCss, 'editAlphaChannel': true, 'applyValueMode': 'instantly' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: dimensionKey.definition.dataMember', function ($context, $element) { return { 'text': function () { return $context.$data.dimensionKey.definition.dataMember; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxNumberBox: { height: 40, showSpinButtons:true, disabled: $parent.isAutogenerated, value: dimensionKey.value.value }, dxValidator: { validationGroup: \'newEntry\', name: dimensionKey.definition.dataMember(), validationRules: [{ type: \'required\' } ] }', function ($context, $element) { return { 'dxNumberBox': function () { return { 'height': 40, 'showSpinButtons': true, 'disabled': $context.$parent.isAutogenerated, 'value': $context.$data.dimensionKey.value.value }; }, 'dxValidator': function () { return { 'validationGroup': 'newEntry', 'name': $context.$data.dimensionKey.definition.dataMember(), 'validationRules': [{ 'type': 'required' }] }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxDateBox: { height: 40, width: \'auto\', disabled: $parent.isAutogenerated, value: dimensionKey.value.value, dropDownOptions: { container: $root.getWidgetContainer() } }, dxValidator: { validationGroup: \'newEntry\', name: dimensionKey.definition.dataMember(), validationRules: [{ type: \'required\' } ] }', function ($context, $element) { return { 'dxDateBox': function () { return { 'height': 40, 'width': 'auto', 'disabled': $context.$parent.isAutogenerated, 'value': $context.$data.dimensionKey.value.value, 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() } }; }, 'dxValidator': function () { return { 'validationGroup': 'newEntry', 'name': $context.$data.dimensionKey.definition.dataMember(), 'validationRules': [{ 'type': 'required' }] }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxCheckBox: { height: 40, disabled: $parent.isAutogenerated, value: dimensionKey.value.value }', function ($context, $element) { return { 'dxCheckBox': function () { return { 'height': 40, 'disabled': $context.$parent.isAutogenerated, 'value': $context.$data.dimensionKey.value.value }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTextBox: { height: 40, disabled: $parent.isAutogenerated, value: dimensionKey.value.value }, dxValidator: { validationGroup: \'newEntry\', name: dimensionKey.definition.dataMember(), validationRules: [{ type: \'required\' } ] }', function ($context, $element) { return { 'dxTextBox': function () { return { 'height': 40, 'disabled': $context.$parent.isAutogenerated, 'value': $context.$data.dimensionKey.value.value }; }, 'dxValidator': function () { return { 'validationGroup': 'newEntry', 'name': $context.$data.dimensionKey.definition.dataMember(), 'validationRules': [{ 'type': 'required' }] }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.MeasureNames\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Colorization.MeasureNames'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTagBox: { dataSource: availableMeasures, value: selectedMeasuresIds, disabled: isAutogenerated, displayExpr: \'displayText\', valueExpr: \'_id\', dropDownOptions: { container: $root.getWidgetContainer() } }, dxValidator: { validationGroup: \'newEntry\', validationRules: measuresValidationRules || [] }', function ($context, $element) { return { 'dxTagBox': function () { return { 'dataSource': $context.$data.availableMeasures, 'value': $context.$data.selectedMeasuresIds, 'disabled': $context.$data.isAutogenerated, 'displayExpr': 'displayText', 'valueExpr': '_id', 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() } }; }, 'dxValidator': function () { return { 'validationGroup': 'newEntry', 'validationRules': $context.$data.measuresValidationRules || [] }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.ColorScheme.Colors\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.ColorScheme.Colors'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.AddColor\'), click: addNewEntry', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Colorization.AddColor'); }, 'click': function () { return $context.$data.addNewEntry; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('visible: allowModify || isTreeMode()', function ($context, $element) { return { 'visible': function () { return $context.$data.allowModify || $context.$data.isTreeMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTreeView: { dataSource: dataSource, dataStructure: \'tree\', height: !allowModify ? \'450px\' : \'100%\', selectByClick: allowModify ? true : false, selectionMode: allowModify ? \'single\' : \'none\', onItemSelectionChanged: allowModify ? onItemSelectionChanged : null, searchEnabled: true, searchExpr: [\'value\'], searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\'), focusStateEnabled: false, hoverStateEnabled: false } }', function ($context, $element) { return { 'dxTreeView': function () { return { 'dataSource': $context.$data.dataSource, 'dataStructure': 'tree', 'height': !$context.$data.allowModify ? '450px' : '100%', 'selectByClick': $context.$data.allowModify ? true : false, 'selectionMode': $context.$data.allowModify ? 'single' : 'none', 'onItemSelectionChanged': $context.$data.allowModify ? $context.$data.onItemSelectionChanged : null, 'searchEnabled': true, 'searchExpr': ['value'], 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search'), 'focusStateEnabled': false, 'hoverStateEnabled': false } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-color-scheme-group-tree-item\': !$data.editColor }', function ($context, $element) { return { 'css': function () { return { 'dx-color-scheme-group-tree-item': !$context.$data.editColor }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: editColor, style: { \'backgroundColor\': color }', function ($context, $element) { return { 'click': function () { return $context.$data.editColor; }, 'style': function () { return { 'backgroundColor': $context.$data.color }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: value', function ($context, $element) { return { 'text': function () { return $context.$data.value; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: $parent.removeItem', function ($context, $element) { return { 'click': function () { return $context.$parent.removeItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('visible: !allowModify && !isTreeMode(), dxList: { dataSource: dataSource, focusStateEnabled: false, hoverStateEnabled: false, activeStateEnabled: false, searchEnabled: true, searchMode: \'contains\', searchExpr: [\'value\'], noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\'), focusStateEnabled: false, hoverStateEnabled: false }, height: !allowModify ? \'450px\' : \'100%\', }', function ($context, $element) { return { 'visible': function () { return !$context.$data.allowModify && !$context.$data.isTreeMode(); }, 'dxList': function () { return { 'dataSource': $context.$data.dataSource, 'focusStateEnabled': false, 'hoverStateEnabled': false, 'activeStateEnabled': false, 'searchEnabled': true, 'searchMode': 'contains', 'searchExpr': ['value'], 'noDataText': $context.$root.getLocalizationById('DashboardStringId.FilterElementNoDataToDisplay'), 'encodeNoDataText': true, 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search'), 'focusStateEnabled': false, 'hoverStateEnabled': false }, 'height': !$context.$data.allowModify ? '450px' : '100%' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { \'backgroundColor\': color }', function ($context, $element) { return { 'style': function () { return { 'backgroundColor': $context.$data.color }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: editColor', function ($context, $element) { return { 'click': function () { return $context.$data.editColor; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dataSource: colorSchemeModel().selectedSignatureEntries, allowModify: true, selectedEntry: selectedEntry, addNewEntry: createNewEntry, removeEntry: colorSchemeModel().removeEntry, colorPalette: colorPalette', function ($context, $element) { return { 'dataSource': function () { return $context.$data.colorSchemeModel().selectedSignatureEntries; }, 'allowModify': function () { return true; }, 'selectedEntry': function () { return $context.$data.selectedEntry; }, 'addNewEntry': function () { return $context.$data.createNewEntry; }, 'removeEntry': function () { return $context.$data.colorSchemeModel().removeEntry; }, 'colorPalette': function () { return $context.$data.colorPalette; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: colorSchemeModel', function ($context, $element) { return { 'with': function () { return $context.$data.colorSchemeModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: editableSignatures().length > 0', function ($context, $element) { return { 'if': function () { return $context.$data.editableSignatures().length > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: dataItems', function ($context, $element) { return { 'foreach': function () { return $context.$data.dataItems; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $index() > 0', function ($context, $element) { return { 'if': function () { return $context.$index() > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-tree-connector\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-tree-connector'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !$parent.isSignatureAutogenerated($data)', function ($context, $element) { return { 'if': function () { return !$context.$parent.isSignatureAutogenerated($context.$data); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-remove-small\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-remove-small'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: editableSignatures().length > 0', function ($context, $element) { return { 'ifnot': function () { return $context.$data.editableSignatures().length > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: colorSchemeModel() && colorSchemeModel().selectedSignatureEntries().length > 0', function ($context, $element) { return { 'if': function () { return $context.$data.colorSchemeModel() && $context.$data.colorSchemeModel().selectedSignatureEntries().length > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: colorSchemeModel() && colorSchemeModel().selectedSignatureEntries().length > 0', function ($context, $element) { return { 'ifnot': function () { return $context.$data.colorSchemeModel() && $context.$data.colorSchemeModel().selectedSignatureEntries().length > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: entryEditorModel.visible', function ($context, $element) { return { 'if': function () { return $context.$data.entryEditorModel.visible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: entryEditorModel', function ($context, $element) { return { 'with': function () { return $context.$data.entryEditorModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-enter-new-entry-editor\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-enter-new-entry-editor'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: dimensionEditors || []', function ($context, $element) { return { 'foreach': function () { return $context.$data.dimensionEditors || []; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: ["Integer", "Float", "Double", "Decimal"].indexOf(valueType) > -1', function ($context, $element) { return { 'if': function () { return ['Integer', 'Float', 'Double', 'Decimal'].indexOf($context.$data.valueType) > -1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: ["DateTime"].indexOf(valueType) > -1', function ($context, $element) { return { 'if': function () { return ['DateTime'].indexOf($context.$data.valueType) > -1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: ["Bool","Boolean"].indexOf(valueType) > -1', function ($context, $element) { return { 'if': function () { return ['Bool', 'Boolean'].indexOf($context.$data.valueType) > -1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: ["Integer", "Float", "Double", "Decimal", "DateTime", "Bool", "Boolean"].indexOf(valueType) > -1', function ($context, $element) { return { 'ifnot': function () { return ['Integer', 'Float', 'Double', 'Decimal', 'DateTime', 'Bool', 'Boolean'].indexOf($context.$data.valueType) > -1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: hasMeasures', function ($context, $element) { return { 'if': function () { return $context.$data.hasMeasures; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: colorPickerModel', function ($context, $element) { return { 'with': function () { return $context.$data.colorPickerModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name : \'dx-dashboard-color-picker-editor\', data: $data }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-color-picker-editor', 'data': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowAddNewEntry', function ($context, $element) { return { 'if': function () { return $context.$data.allowAddNewEntry; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.editColor', function ($context, $element) { return { 'if': function () { return $context.$data.editColor; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.allowModify && custom', function ($context, $element) { return { 'if': function () { return $context.$parent.allowModify && $context.$data.custom; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ds-edit\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ds-edit'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-state-condition-selected\': displayMode() === \'specificTypes\' }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-state-condition-selected': $context.$data.displayMode() === 'specificTypes' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: availableConditionTypes, selectionMode: \'single\', selectedItems: availableConditionTypes() && availableConditionTypes().filter(function(value) { return value.value === conditionType(); }) || [], onItemClick: function (e) { conditionType(e.itemData.value); }, itemTemplate: \'item\', onItemRendered: updateItemAppearance, encodeNoDataText: true, noDataText: $root.getLocalizationById(\'DashboardWebStringId.ConditionalFormatting.UnsupportedDataType\') }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.availableConditionTypes, 'selectionMode': 'single', 'selectedItems': $context.$data.availableConditionTypes() && $context.$data.availableConditionTypes().filter(function (value) { return value.value === $context.$data.conditionType(); }) || [], 'onItemClick': function (e) { $context.$data.conditionType(e.itemData.value); }, 'itemTemplate': 'item', 'onItemRendered': $context.$data.updateItemAppearance, 'encodeNoDataText': true, 'noDataText': $context.$root.getLocalizationById('DashboardWebStringId.ConditionalFormatting.UnsupportedDataType') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(displayText)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.displayText); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: availableSpecificTypes, selectionMode: \'single\', grouped: availableSpecificTypes().rangeStyleType !== \'None\', selectedItems: selectedSpecificTypes, onItemClick: function (e) { specificType(e.itemData.value); }, itemTemplate: \'item\' }, css: { \'dx-dashboard-gallery-list\': availableSpecificTypes().rangeStyleType !== \'None\' }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.availableSpecificTypes, 'selectionMode': 'single', 'grouped': $context.$data.availableSpecificTypes().rangeStyleType !== 'None', 'selectedItems': $context.$data.selectedSpecificTypes, 'onItemClick': function (e) { $context.$data.specificType(e.itemData.value); }, 'itemTemplate': 'item' }; }, 'css': function () { return { 'dx-dashboard-gallery-list': $context.$data.availableSpecificTypes().rangeStyleType !== 'None' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getStyleList(value)', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$root.getLocalizationById($context.$data.displayText) }; }, 'foreach': function () { return $context.$parent.getStyleList($context.$data.value); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: \'dx-dashboard-appearance-range-preview\', style: $data', function ($context, $element) { return { 'css': function () { return 'dx-dashboard-appearance-range-preview'; }, 'style': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: \'dx-dashboard-appearance-bar-preview\', style: $data', function ($context, $element) { return { 'css': function () { return 'dx-dashboard-appearance-bar-preview'; }, 'style': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: $data', function ($context, $element) { return { 'css': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getGradientColorsList(value)', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$root.getLocalizationById($context.$data.displayText) }; }, 'foreach': function () { return $context.$parent.getGradientColorsList($context.$data.value); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: \'dx-dashboard-appearance-gradient-preview\', style: { \'background-color\': $data.css }', function ($context, $element) { return { 'css': function () { return 'dx-dashboard-appearance-gradient-preview'; }, 'style': function () { return { 'background-color': $context.$data.css }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: \'dx-dashboard-appearance-gradient-bar-preview\', style: { \'background-color\': $data.css }', function ($context, $element) { return { 'css': function () { return 'dx-dashboard-appearance-gradient-bar-preview'; }, 'style': function () { return { 'background-color': $context.$data.css }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-slidable-lists-navigation-area\'', function ($context, $element) { return { 'template': function () { return 'dx-slidable-lists-navigation-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.availableSpecificTypes().rangeStyleType === \'None\'', function ($context, $element) { return { 'if': function () { return $context.$parent.availableSpecificTypes().rangeStyleType === 'None'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.availableSpecificTypes().rangeStyleType === \'Color\'', function ($context, $element) { return { 'if': function () { return $context.$parent.availableSpecificTypes().rangeStyleType === 'Color'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.availableSpecificTypes().rangeStyleType === \'ColorBar\'', function ($context, $element) { return { 'if': function () { return $context.$parent.availableSpecificTypes().rangeStyleType === 'ColorBar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.availableSpecificTypes().rangeStyleType === \'Icon\'', function ($context, $element) { return { 'if': function () { return $context.$parent.availableSpecificTypes().rangeStyleType === 'Icon'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.availableSpecificTypes().rangeStyleType === \'Gradient\'', function ($context, $element) { return { 'if': function () { return $context.$parent.availableSpecificTypes().rangeStyleType === 'Gradient'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $parent.availableSpecificTypes().rangeStyleType === \'GradientBar\'', function ($context, $element) { return { 'if': function () { return $context.$parent.availableSpecificTypes().rangeStyleType === 'GradientBar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name:\'item\' }', function () { return { dxTemplate: { name: 'item' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate: { name:\'item\' }', function () { return { dxTemplate: { name: 'item' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: popupOptions', function ($context, $element) { return { 'dxPopup': function () { return $context.$data.popupOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxForm: formOptions', function ($context, $element) { return { 'dxForm': function () { return $context.$data.formOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: popupOptions.visible', function ($context, $element) { return { 'if': function () { return $context.$data.popupOptions.visible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopover: { container: $root.getWidgetContainer(), toolbarItems: buttonItems, visible: visible, position: { of: $element.parentNode, my: \'top\', at: \'bottom\', boundary: $root.getWidgetContainer(), collision: \'flipfit\' }, wrapperAttr: { class: \'dx-dropdowneditor-overlay dx-dashboard-cf-color-picker\' } }', function ($context, $element) { return { 'dxPopover': function () { return { 'container': $context.$root.getWidgetContainer(), 'toolbarItems': $context.$data.buttonItems, 'visible': $context.$data.visible, 'position': { 'of': $element.parentNode, 'my': 'top', 'at': 'bottom', 'boundary': $context.$root.getWidgetContainer(), 'collision': 'flipfit' }, 'wrapperAttr': { 'class': 'dx-dropdowneditor-overlay dx-dashboard-cf-color-picker' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxColorView: { value: color, editAlphaChannel: true, applyValueMode: \'instantly\' }', function ($context, $element) { return { 'dxColorView': function () { return { 'value': $context.$data.color, 'editAlphaChannel': true, 'applyValueMode': 'instantly' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: add', function ($context, $element) { return { 'click': function () { return $context.$data.add; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: remove, css: { \'dx-dashboard-state-selected\': (!!selection() && value().length > 2) }', function ($context, $element) { return { 'click': function () { return $context.$data.remove; }, 'css': function () { return { 'dx-dashboard-state-selected': (!!$context.$data.selection() && $context.$data.value().length > 2) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxDataGrid: dataGridOptions', function ($context, $element) { return { 'dxDataGrid': function () { return $context.$data.dataGridOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $data.text', function ($context, $element) { return { 'text': function () { return $context.$data.text; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopover: { visible: true, hideOnOutsideClick: false, position: { of: $element, my: \'left top\', at: \'left bottom\', offset: $parent.popoverOffset }, container: $root.getWidgetContainer(), contentTemplate: \'dx-dashboard-style-settings-editor-template\', wrapperAttr: { class: \'dx-dashboard-style-settings-editor-popup dx-dropdowneditor-overlay\' } }', function ($context, $element) { return { 'dxPopover': function () { return { 'visible': true, 'hideOnOutsideClick': false, 'position': { 'of': $element, 'my': 'left top', 'at': 'left bottom', 'offset': $context.$parent.popoverOffset }, 'container': $context.$root.getWidgetContainer(), 'contentTemplate': 'dx-dashboard-style-settings-editor-template', 'wrapperAttr': { 'class': 'dx-dashboard-style-settings-editor-popup dx-dropdowneditor-overlay' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: negativeInfinityDisplayText', function ($context, $element) { return { 'text': function () { return $context.$data.negativeInfinityDisplayText; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxNumberBox: editorOptions', function ($context, $element) { return { 'dxNumberBox': function () { return $context.$data.editorOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxDateBox: editorOptions', function ($context, $element) { return { 'dxDateBox': function () { return $context.$data.editorOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopover: { visible: true, width: \'241px\', height: \'auto\', hideOnOutsideClick: false, position: { of: $element, my: \'left top\', at: \'left bottom\', boundary: $root.getWidgetContainer() }, container: $root.getWidgetContainer(), wrapperAttr: { class: \'dx-dropdowneditor-overlay dx-dashboard-range-edit-number-template\' } }', function ($context, $element) { return { 'dxPopover': function () { return { 'visible': true, 'width': '241px', 'height': 'auto', 'hideOnOutsideClick': false, 'position': { 'of': $element, 'my': 'left top', 'at': 'left bottom', 'boundary': $context.$root.getWidgetContainer() }, 'container': $context.$root.getWidgetContainer(), 'wrapperAttr': { 'class': 'dx-dropdowneditor-overlay dx-dashboard-range-edit-number-template' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButtonGroup: buttonOptions', function ($context, $element) { return { 'dxButtonGroup': function () { return $context.$data.buttonOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('target: $root.ko.observable(value), options: $parent.createStyleSettingsEditorOptions($data.data)', function ($context, $element) { return { 'target': function () { return $context.$root.ko.observable($context.$data.value); }, 'options': function () { return $context.$parent.createStyleSettingsEditorOptions($context.$data.data); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('args: $parent.createStyleSettingsEditorItemOptions($data.data)', function ($context, $element) { return { 'args': function () { return $context.$parent.createStyleSettingsEditorItemOptions($context.$data.data); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !$data.isGradient', function ($context, $element) { return { 'if': function () { return !$context.$data.isGradient; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-range-edit-number-template\', data: $parent.createRangeNumberEditorViewModel({ grid: $data.component, isRightValue: true, rowIndex: $data.rowIndex, value: $data.data.rightValue, setValue: $data.setValue }) }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-range-edit-number-template', 'data': $context.$parent.createRangeNumberEditorViewModel({ 'grid': $context.$data.component, 'isRightValue': true, 'rowIndex': $context.$data.rowIndex, 'value': $context.$data.data.rightValue, 'setValue': $context.$data.setValue }) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-range-edit-number-template\', data: $parent.createRangeNumberEditorViewModel({ grid: $data.component, isRightValue: false, rowIndex: $data.rowIndex, value: $data.data.leftValue, setValue: $data.setValue }) }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-range-edit-number-template', 'data': $context.$parent.createRangeNumberEditorViewModel({ 'grid': $context.$data.component, 'isRightValue': false, 'rowIndex': $context.$data.rowIndex, 'value': $context.$data.data.leftValue, 'setValue': $context.$data.setValue }) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-style-settings-view\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-style-settings-view'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: infinitValue', function ($context, $element) { return { 'if': function () { return $context.$data.infinitValue; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: infinitValue', function ($context, $element) { return { 'ifnot': function () { return $context.$data.infinitValue; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: editorType === \'numberBox\'', function ($context, $element) { return { 'if': function () { return $context.$data.editorType === 'numberBox'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: editorType === \'dateBox\'', function ($context, $element) { return { 'if': function () { return $context.$data.editorType === 'dateBox'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowInfinity', function ($context, $element) { return { 'if': function () { return $context.$data.allowInfinity; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dx-dashboard-range-cell-template\' }', function () { return { dxTemplate: { name: 'dx-dashboard-range-cell-template' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate: { name: \'dx-dashboard-range-edit-number-template-right\' }', function () { return { dxTemplate: { name: 'dx-dashboard-range-edit-number-template-right' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate: { name: \'dx-dashboard-range-edit-number-template-left\' }', function () { return { dxTemplate: { name: 'dx-dashboard-range-edit-number-template-left' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dx-dashboard-range-style-template\' }', function () { return { dxTemplate: { name: 'dx-dashboard-range-style-template' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dx-dashboard-range-style-editor-template\' }', function () { return { dxTemplate: { name: 'dx-dashboard-range-style-editor-template' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name: \'dx-dashboard-style-settings-editor-template\' }', function () { return { dxTemplate: { name: 'dx-dashboard-style-settings-editor-template' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: clickHandler, style: cssStyles, attr: { title: title, \'data-label\': dataLabel }, css: cssClasses', function ($context, $element) { return { 'click': function () { return $context.$data.clickHandler; }, 'style': function () { return $context.$data.cssStyles; }, 'attr': function () { return { 'title': $context.$data.title, 'data-label': $context.$data.dataLabel }; }, 'css': function () { return $context.$data.cssClasses; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isRangeStop', function ($context, $element) { return { 'if': function () { return $context.$data.isRangeStop; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-popover-color-picker\', data: colorPicker }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-popover-color-picker', 'data': $context.$data.colorPicker }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-custom-appearance-dialog\', data: customizeAppearanceDialog }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-custom-appearance-dialog', 'data': $context.$data.customizeAppearanceDialog }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: restrictToColor ? $root.getLocalizationById(\'DashboardStringId.FormatRulePredefinedColor\') : $root.getLocalizationById(\'DashboardWebStringId.FormatConditionPredefinedAppearanceCaption\')', function ($context, $element) { return { 'text': function () { return $context.$data.restrictToColor ? $context.$root.getLocalizationById('DashboardStringId.FormatRulePredefinedColor') : $context.$root.getLocalizationById('DashboardWebStringId.FormatConditionPredefinedAppearanceCaption'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: list', function ($context, $element) { return { 'foreach': function () { return $context.$data.list; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: restrictToColor ? $root.getLocalizationById(\'DashboardStringId.FormatRuleCustomColor\') : $root.getLocalizationById(\'DashboardWebStringId.FormatConditionCustomAppearanceCaption\')', function ($context, $element) { return { 'text': function () { return $context.$data.restrictToColor ? $context.$root.getLocalizationById('DashboardStringId.FormatRuleCustomColor') : $context.$root.getLocalizationById('DashboardWebStringId.FormatConditionCustomAppearanceCaption'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: customStyleItems', function ($context, $element) { return { 'foreach': function () { return $context.$data.customStyleItems; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: iconList', function ($context, $element) { return { 'foreach': function () { return $context.$data.iconList; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('value: viewMode, values: [{ value: \'Appearance\', displayValue: \'DashboardStringId.FormatRuleStyleAppearance\'}, { value: \'Icon\', displayValue: \'DashboardStringId.FormatRuleStyleIcons\'}]', function ($context, $element) { return { 'value': function () { return $context.$data.viewMode; }, 'values': function () { return [{ 'value': 'Appearance', 'displayValue': 'DashboardStringId.FormatRuleStyleAppearance' }, { 'value': 'Icon', 'displayValue': 'DashboardStringId.FormatRuleStyleIcons' }]; }, '_ko_property_writers': function () { return { 'value': function (_z) { $context.$data.viewMode = _z; } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('args: $data', function ($context, $element) { return { 'args': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowChangeViewMode', function ($context, $element) { return { 'if': function () { return $context.$data.allowChangeViewMode; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: viewMode() === \'Appearance\'', function ($context, $element) { return { 'if': function () { return $context.$data.viewMode() === 'Appearance'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: customStyleItems', function ($context, $element) { return { 'if': function () { return $context.$data.customStyleItems; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.item.appearanceType && $data.item.appearanceType() === \'None\' || $data.item.predefinedColor && $data.item.predefinedColor() === \'None\'', function ($context, $element) { return { 'if': function () { return $context.$data.item.appearanceType && $context.$data.item.appearanceType() === 'None' || $context.$data.item.predefinedColor && $context.$data.item.predefinedColor() === 'None'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.item.appearanceType && $data.item.appearanceType() === \'None\' || $data.item.predefinedColor && $data.item.predefinedColor() === \'None\'', function ($context, $element) { return { 'ifnot': function () { return $context.$data.item.appearanceType && $context.$data.item.appearanceType() === 'None' || $context.$data.item.predefinedColor && $context.$data.item.predefinedColor() === 'None'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: viewMode() === \'Icon\'', function ($context, $element) { return { 'if': function () { return $context.$data.viewMode() === 'Icon'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.item.iconType && $data.item.iconType() === \'None\'', function ($context, $element) { return { 'if': function () { return $context.$data.item.iconType && $context.$data.item.iconType() === 'None'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.item.iconType && $data.item.iconType() === \'None\'', function ($context, $element) { return { 'ifnot': function () { return $context.$data.item.iconType && $context.$data.item.iconType() === 'None'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { of: $root.getWidgetContainer(), boundary: $root.getWidgetContainer() }, title: confirmTitle, visible: confirmVisible, toolbarItems: confirmButtons, onHidden: function(e) { confirmHidden(e); }, width: \'550px\', height: \'280px\', wrapperAttr: { class: \'dx-dashboard-confirm dx-dashboard-typography\' } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'of': $context.$root.getWidgetContainer(), 'boundary': $context.$root.getWidgetContainer() }, 'title': $context.$data.confirmTitle, 'visible': $context.$data.confirmVisible, 'toolbarItems': $context.$data.confirmButtons, 'onHidden': function (e) { $context.$data.confirmHidden(e); }, 'width': '550px', 'height': '280px', 'wrapperAttr': { 'class': 'dx-dashboard-confirm dx-dashboard-typography' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('html: confirmText', function ($context, $element) { return { 'html': function () { return $context.$data.confirmText; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Currency.Currency\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Currency.Currency'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: { store: currencies, paginate: false }, displayExpr: \'displayText\', selectedItem: selectedCurrency, selectionMode: \'single\', onContentReady: function (e) { e.component.scrollToItem(currencies.indexOf(selectedCurrency()) + 1); }, itemTemplate: \'currencyItemWithPreview\', searchEnabled: true, searchExpr: \'displayText\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') } }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': { 'store': $context.$data.currencies, 'paginate': false }, 'displayExpr': 'displayText', 'selectedItem': $context.$data.selectedCurrency, 'selectionMode': 'single', 'onContentReady': function (e) { e.component.scrollToItem($context.$data.currencies.indexOf($context.$data.selectedCurrency()) + 1); }, 'itemTemplate': 'currencyItemWithPreview', 'searchEnabled': true, 'searchExpr': 'displayText', 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search') } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Currency.CurrencyCulture\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Currency.CurrencyCulture'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxSelectBox: { dataSource: selectedCurrency() && selectedCurrency().cultures || [], displayExpr: \'displayText\', value: selectedCulture, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\'), noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, dropDownOptions: { container: $root.getWidgetContainer() }, searchEnabled: true, searchExpr: \'displayText\' }', function ($context, $element) { return { 'dxSelectBox': function () { return { 'dataSource': $context.$data.selectedCurrency() && $context.$data.selectedCurrency().cultures || [], 'displayExpr': 'displayText', 'value': $context.$data.selectedCulture, 'placeholder': $context.$root.getLocalizationById('DashboardStringId.ParametersSelectorText'), 'noDataText': $context.$root.getLocalizationById('DashboardStringId.FilterElementNoDataToDisplay'), 'encodeNoDataText': true, 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() }, 'searchEnabled': true, 'searchExpr': 'displayText' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Preview\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Preview'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $data.previewPositive', function ($context, $element) { return { 'text': function () { return $context.$data.previewPositive; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $data.previewNegative', function ($context, $element) { return { 'text': function () { return $context.$data.previewNegative; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $data.previewWarning', function ($context, $element) { return { 'text': function () { return $context.$data.previewWarning; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxSelectBox: { dataSource: currencies, displayExpr: \'displayText\', value: selectedCurrency, disabled: disabled, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\'), noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, dropDownOptions: { container: $root.getWidgetContainer() }, itemTemplate: \'currencyItemWithPreview\', searchEnabled: true, searchExpr: \'displayText\' }', function ($context, $element) { return { 'dxSelectBox': function () { return { 'dataSource': $context.$data.currencies, 'displayExpr': 'displayText', 'value': $context.$data.selectedCurrency, 'disabled': $context.$data.disabled, 'placeholder': $context.$root.getLocalizationById('DashboardStringId.ParametersSelectorText'), 'noDataText': $context.$root.getLocalizationById('DashboardStringId.FilterElementNoDataToDisplay'), 'encodeNoDataText': true, 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() }, 'itemTemplate': 'currencyItemWithPreview', 'searchEnabled': true, 'searchExpr': 'displayText' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: displayText', function ($context, $element) { return { 'text': function () { return $context.$data.displayText; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: previewText', function ($context, $element) { return { 'text': function () { return $context.$data.previewText; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('currencyCultureName: dashboard() && dashboard().currencyCultureName', function ($context, $element) { return { 'currencyCultureName': function () { return $context.$data.dashboard() && $context.$data.dashboard().currencyCultureName; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-currency-list-item\' }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-currency-list-item' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.previewPositive && $data.previewNegative', function ($context, $element) { return { 'if': function () { return $context.$data.previewPositive && $context.$data.previewNegative; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.previewWarning', function ($context, $element) { return { 'if': function () { return $context.$data.previewWarning; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate:{ name:\'currencyItemWithPreview\' }', function () { return { dxTemplate: { name: 'currencyItemWithPreview' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('', function ($context, $element) { return {}; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.UsedDataSources\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.UsedDataSources'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: click, text: text, css: { \'disabled-action\': disabled }', function ($context, $element) { return { 'click': function () { return $context.$data.click; }, 'text': function () { return $context.$data.text; }, 'css': function () { return { 'disabled-action': $context.$data.disabled }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: click, text: text', function ($context, $element) { return { 'click': function () { return $context.$data.click; }, 'text': function () { return $context.$data.text; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'center\', at: \'center\', of: $root.getWidgetContainer(), boundary: \'.dx-dashboard-datasource-browser-wrapper\' }, height: \'80%\', width: \'700px\', animation: { }, focusStateEnabled: true, hideOnOutsideClick: false, toolbarItems: popupContent() && popupContent().toolbarItems || [], onHidden: function() { $data.popupContent(undefined); }, visible: popupVisible, showTitle: true, title: popupContent() && popupContent().title || \'\', wrapperAttr: { class: \'dx-dashboard-datasource-browser-popup dx-dashboard-typography\' } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'my': 'center', 'at': 'center', 'of': $context.$root.getWidgetContainer(), 'boundary': '.dx-dashboard-datasource-browser-wrapper' }, 'height': '80%', 'width': '700px', 'animation': {}, 'focusStateEnabled': true, 'hideOnOutsideClick': false, 'toolbarItems': $context.$data.popupContent() && $context.$data.popupContent().toolbarItems || [], 'onHidden': function () { $context.$data.popupContent(undefined); }, 'visible': $context.$data.popupVisible, 'showTitle': true, 'title': $context.$data.popupContent() && $context.$data.popupContent().title || '', 'wrapperAttr': { 'class': 'dx-dashboard-datasource-browser-popup dx-dashboard-typography' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: dataSourceBrowser._dataSources, selectionMode: \'single\', selectedItem: selectedDataSource, nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), searchEnabled: true, searchExpr: \'name\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') } }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.dataSourceBrowser._dataSources, 'selectionMode': 'single', 'selectedItem': $context.$data.selectedDataSource, 'nextButtonText': $context.$root.getLocalizationById('DashboardWebStringId.More'), 'searchEnabled': true, 'searchExpr': 'name', 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search') } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: name()', function ($context, $element) { return { 'text': function () { return $context.$data.name(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: $parent.showRenameDataSourceForm', function ($context, $element) { return { 'click': function () { return $context.$parent.showRenameDataSourceForm; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: $parent.removeDataSource', function ($context, $element) { return { 'click': function () { return $context.$parent.removeDataSource; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.NoUsedDataSources\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.NoUsedDataSources'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: showAddDataSourceForm, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.AddDataSource\')', function ($context, $element) { return { 'click': function () { return $context.$data.showAddDataSourceForm; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.AddDataSource'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.NoAvailableDataSources\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.NoAvailableDataSources'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('treelist: $data, css: {\'dx-state-loading\': itemsProvider.loading() }', function ($context, $element) { return { 'treelist': function () { return $context.$data; }, 'css': function () { return { 'dx-state-loading': $context.$data.itemsProvider.loading() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-state-active\': itemsProvider.loading() }', function ($context, $element) { return { 'css': function () { return { 'dx-state-active': $context.$data.itemsProvider.loading() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('event: { dblclick: function() { $data.dblClickHandler ? $data.dblClickHandler($data) : $data.toggleCollapsed() } }, css: { \'dx-treelist-item-selected\': isSelected, \'dx-treelist-item-collapsed\': collapsed, \'dx-treelist-group-item\': hasItems, \'dx-dashboard-treelist-item-disabled\': data.isList, \'dx-dashboard-corrupted-calc-field\': data.isCorruptedCalcField }, click: toggleSelected', function ($context, $element) { return { 'event': function () { return { 'dblclick': function () { $context.$data.dblClickHandler ? $context.$data.dblClickHandler($context.$data) : $context.$data.toggleCollapsed(); } }; }, 'css': function () { return { 'dx-treelist-item-selected': $context.$data.isSelected, 'dx-treelist-item-collapsed': $context.$data.collapsed, 'dx-treelist-group-item': $context.$data.hasItems, 'dx-dashboard-treelist-item-disabled': $context.$data.data.isList, 'dx-dashboard-corrupted-calc-field': $context.$data.data.isCorruptedCalcField }; }, 'click': function () { return $context.$data.toggleSelected; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('styleunit: { \'paddingLeft\': 20 * getModel().level + 10 }', function ($context, $element) { return { 'styleunit': function () { return { 'paddingLeft': 20 * $context.$data.getModel().level + 10 }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: nodeImageClass, click: toggleCollapsed', function ($context, $element) { return { 'css': function () { return $context.$data.nodeImageClass; }, 'click': function () { return $context.$data.toggleCollapsed; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: data.style', function ($context, $element) { return { 'css': function () { return $context.$data.data.style; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('event: { dblclick: function() { $data.dblClickHandler && $data.dblClickHandler($data); } }', function ($context, $element) { return { 'event': function () { return { 'dblclick': function () { $context.$data.dblClickHandler && $context.$data.dblClickHandler($context.$data); } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: text, attr: { title: text }', function ($context, $element) { return { 'text': function () { return $context.$data.text; }, 'attr': function () { return { 'title': $context.$data.text }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: data.field.fieldType', function ($context, $element) { return { 'text': function () { return $context.$data.data.field.fieldType; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardStringId.MessageCollectionTypesNotSupported\'), attr: { title: $root.getLocalizationById(\'DashboardStringId.MessageCollectionTypesNotSupported\')}', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardStringId.MessageCollectionTypesNotSupported'); }, 'attr': function () { return { 'title': $context.$root.getLocalizationById('DashboardStringId.MessageCollectionTypesNotSupported') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CalculatedField.Corrupted\'), attr: { title: $root.getLocalizationById(\'DashboardStringId.MessageCollectionTypesNotSupported\')}', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.CalculatedField.Corrupted'); }, 'attr': function () { return { 'title': $context.$root.getLocalizationById('DashboardStringId.MessageCollectionTypesNotSupported') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: click, css: style', function ($context, $element) { return { 'click': function () { return $context.$data.click; }, 'css': function () { return $context.$data.style; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: dataSourceActions', function ($context, $element) { return { 'foreach': function () { return $context.$data.dataSourceActions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datasource-used-datasources\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datasource-used-datasources'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: editDataSourceActions', function ($context, $element) { return { 'foreach': function () { return $context.$data.editDataSourceActions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: visible()', function ($context, $element) { return { 'if': function () { return $context.$data.visible(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.filterEditorModel() !== null', function ($context, $element) { return { 'if': function () { return $context.$data.filterEditorModel() !== null; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-filtereditor-popup\', data: filterEditorModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-filtereditor-popup', 'data': $context.$data.filterEditorModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-datasource-tree\', data: $data }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-datasource-tree', 'data': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: popupVisible', function ($context, $element) { return { 'if': function () { return $context.$data.popupVisible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: popupContent', function ($context, $element) { return { 'with': function () { return $context.$data.popupContent; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: template, data: { extension: $data.bindingData ? $data.bindingData : $data, dataSourcesFilter: dataSourcesFilter, federationSources: null } }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.template, 'data': { 'extension': $context.$data.bindingData ? $context.$data.bindingData : $context.$data, 'dataSourcesFilter': $context.$data.dataSourcesFilter, 'federationSources': null } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-calc-field-editor\', data: calcFieldEditor  }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-calc-field-editor', 'data': $context.$data.calcFieldEditor }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.usedDataSourcesExist()', function ($context, $element) { return { 'if': function () { return $context.$data.usedDataSourcesExist(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-rename\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-rename'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: renameDataSourcePopup.template', function ($context, $element) { return { 'template': function () { return $context.$data.renameDataSourcePopup.template; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.usedDataSourcesExist()', function ($context, $element) { return { 'ifnot': function () { return $context.$data.usedDataSourcesExist(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: availableDataSourcesExist()', function ($context, $element) { return { 'if': function () { return $context.$data.availableDataSourcesExist(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.sqlDataSourceWizard', function ($context, $element) { return { 'if': function () { return $context.$data.sqlDataSourceWizard; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !availableDataSourcesExist()', function ($context, $element) { return { 'if': function () { return !$context.$data.availableDataSourcesExist(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: dataSourceTreeListViewModel.treeListEditorOption', function ($context, $element) { return { 'with': function () { return $context.$data.dataSourceTreeListViewModel.treeListEditorOption; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !data.style', function ($context, $element) { return { 'if': function () { return !$context.$data.data.style; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !!data.style', function ($context, $element) { return { 'if': function () { return !!$context.$data.data.style; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !data.isCorruptedCalcField', function ($context, $element) { return { 'if': function () { return !$context.$data.data.isCorruptedCalcField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: data.field.fieldType && data.field.fieldType() !== \'Unknown\'', function ($context, $element) { return { 'if': function () { return $context.$data.data.field.fieldType && $context.$data.data.field.fieldType() !== 'Unknown'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: data.isList', function ($context, $element) { return { 'if': function () { return $context.$data.data.isList; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: data.isCorruptedCalcField', function ($context, $element) { return { 'if': function () { return $context.$data.data.isCorruptedCalcField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: data.innerActions', function ($context, $element) { return { 'foreach': function () { return $context.$data.data.innerActions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: $data', function ($context, $element) { return { 'with': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name :\'dx-dashboard-datasource-browser\' }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-datasource-browser' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'center\', at: \'center\', boundary: \'.dx-dashboard-datasource-browser-wrapper\' }, width: \'400px\', height: \'240px\', animation: { }, focusStateEnabled: true, hideOnOutsideClick: false, toolbarItems: toolbarItems || [], visible: popupVisible, showTitle: true, title: title || \'\', wrapperAttr: { class: \'dx-dashboard-datasources-rename-popup dx-dashboard-typography\' } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'my': 'center', 'at': 'center', 'boundary': '.dx-dashboard-datasource-browser-wrapper' }, 'width': '400px', 'height': '240px', 'animation': {}, 'focusStateEnabled': true, 'hideOnOutsideClick': false, 'toolbarItems': $context.$data.toolbarItems || [], 'visible': $context.$data.popupVisible, 'showTitle': true, 'title': $context.$data.title || '', 'wrapperAttr': { 'class': 'dx-dashboard-datasources-rename-popup dx-dashboard-typography' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: label', function ($context, $element) { return { 'text': function () { return $context.$data.label; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTextBox: nameTextBoxOptions, dxValidator: nameValidatorOptions', function ($context, $element) { return { 'dxTextBox': function () { return $context.$data.nameTextBoxOptions; }, 'dxValidator': function () { return $context.$data.nameValidatorOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxLoadPanel: { visible: loadingPanelVisible, hideOnOutsideClick: true, container: $root.getWidgetContainer(), position: { of: $root.getWidgetContainer() } }', function ($context, $element) { return { 'dxLoadPanel': function () { return { 'visible': $context.$data.loadingPanelVisible, 'hideOnOutsideClick': true, 'container': $context.$root.getWidgetContainer(), 'position': { 'of': $context.$root.getWidgetContainer() } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-element-accessor-binding: { element: wizardElement }', function ($context, $element) { return { 'dx-dashboard-element-accessor-binding': function () { return { 'element': $context.$data.wizardElement }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: wizardModel.isVisible()', function ($context, $element) { return { 'if': function () { return $context.$data.wizardModel.isVisible(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-wizard-newlayout\', data: wizardModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-wizard-newlayout', 'data': $context.$data.wizardModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { selected: selectedType() === \'Sql\' }, click: function() { return selectedType(\'Sql\'); }', function ($context, $element) { return { 'css': function () { return { 'selected': $context.$data.selectedType() === 'Sql' }; }, 'click': function () { return function () { return $context.$data.selectedType('Sql'); }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { selected: selectedType() === \'Olap\' }, click: function() { return selectedType(\'Olap\'); }', function ($context, $element) { return { 'css': function () { return { 'selected': $context.$data.selectedType() === 'Olap' }; }, 'click': function () { return function () { return $context.$data.selectedType('Olap'); }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: edit', function ($context, $element) { return { 'click': function () { return $context.$data.edit; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: remove, css: { \'dx-dashboard-state-selected\': !!criteriaString() }', function ($context, $element) { return { 'click': function () { return $context.$data.remove; }, 'css': function () { return { 'dx-dashboard-state-selected': !!$context.$data.criteriaString() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: criteriaString', function ($context, $element) { return { 'text': function () { return $context.$data.criteriaString; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: editorTemplate, data: editor }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.editorTemplate, 'data': $context.$data.editor }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-edit\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-edit'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: extension.errorState().title', function ($context, $element) { return { 'text': function () { return $context.$data.extension.errorState().title; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: extension.errorState().detail', function ($context, $element) { return { 'text': function () { return $context.$data.extension.errorState().detail; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.ChooseDataSource\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.ChooseDataSource'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: function() { extension.showCreateDataSourceWizard(federationSources); }, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CreateNewDataSource\'), attr: { title: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CreateDataSource.Tooltip\') }', function ($context, $element) { return { 'click': function () { return function () { $context.$data.extension.showCreateDataSourceWizard($context.$data.federationSources); }; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.CreateNewDataSource'); }, 'attr': function () { return { 'title': $context.$root.getLocalizationById('DashboardWebStringId.DataSources.CreateDataSource.Tooltip') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: extension.getDataSources(dataSourcesFilter), selectionMode: \'single\', selectedItems: extension.selectedDataSources, noDataText: \'\', encodeNoDataText: true, nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), searchEnabled: true, searchExpr: \'name\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') }}', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.extension.getDataSources($context.$data.dataSourcesFilter), 'selectionMode': 'single', 'selectedItems': $context.$data.extension.selectedDataSources, 'noDataText': '', 'encodeNoDataText': true, 'nextButtonText': $context.$root.getLocalizationById('DashboardWebStringId.More'), 'searchEnabled': true, 'searchExpr': 'name', 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search') } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: extension.uiState() === \'error\'', function ($context, $element) { return { 'if': function () { return $context.$data.extension.uiState() === 'error'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: extension.errorState()', function ($context, $element) { return { 'if': function () { return $context.$data.extension.errorState(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: extension.uiState() === \'loading\'', function ($context, $element) { return { 'if': function () { return $context.$data.extension.uiState() === 'loading'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: extension.uiState() === \'live\'', function ($context, $element) { return { 'if': function () { return $context.$data.extension.uiState() === 'live'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: extension.canCreateDataSourceWizard', function ($context, $element) { return { 'if': function () { return $context.$data.extension.canCreateDataSourceWizard; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.ClickHereInvitation\'), click: click', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.ClickHereInvitation'); }, 'click': function () { return $context.$data.click; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.BindDataInvitation\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.BindDataInvitation'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-visible-properties\': !!data.propertiesController.mainModel() }', function ($context, $element) { return { 'css': function () { return { 'dx-visible-properties': !!$context.$data.data.propertiesController.mainModel() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { onClick: hideBindingProperties, type: \'normal\', stylingMode: \'text\', icon: \'arrowleft\' }', function ($context, $element) { return { 'dxButton': function () { return { 'onClick': $context.$data.hideBindingProperties, 'type': 'normal', 'stylingMode': 'text', 'icon': 'arrowleft' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(data.propertiesController.secondaryModel().displayText)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.data.propertiesController.secondaryModel().displayText); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: {\'dx-dashboard-slide-to-right\': isSecondaryPanelVisible() }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-slide-to-right': $context.$data.isSecondaryPanelVisible() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxScrollView: { }', function ($context, $element) { return { 'dxScrollView': function () { return {}; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: data.template, data: $data }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.data.template, 'data': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isSecondaryPanelVisible()', function ($context, $element) { return { 'if': function () { return $context.$data.isSecondaryPanelVisible(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: data.propertiesController.mainModel()', function ($context, $element) { return { 'if': function () { return $context.$data.data.propertiesController.mainModel(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: data.propertiesController } }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-properties-accordion', 'data': { 'propertiesController': $context.$data.data.propertiesController } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: data.propertiesController.secondaryModel()', function ($context, $element) { return { 'if': function () { return $context.$data.data.propertiesController.secondaryModel(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: data.propertiesController, useSecondaryModel: true } }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-properties-accordion', 'data': { 'propertiesController': $context.$data.data.propertiesController, 'useSecondaryModel': true } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: groupTitle', function ($context, $element) { return { 'text': function () { return $context.$data.groupTitle; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { \'data-item-type\': type, title: title }, click: convert, css: {\'dx-state-disabled\': disabled }', function ($context, $element) { return { 'attr': function () { return { 'data-item-type': $context.$data.type, 'title': $context.$data.title }; }, 'click': function () { return $context.$data.convert; }, 'css': function () { return { 'dx-state-disabled': $context.$data.disabled }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { text: duplicateActionCaption, onClick: duplicate }', function ($context, $element) { return { 'dxButton': function () { return { 'text': $context.$data.duplicateActionCaption, 'onClick': $context.$data.duplicate }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('using: data', function ($context, $element) { return { 'using': function () { return $context.$data.data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: groups', function ($context, $element) { return { 'foreach': function () { return $context.$data.groups; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.New.DashboardName\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.New.DashboardName'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTextBox: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder\'), value: dashboardName }', function ($context, $element) { return { 'dxTextBox': function () { return { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder'), 'value': $context.$data.dashboardName }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CreateDataSource\'), onClick: createNewDashboard, disabled: createNewDashboardDisabled, width: \'160px\', height: \'40px\', type: \'default\' }', function ($context, $element) { return { 'dxButton': function () { return { 'text': $context.$root.getLocalizationById('DashboardWebStringId.DataSources.CreateDataSource'), 'onClick': $context.$data.createNewDashboard, 'disabled': $context.$data.createNewDashboardDisabled, 'width': '160px', 'height': '40px', 'type': 'default' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.AddNewDashboard\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.AddNewDashboard'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: showCreateNewDashboard, text: $root.getLocalizationById(\'DashboardWebStringId.DashboardMenuNewDashboardCreate\')', function ($context, $element) { return { 'click': function () { return $context.$data.showCreateNewDashboard; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DashboardMenuNewDashboardCreate'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: accessibleDataSourcesExtension()', function ($context, $element) { return { 'if': function () { return $context.$data.accessibleDataSourcesExtension(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: accessibleDataSourcesExtension().templateName, data: { extension: accessibleDataSourcesExtension().viewModel, dataSourcesFilter: function() { return true; }, federationSources: [] } }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.accessibleDataSourcesExtension().templateName, 'data': { 'extension': $context.$data.accessibleDataSourcesExtension().viewModel, 'dataSourcesFilter': function () { return true; }, 'federationSources': [] } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isDesignMode()', function ($context, $element) { return { 'if': function () { return $context.$data.isDesignMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: data', function ($context, $element) { return { 'with': function () { return $context.$data.data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: propertiesController.accordionDataSource().length > 1', function ($context, $element) { return { 'ifnot': function () { return $context.$data.propertiesController.accordionDataSource().length > 1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: propertiesController.accordionDataSource()[0]', function ($context, $element) { return { 'with': function () { return $context.$data.propertiesController.accordionDataSource()[0]; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-accordion-tab-content\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-accordion-tab-content'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: propertiesController.accordionDataSource().length > 1', function ($context, $element) { return { 'if': function () { return $context.$data.propertiesController.accordionDataSource().length > 1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: propertiesController } }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-properties-accordion', 'data': { 'propertiesController': $context.$data.propertiesController } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: data.propertiesController.secondaryModel', function ($context, $element) { return { 'if': function () { return $context.$data.data.propertiesController.secondaryModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: { load: dashboardsListStore, totalCount: function() { return 0; }, paginate: false, searchExpr: \'name\' }, noDataText: \'\', encodeNoDataText: true, searchEnabled: true, pageLoadingText: $root.getLocalizationById(\'DashboardStringId.MessageLoading\'), nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), displayExpr: \'name\', keyExpr: \'id\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') }, hoverStateEnabled: true, height: \'100%\', onItemClick: openDashboard }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': { 'load': $context.$data.dashboardsListStore, 'totalCount': function () { return 0; }, 'paginate': false, 'searchExpr': 'name' }, 'noDataText': '', 'encodeNoDataText': true, 'searchEnabled': true, 'pageLoadingText': $context.$root.getLocalizationById('DashboardStringId.MessageLoading'), 'nextButtonText': $context.$root.getLocalizationById('DashboardWebStringId.More'), 'displayExpr': 'name', 'keyExpr': 'id', 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search') }, 'hoverStateEnabled': true, 'height': '100%', 'onItemClick': $context.$data.openDashboard }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-form-adapter: { target: titleSettings }', function ($context, $element) { return { 'dx-dashboard-form-adapter': function () { return { 'target': $context.$data.titleSettings }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: formCaption', function ($context, $element) { return { 'text': function () { return $context.$data.formCaption; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('componentArgs: getTitleComponentArgs($element)', function ($context, $element) { return { 'componentArgs': function () { return $context.$data.getTitleComponentArgs($element); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: viewModel.getPopupOptions($root.getWidgetContainer())', function ($context, $element) { return { 'dxPopup': function () { return $context.$data.viewModel.getPopupOptions($context.$root.getWidgetContainer()); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxSelectBox: { dataSource: fields, displayExpr: \'displayName\', value: selectedField, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\'), noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, dropDownOptions: { container: $root.getWidgetContainer() }   }', function ($context, $element) { return { 'dxSelectBox': function () { return { 'dataSource': $context.$data.fields, 'displayExpr': 'displayName', 'value': $context.$data.selectedField, 'placeholder': $context.$root.getLocalizationById('DashboardStringId.ParametersSelectorText'), 'noDataText': $context.$root.getLocalizationById('DashboardStringId.FilterElementNoDataToDisplay'), 'encodeNoDataText': true, 'dropDownOptions': { 'container': $context.$root.getWidgetContainer() } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTreeList: $data', function ($context, $element) { return { 'dxTreeList': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: displayName', function ($context, $element) { return { 'text': function () { return $context.$data.displayName; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: viewModel.fieldSelector.template', function ($context, $element) { return { 'template': function () { return $context.$data.viewModel.fieldSelector.template; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: viewModel.filterTreeList.template', function ($context, $element) { return { 'template': function () { return $context.$data.viewModel.filterTreeList.template; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: editorOptions', function ($context, $element) { return { 'with': function () { return $context.$data.editorOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $data', function ($context, $element) { return { 'text': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxSelectBox: selectBoxOptions', function ($context, $element) { return { 'dxSelectBox': function () { return $context.$data.selectBoxOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxNumberBox: numberBoxOptions', function ($context, $element) { return { 'dxNumberBox': function () { return $context.$data.numberBoxOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: buttons', function ($context, $element) { return { 'foreach': function () { return $context.$data.buttons; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: $data', function ($context, $element) { return { 'dxButton': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: caption', function ($context, $element) { return { 'text': function () { return $context.$data.caption; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-form-adapter: { target: object }', function ($context, $element) { return { 'dx-dashboard-form-adapter': function () { return { 'target': $context.$data.object }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButtonGroup: buttonGroupOptions', function ($context, $element) { return { 'dxButtonGroup': function () { return $context.$data.buttonGroupOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-container-draggable: data', function ($context, $element) { return { 'dx-dashboard-container-draggable': function () { return $context.$data.data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $root.getLocalizationById(title) }, click: action', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$root.getLocalizationById($context.$data.title) }; }, 'click': function () { return $context.$data.action; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-data-source-panel-opened\': changeDataSourcePanelVisible() }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-data-source-panel-opened': $context.$data.changeDataSourcePanelVisible() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: changeDataSource', function ($context, $element) { return { 'click': function () { return $context.$data.changeDataSource; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Binding.DataSource\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Binding.DataSource'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-data-source-options-active\': changeDataSourcePanelVisible()  }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-data-source-options-active': $context.$data.changeDataSourcePanelVisible() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { height: changeDataSourcePanelVisible() ? \'\' : \'0px\' }', function ($context, $element) { return { 'style': function () { return { 'height': $context.$data.changeDataSourcePanelVisible() ? '' : '0px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: saveDataSourceChanges, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.OK\')', function ($context, $element) { return { 'click': function () { return $context.$data.saveDataSourceChanges; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.OK'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: changeDataSource, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.Cancel\')', function ($context, $element) { return { 'click': function () { return $context.$data.changeDataSource; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DataSources.Cancel'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(dataSourceDisplayText()), attr: { title: $root.getLocalizationById(\'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip\') }, style: { height: changeDataSourcePanelVisible() ? \'0px\' : \'\' }, click: changeDataSource, css: { \'dx-dashboard-data-source-info-alert\': needSetDataSource }', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.dataSourceDisplayText()); }, 'attr': function () { return { 'title': $context.$root.getLocalizationById('DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip') }; }, 'style': function () { return { 'height': $context.$data.changeDataSourcePanelVisible() ? '0px' : '' }; }, 'click': function () { return $context.$data.changeDataSource; }, 'css': function () { return { 'dx-dashboard-data-source-info-alert': $context.$data.needSetDataSource }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dataSourceBrowser: dataSourceBrowser, dataSource: dataSourceName, dataMember: dataMemberName, active: changeDataSourcePanelVisible', function ($context, $element) { return { 'dataSourceBrowser': function () { return $context.$data.dataSourceBrowser; }, 'dataSource': function () { return $context.$data.dataSourceName; }, 'dataMember': function () { return $context.$data.dataMemberName; }, 'active': function () { return $context.$data.changeDataSourcePanelVisible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-context-menu-header\', data: { title: title, click: hideBindingPanel, detailVisible: detailVisible } }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-context-menu-header', 'data': { 'title': $context.$data.title, 'click': $context.$data.hideBindingPanel, 'detailVisible': $context.$data.detailVisible } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: data.dataSections', function ($context, $element) { return { 'foreach': function () { return $context.$data.data.dataSections; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.sectionInfo && sectionInfo.actions', function ($context, $element) { return { 'if': function () { return $context.$data.sectionInfo && $context.$data.sectionInfo.actions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: sectionInfo.actions', function ($context, $element) { return { 'foreach': function () { return $context.$data.sectionInfo.actions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('lazy: { if: $parents[2].detailVisible }', function ($context, $element) { return { 'lazy': function () { return { 'if': $context.$parents[2].detailVisible }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: $data.template, data: $data }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.template, 'data': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-item-datasource\', data: data }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-item-datasource', 'data': $context.$data.data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-item-data-source\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-item-data-source'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: "dx-dashboard-confirm-dialog", data: confirmDialogViewModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-confirm-dialog', 'data': $context.$data.confirmDialogViewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxclick: function(data, event) { event.stopPropagation(); return false; }', function ($context, $element) { return { 'dxclick': function () { return function (data, event) { event.stopPropagation(); return false; }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-include-summary\': $data.additionalProperties()}', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-include-summary': $context.$data.additionalProperties() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('model: $data.model(), holder: $data', function ($context, $element) { return { 'model': function () { return $context.$data.model(); }, 'holder': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('binding: binding, item: item, click: click, selected: false, dataItemDisplayNameProvider: dataItemDisplayNameProvider, removeDataItem: removeDataItem, placeholder: placeholder, embeddedRemovalIcon: true, error: $parent.holder.dataItemErrorFactory && $parent.holder.dataItemErrorFactory($data.item.dataItem())', function ($context, $element) { return { 'binding': function () { return $context.$data.binding; }, 'item': function () { return $context.$data.item; }, 'click': function () { return $context.$data.click; }, 'selected': function () { return false; }, 'dataItemDisplayNameProvider': function () { return $context.$data.dataItemDisplayNameProvider; }, 'removeDataItem': function () { return $context.$data.removeDataItem; }, 'placeholder': function () { return $context.$data.placeholder; }, 'embeddedRemovalIcon': function () { return true; }, 'error': function () { return $context.$parent.holder.dataItemErrorFactory && $context.$parent.holder.dataItemErrorFactory($context.$data.item.dataItem()); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dataSourceBrowser: dataSourceBrowser, filter: constraint, startPath: dataMemberPath(), selectedField: choosenField()', function ($context, $element) { return { 'dataSourceBrowser': function () { return $context.$data.dataSourceBrowser; }, 'filter': function () { return $context.$data.constraint; }, 'startPath': function () { return $context.$data.dataMemberPath(); }, 'selectedField': function () { return $context.$data.choosenField(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: additionalProperties', function ($context, $element) { return { 'with': function () { return $context.$data.additionalProperties; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { isSelected: $data.selected, hint: $root.getLocalizationById(displayName), icon: icon, click: function(e) { $parent.itemClick($data, e.event) } } }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'isSelected': $context.$data.selected, 'hint': $context.$root.getLocalizationById($context.$data.displayName), 'icon': $context.$data.icon, 'click': function (e) { $context.$parent.itemClick($context.$data, e.event); } } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { hint: $root.getLocalizationById(\'DashboardStringId.CloseCaption\'), icon: \'dx-dashboard-close\' } }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'hint': $context.$root.getLocalizationById('DashboardStringId.CloseCaption'), 'icon': 'dx-dashboard-close' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { hint: $root.getLocalizationById(\'DashboardWebStringId.Binding.ShowAll\'), icon: \'dx-dashboard-group-types-full-list\' } }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'hint': $context.$root.getLocalizationById('DashboardWebStringId.Binding.ShowAll'), 'icon': 'dx-dashboard-group-types-full-list' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.FilterItem.Type\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.FilterItem.Type'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-container-types-header\' }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-container-types-header' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.StyleSettings\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.StyleSettings'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById($data.displayName)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.displayName); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { isSelected: $data.selected, hint: $root.getLocalizationById(displayName), icon: icon, click: function(e) { $parents[1].itemClick($data, e.event) } } }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'isSelected': $context.$data.selected, 'hint': $context.$root.getLocalizationById($context.$data.displayName), 'icon': $context.$data.icon, 'click': function (e) { $context.$parents[1].itemClick($context.$data, e.event); } } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: shortAvailableContainerTypes', function ($context, $element) { return { 'foreach': function () { return $context.$data.shortAvailableContainerTypes; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: hasFullList', function ($context, $element) { return { 'if': function () { return $context.$data.hasFullList; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: availableContainerTypeGroups', function ($context, $element) { return { 'foreach': function () { return $context.$data.availableContainerTypeGroups; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.displayName', function ($context, $element) { return { 'if': function () { return $context.$data.displayName; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: $parent.availableContainerTypes.filter(function (type) { return type.group === $data.name; } )', function ($context, $element) { return { 'foreach': function () { return $context.$parent.availableContainerTypes.filter(function (type) { return type.group === $context.$data.name; }); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-state-selected\': $data.layoutItem.isSelected }', function ($context, $element) { return { 'css': function () { return { 'dx-state-selected': $context.$data.layoutItem.isSelected }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: menuContainerCssClasses', function ($context, $element) { return { 'css': function () { return $context.$data.menuContainerCssClasses; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('menuVisibilitySubscription: { visible: menuItemDetailVisible }', function ($context, $element) { return { 'menuVisibilitySubscription': function () { return { 'visible': $context.$data.menuItemDetailVisible }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: collapsedStateToggle, css: isCollapsed() ? \'dx-dashboard-item-menu-expand\' : \'\'', function ($context, $element) { return { 'click': function () { return $context.$data.collapsedStateToggle; }, 'css': function () { return $context.$data.isCollapsed() ? 'dx-dashboard-item-menu-expand' : ''; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: menuButton.cssClass, click: menuButton.clickHandler, attr: { title: menuButton.hint }', function ($context, $element) { return { 'css': function () { return $context.$data.menuButton.cssClass; }, 'click': function () { return $context.$data.menuButton.clickHandler; }, 'attr': function () { return { 'title': $context.$data.menuButton.hint }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopover: getPopoverOptions($root.getWidgetContainer())', function ($context, $element) { return { 'dxPopover': function () { return $context.$data.getPopoverOptions($context.$root.getWidgetContainer()); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: deleteCurrentItemAction, attr: { title: deleteCurrentItemActionCaption }', function ($context, $element) { return { 'click': function () { return $context.$data.deleteCurrentItemAction; }, 'attr': function () { return { 'title': $context.$data.deleteCurrentItemActionCaption }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { onClick: click, type: \'normal\', stylingMode: \'text\', icon: \'close\' }', function ($context, $element) { return { 'dxButton': function () { return { 'onClick': $context.$data.click, 'type': 'normal', 'stylingMode': 'text', 'icon': 'close' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: cssClasses, style: style', function ($context, $element) { return { 'css': function () { return $context.$data.cssClasses; }, 'style': function () { return $context.$data.style; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('layoutController: $data.dockingLayoutController, layoutItem: $data.layoutItem, itemMenuViewModelContainer: $data.itemMenuViewModelContainer, notificationController: $data.notificationController', function ($context, $element) { return { 'layoutController': function () { return $context.$data.dockingLayoutController; }, 'layoutItem': function () { return $context.$data.layoutItem; }, 'itemMenuViewModelContainer': function () { return $context.$data.itemMenuViewModelContainer; }, 'notificationController': function () { return $context.$data.notificationController; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-drag\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-drag'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isCollapsedStateToggleVisible()', function ($context, $element) { return { 'if': function () { return $context.$data.isCollapsedStateToggleVisible(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-item-menu-collapse\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-item-menu-collapse'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !isCollapsed()', function ($context, $element) { return { 'if': function () { return !$context.$data.isCollapsed(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: contextMenuItemViewModels', function ($context, $element) { return { 'foreach': function () { return $context.$data.contextMenuItemViewModels; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: menuButton.icon', function ($context, $element) { return { 'template': function () { return $context.$data.menuButton.icon; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('lazy: { template: \'dx-dashboard-context-menu-panel-content\' }', function ($context, $element) { return { 'lazy': function () { return { 'template': 'dx-dashboard-context-menu-panel-content' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-remove\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-remove'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: menuPropertiesPanel', function ($context, $element) { return { 'with': function () { return $context.$data.menuPropertiesPanel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: title', function ($context, $element) { return { 'if': function () { return $context.$data.title; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-context-menu-header\', data: { title: title, click: hidePanelAction, detailVisible: detailVisible } }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-context-menu-header', 'data': { 'title': $context.$data.title, 'click': $context.$data.hidePanelAction, 'detailVisible': $context.$data.detailVisible } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: detailVisible', function ($context, $element) { return { 'if': function () { return $context.$data.detailVisible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: panelContent.view, data: panelContent.viewModel }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.panelContent.view, 'data': $context.$data.panelContent.viewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { \'font-weight\': $data.customTemplateGetItemWeight($data.itemModel)}', function ($context, $element) { return { 'style': function () { return { 'font-weight': $context.$data.customTemplateGetItemWeight($context.$data.itemModel) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById($data.parent.getItemText($data.itemModel))', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.parent.getItemText($context.$data.itemModel)); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { isSelected: $data.selected, text: $data.item && $data.item.dataItem && $data.item.dataItem() && dataItemDisplayNameProvider($data.item.dataItem()) || (($root.ko.unwrap($data.selected) && $data.selectedPlaceholder) || $data.placeholder), click: function(e) { !!$data.propertiesController ? $data.propertiesController.processDataItemClick($data) : $data.click($data); } } }, style: { \'z-index\': 1000 - $data.index }, css: { \'dx-dashboard-data-item-remove-action-visible\': $root.ko.unwrap($data.selected) && !$root.ko.unwrap($data.isEmpty), \'dx-empty\': $data.isEmpty, \'dx-state-warning\': $data.warning, \'dx-state-error\': $data.error }, attr: { draggable: !!$root.ko.unwrap($data.draggable) }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'isSelected': $context.$data.selected, 'text': $context.$data.item && $context.$data.item.dataItem && $context.$data.item.dataItem() && $context.$data.dataItemDisplayNameProvider($context.$data.item.dataItem()) || (($context.$root.ko.unwrap($context.$data.selected) && $context.$data.selectedPlaceholder) || $context.$data.placeholder), 'click': function (e) { !!$context.$data.propertiesController ? $context.$data.propertiesController.processDataItemClick($context.$data) : $context.$data.click($context.$data); } } }; }, 'style': function () { return { 'z-index': 1000 - $context.$data.index }; }, 'css': function () { return { 'dx-dashboard-data-item-remove-action-visible': $context.$root.ko.unwrap($context.$data.selected) && !$context.$root.ko.unwrap($context.$data.isEmpty), 'dx-empty': $context.$data.isEmpty, 'dx-state-warning': $context.$data.warning, 'dx-state-error': $context.$data.error }; }, 'attr': function () { return { 'draggable': !!$context.$root.ko.unwrap($context.$data.draggable) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: function(model, event) { removeDataItem(item); event.stopPropagation(); }, css: { \'dx-dashboard-data-item-remove-action-visible\': $root.ko.unwrap($data.selected) , \'dx-dashboard-data-item-remove-action-embeded\': $data.embeddedRemovalIcon }', function ($context, $element) { return { 'click': function () { return function (model, event) { $context.$data.removeDataItem($context.$data.item); event.stopPropagation(); }; }, 'css': function () { return { 'dx-dashboard-data-item-remove-action-visible': $context.$root.ko.unwrap($context.$data.selected), 'dx-dashboard-data-item-remove-action-embeded': $context.$data.embeddedRemovalIcon }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.isEmpty', function ($context, $element) { return { 'ifnot': function () { return $context.$data.isEmpty; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(sectionInfo.title)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.sectionInfo.title); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-dashboard-hierarchical-group\': $data.groupIndex !== undefined }', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-hierarchical-group': $context.$data.groupIndex !== undefined }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: {\'dx-dashboard-hierarchical-group-cover\': false}', function ($context, $element) { return { 'css': function () { return { 'dx-dashboard-hierarchical-group-cover': false }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: addPane, title: $root.getLocalizationById(\'DashboardWebStringId.Chart.AddPane\')', function ($context, $element) { return { 'click': function () { return $context.$data.addPane; }, 'title': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Chart.AddPane'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('item: $data, click: $parents[1].selectDataItem, removeDataItem: $parents[1].removeDataItem, index: $index(), dataItemDisplayNameProvider: $parents[1].dataItemDisplayNameProvider, propertiesController: $parents[1].itemSurface.propertiesController, error: $parents[1].errorFactory($data), draggable: true', function ($context, $element) { return { 'item': function () { return $context.$data; }, 'click': function () { return $context.$parents[1].selectDataItem; }, 'removeDataItem': function () { return $context.$parents[1].removeDataItem; }, 'index': function () { return $context.$index(); }, 'dataItemDisplayNameProvider': function () { return $context.$parents[1].dataItemDisplayNameProvider; }, 'propertiesController': function () { return $context.$parents[1].itemSurface.propertiesController; }, 'error': function () { return $context.$parents[1].errorFactory($context.$data); }, 'draggable': function () { return true; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('selectionTarget: newItemSample, placeholder: sectionInfo.bindingProperty.emptyPlaceholder, selectedPlaceholder: sectionInfo.bindingProperty.selectedPlaceholder, click: addClick, propertiesController: $parent.itemSurface.propertiesController, warning: $data.warning', function ($context, $element) { return { 'selectionTarget': function () { return $context.$data.newItemSample; }, 'placeholder': function () { return $context.$data.sectionInfo.bindingProperty.emptyPlaceholder; }, 'selectedPlaceholder': function () { return $context.$data.sectionInfo.bindingProperty.selectedPlaceholder; }, 'click': function () { return $context.$data.addClick; }, 'propertiesController': function () { return $context.$parent.itemSurface.propertiesController; }, 'warning': function () { return $context.$data.warning; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('draggable: true, click: $parents[1].selectDataItemContainer, item: $data, removeDataItem: $parents[1].removeDataItem, dataItemDisplayNameProvider: $parents[1].dataItemDisplayNameProvider, placeholder: $parents[1].getDisplayName($data), isEmpty: false, error: $parents[1].errorFactory($data), propertiesController: $parents[1].itemSurface.propertiesController', function ($context, $element) { return { 'draggable': function () { return true; }, 'click': function () { return $context.$parents[1].selectDataItemContainer; }, 'item': function () { return $context.$data; }, 'removeDataItem': function () { return $context.$parents[1].removeDataItem; }, 'dataItemDisplayNameProvider': function () { return $context.$parents[1].dataItemDisplayNameProvider; }, 'placeholder': function () { return $context.$parents[1].getDisplayName($context.$data); }, 'isEmpty': function () { return false; }, 'error': function () { return $context.$parents[1].errorFactory($context.$data); }, 'propertiesController': function () { return $context.$parents[1].itemSurface.propertiesController; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('selectionTarget: newContainerSample, placeholder: sectionInfo.bindingProperty.emptyPlaceholder, selectedPlaceholder: sectionInfo.bindingProperty.selectedPlaceholder, click: addDataItemContainerClick, propertiesController: $parent.itemSurface.propertiesController, warning: $data.warning', function ($context, $element) { return { 'selectionTarget': function () { return $context.$data.newContainerSample; }, 'placeholder': function () { return $context.$data.sectionInfo.bindingProperty.emptyPlaceholder; }, 'selectedPlaceholder': function () { return $context.$data.sectionInfo.bindingProperty.selectedPlaceholder; }, 'click': function () { return $context.$data.addDataItemContainerClick; }, 'propertiesController': function () { return $context.$parent.itemSurface.propertiesController; }, 'warning': function () { return $context.$data.warning; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('item: dataItemLink, removeDataItem: removeDataItem, dataItemDisplayNameProvider: dataItemDisplayNameProvider, click: selectDataItem, placeholder: sectionInfo.bindingProperty.emptyPlaceholder, selectedPlaceholder: sectionInfo.bindingProperty.selectedPlaceholder, propertiesController: $parent.itemSurface.propertiesController, error: errorFactory(dataItemLink), draggable: dataItemLink.uniqueName, warning: $data.warning', function ($context, $element) { return { 'item': function () { return $context.$data.dataItemLink; }, 'removeDataItem': function () { return $context.$data.removeDataItem; }, 'dataItemDisplayNameProvider': function () { return $context.$data.dataItemDisplayNameProvider; }, 'click': function () { return $context.$data.selectDataItem; }, 'placeholder': function () { return $context.$data.sectionInfo.bindingProperty.emptyPlaceholder; }, 'selectedPlaceholder': function () { return $context.$data.sectionInfo.bindingProperty.selectedPlaceholder; }, 'propertiesController': function () { return $context.$parent.itemSurface.propertiesController; }, 'error': function () { return $context.$data.errorFactory($context.$data.dataItemLink); }, 'draggable': function () { return $context.$data.dataItemLink.uniqueName; }, 'warning': function () { return $context.$data.warning; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('lazy: { if: $parents[3].detailVisible }', function ($context, $element) { return { 'lazy': function () { return { 'if': $context.$parents[3].detailVisible }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-add-pane\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-add-pane'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxFieldListPicker: { path: pathToMembers, value: value, displayValue: displayValue, itemsProvider: itemsProvider, treeListController: treeListController, disabled: disabled, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\') }', function ($context, $element) { return { 'dxFieldListPicker': function () { return { 'path': $context.$data.pathToMembers, 'value': $context.$data.value, 'displayValue': $context.$data.displayValue, 'itemsProvider': $context.$data.itemsProvider, 'treeListController': $context.$data.treeListController, 'disabled': $context.$data.disabled, 'placeholder': $context.$root.getLocalizationById('DashboardStringId.ParametersSelectorText') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxScrollView: { direction: \'vertical\', height: \'100%\' }', function ($context, $element) { return { 'dxScrollView': function () { return { 'direction': 'vertical', 'height': '100%' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-form-adapter: { target: commonParameterSettings  }', function ($context, $element) { return { 'dx-dashboard-form-adapter': function () { return { 'target': $context.$data.commonParameterSettings }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-form-adapter: { target: lookUpParameterType  }', function ($context, $element) { return { 'dx-dashboard-form-adapter': function () { return { 'target': $context.$data.lookUpParameterType }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: staticListLookUpSettings', function ($context, $element) { return { 'with': function () { return $context.$data.staticListLookUpSettings; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: dynamicListLookUpSettings', function ($context, $element) { return { 'with': function () { return $context.$data.dynamicListLookUpSettings; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Parameters.ParameterList\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Parameters.ParameterList'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: toggleReordering, text: allowReordering() ? $root.getLocalizationById(\'DashboardWebStringId.Parameters.Done\'): $root.getLocalizationById(\'DashboardWebStringId.Parameters.Reorder\')', function ($context, $element) { return { 'click': function () { return $context.$data.toggleReordering; }, 'text': function () { return $context.$data.allowReordering() ? $context.$root.getLocalizationById('DashboardWebStringId.Parameters.Done') : $context.$root.getLocalizationById('DashboardWebStringId.Parameters.Reorder'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: addParameter, text: $root.getLocalizationById(\'DashboardWebStringId.Add\'), attr: { title: $root.getLocalizationById(\'DashboardWebStringId.Parameters.AddParameter.Tooltip\') }', function ($context, $element) { return { 'click': function () { return $context.$data.addParameter; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Add'); }, 'attr': function () { return { 'title': $context.$root.getLocalizationById('DashboardWebStringId.Parameters.AddParameter.Tooltip') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: dashboard().parameters, selectionMode: \'single\', itemDragging: { allowReordering: allowReordering, }, onItemReordered: reorderParameters, selectedItems: $data.selectedParameters, nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), searchEnabled: true, searchExpr: [\'name\', \'description\'], searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') } }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.dashboard().parameters, 'selectionMode': 'single', 'itemDragging': { 'allowReordering': $context.$data.allowReordering }, 'onItemReordered': $context.$data.reorderParameters, 'selectedItems': $context.$data.selectedParameters, 'nextButtonText': $context.$root.getLocalizationById('DashboardWebStringId.More'), 'searchEnabled': true, 'searchExpr': ['name', 'description'], 'searchEditorOptions': { 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Search') } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: description', function ($context, $element) { return { 'text': function () { return $context.$data.description; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: $parent.removeParameter', function ($context, $element) { return { 'click': function () { return $context.$parent.removeParameter; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: addParameter, text: $root.getLocalizationById(\'DashboardWebStringId.Parameters.AddParameter\')', function ($context, $element) { return { 'click': function () { return $context.$data.addParameter; }, 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Parameters.AddParameter'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-parameter-settings\', data: parameterEditorViewModel }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-parameter-settings', 'data': $context.$data.parameterEditorViewModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.Parameters.NoSelectedParameter\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.Parameters.NoSelectedParameter'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: dashboard()', function ($context, $element) { return { 'if': function () { return $context.$data.dashboard(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: dashboard().parameters().length > 1', function ($context, $element) { return { 'if': function () { return $context.$data.dashboard().parameters().length > 1; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: dashboard().parameters().length > 0', function ($context, $element) { return { 'if': function () { return $context.$data.dashboard().parameters().length > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: description', function ($context, $element) { return { 'if': function () { return $context.$data.description; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $parent.allowReordering', function ($context, $element) { return { 'ifnot': function () { return $context.$parent.allowReordering; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: dashboard().parameters().length > 0', function ($context, $element) { return { 'ifnot': function () { return $context.$data.dashboard().parameters().length > 0; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: parameterEditorViewModel', function ($context, $element) { return { 'if': function () { return $context.$data.parameterEditorViewModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxAccordion: { dataSource: !$data.useSecondaryModel ? propertiesController.accordionDataSource : propertiesController.secondaryAccordionDataSource, itemTitleTemplate: \'title\', itemTemplate: \'itemCategory\', focusStateEnabled: false, selectedIndex: !$data.useSecondaryModel ? propertiesController.selectedIndex : propertiesController.secondarySelectedIndex, collapsible: true, noDataText: $root.getLocalizationById(\'DashboardStringId.MessageLoading\'), encodeNoDataText: true, onItemRendered: function (e) { if(e.itemData.hasNoBorder) { $root.$unwrap(e.itemElement).classList.add(\'dx-dashboard-accordion-item-no-border\'); } }, onSelectionChanged: function(e) { if(e.addedItems[0] && e.addedItems[0].tabModel) { e.addedItems[0].tabModel(e.addedItems[0].tabModel()) } } }', function ($context, $element) { return { 'dxAccordion': function () { return { 'dataSource': !$context.$data.useSecondaryModel ? $context.$data.propertiesController.accordionDataSource : $context.$data.propertiesController.secondaryAccordionDataSource, 'itemTitleTemplate': 'title', 'itemTemplate': 'itemCategory', 'focusStateEnabled': false, 'selectedIndex': !$context.$data.useSecondaryModel ? $context.$data.propertiesController.selectedIndex : $context.$data.propertiesController.secondarySelectedIndex, 'collapsible': true, 'noDataText': $context.$root.getLocalizationById('DashboardStringId.MessageLoading'), 'encodeNoDataText': true, 'onItemRendered': function (e) { if (e.itemData.hasNoBorder) {
            $context.$root.$unwrap(e.itemElement).classList.add('dx-dashboard-accordion-item-no-border');
        } }, 'onSelectionChanged': function (e) { if (e.addedItems[0] && e.addedItems[0].tabModel) {
            e.addedItems[0].tabModel(e.addedItems[0].tabModel());
        } } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: $data.style, style: { height: $data.headerHeight ? $data.headerHeight + \'px\': \'\' }, dxclick: function(data, event) { $data.onTitleClick && $data.onTitleClick($data.headerModel || $data.tabModel, data, event); }', function ($context, $element) { return { 'css': function () { return $context.$data.style; }, 'style': function () { return { 'height': $context.$data.headerHeight ? $context.$data.headerHeight + 'px' : '' }; }, 'dxclick': function () { return function (data, event) { $context.$data.onTitleClick && $context.$data.onTitleClick($context.$data.headerModel || $context.$data.tabModel, data, event); }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: $data.style', function ($context, $element) { return { 'css': function () { return $context.$data.style; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById($data.category)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.category); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById($data.summary && $data.summary()), attr: { title: $data.summaryHint && $data.summaryHint() }', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.summary && $context.$data.summary()); }, 'attr': function () { return { 'title': $context.$data.summaryHint && $context.$data.summaryHint() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.headerTemplate', function ($context, $element) { return { 'if': function () { return $context.$data.headerTemplate; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: $data.headerTemplate, data: $data.headerModel || $data.tabModel }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.headerTemplate, 'data': $context.$data.headerModel || $context.$data.tabModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.headerTemplate', function ($context, $element) { return { 'ifnot': function () { return $context.$data.headerTemplate; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-properties-header-template\' }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-properties-header-template' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.tabTemplate', function ($context, $element) { return { 'if': function () { return $context.$data.tabTemplate; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: $data.tabTemplate, data: $data.tabModel }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.tabTemplate, 'data': $context.$data.tabModel }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.tabTemplate', function ($context, $element) { return { 'ifnot': function () { return $context.$data.tabTemplate; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: $data.tabModel', function ($context, $element) { return { 'with': function () { return $context.$data.tabModel; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.summary', function ($context, $element) { return { 'if': function () { return $context.$data.summary; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.summary', function ($context, $element) { return { 'ifnot': function () { return $context.$data.summary; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate : { name: \'title\', visible: \'visible\' }', function () { return { dxTemplate: { name: 'title', visible: 'visible' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate : { name: \'itemCategory\', visible: \'visible\' }', function () { return { dxTemplate: { name: 'itemCategory', visible: 'visible' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { boundary: $root.getWidgetContainer(), of: $root.getWidgetContainer(), my: \'center\', at: \'center\' }, height: \'80%\', width: \'80%\', hideOnOutsideClick: true, showTitle: true, deferRendering: true, onHiding: onHiding, onHidden: onHidden, onInitialized: onInitialized, title: $root.getLocalizationById(\'DashboardWebStringId.TextBoxItemEditor.DialogCaption\'), toolbarItems: [ { toolbar: \'bottom\', location: \'after\', widget: \'dxButton\', options: { text: $root.getLocalizationById(\'DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose\'), onClick: saveAndClose, type: \'default\' } }, { toolbar: \'bottom\', location: \'after\', widget: \'dxButton\', options: { text: $root.getLocalizationById(\'DashboardWebStringId.TextBoxItemEditor.DialogClose\'), onClick: close } } ], wrapperAttr: { class: \'dx-dashboard-text-box-item-editor-popup\' } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'boundary': $context.$root.getWidgetContainer(), 'of': $context.$root.getWidgetContainer(), 'my': 'center', 'at': 'center' }, 'height': '80%', 'width': '80%', 'hideOnOutsideClick': true, 'showTitle': true, 'deferRendering': true, 'onHiding': $context.$data.onHiding, 'onHidden': $context.$data.onHidden, 'onInitialized': $context.$data.onInitialized, 'title': $context.$root.getLocalizationById('DashboardWebStringId.TextBoxItemEditor.DialogCaption'), 'toolbarItems': [{ 'toolbar': 'bottom', 'location': 'after', 'widget': 'dxButton', 'options': { 'text': $context.$root.getLocalizationById('DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose'), 'onClick': $context.$data.saveAndClose, 'type': 'default' } }, { 'toolbar': 'bottom', 'location': 'after', 'widget': 'dxButton', 'options': { 'text': $context.$root.getLocalizationById('DashboardWebStringId.TextBoxItemEditor.DialogClose'), 'onClick': $context.$data.close } }], 'wrapperAttr': { 'class': 'dx-dashboard-text-box-item-editor-popup' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-rich-edit: $data', function ($context, $element) { return { 'dx-dashboard-rich-edit': function () { return $context.$data; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: richEditorOptions', function ($context, $element) { return { 'with': function () { return $context.$data.richEditorOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: getKoPopupOptions()', function ($context, $element) { return { 'dxPopup': function () { return $context.$data.getKoPopupOptions(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxToolbar: koToolbarOptions', function ($context, $element) { return { 'dxToolbar': function () { return $context.$data.koToolbarOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('style: { left: designerPanelLeft() + \'px\' }', function ($context, $element) { return { 'style': function () { return { 'left': $context.$data.designerPanelLeft() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'left top\', at: \'left top\', collision: \'flipfit\', boundaryOffset: \'0, 0\', boundary: $root.getWidgetContainer(), of:  $root.getWidgetContainer(), offset: \'0, 0\' }, animation: { show: { type: \'slide\', from: { left: -240 }, to: { left: 0 } }, hide: { type: \'slide\', from: { left: 0 }, to: { left: -240 } } }, focusStateEnabled: false, showCloseButton: false, dragEnabled: false, width: settingsFormVisible() ? \'100%\' : 240, height: \'100%\', titleTemplate: \'menuTitleTemplate\', hideOnOutsideClick: !settingsFormVisible(), hideOnParentScroll: false, visible: menuVisible, wrapperAttr: { class: \'dx-dashboard-designer-menu-popup\' } }', function ($context, $element) { return { 'dxPopup': function () { return { 'target': $context.$root.getWidgetContainer(), 'container': $context.$root.getWidgetContainer(), 'position': { 'my': 'left top', 'at': 'left top', 'collision': 'flipfit', 'boundaryOffset': '0, 0', 'boundary': $context.$root.getWidgetContainer(), 'of': $context.$root.getWidgetContainer(), 'offset': '0, 0' }, 'animation': { 'show': { 'type': 'slide', 'from': { 'left': -240 }, 'to': { 'left': 0 } }, 'hide': { 'type': 'slide', 'from': { 'left': 0 }, 'to': { 'left': -240 } } }, 'focusStateEnabled': false, 'showCloseButton': false, 'dragEnabled': false, 'width': $context.$data.settingsFormVisible() ? '100%' : 240, 'height': '100%', 'titleTemplate': 'menuTitleTemplate', 'hideOnOutsideClick': !$context.$data.settingsFormVisible(), 'hideOnParentScroll': false, 'visible': $context.$data.menuVisible, 'wrapperAttr': { 'class': 'dx-dashboard-designer-menu-popup' } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.DashboardMenu\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.DashboardMenu'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxButton: { onClick: function() { toggleMenu(); }, type: \'normal\', stylingMode: \'text\', icon: \'close\' }', function ($context, $element) { return { 'dxButton': function () { return { 'onClick': function () { $context.$data.toggleMenu(); }, 'type': 'normal', 'stylingMode': 'text', 'icon': 'close' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: disabled() ? null : $parent.menuItemClick, text: $root.getLocalizationById(title), css: { \'dx-state-selected\': selected, \'dx-state-disabled\': disabled, \'dx-separator\': $data.hasSeparator }', function ($context, $element) { return { 'click': function () { return $context.$data.disabled() ? null : $context.$parent.menuItemClick; }, 'text': function () { return $context.$root.getLocalizationById($context.$data.title); }, 'css': function () { return { 'dx-state-selected': $context.$data.selected, 'dx-state-disabled': $context.$data.disabled, 'dx-separator': $context.$data.hasSeparator }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(settingsForm().title)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.settingsForm().title); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('element-height-change-provider: { model: toolbarGroupsSorted, height: toolbarHeight }', function ($context, $element) { return { 'element-height-change-provider': function () { return { 'model': $context.$data.toolbarGroupsSorted, 'height': $context.$data.toolbarHeight }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $root.getLocalizationById(title) }, click: click, css: { \'dx-state-disabled\': disabled }', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$root.getLocalizationById($context.$data.title) }; }, 'click': function () { return $context.$data.click; }, 'css': function () { return { 'dx-state-disabled': $context.$data.disabled }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxScrollView: { direction: \'vertical\'}, style: { bottom: toolbarHeight() + \'px\' }', function ($context, $element) { return { 'dxScrollView': function () { return { 'direction': 'vertical' }; }, 'style': function () { return { 'bottom': $context.$data.toolbarHeight() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(title)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data.title); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dx-dashboard-element-accessor: $parents[1].initDragEvents(type), attr: { \'data-item-type\': type, title: $root.getLocalizationById(title) }, click: click, css: { \'dx-state-disabled\': disabled }', function ($context, $element) { return { 'dx-dashboard-element-accessor': function () { return $context.$parents[1].initDragEvents($context.$data.type); }, 'attr': function () { return { 'data-item-type': $context.$data.type, 'title': $context.$root.getLocalizationById($context.$data.title) }; }, 'click': function () { return $context.$data.click; }, 'css': function () { return { 'dx-state-disabled': $context.$data.disabled }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById(\'DashboardWebStringId.AddItemInvitation\')', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById('DashboardWebStringId.AddItemInvitation'); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $root.getLocalizationById(title) }', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$root.getLocalizationById($context.$data.title) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { \'data-item-type\': type }, click:  $parent.addDashboardItem', function ($context, $element) { return { 'attr': function () { return { 'data-item-type': $context.$data.type }; }, 'click': function () { return $context.$parent.addDashboardItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-menu\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-menu'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbar\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-designer-menu-icon\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-designer-menu-icon'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: menuItemsSorted', function ($context, $element) { return { 'foreach': function () { return $context.$data.menuItemsSorted; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: settingsFormVisible() && settingsForm()', function ($context, $element) { return { 'if': function () { return $context.$data.settingsFormVisible() && $context.$data.settingsForm(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template:{ name: settingsForm().template, data: settingsForm().data }', function ($context, $element) { return { 'template': function () { return { 'name': $context.$data.settingsForm().template, 'data': $context.$data.settingsForm().data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: toolbarGroupsSorted', function ($context, $element) { return { 'foreach': function () { return $context.$data.toolbarGroupsSorted; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data[\'template\']', function ($context, $element) { return { 'if': function () { return $context.$data['template']; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: $data[\'template\']', function ($context, $element) { return { 'template': function () { return $context.$data['template']; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data[\'icon\']', function ($context, $element) { return { 'if': function () { return $context.$data['icon']; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: toolboxGroupsSorted', function ($context, $element) { return { 'foreach': function () { return $context.$data.toolboxGroupsSorted; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: dashboardItems', function ($context, $element) { return { 'foreach': function () { return $context.$data.dashboardItems; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: iconName', function ($context, $element) { return { 'template': function () { return $context.$data.iconName; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate: { name: \'menuTitleTemplate\' }', function () { return { dxTemplate: { name: 'menuTitleTemplate' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('visible: isToolbarVisible', function ($context, $element) { return { 'visible': function () { return $context.$data.isToolbarVisible; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: add, css: { \'dx-state-disabled\': !addEnabled() }', function ($context, $element) { return { 'click': function () { return $context.$data.add; }, 'css': function () { return { 'dx-state-disabled': !$context.$data.addEnabled() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: edit, css: { \'dx-state-disabled\': !editEnabled() }', function ($context, $element) { return { 'click': function () { return $context.$data.edit; }, 'css': function () { return { 'dx-state-disabled': !$context.$data.editEnabled() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: down, css: { \'dx-state-disabled\': !downEnabled() }', function ($context, $element) { return { 'click': function () { return $context.$data.down; }, 'css': function () { return { 'dx-state-disabled': !$context.$data.downEnabled() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: up, css: { \'dx-state-disabled\': !upEnabled() }', function ($context, $element) { return { 'click': function () { return $context.$data.up; }, 'css': function () { return { 'dx-state-disabled': !$context.$data.upEnabled() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: remove, css: { \'dx-dashboard-state-selected\': !!removeEnabled() }', function ($context, $element) { return { 'click': function () { return $context.$data.remove; }, 'css': function () { return { 'dx-dashboard-state-selected': !!$context.$data.removeEnabled() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: action, attr: { title: name }', function ($context, $element) { return { 'click': function () { return $context.$data.action; }, 'attr': function () { return { 'title': $context.$data.name }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: $data.getListOptions()', function ($context, $element) { return { 'dxList': function () { return $context.$data.getListOptions(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowAddItem', function ($context, $element) { return { 'if': function () { return $context.$data.allowAddItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowEditItem', function ($context, $element) { return { 'if': function () { return $context.$data.allowEditItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowReorderItem', function ($context, $element) { return { 'if': function () { return $context.$data.allowReorderItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-arrow-down\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-arrow-down'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-arrow-up\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-arrow-up'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: allowRemoveItem', function ($context, $element) { return { 'if': function () { return $context.$data.allowRemoveItem; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: customToolbarItems', function ($context, $element) { return { 'foreach': function () { return $context.$data.customToolbarItems; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-state-disabled\': !downEnabled() }, click: down', function ($context, $element) { return { 'css': function () { return { 'dx-state-disabled': !$context.$data.downEnabled() }; }, 'click': function () { return $context.$data.down; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-state-disabled\': !upEnabled() }, click: up', function ($context, $element) { return { 'css': function () { return { 'dx-state-disabled': !$context.$data.upEnabled() }; }, 'click': function () { return $context.$data.up; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: remove, css: { \'dx-dashboard-state-selected\': removeEnabled() }', function ($context, $element) { return { 'click': function () { return $context.$data.remove; }, 'css': function () { return { 'dx-dashboard-state-selected': $context.$data.removeEnabled() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxDataGrid: $data.getGridOptions()', function ($context, $element) { return { 'dxDataGrid': function () { return $context.$data.getGridOptions(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-field-chooser-content-list\'', function ($context, $element) { return { 'template': function () { return 'dx-field-chooser-content-list'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-field-chooser-search-mode\': isSearchMode() }', function ($context, $element) { return { 'css': function () { return { 'dx-field-chooser-search-mode': $context.$data.isSearchMode() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: searchButtonClick', function ($context, $element) { return { 'click': function () { return $context.$data.searchButtonClick; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: addCalcField', function ($context, $element) { return { 'click': function () { return $context.$data.addCalcField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: editCalcField, css: {\'dx-state-disabled\': !isCalcFieldSelected()}', function ($context, $element) { return { 'click': function () { return $context.$data.editCalcField; }, 'css': function () { return { 'dx-state-disabled': !$context.$data.isCalcFieldSelected() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('click: removeCalcField, css: {\'dx-state-disabled\': !isCalcFieldSelected()}', function ($context, $element) { return { 'click': function () { return $context.$data.removeCalcField; }, 'css': function () { return { 'dx-state-disabled': !$context.$data.isCalcFieldSelected() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { isSelected: isListMode, icon: \'dx-dashboard-fc-mode-list\', click: setListMode } }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'isSelected': $context.$data.isListMode, 'icon': 'dx-dashboard-fc-mode-list', 'click': $context.$data.setListMode } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('component: { name: \'dx-dashboard-checked-button\', params: { isSelected: !isListMode(), icon: \'dx-dashboard-fc-mode-tree\', click: setTreeMode } }', function ($context, $element) { return { 'component': function () { return { 'name': 'dx-dashboard-checked-button', 'params': { 'isSelected': !$context.$data.isListMode(), 'icon': 'dx-dashboard-fc-mode-tree', 'click': $context.$data.setTreeMode } }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTextBox: { value: searchString, valueChangeEvent: \'keyup\', showClearButton: true, placeholder: $root.getLocalizationById(\'DashboardWebStringId.Binding.Searching\'), disabled: !isSearchMode() }', function ($context, $element) { return { 'dxTextBox': function () { return { 'value': $context.$data.searchString, 'valueChangeEvent': 'keyup', 'showClearButton': true, 'placeholder': $context.$root.getLocalizationById('DashboardWebStringId.Binding.Searching'), 'disabled': !$context.$data.isSearchMode() }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { items: searchResults, onItemClick: selectViaSearchResults, selectionMode: \'single\', selectedItems: [selectedSearchResult()], noDataText: $root.getLocalizationById(\'DashboardWebStringId.Binding.EmptySearchResult\'), }', function ($context, $element) { return { 'dxList': function () { return { 'items': $context.$data.searchResults, 'onItemClick': $context.$data.selectViaSearchResults, 'selectionMode': 'single', 'selectedItems': [$context.$data.selectedSearchResult()], 'noDataText': $context.$root.getLocalizationById('DashboardWebStringId.Binding.EmptySearchResult') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: {\'dx-has-path\': path.length > 0 }', function ($context, $element) { return { 'css': function () { return { 'dx-has-path': $context.$data.path.length > 0 }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: item.displayName, attr: { title: $root.ko.unwrap(item.displayName).length > 30 ? item.displayName : null }, css: {\'dx-dashboard-corrupted-calc-field\': item.isCorruptedCalcField }', function ($context, $element) { return { 'text': function () { return $context.$data.item.displayName; }, 'attr': function () { return { 'title': $context.$root.ko.unwrap($context.$data.item.displayName).length > 30 ? $context.$data.item.displayName : null }; }, 'css': function () { return { 'dx-dashboard-corrupted-calc-field': $context.$data.item.isCorruptedCalcField }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: path, attr: { title: path.length > 30 ? path : null }', function ($context, $element) { return { 'text': function () { return $context.$data.path; }, 'attr': function () { return { 'title': $context.$data.path.length > 30 ? $context.$data.path : null }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-state-ready\': ready }, style: { left: $element.offsetWidth * index() + \'px\' }', function ($context, $element) { return { 'css': function () { return { 'dx-state-ready': $context.$data.ready }; }, 'style': function () { return { 'left': $element.offsetWidth * $context.$data.index() + 'px' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxList: { dataSource: items, pageLoadMode: \'scrollBottom\', onItemClick: itemClick, selectionMode: \'single\', selectedItemKeys: selectedItemName, keyExpr: \'name\', onInitialized: onInitialized, onContentReady: onContentReady, encodeNoDataText: true, noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\') }, css: { \'dx-hierarchical-field-chooser-list\' : !!ancestors }', function ($context, $element) { return { 'dxList': function () { return { 'dataSource': $context.$data.items, 'pageLoadMode': 'scrollBottom', 'onItemClick': $context.$data.itemClick, 'selectionMode': 'single', 'selectedItemKeys': $context.$data.selectedItemName, 'keyExpr': 'name', 'onInitialized': $context.$data.onInitialized, 'onContentReady': $context.$data.onContentReady, 'encodeNoDataText': true, 'noDataText': $context.$root.getLocalizationById('DashboardStringId.FilterElementNoDataToDisplay') }; }, 'css': function () { return { 'dx-hierarchical-field-chooser-list': !!$context.$data.ancestors }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: displayName }, css: { \'dx-dashboard-has-children\': $root.ko.unwrap(isGroup) }', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$data.displayName }; }, 'css': function () { return { 'dx-dashboard-has-children': $context.$root.ko.unwrap($context.$data.isGroup) }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: displayName, css: {\'dx-dashboard-corrupted-calc-field\': $data.isCorruptedCalcField }', function ($context, $element) { return { 'text': function () { return $context.$data.displayName; }, 'css': function () { return { 'dx-dashboard-corrupted-calc-field': $context.$data.isCorruptedCalcField }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxLoadIndicator: { visible: loading }', function ($context, $element) { return { 'dxLoadIndicator': function () { return { 'visible': $context.$data.loading }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTreeView: dataSourceTreeOptions', function ($context, $element) { return { 'dxTreeView': function () { return $context.$data.dataSourceTreeOptions; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('css: { \'dx-field-chooser-group-list-item\': $data.isGroup }', function ($context, $element) { return { 'css': function () { return { 'dx-field-chooser-group-list-item': $context.$data.isGroup }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: displayName, attr: { title: $root.ko.unwrap(displayName).length > 20 ? displayName : null }, css: {\'dx-dashboard-corrupted-calc-field\': $data.isCorruptedCalcField }', function ($context, $element) { return { 'text': function () { return $context.$data.displayName; }, 'attr': function () { return { 'title': $context.$root.ko.unwrap($context.$data.displayName).length > 20 ? $context.$data.displayName : null }; }, 'css': function () { return { 'dx-dashboard-corrupted-calc-field': $context.$data.isCorruptedCalcField }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: isOlap || isCalcField', function ($context, $element) { return { 'if': function () { return $context.$data.isOlap || $context.$data.isCalcField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $data.typeTooltip}, style: { cursor: $data.isList ? \'default\' : \'inherit\' }', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$data.typeTooltip }; }, 'style': function () { return { 'cursor': $context.$data.isList ? 'default' : 'inherit' }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-field-chooser-header-area\'', function ($context, $element) { return { 'template': function () { return 'dx-field-chooser-header-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: hasSearchResults() && isSearchMode()', function ($context, $element) { return { 'if': function () { return $context.$data.hasSearchResults() && $context.$data.isSearchMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-field-chooser-content-search-results\'', function ($context, $element) { return { 'template': function () { return 'dx-field-chooser-content-search-results'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !$data.hasSearchResults || !$data.isListMode || (!hasSearchResults() && isListMode())', function ($context, $element) { return { 'if': function () { return !$context.$data.hasSearchResults || !$context.$data.isListMode || (!$context.$data.hasSearchResults() && $context.$data.isListMode()); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !hasSearchResults() && !isListMode()', function ($context, $element) { return { 'if': function () { return !$context.$data.hasSearchResults() && !$context.$data.isListMode(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-field-chooser-content-treeview\'', function ($context, $element) { return { 'template': function () { return 'dx-field-chooser-content-treeview'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: "dx-dashboard-confirm-dialog", data: _inappropriateCalcFieldConfirmation }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-dashboard-confirm-dialog', 'data': $context.$data._inappropriateCalcFieldConfirmation }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-search\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-search'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: canAddCalculatedField', function ($context, $element) { return { 'if': function () { return $context.$data.canAddCalculatedField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field-add\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field-add'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: hasGroups()', function ($context, $element) { return { 'if': function () { return $context.$data.hasGroups(); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-field-chooser-field-type\', data: item }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-field-chooser-field-type', 'data': $context.$data.item }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('foreach: lists', function ($context, $element) { return { 'foreach': function () { return $context.$data.lists; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-slidable-lists-navigation-area\', data: $data }', function ($context, $element) { return { 'template': function () { return { 'name': 'dx-slidable-lists-navigation-area', 'data': $context.$data }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-field-chooser-field-type\'', function ($context, $element) { return { 'template': function () { return 'dx-field-chooser-field-type'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.isOlapDimension', function ($context, $element) { return { 'if': function () { return $context.$data.isOlapDimension; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-olap-dimension\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-olap-dimension'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.isOlapDimensionHierarchy', function ($context, $element) { return { 'if': function () { return $context.$data.isOlapDimensionHierarchy; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-olap-dimension-hierarchy\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-olap-dimension-hierarchy'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.isOlapMeasure', function ($context, $element) { return { 'if': function () { return $context.$data.isOlapMeasure; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-olap-measure\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-olap-measure'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.isCalcField', function ($context, $element) { return { 'if': function () { return $context.$data.isCalcField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.isAggregate', function ($context, $element) { return { 'if': function () { return $context.$data.isAggregate; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field-aggregate\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field-aggregate'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('ifnot: $data.isAggregate', function ($context, $element) { return { 'ifnot': function () { return $context.$data.isAggregate; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: !$data.isCorruptedCalcField && $data.normalizedType', function ($context, $element) { return { 'if': function () { return !$context.$data.isCorruptedCalcField && $context.$data.normalizedType; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-\' + $data.normalizedType', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-' + $context.$data.normalizedType; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: $data.isCorruptedCalcField', function ($context, $element) { return { 'if': function () { return $context.$data.isCorruptedCalcField; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field-corrupted\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field-corrupted'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxTemplate : { name: \'item\' }', function () { return { dxTemplate: { name: 'item' } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('visible: !!ancestors', function ($context, $element) { return { 'visible': function () { return !!$context.$data.ancestors; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('attr: { title: $data.map(function(el) { return $root.getLocalizationById(el); }).join(\'/\') }', function ($context, $element) { return { 'attr': function () { return { 'title': $context.$data.map(function (el) { return $context.$root.getLocalizationById(el); }).join('/') }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById($data), click: function(data) { var handler = $parents[3].backClick || $parents[1].backClick; handler(data, $parent); }', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data); }, 'click': function () { return function (data) { var handler = $context.$parents[3].backClick || $context.$parents[1].backClick; handler(data, $context.$parent); }; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('text: $root.getLocalizationById($data)', function ($context, $element) { return { 'text': function () { return $context.$root.getLocalizationById($context.$data); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('with: ancestors', function ($context, $element) { return { 'with': function () { return $context.$data.ancestors; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: ($index() !== ($parent.length - 1))', function ($context, $element) { return { 'if': function () { return ($context.$index() !== ($context.$parent.length - 1)); } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('if: ($index() === ($parent.length - 1))', function ($context, $element) { return { 'if': function () { return ($context.$index() === ($context.$parent.length - 1)); } }; });

;// ./dist/resources/_svg_bindings.generated.js

(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-arrow-left\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-arrow-left'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-group-types-full-list\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-group-types-full-list'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-back\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-back'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-clear-master-filter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-clear-master-filter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-clear-selection\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-clear-selection'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-content-selection\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-content-selection'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-data-inspector\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-data-inspector'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-data-reduced\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-data-reduced'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-drill-up\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-drill-up'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-export-to-excel\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-export-to-excel'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-export-to-image\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-export-to-image'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-export-to-pdf\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-export-to-pdf'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-export\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-export'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-filter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-filter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-filters\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-filters'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-map-initial-extent\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-map-initial-extent'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-maximize-item\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-maximize-item'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-open-tab-pages\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-open-tab-pages'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-parameters\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-parameters'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-range-time-periods\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-range-time-periods'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-restore-item\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-restore-item'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toggle-multiselection\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toggle-multiselection'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-boolean\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-boolean'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-custom\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-custom'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-datetime\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-datetime'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-float\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-float'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-integer\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-integer'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-list\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-list'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-datatype-string\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-datatype-string'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-add-pane\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-add-pane'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field-add\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field-add'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field-aggregate\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field-aggregate'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field-corrupted\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field-corrupted'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-calc-field\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-calc-field'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-add\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-add'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-arrow-down\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-arrow-down'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-arrow-up\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-arrow-up'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ce-edit\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ce-edit'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-checkmark\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-checkmark'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-close\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-close'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-designer-menu-icon\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-designer-menu-icon'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-drag\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-drag'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ds-edit\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ds-edit'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ds-embed\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ds-embed'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ds-link\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ds-link'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-ds-preview\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-ds-preview'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-arrow-right\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-arrow-right'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-dropdown-icon\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-dropdown-icon'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-mode-list\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-mode-list'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-mode-tree\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-mode-tree'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-search\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-search'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-treeview-collapse\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-treeview-collapse'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-fc-treeview-expand\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-fc-treeview-expand'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-item-data-source\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-item-data-source'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-main-menu-close\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-main-menu-close'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-olap-dimension-hierarchy\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-olap-dimension-hierarchy'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-olap-dimension\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-olap-dimension'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-olap-measure\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-olap-measure'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-remove-small\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-remove-small'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-remove\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-remove'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-rename\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-rename'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-template-to-all-cards\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-template-to-all-cards'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-textbox-search-clear\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-textbox-search-clear'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-transparent-background\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-transparent-background'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-tree-connector\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-tree-connector'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-convert\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-convert'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-interactivity\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-interactivity'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-item-filter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-item-filter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-item-menu-collapse\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-item-menu-collapse'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-item-options\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-item-options'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-properties\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-properties'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-redo\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-redo'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-undo\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-undo'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-boundImage\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-boundImage'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-bubbleMap\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-bubbleMap'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-card\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-card'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-chart\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-chart'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-choroplethMap\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-choroplethMap'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-comboBox\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-comboBox'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-dateFilter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-dateFilter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-gauge\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-gauge'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-geoPointMap\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-geoPointMap'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-grid\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-grid'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-group\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-group'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-image\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-image'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-listBox\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-listBox'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-pie\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-pie'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-pieMap\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-pieMap'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-pivot\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-pivot'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-rangeFilter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-rangeFilter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-scatterChart\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-scatterChart'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-tabContainer\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-tabContainer'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-textBox\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-textBox'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-treemap\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-treemap'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-toolbox-treeView\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-toolbox-treeView'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-bar\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-bar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-candle-stick\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-candle-stick'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-full-stacked-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-full-stacked-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-full-stacked-bar\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-full-stacked-bar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-full-stacked-line\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-full-stacked-line'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-full-stacked-spline-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-full-stacked-spline-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-high-low-close\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-high-low-close'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-line\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-line'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-points\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-points'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-range-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-range-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-range-bar\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-range-bar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-spline-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-spline-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-spline\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-spline'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-stacked-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-stacked-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-stacked-bar\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-stacked-bar'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-stacked-line\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-stacked-line'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-stacked-spline-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-stacked-spline-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-step-area\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-step-area'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-step-line\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-step-line'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-stock\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-stock'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-chart-series-weighted\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-chart-series-weighted'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-circular-full\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-circular-full'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-circular-half\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-circular-half'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-circular-left-quarter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-circular-left-quarter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-circular-right-quarter\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-circular-right-quarter'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-circular-three-fourth\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-circular-three-fourth'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-linear-horizontal\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-linear-horizontal'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-gauge-linear-vertical\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-gauge-linear-vertical'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-grid-column-delta\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-grid-column-delta'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-grid-column-dimension\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-grid-column-dimension'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-grid-column-hyperlink\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-grid-column-hyperlink'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-grid-column-measure\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-grid-column-measure'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-grid-column-sparkline\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-grid-column-sparkline'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-pie-donut\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-pie-donut'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-pie-pie\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-pie-pie'; } }; });
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: \'dx-dashboard-sparkline-win-loss\'', function ($context, $element) { return { 'template': function () { return 'dx-dashboard-sparkline-win-loss'; } }; });

;// external "DevExpress.events"
const external_DevExpress_events_namespaceObject = DevExpress.events;
// EXTERNAL MODULE: external "ko"
var external_ko_ = __webpack_require__(865);
// EXTERNAL MODULE: ./dist/data/_jquery-helpers.js
var _jquery_helpers = __webpack_require__(5988);
;// ./dist/common/docking-layout/core/_resizable.js






const mouseMoveHandlerKey = 'dxpointermove.dx-ko-layout-resize';
const mouseDownHandlerKey = 'dxpointerdown';
const mouseUpHandlerKey = 'dxpointerup.dx-ko-layout-resize';
function skipDevice(ev) {
    return external_DevExpress_devices_default().real().ios && external_DevExpress_events_utils_namespaceObject.isMouseEvent(ev);
}
function createHResizeHandler(layoutItem, getWidgetContainer, $element, $ghostbar) {
    return function (ev) {
        const parents = $element.parents('.dx-layout');
        parents.addClass('dx-layout-drag-in-progress');
        layoutItem.resizeStarted && layoutItem.resizeStarted();
        ev.preventDefault();
        var currentWidth = 0;
        var ghostOffsetX = ev.offsetX ? ev.offsetX : 0;
        var originalX = ev.pageX;
        const $ghostbar = (0,_jquery_helpers/* createJQueryElement */.L$)('<div>', {
            class: 'dx-ghostbar-e',
            css: {
                position: 'fixed',
                height: $element.outerHeight(),
                top: $element.offset().top,
                left: originalX - ghostOffsetX
            }
        }).appendTo(getWidgetContainer());
        (0,external_DevExpress_events_namespaceObject.on)(document, mouseMoveHandlerKey, function (e) {
            if (!skipDevice(e)) {
                var newWidth = layoutItem.width() + e.pageX - originalX;
                if (!layoutItem.isValidWidth || layoutItem.isValidWidth(newWidth)) {
                    currentWidth = newWidth;
                    $ghostbar.css('left', e.pageX - ghostOffsetX);
                }
            }
            e.preventDefault();
            return false;
        });
        (0,external_DevExpress_events_namespaceObject.on)(document, mouseUpHandlerKey, function (e) {
            setTimeout(() => layoutItem.width(currentWidth), 1);
            $ghostbar.remove();
            parents.removeClass('dx-layout-drag-in-progress');
            (0,external_DevExpress_events_namespaceObject.off)(document, mouseMoveHandlerKey);
            (0,external_DevExpress_events_namespaceObject.off)(document, mouseUpHandlerKey);
            layoutItem.resizeCompleted && layoutItem.resizeCompleted();
            e.preventDefault();
        });
    };
}
function createVResizeHandler(layoutItem, getWidgetContainer, $element, $ghostbar) {
    return function (ev) {
        const parents = $element.parents('.dx-layout');
        parents.addClass('dx-layout-drag-in-progress');
        layoutItem.resizeStarted && layoutItem.resizeStarted();
        ev.preventDefault();
        var currentHeight = 0;
        var ghostOffsetY = ev.offsetY ? ev.offsetY : 0;
        var originalY = ev.pageY;
        const $ghostbar = (0,_jquery_helpers/* createJQueryElement */.L$)('<div>', {
            class: 'dx-ghostbar-s',
            css: {
                position: 'fixed',
                width: $element.outerWidth(),
                left: $element.offset().left,
                top: originalY - ghostOffsetY
            }
        }).appendTo(getWidgetContainer());
        (0,external_DevExpress_events_namespaceObject.on)(document, mouseMoveHandlerKey, function (e) {
            if (!skipDevice(e)) {
                var newHeight = layoutItem.height() + e.pageY - originalY;
                if (!layoutItem.isValidHeight || layoutItem.isValidHeight(newHeight)) {
                    currentHeight = newHeight;
                    $ghostbar.css('top', e.pageY - ghostOffsetY);
                }
            }
            return false;
        });
        (0,external_DevExpress_events_namespaceObject.on)(document, mouseUpHandlerKey, function (e) {
            setTimeout(() => layoutItem.height(currentHeight), 1);
            $ghostbar.remove();
            parents.removeClass('dx-layout-drag-in-progress');
            (0,external_DevExpress_events_namespaceObject.off)(document, mouseMoveHandlerKey);
            (0,external_DevExpress_events_namespaceObject.off)(document, mouseUpHandlerKey);
            layoutItem.resizeCompleted && layoutItem.resizeCompleted();
            e.preventDefault();
        });
    };
}
external_ko_.bindingHandlers['dx-ko-resizable'] = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        const { layoutItem, getWidgetContainer } = valueAccessor();
        var $element = external_jQuery_.fn.constructor(element);
        var subscriptions = [];
        var resizeSubsciption = null;
        var unsubscribe = () => {
            subscriptions.forEach(subscr => {
                subscr.subscribable.dispose();
                (0,external_DevExpress_events_namespaceObject.off)(subscr.dragbar.get(0), mouseDownHandlerKey);
                subscr.dragbar.remove();
            });
            subscriptions.splice(0, subscriptions.length);
            resizeSubsciption?.dispose && resizeSubsciption?.dispose();
        };
        var createResizeDragBars = (resizeHandles) => {
            unsubscribe();
            if (resizeHandles === 'e') {
                var $dragBar = external_jQuery_.fn.constructor('<div>', {
                    class: 'dx-dragbar-e',
                    ondragover: 'event.stopPropagation();',
                    ondrop: 'event.stopPropagation();',
                    css: {
                        height: layoutItem.height()
                    }
                }).appendTo($element);
                var subscr = layoutItem.height.subscribe(val => {
                    $dragBar.css('height', val);
                });
                (0,external_DevExpress_events_namespaceObject.on)($dragBar.get(0), mouseDownHandlerKey, createHResizeHandler(layoutItem, getWidgetContainer, $element, $dragBar));
                subscriptions.push({
                    subscribable: subscr,
                    dragbar: $dragBar
                });
            }
            else if (resizeHandles === 's') {
                var $dragBar = external_jQuery_.fn.constructor('<div>', {
                    class: 'dx-dragbar-s',
                    ondragover: 'event.stopPropagation();',
                    ondrop: 'event.stopPropagation();',
                    css: {
                        width: layoutItem.width()
                    }
                }).appendTo($element);
                var subscr = layoutItem.width.subscribe(val => {
                    $dragBar.css('width', val);
                });
                (0,external_DevExpress_events_namespaceObject.on)($dragBar.get(0), mouseDownHandlerKey, createVResizeHandler(layoutItem, getWidgetContainer, $element, $dragBar));
                subscriptions.push({
                    subscribable: subscr,
                    dragbar: $dragBar
                });
            }
        };
        if (external_ko_.isSubscribable(layoutItem.resizeHandles)) {
            resizeSubsciption = (layoutItem.resizeHandles).subscribe(createResizeDragBars);
        }
        createResizeDragBars(layoutItem.resizeHandles());
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, unsubscribe);
    }
};

// EXTERNAL MODULE: external "DevExpress.Analytics.Utils"
var external_DevExpress_Analytics_Utils_ = __webpack_require__(6799);
// EXTERNAL MODULE: ./dist/model/internal/_dashboard-item_helper.js
var _dashboard_item_helper = __webpack_require__(2020);
// EXTERNAL MODULE: ./dist/model/internal/_knockout-utils.js
var _knockout_utils = __webpack_require__(1041);
;// ./dist/common/viewer/_element-size-utils.js
function createItemSizeUpdater(item, sizeController) {
    let handler = () => {
        let width = sizeController.getWidth();
        let height = sizeController.getHeight();
        if (Math.abs(width - item.width()) > 1 || Math.abs(height - item.height()) > 1) {
            item.setSize(width, height);
        }
    };
    sizeController.requestRepaint.add(handler);
    return {
        dispose: () => sizeController.requestRepaint.remove(handler)
    };
}
function createElementSizeUpdater(element, sizeController) {
    let handler = () => {
        setElementSize(element, sizeController);
    };
    sizeController.requestRepaint.add(handler);
    return {
        dispose: () => sizeController.requestRepaint.remove(handler)
    };
}
function setElementSize(element, sizeController) {
    let width = sizeController.getWidth();
    let height = sizeController.getHeight();
    element.style.width = width + 'px';
    element.style.height = height + 'px';
    if (width === 0 || height === 0) {
        element.classList.add('dx-dashboard-hidden-element');
    }
    else {
        element.classList.remove('dx-dashboard-hidden-element');
    }
}

;// ./dist/common/viewer/_dashboard-item-bindings.js








let DashboardItemHeaderHeight = 34;
function createViewerItemAdapter(element, dashboardItem, dashboardContext, localContext, sizeController) {
    var _disposables = [];
    let beforeRender = (viewerItem) => {
        let updateConstraintsHandler = (viewerItem) => {
            if (viewerItem && sizeController.setConstraints) {
                sizeController.setConstraints(viewerItem.getConstraints(true));
            }
        };
        updateConstraintsHandler(viewerItem);
        _disposables.push(dashboardItem.showCaption.subscribe(() => {
            setTimeout(() => updateConstraintsHandler(viewerItem), 100);
        }));
        viewerItem.constraintsUpdated.add(() => {
            updateConstraintsHandler(viewerItem);
        });
        setElementSize(element, sizeController);
        _disposables.push(createItemSizeUpdater(viewerItem, sizeController));
        if (sizeController.visible) {
            _disposables.push(sizeController.visible.subscribe(isVisible => {
                if (!isVisible) {
                    let castedItem = viewerItem;
                    if (castedItem.chartViewer) {
                        castedItem.chartViewer.hideTooltip();
                    }
                }
            }));
        }
    };
    var itemViewerAdapter = dashboardContext.viewerItemsManager.create(dashboardItem, element, dashboardContext, localContext, beforeRender);
    itemViewerAdapter.itemUpdated = (viewerItem) => { updateLayoutItemBackbound(element, viewerItem._isTransparentBackground()); };
    itemViewerAdapter.initialize();
    _disposables.push(itemViewerAdapter);
    return { dispose: () => { _disposables.forEach(disposable => disposable.dispose()); } };
}
function renderItemViewer(element, dashboardItem, dashboardContext, localContext, sizeController) {
    var perViewerItemDisposable;
    var subscription = null;
    if (localContext && localContext.visualMode) {
        subscription = (0,_knockout_utils/* subscribeAndPerform */.l4)(localContext.visualMode, _ => {
            perViewerItemDisposable && perViewerItemDisposable.dispose();
            perViewerItemDisposable = createViewerItemAdapter(element, dashboardItem, dashboardContext, localContext, sizeController);
        });
    }
    else {
        subscription = createViewerItemAdapter(element, dashboardItem, dashboardContext, localContext, sizeController);
    }
    return {
        dispose: () => {
            perViewerItemDisposable && perViewerItemDisposable.dispose();
            subscription && subscription.dispose();
        }
    };
}
function getUiStateTemplate(dashboardItem, sizeController, additionalClasses = []) {
    var sizeObservable = external_ko_.observable();
    var getFullClassList = (className) => [className].concat(additionalClasses).join(' ');
    var setSizeClass = (sizeController) => {
        var height = sizeController.getHeight();
        if (height > 120) {
            sizeObservable(getFullClassList('dx-dashboard-layout-state-large'));
        }
        else if (height > 80) {
            sizeObservable(getFullClassList('dx-dashboard-layout-state-medium'));
        }
        else {
            sizeObservable(getFullClassList('dx-dashboard-layout-state-small'));
        }
    };
    setSizeClass(sizeController);
    var resizeHandler = () => setSizeClass(sizeController);
    sizeController.requestRepaint.add(resizeHandler);
    var disposable = {
        dispose: () => {
            sizeController.requestRepaint.remove(resizeHandler);
        }
    };
    if (dashboardItem._uiState() === 'loading') {
        return { template: { name: 'dx-dashboard-item-state-loading' }, disposable: disposable };
    }
    else if (dashboardItem._uiState() === 'error') {
        return {
            template: {
                name: 'dx-dashboard-item-state-error',
                data: {
                    icon: (0,_dashboard_item_helper/* getItemIconName */.oq)(dashboardItem),
                    title: (0,_dashboard_item_helper/* getItemTitle */.KT)(dashboardItem),
                    errorState: dashboardItem._errorState,
                    sizeClass: sizeObservable
                }
            },
            disposable: disposable
        };
    }
    else if (dashboardItem._uiState() === 'empty') {
        return {
            template: {
                name: 'dx-dashboard-item-state-empty',
                data: {
                    icon: (0,_dashboard_item_helper/* getItemIconName */.oq)(dashboardItem),
                    title: (0,_dashboard_item_helper/* getItemTitle */.KT)(dashboardItem),
                    sizeClass: sizeObservable,
                    emptyAriaLabel: (0,index_internal.getLocalizationById)('DevExpressWebStringId.AriaLabel.EmptyDashboardItem')
                }
            },
            disposable: disposable
        };
    }
}
function updateLayoutItemBackbound(element, isTransparent) {
    if (isTransparent) {
        element.classList.add('dx-layout-item-container-transparent');
    }
    else {
        element.classList.remove('dx-layout-item-container-transparent');
    }
}
var resolver = new external_DevExpress_Analytics_Internal_.CodeResolver();
external_ko_.bindingHandlers['dx-dashboard-item-binding'] = {
    init: function (element, valueAccessor, _, __, bindingContext) {
        var params = external_ko_.unwrap(valueAccessor());
        var dashboardItem = params.dashboardItem;
        let sizeController = params.sizeController;
        setElementSize(element, sizeController);
        element.classList.add('dx-dashboard-item-container');
        element.setAttribute('tabindex', '0');
        element.setAttribute('aria-label', (0,external_DevExpress_utils_string_.format)((0,index_internal.getLocalizationById)('DevExpressWebStringId.AriaLabel.DashboardItem'), dashboardItem?.name && dashboardItem.name()));
        var uiStateController = new DashboardUIItemStateController(element, params.dashboardItem, params.sizeController, bindingContext, () => {
            return renderItemViewer(element, dashboardItem, params.dashboardContext, params.localContext, params.sizeController);
        });
        resolver.execute(() => uiStateController.render(), 1);
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            uiStateController.dispose();
        });
        return { controlsDescendantBindings: true };
    }
};
external_ko_.bindingHandlers['dx-dashboard-layout-group-binding'] = {
    init: function (element, valueAccessor) {
        var _disposables = [];
        var params = external_ko_.unwrap(valueAccessor());
        element.classList.add('dx-dashboard-item-container');
        element.setAttribute('tabindex', '0');
        let sizeController = params.sizeController;
        setElementSize(element, sizeController);
        var itemViewerAdapter = params.dashboardContext.viewerItemsManager.create(params.dashboardItem, element, params.dashboardContext, params.localContext, viewerItem => {
            _disposables.push(external_ko_.computed(() => {
                params.headerHeight(params.dashboardItem.showCaption() ? DashboardItemHeaderHeight : 0);
            }));
            setElementSize(element, sizeController);
            _disposables.push(createItemSizeUpdater(viewerItem, params.sizeController));
        });
        itemViewerAdapter.initialize();
        _disposables.push(itemViewerAdapter);
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            _disposables.forEach(d => d.dispose());
        });
        return { controlsDescendantBindings: true };
    }
};
class DashboardUIItemStateController extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(_element, _dashboardItem, _sizeController, _bindingContext, _renderDashboardItem, _additionalClasses = []) {
        super();
        this._element = _element;
        this._dashboardItem = _dashboardItem;
        this._sizeController = _sizeController;
        this._bindingContext = _bindingContext;
        this._renderDashboardItem = _renderDashboardItem;
        this._additionalClasses = _additionalClasses;
        this._perUiStateSubscriptions = [];
        this._renderDashboardItemState = () => {
            this._perUiStateSubscriptions.forEach(d => d.dispose());
            this._perUiStateSubscriptions = [];
            if (this._dashboardItem._uiState() === 'live') {
                this._perUiStateSubscriptions.push(this._renderDashboardItem());
            }
            else {
                var { template, disposable } = getUiStateTemplate(this._dashboardItem, this._sizeController, this._additionalClasses);
                this._perUiStateSubscriptions.push(disposable);
                this._perUiStateSubscriptions.push(createElementSizeUpdater(this._element, this._sizeController));
                external_ko_.applyBindingsToNode(this._element, { template: template }, this._bindingContext);
            }
        };
    }
    render() {
        if (this._dashboardItem.disposed)
            return;
        this._renderDashboardItemState();
        this.addDisposable(this._dashboardItem._uiState.subscribe(() => this._renderDashboardItemState()));
    }
    dispose() {
        this._perUiStateSubscriptions.forEach(d => d.dispose());
        this._perUiStateSubscriptions = [];
        super.dispose();
    }
}

// EXTERNAL MODULE: ./dist/common/docking-layout/core/_layout-item.js
var _layout_item = __webpack_require__(6680);
;// ./dist/common/docking-layout/group-item/_group-item-bindings.js




class GroupViewModel extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(params) {
        super();
        this.defaultPadding = _layout_item/* SplitterSize */.ZZ * 2;
        this.padding = external_ko_.observable(this.defaultPadding);
        this.headerHeight = external_ko_.observable(DashboardItemHeaderHeight);
        this.addDisposable(this.layoutItem = external_ko_.computed(() => external_ko_.unwrap(params.layoutItem)));
        this.addDisposable(external_ko_.computed(() => {
            this.layoutItem().verticalPaddings(this.padding() * 2 + this.headerHeight());
            this.layoutItem().horizontalPaddings(this.padding() * 2);
        }).extend({ deferred: true }));
        this.addDisposable(external_ko_.computed(() => {
            this.layoutItem().setConstraints({
                min: {
                    width: this.layoutItem().items().length === 0 ? 100 : 0,
                    height: this.layoutItem().items().length === 0 ? 100 : 0
                },
                max: {
                    width: Number.MAX_VALUE,
                    height: Number.MAX_VALUE
                }
            });
        }));
    }
}
const _registerDxDashboardLayoutGroup = () => {
    const componentName = 'dx-dashboard-layout-group';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: GroupViewModel,
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(componentName)
    });
};

// EXTERNAL MODULE: ./dist/data/_utils.js
var _utils = __webpack_require__(4833);
;// ./dist/viewer-parts/layout/_tab-header-calculator.js
function calcTabHeadersWidth(tabsWidth, containerWidth, leftIndex, showCaption) {
    let actualTabsWidth = tabsWidth.map(width => 0);
    let actualLeftIndex = leftIndex;
    let rightIndex = 0;
    if (showCaption) {
        let widthSum = 0;
        let actualWidthSum = 0;
        for (let i = leftIndex; i < tabsWidth.length; i++) {
            if (widthSum + tabsWidth[i] <= containerWidth) {
                widthSum += tabsWidth[i];
                rightIndex = i;
            }
            else {
                break;
            }
        }
        if (rightIndex === tabsWidth.length - 1) {
            for (let i = leftIndex - 1; i >= 0; i--) {
                if (widthSum + tabsWidth[i] <= containerWidth) {
                    widthSum += tabsWidth[i];
                    actualLeftIndex = i;
                }
                else {
                    break;
                }
            }
        }
        for (let i = actualLeftIndex; i <= rightIndex; i++) {
            let width = Math.floor(containerWidth * (tabsWidth[i] / widthSum));
            actualTabsWidth[i] = width;
            actualWidthSum += width;
        }
        let remainder = containerWidth - actualWidthSum;
        for (let i = rightIndex; i >= 0; i--) {
            if (remainder > 0) {
                actualTabsWidth[i]++;
                remainder--;
            }
            else {
                break;
            }
        }
    }
    else {
        rightIndex = leftIndex;
        actualTabsWidth[leftIndex] = containerWidth;
    }
    return {
        widths: actualTabsWidth,
        leftVisibleIndex: actualLeftIndex,
        rightVisibleIndex: rightIndex
    };
}

// EXTERNAL MODULE: ./dist/data/_common.js
var _common = __webpack_require__(7739);
// EXTERNAL MODULE: ./dist/data/_factory.js
var _factory = __webpack_require__(1286);
// EXTERNAL MODULE: ./dist/data/_formatter.js
var _formatter = __webpack_require__(6726);
// EXTERNAL MODULE: ./dist/data/_localization-ids.js
var _localization_ids = __webpack_require__(4216);
// EXTERNAL MODULE: ./dist/data/_localizer.js
var _localizer = __webpack_require__(4999);
// EXTERNAL MODULE: ./dist/data/_z-index.js
var _z_index = __webpack_require__(611);
// EXTERNAL MODULE: ./dist/data/localization/_default.js
var _default = __webpack_require__(9167);
;// ./dist/viewer-parts/_dashboard-layout-mode-helper.js


class DashboardLayoutModeHelper {
    static get isMobile() {
        if (DashboardLayoutModeHelper._forceMobileMode !== null)
            return DashboardLayoutModeHelper._forceMobileMode;
        return external_DevExpress_devices_default().current().phone || external_DevExpress_devices_default().current().tablet;
    }
    static set isMobile(value) {
        DashboardLayoutModeHelper._forceMobileMode = value;
    }
    static get isTouch() {
        if (DashboardLayoutModeHelper._forceTouchMode !== null)
            return DashboardLayoutModeHelper._forceTouchMode;
        return external_DevExpress_utils_support_namespaceObject.touch;
    }
    static set isTouch(value) {
        DashboardLayoutModeHelper._forceTouchMode = value;
    }
}
DashboardLayoutModeHelper._forceTouchMode = null;
DashboardLayoutModeHelper._forceMobileMode = null;

;// ./dist/viewer-parts/layout/_utils.layout.js

let size = function (w, h) {
    return {
        width: w,
        height: h,
        plus: function (arg) {
            var correctSize = function (value, addition) {
                return (Number.MAX_VALUE - value >= addition) ? value + addition : Number.MAX_VALUE;
            };
            return size(correctSize(this.width, arg.width), correctSize(this.height, arg.height));
        },
        minus: function (arg) {
            return size(this.width - arg.width, this.height - arg.height);
        },
        compareByDirections: function (size) {
            if (!size) {
                return ['width', 'height'];
            }
            else {
                var differentDirections = [];
                if (size.width != this.width)
                    differentDirections.push('width');
                if (size.height != this.height)
                    differentDirections.push('height');
                return differentDirections;
            }
        },
        constrain: function (constraints) {
            var that = this, ensureDirection = function (direction) {
                return ensureRange(that[direction], constraints.min[direction], constraints.max[direction]);
            };
            return size(ensureDirection('width'), ensureDirection('height'));
        },
        clone: function () {
            return size(this.width, this.height);
        }
    };
};
let constraints = function (pMin, pMax) {
    return {
        min: pMin,
        max: pMax,
        consolidate: function (sourceConstraints, consolidateDirection) {
            return constraints(this._consolidatePart(sourceConstraints, consolidateDirection, 'min'), this._consolidatePart(sourceConstraints, consolidateDirection, 'max'));
        },
        isFixed: function (direction) {
            if (direction) {
                var differentDirections = this.min.compareByDirections(this.max);
                return differentDirections.indexOf(direction) === -1;
            }
            else {
                return false;
            }
        },
        _consolidatePart: function (sourceConstraints, consolidateDirection, part) {
            var that = this, resultSize = size(), direction = consolidateDirection ? consolidateDirection : 'width', crossDirection = getCrossDirection(direction), consolidateSumFunc = function (currentDirection) {
                var val1 = that[part][currentDirection], val2 = sourceConstraints[part][currentDirection];
                return (val1 === Number.MAX_VALUE || val2 === Number.MAX_VALUE) ? Number.MAX_VALUE : (val1 + val2);
            }, consolidateMaxMinFunc = function (currentDirection, isCross) {
                var val1 = that[part][currentDirection], val2 = sourceConstraints[part][currentDirection];
                return (part === 'min' || isCross) ? Math.max(val1, val2) : Math.min(val1, val2);
            };
            resultSize[direction] = consolidateDirection ? consolidateSumFunc(direction) : consolidateMaxMinFunc(direction, false);
            resultSize[crossDirection] = consolidateMaxMinFunc(crossDirection, !!consolidateDirection);
            return resultSize;
        }
    };
};
let nonClientElement = function (width, height) {
    var resultSize = size(width, height);
    return {
        getBounds: function () {
            return resultSize.clone();
        }
    };
};
let getCrossDirection = function (direction) {
    return direction === 'width' ? 'height' : 'width';
};
let defConstraints = function (valueMin, valueMax) {
    var paramValueMin = valueMin === undefined ? 0 : valueMin, paramValueMax = valueMax === undefined ? Number.MAX_VALUE : valueMax;
    return new this.constraints(new this.size(paramValueMin, paramValueMin), new this.size(paramValueMax, paramValueMax));
};
let defSizeInPercents = function (direction, value) {
    var size = new this.size(1, 1);
    size[direction] = value;
    return size;
};
let checkRange = function (value, min, max) {
    return min <= value && value <= max;
};
let ensureRange = function (value, min, max) {
    return Math.max(Math.min(value, max), min);
};
let deepCloneObject = function (injectObject, sourceObject, noDeepCopyPropsValues) {
    var copyObj = {};
    (0,_jquery_helpers/* extend */.X$)(copyObj, sourceObject);
    for (var prop in noDeepCopyPropsValues)
        delete copyObj[prop];
    (0,_jquery_helpers/* deepExtend */.zw)(injectObject, copyObj);
    (0,_jquery_helpers/* extend */.X$)(injectObject, noDeepCopyPropsValues);
    return injectObject;
};

// EXTERNAL MODULE: ./dist/viewer-parts/viewer/_dashboard-viewer-constants.js
var _dashboard_viewer_constants = __webpack_require__(1229);
// EXTERNAL MODULE: ./dist/viewer-parts/widgets/_render-helper.js
var _render_helper = __webpack_require__(2850);
;// ./dist/viewer-parts/_export-options.js

let dashboardExportPaperKind = {
    letter: 'Letter',
    legal: 'Legal',
    executive: 'Executive',
    a5: 'A5',
    a4: 'A4',
    a3: 'A3'
};
let dashboardExportPageLayout = {
    auto: 'Auto',
    portrait: 'Portrait',
    landscape: 'Landscape'
};
let dashboardExportScaleMode = {
    none: 'None',
    useScaleFactor: 'UseScaleFactor',
    autoFitToPageWidth: 'AutoFitToPageWidth',
    autoFitWithinOnePage: 'AutoFitWithinOnePage'
};
let dashboardExportDocumentScaleMode = {
    none: 'None',
    useScaleFactor: 'UseScaleFactor',
    autoFitToPagesWidth: 'AutoFitToPagesWidth',
};
let exportFormats = {
    pdf: 'PDF',
    image: 'Image',
    excel: 'Excel'
};
let dashboardExportFilterState = {
    none: 'None',
    after: 'Below',
    afterAndSplitPage: 'SeparatePage',
};
let excelExportFilterState = {
    none: 'None',
    below: 'Below',
    separateSheet: 'SeparateSheet'
};
let dashboardExportImageFormat = {
    png: 'Png',
    gif: 'Gif',
    jpg: 'Jpg'
};
let dashboardExportExcelFormat = {
    csv: 'Csv',
    xls: 'Xls',
    xlsx: 'Xlsx'
};
let dashboardExportSizeMode = {
    none: 'None',
    stretch: 'Stretch',
    zoom: 'Zoom'
};
let dashboardStateExportPosition = {
    below: 'Below',
    separatePage: 'SeparatePage'
};
let dashboardStateExcelExportPosition = {
    below: 'Below',
    separateSheet: 'SeparateSheet'
};
class ExportOptions {
    constructor() {
        let defaultFontInfoName = undefined;
        let defaultGdiCharSet = 0;
        let defaultUseCustomFontInfo = false;
        this.pdfExportOptions = {
            Title: ExportOptions.DefaultTitle,
            AutoFitPageCount: 1,
            CardAutoArrangeContent: true,
            ChartAutomaticPageLayout: true,
            ChartSizeMode: 'Zoom',
            ExportFilters: false,
            ExportParameters: false,
            DashboardStatePosition: 'Below',
            GaugeAutoArrangeContent: true,
            GridFitToPageWidth: true,
            GridPrintHeadersOnEveryPage: true,
            MapAutomaticPageLayout: true,
            MapSizeMode: 'Zoom',
            PageLayout: 'Portrait',
            PaperKind: 'Letter',
            PieAutoArrangeContent: true,
            PivotPrintHeadersOnEveryPage: true,
            RangeFilterAutomaticPageLayout: true,
            RangeFilterSizeMode: 'Stretch',
            ScaleFactor: 1.0,
            DocumentScaleMode: 'None',
            DashboardAutomaticPageLayout: true,
            ShowTitle: true,
            TreemapAutomaticPageLayout: true,
            TreemapSizeMode: 'Zoom',
            IncludeHiddenParameters: false,
            FontInfo: {
                Name: defaultFontInfoName,
                GdiCharSet: defaultGdiCharSet,
                UseCustomFontInfo: defaultUseCustomFontInfo
            }
        };
        this.imageExportOptions = {
            Title: ExportOptions.DefaultTitle,
            Format: 'Png',
            Resolution: 96,
            ExportFilters: false,
            ExportParameters: false,
            ScaleFactor: 1.0,
            ShowTitle: true,
            IncludeHiddenParameters: false,
            FontInfo: {
                Name: defaultFontInfoName,
                GdiCharSet: defaultGdiCharSet,
                UseCustomFontInfo: defaultUseCustomFontInfo
            }
        };
        this.excelExportOptions = {
            CsvValueSeparator: ',',
            ExportFilters: false,
            ExportParameters: false,
            DashboardStatePosition: 'Below',
            Format: 'Xlsx',
            IncludeHiddenParameters: false
        };
    }
    convertToExportOptions(clientOptions) {
        if (!clientOptions)
            return this;
        let argumentExportOptions = clientOptions;
        let argumentAspxOptions = clientOptions;
        let argumentPdfOptions = clientOptions;
        let argumentImageOptions = clientOptions;
        let argumentExcelOptions = clientOptions;
        let currentPdfOptions = this.pdfExportOptions;
        let currentImageOptions = this.imageExportOptions;
        let currentExcelOptions = this.excelExportOptions;
        let clientPdfOptions = argumentExportOptions.pdfExportOptions ? argumentExportOptions.pdfExportOptions : argumentPdfOptions;
        let clientImageOptions = argumentExportOptions.imageExportOptions ? argumentExportOptions.imageExportOptions : argumentImageOptions;
        let clientExcelOptions = argumentExportOptions.excelExportOptions ? argumentExportOptions.excelExportOptions : argumentExcelOptions;
        let clientDashboardPdfOptions = clientPdfOptions;
        let clientDashboardImageOptions = clientImageOptions;
        let pdfOptions = {
            Title: 'Title' in clientPdfOptions ? clientPdfOptions.Title : currentPdfOptions.Title,
            ShowTitle: _utils/* type */.NW.isDefined(clientPdfOptions.ShowTitle) ? clientPdfOptions.ShowTitle !== 'False' && clientPdfOptions.ShowTitle !== false : currentPdfOptions.ShowTitle,
            AutoFitPageCount: clientPdfOptions.AutoFitPageCount || currentPdfOptions.AutoFitPageCount,
            CardAutoArrangeContent: this._getDefinedValue(argumentAspxOptions.CardOptions, 'AutoArrangeContent', clientDashboardPdfOptions.CardAutoArrangeContent, currentPdfOptions.CardAutoArrangeContent),
            ChartAutomaticPageLayout: this._getDefinedValue(argumentAspxOptions.ChartOptions, 'AutomaticPageLayout', clientDashboardPdfOptions.ChartAutomaticPageLayout, currentPdfOptions.ChartAutomaticPageLayout),
            ChartSizeMode: this._getDefinedValue(argumentAspxOptions.ChartOptions, 'SizeMode', clientDashboardPdfOptions.ChartSizeMode, currentPdfOptions.ChartSizeMode),
            ExportFilters: this._getExportFilters(clientPdfOptions, currentPdfOptions.ExportFilters),
            ExportParameters: _utils/* type */.NW.isDefined(clientDashboardPdfOptions.ExportParameters) ? clientDashboardPdfOptions.ExportParameters : currentPdfOptions.ExportParameters,
            DashboardStatePosition: this._getPdfDashboardStatePosition(clientPdfOptions, currentPdfOptions.DashboardStatePosition),
            GaugeAutoArrangeContent: this._getDefinedValue(argumentAspxOptions.GaugeOptions, 'AutoArrangeContent', clientDashboardPdfOptions.GaugeAutoArrangeContent, currentPdfOptions.GaugeAutoArrangeContent),
            GridFitToPageWidth: this._getDefinedValue(argumentAspxOptions.GridOptions, 'FitToPageWidth', clientDashboardPdfOptions.GridFitToPageWidth, currentPdfOptions.GridFitToPageWidth),
            GridPrintHeadersOnEveryPage: this._getDefinedValue(argumentAspxOptions.GridOptions, 'PrintHeadersOnEveryPage', clientDashboardPdfOptions.GridPrintHeadersOnEveryPage, currentPdfOptions.GridPrintHeadersOnEveryPage),
            MapAutomaticPageLayout: this._getDefinedValue(argumentAspxOptions.MapOptions, 'AutomaticPageLayout', clientDashboardPdfOptions.MapAutomaticPageLayout, currentPdfOptions.MapAutomaticPageLayout),
            MapSizeMode: this._getDefinedValue(argumentAspxOptions.MapOptions, 'SizeMode', clientDashboardPdfOptions.MapSizeMode, currentPdfOptions.MapSizeMode),
            PageLayout: clientPdfOptions.PageLayout || currentPdfOptions.PageLayout,
            PaperKind: clientPdfOptions.PaperKind || currentPdfOptions.PaperKind,
            PieAutoArrangeContent: this._getDefinedValue(argumentAspxOptions.PieOptions, 'AutoArrangeContent', clientDashboardPdfOptions.PieAutoArrangeContent, currentPdfOptions.PieAutoArrangeContent),
            PivotPrintHeadersOnEveryPage: this._getDefinedValue(argumentAspxOptions.PivotOptions, 'PrintHeadersOnEveryPage', clientDashboardPdfOptions.PivotPrintHeadersOnEveryPage, currentPdfOptions.PivotPrintHeadersOnEveryPage),
            RangeFilterAutomaticPageLayout: this._getDefinedValue(argumentAspxOptions.RangeFilterOptions, 'AutomaticPageLayout', clientDashboardPdfOptions.RangeFilterAutomaticPageLayout, currentPdfOptions.RangeFilterAutomaticPageLayout),
            RangeFilterSizeMode: this._getDefinedValue(argumentAspxOptions.RangeFilterOptions, 'SizeMode', clientDashboardPdfOptions.RangeFilterSizeMode, currentPdfOptions.RangeFilterSizeMode),
            ScaleFactor: clientPdfOptions.ScaleFactor || currentPdfOptions.ScaleFactor,
            DocumentScaleMode: clientDashboardPdfOptions.DocumentScaleMode || (argumentAspxOptions.ScaleMode && this._convertScaleModeToDocumentScaleMode(argumentAspxOptions.ScaleMode)) || currentPdfOptions.DocumentScaleMode,
            DashboardAutomaticPageLayout: this._getDashboardAutomaticPageLayout(clientPdfOptions, currentPdfOptions.DashboardAutomaticPageLayout),
            TreemapAutomaticPageLayout: this._getDefinedValue(argumentAspxOptions.TreemapOptions, 'AutomaticPageLayout', clientDashboardPdfOptions.TreemapAutomaticPageLayout, currentPdfOptions.TreemapAutomaticPageLayout),
            TreemapSizeMode: this._getDefinedValue(argumentAspxOptions.TreemapOptions, 'SizeMode', clientDashboardPdfOptions.TreemapSizeMode, currentPdfOptions.TreemapSizeMode),
            IncludeHiddenParameters: _utils/* type */.NW.isDefined(clientDashboardPdfOptions.IncludeHiddenParameters) ? clientDashboardPdfOptions.IncludeHiddenParameters : currentPdfOptions.IncludeHiddenParameters,
            FontInfo: {
                Name: this._getDefinedValue(clientDashboardPdfOptions.FontInfo, 'Name', undefined, currentPdfOptions.FontInfo.Name),
                GdiCharSet: this._getDefinedValue(clientDashboardPdfOptions.FontInfo, 'GdiCharSet', undefined, currentPdfOptions.FontInfo.GdiCharSet),
                UseCustomFontInfo: this._getDefinedValue(clientDashboardPdfOptions.FontInfo, 'UseCustomFontInfo', undefined, currentPdfOptions.FontInfo.UseCustomFontInfo),
            }
        };
        let imageOptions = {
            Title: clientImageOptions.Title || currentImageOptions.Title,
            Format: this._getImageFormat(clientImageOptions, currentImageOptions.Format),
            Resolution: (argumentAspxOptions.ImageOptions ? argumentAspxOptions.ImageOptions.Resolution : clientDashboardImageOptions.Resolution) || currentImageOptions.Resolution,
            ExportFilters: this._getExportFilters(clientImageOptions, currentImageOptions.ExportFilters),
            ExportParameters: _utils/* type */.NW.isDefined(clientDashboardImageOptions.ExportParameters) ? clientDashboardImageOptions.ExportParameters : currentImageOptions.ExportParameters,
            ScaleFactor: clientImageOptions.ScaleFactor || currentImageOptions.ScaleFactor,
            ShowTitle: _utils/* type */.NW.isDefined(clientImageOptions.ShowTitle) ? clientImageOptions.ShowTitle !== 'False' && clientImageOptions.ShowTitle !== false : currentImageOptions.ShowTitle,
            IncludeHiddenParameters: _utils/* type */.NW.isDefined(clientDashboardImageOptions.IncludeHiddenParameters) ? clientDashboardImageOptions.IncludeHiddenParameters : currentImageOptions.IncludeHiddenParameters,
            FontInfo: {
                Name: this._getDefinedValue(clientDashboardImageOptions.FontInfo, 'Name', undefined, currentImageOptions.FontInfo.Name),
                GdiCharSet: this._getDefinedValue(clientDashboardImageOptions.FontInfo, 'GdiCharSet', undefined, currentImageOptions.FontInfo.GdiCharSet),
                UseCustomFontInfo: this._getDefinedValue(clientDashboardImageOptions.FontInfo, 'UseCustomFontInfo', undefined, currentImageOptions.FontInfo.UseCustomFontInfo),
            }
        };
        let excelOptions = {
            CsvValueSeparator: (argumentAspxOptions.ExcelOptions ? argumentAspxOptions.ExcelOptions.CsvValueSeparator : clientExcelOptions.CsvValueSeparator) || currentExcelOptions.CsvValueSeparator,
            ExportFilters: this._getExportFilters(clientExcelOptions, currentExcelOptions.ExportFilters),
            ExportParameters: clientExcelOptions.ExportParameters || currentExcelOptions.ExportParameters,
            DashboardStatePosition: this._getExcelDashboardStatePosition(clientExcelOptions, currentExcelOptions.DashboardStatePosition),
            Format: this._getExcelFormat(clientExcelOptions, currentExcelOptions.Format),
            IncludeHiddenParameters: _utils/* type */.NW.isDefined(clientExcelOptions.IncludeHiddenParameters) ? clientExcelOptions.IncludeHiddenParameters : currentExcelOptions.IncludeHiddenParameters
        };
        let options = new ExportOptions();
        options.pdfExportOptions = pdfOptions;
        options.imageExportOptions = imageOptions;
        options.excelExportOptions = excelOptions;
        return options;
    }
    convertToASPxClientDashboardExportOptions() {
        return {
            PaperKind: this.pdfExportOptions.PaperKind,
            PageLayout: this.pdfExportOptions.PageLayout,
            ScaleMode: this._convertDocumentScaleModeToScaleMode(this.pdfExportOptions.DocumentScaleMode, this.pdfExportOptions.DashboardAutomaticPageLayout),
            ScaleFactor: this.pdfExportOptions.ScaleFactor,
            AutoFitPageCount: this.pdfExportOptions.AutoFitPageCount,
            Title: this.pdfExportOptions.Title,
            ShowTitle: this.pdfExportOptions.ShowTitle,
            FilterState: this._getPdfFilterState(),
            ImageOptions: {
                Format: this.imageExportOptions.Format,
                Resolution: this.imageExportOptions.Resolution,
            },
            ExcelOptions: {
                CsvValueSeparator: this.excelExportOptions.CsvValueSeparator,
                Format: this.excelExportOptions.Format,
                FilterState: this._getExcelFilterState()
            },
            GridOptions: {
                FitToPageWidth: this.pdfExportOptions.GridFitToPageWidth,
                PrintHeadersOnEveryPage: this.pdfExportOptions.GridPrintHeadersOnEveryPage
            },
            PivotOptions: {
                PrintHeadersOnEveryPage: this.pdfExportOptions.PivotPrintHeadersOnEveryPage
            },
            PieOptions: {
                AutoArrangeContent: this.pdfExportOptions.PieAutoArrangeContent
            },
            GaugeOptions: {
                AutoArrangeContent: this.pdfExportOptions.GaugeAutoArrangeContent
            },
            CardOptions: {
                AutoArrangeContent: this.pdfExportOptions.CardAutoArrangeContent
            },
            RangeFilterOptions: {
                AutomaticPageLayout: this.pdfExportOptions.RangeFilterAutomaticPageLayout,
                SizeMode: this.pdfExportOptions.RangeFilterSizeMode,
            },
            ChartOptions: {
                AutomaticPageLayout: this.pdfExportOptions.ChartAutomaticPageLayout,
                SizeMode: this.pdfExportOptions.ChartSizeMode,
            },
            MapOptions: {
                AutomaticPageLayout: this.pdfExportOptions.MapAutomaticPageLayout,
                SizeMode: this.pdfExportOptions.MapSizeMode
            },
            TreemapOptions: {
                AutomaticPageLayout: this.pdfExportOptions.TreemapAutomaticPageLayout,
                SizeMode: this.pdfExportOptions.TreemapSizeMode
            }
        };
    }
    setExcelOptions(options) {
        this.excelExportOptions = this.convertToExportOptions(options).excelExportOptions;
    }
    setImageOptions(options) {
        this.imageExportOptions = this.convertToExportOptions(options).imageExportOptions;
    }
    setPdfOptions(options) {
        this.pdfExportOptions = this.convertToExportOptions(options).pdfExportOptions;
    }
    setOptions(options) {
        let exportOptions = this.convertToExportOptions(options);
        this.pdfExportOptions = exportOptions.pdfExportOptions;
        this.imageExportOptions = exportOptions.imageExportOptions;
        this.excelExportOptions = exportOptions.excelExportOptions;
    }
    _getPdfDashboardStatePosition(clientOptions, currentValue) {
        if (clientOptions.DashboardStatePosition && clientOptions.DashboardStatePosition !== 'SeparateSheet')
            return clientOptions.DashboardStatePosition;
        return clientOptions.FilterState && clientOptions.FilterState !== 'None' ? clientOptions.FilterState : currentValue;
    }
    _getExcelDashboardStatePosition(clientOptions, currentValue) {
        if (clientOptions.DashboardStatePosition && clientOptions.DashboardStatePosition !== 'SeparatePage')
            return clientOptions.DashboardStatePosition;
        return clientOptions.ExcelOptions && clientOptions.ExcelOptions.FilterState && clientOptions.ExcelOptions.FilterState !== 'None' ? clientOptions.ExcelOptions.FilterState : currentValue;
    }
    _getImageFormat(clientOptions, currentValue) {
        if (clientOptions.Format && (clientOptions.Format === 'Png' || clientOptions.Format === 'Jpeg' || clientOptions.Format === 'Jpg' || clientOptions.Format === 'Gif'))
            return this._correctImageFormat(clientOptions.Format);
        return clientOptions.ImageOptions ? clientOptions.ImageOptions.Format : currentValue;
    }
    _getExcelFormat(clientOptions, currentValue) {
        if (clientOptions.Format && (clientOptions.Format === 'Csv' || clientOptions.Format === 'Xls' || clientOptions.Format === 'Xlsx'))
            return clientOptions.Format;
        return clientOptions.ExcelOptions ? clientOptions.ExcelOptions.Format : currentValue;
    }
    _getDefinedValue(oldOptions, oldProperty, newValue, currentValue) {
        if (_utils/* type */.NW.isDefined(oldOptions))
            return oldOptions[oldProperty];
        if (_utils/* type */.NW.isDefined(newValue))
            return newValue;
        return currentValue;
    }
    _getExportFilters(clientOptions, currentValue) {
        if (_utils/* type */.NW.isDefined(clientOptions.ExportFilters))
            return clientOptions.ExportFilters;
        if (_utils/* type */.NW.isDefined(clientOptions.FilterState))
            return clientOptions.FilterState !== 'None';
        return currentValue;
    }
    _getDashboardAutomaticPageLayout(clientOptions, currentValue) {
        if (_utils/* type */.NW.isDefined(clientOptions.DashboardAutomaticPageLayout))
            return clientOptions.DashboardAutomaticPageLayout;
        if (_utils/* type */.NW.isDefined(clientOptions.ScaleMode))
            return clientOptions.ScaleMode === dashboardExportScaleMode.autoFitWithinOnePage;
        return currentValue;
    }
    _convertDocumentScaleModeToScaleMode(documentScaleMode, dashboardAutomaticPageLayout) {
        switch (documentScaleMode) {
            case dashboardExportDocumentScaleMode.autoFitToPagesWidth:
                return dashboardExportScaleMode.autoFitToPageWidth;
            case dashboardExportDocumentScaleMode.useScaleFactor:
                return dashboardExportScaleMode.useScaleFactor;
            default:
                return dashboardAutomaticPageLayout ? dashboardExportScaleMode.autoFitWithinOnePage : dashboardExportScaleMode.none;
        }
    }
    _convertScaleModeToDocumentScaleMode(scaleMode) {
        switch (scaleMode) {
            case dashboardExportScaleMode.autoFitToPageWidth:
                return dashboardExportDocumentScaleMode.autoFitToPagesWidth;
            case dashboardExportScaleMode.useScaleFactor:
                return dashboardExportDocumentScaleMode.useScaleFactor;
            default:
                return dashboardExportDocumentScaleMode.none;
        }
    }
    _getPdfFilterState() {
        if (!this.pdfExportOptions.ExportFilters && !this.pdfExportOptions.ExportParameters)
            return 'None';
        return this.pdfExportOptions.DashboardStatePosition;
    }
    _getExcelFilterState() {
        if (!this.excelExportOptions.ExportFilters && !this.excelExportOptions.ExportParameters)
            return 'None';
        return this.excelExportOptions.DashboardStatePosition;
    }
    _correctImageFormat(imageFormat) {
        return imageFormat === 'Jpeg' ? dashboardExportImageFormat.jpg : imageFormat;
    }
}
ExportOptions.DefaultTitle = undefined;
ExportOptions.DefaultFileName = undefined;

;// ./dist/viewer-parts/widgets/caption-toolbar/_caption-toolbar-css-classes.js

let cssClasses = {
    caption: 'dx-dashboard-caption-toolbar',
    actionToolbar: 'dx-dashboard-action-toolbar',
    contentToolbar: 'dx-dashboard-content-toolbar',
    captionBorder: 'dx-dashboard-caption-toolbar-border',
    title: 'dx-dashboard-title-toolbar',
    captionPanelSeparator: 'dx-caption-panel-separator',
    popoverIconMenuWrapper: 'dx-dashboard-icon-menu-popover-wrapper',
    popoverListWrapper: 'dx-dashboard-list-popover-wrapper',
    floatingContainer: 'dx-dashboard-floating-caption-panel-container',
    iconClearMasterFilter: 'dx-dashboard-clear-master-filter',
    iconClearSelection: 'dx-dashboard-clear-selection',
    iconDrillUp: 'dx-dashboard-drill-up',
    iconMultiselection: 'dx-dashboard-toggle-multiselection',
    iconItemExport: 'dx-dashboard-export',
    iconExportToPDF: 'dx-dashboard-export-to-pdf',
    iconExportToImage: 'dx-dashboard-export-to-image',
    iconExportToExcel: 'dx-dashboard-export-to-excel',
    iconContentSelection: 'dx-dashboard-content-selection',
    iconLimitVisibleData: 'dx-dashboard-data-reduced',
    iconParameters: 'dx-dashboard-parameters',
    iconFilter: 'dx-dashboard-filter',
    iconTimePeriods: 'dx-dashboard-range-time-periods',
    iconInitialExtent: 'dx-dashboard-map-initial-extent',
    iconBack: 'dx-dashboard-back',
    ellipsisIcon: 'dx-dashboard-open-tab-pages',
    tooltipLimitVisibleData: 'dx-dashboard-tooltip-limit-visible-data',
    checked: 'dx-dashboard-checked',
    textButton: 'text-button',
    filterText: 'filter-text',
    dashboardContainer: 'dx-dashboard-container',
    toolbarItem: 'dx-toolbar-item',
    toolbarBefore: 'dx-toolbar-before',
    toolbarAfter: 'dx-toolbar-after',
    toolbarCenter: 'dx-toolbar-center',
    ellipsisText: 'dx-dashboard-ellipsis',
    flexParent: 'dx-dashboard-flex-parent',
    truncated: 'dx-dashboard-truncated',
    fixed: 'dx-dashboard-fixed',
    buttonBack: 'dx-dashboard-back-button',
    toolbarPreview: 'dx-dashboard-toolbar-preview'
};
function _convertToExportFormat(exportIcon) {
    switch (exportIcon) {
        case cssClasses.iconExportToExcel:
            return exportFormats.excel;
        case cssClasses.iconExportToImage:
            return exportFormats.image;
        default:
            return exportFormats.pdf;
    }
}
let Settings = {
    allowExportToImage: true
};

;// ./dist/viewer-parts/widgets/caption-toolbar/_caption-toolbar-arranger.js
function arrangeToolbarItems(staticItems = [], actionItems = [], stateItems = [], navigationItems = [], showStaticItemsOnCenter = false) {
    let items = [];
    navigationItems.forEach(button => {
        items.push({
            ...button,
            location: staticItems.length !== 0 ? 'before' : 'after',
        });
    });
    staticItems.forEach(button => {
        items.push({
            ...button,
            location: showStaticItemsOnCenter ? 'center' : 'before'
        });
    });
    actionItems.forEach(button => {
        items.push({
            ...button,
            location: 'after'
        });
    });
    if (actionItems.length !== 0 && stateItems.length !== 0) {
        items.push({
            location: 'after',
            isSeparator: true
        });
    }
    stateItems.forEach(button => {
        items.push({
            ...button,
            location: 'after'
        });
    });
    return items;
}
function arrangeFloatingToolbarItems(itemOptions) {
    return arrangeToolbarItems(undefined, itemOptions.actionItems, itemOptions.stateItems, itemOptions.navigationItems);
}
function arrangeHoveredToolbarItems(itemOptions, containerHovered, disabled) {
    return arrangeToolbarItems(itemOptions.staticItems, containerHovered && !disabled ? itemOptions.actionItems : undefined, itemOptions.stateItems, itemOptions.navigationItems);
}
function arrangeTitleToolbarItems(itemOptions, showStaticItemsOnCenter) {
    return arrangeToolbarItems(itemOptions.staticItems, itemOptions.actionItems, itemOptions.stateItems, itemOptions.navigationItems, showStaticItemsOnCenter);
}
function arrangeStaticToolbarItems(itemOptions, disabled) {
    return arrangeToolbarItems(itemOptions.staticItems, disabled ? undefined : itemOptions.actionItems, itemOptions.stateItems, itemOptions.navigationItems);
}

// EXTERNAL MODULE: external "DevExpress.ui.dxTooltip"
var external_DevExpress_ui_dxTooltip_ = __webpack_require__(3436);
var external_DevExpress_ui_dxTooltip_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTooltip_);
;// external "DevExpress.ui.dxPopover"
const external_DevExpress_ui_dxPopover_namespaceObject = DevExpress.ui.dxPopover;
var external_DevExpress_ui_dxPopover_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxPopover_namespaceObject);
;// external "DevExpress.ui.dxTileView"
const external_DevExpress_ui_dxTileView_namespaceObject = DevExpress.ui.dxTileView;
var external_DevExpress_ui_dxTileView_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxTileView_namespaceObject);
;// ./dist/viewer-parts/viewer-items/_utils.js

function getControlContainer(element) {
    return external_jQuery_.fn.constructor(element).closest('.dx-dashboard-widget-container')[0];
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_popup-menu-creator.js








class PopupMenuCreator {
    static toggleMenu(element, menu, container, controlContainer, onMenuItemClick) {
        let popoverOptions = this._createPopoverOptions(element, menu, container, controlContainer);
        let onItemClick = (data) => {
            popover.hide();
            if (onMenuItemClick) {
                onMenuItemClick();
            }
            if (menu.itemClick)
                menu.itemClick(data.itemData, (0,external_DevExpress_Analytics_Internal_.$unwrap)(data.itemElement), data.itemIndex);
        };
        if (menu.type === 'icons') {
            popoverOptions.contentTemplate = (contentElement) => {
                let div = document.createElement('div');
                new (external_DevExpress_ui_dxTileView_default())(div, this._createTileViewOptions(menu, onItemClick));
                div.setAttribute('aria-role', 'tooltip');
                div.setAttribute('aria-label', menu.title);
                return div;
            };
        }
        else {
            popoverOptions.contentTemplate = (contentElement) => {
                return new (external_DevExpress_ui_dxList_default())(document.createElement('div'), this._createListOptions(menu, onItemClick)).element();
            };
        }
        let popoverClass = menu.type === 'icons' ? cssClasses.popoverIconMenuWrapper : cssClasses.popoverListWrapper;
        popoverOptions.wrapperAttr = { class: popoverClass };
        let popoverContainer = this._getPopupContainer(element, 'dx-dashboard-popover-marker');
        var popover = external_DevExpress_ui_dxPopover_default().getInstance(popoverContainer);
        if (popover) {
            popover.option('visible') ? popover.hide() : popover.show();
            popover.option(popoverOptions);
        }
        else {
            popover = new (external_DevExpress_ui_dxPopover_default())(popoverContainer, popoverOptions);
            popover.show();
        }
    }
    static _createPopoverOptions(element, menu, container, controlContainer) {
        let focusableParent = PopupMenuCreator.getParentWithTabIndex(element);
        if (!focusableParent)
            focusableParent = element;
        let div = document.createElement('div');
        focusableParent.insertAdjacentElement('afterend', div);
        return {
            width: 'auto',
            height: 'auto',
            target: element,
            toolbarItems: menu.type === 'icons' && menu.title ? [{ location: 'center', text: menu.title }] : [],
            animation: {
                show: { type: 'pop', from: { opacity: 1, scale: 0 }, to: { scale: 1 } },
                hide: { type: 'pop', from: { scale: 1 }, to: { scale: 0 } }
            },
            position: {
                my: 'top',
                at: 'bottom',
                collision: 'fit flip',
                of: focusableParent,
                boundary: controlContainer
            },
            container: container,
            onShown: (e) => {
                if (e.component.option('visible')) {
                    const element = (0,external_DevExpress_Analytics_Internal_.$unwrap)(e.component.content());
                    let popoverContent = element && element.querySelector('[tabindex]:not([tabindex="-1"]');
                    popoverContent && popoverContent.focus();
                }
            },
            onHidden(e) {
                const target = PopupMenuCreator.getParentWithTabIndex(e.component.option('target'));
                if (target) {
                    target.focus();
                }
            },
        };
    }
    static _createTileViewOptions(menu, onItemClick) {
        let itemsCount = menu.items.length;
        let columnCount = menu.columnCount ? Math.min(menu.columnCount, itemsCount) : itemsCount;
        return {
            direction: 'horizontal',
            dataSource: menu.items,
            height: this._icon_menu_element_size * Math.ceil(itemsCount / columnCount),
            itemMargin: 0,
            baseItemHeight: this._icon_menu_element_size,
            baseItemWidth: this._icon_menu_element_size,
            itemTemplate: menu.itemTemplate ? menu.itemTemplate : (itemData, itemIndex, itemElement) => {
                return (0,_utils/* getTemplate */.$F)(menu.items[itemIndex]);
            },
            onItemClick: onItemClick
        };
    }
    static _createListOptions(menu, onItemClick) {
        let listOptions = {
            selectionMode: menu.selectionMode || 'none',
            selectedItems: menu.selectedItems || [],
            dataSource: menu.items,
            onItemClick: onItemClick
        };
        if (menu.itemTemplate) {
            listOptions.itemTemplate = menu.itemTemplate;
        }
        return listOptions;
    }
    static _getPopupContainer(element, markerClassName) {
        let popupContainer = element.querySelectorAll('.' + markerClassName);
        if (popupContainer.length > 1) {
            console.log('Multiple popovers');
        }
        else if (popupContainer.length === 0) {
            let div = document.createElement('div');
            div.classList.add(markerClassName);
            element.appendChild(div);
            return div;
        }
        else {
            return popupContainer[0];
        }
    }
    static getParentWithTabIndex(element) {
        const controlContainer = getControlContainer(element);
        if (!element || !element.parentElement || element === controlContainer)
            return null;
        const parent = element.parentElement;
        if (parent?.hasAttribute('tabindex')) {
            return parent;
        }
        else {
            return PopupMenuCreator.getParentWithTabIndex(parent);
        }
    }
}
PopupMenuCreator._icon_menu_element_size = 65;

;// ./dist/viewer-parts/widgets/caption-toolbar/_caption-toolbar-adapter.js








class DashboardCaptionToolbarAdapter {
    constructor(_encodeHtml) {
        this._encodeHtml = _encodeHtml;
    }
    createToolbarItem(item, controlContainer, popupContainer, onMenuItemClick) {
        if (item.isSeparator)
            return this._createSeparatorItem(item);
        this._validate(item);
        let toolbarItem = {
            location: item.location
        };
        if (item.type === 'button' || item.type === 'menu') {
            toolbarItem.widget = 'dxButton';
            toolbarItem.options = this._createToolbarItemOptions(item, controlContainer, popupContainer, onMenuItemClick);
        }
        else {
            if (item.template) {
                toolbarItem.template = item.template;
            }
            else if (item.text) {
                toolbarItem.template = () => {
                    let textDiv = document.createElement('div');
                    if (popupContainer?.classList.contains('dx-dashboard-title')) {
                        textDiv.setAttribute('aria-label', (0,external_DevExpress_utils_string_.format)((0,index_internal.getLocalizationById)('DevExpressWebStringId.AriaLabel.DashboardTitle'), item.text));
                        textDiv.setAttribute('tabindex', '0');
                        textDiv.setAttribute('role', 'heading');
                        textDiv.setAttribute('aria-level', '1');
                    }
                    textDiv.classList.add(cssClasses.ellipsisText);
                    _render_helper/* RenderHelper */.p.html(textDiv, item.text, this._encodeHtml);
                    return textDiv;
                };
            }
            else {
                return undefined;
            }
        }
        return toolbarItem;
    }
    _applyText(item, text) {
        if (this._encodeHtml === false) {
            item.html = text;
        }
        else {
            item.text = text;
        }
    }
    _createToolbarItemOptions(item, controlContainer, popupContainer, onMenuItemClick) {
        let itemOptions = {};
        if (item.template === undefined) {
            let classNames = this._fillCssClasses(item);
            if (classNames.length > 0) {
                itemOptions.elementAttr = {
                    class: classNames.join(' ')
                };
            }
        }
        if (item.tooltip) {
            itemOptions.onContentReady = (data) => {
                let options = this._createTooltipOptions(item.tooltip, data.element, popupContainer);
                let toolTipElement = document.createElement('div');
                toolTipElement.setAttribute('tabindex', '0');
                toolTipElement.classList.add(item.tooltip['className']);
                new (external_DevExpress_ui_dxTooltip_default())(toolTipElement, options);
                (0,_jquery_helpers/* $unwrap */.I1)(data.element).setAttribute('aria-label', item.hint);
                (0,_jquery_helpers/* $unwrap */.I1)(data.element).appendChild(toolTipElement);
            };
        }
        else if (item.hint) {
            itemOptions.hint = item.hint;
        }
        if (item.template) {
            itemOptions.template = item.template;
        }
        else if (item.icon) {
            itemOptions.template = (buttonData, contentElement) => {
                return (0,_utils/* getTemplate */.$F)(item.icon);
            };
            if (!!itemOptions.elementAttr?.class) {
                itemOptions.elementAttr.class += ' dx-button-has-icon';
            }
            else
                itemOptions.elementAttr = { class: 'dx-button-has-icon' };
        }
        else if (item.text) {
            this._applyText(itemOptions, item.text);
        }
        if (item.type === 'button' && item.click) {
            itemOptions.onClick = data => item.click(data.element);
        }
        else if (item.type === 'menu' && item.menu && (item.menu.items && item.menu.items.length > 0 || item.menu.itemTemplate)) {
            itemOptions.onClick = data => PopupMenuCreator.toggleMenu((0,_jquery_helpers/* $unwrap */.I1)(data.element).querySelector('.dx-button-content'), item.menu, popupContainer, controlContainer, onMenuItemClick);
        }
        if (!!item.disabled) {
            itemOptions.disabled = item.disabled;
        }
        return itemOptions;
    }
    _createTooltipOptions(tooltip, target, container) {
        let contentTemplate = typeof tooltip === 'string' ? (element) => _render_helper/* RenderHelper */.p.html((0,_jquery_helpers/* $unwrap */.I1)(element), tooltip, this._encodeHtml) : tooltip.template;
        return {
            target: target,
            contentTemplate: contentTemplate,
            showEvent: 'mouseenter',
            hideEvent: 'mouseleave',
            container,
        };
    }
    _fillCssClasses(item) {
        let classNames = [];
        if (item.checked && item.type === 'button')
            classNames.push(cssClasses.checked);
        if (item.icon) {
            classNames.push(item.icon);
        }
        else if (item.text) {
            classNames.push(cssClasses.textButton);
        }
        return classNames;
    }
    _validate(item) {
        let menu = item.menu;
        let isIconMenuItem = item.type === 'menu' && menu && menu.type === 'icons';
        if (isIconMenuItem && menu.columnCount !== undefined && menu.columnCount < 1)
            throw new Error('The columnCount property must be greater than zero.');
    }
    _createSeparatorItem(item) {
        return {
            location: item.location,
            html: '<div class="' + cssClasses.captionPanelSeparator + '"></div>'
        };
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_toolbar-item-size-calculator.js
function calcMaxWidth(itemsWidth, sectionWidth, sectionMaxWidth) {
    let itemsMaxWidth = itemsWidth.map(item => undefined);
    if (sectionWidth > sectionMaxWidth) {
        for (let i = itemsWidth.length - 1; i >= 0; i--) {
            let difference = sectionWidth - sectionMaxWidth;
            let itemWidth = itemsWidth[i];
            let itemMaxWidth = Math.max(0, itemWidth - difference);
            sectionWidth -= (itemWidth - itemMaxWidth);
            itemsMaxWidth[i] = itemMaxWidth;
            if (sectionWidth <= sectionMaxWidth) {
                break;
            }
        }
    }
    return itemsMaxWidth;
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_caption-toolbar-base.js








class DashboardCaptionToolbarBase {
    get _initialized() {
        return this._toolbar !== undefined;
    }
    get _staticItemsClass() {
        return cssClasses.toolbarBefore;
    }
    get element() {
        return this._initialized ? (0,_jquery_helpers/* $unwrap */.I1)(this._toolbar.element()) : undefined;
    }
    get disabled() {
        return this._disabled;
    }
    set disabled(value) {
        if (this._disabled !== value) {
            this._disabled = value;
            this._updateToolbar();
        }
    }
    constructor(_container, _controlContainer, _popupContainer, encodeHtml = true) {
        this._container = _container;
        this._controlContainer = _controlContainer;
        this._popupContainer = _popupContainer;
        this.encodeHtml = encodeHtml;
        this._className = cssClasses.caption;
        this._disabled = false;
        this._adapter = new DashboardCaptionToolbarAdapter(encodeHtml);
    }
    update(options) {
        this._options = options;
        let heightChanded = false;
        if (!this._toolbar) {
            if (this._toolbarDiv)
                this._toolbarDiv.remove();
            this._toolbarDiv = document.createElement('div');
            this._className.split(' ').forEach(className => this._toolbarDiv.classList.add(className));
            if (this._container)
                this._toolbarContainer = this._appendToContainer(this._toolbarDiv);
            this._toolbar = new (external_DevExpress_ui_dxToolbar_default())(this._toolbarDiv, this._getToolbarOptions());
            heightChanded = true;
        }
        else {
            this._updateToolbar();
        }
        return heightChanded;
    }
    calcHeight(options) {
        let toolbar = this._createInstance();
        if (toolbar) {
            this._processToolbarBeforeGettingSize(toolbar);
            toolbar.update(options);
            let height = _render_helper/* RenderHelper */.p.getElementBox(toolbar.element).height;
            toolbar.dispose();
            return height;
        }
        return 0;
    }
    calcMinWidth(options) {
        let toolbar = this._createInstance();
        if (toolbar) {
            this._processToolbarBeforeGettingSize(toolbar);
            toolbar.update(options);
            let proccesSize = () => {
                let getWidth = (selector) => {
                    return toolbar.element.querySelector('.' + selector).getBoundingClientRect().width;
                };
                let w = getWidth(cssClasses.toolbarBefore) +
                    getWidth(cssClasses.toolbarCenter) +
                    getWidth(cssClasses.toolbarAfter);
                return w;
            };
            let width = _render_helper/* RenderHelper */.p.processElement(external_jQuery_.fn.constructor(toolbar.element), proccesSize);
            toolbar.dispose();
            return width;
        }
        return 0;
    }
    onResize() {
        if (this._initialized) {
            this._toolbar.repaint();
            this._resizeStaticToolbarItems();
        }
    }
    dispose() {
        if (this._toolbarContainer) {
            this._toolbarContainer.parentNode && this._toolbarContainer.parentNode.removeChild(this._toolbarContainer);
            this._toolbarContainer = undefined;
        }
        if (this._toolbar) {
            this._toolbar.dispose();
            this._toolbar = undefined;
        }
        this._toolbarDiv = null;
        this._toolbarContainer = null;
        this._controlContainer = null;
        this._popupContainer = null;
    }
    _updateToolbar() {
        if (this._toolbar) {
            this._toolbar.option(this._getToolbarOptions());
        }
    }
    _createInstance() {
        return undefined;
    }
    _getToolbarOptions() {
        return {
            items: this._getToolbarItems(this._getVisibleItems()),
            onContentReady: (data) => {
                this._resizeStaticToolbarItems();
            }
        };
    }
    _getVisibleItems() {
        return [];
    }
    _getToolbarItems(items) {
        return items.map(item => this._adapter.createToolbarItem(item, this._controlContainer, this._popupContainer)).filter(item => item !== undefined);
    }
    _appendToContainer(toolbarDiv) {
        external_jQuery_.fn.constructor(this._container).prepend(toolbarDiv);
        return toolbarDiv;
    }
    _resizeStaticToolbarItems(toolbarDiv = this._toolbarDiv) {
        let staticElements = external_jQuery_.fn.constructor(toolbarDiv).find('.' + this._staticItemsClass).find('.' + cssClasses.ellipsisText).toArray();
        let toolbarWidth = external_jQuery_.fn.constructor(toolbarDiv).width();
        if (staticElements.length > 0 && toolbarWidth > 0) {
            let afterSectionWidth = external_jQuery_.fn.constructor(toolbarDiv).find('.' + cssClasses.toolbarAfter).get(0).getBoundingClientRect().width;
            let staticSectionMaxWidth = toolbarWidth - afterSectionWidth;
            let staticSectionWidth = external_jQuery_.fn.constructor(toolbarDiv).find('.' + this._staticItemsClass).get(0).getBoundingClientRect().width;
            let itemsMaxWidth = calcMaxWidth(staticElements.map(item => external_jQuery_.fn.constructor(item).outerWidth()), staticSectionWidth, staticSectionMaxWidth);
            itemsMaxWidth.map((maxWidth, i) => {
                if (maxWidth !== undefined) {
                    external_jQuery_.fn.constructor(staticElements[i]).closest('.' + cssClasses.toolbarItem).css('maxWidth', maxWidth + 'px');
                }
            });
        }
    }
    _processToolbarBeforeGettingSize(toolbar) {
    }
}
(0,external_DevExpress_Analytics_Widgets_Internal_.registerBaseBinding)('dxToolbar', 'options');

;// ./dist/viewer-parts/widgets/caption-toolbar/_floating-panel.js




class FloatingPanel {
    constructor(options) {
        this.PREVIEW_TOOLBAR_WIDTH = 15;
        this._maxWidth = undefined;
        let position = options.bottomPosition ? 'bottom right' : 'top right';
        this._container = options.container;
        this._preview = options.preview;
        this._floatingPanelDiv = options.floatingPanelDiv;
        let overlayOptions = {
            shading: false,
            animation: false,
            width: 'auto',
            height: 'auto',
            contentTemplate: (contentElement) => {
                (0,_jquery_helpers/* $unwrap */.I1)(contentElement).appendChild(options.toolbarDiv);
            },
            hideOnOutsideClick: false,
            position: {
                boundary: options.container,
                my: position,
                at: position,
                offset: options.bottomPosition ? '2 2' : '2 -2',
                of: options.container
            },
            onShowing: (e) => {
                var wrapper = (0,_jquery_helpers/* $unwrap */.I1)(e.component._$wrapper);
                var baseZIndex = _z_index/* zIndex */.f.floatingToolbar;
                wrapper.style.zIndex = (options.preview ? baseZIndex : baseZIndex + 1).toString();
                var overlayContent = wrapper.querySelector('.dx-overlay-content');
                if (overlayContent) {
                    overlayContent.style.zIndex = wrapper.style.zIndex + 1;
                }
            },
            wrapperAttr: {
                class: cssClasses.floatingContainer
            }
        };
        overlayOptions = {
            ...overlayOptions,
            target: options.container,
            container: options.container,
            closeOnSwipe: false,
            propagateOutsideClick: true
        };
        this._overlay = new (external_DevExpress_ui_dxOverlay_default())(options.floatingPanelDiv, overlayOptions);
    }
    _getToolbarWidth() {
        return this._preview ? this.PREVIEW_TOOLBAR_WIDTH : this._calculateToolbarWidth();
    }
    _calculateToolbarWidth() {
        if (!this._maxWidth) {
            let toolbarItemGroupsContainer = this._container.querySelector(`.${cssClasses.floatingContainer} .dx-toolbar-items-container`);
            let toolbarItemGroups = toolbarItemGroupsContainer && Array.prototype.slice.call(toolbarItemGroupsContainer.childNodes) || [];
            this._maxWidth = Math.min((0,_jquery_helpers/* getOuterWidth */.Ot)(this._container), toolbarItemGroups
                .filter(child => !!child.innerHTML)
                .reduce((acc, child) => acc + (0,_jquery_helpers/* getOuterWidth */.Ot)(child), 0));
        }
        return this._maxWidth;
    }
    show() {
        this._overlay.show();
        this._overlay.option('width', this._getToolbarWidth());
    }
    hide() {
        this._overlay.hide();
    }
    repaint() {
        let newWidth = this._getToolbarWidth();
        if (this._overlay.option('width') === newWidth) {
            this._overlay.repaint();
        }
        else {
            this._overlay.option('width', this._getToolbarWidth());
        }
    }
    isVisible() {
        return this._overlay.option('visible');
    }
    resetSizeCache() {
        this._maxWidth = undefined;
    }
    dispose() {
        this._overlay?.dispose && this._overlay.dispose();
        this._container = null;
        this._floatingPanelDiv = null;
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_floating-toolbar-base.js




class FloatingCaptionToolbarBase extends DashboardCaptionToolbarBase {
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, _isBottomPosition) {
        super(_container, _controlContainer, _popupContainer, encodeHtml);
        this._isBottomPosition = _isBottomPosition;
    }
    set isBottomFloatingTypePosition(isBottom) {
        this._isBottomPosition = isBottom;
    }
    update(options) {
        this._floatingPanel && this._floatingPanel.resetSizeCache();
        return super.update(options);
    }
    calcHeight() {
        return 0;
    }
    onResize() {
        super.onResize();
        if (this._initialized) {
            this._floatingPanel.repaint();
        }
    }
    showFloatingPanel() {
        this._floatingPanel.show();
        this._toolbar.repaint();
    }
    hideFloatingPanel() {
        this._floatingPanel.hide();
        this._toolbar.repaint();
    }
    dispose() {
        super.dispose();
        this._floatingPanel && this._floatingPanel.dispose();
    }
    _appendToContainer(toolbarDiv) {
        let floatingPanelDiv = document.createElement('div');
        floatingPanelDiv.classList.add(cssClasses.floatingContainer);
        this._container.prepend(floatingPanelDiv);
        this._floatingPanel = this._createFloatingPanel(toolbarDiv, floatingPanelDiv, false);
        return floatingPanelDiv;
    }
    _updateToolbar() {
        super._updateToolbar();
        this._repaintFloatingPanel();
    }
    _repaintFloatingPanel() {
        if (this._floatingPanel) {
            this._floatingPanel.repaint();
        }
    }
    _getVisibleItems() {
        return arrangeFloatingToolbarItems(this._options);
    }
    _createInstance() {
        return new FloatingCaptionToolbarBase(undefined, undefined, undefined, this.encodeHtml, this._isBottomPosition);
    }
    _getToolbarItems(items) {
        return items.map(item => this._adapter.createToolbarItem(item, this._controlContainer, this._popupContainer, () => this.hideFloatingPanel())).filter(item => item !== undefined);
    }
    _createFloatingPanel(toolbarDiv, floatingPanelDiv, preview) {
        return new FloatingPanel({
            toolbarDiv,
            floatingPanelDiv: floatingPanelDiv,
            preview,
            container: this._container,
            bottomPosition: this._isBottomPosition
        });
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_clickable-floating-toolbar.js



class ClickableFloatingCaptionToolbar extends FloatingCaptionToolbarBase {
    static registerToolbar(toolbar) {
        if (ClickableFloatingCaptionToolbar._toolbars.indexOf(toolbar) === -1) {
            ClickableFloatingCaptionToolbar._toolbars.push(toolbar);
        }
    }
    static unregisterToolbar(toolbar) {
        var toolbarIndex = ClickableFloatingCaptionToolbar._toolbars.indexOf(toolbar);
        if (toolbarIndex > -1) {
            ClickableFloatingCaptionToolbar._toolbars.splice(toolbarIndex, 1);
        }
    }
    static activateToolbar(toolbar) {
        ClickableFloatingCaptionToolbar._toolbars
            .filter(t => t !== toolbar)
            .forEach(t => t.hideFloatingPanel());
    }
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition, itemHasOwnContent) {
        super(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition);
        this._itemHasOwnContent = itemHasOwnContent;
    }
    update(options) {
        let heightChanded = super.update(options);
        if (this._getVisibleItems().length > 0) {
            if (this._floatingPanel.isVisible()) {
                this._disableShield();
            }
            else {
                this._enableShield();
            }
        }
        else {
            this._disableShield();
        }
        return heightChanded;
    }
    showFloatingPanel() {
        super.showFloatingPanel();
        this._disableShield();
        ClickableFloatingCaptionToolbar.activateToolbar(this);
    }
    hideFloatingPanel() {
        super.hideFloatingPanel();
        this._enableShield();
    }
    dispose() {
        super.dispose();
        (0,external_DevExpress_events_namespaceObject.off)(this._shieldDiv, 'click.shield');
        ClickableFloatingCaptionToolbar.unregisterToolbar(this);
    }
    _createInstance() {
        return new ClickableFloatingCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._isBottomPosition, this._itemHasOwnContent);
    }
    _appendToContainer(toolbarDiv) {
        let floadingPanelDiv = super._appendToContainer(toolbarDiv);
        this._shieldDiv = document.createElement('div');
        this._shieldDiv.style.left = '0';
        this._shieldDiv.style.top = '0';
        this._shieldDiv.style.bottom = '0';
        this._shieldDiv.style.right = '0';
        this._shieldDiv.style.display = 'block';
        if (this._itemHasOwnContent) {
            this._shieldDiv.style.zIndex = (_z_index/* zIndex */.f.floatingToolbar - 1).toString();
        }
        this._shieldDiv.style.position = 'absolute';
        this._subscribeOnShieldEvents();
        this._container.appendChild(this._shieldDiv);
        ClickableFloatingCaptionToolbar.registerToolbar(this);
        return floadingPanelDiv;
    }
    _subscribeOnShieldEvents() {
        (0,external_DevExpress_events_namespaceObject.on)(this._shieldDiv, 'click.shield', () => this.showFloatingPanel());
    }
    _disableShield() {
        this._shieldDiv && (this._shieldDiv.style.display = 'none');
    }
    _enableShield() {
        if (this._getVisibleItems().length > 0) {
            this._shieldDiv && (this._shieldDiv.style.display = 'block');
        }
    }
}
ClickableFloatingCaptionToolbar._toolbars = [];

;// ./dist/viewer-parts/widgets/caption-toolbar/_hidden-caption-toolbar.js
class HiddenCaptionToolbar {
    constructor() {
        this.element = document.createElement('div');
        this.disabled = false;
    }
    calcHeight(options) {
        return 0;
    }
    calcMinWidth(options) {
        return 0;
    }
    update(options) {
        return false;
    }
    onResize() {
    }
    dispose() {
        this.element = null;
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_hovered-floating-toolbar.js


class HoveredFloatingCaptionToolbar extends FloatingCaptionToolbarBase {
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition) {
        super(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition);
        this._floatingPanelVisible = false;
    }
    calcMinWidth(options) {
        return 0;
    }
    dispose() {
        if (this._popupContainer) {
            external_jQuery_.fn.constructor(this._popupContainer).off('mouseover.captionPanel');
            external_jQuery_.fn.constructor(this._popupContainer).off('mouseleave.captionPanel');
        }
        super.dispose();
    }
    _appendToContainer(toolbarDiv) {
        var element = super._appendToContainer(toolbarDiv);
        let toggleHoverState = (hovered) => {
            if (this._floatingPanelVisible !== hovered) {
                this._floatingPanelVisible = hovered;
                hovered ? this.showFloatingPanel() : this.hideFloatingPanel();
            }
        };
        external_jQuery_.fn.constructor(this._popupContainer).on('mouseover.captionPanel', () => toggleHoverState(true));
        external_jQuery_.fn.constructor(this._popupContainer).on('mouseleave.captionPanel', () => toggleHoverState(false));
        return element;
    }
    _createInstance() {
        return new HoveredFloatingCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._isBottomPosition);
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_hovered-toolbar.js




class HoveredDashboardCaptionToolbar extends DashboardCaptionToolbarBase {
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, _hasBorder) {
        super(_container, _controlContainer, _popupContainer, encodeHtml);
        this._hasBorder = _hasBorder;
        this._containerHovered = false;
    }
    dispose() {
        if (this._popupContainer) {
            external_jQuery_.fn.constructor(this._popupContainer).off('mouseover.captionPanel');
            external_jQuery_.fn.constructor(this._popupContainer).off('mouseleave.captionPanel');
        }
        super.dispose();
    }
    _appendToContainer(toolbarDiv) {
        let toggleHoverState = (hovered) => {
            if (this._containerHovered !== hovered) {
                this._containerHovered = hovered;
                this._updateToolbar();
            }
        };
        external_jQuery_.fn.constructor(this._popupContainer).on('mouseover.captionPanel', () => toggleHoverState(true));
        external_jQuery_.fn.constructor(this._popupContainer).on('mouseleave.captionPanel', () => toggleHoverState(false));
        return super._appendToContainer(toolbarDiv);
    }
    update(options) {
        let heightChanded = super.update(options);
        if (this._hasBorder) {
            this._toolbarDiv.classList.add(cssClasses.captionBorder);
        }
        return heightChanded;
    }
    _getVisibleItems() {
        return arrangeHoveredToolbarItems(this._options, this._containerHovered, this.disabled);
    }
    _createInstance() {
        return new HoveredDashboardCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._hasBorder);
    }
    _processToolbarBeforeGettingSize(toolbar) {
        toolbar.setHoverState(true);
    }
    setHoverState(hovered) {
        this._containerHovered = hovered;
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_minimized-clickable-toolbar.js





class MinimizedClickableCaptionToolbar extends ClickableFloatingCaptionToolbar {
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition, itemHasOwnContent) {
        super(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition, itemHasOwnContent);
    }
    showPreviewFloatingPanel() {
        if (this._getVisibleItems().length > 0) {
            this._previewFloatingPanel.show();
            this._toolbar.repaint();
            this._disableShield();
            ClickableFloatingCaptionToolbar.activateToolbar(this);
        }
    }
    hideFloatingPanel() {
        super.hideFloatingPanel();
        this._previewFloatingPanel.hide();
        this._toolbar.repaint();
        this._enableShield();
    }
    dispose() {
        this._previewFloatingPanel && this._previewFloatingPanel.dispose();
        (0,external_DevExpress_events_namespaceObject.off)(this._previewToolbarDiv, 'click.preview');
        this._previewToolbarDiv = null;
        super.dispose();
    }
    _createInstance() {
        return new MinimizedClickableCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._isBottomPosition, this._itemHasOwnContent);
    }
    _appendToContainer(toolbarDiv) {
        this._previewToolbarDiv = document.createElement('div');
        this._previewToolbarDiv.classList.add(cssClasses.toolbarPreview);
        let previewFloatingPanelDiv = document.createElement('div');
        external_jQuery_.fn.constructor(this._container).prepend(previewFloatingPanelDiv);
        this._previewFloatingPanel = this._createFloatingPanel(this._previewToolbarDiv, previewFloatingPanelDiv, true);
        this._previewToolbarDiv.append((0,_utils/* getTemplate */.$F)(cssClasses.ellipsisIcon));
        (0,external_DevExpress_events_namespaceObject.on)(this._previewToolbarDiv, 'click.preview', () => this.showFloatingPanel());
        return super._appendToContainer(toolbarDiv);
    }
    _subscribeOnShieldEvents() {
        (0,external_DevExpress_events_namespaceObject.on)(this._shieldDiv, 'click.shield', () => this.showPreviewFloatingPanel());
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_minimized-hovered-toolbar.js




var MinimizedToolbarState;
(function (MinimizedToolbarState) {
    MinimizedToolbarState[MinimizedToolbarState["Hidden"] = 0] = "Hidden";
    MinimizedToolbarState[MinimizedToolbarState["Minimim"] = 1] = "Minimim";
    MinimizedToolbarState[MinimizedToolbarState["Maximim"] = 2] = "Maximim";
})(MinimizedToolbarState || (MinimizedToolbarState = {}));
class MinimizedHoveredCaptionToolbar extends FloatingCaptionToolbarBase {
    get hasItems() {
        return this._getVisibleItems().length > 0;
    }
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition) {
        super(_container, _controlContainer, _popupContainer, encodeHtml, isBottomPosition);
        this._toolbarState = MinimizedToolbarState.Hidden;
        this._containerHovered = false;
        this._onContainerHovered = () => {
            this._containerHovered = true;
            this._showPreviewFloatingPanel();
        };
        this._onContainerLeave = () => {
            this._containerHovered = false;
            this._hidePreviewFloatingPanel();
        };
        this._onPreviewHovered = () => {
            this._hidePreviewFloatingPanel();
            this.showFloatingPanel();
            this._floatingPanel.repaint();
            this._toolbarState = MinimizedToolbarState.Maximim;
        };
        this._onToolbarLeave = () => {
            this.hideFloatingPanel();
            this._toolbarState = MinimizedToolbarState.Hidden;
            this._showPreviewFloatingPanel();
        };
    }
    calcMinWidth(options) {
        return 0;
    }
    dispose() {
        if (this._popupContainer) {
            this._popupContainer.removeEventListener('mouseenter', this._onContainerHovered);
            this._popupContainer.removeEventListener('mouseleave', this._onContainerLeave);
        }
        if (this._previewToolbarDiv) {
            this._previewToolbarDiv.removeEventListener('mouseenter', this._onPreviewHovered);
            this._toolbarDiv.removeEventListener('mouseleave', this._onToolbarLeave);
        }
        this._previewFloatingPanel && this._previewFloatingPanel.dispose();
        super.dispose();
    }
    onResize() {
        super.onResize();
        if (this._initialized) {
            this._previewFloatingPanel.repaint();
        }
    }
    _appendToContainer(toolbarDiv) {
        var element = super._appendToContainer(toolbarDiv);
        this._previewToolbarDiv = document.createElement('div');
        this._previewToolbarDiv.classList.add(cssClasses.toolbarPreview);
        let previewFloatingPanelDiv = document.createElement('div');
        external_jQuery_.fn.constructor(this._container).prepend(previewFloatingPanelDiv);
        this._previewFloatingPanel = this._createFloatingPanel(this._previewToolbarDiv, previewFloatingPanelDiv, true);
        this._previewToolbarDiv.append((0,_utils/* getSvgElementByTemplate */.aZ)(cssClasses.ellipsisIcon));
        this._popupContainer.addEventListener('mouseenter', this._onContainerHovered);
        this._popupContainer.addEventListener('mouseleave', this._onContainerLeave);
        this._previewToolbarDiv.addEventListener('mouseenter', this._onPreviewHovered);
        this._toolbarDiv.addEventListener('mouseleave', this._onToolbarLeave);
        return element;
    }
    _repaintFloatingPanel() {
        if (!this._floatingPanel || !this._previewFloatingPanel)
            return;
        if (this._containerHovered) {
            if (this._toolbarState === MinimizedToolbarState.Maximim) {
                if (this.hasItems) {
                    this._floatingPanel.repaint();
                }
                else {
                    this.hideFloatingPanel();
                    this._toolbarState = MinimizedToolbarState.Hidden;
                }
            }
            else {
                if (this.hasItems) {
                    this._showPreviewFloatingPanel();
                }
                else {
                    this._hidePreviewFloatingPanel();
                }
            }
        }
        else {
            this.hideFloatingPanel();
            this._hidePreviewFloatingPanel();
        }
    }
    _showPreviewFloatingPanel() {
        if (this._toolbarState != MinimizedToolbarState.Maximim && this.hasItems) {
            this._previewFloatingPanel.show();
            this._toolbarState = MinimizedToolbarState.Minimim;
        }
    }
    _hidePreviewFloatingPanel() {
        this._previewFloatingPanel.hide();
        if (this._toolbarState === MinimizedToolbarState.Minimim)
            this._toolbarState = MinimizedToolbarState.Hidden;
    }
    _createInstance() {
        return new MinimizedHoveredCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._isBottomPosition);
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/_static-toolbar.js



class StaticCaptionToolbar extends DashboardCaptionToolbarBase {
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, _className, _hasBorder, allowHideEmptyToolbar) {
        super(_container, _controlContainer, _popupContainer, encodeHtml);
        this._className = _className;
        this._hasBorder = _hasBorder;
        this.allowHideEmptyToolbar = allowHideEmptyToolbar;
    }
    calcHeight(options) {
        if (this._visible(options)) {
            return super.calcHeight(options);
        }
        else {
            return 0;
        }
    }
    calcMinWidth(options) {
        if (this._visible(options)) {
            return super.calcMinWidth(options);
        }
        else {
            return 0;
        }
    }
    update(options) {
        let heightChanded = false;
        if (this._visible(options)) {
            heightChanded = super.update(options);
            if (this._hasBorder) {
                this._toolbarDiv.classList.add(cssClasses.captionBorder);
            }
        }
        else if (this._initialized) {
            this.dispose();
            heightChanded = true;
        }
        return heightChanded;
    }
    _getVisibleItems() {
        return arrangeStaticToolbarItems(this._options, this._disabled);
    }
    _createInstance() {
        return new StaticCaptionToolbar(undefined, undefined, undefined, this.encodeHtml, this._className, this._hasBorder, this.allowHideEmptyToolbar);
    }
    _visible(options) {
        return !this.allowHideEmptyToolbar || options.actionItems.length > 0 || options.navigationItems.length > 0 || options.stateItems.length > 0 || options.staticItems.length > 0;
    }
}

;// ./dist/viewer-parts/widgets/caption-toolbar/caption-toolbar-options.js
let dashboardToolbarItemNames = {
    titleFilterText: 'filter-text',
    titleFilterIcon: 'filter-icon',
    exportMenu: 'export-menu',
    dashboardTitleImage: 'dashboard-title-image',
    dashboardTitle: 'dashboard-title',
    parameters: 'parameters',
    itemCaption: 'item-caption',
    limitVisibleData: 'limit-visible-data',
    clearMasterFilter: 'clear-master-filter',
    clearSelection: 'clear-selection',
    drillUp: 'drill-up',
    values: 'values',
    multiselection: 'multiselection',
    initialExtent: 'initial-extent',
    dateTimePeriodMenu: 'date-time-period-menu',
    customDateTimePeriod: 'custom-date-time-period',
    dashboardList: 'dashboard-list',
    dashboardFilters: 'dashboard-filters',
    backButton: 'back-button',
    itemFilters: 'item-filters',
    restoreItem: 'restore-item',
    maximizeItem: 'maximize-down-item',
    dataInspector: 'data-inspector'
};

;// ./dist/viewer-parts/viewer-items/_interactivity-controller.js



let dashboardSelectionMode = {
    none: 'None',
    single: 'Single',
    multiple: 'Multiple'
};
let interactivityController = external_DevExpress_Class_default().inherit({
    ctor: function ctor(getTuples) {
        var that = this;
        that._getTuples = getTuples;
        that.selectionChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
    },
    clickAction: function (tuples, isEmpty = false) {
        if (isEmpty) {
            this.selectionChanged.fire(null);
        }
        else if (this.selectionMode !== dashboardSelectionMode.none) {
            var that = this, isMultipleMode = that.selectionMode === dashboardSelectionMode.multiple, currentTuples = isMultipleMode ? that._getTuples().slice() : [], selectedTuples = [], changed = false;
            tuples.forEach(tuple => {
                if (that._allowSelectTuple(tuple)) {
                    var arrayIndex = isMultipleMode ? (0,_utils/* checkArrayContainsTuple */.b3)(currentTuples, tuple) : undefined;
                    if (arrayIndex == undefined) {
                        selectedTuples.push(tuple);
                    }
                    else {
                        currentTuples.splice(arrayIndex, 1);
                    }
                    changed = true;
                }
            });
            if (changed) {
                that.selectionChanged.fire(currentTuples.concat(selectedTuples));
            }
        }
    },
    setOptions: function (selectionMode) {
        this.selectionMode = selectionMode;
    },
    _allowSelectTuple: function (tuple) {
        var allowSelect = true;
        tuple.forEach(axisValue => {
            if (!(0,_utils/* allowSelectValue */.lL)(axisValue.value)) {
                allowSelect = false;
                return false;
            }
        });
        return allowSelect;
    }
});

;// ./dist/viewer-parts/viewer-items/elements/_item-loading.js






class ItemLoadingElement {
    show(container) {
        if (!this._overlay) {
            this._overlayDiv = document.createElement('div');
            const contentTemplate = document.createElement('div');
            contentTemplate.classList.add('dx-dashboard-item-loading-panel');
            const h1 = document.createElement('h1');
            h1.innerText = (0,_default/* getLocalizationById */.Mu)('DashboardStringId.MessageLoading');
            contentTemplate.appendChild(h1);
            this._overlay = new (external_DevExpress_ui_dxOverlay_default())(this._overlayDiv, {
                shading: true,
                animation: {
                    show: { type: 'fade', duration: 150, from: 0, to: 1, delay: 150 },
                    hide: { type: 'fade', duration: 150, to: 0, delay: 150 }
                },
                width: 'auto',
                height: 'auto',
                target: container,
                container: container,
                contentTemplate: contentTemplate,
                hideOnOutsideClick: false,
                propagateOutsideClick: true,
                position: {
                    boundary: container,
                    my: 'bottom right',
                    at: 'bottom right',
                    offset: '-10 -10',
                    of: container
                },
                onShowing: (e) => {
                    let wrapper = (0,_jquery_helpers/* $unwrap */.I1)(e.component._$wrapper);
                    wrapper.style.zIndex = (_z_index/* zIndex */.f.dashboardItemShield - 2).toString();
                    let overlayContent = wrapper.querySelector('.dx-overlay-content');
                    if (overlayContent) {
                        overlayContent.style.zIndex = (_z_index/* zIndex */.f.dashboardItemShield - 1).toString();
                    }
                },
                wrapperAttr: {
                    class: 'dx-dashboard-loading-indicator'
                }
            });
            this._overlayDiv.style.zIndex = _z_index/* zIndex */.f.dashboardItemShield.toString();
            external_jQuery_.fn.constructor(container).prepend(this._overlayDiv);
        }
        this._overlay.show();
    }
    hide() {
        this._overlay?.hide();
    }
    resize() {
        this._overlay?.repaint();
    }
    dispose() {
        this.hide();
        this._overlay?.dispose();
        this._overlay = null;
        if (this._overlayDiv && this._overlayDiv.parentNode) {
            this._overlayDiv.parentNode.removeChild(this._overlayDiv);
            this._overlayDiv = null;
        }
    }
}

;// ./dist/viewer-parts/viewer-items/_base-item.js


























var createDefaultToolbar = (viewerItem, container, controlContainer, popupContainer, viewOptions) => {
    if (viewOptions.hiddenToolbar) {
        return new HiddenCaptionToolbar();
    }
    else if (DashboardLayoutModeHelper.isTouch) {
        if (viewOptions.hasCaption) {
            return new StaticCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, cssClasses.caption, viewOptions.captionToolbarSeparatorRequired, false);
        }
        else {
            if (viewOptions.allowPreview) {
                return new MinimizedClickableCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, viewOptions.isBottomFloatingToolbarPosition, viewOptions.itemHasOwnContent);
            }
            else {
                return new ClickableFloatingCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, viewOptions.isBottomFloatingToolbarPosition, viewOptions.itemHasOwnContent);
            }
        }
    }
    else {
        if (viewOptions.hasCaption) {
            return new HoveredDashboardCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, viewOptions.captionToolbarSeparatorRequired);
        }
        else {
            if (viewOptions.allowPreview) {
                return new MinimizedHoveredCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, viewOptions.isBottomFloatingToolbarPosition);
            }
            else {
                return new HoveredFloatingCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, viewOptions.isBottomFloatingToolbarPosition);
            }
        }
    }
};
class baseItem {
    get hasWidget() {
        return this._hasWidget;
    }
    get _captionToolbarSeparatorRequired() {
        return false;
    }
    get _isBottomFloatingToolbarPosition() {
        return false;
    }
    get _allowPreview() {
        return false;
    }
    get _shouldApplySelectionOnInitialRender() {
        return true;
    }
    get dataController() { return null; }
    set dataController(dataController) { }
    constructor($container, options) {
        this._lockCount = 0;
        this._isFixedHeight = false;
        this.customHoverEnabled = false;
        this._allowMultiselection = false;
        this.dateToString = (date) => date.toJSON();
        this.selected = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.clearMasterFilter = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.drillUp = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.contentElementSelection = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.expandValue = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.clientStateUpdate = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.dataRequest = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemClick = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemHover = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemSelectionChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemWidgetCreated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemWidgetUpdating = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemWidgetUpdated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemWidgetOptionsPrepared = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.itemCaptionToolbarUpdated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.constraintsUpdated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.customTargetAxes = [];
        this.customDefaultSelectedValues = [];
        this.itemLoadingElement = new ItemLoadingElement();
        this.visualMode = 'full';
        this._hasWidget = false;
        this.deferredToolbarRenderingPromise = undefined;
        this.createCaptionToolbar = createDefaultToolbar;
        this._initializeData(options);
        this.container = $container;
        this.controlContainer = options.controlContainer;
        this._boundaryContainer = options.boundaryContainer;
        this.interactivityController = new interactivityController(external_jQuery_.proxy(this.getSelectedTuples, this));
        this.interactivityController.selectionChanged.add(external_jQuery_.proxy(this._onSelectionChanged, this));
        this.customSelectionMode = dashboardSelectionMode.none;
    }
    _initializeData(newOptions) {
        if (!this.options) {
            this.options = newOptions;
        }
        else {
            this.options = {
                Name: newOptions.Name,
                Type: newOptions.Type,
                ParentContainer: newOptions.ParentContainer,
                ContentType: newOptions.ContentType,
                SelectedValues: newOptions.SelectedValues,
                ViewModel: newOptions.ViewModel || this.options.ViewModel,
                ActionModel: newOptions.ActionModel || this.options.ActionModel,
                CaptionViewModel: newOptions.CaptionViewModel || this.options.CaptionViewModel,
                ConditionalFormattingModel: newOptions.ConditionalFormattingModel || this.options.ConditionalFormattingModel,
                Parameters: newOptions.Parameters,
                DrillDownValues: newOptions.DrillDownValues,
                DrillDownUniqueValues: newOptions.DrillDownUniqueValues,
                IsDrillDownEnabled: newOptions.DrillDownUniqueValues,
                AxisNames: newOptions.AxisNames,
                DimensionIds: newOptions.DimensionIds,
                multiData: newOptions.multiData,
                encodeHtml: newOptions.encodeHtml !== undefined ? newOptions.encodeHtml : this.options.encodeHtml,
                allowExport: newOptions.allowExport !== undefined ? newOptions.allowExport : this.options.allowExport,
                showExportDialog: newOptions.showExportDialog !== undefined ? newOptions.showExportDialog : this.options.showExportDialog,
                isDataReduced: !!newOptions.ItemData ? newOptions.ItemData.Reduced : this.options.isDataReduced,
                useNeutralFilterMode: newOptions.useNeutralFilterMode !== undefined ? newOptions.useNeutralFilterMode : this.options.useNeutralFilterMode,
                FullViewport: newOptions.FullViewport,
                LimitDataState: newOptions.LimitDataState
            };
        }
        if (!this.dataController || (newOptions.ContentType != _common/* contentType */.IM.actionModel)) {
            var drillDownState = {};
            drillDownState[this._getDrillDownAxisName()] = this.options.DrillDownUniqueValues;
            this.dataController = _factory/* defaultDataControllerFactory */.O.createDataController(this.options.Type, {
                multiData: this.options.multiData,
                viewModel: this.options.ViewModel,
                cfModel: this.options.ConditionalFormattingModel,
                useNeutralFilterMode: this.options.useNeutralFilterMode,
                drillDownState: drillDownState
            });
            if (this.dataController) {
                this.dataController.update(this.options.SelectedValues, this._isEncodeHtml());
            }
        }
        this.customSelectedTuples = [];
    }
    initialDataRequest() {
        if (this.hasWidget) {
            this.initialDataRequestUnsafe();
        }
    }
    initialDataRequestUnsafe() {
    }
    get allowMultiselection() {
        return this._allowMultiselection;
    }
    set allowMultiselection(value) {
        this._allowMultiselection = value;
    }
    forceUpdateInteractivity() {
        this.updateCaptionToolbar();
        this.updateInteractivityOptions();
    }
    clearSelection() {
        if (this.hasWidget) {
            this._clearSelectionUnsafe();
        }
        else {
            this._clearSelectionBase();
        }
    }
    _clearSelectionUnsafe() {
        this._clearSelectionBase();
    }
    _clearSelectionBase() {
    }
    performClearSelection() {
        this._setSelectedValues(null);
        this.clearSelection();
    }
    selectTuple(tuple, state) {
        if (this.hasWidget) {
            this.selectTupleUnsafe(tuple, state);
        }
    }
    selectTupleUnsafe(tuple, state) {
    }
    setSelection(values) {
        if (this.hasWidget) {
            this._setSelectionUnsafe(values);
        }
        else {
            this.setSelectionBase(values);
        }
    }
    _setSelectionUnsafe(values) {
        this.setSelectionBase(values);
    }
    setSelectionBase(values) {
        this._setSelectedValues(values);
    }
    _applySelection() {
        if (this.hasWidget) {
            this._applySelectionUnsafe();
        }
    }
    _applySelectionUnsafe() {
    }
    _isEncodeHtml() {
        return (!this.options || this.options.encodeHtml == undefined) ? true : this.options.encodeHtml;
    }
    _isSupportDataAwareExport() {
        return this.options && this.options.allowExport && this.options.ViewModel && this.options.ViewModel.SupportDataAwareExport;
    }
    _isLocked() {
        if (this._lockCount < 0)
            throw new Error("Unresolved locker state (looks like 'unlock' method is called without 'lock')");
        return this._lockCount > 0;
    }
    _lock() {
        this._lockCount++;
    }
    _unlock() {
        this._lockCount--;
    }
    _getCustomSelectionMode() {
        return this.customSelectionMode;
    }
    _setCustomSelectionMode(value) {
        this.customSelectionMode = value;
    }
    _getCustomHoverEnabled() {
        return this.customHoverEnabled;
    }
    _setCustomHoverEnabled(value) {
        this.customHoverEnabled = value;
    }
    _getCustomTargetAxes() {
        return this.customTargetAxes;
    }
    _setCustomTargetAxes(value) {
        this.customTargetAxes = value;
    }
    _getTargetAxes() {
        if (!this.isInteractivityActionEnabled()) {
            return this._getCustomTargetAxes();
        }
        else {
            return this._getAxisNames();
        }
    }
    getSelectedTuples() {
        var that = this, multiData = that.options.multiData, axisNames = that._getAxisNames(), dimensionByAxis = {}, tupleValues, axisValues, valueIndex;
        if (that._canSetMasterFilter() || that._canSetMultipleMasterFilter() || that._canPerformDrillDown()) {
            var tuples = [];
            if (that.options.SelectedValues == null)
                return tuples;
            if (axisNames.length > 1) {
                axisNames.forEach(axisName => {
                    dimensionByAxis[axisName] = multiData.getAxis(axisName).getDimensions();
                });
                that.options.SelectedValues.forEach(selection => {
                    tupleValues = [];
                    valueIndex = 0;
                    axisNames.forEach(axisName => {
                        axisValues = [];
                        dimensionByAxis[axisName].forEach(() => {
                            axisValues.push(selection[valueIndex++]);
                        });
                        tupleValues.push({ axisName: axisName, value: axisValues });
                    });
                    tuples.push(tupleValues);
                });
            }
            else {
                var drillDownValues = that._getDrillDownValues();
                that.options.SelectedValues.forEach(value => {
                    tuples.push([{ axisName: axisNames[0], value: drillDownValues.concat(value) }]);
                });
            }
            return tuples;
        }
        else {
            return that.customSelectedTuples;
        }
    }
    updateItem(options) {
        var that = this;
        this._setCustomSelectionMode(options.selectionMode);
        this._setCustomTargetAxes(options.targetAxes);
        this._setCustomHoverEnabled(options.hoverEnabled);
        this.customDefaultSelectedValues = options.defaultSelectedValues;
        that.updateInteractivityOptions();
        if (!this.isInteractivityActionEnabled()) {
            var customDefaultSelectedValues = options.selectionMode == dashboardSelectionMode.single ? that.customDefaultSelectedValues.slice(0, 1) : that.customDefaultSelectedValues;
            that.interactivityController.clickAction(customDefaultSelectedValues);
        }
        this.updateCaptionToolbar();
    }
    forceUpdateItem() {
        this.forceCreateCaptionToolbar();
        this.updateContentSize();
    }
    _changeTuple(tuple) {
        var that = this, newTuple = [];
        tuple.forEach(axisValue => {
            var axisName = axisValue.axisName, value = axisValue.value;
            newTuple.push({ axisName: axisName, value: (axisName == that._getDrillDownAxisName()) ? value.slice(-1) : value });
        });
        return newTuple;
    }
    _onSelectionChanged(tuples) {
        var that = this, currentSelectedValues = this.options.SelectedValues, singleSelection = !!currentSelectedValues && currentSelectedValues.length === 1 ? currentSelectedValues[0] : null, newSelection = [], tupleValues, selectedTuples = this.getSelectedTuples(), actionName;
        this._selectTuples(tuples, selectedTuples, true);
        this._selectTuples(selectedTuples, tuples, false);
        if (this.isInteractivityActionEnabled()) {
            tuples.forEach(tuple => {
                tupleValues = [];
                that._getAxisNames().forEach(axisName => {
                    tupleValues.push.apply(tupleValues, (0,_utils/* getAxisPointValue */.$7)(tuple, axisName).slice());
                });
                newSelection.push(tupleValues);
            });
            newSelection = this._deductDrillDownValues(newSelection);
            this._setSelectedValues(newSelection);
            actionName = this._getSelectionCallbackType(newSelection.length === 1 && singleSelection && (0,_utils/* checkValuesAreEqual */.rY)(newSelection[0], singleSelection));
            if (actionName === _common/* viewerActions */.qH.drillDown) {
                newSelection = newSelection[0];
            }
            if (this._mustSelectingFired(newSelection)) {
                this.selected.fire(this.getName(), actionName, newSelection);
            }
            else {
                this._onClearMasterFilter();
            }
        }
        else {
            this.customSelectedTuples = [];
            tuples.forEach(tuple => {
                that.customSelectedTuples.push(tuple);
            });
        }
        if (this.customSelectionMode == dashboardSelectionMode.multiple) {
            this.updateCaptionToolbar();
        }
        if (this.itemSelectionChanged) {
            this.itemSelectionChanged.fire(this.getName(), tuples);
        }
    }
    _mustSelectingFired(values) {
        return values.length > 0;
    }
    _patchTroughDrillDownValues(values) {
        var drillDownValues = this._getDrillDownValues(), filterValues = [];
        if (values) {
            values.forEach(value => {
                filterValues.push(drillDownValues.concat(value));
            });
        }
        return filterValues;
    }
    _deductDrillDownValues(values) {
        var drillDownValues = this._getDrillDownValues(), drillDownValuesLength = drillDownValues.length, cutValue;
        values.forEach(value => {
            cutValue = value.slice(0, drillDownValuesLength);
            if ((0,_utils/* checkValuesAreEqual */.rY)(cutValue, drillDownValues))
                value.splice(0, drillDownValuesLength);
        });
        return values;
    }
    _getSelectionCallbackType(performDrillDown) {
        var actionName = undefined;
        if (this._canSetMultipleMasterFilter() && this.allowMultiselection) {
            actionName = _common/* viewerActions */.qH.setMultipleValuesMasterFilter;
        }
        else if (this._canSetMasterFilter()) {
            if (performDrillDown) {
                if (this._canPerformDrillDown())
                    actionName = _common/* viewerActions */.qH.drillDown;
            }
            else {
                actionName = _common/* viewerActions */.qH.setMasterFilter;
            }
        }
        else if (this._canPerformDrillDown()) {
            actionName = _common/* viewerActions */.qH.drillDown;
        }
        return actionName;
    }
    _selectTuples(tuplesToSelect, unaffectedTuples, isSelect) {
        var that = this;
        var updateTuple = function (tuple) {
            if ((0,_utils/* checkArrayContainsTuple */.b3)(unaffectedTuples, tuple) == undefined) {
                return that._hasDrillUpButton() && !that._isMultiDataSupported() ? that._changeTuple(tuple) : tuple;
            }
            return undefined;
        };
        this._selectTuplesCore(tuplesToSelect, updateTuple, isSelect);
    }
    _selectTuplesCore(tuples, updateTupleDelegate, state) {
        var that = this;
        external_jQuery_.each(tuples, function (index, tuple) {
            var updatedTuple = updateTupleDelegate(tuple);
            if (!!updatedTuple) {
                that.selectTuple(updatedTuple, state);
            }
        });
    }
    _renderContent(element, changeExisting, afterRenderCallback) {
        if (this.visualMode !== 'caption') {
            this._hasWidget = true;
            return this.renderContentUnsafe(element, changeExisting, afterRenderCallback);
        }
        return false;
    }
    renderContentUnsafe($element, changeExisting, afterRenderCallback) {
        return false;
    }
    renderPartialContent() {
        if (this.hasWidget) {
            this.renderPartialContentUnsafe();
        }
    }
    renderPartialContentUnsafe() {
    }
    updateContentState() {
        if (this.hasWidget) {
            this.updateContentStateUnsafe();
        }
    }
    updateContentStateUnsafe() {
    }
    getInfo() {
        if (this.hasWidget) {
            return this.getInfoUnsafe();
        }
        else {
            return this.getInfoBase();
        }
    }
    getInfoUnsafe() {
        return this.getInfoBase();
    }
    getInfoBase() {
        var that = this, container = this._getBoundaryContainer();
        return {
            name: that.getName(),
            headerHeight: this.hasCaption() ? this.captionToolbar.calcHeight(this.getCaptionToolbarOptions()) : 0,
            position: external_jQuery_.fn.constructor(container).offset(),
            width: external_jQuery_.fn.constructor(container).outerWidth(),
            height: external_jQuery_.fn.constructor(container).outerHeight(),
            virtualSize: undefined,
            scroll: undefined
        };
    }
    getName() {
        return this.options.Name;
    }
    getCaption() {
        return this.options.CaptionViewModel && this.options.CaptionViewModel.Text ? this.options.CaptionViewModel.Text.concat(this._getParametersTitle() || '') : undefined;
    }
    hasCaption(options) {
        var opts = options || this.options;
        return opts && opts.CaptionViewModel && opts.CaptionViewModel.ShowCaption;
    }
    hasParentContainer() {
        return this.options && _utils/* type */.NW.isDefined(this.options.ParentContainer);
    }
    _isPaneEmpty() {
        return this.hasParentContainer();
    }
    _isTransparentBackground() {
        return false;
    }
    render(container) {
        this.container = this.container || container;
        this.container.setAttribute('data-layout-item-name', this.getName());
        this.contentRoot = document.createElement('div');
        (0,_utils/* moveContent */.dG)(this.container, this.contentRoot, true);
        if (!this.captionToolbar) {
            this.captionToolbar = this._createCaptionToolbar(this.container, this.controlContainer, this._getBoundaryContainer());
            this.updateCaptionToolbar();
        }
        else if (container) {
            this.forceCreateCaptionToolbar();
        }
        this.container.appendChild(this.contentRoot);
        this.updateContentSize();
        this._changeContent(false);
    }
    dispose() {
        this._removeShildElement();
        if (this.itemLoadingElement) {
            this.itemLoadingElement.dispose();
            this.itemLoadingElement = null;
        }
        this.selected && this.selected.empty();
        this.clearMasterFilter && this.clearMasterFilter.empty();
        this.drillUp && this.drillUp.empty();
        this.contentElementSelection && this.contentElementSelection.empty();
        this.expandValue && this.expandValue.empty();
        this.clientStateUpdate && this.clientStateUpdate.empty();
        this.dataRequest && this.dataRequest.empty();
        this.itemClick && this.itemClick.empty();
        this.itemHover && this.itemHover.empty();
        this.itemSelectionChanged && this.itemSelectionChanged.empty();
        this.itemWidgetCreated && this.itemWidgetCreated.empty();
        this.itemWidgetUpdating && this.itemWidgetUpdating.empty();
        this.itemWidgetUpdated && this.itemWidgetUpdated.empty();
        this.itemWidgetOptionsPrepared && this.itemWidgetOptionsPrepared.empty();
        this.itemCaptionToolbarUpdated && this.itemCaptionToolbarUpdated.empty();
        this.constraintsUpdated && this.constraintsUpdated.empty();
        this.container = null;
        this.contentRoot = null;
        this.controlContainer = null;
        this._boundaryContainer = null;
        if (this.captionToolbar) {
            this.captionToolbar.dispose();
            this.captionToolbar = null;
        }
    }
    updateContent(newOptions) {
        var isPrevShowCaption = this.hasCaption(this.options), isNewShowCaption = this.hasCaption(newOptions), showCaptionChanged = isPrevShowCaption !== isNewShowCaption;
        this._initializeData(newOptions);
        if (_utils/* type */.NW.isDefined(isNewShowCaption) && showCaptionChanged) {
            this.forceCreateCaptionToolbar();
        }
        else {
            this.updateCaptionToolbar();
        }
        switch (newOptions.ContentType) {
            case _common/* contentType */.IM.partialDataSource:
            case _common/* contentType */.IM.completeDataSource:
                if (newOptions.DataSource || (newOptions.ItemData && newOptions.ItemData.DataStorageDTO)) {
                    if (newOptions.forceUpdateViewModel)
                        this._changeContent(true);
                    else
                        this.renderPartialContent();
                }
                break;
            case _common/* contentType */.IM.actionModel:
                if (!this.isInteractivityActionEnabled()) {
                    this.updateContentState();
                }
                break;
            default:
                this._changeContent(true);
                break;
        }
    }
    updateClientState(clientState) {
        if (this.hasWidget && this.options.ContentType !== _common/* contentType */.IM.partialDataSource && this.options.ContentType !== _common/* contentType */.IM.completeDataSource)
            this._updateClientStateUnsafe(clientState);
    }
    _removeShildElement() {
        let shieldingElement = this.shieldingElement;
        if (shieldingElement) {
            shieldingElement.parentNode.removeChild(shieldingElement);
            delete this.shieldingElement;
        }
    }
    showLoadingPanel() {
        this._toggleLoadingPanel(true);
    }
    hideLoadingPanel() {
        this._toggleLoadingPanel(false);
    }
    _toggleLoadingPanel(loading) {
        if (!this.container)
            return;
        const container = this._getBoundaryContainer();
        if (this.visualMode !== 'caption') {
            if (!!loading) {
                this.itemLoadingElement.show(container);
            }
            else {
                this.itemLoadingElement.hide();
            }
        }
        if (!loading) {
            this._removeShildElement();
        }
        else if (!this.shieldingElement) {
            const position = this._getContainerPosition();
            const shieldingElement = document.createElement('div');
            shieldingElement.classList.add('dx-dashboard-item-shield');
            shieldingElement.style.left = position.left.toString() + 'px';
            shieldingElement.style.top = position.top.toString() + 'px';
            shieldingElement.style.width = position.width.toString() + 'px';
            shieldingElement.style.height = position.height.toString() + 'px';
            shieldingElement.style.zIndex = _z_index/* zIndex */.f.dashboardItemShield.toString();
            this.shieldingElement = shieldingElement;
            external_jQuery_.fn.constructor(container).prepend(shieldingElement);
        }
    }
    width(width) {
        var that = this;
        if ((0,external_DevExpress_Analytics_Internal_.isNumeric)(width)) {
            that.setSize(width, undefined);
        }
        else {
            return external_jQuery_.fn.constructor(that.container).outerWidth();
        }
    }
    height(height) {
        var that = this;
        if ((0,external_DevExpress_Analytics_Internal_.isNumeric)(height)) {
            that.setSize(undefined, height);
        }
        else {
            return external_jQuery_.fn.constructor(that.container).outerHeight();
        }
    }
    setSize(width, height) {
        var that = this, oldSize = { width: that.width(), height: that.height() }, newSize = { width: width, height: height };
        if (width) {
            external_jQuery_.fn.constructor(that.container).outerWidth(width);
        }
        if (height) {
            external_jQuery_.fn.constructor(that.container).outerHeight(height);
        }
        that._resize();
    }
    getConstraints(includeBorders) {
        var borderSize = includeBorders ? _render_helper/* RenderHelper */.p.getBorderSizeByClasses(this._generateOuterBorderClasses().concat(this._generateInnerBorderClasses())) : { width: 0, height: 0 }, headerHeight = this._calcHeaderAndFooterHeight(), contentMinHeight = this._getMinContentHeight(), height = borderSize.height + headerHeight + contentMinHeight;
        return constraints(size(_dashboard_viewer_constants/* DashboardViewerConstants */.k.minPaneWidth + borderSize.width, height), size(Number.MAX_VALUE, this._isFixedHeight ? height : Number.MAX_VALUE));
    }
    getOffset() {
        return {
            width: 0,
            height: 0
        };
    }
    updateInteractivityOptions() {
        var that = this, selectionMode = dashboardSelectionMode.none;
        if (!that.isInteractivityActionEnabled()) {
            that.updateContentState();
            selectionMode = this.customSelectionMode;
            if (selectionMode == dashboardSelectionMode.multiple && !this.allowMultiselection)
                selectionMode = dashboardSelectionMode.single;
        }
        else {
            if (this._canSetMultipleMasterFilter() && this.allowMultiselection) {
                selectionMode = dashboardSelectionMode.multiple;
            }
            else {
                if (that.isInteractivityActionEnabled()) {
                    selectionMode = dashboardSelectionMode.single;
                }
            }
        }
        that.interactivityController.setOptions(selectionMode);
    }
    getCaptionToolbarOptions() {
        let actionAtems = this._getActionToolbarItems();
        let staticItems = this._getStaticToolbarItems();
        let stateItems = this._getStateToolbarItems();
        var toolbarOptions = {
            staticItems: staticItems,
            actionItems: actionAtems,
            stateItems: stateItems,
            navigationItems: []
        };
        this.addContextCaptionToolbarOptions && this.addContextCaptionToolbarOptions(toolbarOptions);
        this.itemCaptionToolbarUpdated.fire(this.getName(), toolbarOptions);
        return toolbarOptions;
    }
    updateConstraints() {
        this.constraintsUpdated.fire(this.getName());
    }
    updateCaptionToolbar() {
        let options = this.getCaptionToolbarOptions();
        if (this.deferredToolbarRenderingPromise) {
            this.deferredToolbarRenderingPromise(this.getName(), this.captionToolbar.calcMinWidth(options), this.captionToolbar.calcHeight(options)).done(() => {
                this._updateCaptionToolbarAndSize(options);
            });
        }
        else {
            this._updateCaptionToolbarAndSize(options);
        }
    }
    _createCaptionToolbar(container, controlContainer, popupContainer) {
        return this.createCaptionToolbar(this, container, controlContainer, popupContainer, {
            encodeHtml: this._isEncodeHtml(),
            hasCaption: this.hasCaption(),
            isBottomFloatingToolbarPosition: this._isBottomFloatingToolbarPosition,
            captionToolbarSeparatorRequired: this._captionToolbarSeparatorRequired,
            allowPreview: this._allowPreview,
            hiddenToolbar: this.visualMode === 'content',
            itemHasOwnContent: this._itemHasOwnContent()
        });
    }
    _updateCaptionToolbarAndSize(options) {
        let heightChanged = this.captionToolbar.update(options);
        if (heightChanged) {
            this.updateContentSize();
        }
    }
    forceCreateCaptionToolbar() {
        this.captionToolbar.dispose();
        this.captionToolbar = this._createCaptionToolbar(this.container, this.controlContainer, this._getBoundaryContainer());
        this.updateCaptionToolbar();
    }
    _itemHasOwnContent() {
        return true;
    }
    _updateClientStateUnsafe(clientState) {
    }
    _changeContent(updateExisting) {
        if (this.visualMode === 'caption')
            return;
        let afterRenderCallback = () => {
            if (updateExisting) {
                this._raiseItemWidgetUpdated();
            }
            else {
                this._raiseItemWidgetCreated();
            }
            if (updateExisting || this._shouldApplySelectionOnInitialRender)
                this._applySelection();
        };
        if (updateExisting) {
            this._raiseItemWidgetUpdating();
        }
        if (!this._renderContent(this.contentRoot, updateExisting, afterRenderCallback)) {
            afterRenderCallback();
        }
    }
    _calcHeaderAndFooterHeight() {
        var headerAndFooterHeight = 0;
        let toolbar = this._createCaptionToolbar(undefined, undefined, undefined);
        headerAndFooterHeight += toolbar.calcHeight(this.getCaptionToolbarOptions());
        toolbar.dispose();
        return headerAndFooterHeight;
    }
    _getReducedDataTooltip() {
        if (this.options.LimitDataState) {
            if (this.options.LimitDataState.isReduced)
                return (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip');
            return (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip');
        }
        return undefined;
    }
    _getStaticToolbarItems() {
        let items = [];
        if (this.hasCaption()) {
            let caption = this.getCaption();
            if (caption) {
                items.push({
                    name: dashboardToolbarItemNames.itemCaption,
                    type: 'text',
                    text: caption
                });
            }
            if (this.allowLimitDataCallback && this.options.LimitDataState.isReduceMode)
                items.push(this._getReduceDataToolbarItem());
        }
        return items;
    }
    _getReduceDataToolbarItem() {
        return {
            name: dashboardToolbarItemNames.limitVisibleData,
            checked: this.options.LimitDataState.isReduced,
            click: (element) => { this.allowLimitDataCallback(); },
            icon: cssClasses.iconLimitVisibleData,
            type: 'button',
            tooltip: {
                className: cssClasses.tooltipLimitVisibleData,
                template: () => {
                    let div = document.createElement('div');
                    div.innerText = this._getReducedDataTooltip();
                    return div;
                }
            }
        };
    }
    _getStateToolbarItems() {
        let items = this._getSpecificStatePanelItems();
        let actionModel = this.options.ActionModel;
        if (this._hasClearMasterFilterButton()) {
            items.push({
                name: dashboardToolbarItemNames.clearMasterFilter,
                click: (element) => {
                    element = element?.parentElement;
                    while (element && ((!element.hasAttribute('tabindex') || element.getAttribute('tabindex') === '-1') || !element.offsetParent)) {
                        element = element.parentElement;
                    }
                    this._onClearMasterFilter();
                    element && element.focus();
                },
                icon: cssClasses.iconClearMasterFilter,
                type: 'button',
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ClearMasterFilter)
            });
        }
        if (this.options.useNeutralFilterMode && actionModel && actionModel.ClearMasterFilterButtonState === 'Disabled') {
            items.push({
                name: dashboardToolbarItemNames.clearMasterFilter,
                icon: cssClasses.iconClearMasterFilter,
                type: 'button',
                disabled: true,
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ClearMasterFilter)
            });
        }
        if (this._hasClearSelectionButton())
            items.push({
                name: dashboardToolbarItemNames.clearSelection,
                click: (element) => { this._onClearSelection(); },
                icon: cssClasses.iconClearSelection,
                type: 'button',
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ClearSelection)
            });
        if (this._hasDrillUpButton() && this._isDrillUpEnabled())
            items.push({
                name: dashboardToolbarItemNames.drillUp,
                click: (element) => { this._onDrillUp(); },
                icon: cssClasses.iconDrillUp,
                type: 'button',
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.DrillUp)
            });
        if (!this.hasCaption() && this.allowLimitDataCallback && this.options.LimitDataState.isReduceMode)
            items.push(this._getReduceDataToolbarItem());
        return items;
    }
    _getActionToolbarItems() {
        let items = this._getSpecificActionToolbarItems(), contentDescription = this.options.ViewModel ? this.options.ViewModel.ContentDescription : undefined;
        if (this.options.allowExport)
            items.push({
                name: dashboardToolbarItemNames.exportMenu,
                menu: this._getExportMenuModel(),
                icon: cssClasses.iconItemExport,
                type: 'menu',
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportTo)
            });
        if (contentDescription && contentDescription.ElementSelectionEnabled)
            items.push({
                name: dashboardToolbarItemNames.values,
                menu: {
                    items: contentDescription.ElementNames,
                    selectedItems: [contentDescription.ElementNames[contentDescription.SelectedElementIndex]],
                    selectionMode: 'single',
                    itemClick: (itemData, itemElement, index) => { this._onContentElementSelection(index); },
                    type: 'list'
                },
                icon: cssClasses.iconContentSelection,
                type: 'menu',
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ElementSelection)
            });
        if (this._hasToggleSelectionModeButton())
            items.push({
                name: dashboardToolbarItemNames.multiselection,
                checked: this.allowMultiselection,
                click: (element) => { this._onToggleSelectionMode(); },
                icon: cssClasses.iconMultiselection,
                type: 'button',
                hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.AllowMultiselection)
            });
        return items;
    }
    _getExportMenuModel() {
        let items = [cssClasses.iconExportToPDF];
        if (Settings.allowExportToImage)
            items.push(cssClasses.iconExportToImage);
        if (this._isSupportDataAwareExport()) {
            items.push(cssClasses.iconExportToExcel);
        }
        return {
            title: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportTo),
            items: items,
            itemClick: (itemData, itemElement, index) => { this.showExportDialog(_convertToExportFormat(itemData), itemElement); },
            type: 'icons'
        };
    }
    _getParametersTitle() {
        if (!this.hasCaption())
            return undefined;
        let parameters = [], separator = ' - ', drillDownValues = this.options.DrillDownValues, contentDescription = this.options.ViewModel.ContentDescription;
        if (contentDescription && contentDescription.ElementSelectionEnabled) {
            parameters.push(contentDescription.ElementNames[contentDescription.SelectedElementIndex || 0]);
        }
        if (drillDownValues && drillDownValues.length > 0) {
            parameters = parameters.concat(drillDownValues.map(drillDownValue => (0,_formatter/* format */.GP)(drillDownValue.Value, drillDownValue.Format)));
        }
        return parameters.length > 0 ? separator + parameters.join(separator) : undefined;
    }
    showExportDialog(exportFormat, itemElement) {
        this.options.showExportDialog(exportFormat, itemElement);
    }
    _getSpecificActionToolbarItems() {
        return [];
    }
    _getSpecificStatePanelItems() {
        return [];
    }
    _getMinContentHeight() {
        return _dashboard_viewer_constants/* DashboardViewerConstants */.k.minPaneHeight;
    }
    _generateInnerBorderClasses(element) {
        if (this.visualMode === 'caption') {
            return [];
        }
        else {
            return this._generateInnerBorderClassesUnsafe(element);
        }
    }
    _generateInnerBorderClassesUnsafe(element) {
        var classes = [cssClassNamesBaseItem.item];
        if (this._isBorderRequired()) {
            classes.push(cssClassNamesBaseItem.simpleBorder);
        }
        if (element) {
            element.classList.add(cssClassNamesBaseItem.item);
            element.setAttribute('tabindex', '0');
            if (this._isBorderRequired()) {
                element.classList.add(cssClassNamesBaseItem.simpleBorder);
            }
            else {
                element.classList.remove(cssClassNamesBaseItem.simpleBorder);
            }
        }
        return classes;
    }
    _generateOuterBorderClasses(element) {
        if (this.visualMode === 'caption')
            return;
        if (element) {
            if (this.hasParentContainer() && this.visualMode === 'full') {
                element.classList.add(cssClassNamesBaseItem.groupItemChild);
            }
            else {
                element.classList.remove(cssClassNamesBaseItem.groupItemChild);
            }
        }
        return this.hasParentContainer() && this.visualMode === 'full' ? [cssClassNamesBaseItem.groupItemChild] : [];
    }
    _isBorderRequired() {
        return this._isPaneEmpty() && this.visualMode === 'full';
    }
    _resize() {
        if (this.hasWidget) {
            this._resizeUnsafe();
        }
        else {
            this._resizeBase();
        }
    }
    _resizeUnsafe() {
        this._resizeBase();
    }
    _resizeBase() {
        this.updateContentSize();
        this._allocatePreloader();
        this.captionToolbar.onResize();
    }
    updateContentSize() {
        if (this.hasWidget) {
            this._updateContentSizeUnsafe();
        }
        else {
            this._updateContentSizeBase();
        }
    }
    _updateContentSizeUnsafe() {
        this._updateContentSizeBase();
    }
    _updateContentSizeBase() {
        var that = this;
        that._generateOuterBorderClasses(that.container);
        that._generateInnerBorderClasses(that.contentRoot);
        var contentHeight = Math.floor(external_jQuery_.fn.constructor(that.container).height() - that._calcHeaderAndFooterHeight());
        external_jQuery_.fn.constructor(that.contentRoot).outerHeight(contentHeight);
    }
    _allocatePreloader() {
        let shieldingElement = this.container.querySelector('.dx-dashboard-item-shield'), position = this._getContainerPosition();
        this.itemLoadingElement.resize();
        if (shieldingElement) {
            shieldingElement.style.left = position.left.toString() + 'px';
            shieldingElement.style.top = position.top.toString() + 'px';
            shieldingElement.style.width = position.width.toString() + 'px';
            shieldingElement.style.height = position.height.toString() + 'px';
        }
    }
    _getButtonOffset(useToolbarOffset) {
        var defaultButtonSize = 28;
        var hoverDiv = useToolbarOffset ? this.container.querySelector('.' + cssClassNamesBaseItem.overlayContent) : undefined;
        return {
            left: !!hoverDiv ? external_jQuery_.fn.constructor(hoverDiv).outerWidth(true) : defaultButtonSize,
            top: !!hoverDiv ? external_jQuery_.fn.constructor(hoverDiv).outerHeight(true) : defaultButtonSize
        };
    }
    _getAnimationOptions() {
        return {
            enabled: !!this.options.animate,
            duration: 300
        };
    }
    _getContainerPosition() {
        if (this.hasWidget) {
            return this._getContainerPositionUnsafe();
        }
        else {
            return this._getContainerPositionBase();
        }
    }
    _getContainerPositionUnsafe() {
        return this._getContainerPositionBase();
    }
    _getContainerPositionBase() {
        var container = this._getBoundaryContainer(), position = external_jQuery_.fn.constructor(container).position(), width = external_jQuery_.fn.constructor(container).outerWidth(), height = external_jQuery_.fn.constructor(container).outerHeight(), marginX = external_jQuery_.fn.constructor(container).css('margin-left'), marginY = external_jQuery_.fn.constructor(container).css('margin-top'), border = this._isPaneEmpty() ? 0 : 1, parseMargin = function (margin) { return margin == 'auto' ? 0 : parseInt(margin); };
        return {
            left: position.left,
            top: position.top,
            width: width,
            height: height,
            offsetX: width + parseMargin(marginX) - border,
            offsetY: parseMargin(marginY) - border
        };
    }
    _getBoundaryContainer() {
        return this.visualMode === 'caption' ? this._boundaryContainer : this.container;
    }
    _getSelectedValues() {
        var selectedValues = this.options.SelectedValues;
        return this._isMultiDataSupported() ? this._patchTroughDrillDownValues(selectedValues) : selectedValues;
    }
    _onClearSelection() {
        this.clearSelection();
        this.customSelectedTuples = [];
        if (this.customSelectionMode == dashboardSelectionMode.multiple)
            this.updateCaptionToolbar();
        this.itemSelectionChanged.fire(this.getName(), []);
    }
    _getElementInteractionValue(element, viewModel) {
    }
    _setSelectedValues(values) {
        this.options.SelectedValues = values;
    }
    _raiseItemClick(element) {
        var that = this, tuple = [], dataPoint = that._getDataPoint(element), drillDownValues = that._getDrillDownValues(), targetAxes = that._getTargetAxes(), drillDownAxis = drillDownValues && targetAxes.length == 1 ? targetAxes[0] : undefined;
        targetAxes.forEach(axisName => {
            var values;
            if (dataPoint.getSelectionValues) {
                values = dataPoint.getSelectionValues(axisName);
            }
            else {
                values = dataPoint.getValues(axisName);
            }
            if (values.length > 0) {
                if (drillDownAxis && axisName === drillDownAxis && !that._isMultiDataSupported()) {
                    values = drillDownValues.concat(values);
                }
                tuple.push({ axisName: axisName, value: values });
            }
        });
        if ((targetAxes.length != 0) && (targetAxes.length == tuple.length)) {
            that._clickAction(tuple);
        }
        if (that.itemClick) {
            that.itemClick.fire(that.getName(), dataPoint);
        }
    }
    _clickAction(tuple) {
        this.interactivityController.clickAction([tuple]);
    }
    _isMultiDataSupported() {
        return false;
    }
    _getDataPoint(element) {
        return null;
    }
    _getWidget() {
        return null;
    }
    _raiseItemWidgetCreated() {
        var widget = this._getWidget();
        if (widget) {
            this.itemWidgetCreated.fire(this.getName(), widget);
        }
    }
    _raiseItemWidgetUpdating() {
        var widget = this._getWidget();
        if (widget) {
            this.itemWidgetUpdating.fire(this.getName(), widget);
        }
    }
    _raiseItemWidgetUpdated() {
        var widget = this._getWidget();
        if (widget) {
            this.itemWidgetUpdated.fire(this.getName(), widget);
        }
    }
    _raiseItemWidgetOptionsPrepared(options) {
        if (options) {
            this.itemWidgetOptionsPrepared.fire(this.getName(), options);
        }
    }
    _raiseItemHover(element, state) {
        if (this.itemHover) {
            var dataPoint = this._getDataPoint(element);
            this.itemHover.fire(this.getName(), dataPoint, state);
        }
    }
    _onClearMasterFilter() {
        var name = this.getName();
        this._setSelectedValues(null);
        if (!this.options || !this.options.useNeutralFilterMode) {
            this.clearSelection();
        }
        this.clearMasterFilter.fire(name);
    }
    _onToggleSelectionMode() {
        this._allowMultiselection = !this._allowMultiselection;
        this.allowMultiselectionChanged && this.allowMultiselectionChanged(this._allowMultiselection);
        this.updateCaptionToolbar();
        this.updateInteractivityOptions();
    }
    _onDrillUp() {
        this.drillUp.fire(this.getName(), !!this._getSelectedValues());
    }
    _onContentElementSelection(index) {
        this.contentElementSelection.fire(this.getName(), {
            index: index,
            caption: this.options.ViewModel.ContentDescription.ElementNames[index]
        });
    }
    _onExpandValue(expandValueParams) {
        this.expandValue.fire(this.getName(), expandValueParams);
    }
    _onClientStateUpdate(clientState) {
        this.clientStateUpdate.fire(this.getName(), clientState);
    }
    _onDataRequest() {
        this.dataRequest.fire(this.getName());
    }
    _hasDrillUpButton() {
        var actionModel = this.options.ActionModel;
        return actionModel && actionModel.DrillUpButtonState && actionModel.DrillUpButtonState !== 'Hidden';
    }
    _hasClearMasterFilterButton() {
        var actionModel = this.options.ActionModel;
        return actionModel && actionModel.ClearMasterFilterButtonState && actionModel.ClearMasterFilterButtonState === 'Enabled';
    }
    _hasClearSelectionButton() {
        return !this.isInteractivityActionEnabled() && this.customSelectionMode == dashboardSelectionMode.multiple && this.customSelectedTuples.length > 0;
    }
    _hasToggleSelectionModeButton() {
        return this._canSetMultipleMasterFilter() || (!this.isInteractivityActionEnabled() && this.customSelectionMode == dashboardSelectionMode.multiple);
    }
    _isDrillUpEnabled() {
        var actionModel = this.options.ActionModel;
        return actionModel && actionModel.DrillUpButtonState && actionModel.DrillUpButtonState === 'Enabled';
    }
    _canPerformAction(action) {
        var actionModel = this.options.ActionModel;
        return actionModel && actionModel.Actions && actionModel.Actions.indexOf(action) !== -1;
    }
    _canPerformDrillDown() {
        return this._canPerformAction(_common/* viewerActions */.qH.drillDown);
    }
    _canPerformDrillUp() {
        return this._canPerformAction(_common/* viewerActions */.qH.drillUp);
    }
    _canSetMasterFilter() {
        return this._canPerformAction(_common/* viewerActions */.qH.setMasterFilter);
    }
    _canSetMultipleMasterFilter() {
        return this._canPerformAction(_common/* viewerActions */.qH.setMultipleValuesMasterFilter);
    }
    isInteractivityActionEnabled() {
        return this._canSetMasterFilter() || this._canSetMultipleMasterFilter() || this._canPerformDrillDown();
    }
    _selectionMode() {
        return this.isInteractivityActionEnabled() ? 'multiple' : 'none';
    }
    _getHtml(text) {
        return this._isEncodeHtml() ? (0,_utils/* encodeHtml */.o4)(text) : text;
    }
    _getAxisNames() {
        return this.options.AxisNames || [];
    }
    _getDrillDownAxisName() {
        return this._getAxisNames().length > 0 ? this._getAxisNames()[0] : undefined;
    }
    _getDrillDownValues() {
        var drillDownValues = this.options.DrillDownUniqueValues;
        return drillDownValues != null ? drillDownValues : [];
    }
}
let cssClassNamesBaseItem = {
    item: 'dx-dashboard-item',
    groupItem: 'dx-dashboard-group-item',
    groupItemChild: 'dx-dashboard-group-item-child',
    simpleBorder: 'dx-dashboard-simple-border',
    overlayContent: 'dx-overlay-content',
    cardWihtoutBackground: 'dx-dashboard-card-without-background'
};

;// ./dist/common/internal/_interfaces.js

var KeyCodes = {
    Esc: 27,
    Delete: 46,
    Z: 90,
    Y: 89,
    S: 83
};
class SingleItemSizeController {
    constructor(_element, requestRepaint, itemMargins = 0) {
        this._element = _element;
        this.requestRepaint = requestRepaint;
        this.itemMargins = itemMargins;
        this.renderImmediately = true;
    }
    getWidth() {
        return (0,_jquery_helpers/* getWidth */.RG)(this._element) - this.itemMargins;
    }
    getHeight() {
        return (0,_jquery_helpers/* getHeight */.Oq)(this._element) - this.itemMargins;
    }
    setConstraints(constraints) {
    }
}
class SingleTabItemSizeController {
    constructor(requestRepaint, width, height) {
        this.requestRepaint = requestRepaint;
        this.width = width;
        this.height = height;
        this.renderImmediately = true;
    }
    getWidth() {
        return this.width();
    }
    getHeight() {
        return this.height();
    }
    setConstraints(constraints) {
    }
}

;// ./dist/common/docking-layout/tab-container-item/_dashboard-tabs-view-model.js











class DashboardTabsViewModel extends external_DevExpress_Analytics_Utils_.Disposable {
    get viewModel() {
        return this.layoutItem.viewModel;
    }
    get showCaption() {
        return this.viewModel.item() ? this.viewModel.item().showCaption && this.viewModel.item().showCaption() : true;
    }
    get _containerSizeController() {
        return this.layoutItem.sizeController;
    }
    constructor(layoutItem, headerHeight, element) {
        super();
        this.layoutItem = layoutItem;
        this.headerHeight = headerHeight;
        this.element = element;
        this.showMenu = external_ko_.observable(false);
        this.tabPageBindings = external_ko_.observableArray([]).extend({ deferred: true });
        this.selectedItemKeys = external_ko_.observableArray([]);
        this._defaultButtonWidth = 34;
        this._tabsInfoCache = {};
        this._toolbarCache = {};
        this.addDisposable(this.showAddButton = external_ko_.computed(() => {
            return this.layoutItem.isDesignMode() && this.showCaption;
        }));
        this.addDisposable(() => this.element = null);
        if (this.viewModel.item()) {
            this.addDisposable((0,_knockout_utils/* subscribeAndPerform */.l4)(this.viewModel.item().showCaption, (newValue) => {
                headerHeight(newValue ? DashboardItemHeaderHeight : 0);
            }));
        }
        this._initialize();
    }
    toggleMenu(bindings, args) {
        let menu = this._createMenuToolbarItem(this.headersViewModel.leftVisibleIndex, this.headersViewModel.rightVisibleIndex);
        let boundaryContainer = getControlContainer(this.element);
        let container = this.element.firstElementChild;
        PopupMenuCreator.toggleMenu(args.currentTarget, menu, container, boundaryContainer);
    }
    createTabPage() {
        this.viewModel.createTabPage();
    }
    onSelectionChanged(e) {
        if (e.addedItems.length > 0) {
            var tabPageBinding = this.tabPageBindings().filter(tabPageBinding => tabPageBinding.id === e.addedItems[0].id)[0];
            if (tabPageBinding && tabPageBinding.pageDashboardItem !== this.viewModel.activeTabPage()) {
                this.viewModel.activeTabPage(tabPageBinding.pageDashboardItem);
            }
        }
    }
    _syncTabPageBindings(childItems) {
        let subscriptions = [];
        const createTabPageBindings = (pageViewModels) => {
            let tabPageBindings = pageViewModels
                .filter(pageViewModel => pageViewModel.hasItem())
                .map(pageViewModel => this._createPageBinding(pageViewModel.item, pageViewModel.model));
            this.tabPageBindings(tabPageBindings);
        };
        this.addDisposable((0,_knockout_utils/* safeSubscribe */.uQ)({ childItems }, (args) => {
            let pageViewModels = args.childItems.map(pageLayoutItem => pageLayoutItem._createViewModel());
            subscriptions.forEach(d => d.dispose());
            subscriptions = pageViewModels.map(pageViewModel => pageViewModel.item.subscribe(() => createTabPageBindings(pageViewModels)));
            createTabPageBindings(pageViewModels);
            return {
                dispose: () => subscriptions.forEach(d => d.dispose())
            };
        }));
    }
    _initialize() {
        this.element.setAttribute('data-layout-item-name', this.viewModel.dashboardItem());
        setElementSize(this.element, this._containerSizeController);
        this._syncTabPageBindings(this.viewModel.childItems);
        this.addDisposable(this.tabPageBindings.subscribe(() => this._updateTabHeaders()));
        const handleRequestRepaint = () => {
            this._onContainerRepaint();
        };
        this._containerSizeController.requestRepaint.add(handleRequestRepaint);
        this.addDisposable(() => this._containerSizeController.requestRepaint.remove(handleRequestRepaint));
        this.addDisposable(this.layoutItem.isDesignMode.subscribe(newValue => {
            this._updateTabHeaders();
        }));
        this.addDisposable((0,_knockout_utils/* safeSubscribe */.uQ)({
            activeTabPage: this.viewModel.activeTabPage,
            tabPageBindings: this.tabPageBindings
        }, (args) => {
            this.selectedItemKeys(this._getSelectedKeys(args.activeTabPage));
            args.tabPageBindings.forEach((page) => {
                if (this._toolbarCache[page.dashboardItem.componentName()] && args.activeTabPage) {
                    this._toolbarCache[page.dashboardItem.componentName()].disabled = page.id !== args.activeTabPage.componentName();
                }
            });
        }));
    }
    _createMenuToolbarItem(leftVisibleIndex, rightVisibleIndex) {
        let hiddenTabs = [];
        this.viewModel.childItems().forEach((layoutPageItem, i) => {
            let layoutViewModel = layoutPageItem._createViewModel();
            if (layoutViewModel.hasItem()) {
                hiddenTabs.push({
                    name: layoutViewModel.item().name() ? layoutViewModel.item().name() : '',
                    page: layoutPageItem.item
                });
            }
        });
        hiddenTabs.splice(leftVisibleIndex, rightVisibleIndex - leftVisibleIndex + 1);
        return {
            type: 'list',
            items: hiddenTabs.map(tab => tab.name),
            itemClick: (itemData, itemElement, menuItemIndex) => {
                this.viewModel.activeTabPage(hiddenTabs[menuItemIndex].page);
                this._updateTabHeaders();
            }
        };
    }
    _getSelectedKeys(activePage) {
        return activePage ? [activePage.componentName()] : [];
    }
    _createPageBinding(toolbarHolder, pageLayoutItem) {
        return {
            dashboardItem: toolbarHolder(),
            id: pageLayoutItem.dashboardItem(),
            pageDashboardItem: pageLayoutItem.item,
            sizeController: new SingleTabItemSizeController(this.layoutItem.sizeController.requestRepaint, external_ko_.observable(0), external_ko_.observable(0)),
            context: this.layoutItem.getContext(),
            localContext: this._prepareLocalContext(this.layoutItem.getLocalContext()),
            ignoreBorder: external_ko_.observable(false)
        };
    }
    _prepareLocalContext(localContext) {
        localContext.viewerItemCreated.add((item, viewerItem) => {
            viewerItem.deferredToolbarRenderingPromise = (itemName, width, height) => {
                var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                this._onToolbarUpdated(itemName, width, height, def);
                return def.promise();
            };
        });
        localContext.beforeApplyViewerItemOptions.add((item, options, isCreation) => {
            if (this.viewModel.item()) {
                options.CaptionViewModel.ShowCaption = this.showCaption;
            }
        });
        localContext.boundaryContainer = this.element;
        localContext.createCaptionToolbar = (viewerItem, container, controlContainer, popupContainer, viewOptions) => {
            let toolbar = createDefaultToolbar(viewerItem, container, controlContainer, popupContainer, viewOptions);
            if (container) {
                this._toolbarCache[viewerItem.options.Name] = toolbar;
                let binding = this.tabPageBindings().filter(binding => binding.dashboardItem.componentName() === viewerItem.options.Name)[0];
                toolbar.disabled = !this.viewModel.activeTabPage() || binding.id !== this.viewModel.activeTabPage().componentName();
            }
            return toolbar;
        };
        localContext.viewerItemDispose.add((item, viewerItem) => {
            delete this._tabsInfoCache[item.componentName()];
            delete this._toolbarCache[item.componentName()];
        });
        return localContext;
    }
    _onContainerRepaint() {
        setElementSize(this.element, this._containerSizeController);
        this._updateTabHeaders();
    }
    _onToolbarUpdated(itemName, width, height, def) {
        let page = this.tabPageBindings().filter(page => page.dashboardItem.componentName() === itemName)[0];
        this.headerHeight(Math.max(this.headerHeight(), height));
        if (page)
            this._tabsInfoCache[page.id] = {
                width: width,
                deferredRender: def
            };
        this._updateTabHeaders();
    }
    _updateTabHeaders() {
        let tabHeadersWidth = this.tabPageBindings().map((page) => this._tabsInfoCache[page.id] ? this._tabsInfoCache[page.id].width : 100);
        let tabHeadersDeferredRender = this.tabPageBindings().map((page) => this._tabsInfoCache[page.id] ? this._tabsInfoCache[page.id].deferredRender : (0,_jquery_helpers/* createJQueryDeferred */.KO)());
        if (tabHeadersWidth.length > 0) {
            let buttonsWidth = this.showAddButton() ? this._defaultButtonWidth : 0;
            let activeTabIndex = Math.max(0, this.viewModel.activeTabIndex());
            this.headersViewModel = calcTabHeadersWidth(tabHeadersWidth, this._containerSizeController.getWidth() - buttonsWidth, activeTabIndex, this.showCaption);
            this.showMenu(this.showCaption && this.headersViewModel.widths.some(width => width === 0));
            if (this.showMenu()) {
                buttonsWidth += this._defaultButtonWidth;
                this.headersViewModel = calcTabHeadersWidth(tabHeadersWidth, this._containerSizeController.getWidth() - buttonsWidth, activeTabIndex, this.showCaption);
            }
            this.tabPageBindings().forEach((page, index) => page.ignoreBorder(index === this.headersViewModel.rightVisibleIndex && buttonsWidth === 0));
            this.headersViewModel.widths.forEach((width, i) => {
                this.tabPageBindings()[i].sizeController.width(width);
                this.tabPageBindings()[i].sizeController.height(this.headerHeight());
                if (i >= this.headersViewModel.leftVisibleIndex && i <= this.headersViewModel.rightVisibleIndex) {
                    tabHeadersDeferredRender[i].resolve();
                }
            });
        }
    }
}

;// ./dist/common/docking-layout/tab-container-item/_tab-container-item-bindings.js







external_ko_.bindingHandlers['dx-dashboard-layout-tab-binding'] = {
    init: function (element, valueAccessor, _, viewModel, bindingContext) {
        var _disposables = [];
        var params = external_ko_.unwrap(valueAccessor());
        element.classList.add('dx-dashboard-item-container');
        element.setAttribute('dx-dashboard-layout-tab-index', `${external_ko_.unwrap(bindingContext.$index)}`);
        if (viewModel.dashboardItem?.name)
            element.setAttribute('aria-label', viewModel.dashboardItem?.name());
        if (external_ko_.unwrap(bindingContext.$index) === 0)
            element.setAttribute('tabindex', '0');
        if (params.ignoreBorder())
            element.classList.add('dx-dashboard-ignore-border');
        let sizeController = params.sizeController;
        setElementSize(element, sizeController);
        _disposables.push(params.sizeController.width.subscribe(newValue => { setElementSize(element, sizeController); }));
        _disposables.push(params.sizeController.height.subscribe(newValue => { setElementSize(element, sizeController); }));
        _disposables.push(params.ignoreBorder.subscribe(newValue => {
            if (newValue) {
                element.classList.add('dx-dashboard-ignore-border');
            }
            else {
                element.classList.remove('dx-dashboard-ignore-border');
            }
        }));
        var uiStateController = new DashboardUIItemStateController(element, params.dashboardItem, params.sizeController, bindingContext, () => {
            var itemViewerAdapter = params.dashboardContext.viewerItemsManager.create(params.dashboardItem, element, params.dashboardContext, params.localContext, viewerItem => {
                setElementSize(element, sizeController);
                _disposables.push(createItemSizeUpdater(viewerItem, params.sizeController));
            });
            itemViewerAdapter.initialize();
            return itemViewerAdapter;
        }, ['dx-layout-item-empty-inside-tab']);
        uiStateController.render();
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            _disposables.forEach(d => d.dispose());
            uiStateController.dispose();
        });
        return { controlsDescendantBindings: true };
    }
};
class TabContainerViewModel extends GroupViewModel {
    constructor(params) {
        super(params);
        this.activeItems = external_ko_.observableArray();
        this._activeItemsUpdateDebounced = (0,_utils/* debounce */.sg)(() => {
            this._updateActiveItems();
        }, 1);
        this._updateActiveItems();
        let isItemShownInsteadTabPage = external_ko_.computed(() => {
            let activeLayoutItem = this.layoutItem().items().length > 0 ? this.layoutItem().items()[0] : undefined;
            if (!activeLayoutItem)
                return false;
            return !!activeLayoutItem._parent().viewModel.activeTabPage()
                && activeLayoutItem._parent().viewModel.activeTabPage() !== activeLayoutItem.viewModel.item();
        });
        this.addDisposable(isItemShownInsteadTabPage);
        this.addDisposable(external_ko_.computed(() => {
            let newPadding = this.defaultPadding;
            if (isItemShownInsteadTabPage()) {
                newPadding = this.layoutItem().isDesignMode() ? 2 : 0;
            }
            this.padding(newPadding);
        }));
        this.addDisposable((this.layoutItem().items.subscribe(newValue => {
            this.activeItems.removeAll();
            this._activeItemsUpdateDebounced();
        })));
    }
    _updateActiveItems() {
        this.layoutItem().items().forEach(item => {
            this.activeItems.push(item);
        });
    }
}
const _registerDxDashboardLayoutTabContainer = () => {
    const componentName = 'dx-dashboard-layout-tab-container';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: TabContainerViewModel,
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(componentName)
    });
};
const _registerDashboardLayoutTabs = () => {
    const componentName = 'dashboard-layout-tabs';
    const templateName = 'dx-dashboard-layout-tabs';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                return new DashboardTabsViewModel(params.layoutItem, params.headerHeight, componentInfo.element);
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

;// ./dist/viewer-parts/title/_dashboard-title-view-constants.js
let _dashboard_title_view_constants_titleHeight = 42;
let titleVerticalPadding = 3;
let contentToolbarHeight = 34;

// EXTERNAL MODULE: ./dist/model/disposable-object.js
var disposable_object = __webpack_require__(8398);
;// ./dist/viewer-parts/title/_filter-icon-tooptip.js



let titleTooltipClasses = {
    root: 'dx-dashboard-title-tooltip',
    list: 'dx-dashboard-title-tooltip-list',
    listText: 'dx-dashboard-title-tooltip-list-text',
    subList: 'dx-dashboard-title-tooltip-sublist',
    subListItem: 'dx-dashboard-title-tooltip-sublist-item'
};
class FilterIconTooltip {
    static getFilterValuesString(masterFilterValues) {
        let result = '';
        masterFilterValues.forEach((argument, i) => {
            if (argument.Values && argument.Values.length) {
                let subCategoryValues = argument.Values?.flatMap(i => i.Value).join(', ');
                result += `${i !== 0 ? ', ' : ''} ${argument.Name} : ${subCategoryValues}`;
            }
        });
        return result;
    }
    static getTooltipContent(contentElement, masterFilterValues) {
        contentElement.addClass(titleTooltipClasses.root);
        let $tooltipList = external_jQuery_.fn.constructor('<ul/>', { 'class': titleTooltipClasses.list });
        masterFilterValues.forEach((argument, i) => {
            let $tooltipListItem = external_jQuery_.fn.constructor('<li/>').appendTo($tooltipList);
            $tooltipListItem.css({ 'padding-top': i == 0 ? 0 : this.FILTER_LIST_SPACE + 'px' });
            _render_helper/* RenderHelper */.p.html(external_jQuery_.fn.constructor('<div/>', { 'class': titleTooltipClasses.listText }).appendTo($tooltipListItem).get(0), argument.Name, true);
            let $tooltipSublist = external_jQuery_.fn.constructor('<ul/>', { 'class': titleTooltipClasses.subList }).appendTo($tooltipListItem);
            let maxFilterListValues = this._calcMaxFilterListValues(masterFilterValues);
            var maxFilterValues = this._calcMaxFilterValues(maxFilterListValues, masterFilterValues);
            for (var j = 0; j < maxFilterValues; j++) {
                if (j >= argument.Values.length && argument.Truncated
                    || j + 1 == maxFilterValues && (j + 1 < argument.Values.length
                        || argument.Truncated)) {
                    external_jQuery_.fn.constructor('<li/>', { 'class': titleTooltipClasses.subListItem }).appendTo($tooltipSublist).append('...');
                    break;
                }
                if (j >= argument.Values.length) {
                    break;
                }
                _render_helper/* RenderHelper */.p.html(external_jQuery_.fn.constructor('<li/>', { 'class': titleTooltipClasses.subListItem }).appendTo($tooltipSublist).get(0), (0,_formatter/* formatFilterValue */.bv)(argument.Values[j]), true);
            }
        });
        return $tooltipList;
    }
    static _calcMaxFilterListValues(masterFilterValues) {
        var that = this, lineHeightString = external_jQuery_.fn.constructor('<div/>', { 'class': titleTooltipClasses.root }).css('line-height'), lineHeightTmp = parseInt(lineHeightString, 10), lineHeight = lineHeightTmp && lineHeightString.length > 2 && lineHeightString.substr(lineHeightString.length - 2) == 'px' ? lineHeightTmp : this.DEFAULT_LINE_HEIGHT, maxHeight = this._calcMaxHeight();
        return Math.floor((maxHeight - (masterFilterValues.length - 1) * this.FILTER_LIST_SPACE) / lineHeight);
    }
    static _calcMaxFilterValues(maxFilterListValues, masterFilterValues) {
        var that = this, MIN_FILTER_VALUES = 4, MAX_FILTER_LIST_VALUES = 100, maxFilterValues, curFilterListValues;
        maxFilterListValues = Math.min(maxFilterListValues, MAX_FILTER_LIST_VALUES);
        for (maxFilterValues = Math.max(maxFilterListValues, MIN_FILTER_VALUES); maxFilterValues >= MIN_FILTER_VALUES; maxFilterValues--) {
            if (maxFilterValues == MIN_FILTER_VALUES) {
                break;
            }
            curFilterListValues = 0;
            external_jQuery_.each(masterFilterValues, function (index, dimensionFilterValues) {
                curFilterListValues += (maxFilterValues < dimensionFilterValues.Values.length ? maxFilterValues : dimensionFilterValues.Values.length) + 1;
                if (curFilterListValues > maxFilterListValues) {
                    return false;
                }
            });
            if (curFilterListValues <= maxFilterListValues) {
                break;
            }
        }
        return maxFilterValues;
    }
    static _calcMaxHeight() {
        return Math.floor(external_jQuery_.fn.constructor(window).height() * 0.75);
    }
}
FilterIconTooltip.FILTER_LIST_SPACE = 8;
FilterIconTooltip.DEFAULT_LINE_HEIGHT = 16;

;// ./dist/viewer-parts/title/_dashboard-title-toolbar-adapter.js











class DashboardTitleToolbarAdapter {
    static getTitleOptions(titleViewModel, masterFilterValues, showExportDialog, showParametersDialog, allowExport) {
        let contentItems = [];
        let actionItems = [];
        if (titleViewModel) {
            let imageViewModel = titleViewModel.LayoutModel.ImageViewModel;
            let exportMenu = {
                title: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportTo),
                items: [],
                itemClick: (itemData, itemElement, index) => { showExportDialog(_convertToExportFormat(itemData)); },
                type: 'icons'
            };
            exportMenu.items.push(cssClasses.iconExportToPDF);
            if (Settings.allowExportToImage)
                exportMenu.items.push(cssClasses.iconExportToImage);
            exportMenu.items.push(cssClasses.iconExportToExcel);
            if (imageViewModel) {
                contentItems.push({
                    name: dashboardToolbarItemNames.dashboardTitleImage,
                    template: () => {
                        let imageSrs = (imageViewModel.Url ? imageViewModel.Url : 'data:' + imageViewModel.MimeType + ';base64,' + imageViewModel.SourceBase64String);
                        let $image = external_jQuery_.fn.constructor('<img>').attr('src', imageSrs).height(_dashboard_title_view_constants_titleHeight + 'px');
                        $image.on('load', () => {
                            let imageHeight = $image.height();
                            if (imageHeight > _dashboard_title_view_constants_titleHeight) {
                                $image.width(Math.floor($image.width() * (_dashboard_title_view_constants_titleHeight / imageHeight)));
                                $image.height(_dashboard_title_view_constants_titleHeight);
                            }
                            else {
                                $image.css('margin-top', Math.ceil((_dashboard_title_view_constants_titleHeight - imageHeight) / 2));
                            }
                            $image.css({ visibility: 'visible' });
                        });
                        return $image;
                    }
                });
            }
            if (titleViewModel.Text) {
                contentItems.push({
                    name: dashboardToolbarItemNames.dashboardTitle,
                    type: 'text',
                    text: titleViewModel.Text
                });
            }
            if (titleViewModel.IncludeMasterFilterValues && masterFilterValues && masterFilterValues.length == 1 && masterFilterValues[0].Values.length == 1)
                contentItems.push({
                    name: dashboardToolbarItemNames.titleFilterText,
                    template: () => {
                        return external_jQuery_.fn.constructor('<div/>')
                            .text(this._getMasterFilterText(masterFilterValues))
                            .addClass([cssClasses.filterText, cssClasses.ellipsisText].join(' '))
                            .attr('aria-label', (0,external_DevExpress_utils_string_.format)((0,index_internal.getLocalizationById)('DevExpressWebStringId.AriaLabel.DashboardMasterFilter'), this._getMasterFilterText(masterFilterValues)))
                            .attr('role', 'presentation')
                            .attr('tabindex', '0');
                    }
                });
            if (titleViewModel.IncludeMasterFilterValues && masterFilterValues && (masterFilterValues.length > 1 || (masterFilterValues.length > 0 && masterFilterValues[0].Values.length > 1)))
                contentItems.push({
                    name: dashboardToolbarItemNames.titleFilterIcon,
                    icon: cssClasses.iconFilter,
                    type: 'button',
                    tooltip: {
                        template: (contentElement) => {
                            return FilterIconTooltip.getTooltipContent((0,_jquery_helpers/* $wrap */.HC)(contentElement), masterFilterValues);
                        },
                    },
                    hint: (0,external_DevExpress_utils_string_.format)((0,index_internal.getLocalizationById)('DevExpressWebStringId.AriaLabel.DashboardMasterFilter'), FilterIconTooltip.getFilterValuesString(masterFilterValues))
                });
            if (allowExport)
                actionItems.push({
                    name: dashboardToolbarItemNames.exportMenu,
                    menu: exportMenu,
                    icon: cssClasses.iconItemExport,
                    type: 'menu',
                    hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportTo)
                });
            if (titleViewModel.ShowParametersButton)
                actionItems.push({
                    name: dashboardToolbarItemNames.parameters,
                    click: (element) => { showParametersDialog(); },
                    icon: cssClasses.iconParameters,
                    type: 'button',
                    hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ParametersFormCaption)
                });
        }
        return {
            contentItems: contentItems,
            actionItems: actionItems,
            navigationItems: []
        };
    }
    static _getMasterFilterText(masterFilterValues) {
        if (masterFilterValues) {
            masterFilterValues.forEach(dimFilterValue => {
                dimFilterValue.Values.forEach((val) => {
                    val.Format = val.Format || {};
                });
            });
            if (masterFilterValues.length == 1 && masterFilterValues[0].Values.length == 1) {
                return (0,_formatter/* formatFilterValue */.bv)(masterFilterValues[0].Values[0]);
            }
        }
        return undefined;
    }
}

;// ./dist/common/viewer/title/_dashboard-title-model.js





let maxFilterValuesCount = 20;
function masterFilterValues(dashboard) {
    if (dashboard && !dashboard.isDisposing && dashboard.title.visible() && dashboard.title.includeMasterFilter()) {
        var newMasterFilterValues = dashboard
            ._masterFilterItems()
            .reduce((acc, item) => acc.concat(item._getDisplayFilterValues(maxFilterValuesCount)), []);
        return newMasterFilterValues.length ? newMasterFilterValues : null;
    }
    return null;
}
class DashboardTitleModel extends disposable_object/* DisposableObject */.I {
    constructor(context, dashboard, customizeToolbarOptions) {
        super();
        this.context = context;
        this.dashboard = dashboard;
        this.customizeToolbarOptions = customizeToolbarOptions;
        this.onUpdated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.toolbarOptions = external_ko_.observable(null);
        this.parametersExtension = context && context.parametersExtension || external_ko_.computed(() => null);
        this.exportExtension = context && context.exportExtension || external_ko_.computed(() => null);
        this.viewerApi = context && context.viewerApi || null;
        this.viewerApi && this.viewerApi.title(this);
        let showParametersButton = external_ko_.computed(() => {
            return dashboard && dashboard.parameters && dashboard.parameters().some(param => param.parameterVisible()) &&
                (this.parametersExtension() && _utils/* type */.NW.isDefined(this.parametersExtension().showDialogButton()) ? this.parametersExtension().showDialogButton() : false);
        });
        this.allowShowExportDialog = external_ko_.computed(() => {
            return this.exportExtension() && this.exportExtension().allowExportDashboard;
        });
        this.masterFilterValues = external_ko_.computed(() => {
            return masterFilterValues(dashboard);
        });
        this.showTitle = external_ko_.computed(() => {
            return dashboard ? dashboard.title.visible() : false;
        });
        this.viewModel = external_ko_.computed(() => {
            var titleModel = dashboard ? dashboard.title : undefined;
            if (titleModel && titleModel.visible()) {
                let imageViewModel;
                if (titleModel.image64()) {
                    imageViewModel = {
                        SourceBase64String: titleModel.image64(),
                        MimeType: 'image/png'
                    };
                }
                else if (titleModel.url()) {
                    imageViewModel = {
                        Url: titleModel.url()
                    };
                }
                var viewModel = {
                    Text: titleModel.text(),
                    Visible: titleModel.visible(),
                    ShowParametersButton: showParametersButton(),
                    IncludeMasterFilterValues: titleModel.includeMasterFilter(),
                    LayoutModel: {
                        Alignment: titleModel.alignment(),
                        ImageViewModel: imageViewModel
                    },
                };
                return viewModel;
            }
            return null;
        });
        this.update();
        this.toDispose(this.viewModel.subscribe(newValue => !dashboard.disposed && this.update()));
        this.toDispose(this.masterFilterValues.subscribe(newValue => this.update()));
        this.toDispose(this.masterFilterValues);
        this.toDispose(this.showTitle);
        this.toDispose(this.viewModel);
        this.toDispose(this.allowShowExportDialog);
        this.toDispose(showParametersButton);
    }
    update() {
        let showExportDialog = (format) => {
            this.exportExtension() && this.exportExtension().showExportDashboardDialog(format);
        };
        let showParametersDialog = () => {
            this.parametersExtension() && this.parametersExtension().show();
        };
        let options = DashboardTitleToolbarAdapter.getTitleOptions(this.viewModel(), this.masterFilterValues(), showExportDialog, showParametersDialog, this.allowShowExportDialog());
        if (this.customizeToolbarOptions) {
            this.customizeToolbarOptions(options);
        }
        this._raiseUpdated(options);
        this.toolbarOptions({
            centerAligned: this.viewModel() ? this.viewModel().LayoutModel.Alignment === 'Center' : false,
            toolbarOptions: {
                staticItems: options.contentItems,
                actionItems: options.actionItems,
                navigationItems: options.navigationItems,
                stateItems: []
            },
        });
    }
    dispose() {
        this.viewerApi && this.viewerApi.title(null);
        super.dispose();
    }
    _raiseUpdated(option) {
        this.onUpdated.fire(option);
    }
}

;// ./dist/common/docking-layout/_docking-layout-settings.js
class DockingLayoutSettings {
}
DockingLayoutSettings.layoutPaddings = 16;

;// ./dist/common/docking-layout/_docking-layout-bindings.js









const ShadowSize = _layout_item/* SplitterSize */.ZZ / 2;
const _getPaddingBesideScrollBar = (mode) => (0,_knockout_utils/* safeComputed */.Tq)({ mode }, args => {
    const scrollbarSize = 8;
    let calculatedPadding = DockingLayoutSettings.layoutPaddings - scrollbarSize;
    calculatedPadding = calculatedPadding < 0 ? 0 : calculatedPadding;
    return args.mode === 'Fixed' ? calculatedPadding : DockingLayoutSettings.layoutPaddings;
});
const _getScrollDirection = (verticalMode, horizontalMode) => {
    if (horizontalMode === 'Fixed' && verticalMode === 'Fixed') {
        return 'both';
    }
    else if (horizontalMode === 'Fixed') {
        return 'horizontal';
    }
    else if (verticalMode === 'Fixed') {
        return 'vertical';
    }
};
const processResize = ({ element, layout, layoutOptions, fullscreenItemModel, titleModel, titleWidth, titleHeight, repaintRequest, resizeByTimer, rootLayoutElement }) => {
    const disposables = [];
    const toDispose = (disposable) => {
        disposables.push(disposable);
        return disposable;
    };
    const layoutContainerSize = {
        width: (0,_jquery_helpers/* getWidth */.RG)(element),
        height: (0,_jquery_helpers/* getHeight */.Oq)(element),
    };
    const getLayoutWidth = () => {
        const initialWidth = layoutOptions.width.mode() === 'Fixed' ? layoutOptions.width.value() : layoutContainerSize.width;
        return initialWidth - DockingLayoutSettings.layoutPaddings * 2;
    };
    const getLayoutHeight = () => {
        const initialHeight = layoutOptions.height.mode() === 'Fixed' ? layoutOptions.height.value() : layoutContainerSize.height;
        return initialHeight - DockingLayoutSettings.layoutPaddings * 2 - (titleModel.showTitle() === true ? titleHeight() : 0);
    };
    const updateTitleWidth = () => {
        const titleContainerWidth = layoutContainerSize.width - DockingLayoutSettings.layoutPaddings * 2;
        titleWidth((external_ko_.unwrap(fullscreenItemModel.visible) ? titleContainerWidth : Math.min(getLayoutWidth(), titleContainerWidth)) - ShadowSize * 2);
    };
    const updateFullscreenItemSize = () => {
        if (external_ko_.unwrap(fullscreenItemModel.visible)) {
            fullscreenItemModel.viewModel().repaintRequest.fire();
        }
    };
    const updateSize = () => {
        updateFullscreenItemSize();
        updateTitleWidth();
        const rootElt = rootLayoutElement();
        if (rootElt) {
            rootElt.style.width = `${getLayoutWidth()}px`;
            rootElt.style.height = `${getLayoutHeight()}px`;
        }
        layout.updateSize(getLayoutWidth(), getLayoutHeight());
    };
    const updateSizeDebounced = (0,_utils/* debounce */.sg)(updateSize, 100);
    const resizeObserver = new ResizeObserver(entries => {
        layoutContainerSize.width = entries[0].contentRect.width;
        layoutContainerSize.height = entries[0].contentRect.height;
        if (resizeByTimer()) {
            updateSizeDebounced();
        }
    });
    resizeObserver.observe(element);
    toDispose((0,_knockout_utils/* safeSubscribe */.uQ)({
        widthMode: layoutOptions.width.mode,
        fixedWidth: layoutOptions.width.value,
        mode: layoutOptions.height.mode,
        fixedHeight: layoutOptions.height.value,
        titleHeight,
        showTitle: titleModel.showTitle,
        rootLayoutElement
    }, () => updateSize()));
    toDispose(fullscreenItemModel.visible.subscribe(updateTitleWidth));
    toDispose(resizeByTimer.subscribe((newValue) => newValue && updateSize()));
    const forceRepaintCallback = () => updateSize();
    repaintRequest.add(forceRepaintCallback);
    toDispose({
        dispose: () => {
            repaintRequest.remove(forceRepaintCallback);
        }
    });
    return disposables;
};
const _registerDashboardDockingLayout = () => {
    const componentName = 'dashboard-docking-layout';
    const templateName = 'dx-dashboard-docking-layout';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function ({ componentArgs }, componentInfo) {
                let disposables = [];
                const toDispose = (disposable) => {
                    disposables.push(disposable);
                    return disposable;
                };
                const rootLayoutElement = external_ko_.observable();
                const titleWidth = external_ko_.observable((0,_jquery_helpers/* getWidth */.RG)(componentInfo.element));
                const titleHeight = external_ko_.observable(_dashboard_title_view_constants_titleHeight);
                const titleModel = new DashboardTitleModel(componentArgs.titleContext, componentArgs.dashboard);
                const isTitleVisible = titleModel.showTitle;
                const layout = componentArgs.layout;
                const layoutOptions = componentArgs.dashboard.layoutOptions;
                const fullscreenItemModel = componentArgs.fullscreenItemModel;
                const layoutTop = toDispose((0,_knockout_utils/* safeComputed */.Tq)({ isTitleVisible, titleHeight, }, args => args.isTitleVisible ? args.titleHeight + DockingLayoutSettings.layoutPaddings : 0));
                const paddings = {
                    paddingTop: toDispose((0,_knockout_utils/* safeComputed */.Tq)({ isTitleVisible }, args => args.isTitleVisible ? 0 : DockingLayoutSettings.layoutPaddings)),
                    paddingRight: toDispose(_getPaddingBesideScrollBar(layoutOptions.height.mode)),
                    paddingBottom: toDispose(_getPaddingBesideScrollBar(layoutOptions.width.mode)),
                    paddingLeft: DockingLayoutSettings.layoutPaddings
                };
                const scrollViewOptions = toDispose((0,_knockout_utils/* safeComputed */.Tq)({
                    verticalMode: layoutOptions.height.mode,
                    horizontalMode: layoutOptions.width.mode
                }, (args) => ({
                    direction: _getScrollDirection(args.verticalMode, args.horizontalMode),
                    showScrollbar: _getScrollDirection(args.verticalMode, args.horizontalMode) ? 'always' : 'never',
                    ...componentArgs.scrollViewEvents
                })));
                const viewModel = {
                    title: {
                        showTitle: titleModel.showTitle,
                        containerStyles: {
                            display: 'flex',
                            justifyContent: 'start',
                            position: 'absolute',
                            top: DockingLayoutSettings.layoutPaddings,
                            left: DockingLayoutSettings.layoutPaddings + ShadowSize,
                            height: titleHeight
                        },
                        styles: {
                            width: titleWidth,
                        },
                        componentArgs: {
                            height: titleHeight,
                            width: titleWidth,
                            encodeHtml: componentArgs.encodeHtml,
                            options: titleModel.toolbarOptions,
                        }
                    },
                    scrollView: {
                        options: scrollViewOptions,
                        styles: { top: layoutTop },
                        contentWrapperStyles: { ...paddings, display: 'block', boxSizing: 'content-box' },
                    },
                    fullscreenItem: {
                        styles: {
                            paddingTop: paddings.paddingTop,
                            paddingRight: DockingLayoutSettings.layoutPaddings,
                            paddingBottom: DockingLayoutSettings.layoutPaddings,
                            paddingLeft: DockingLayoutSettings.layoutPaddings,
                            top: layoutTop
                        }
                    },
                    layout: layout,
                    layoutMainElementEvents: { ...componentArgs.layoutMainElementEvents, targetElement: rootLayoutElement },
                    fullscreenItemModel: fullscreenItemModel,
                };
                processResize({
                    element: componentInfo.element,
                    layout,
                    layoutOptions,
                    fullscreenItemModel,
                    titleModel,
                    titleWidth,
                    titleHeight,
                    repaintRequest: componentArgs.repaintRequest,
                    resizeByTimer: componentArgs.resizeByTimer,
                    rootLayoutElement: rootLayoutElement
                })
                    .forEach(d => toDispose(d));
                const disposeCallback = () => {
                    disposables.forEach(disposable => disposable.dispose());
                    disposables = [];
                    titleModel.dispose();
                    window.removeEventListener('unload', disposeCallback);
                };
                external_ko_.utils.domNodeDisposal.addDisposeCallback(componentInfo.element, disposeCallback);
                window.addEventListener('unload', disposeCallback);
                return viewModel;
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

;// ./dist/common/internal/_ko-element-accessor.js

external_ko_.bindingHandlers['dx-dashboard-element-accessor'] = {
    init: function (element, valueAccessor) {
        let componentArgs = external_ko_.unwrap(valueAccessor());
        componentArgs.onInitialize && componentArgs.onInitialize({ element: element });
        componentArgs.targetElement && componentArgs.targetElement(element);
        let inDisposingHandler = false;
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, () => {
            if (componentArgs.onDisposing && !inDisposingHandler) {
                try {
                    inDisposingHandler = true;
                    componentArgs.onDisposing({ element: element });
                }
                finally {
                    inDisposingHandler = false;
                }
            }
        });
    }
};

;// ./dist/common/mobile-layout-extension/_dashboard-standalone-item.js



const _registerDashboardStandaloneItem = () => {
    const componentName = 'dashboard-standalone-item';
    const templateName = 'dx-dashboard-standalone-item';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: (params, componentInfo) => {
                let element = componentInfo.element;
                return {
                    dashboardItem: external_ko_.unwrap(params.dashboardItem),
                    dashboardContext: external_ko_.unwrap(params.dashboardContext),
                    localContext: external_ko_.unwrap(params.localContext),
                    sizeController: new SingleItemSizeController(element.parentElement, external_ko_.unwrap(params.repaintRequest)),
                    isStandalone: false
                };
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

// EXTERNAL MODULE: ./dist/viewer-parts/_cacheable.js
var _cacheable = __webpack_require__(9449);
// EXTERNAL MODULE: ./dist/viewer-parts/conditional-formatting/_style-settings-provider.js
var _style_settings_provider = __webpack_require__(7777);
// EXTERNAL MODULE: ./dist/viewer-parts/legacy-settings.js
var legacy_settings = __webpack_require__(9557);
;// ./dist/viewer-parts/viewer-items/data-grid-item/_column-width-calculator.js

var COLUMN_MIN_WIDTH = 10;
class ColumnWidthCalculator {
    get columnsResized() {
        return this._columnWidthsStorage && this._columnWidthsStorage.columnsResized ? true : false;
    }
    reset(viewModel, columnWidthMode) {
        this._resetWidthOptions(viewModel, columnWidthMode);
        this._columnWidthsStorage = undefined;
    }
    getLeftPrintingColumnIndex(hScrollPosition) {
        var that = this, columnIndex = 0, widthSum = 0;
        external_jQuery_.each(that._columnWidths, function (index, width) {
            if (hScrollPosition < widthSum + width / 2) {
                columnIndex = index;
                return false;
            }
            widthSum += width;
        });
        return columnIndex;
    }
    getClientWidthOptions() {
        var that = this, clientWidthOptions;
        if (that.widthOptions) {
            clientWidthOptions = {
                mode: that.widthOptions.mode,
                columnsOptions: []
            };
            external_jQuery_.each(that.widthOptions.columnsOptions, function (i, info) {
                clientWidthOptions.columnsOptions[i] = {
                    widthType: info.widthType,
                    weight: info.weight
                };
            });
        }
        return clientWidthOptions;
    }
    onDataLoaded(viewModel, columnWidthMode) {
        var that = this;
        this._resetWidthOptions(viewModel, columnWidthMode);
        if (that._columnWidthsStorage) {
            that.widthOptions.mode = that._columnWidthsStorage.mode;
            external_jQuery_.each(that.widthOptions.columnsOptions, function (i, info) {
                external_jQuery_.each(that._columnWidthsStorage.columnsOptions, function (j, storageWidthInfo) {
                    if (info.actualIndex === storageWidthInfo.actualIndex) {
                        info.widthType = storageWidthInfo.widthType;
                        info.weight = storageWidthInfo.weight;
                    }
                });
            });
        }
    }
    calcColumnsWidth(bestFitProvider, maxVisibleWidth, charWidth) {
        this._columnWidths = [];
        let widthInfo = this._createWidthInfo(bestFitProvider, charWidth);
        this._calcWidth(widthInfo, maxVisibleWidth);
        widthInfo.columnsOptions.forEach((columnInfo) => {
            this._columnWidths.push(columnInfo.actualWidth);
        });
        return this._columnWidths;
    }
    onColumnResized(leftColumnIndex, leftColumnWidth, rightColumnWidth) {
        this._unfixColumnWidth(leftColumnIndex);
        if (leftColumnWidth < COLUMN_MIN_WIDTH) {
            rightColumnWidth = leftColumnWidth + rightColumnWidth - COLUMN_MIN_WIDTH;
            leftColumnWidth = COLUMN_MIN_WIDTH;
        }
        else if (rightColumnWidth < COLUMN_MIN_WIDTH) {
            leftColumnWidth = leftColumnWidth + rightColumnWidth - COLUMN_MIN_WIDTH;
            rightColumnWidth = COLUMN_MIN_WIDTH;
        }
        this._columnWidths[leftColumnIndex] = leftColumnWidth;
        this._columnWidths[leftColumnIndex + 1] = rightColumnWidth;
        this._updateWeight(this.widthOptions.columnsOptions, this._columnWidths);
        this._updateColumnWidthsStorage();
        return this._columnWidths;
    }
    _unfixColumnWidth(leftColumnIndex) {
        var that = this, leftColumnInfo = that.widthOptions.columnsOptions[leftColumnIndex], rightColumnInfo = that.widthOptions.columnsOptions[leftColumnIndex + 1], unfixColumnWidth = function (info) {
            info.widthType = 'Weight';
        };
        that.widthOptions.mode = 'Manual';
        if (that._isAllColumnsFixed()) {
            external_jQuery_.each(that.widthOptions.columnsOptions, function (_, info) {
                unfixColumnWidth(info);
            });
        }
        else {
            unfixColumnWidth(leftColumnInfo);
            unfixColumnWidth(rightColumnInfo);
        }
    }
    _calcWidth(optionsInfo, maxVisibleWidth) {
        var actualWidthSum = 0, autoFitToContents = optionsInfo.mode === 'AutoFitToContents';
        external_jQuery_.each(optionsInfo.columnsOptions, function (_, info) {
            info.actualWidth = info.initialWidth;
            actualWidthSum += info.initialWidth;
        });
        if (actualWidthSum !== maxVisibleWidth && (!autoFitToContents || (autoFitToContents && actualWidthSum < maxVisibleWidth))) {
            actualWidthSum = this._scaleColumns(optionsInfo, false, maxVisibleWidth, actualWidthSum);
            if (actualWidthSum !== maxVisibleWidth) {
                this._scaleColumns(optionsInfo, true, maxVisibleWidth, actualWidthSum);
            }
        }
    }
    _scaleColumns(optionsInfo, isFixed, maxVisibleWidth, actualWidthSum) {
        var that = this, scalingColumnSum, targetScalingColumnSum, updatedActualWidthSum, nonScalingColumnSum = 0;
        external_jQuery_.each(optionsInfo.columnsOptions, function (_, columnInfo) {
            if (!that._isScaledColumns(optionsInfo.mode, columnInfo.widthType, isFixed)) {
                nonScalingColumnSum += columnInfo.actualWidth;
            }
        });
        scalingColumnSum = actualWidthSum - nonScalingColumnSum;
        targetScalingColumnSum = Math.abs(maxVisibleWidth - nonScalingColumnSum);
        updatedActualWidthSum = nonScalingColumnSum;
        external_jQuery_.each(optionsInfo.columnsOptions, function (_, columnInfo) {
            if (that._isScaledColumns(optionsInfo.mode, columnInfo.widthType, isFixed)) {
                var correctedWidth = Math.round(targetScalingColumnSum * columnInfo.actualWidth / scalingColumnSum), actualWidth = Math.max(correctedWidth, COLUMN_MIN_WIDTH);
                columnInfo.actualWidth = actualWidth;
                updatedActualWidthSum += actualWidth;
            }
        });
        return that._spreadRemainder(optionsInfo, isFixed, maxVisibleWidth, updatedActualWidthSum);
    }
    _spreadRemainder(optionsInfo, isFixed, maxVisibleWidth, actualWidthSum) {
        for (var i = optionsInfo.columnsOptions.length - 1; i >= 0; i--) {
            var columnInfo = optionsInfo.columnsOptions[i];
            var remainder = actualWidthSum - maxVisibleWidth;
            if (remainder === 0)
                return actualWidthSum;
            if (this._isScaledColumns(optionsInfo.mode, columnInfo.widthType, isFixed)) {
                columnInfo.actualWidth -= remainder;
                actualWidthSum -= remainder;
                if (columnInfo.actualWidth < COLUMN_MIN_WIDTH) {
                    actualWidthSum += Math.abs(columnInfo.actualWidth - COLUMN_MIN_WIDTH);
                    columnInfo.actualWidth = COLUMN_MIN_WIDTH;
                }
            }
        }
        return actualWidthSum;
    }
    _isScaledColumns(widthMode, widthType, isFixed) {
        var isFixedWidth = function (widthMode, widthType) {
            return widthMode !== 'Manual' || widthType != 'Weight';
        };
        return isFixedWidth(widthMode, widthType) === isFixed;
    }
    _resetWidthOptions(viewModel, columnWidthMode) {
        var that = this, columns = viewModel.Columns, isManualColumnWidthMode = columnWidthMode == 'Manual';
        that.widthOptions = {
            mode: columnWidthMode,
            columnsOptions: []
        };
        external_jQuery_.each(columns, function (i, column) {
            that.widthOptions.columnsOptions[i] = {
                actualIndex: column.ActualIndex,
                widthType: column.WidthType,
                weight: column.Weight,
                fixedWidth: column.FixedWidth
            };
        });
    }
    _createWidthInfo(bestFitProvider, charWidth) {
        var that = this, isManualMode = that.widthOptions.mode == 'Manual', widthInfo = {
            mode: that.widthOptions.mode,
            columnsOptions: []
        };
        external_jQuery_.each(that.widthOptions.columnsOptions, function (i, info) {
            var initialWidth = 0;
            if (!isManualMode || info.widthType === 'FitToContent') {
                initialWidth = bestFitProvider.getBestFit(i);
            }
            else if (isManualMode && info.widthType === 'FixedWidth') {
                initialWidth = Math.round(info.fixedWidth * charWidth);
            }
            else {
                initialWidth = info.weight;
            }
            widthInfo.columnsOptions.push({
                widthType: info.widthType,
                initialWidth: initialWidth,
                actualWidth: 0,
            });
        });
        return widthInfo;
    }
    _updateColumnWidthsStorage() {
        var that = this, found, res = {
            columnsResized: true,
            mode: that.widthOptions.mode,
            columnsOptions: []
        };
        for (var i = 0; i < that.widthOptions.columnsOptions.length; i++) {
            res.columnsOptions.push(that.widthOptions.columnsOptions[i]);
        }
        if (that._columnWidthsStorage) {
            for (var i = 0; i < that._columnWidthsStorage.columnsOptions.length; i++) {
                found = false;
                for (var j = 0; j < res.columnsOptions.length; j++) {
                    if (that._columnWidthsStorage.columnsOptions[i].actualIndex === res.columnsOptions[j].actualIndex) {
                        found = true;
                        break;
                    }
                }
                if (!found) {
                    res.columnsOptions.push(that._columnWidthsStorage.columnsOptions[i]);
                }
            }
        }
        this._columnWidthsStorage = res;
    }
    _isAllColumnsFixed() {
        var that = this, allColumnsFixed = true;
        external_jQuery_.each(that.widthOptions.columnsOptions, function (_, info) {
            if (info.widthType === 'Weight') {
                allColumnsFixed = false;
                return false;
            }
        });
        return allColumnsFixed;
    }
    _updateWeight(columnsWidthInfo, columnWidths) {
        var widthSum = 0;
        var weightSum = 0;
        external_jQuery_.each(columnsWidthInfo, function (i, info) {
            if (info.widthType === 'Weight') {
                widthSum += columnWidths[i];
                weightSum += info.weight;
            }
        });
        external_jQuery_.each(columnsWidthInfo, function (i, info) {
            if (info.widthType === 'Weight') {
                info.weight = columnWidths[i] * weightSum / widthSum;
            }
        });
    }
}

;// ./dist/viewer-parts/widgets/indicators/_consts.js
const _consts_indicatorType = {
    none: 'none',
    up: 'up',
    down: 'down',
    warning: 'warning'
};

;// ./dist/viewer-parts/widgets/indicators/_delta-indicator.js



class DeltaIndicator {
    constructor(options) {
        options = options || {};
        this._container = external_jQuery_.fn.constructor(options.container);
        this._renderer = options.renderer;
        this._shape = null;
        this._init();
        if (this._container.length) {
            this.draw(options);
        }
    }
    _init() {
        var container = this._container, width = 0, height = 0;
        if (!container.length) {
            return;
        }
        width = container.width(),
            height = container.height();
        if (!(width > 0 && height > 0)) {
            return;
        }
        this._renderer = new external_DevExpress_viz_dashboard_namespaceObject.Renderer({ container: container[0] });
    }
    draw(options) {
        var params = this._prepareDrawParams(options);
        if (params.readyToDraw) {
            this._render(params);
        }
        return this._shape;
    }
    _prepareDrawParams(options) {
        var container = this._container, params = { readyToDraw: false }, rectOptions = { left: 0, top: 0, right: 0, bottom: 0 };
        if (container.length) {
            rectOptions.right = container.width() || 0;
            rectOptions.bottom = container.height() || 0;
        }
        else if (options.rect) {
            rectOptions = options.rect;
        }
        params.rectangle = rectOptions;
        params.type = options.type || _consts_indicatorType.none;
        params.hasPositiveMeaning = !!(options.hasPositiveMeaning);
        params.readyToDraw = !!(this._renderer && rectOptions.right - rectOptions.left > 0 && rectOptions.bottom - rectOptions.top > 0);
        params.drawToContainer = !!(this._container.length);
        return params;
    }
    _render(params) {
        var rect = params.rectangle, shape;
        this._shape = null;
        if (params.drawToContainer) {
            this._renderer.resize(rect.right - rect.left, rect.bottom - rect.top);
            shape = this._drawShape(params);
            if (shape) {
                shape.append(this._renderer.root);
            }
        }
        else {
            shape = this._drawShape(params);
        }
        this._shape = shape;
    }
    _drawShape(params) {
        var shape = null, rect = params.rectangle, cx = (rect.left + rect.right) >> 1, cy = (rect.top + rect.bottom) >> 1, r = ~~(Math.min(rect.right - rect.left, rect.bottom - rect.top) / 2), coords = [], colorClassName = DeltaIndicator.getIndicatorColorType(params.type, params.hasPositiveMeaning);
        switch (params.type) {
            case _consts_indicatorType.none:
                break;
            case _consts_indicatorType.up:
                coords.push(rect.left);
                coords.push(rect.bottom);
                coords.push(cx);
                coords.push(rect.top);
                coords.push(rect.right);
                coords.push(rect.bottom);
                shape = this._renderer.path(coords, 'area').attr({ 'class': colorClassName });
                shape._useCSSTheme = true;
                break;
            case _consts_indicatorType.down:
                coords.push(rect.left);
                coords.push(rect.top);
                coords.push(cx);
                coords.push(rect.bottom);
                coords.push(rect.right);
                coords.push(rect.top);
                shape = this._renderer.path(coords, 'area').attr({ 'class': colorClassName });
                shape._useCSSTheme = true;
                break;
            case _consts_indicatorType.warning:
                shape = this._renderer.circle(cx, cy, r).attr({ 'class': colorClassName });
                shape._useCSSTheme = true;
                break;
        }
        return shape;
    }
    static getIndicatorColorType(type, hasPositiveMeaning, useDefaultColor) {
        var color;
        if (useDefaultColor) {
            color = 'dx-carditem-default-color';
        }
        else {
            switch (type) {
                case _consts_indicatorType.up:
                case _consts_indicatorType.down:
                    color = hasPositiveMeaning ? 'dx-carditem-positive-color' : 'dx-carditem-negative-color';
                    break;
                case _consts_indicatorType.warning:
                    color = 'dx-carditem-warning-color';
                    break;
                default:
                    color = 'dx-carditem-none-color';
                    break;
            }
        }
        return color;
    }
}

;// ./dist/viewer-parts/widgets/indicators/_simple-indicator.js
class SimpleIndicator {
    static getIndicator(type, hasPositiveMeaning) {
        return SimpleIndicator.svgIndicators[type + ((type === 'up' || type === 'down') && !hasPositiveMeaning ? '_negative' : '')];
    }
}
SimpleIndicator._staticPartMarkup = '<svg viewBox="0 0 400 300" width="100%" height="100%" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" class="dxb-d-block dxb-wth-color-0000"><path class="';
SimpleIndicator.svgIndicators = {
    none: '<svg width="24" height="18" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" class="dxb-d-block dxb-wth-color-0000"></svg>',
    up: SimpleIndicator._staticPartMarkup + 'dx-carditem-positive-color" d="M 0 300 L 200 0 L 400 300 Z"></path></svg>',
    up_negative: SimpleIndicator._staticPartMarkup + 'dx-carditem-negative-color" d="M 0 300 L 200 0 L 400 300 Z"></path></svg>',
    down: SimpleIndicator._staticPartMarkup + 'dx-carditem-positive-color" d="M 0 0 L 200 300 L 400 0 Z"></path></svg>',
    down_negative: SimpleIndicator._staticPartMarkup + 'dx-carditem-negative-color" d="M 0 0 L 200 300 L 400 0 Z"></path></svg>',
    warning: '<svg viewBox="0 0 18 18" width="100%" height="100%" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" class="dxb-d-block dxb-wth-color-0000"><circle cx="9" cy="9" r="8.7" class="dx-carditem-warning-color"></circle></svg>'
};

;// ./dist/viewer-parts/viewer-items/data-grid-item/_grid-column-painter.js












class GridColumnPainter {
    static renderDelta(parentContainer, deltaValue, isDetail) {
        let container = document.createElement('div');
        container.classList.add(this.CssClasses.flexDeltaParent);
        container.classList.add(DeltaIndicator.getIndicatorColorType(deltaValue.type, deltaValue.hasPositiveMeaning, deltaValue.text.useDefaultColor));
        if (!isDetail) {
            container.classList.add(this.CssClasses.rightAlignment);
        }
        parentContainer.appendChild(container);
        let textDiv = document.createElement('div');
        textDiv.classList.add(this.CssClasses.truncated);
        textDiv.innerText = deltaValue.text.value;
        container.appendChild(textDiv);
        let indicatorDiv = document.createElement('div');
        indicatorDiv.classList.add(this.CssClasses.fixed);
        indicatorDiv.classList.add(this.CssClasses.deltaIndicator);
        indicatorDiv.innerHTML = SimpleIndicator.getIndicator(deltaValue.type, deltaValue.hasPositiveMeaning) || '';
        container.appendChild(indicatorDiv);
    }
    static renderSparkline(name, showStartEndValues, parentContainer, sparklineData) {
        let container = document.createElement('div');
        container.classList.add(name + '_sparkline-container');
        container.classList.add(this.CssClasses.flexParent);
        parentContainer.appendChild(container);
        let sparklineDiv = document.createElement('div');
        sparklineDiv.classList.add(name + '_sparkline');
        container.appendChild(sparklineDiv);
        if (showStartEndValues) {
            let startDiv = document.createElement('div');
            startDiv.classList.add(this.CssClasses.sparklineStartValue);
            startDiv.classList.add(name + '_startValue');
            startDiv.innerText = sparklineData.startText;
            external_jQuery_.fn.constructor(startDiv).prependTo(container);
            let endDiv = document.createElement('div');
            endDiv.classList.add(name + '_endValue');
            endDiv.innerText = sparklineData.endText;
            container.appendChild(endDiv);
        }
        (0,_jquery_helpers/* extend */.X$)(sparklineData.sparkline, {
            size: {
                height: 20,
                width: 10
            },
            pointSize: 1
        });
        return new (external_DevExpress_viz_dxSparkline_default())(sparklineDiv, sparklineData.sparkline);
    }
    static renderBar(columnName, parentContainer, tooltipText, value, zeroValue) {
        let zerovalue = zeroValue;
        let barContainer = document.createElement('div');
        barContainer.classList.add(this.CssClasses.flexParent);
        barContainer.classList.add(columnName + '_bar-container');
        parentContainer.appendChild(barContainer);
        let barDiv = document.createElement('div');
        barDiv.classList.add(columnName + '_bar');
        barContainer.appendChild(barDiv);
        return new (external_DevExpress_viz_dxBullet_default())(barDiv, {
            startScaleValue: -zerovalue,
            endScaleValue: 1 - zerovalue,
            value: value,
            showZeroLevel: value !== 0 && zerovalue !== 0 && zerovalue !== 1,
            showTarget: false,
            onIncidentOccurred: _render_helper/* RenderHelper */.p.widgetIncidentOccurred,
            tooltip: {
                container: _utils/* tooltipContainerSelector */.eX,
                customizeTooltip: function () {
                    return {
                        text: tooltipText
                    };
                },
                zIndex: _z_index/* zIndex */.f.dashboardItemTooltips
            },
            size: {
                height: 20,
                width: 10
            }
        });
    }
    static renderImage(container, imageData) {
        (0,_utils/* renderImage */.mx)(container, imageData);
    }
    static renderHyperlink(container, uri, displayValue, isEncodeHtml) {
        if (uri) {
            let a = document.createElement('a');
            a.target = '_blank';
            a.onclick = (event) => event.stopPropagation();
            a.rel = 'noopener noreferrer';
            a.href = (0,_utils/* isVulnerable */.JY)(uri) ? '' : uri;
            _render_helper/* RenderHelper */.p.html(a, displayValue, isEncodeHtml);
            container.appendChild(a);
        }
        else {
            _render_helper/* RenderHelper */.p.html(container, displayValue, isEncodeHtml);
        }
    }
    static renderValue(container, text, isEncodeHtml) {
        if ((0,external_DevExpress_utils_string_.isEmpty)(text)) {
            _render_helper/* RenderHelper */.p.html(container, '&nbsp;', false);
        }
        else {
            _render_helper/* RenderHelper */.p.html(container, text, isEncodeHtml);
        }
    }
    static changeGridSparklineColumnsWidth(gridRootElement, columnName) {
        var that = this, startValues = gridRootElement.querySelectorAll('.' + columnName + '_startValue'), endValues = gridRootElement.querySelectorAll('.' + columnName + '_endValue'), maxStartWidth = that.calcMaxWidth(startValues), maxEndWidth = that.calcMaxWidth(endValues), sparklineDivs = gridRootElement.querySelectorAll('.' + columnName + '_sparkline'), firstsparklineContainer = external_jQuery_.fn.constructor(gridRootElement.querySelectorAll('.' + columnName + '_sparkline-container')).filter(':visible').get(0), columnWidth = firstsparklineContainer ? external_jQuery_.fn.constructor(firstsparklineContainer).width() : 0, sparklineWidth = columnWidth - (maxStartWidth + maxEndWidth);
        if (sparklineWidth >= 0) {
            external_jQuery_.fn.constructor(startValues).width(maxStartWidth);
            external_jQuery_.fn.constructor(endValues).width(maxEndWidth);
            external_jQuery_.fn.constructor(startValues).show();
            external_jQuery_.fn.constructor(endValues).show();
            for (let i = 0; i < sparklineDivs.length; i++) {
                let sparklineContainer = sparklineDivs[i];
                let sparkline = external_DevExpress_viz_dxSparkline_default().getInstance(sparklineContainer);
                if (sparkline) {
                    sparkline.option('size', { width: sparklineWidth });
                    external_jQuery_.fn.constructor(sparklineContainer).show();
                }
            }
        }
        else {
            sparklineDivs.forEach(sparklineDiv => {
                external_jQuery_.fn.constructor(sparklineDiv).hide();
            });
            if (columnWidth >= maxStartWidth + maxEndWidth) {
                external_jQuery_.fn.constructor(startValues).show();
            }
            else {
                external_jQuery_.fn.constructor(startValues).hide();
                if (columnWidth >= maxEndWidth) {
                    external_jQuery_.fn.constructor(endValues).show();
                }
                else {
                    external_jQuery_.fn.constructor(endValues).hide();
                }
            }
        }
    }
    static calcMaxWidth(values) {
        var maxWidth = 0;
        var nodeLen = values.length;
        for (let i = 0; i < nodeLen; ++i) {
            maxWidth = Math.max(maxWidth, values[i].offsetWidth);
        }
        return maxWidth;
    }
    static changeGridBarColumnsWidth(gridRootElement, columnName) {
        var that = this, bars = gridRootElement.querySelectorAll('.' + columnName + '_bar'), firstBarContainer = external_jQuery_.fn.constructor(gridRootElement.querySelectorAll('.' + columnName + '_bar-container')).filter(':visible').get(0), columnWidth = firstBarContainer ? external_jQuery_.fn.constructor(firstBarContainer).width() : 0;
        for (let i = 0; i < bars.length; ++i) {
            let barContainer = bars[i];
            if (columnWidth > 0) {
                external_jQuery_.fn.constructor(barContainer).show();
                let bullet = external_DevExpress_viz_dxBullet_default().getInstance(barContainer);
                if (bullet) {
                    bullet.option('size', { width: columnWidth });
                }
            }
            else {
                external_jQuery_.fn.constructor(barContainer).hide();
            }
        }
    }
}
GridColumnPainter.CssClasses = {
    flexParent: 'dx-dashboard-flex-parent',
    flexDeltaParent: 'dx-dashboard-flex-delta-parent',
    sparklineStartValue: 'dx-dashboard-sparkline-start-value',
    deltaIndicator: 'dx-dashboard-delta-indicator',
    truncated: 'dx-dashboard-truncated',
    fixed: 'dx-dashboard-fixed',
    rightAlignment: 'dx-dashboard-flex-right'
};

;// ./dist/viewer-parts/viewer-items/data-grid-item/_grid-filter-parser.js

function parseFilter(filterItems, columns, columnIndex, dateToString) {
    var resultFilterString = '';
    if (_utils/* type */.NW.isFunction(filterItems[0])) {
        var exprColumnIndex = columnIndex === undefined ? filterItems.columnIndex : columnIndex;
        return _parseFilterOperatorPart(filterItems, columns, exprColumnIndex, dateToString);
    }
    else {
        for (var i = 0; i < filterItems.length; i++) {
            var filterItem = filterItems[i];
            resultFilterString += _utils/* type */.NW.isString(filterItem) ? ' ' + filterItem + ' ' : parseFilter(filterItem, columns, filterItems.columnIndex, dateToString);
        }
    }
    return '(' + resultFilterString + ')';
}
function _parseFilterOperatorPart(filterItemPart, columns, exprColumnIndex, dateToString) {
    var partOperator = filterItemPart[1], value = filterItemPart[2], column = columns.filter(column => column.index === exprColumnIndex)[0] ?? columns[exprColumnIndex], dataField = column.dataField, unaryOperator = 'not', binaryOperators = [
        'contains',
        'startswith',
        'endswith'
    ], format = function (fmtstr, ...argArray) {
        var args = Array.prototype.slice.call(arguments, 1);
        return fmtstr.replace(/\{(\d+)\}/g, function (match, index) {
            return args[index];
        });
    }, getFilterPartOperand = function (operand, value) {
        if (value !== undefined && value !== null)
            return operand;
        if (operand === '=')
            return 'Is';
        if (operand === '<>')
            return 'Is Not';
        return operand;
    };
    if (partOperator.indexOf(unaryOperator) != -1) {
        filterItemPart[1] = partOperator.replace(unaryOperator, '').trim();
        var builder = _parseFilterOperatorPart(filterItemPart, columns, exprColumnIndex, dateToString);
        return format('{0}({1})', unaryOperator, builder);
    }
    if (!_utils/* type */.NW.isDefined(value))
        value = null;
    if (binaryOperators.indexOf(partOperator) != -1)
        return format("{1}([{0}], '{2}')", dataField, partOperator, value);
    if (value === null || (column.dataType === 'number' || column.dataType === 'boolean') && (_utils/* type */.NW.isNumeric(value) || _utils/* type */.NW.isBoolean(value)))
        return format('[{0}] {1} {2}', dataField, getFilterPartOperand(partOperator, value), value);
    if (column.dataType === 'date')
        return format('[{0}] {1} #{2}#', dataField, partOperator, dateToString(value));
    return format("[{0}] {1} '{2}'", dataField, partOperator, value);
}

;// ./dist/viewer-parts/viewer-items/data-grid-item/_grid-filter-patcher.js

const allowedStringOperations = ['contains', 'notcontains', 'startswith', 'endswith', '=', '<>'];
function getCaseSensitiveFilterExpression(cellValue, filterValue, filterOperation) {
    if (typeof cellValue !== 'string')
        return false;
    switch (filterOperation) {
        case 'contains':
            return cellValue.indexOf(filterValue) > -1;
        case 'notcontains':
            return cellValue.indexOf(filterValue) === -1;
        case 'startswith':
            return cellValue.startsWith(filterValue);
        case 'endswith':
            return cellValue.endsWith(filterValue);
        case '=':
            return cellValue === filterValue;
        case '<>':
            return cellValue !== filterValue;
    }
}
const getFilterRowLocalizationOptions = () => ({
    applyFilterText: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.ApplyFilter'),
    betweenEndText: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.BetweenEnd'),
    betweenStartText: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.BetweenStart'),
    resetOperationText: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.ResetOperation'),
    operationDescriptions: {
        between: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.Between'),
        contains: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.Contains'),
        endsWith: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.EndsWith'),
        equal: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.Equals'),
        greaterThan: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.Greater'),
        greaterThanOrEqual: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.GreaterOrEqual'),
        lessThan: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.Less'),
        lessThanOrEqual: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.LessOrEqual'),
        notContains: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.DoesNotContain'),
        notEqual: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.DoesNotEqual'),
        startsWith: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Grid.FilterClause.StartsWith'),
    }
});

;// ./dist/viewer-parts/viewer-items/data-grid-item/_data-grid-item.js















var MAX_CELL_COUNT = 2000, HEIGHT_DELTA_INDICATOR = 12, DATAGRID_CONTEXT_MENU_ICON = 'dashboard-datagriditem-resetcolumnwidths';
class dataGridItem extends baseItem {
    get _captionToolbarSeparatorRequired() {
        return !this.hasParentContainer() || (this.hasParentContainer() && this.visualMode === 'caption');
    }
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this._updateLocked = false;
        this._digits_string = '0123456789';
        this._disposablesBeforeUpdateContent = [];
        this.clientFilterChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.clientFilterStateChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.TextAlignment = {
            Left: 'left',
            Right: 'right',
            Center: 'center'
        };
        this.DisplayMode = {
            Value: 'Value',
            Delta: 'Delta',
            Bar: 'Bar',
            Sparkline: 'Sparkline',
            Image: 'Image',
            Hyperlink: 'Hyperlink'
        };
        this.SummaryType = {
            Count: 'Count',
            Min: 'Min',
            Max: 'Max',
            Avg: 'Avg',
            Sum: 'Sum'
        };
        this.CssClasses = {
            wordWrap: 'dx-dashboard-word-wrap',
            gridAdaptiveCellValue: 'dx-adaptive-item-text'
        };
        this._bestFitProvider = {
            getBestFit: (index) => {
                let bestFit = 0;
                let columnViewModel = this.options.ViewModel.Columns[index];
                if (columnViewModel.DisplayMode === this.DisplayMode.Sparkline) {
                    let columnName = this.options.Name + columnViewModel.DataId;
                    let startValues = (0,_jquery_helpers/* $unwrap */.I1)(this._dataGrid.element()).querySelectorAll('.' + columnName + '_startValue');
                    let endValues = (0,_jquery_helpers/* $unwrap */.I1)(this._dataGrid.element()).querySelectorAll('.' + columnName + '_endValue');
                    let maxStartWidth = GridColumnPainter.calcMaxWidth(startValues);
                    let maxEndWidth = GridColumnPainter.calcMaxWidth(endValues);
                    bestFit = Math.round(this._getDefaultBestCharacterCount(index) * this.charWidth) + maxStartWidth + maxEndWidth;
                }
                else if (columnViewModel.DisplayMode === this.DisplayMode.Bar) {
                    bestFit = Math.round(this._getDefaultBestCharacterCount(index) * this.charWidth);
                }
                else {
                    bestFit = this._dataGrid.columnOption(index, 'bestFitWidth');
                }
                return bestFit;
            }
        };
        this._clientStateUpdateDebounced = (0,_utils/* debounce */.sg)((widthOptions) => {
            this.gridWidthOptionsChanged && this.gridWidthOptionsChanged({
                widthOptions: widthOptions
            });
        }, 300);
        this._customizeViewOptions = (opts) => {
            opts.columnAutoWidth = true;
        };
        this.isSummaryFilterCollecting = false;
        this.canRaiseFilterChanged = true;
        this._calculator = new ColumnWidthCalculator();
        this._styleSettingsProvider = new _style_settings_provider/* styleSettingsProvider */.AI(this.container);
        this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel, this.options.ViewModel ? this.options.ViewModel.WordWrap : false);
    }
    dispose() {
        super.dispose();
        this._dataGrid && this._dataGrid.dispose();
        this._styleSettingsProvider?.dispose();
        this._clientStateUpdateDebounced = null;
        this.clientFilterChanged?.empty();
        this.clientFilterStateChanged?.empty();
    }
    _clearSelectionUnsafe() {
        this._dataGrid.clearSelection();
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.clearSelection();
        if (values)
            this._setGridSelection(values);
    }
    _selectTuplesCore(tuples, updateTupleDelegate, state) {
        var that = this, currentSelection = that._dataGrid.getSelectedRowKeys(), values = [], processKeys = function (keys) {
            keys.forEach(key => {
                if (state) {
                    currentSelection.push(key);
                }
                else {
                    currentSelection.splice(currentSelection.indexOf(key), 1);
                }
            });
            return currentSelection;
        };
        tuples.forEach(tuple => {
            var res = updateTupleDelegate(tuple);
            if (res != null && res[0] != null) {
                values.push(res[0].value);
            }
        });
        that._setGridSelection(values, processKeys);
    }
    renderPartialContentUnsafe() {
        setTimeout(() => {
            this._dataGrid.refresh(true);
        });
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        if (!this.options)
            return false;
        this._disposablesBeforeUpdateContent.forEach(disposable => disposable?.dispose());
        let opts = this._getViewOptions();
        if (this.options.ViewModel && this.options.ViewModel.WordWrap) {
            element.classList.add(this.CssClasses.wordWrap);
        }
        else {
            element.classList.remove(this.CssClasses.wordWrap);
        }
        if (changeExisting && this._dataGrid) {
            if (this.resetClientStateOnUpdate) {
                this._resetColumnWidths();
            }
            (0,_jquery_helpers/* deepExtend */.zw)(opts, this._getCommonOptions());
            this._raiseItemWidgetOptionsPrepared(opts);
            this.canRaiseFilterChanged = false;
            this._dataGrid.option('filterSyncEnabled', false);
            this._dataGrid.option(opts);
            this.canRaiseFilterChanged = true;
        }
        else {
            var options = { ...opts, ...this._getCommonOptions(), scrolling: { mode: 'virtual' } };
            this._raiseItemWidgetOptionsPrepared(options);
            if (this._dataGrid)
                this._dataGrid.dispose();
            this._dataGrid = this._createTestableWidget(element, options);
            this._updateCharWidth();
        }
        return false;
    }
    _createTestableWidget(element, options) {
        return new (external_DevExpress_ui_dxDataGrid_default())(element, options);
    }
    getInfoUnsafe() {
        var that = this, gridScroll = this._dataGrid.getScrollable(), isVScrollbarVisible = that._dataGrid.isScrollbarVisible(), isHScrollbarVisible = gridScroll.scrollWidth() > gridScroll.clientWidth(), scrollRowData = that._dataGrid.getTopVisibleRowData(), combinedFilter = that._dataGrid.getCombinedFilter(), visibleColumns = that._dataGrid.getVisibleColumns(), topPath = [], leftPath = [];
        if (scrollRowData) {
            that.options.ViewModel.RowIdentificatorDataMembers.forEach(dataMember => {
                var value = scrollRowData[dataMember];
                topPath.push(value);
            });
            leftPath.push(this._calculator.getLeftPrintingColumnIndex(gridScroll.scrollLeft()));
        }
        return (0,_jquery_helpers/* deepExtend */.zw)(super.getInfoUnsafe(), {
            scroll: {
                horizontal: isHScrollbarVisible,
                vertical: isVScrollbarVisible,
                topPath: topPath,
                leftPath: leftPath
            },
            sortInfo: that._getSortInfo(),
            combinedFilter: combinedFilter !== undefined ? parseFilter(combinedFilter, visibleColumns, undefined, this.dateToString) : '',
            widthOptions: that._calculator.getClientWidthOptions()
        });
    }
    _getSortInfo() {
        var that = this, sortInfo = [];
        that._dataGrid.getVisibleColumns().forEach(info => {
            if (info.sortIndex != undefined && info.sortOrder != undefined) {
                sortInfo.push({
                    dataField: info.dataField,
                    sortIndex: info.sortIndex,
                    sortOrder: info.sortOrder
                });
            }
        });
        sortInfo.sort(function (a, b) {
            return a.sortIndex - b.sortIndex;
        });
        return sortInfo;
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        this.options.GridClientFilterState = newOptions.GridClientFilterState;
        var isResetColumnWidthsRequired = !!this.options && !!this.options.ViewModel && !!newOptions.ViewModel && this.options.ViewModel.ColumnWidthMode !== newOptions.ViewModel.ColumnWidthMode;
        if (isResetColumnWidthsRequired) {
            this._resetColumnWidths();
        }
        if (this._styleSettingsProvider) {
            this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel, this.options.ViewModel ? this.options.ViewModel.WordWrap : false);
        }
    }
    getValueItem(columnName, index) {
        return this._dataController.getValueItem(columnName, index);
    }
    _resetColumnWidths() {
        this._calculator.reset(this.options.ViewModel, this._getColumnWidthMode());
        let columnsWidth = this._calculator.calcColumnsWidth(this._bestFitProvider, ((0,_jquery_helpers/* $wrap */.HC)(this._dataGrid.element())).width() - this._dataGrid.getScrollbarWidth(), this.charWidth);
        this._updateColumnsWidth(columnsWidth);
        this._applySelection();
    }
    _updateColumnsWidth(columnWidths) {
        this._beginResize();
        columnWidths.forEach((width, i) => {
            this._dataGrid.columnOption(i, this._getColumnWidthProperty(), width);
        });
        this._endResize();
    }
    _getColumnWidthProperty() {
        return 'visibleWidth';
    }
    _getColumnWidthMode() {
        return this.options.ViewModel.ColumnWidthMode;
    }
    _getDefaultBestCharacterCount(index) {
        return this.options.ViewModel.Columns[index].DefaultBestCharacterCount;
    }
    _beginResize() {
        this._updateLocked = true;
        this._dataGrid.beginUpdate();
    }
    _endResize() {
        this._dataGrid.endUpdate();
        this._updateLocked = false;
    }
    _updateCharWidth() {
        var span = document.createElement('span');
        span.classList.add('dx-widget');
        span.style.display = 'inline-block';
        span.innerText = this._digits_string;
        document.body.appendChild(span);
        this.charWidth = (0,_jquery_helpers/* getWidth */.RG)(span) / 10;
        document.body.removeChild(span);
    }
    _onColumnsChanging(e) {
        var grid = e.component, columnResized = e.optionNames.width, gridResized = e.optionNames.visibleWidth && grid.columnOption(0, 'visibleWidth') !== undefined, viewModel = this.options.ViewModel;
        if (this._updateLocked || !viewModel || !viewModel.Columns ||
            viewModel.Columns.length == 0 || grid.columnCount() !== viewModel.Columns.length) {
            return;
        }
        if (grid.getController('data').isLoaded() && gridResized && !columnResized) {
            this._calculator.onDataLoaded(viewModel, this._getColumnWidthMode());
        }
        if (columnResized) {
            let leftColumnIndex = grid.getController('columnsResizer')._resizingInfo.currentColumnIndex;
            let leftColumnWidth = this._dataGrid.columnOption(leftColumnIndex, 'width');
            let rightColumnWidth = this._dataGrid.columnOption(leftColumnIndex + 1, 'width');
            let columnWidths = this._calculator.onColumnResized(leftColumnIndex, leftColumnWidth, rightColumnWidth);
            this._updateColumnsWidth(columnWidths);
            this._clientStateUpdateDebounced(this._calculator.widthOptions);
        }
        else if (gridResized) {
            let columnsWidth = this._calculator.calcColumnsWidth(this._bestFitProvider, (0,_jquery_helpers/* $wrap */.HC)(this._dataGrid.element()).width() - this._dataGrid.getScrollbarWidth(), this.charWidth);
            this._updateColumnsWidth(columnsWidth);
        }
    }
    _getViewOptions() {
        var viewModel = this.options.ViewModel;
        if (!viewModel)
            return null;
        var dataSource = this._dataController.getDataSource();
        var columns = this._getColumns();
        var viewOptions = {
            filterValue: !this.options.GridClientFilterState ? null : this.options.GridClientFilterState,
            dataSource: dataSource,
            keyExpr: 'index',
            columns: columns,
            summary: {
                totalItems: this._getTotals(),
                calculateCustomSummary: (options) => {
                    if (options.summaryProcess == 'finalize') {
                        options.totalValue = this._dataController.getTotalValue(options.name);
                    }
                },
            },
            filterRow: {
                visible: viewModel.ShowFilterRow,
                ...getFilterRowLocalizationOptions()
            },
            rowAlternationEnabled: viewModel.EnableBandedRows,
            showRowLines: viewModel.ShowHorizontalLines,
            showColumnLines: viewModel.ShowVerticalLines,
            wordWrapEnabled: viewModel.WordWrap,
            showColumnHeaders: viewModel.ShowColumnHeaders,
            allowColumnResizing: this._getColumnWidthMode() !== 'AutoFitToContents',
        };
        this._customizeViewOptions(viewOptions);
        return viewOptions;
    }
    _getCommonOptions() {
        var that = this, commonOptions = {};
        commonOptions.paging = { enabled: false };
        commonOptions.sorting = {
            mode: 'multiple',
            ascendingText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.GridSortAscending),
            descendingText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.GridSortDescending),
            clearText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.GridClearSorting)
        };
        if (this.manualyResetClientState) {
            commonOptions.onContextMenuPreparing = (options) => {
                if (options.target === 'content' && this._calculator.columnsResized) {
                    options.items = [{
                            text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.GridResetColumnWidths),
                            icon: DATAGRID_CONTEXT_MENU_ICON,
                            onItemClick: () => {
                                this._resetColumnWidths();
                            }
                        }];
                }
            };
        }
        commonOptions.onContentReady = () => {
            that._styleSettingsProvider.draw();
            this._changeGridSparklineColumnsWidth(this.options && this.options.ViewModel && this.options.ViewModel.Columns);
        };
        commonOptions.noDataText = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.MessageGridHasNoData);
        commonOptions.onCellClick = (data) => {
            let columnType = data.column && data.column.type || null;
            if (data.rowType === 'data' && columnType !== 'adaptive')
                that._raiseItemClick(data);
        };
        commonOptions.onFocusedCellChanged = (e) => {
            this._currentFocusedCell = e;
        };
        commonOptions.onKeyDown = (e) => {
            if ((e.event.code === 'Enter' || e.event.code === 'Space') ||
                (e.event.key === 'Enter' || e.event.key === 'Space') &&
                    this._currentFocusedCell?.row?.data && this._currentFocusedCell.row.rowType === 'data') {
                that._raiseItemClick({ data: this._currentFocusedCell.row.data });
            }
        };
        commonOptions.onCellHoverChanged = function (args) {
            that._raiseItemHover(args, args.eventType == 'mouseover');
        };
        commonOptions['onColumnsChanging'] = (e) => this._onColumnsChanging(e);
        commonOptions.width = '100%';
        commonOptions.cellHintEnabled = true;
        commonOptions.loadPanel = { enabled: false };
        commonOptions.searchPanel = { visible: false };
        commonOptions.keyboardNavigation = { enabled: true };
        commonOptions.filterSyncEnabled = true;
        commonOptions.onOptionChanged = (e) => {
            if (e.name == 'filterValue') {
                this._raiseClientFilterChanged(e);
                this.clientFilterStateChanged.fire(e.value);
            }
        };
        commonOptions.onEditorPreparing = (e) => {
            if (e.parentType === 'filterRow')
                e.editorOptions.valueChangeEvent = 'change';
        };
        return commonOptions;
    }
    _getRowsValues(data) {
        var that = this, selectionMembers = that.options.ViewModel.SelectionDataMembers, visibleValues = [], value;
        selectionMembers.forEach(member => {
            value = that.getValueItem(member, data.index).getUniqueValue();
            if (value !== undefined) {
                visibleValues.push(value);
            }
        });
        return that._dataController.getSelectionValues(visibleValues);
    }
    _getSelectedRowIndices() {
        var selectedValues = this._getSelectedValues();
        return selectedValues ? this._dataController.getSelectedRowKeys(selectedValues) : [];
    }
    _getTotalCaptionTemplate(totalType) {
        if (totalType == 'Auto') {
            return (0,_default/* getLocalizationById */.Mu)('DashboardStringId.GridTotalAutoTemplate');
        }
        else {
            let id;
            switch (totalType) {
                case 'Min':
                    id = 'DashboardStringId.GridTotalTypeMin';
                    break;
                case 'Max':
                    id = 'DashboardStringId.GridTotalTypeMax';
                    break;
                case 'Avg':
                    id = 'DashboardStringId.GridTotalTypeAvg';
                    break;
                case 'Sum':
                    id = 'DashboardStringId.GridTotalTypeSum';
                    break;
                default:
                    id = 'DashboardStringId.GridTotalTypeCount';
                    break;
            }
            return (0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardStringId.GridTotalTemplate'), (0,_default/* getLocalizationById */.Mu)(id), (0,_default/* getLocalizationById */.Mu)('DashboardStringId.GridTotalValueTemplate'));
        }
    }
    _getTotals() {
        var that = this, res = [], columns = that.options.ViewModel.Columns || [];
        columns.forEach(column => {
            var columnName = column.DataId, totalsViewModel = column.Totals || [];
            totalsViewModel.forEach(totalModel => {
                res.push({
                    name: totalModel.DataId,
                    showInColumn: columnName,
                    summaryType: 'custom',
                    displayFormat: this._getTotalCaptionTemplate(totalModel.TotalType),
                });
            });
        });
        return res;
    }
    _calculateCustomSummary(options) {
        options.totalValue = 0;
    }
    _getColumnName(columnViewModel) {
        let gridName = this.options.Name;
        let fieldName = columnViewModel.DataId;
        return gridName + fieldName;
    }
    calculateFilterExpressionHandler(column) {
        return (filterValue, selectedFilterOperation) => {
            const gridColumn = this._dataGrid.getVisibleColumns().filter(c => c.dataField === column.dataField)[0];
            const canPatchFilter = !this.isSummaryFilterCollecting && gridColumn.dataType === 'string' && allowedStringOperations.some(x => x === selectedFilterOperation);
            if (canPatchFilter) {
                return (values) => {
                    const cellValue = values[gridColumn.dataField.toString()];
                    return getCaseSensitiveFilterExpression(cellValue, filterValue, selectedFilterOperation);
                };
            }
            return gridColumn.defaultCalculateFilterExpression.call(gridColumn, filterValue, selectedFilterOperation);
        };
    }
    _getColumns() {
        var that = this, res = [], columns = that.options.ViewModel.Columns || [], popupContainer = this.options.controlContainer;
        columns.forEach((column, columnIndex) => {
            var fieldName = column.DataId, columnName = this._getColumnName(column), gridColumn = {
                allowEditing: false,
                dataField: fieldName,
                encodeHtml: that._isEncodeHtml(),
                caption: column.Caption,
                alignment: column.HorzAlignment === 'Right' ? that.TextAlignment.Right : that.TextAlignment.Left,
                allowFiltering: column.SupportClientFilter
            };
            if (legacy_settings/* DashboardPrivateSettings */.d.gridColumnFilterMode === 'CaseSensitive')
                gridColumn.calculateFilterExpression = this.calculateFilterExpressionHandler(gridColumn).bind(this);
            gridColumn[_common/* DashboardDataIdField */.e3] = column.DataId;
            gridColumn.headerAlignment = that.TextAlignment.Left;
            gridColumn.displayMode = column.DisplayMode;
            switch (column.DisplayMode) {
                case that.DisplayMode.Value:
                    gridColumn.cellTemplate = (containerElement, options) => {
                        let container = (0,_jquery_helpers/* $unwrap */.I1)(containerElement);
                        var valueItem = that.getValueItem(fieldName, options.data.index);
                        GridColumnPainter.renderValue(container, valueItem.getData().displayText, that._isEncodeHtml());
                        let isDetail = that._isDetail(options.rowType);
                        let colummPrefix = isDetail ? columnName + '_detail' : columnName;
                        that._styleSettingsProvider.applyStyleSettings(container, popupContainer, valueItem.getStyleSettingsInfo(), false, colummPrefix, isDetail);
                        if (isDetail)
                            container.classList.add(that.CssClasses.gridAdaptiveCellValue);
                    };
                    gridColumn.resized = () => {
                        var visibleWidthReset = that._dataGrid && (that._dataGrid.columnOption(columnIndex, 'visibleWidth') === undefined);
                        if (!visibleWidthReset) {
                            that._styleSettingsProvider.updateBarWidth(columnName);
                            that._styleSettingsProvider.updateBarWidth(columnName + '_detail');
                        }
                    };
                    break;
                case that.DisplayMode.Delta:
                    gridColumn.cellTemplate = function (containerElement, options) {
                        let container = (0,_jquery_helpers/* $unwrap */.I1)(containerElement);
                        var valueItem = that.getValueItem(fieldName, options.data.index);
                        let isDetail = that._isDetail(options.rowType);
                        GridColumnPainter.renderDelta(container, valueItem.getData(), isDetail);
                        that._styleSettingsProvider.applyStyleSettings(container, popupContainer, valueItem.getStyleSettingsInfo(), true);
                        if (isDetail)
                            container.classList.add(that.CssClasses.gridAdaptiveCellValue);
                    };
                    break;
                case that.DisplayMode.Hyperlink:
                    gridColumn.cellTemplate = function (containerElement, options) {
                        let container = (0,_jquery_helpers/* $unwrap */.I1)(containerElement);
                        var valueItem = that.getValueItem(fieldName, options.data.index), uri = fieldName ? (0,external_DevExpress_utils_string_.format)(!!column.UriPattern ? column.UriPattern : '{0}', valueItem.getUriValue()) : undefined;
                        GridColumnPainter.renderHyperlink(container, uri, valueItem.getData().displayText, that._isEncodeHtml());
                        that._styleSettingsProvider.applyStyleSettings(container, popupContainer, valueItem.getStyleSettingsInfo(), false, columnName);
                        if (that._isDetail(options.rowType))
                            container.classList.add(that.CssClasses.gridAdaptiveCellValue);
                    };
                    break;
                case that.DisplayMode.Sparkline:
                    gridColumn.alignment = that.TextAlignment.Left;
                    gridColumn.cssClass = 'dx-dashboard-datagrid-column-visible-cell-content';
                    gridColumn.cellTemplate = (containerElement, options) => {
                        let container = (0,_jquery_helpers/* $unwrap */.I1)(containerElement);
                        var valueItem = that.getValueItem(fieldName, options.data.index);
                        that._disposablesBeforeUpdateContent.push(GridColumnPainter.renderSparkline(columnName, column.ShowStartEndValues, container, valueItem.getData()));
                        that._styleSettingsProvider.applyStyleSettings(container, popupContainer, valueItem.getStyleSettingsInfo(), true);
                        if (that._isDetail(options.rowType))
                            container.classList.add(that.CssClasses.gridAdaptiveCellValue);
                    };
                    gridColumn.resized = () => that._changeGridSparklineColumnsWidth([column]);
                    break;
                case that.DisplayMode.Bar:
                    gridColumn.alignment = that.TextAlignment.Left;
                    gridColumn.cssClass = 'dx-dashboard-datagrid-column-visible-cell-content';
                    gridColumn.cellTemplate = function (containerElement, options) {
                        let container = (0,_jquery_helpers/* $unwrap */.I1)(containerElement);
                        var valueItem = that.getValueItem(fieldName, options.data.index);
                        var barData = valueItem.getData();
                        that._disposablesBeforeUpdateContent.push(GridColumnPainter.renderBar(columnName, container, barData.text, barData.normalizedValue, barData.zeroValue));
                        that._styleSettingsProvider.applyStyleSettings(container, popupContainer, valueItem.getStyleSettingsInfo(), true);
                        if (that._isDetail(options.rowType))
                            container.classList.add(that.CssClasses.gridAdaptiveCellValue);
                    };
                    gridColumn.resized = function () {
                        var gridRootElement = that._dataGrid ? (0,_jquery_helpers/* $unwrap */.I1)(that._dataGrid.element()) : undefined;
                        if (gridRootElement) {
                            GridColumnPainter.changeGridBarColumnsWidth(gridRootElement, columnName);
                        }
                    };
                    break;
                case that.DisplayMode.Image:
                    gridColumn.cellTemplate = function (containerElement, options) {
                        let container = (0,_jquery_helpers/* $unwrap */.I1)(containerElement);
                        var valueItem = that.getValueItem(fieldName, options.data.index);
                        GridColumnPainter.renderImage(container, valueItem.getData());
                        that._styleSettingsProvider.applyStyleSettings(container, popupContainer, valueItem.getStyleSettingsInfo(), true);
                        if (that._isDetail(options.rowType))
                            container.classList.add(that.CssClasses.gridAdaptiveCellValue);
                    };
                    break;
            }
            res.push(gridColumn);
        });
        return res;
    }
    _changeGridSparklineColumnsWidth(columnViewModels) {
        if (columnViewModels) {
            let gridRootElement = this._dataGrid ? (0,_jquery_helpers/* $unwrap */.I1)(this._dataGrid.element()) : undefined;
            if (gridRootElement) {
                let sparklineViewModels = columnViewModels.filter(columnViewModel => columnViewModel.DisplayMode === this.DisplayMode.Sparkline);
                sparklineViewModels.forEach(columnViewModel => {
                    GridColumnPainter.changeGridSparklineColumnsWidth(gridRootElement, this._getColumnName(columnViewModel));
                });
            }
        }
    }
    _isDetail(rowType) {
        return rowType === 'detailAdaptive';
    }
    _applySelectionUnsafe() {
        this.setSelection(this.options.SelectedValues);
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        this._dataGrid.resize();
    }
    _getDataPoint(element) {
        var that = this;
        return {
            getValues: function (name) {
                return (name === 'Default') ? that._dataController.getDimensionValues(element.data.index) : null;
            },
            getDeltaIds: function () {
                return that._getColumnDataIdsByColumnType('Delta');
            },
            getMeasureIds: function () {
                return that._getColumnDataIdsByColumnType('Measure');
            },
            getSelectionValues: function (name) {
                return that._getRowsValues(element.data);
            }
        };
    }
    _getColumnsByColumnType(columnType) {
        var columns = this.options.ViewModel.Columns, foundColumns = [];
        columns.forEach(column => {
            if (column.ColumnType === columnType)
                foundColumns.push(column);
        });
        return foundColumns;
    }
    _getColumnDataIdsByColumnType(columnType) {
        var that = this, columns = that._getColumnsByColumnType(columnType), ids = [];
        columns.forEach(column => {
            ids.push(column.DataId);
        });
        return ids;
    }
    _getElementInteractionValue(element, viewModel) {
        return this._getRowsValues(element.data);
    }
    _getWidget() {
        return this._dataGrid;
    }
    _setGridSelection(values, keyProcessingDelegate) {
        if (values && values.length > 0) {
            var that = this, selectionKeys = that._dataController.getSelectedRowKeys(values);
            that._selectRows(keyProcessingDelegate ? keyProcessingDelegate(selectionKeys) : selectionKeys);
        }
    }
    _selectRows(data) {
        if (this._dataGrid) {
            this._dataGrid.selectRows(data);
        }
    }
    _isMultiDataSupported() {
        return true;
    }
    _raiseClientFilterChanged(e) {
        if (this.canRaiseFilterChanged) {
            let visibleColumns = this._dataGrid.getVisibleColumns();
            this.isSummaryFilterCollecting = true;
            let combinedFilter = this._dataGrid.getCombinedFilter();
            this.isSummaryFilterCollecting = false;
            let filter = combinedFilter !== undefined ? parseFilter(combinedFilter, visibleColumns, undefined, this.dateToString) : '';
            this.clientFilterChanged.fire(filter);
        }
    }
}

// EXTERNAL MODULE: ./dist/data/data-controllers/_filter-element-data-controller.js
var _filter_element_data_controller = __webpack_require__(3708);
;// ./dist/viewer-parts/viewer-items/filter-items/_base-element.js





var PAGE_SIZE = 100;
class filterElementBaseItem extends baseItem {
    constructor(container, options) {
        super(container, options);
    }
    dispose() {
        super.dispose();
        this.widget && this.widget.dispose();
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.filterDataController.update(values, this._isEncodeHtml(), true);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var opts = this._getOptions(true);
        this._raiseItemWidgetOptionsPrepared(opts);
        this._lock();
        try {
            if (changeExisting && this.widget && this.widget.NAME === this._getWidgetName()) {
                this.widget.option(opts);
            }
            else {
                var div = this._createWidgetDiv();
                element.innerHTML = '';
                element.appendChild(div);
                if (this.widget && this.widget.dispose)
                    this.widget.dispose();
                this.widget = this._createWidget(div, opts);
            }
        }
        finally {
            this._unlock();
        }
        return false;
    }
    _createWidgetDiv() {
        return document.createElement('div');
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (this.options) {
            this.options.allowExport = false;
        }
    }
    get allowMultiselection() {
        return true;
    }
    set allowMultiselection(value) {
    }
    get isMultiSelectable() {
        return this.dataController ? this.dataController.isMultiselectable() : false;
    }
    _isPaneEmpty() {
        return super._isPaneEmpty() || !this.hasCaption();
    }
    updateInteractivityOptions() {
        this.interactivityController.setOptions(this.isMultiSelectable ? dashboardSelectionMode.multiple : dashboardSelectionMode.single);
        this.interactivityController._allowSelectTuple = function (tuple) { return true; };
    }
    getDataSource() {
        return new (external_DevExpress_data_DataSource_default())({
            paginate: true,
            pageSize: PAGE_SIZE,
            requireTotalCount: true,
            store: new (external_DevExpress_data_ArrayStore_default())({
                data: this.filterDataController.dataSource,
                key: _filter_element_data_controller/* KEY_EXPR */.U4
            }),
            searchOperation: 'contains',
            searchExpr: this._getDisplayExpr()
        });
    }
    get _enableSearch() {
        return !!this.options && !!this.options.ViewModel && this.options.ViewModel.EnableSearch;
    }
    get _isBottomFloatingToolbarPosition() {
        return true;
    }
    _isBorderRequired() {
        return false;
    }
    _getDisplayExpr() {
        return this._isEncodeHtml() ? 'text' : 'html';
    }
    _getOptions(includeActions) {
        return {};
    }
    _hasToggleSelectionModeButton() {
        return false;
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        if (this.widget.updateDimensions) {
            this.widget.updateDimensions();
        }
    }
    _raiseItemClick(elements) {
        if (this._isLocked()) {
            return;
        }
        var axisName = this._getAxisNames()[0], newSelectedValues = this.filterDataController.getInteractionValues(elements, this._getSelectedValues()), tuples = !newSelectedValues ? null : newSelectedValues.map(v => [{ axisName: axisName, value: v }]);
        this.interactivityController.clickAction(tuples, !newSelectedValues);
    }
    _mustSelectingFired(values) {
        return true;
    }
    _isUpdating(widget) {
        return !widget || widget._updateLockCount > 0;
    }
    _applySelectionUnsafe() {
        var selectedValues = this._getSelectedValues();
        if (!!selectedValues) {
            this.setSelection(selectedValues);
        }
    }
    _selectTuples(tuplesToSelect, unaffectedTuples, isSelect) {
    }
    _getWidget() {
        return this.widget;
    }
    _getWidgetName() {
        return '';
    }
    _createWidget(div, opts) {
        return null;
    }
}

;// ./dist/viewer-parts/viewer-items/filter-items/_combo-box-element.js










var MULTITAG_COUNT = 9;
let cssComboBoxClassNames = {
    item: 'dx-dashboard-combobox-filter-item',
    multiText: 'dx-dashboard-filter-item-multitext',
    margins: 'dx-dashboard-combobox-margins'
};
class comboBoxFilterElement extends filterElementBaseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    get filterDataController() { return this._dataController; }
    get _shouldApplySelectionOnInitialRender() {
        return false;
    }
    constructor(container, options) {
        super(container, options);
        this._isFixedHeight = true;
    }
    dispose() {
        super.dispose();
        this._itemTemplateHandler = null;
        this._multiTagPreparingHandler = null;
        this._tagBoxSelectionChangedHandler = null;
        this._selectBoxValueChangedHandler = null;
        this._dataController = null;
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this._lock();
        try {
            this.widget.option('value', this._getSelectedKeys());
        }
        finally {
            this._unlock();
        }
    }
    _clearSelectionUnsafe() {
        if (!!this.options.useNeutralFilterMode) {
            this._lock();
            try {
                this.widget.option('value', null);
            }
            finally {
                this._unlock();
            }
        }
    }
    get _isBottomFloatingToolbarPosition() {
        return false;
    }
    get _allowPreview() {
        return true;
    }
    _getWidgetName() {
        return this.isMultiSelectable ? 'dxTagBox' : 'dxSelectBox';
    }
    _createWidgetDiv() {
        let div = super._createWidgetDiv();
        if (this.visualMode === 'content')
            div.classList.add(cssComboBoxClassNames.margins);
        return div;
    }
    _createWidget(div, opts) {
        return this.isMultiSelectable ? new (external_DevExpress_ui_dxTagBox_default())(div, opts) : new (external_DevExpress_ui_dxSelectBox_default())(div, opts);
    }
    _getMinContentHeight() {
        var element = document.createElement('div');
        this._createWidget(element, this._getOptions(false));
        return _render_helper/* RenderHelper */.p.getElementBox(element).height;
    }
    _generateInnerBorderClassesUnsafe(element) {
        var classes = super._generateInnerBorderClassesUnsafe(element);
        if (!this._isPaneEmpty()) {
            classes.push(cssComboBoxClassNames.item);
        }
        if (element) {
            if (this._isPaneEmpty()) {
                element.classList.remove(cssComboBoxClassNames.item);
            }
            else {
                element.classList.add(cssComboBoxClassNames.item);
            }
        }
        return classes;
    }
    _getSelectedKeys() {
        if (!this.hasWidget)
            return null;
        const selection = this._dataController.selection;
        if (this.isMultiSelectable) {
            return selection.map(this._dataController.getDataSourceItemKey);
        }
        else {
            return selection && selection.length ? this._dataController.getDataSourceItemKey(selection[0]) : null;
        }
    }
    _getOptions(includeActions) {
        this._itemTemplateHandler = (item, _, element) => {
            var node = (0,_jquery_helpers/* $unwrap */.I1)(element);
            var expr = this._getDisplayExpr();
            if (expr === 'html') {
                node.innerHTML = item[expr];
            }
            else {
                node.innerText = item[expr];
            }
        };
        this._multiTagPreparingHandler = (args) => {
            if (this._dataController.dataSource.length === args.selectedItems.length)
                args.text = _localizer/* ALL_ELEMENT */.D.text;
            else if (args.selectedItems.length < MULTITAG_COUNT)
                args.cancel = true;
            else
                args.text = (0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.FilterElementCheckedComboBoxSelected'), args.selectedItems.length);
        };
        this._tagBoxSelectionChangedHandler = e => {
            this._raiseItemClick(e.removedItems.length > 0 ? e.removedItems : e.addedItems);
        };
        this._selectBoxValueChangedHandler = e => {
            if (e.value != null) {
                const selectedItem = this._dataController.getDataSourceItemByKey(e.value);
                this._raiseItemClick([selectedItem]);
            }
        };
        let options = {
            dataSource: this.getDataSource(),
            displayExpr: this._getDisplayExpr(),
            valueExpr: _filter_element_data_controller/* KEY_EXPR */.U4,
            value: this._getSelectedKeys(),
            placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.FilterElementRadioComboBoxNoDataCaption),
            encodeNoDataText: true,
            noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
            itemTemplate: this._itemTemplateHandler,
            onMultiTagPreparing: this._multiTagPreparingHandler,
            maxDisplayedTags: 1,
            selectAllMode: 'allPages',
            searchEnabled: this._enableSearch
        };
        let addtionalOptions = this.isMultiSelectable ?
            {
                onSelectionChanged: includeActions ? this._tagBoxSelectionChangedHandler : undefined,
                showSelectionControls: this.isMultiSelectable,
                showDropDownButton: true,
                multiline: false
            }
            : {
                onValueChanged: includeActions ? this._selectBoxValueChangedHandler : undefined
            };
        return {
            ...options,
            ...addtionalOptions,
            keyExpr: _filter_element_data_controller/* KEY_EXPR */.U4,
            multiSelectEnabled: this.isMultiSelectable,
            selectAllText: _localizer/* ALL_ELEMENT */.D.text,
            pageLoadMode: 'scrollBottom',
            dropDownOptions: {
                container: this.controlContainer
            }
        };
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        this.widget.repaint();
    }
}

// EXTERNAL MODULE: ./dist/data/_format-helper.js
var _format_helper = __webpack_require__(5558);
;// external "DevExpress.fx"
const external_DevExpress_fx_namespaceObject = DevExpress.fx;
var external_DevExpress_fx_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_fx_namespaceObject);
// EXTERNAL MODULE: external "DevExpress.ui.dxButtonGroup"
var external_DevExpress_ui_dxButtonGroup_ = __webpack_require__(987);
var external_DevExpress_ui_dxButtonGroup_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxButtonGroup_);
;// external "DevExpress.ui.dxCalendar"
const external_DevExpress_ui_dxCalendar_namespaceObject = DevExpress.ui.dxCalendar;
var external_DevExpress_ui_dxCalendar_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxCalendar_namespaceObject);
;// ./dist/viewer-parts/_utils.js
class CalendarHelper {
    static getCalendarMaxZoomLevel(groupInterval) {
        switch (groupInterval) {
            case 'Year':
                return 'decade';
            case 'QuarterYear':
            case 'MonthYear':
                return 'year';
            case 'WeekYear':
            case 'DayMonthYear':
            case 'DateHour':
            case 'DateHourMinute':
            case 'DateHourMinuteSecond':
            case 'None':
            default:
                return 'month';
        }
    }
    static getCalendarType(groupInterval) {
        switch (groupInterval) {
            case 'DateHour':
            case 'DateHourMinute':
            case 'DateHourMinuteSecond':
            case 'None':
                return 'datetime';
            case 'Year':
            case 'QuarterYear':
            case 'MonthYear':
            case 'WeekYear':
            case 'DayMonthYear':
            default:
                return 'date';
        }
    }
}

;// ./dist/viewer-parts/viewer-items/filter-items/_date-filter-widget-options.js
let dateFilterWidgetClassNames = {
    widget: 'dx-dashboard-date-filter-widget',
    buttons: 'dx-dashboard-date-filter-buttons',
    buttonsNoPaddings: 'dx-dashboard-date-filter-buttons-no-caption',
    buttonsLeftToRight: 'dx-dashboard-date-filter-buttons-left-to-right',
    buttonsTopDown: 'dx-dashboard-date-filter-buttons-top-down',
    button: 'dx-dashboard-date-filter-button',
    datePickerButtonEmpty: 'dx-dashboard-date-filter-datepicker-button-empty',
    overlayWrapper: 'dx-dashboard-date-filter-overlay-wrapper',
    overlay: 'dx-dashboard-date-filter-overlay',
    mobile: 'dx-dashboard-date-filter-mobile',
    overlayCalendarContainer: 'dx-dashboard-date-filter-overlay-calendar-container',
    overlayCalendar: 'dx-dashboard-date-filter-overlay-calendar',
    overlayTextBox: 'dx-dashboard-date-filter-overlay-text-box',
    overlayButton: 'dx-dashboard-date-filter-overlay-button'
};
class DateFilterWidgetOptions {
}
class DatePickerButtonElement {
}
class DatePickerButtons {
    get text() {
        return this.checkButton.text;
    }
    set text(value) {
        this.checkButton.text = value;
    }
    constructor() {
        this.showDropDown = false;
        this.checkButton = { key: 'Check' };
        this.dropDownButton = { key: 'DropDown', icon: 'edit' };
    }
    getButtons() {
        var buttons = [];
        buttons.push(this.checkButton);
        if (this.showDropDown)
            buttons.push(this.dropDownButton);
        return buttons;
    }
}

;// ./dist/viewer-parts/viewer-items/filter-items/_popup-calendar-widgets.js
class PopupCalendarWidgets {
    constructor(calendarWidget, ..._widgetsToDispose) {
        this.calendarWidget = calendarWidget;
        this._widgetsToDispose = [];
        this._widgetsToDispose = _widgetsToDispose.filter(w => !!w);
    }
    dispose() {
        this.calendarWidget && this.calendarWidget.dispose();
        if (this._widgetsToDispose && this._widgetsToDispose.length) {
            this._widgetsToDispose.forEach(widget => widget.dispose());
        }
    }
}

;// ./dist/viewer-parts/viewer-items/filter-items/date-filter-widget.js














class DateFilterWidget {
    get calendarFrom() {
        return (this._calendarWidgetsFrom && this._calendarWidgetsFrom.calendarWidget || null);
    }
    get calendarTo() {
        return (this._calendarWidgetsTo && this._calendarWidgetsTo.calendarWidget || null);
    }
    constructor(element, viewerOptions, boundaryElementContainer) {
        this.boundaryElementContainer = boundaryElementContainer;
        this._defaultButtonText = (0,_default/* getLocalizationById */.Mu)('DashboardStringId.DateFilterDatePickerButtonDefaultText');
        this._overlayShown = false;
        this._lockSelectionEvents = false;
        this._updateScrollableContainer = () => { };
        this._getBtnsContainerScrollWidth = () => 0;
        this._datePickerContent = new DatePickerButtons();
        this.quickButtons = [];
        this._handleKeyDown = (event) => {
            if (event.key === 'Escape' || event.code === 'Escape') {
                this._removeOverlayEventListener();
                this._overlay?.hide();
            }
        };
        this._parent = document.createElement('div');
        element.appendChild(this._parent);
        this._scrollableContent = _render_helper/* RenderHelper */.p.wrapScrollable(this._parent, viewerOptions.overflow, 'both');
        this._updateScrollableContainer = () => _render_helper/* RenderHelper */.p.updateScrollable(this._parent);
    }
    element() {
        return (0,_jquery_helpers/* wrapPublicElement */.i)(this._scrollableContent);
    }
    _update(widgetOptions) {
        this._options = { ...this._getDefaultOptions(), ...widgetOptions };
        this._dispose();
        this._startDate = this._options.startDate;
        this._endDate = this._options.endDate;
        var hasQuickFilters = this._options.buttonsInfo.length > 0;
        var content = this._scrollableContent;
        this._widgetDiv = this._createDiv(content, dateFilterWidgetClassNames.widget);
        var buttonsDiv = this._createButtonsDiv();
        this._getBtnsContainerScrollWidth = () => Math.ceil(buttonsDiv.scrollWidth);
        if (this._options.datePickerLocation == 'Near')
            this._addDatePicker(buttonsDiv);
        if (hasQuickFilters) {
            this._options.buttonsInfo.forEach(info => {
                let buttonDiv = this._createDiv(buttonsDiv, dateFilterWidgetClassNames.button);
                var button = new (external_DevExpress_ui_dxButtonGroup_default())(buttonDiv, {
                    items: [{ text: info }],
                    selectionMode: 'multiple',
                    focusStateEnabled: true,
                    onSelectionChanged: e => {
                        if (!this._lockSelectionEvents) {
                            if (e.removedItems.length > 0)
                                this._options.clearAction();
                            if (e.addedItems.length > 0) {
                                this._selectQuickButton(e.component);
                                this._options.buttonClick(e.component.option('items')[0].text);
                            }
                        }
                    }
                });
                this.quickButtons.push(button);
            });
        }
        if (this._options.datePickerLocation == 'Far')
            this._addDatePicker(buttonsDiv);
        var overlayDiv = this._createDiv(this._widgetDiv, dateFilterWidgetClassNames.overlayWrapper);
        this._createDropDownContent();
        this._overlay = new (external_DevExpress_ui_dxOverlay_default())(overlayDiv, this._getOverlayOptions());
        this._updateDropDownButtonText();
    }
    _getHeight() {
        return this._widgetDiv.offsetHeight;
    }
    _updateSize(width, height) {
        this._widgetDiv.style.height = 'auto';
        if (this._options.arrangementMode === 'Vertical') {
            this._widgetDiv.style.height = height + 'px';
            this._widgetDiv.style.width = width + 'px';
            let btnsContainerWidth = this._getBtnsContainerScrollWidth();
            let negativeBtnsContainerMargin = this._options.hasOuterMargin ? 0 : 6;
            if (btnsContainerWidth - Math.ceil(width) - negativeBtnsContainerMargin > 0) {
                this._widgetDiv.style.width = `${btnsContainerWidth}px`;
            }
            this._updateScrollableContainer();
        }
        else
            this._widgetDiv.style.width = width + 'px';
    }
    _setSelectedValues(values) {
        if (!!values && values.length > 0 && (!!values[0] || !!values[1])) {
            this._startDate = values[0];
            this._endDate = values[1];
            this._setDatePickerBtnState(true);
        }
        else {
            this._clearSelectedPeriods();
            this._setDatePickerBtnState(false);
        }
        this._updateDropDownButtonText();
    }
    _setPeriod(periodIndex) {
        var buttons = this.quickButtons;
        if (periodIndex != null && periodIndex < buttons.length) {
            this._setDatePickerBtnState(false);
            var button = buttons[periodIndex];
            button.option('selectedItems', button.option('items'));
        }
    }
    _clearSelectedPeriods() {
        this._performWithLockedEvents(() => {
            var buttons = this.quickButtons;
            for (var i = 0; i < buttons.length; i++) {
                buttons[i].option('selectedItems', []);
            }
        });
    }
    _clearSelectedValues() {
        this._setSelectedValues([]);
        this._clearSelectedPeriods();
    }
    _submit() {
        var filterType = this._options.filterType;
        if (filterType === 'After') {
            this._startDate = this._calendarWidgetsFrom.calendarWidget.option('value');
            this._endDate = null;
        }
        if (filterType === 'Before') {
            this._startDate = null;
            this._endDate = this._calendarWidgetsTo.calendarWidget.option('value');
        }
        if (filterType === 'Exact') {
            this._startDate = this._calendarWidgetsFrom.calendarWidget.option('value');
            this._endDate = this._calendarWidgetsFrom.calendarWidget.option('value');
        }
        if (filterType === 'Between') {
            this._startDate = this._calendarWidgetsFrom.calendarWidget.option('value');
            this._endDate = this._calendarWidgetsTo.calendarWidget.option('value');
        }
        this._applyValues();
        this._removeOverlayEventListener();
        this._overlay.hide();
        this._updateDropDownButtonText();
    }
    _removeOverlayEventListener() {
        (0,_jquery_helpers/* $unwrap */.I1)(this._overlay.content())?.removeEventListener('keydown', this._handleKeyDown);
    }
    _applyValues() {
        this._processItemClick([this._startDate, this._endDate]);
        this._performWithLockedEvents(() => {
            for (var i = 0; i < this.quickButtons.length; i++) {
                this.quickButtons[i].option('selectedItems', []);
            }
            this._setDatePickerBtnState(true);
        });
    }
    _addDatePicker(parentElement) {
        this._datePickerDiv = this._createDiv(parentElement, dateFilterWidgetClassNames.button);
        this.datePickerButton = new (external_DevExpress_ui_dxButtonGroup_default())(this._datePickerDiv, {
            items: this._datePickerContent.getButtons(),
            focusStateEnabled: true,
            keyExpr: 'key',
            selectionMode: 'multiple',
            onSelectionChanged: e => {
                if (!this._lockSelectionEvents) {
                    if (e.removedItems.length > 0 && e.removedItems[0].key === 'Check') {
                        this._onDatePickerUnchecked();
                    }
                    var clickedButton = e.addedItems[0];
                    if (clickedButton) {
                        if (clickedButton.key === 'DropDown') {
                            this._showPopup();
                        }
                        if (clickedButton.key === 'Check') {
                            if (this._startDate == null && this._endDate == null) {
                                e.component.option('selectedItemKeys', []);
                                this._showPopup();
                            }
                            else {
                                this._applyValues();
                            }
                        }
                        var selection = e.component.option('selectedItemKeys');
                        selection = selection.filter((key) => { return key !== 'DropDown'; });
                        e.component.option('selectedItemKeys', selection);
                    }
                }
            }
        });
    }
    _getStartCalendarValue() {
        return this._startDate || this._options.minimum;
    }
    _getEndCalendarValue() {
        return this._endDate || this._options.maximum;
    }
    _createDiv(container, ...classes) {
        var div = document.createElement('div');
        if (container != null)
            container.appendChild(div);
        classes.forEach(className => this._addClass(div, className));
        return div;
    }
    _createButtonsDiv() {
        var classNames = [dateFilterWidgetClassNames.buttons];
        if (this._options.arrangementMode === 'Vertical')
            classNames.push(dateFilterWidgetClassNames.buttonsTopDown);
        else
            classNames.push(dateFilterWidgetClassNames.buttonsLeftToRight);
        if (!this._options.hasOuterMargin)
            classNames.push(dateFilterWidgetClassNames.buttonsNoPaddings);
        return this._createDiv(this._widgetDiv, ...classNames);
    }
    _createDropDownContent() {
        var filterType = this._options.filterType;
        this._dropDownContentDiv = this._createDiv(null, dateFilterWidgetClassNames.overlay);
        if (this._options.mobileLayout)
            this._addClass(this._dropDownContentDiv, dateFilterWidgetClassNames.mobile);
        var createCalendar1 = (withButton) => {
            this._calendarWidgetsFrom = this._createDatePicker(this._dropDownContentDiv, (value) => { this._startDate = value; }, withButton);
        };
        var createCalendar2 = (withButton) => {
            this._calendarWidgetsTo = this._createDatePicker(this._dropDownContentDiv, (value) => { this._endDate = value; }, withButton);
        };
        if (filterType === 'Between') {
            createCalendar1(false);
            createCalendar2(true);
        }
        else if (filterType === 'Before')
            createCalendar2(true);
        else
            createCalendar1(true);
    }
    _createDatePicker(containerDiv, setDate, createButton) {
        if (this._options.mobileLayout)
            return this._createMobileCalendar(containerDiv, setDate, createButton);
        return this._createDesktopCalendar(containerDiv, createButton);
    }
    _createDesktopCalendar(containerDiv, createButton) {
        var div = this._createDiv(containerDiv, dateFilterWidgetClassNames.overlayCalendarContainer);
        var calendar = this._createCalendar(div, (e) => {
            dateBox.option('value', e.value);
        });
        var textBoxValueChanged = (value) => {
            calendar.option('value', value);
        };
        var dateBox = this._createTextBox(div, textBoxValueChanged);
        var submitButton = createButton ? this._createSubmitButton(div) : null;
        return new PopupCalendarWidgets(calendar, dateBox, submitButton);
    }
    _createMobileCalendar(containerDiv, setDate, createButton) {
        var div = this._createDiv(containerDiv, dateFilterWidgetClassNames.overlayCalendarContainer);
        var textBoxValueChanged = (value) => {
            setDate(value);
        };
        var dateBox = this._createTextBox(div, textBoxValueChanged);
        var submitButton = createButton ? this._createSubmitButton(div) : null;
        return new PopupCalendarWidgets(dateBox, submitButton);
    }
    _createCalendar(containerDiv, valueChanged) {
        var div = this._createDiv(containerDiv, dateFilterWidgetClassNames.overlayCalendar);
        return new (external_DevExpress_ui_dxCalendar_default())(div, {
            focusStateEnabled: true,
            maxZoomLevel: CalendarHelper.getCalendarMaxZoomLevel(this._options.groupInterval),
            onValueChanged: valueChanged
        });
    }
    _createTextBox(containerDiv, textBoxValueChanged) {
        var div = this._createDiv(containerDiv, dateFilterWidgetClassNames.overlayTextBox);
        return new (external_DevExpress_ui_dxDateBox_default())(div, {
            width: 'auto',
            useMaskBehavior: true,
            displayFormat: 'shortdate',
            showDropDownButton: false,
            type: 'date',
            onValueChanged: (e) => {
                textBoxValueChanged(e.value);
            }
        });
    }
    _createSubmitButton(containerDiv) {
        var div = this._createDiv(containerDiv, dateFilterWidgetClassNames.overlayButton);
        return new (external_DevExpress_ui_dxButton_default())(div, {
            text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ButtonApply'),
            elementAttr: {
                tabindex: '0'
            },
            onClick: (e) => {
                this._submit();
            }
        });
    }
    _processItemClick(values) {
        this._options.valueChanged && this._options.valueChanged(values);
    }
    _updateDropDownButtonText() {
        var start = this._startDate;
        var end = this._endDate;
        if (this.datePickerButton) {
            if (start || end) {
                var formatHandler = this._options.format;
                var startText = start ? formatHandler(start) : null;
                var endText = end ? formatHandler(end) : null;
                var formatPatten = this._options.displayTextPattern;
                if (!formatPatten) {
                    this._setDatePickerText((0,_formatter/* constructIntervalFilterText */.qz)({ left: startText, right: endText }), true);
                }
                else
                    this._setDatePickerText((0,external_DevExpress_utils_string_.format)(formatPatten, startText, endText), true);
            }
            else {
                this._setDatePickerText(this._defaultButtonText, false);
            }
        }
    }
    _getDefaultOptions() {
        return {
            arrangementMode: 'AutoHeight',
            filterType: 'Between',
            datePickerLocation: 'Far',
            buttonsInfo: [],
            displayTextPattern: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FromToDatePeriodCaption'),
            groupInterval: 'DayMonthYear',
            format: (value) => value.toString()
        };
    }
    _addClass(el, className) {
        el.classList.add(className);
    }
    _removeClass(el, className) {
        el.classList.remove(className);
    }
    _dispose() {
        if (this._calendarWidgetsFrom) {
            this._calendarWidgetsFrom.dispose();
            this._calendarWidgetsFrom = null;
        }
        if (this._calendarWidgetsTo) {
            this._calendarWidgetsTo.dispose();
            this._calendarWidgetsTo = null;
        }
        if (this._scrollableContent)
            this._scrollableContent.innerHTML = '';
        if (this.datePickerButton != null) {
            this.datePickerButton.dispose();
            this.datePickerButton = null;
        }
        for (var i = 0; i < this.quickButtons.length; i++)
            this.quickButtons[i].dispose();
        this.quickButtons = [];
        if (this._overlay) {
            this._overlay?.dispose && this._overlay.dispose();
            this._overlay = null;
        }
    }
    _disposeWithElement() {
        this._dispose();
        if (this._parent && this._parent.parentElement)
            this._parent.parentElement.removeChild(this._parent);
        this._parent = null;
        this._dropDownContentDiv = null;
        this._datePickerDiv = null;
        this._widgetDiv = null;
        this._scrollableContent = null;
    }
    dispose() {
        this._disposeWithElement();
    }
    _getOverlayOptions() {
        var that = this;
        const options = {
            width: this._getOverlayWidth(),
            height: 'auto',
            position: {
                collision: 'flipfit',
                my: 'top left',
                at: 'bottom left',
                of: that._datePickerDiv,
                boundary: that.boundaryElementContainer
            },
            onHidden: (e) => {
                that._overlayShown = false;
            },
            contentTemplate: (contentElement) => {
                (0,_jquery_helpers/* $unwrap */.I1)(contentElement).appendChild(this._dropDownContentDiv);
            },
            hideOnOutsideClick: true,
            wrapperAttr: {
                class: dateFilterWidgetClassNames.overlayWrapper
            }
        };
        options.container = that.boundaryElementContainer;
        options.animation = false;
        return options;
    }
    _getOverlayWidth() {
        if (this._options.mobileLayout)
            return function () { return (0,_jquery_helpers/* getWidth */.RG)(window) * 0.9; };
        return 'auto';
    }
    _setDatePickerText(text, showDropDown) {
        if (!showDropDown)
            this._addClass(this._datePickerDiv, dateFilterWidgetClassNames.datePickerButtonEmpty);
        else
            this._removeClass(this._datePickerDiv, dateFilterWidgetClassNames.datePickerButtonEmpty);
        this._datePickerContent.showDropDown = showDropDown;
        this._datePickerContent.text = text;
        this.datePickerButton.option('items', this._datePickerContent.getButtons());
    }
    _selectQuickButton(button) {
        this._performWithLockedEvents(() => {
            this._setDatePickerBtnState(false);
            for (var i = 0; i < this.quickButtons.length; i++) {
                if (button != this.quickButtons[i])
                    this.quickButtons[i].option('selectedItems', []);
            }
        });
    }
    _focusElement(element) {
        if (element.hasAttribute('tabindex') && element.getAttribute('tabindex') === '0') {
            element.focus();
        }
        else {
            var childrenWithTabIndexZero = element.querySelectorAll('[tabindex="0"]');
            if (childrenWithTabIndexZero.length > 0)
                childrenWithTabIndexZero[0].focus();
        }
    }
    _showPopup() {
        this._overlayShown = !this._overlayShown;
        this._overlay.toggle(this._overlayShown);
        (external_DevExpress_fx_default()).off = true;
        this._calendarWidgetsFrom && this._calendarWidgetsFrom.calendarWidget.option('value', this._getStartCalendarValue());
        this._calendarWidgetsTo && this._calendarWidgetsTo.calendarWidget.option('value', this._getEndCalendarValue());
        (external_DevExpress_fx_default()).off = false;
        this._removeOverlayEventListener();
        let overlay = (0,_jquery_helpers/* $unwrap */.I1)(this._overlay.content());
        if (overlay) {
            overlay.addEventListener('keydown', this._handleKeyDown);
            this._focusElement(overlay);
        }
    }
    _setDatePickerBtnState(checked) {
        if (this.datePickerButton) {
            if (checked && this.datePickerButton.option('selectedItemKeys')[0] !== 'Check') {
                this.datePickerButton.option('selectedItemKeys', ['Check']);
            }
            else if (!checked && this.datePickerButton.option('selectedItemKeys').length !== 0) {
                this.datePickerButton.option('selectedItemKeys', []);
            }
        }
    }
    _onDatePickerUnchecked() {
        if (this.quickButtons.every(button => button.option('selectedItemKeys').length === 0))
            this._options.clearAction();
    }
    _performWithLockedEvents(action) {
        this._lockSelectionEvents = true;
        try {
            action();
        }
        finally {
            this._lockSelectionEvents = false;
        }
    }
}

;// ./dist/viewer-parts/viewer-items/filter-items/_date-filter-element.js






let cssDateFilterClassNames = {
    item: 'dx-dashboard-date-filter-item'
};
class dateFilterElement extends baseItem {
    get _allowPreview() {
        return true;
    }
    constructor(container, options) {
        super(container, options);
    }
    _getMinContentHeight() {
        if (this.widget && this._isFixedHeight)
            return this.widget._getHeight();
        return 0;
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        super.renderContentUnsafe(element, changeExisting, afterRenderCallback);
        var isFirstInitialization = !changeExisting || !this.widget;
        if (isFirstInitialization)
            this.widget = new DateFilterWidget(element, { useNativeScrolling: this.options.useNativeScrolling, overflow: this.options.overflow }, this.controlContainer);
        var options = this.getWidgetOptions();
        this._lock();
        this.widget._update(options);
        this._unlock();
        this.widget._updateSize((0,_jquery_helpers/* getWidth */.RG)(this.contentRoot), (0,_jquery_helpers/* getHeight */.Oq)(this.contentRoot));
        this._isFixedHeight = options.arrangementMode === 'AutoHeight';
        this.timePeriodMenuSelectedIndex = this.options.ViewModel.SelectedPeriodIndex;
        this._applySelectionToWidget();
        return false;
    }
    getInfoUnsafe() {
        return {
            ...super.getInfoUnsafe(),
            selectedPeriodName: this._getCurrentPredefinedRange()
        };
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this._applySelectionToWidget();
    }
    _clearSelectionUnsafe() {
        super._clearSelectionUnsafe();
        if (this.widget) {
            this.timePeriodMenuSelectedIndex = undefined;
            this._clearSelectedValues();
        }
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (this.options) {
            this.options.allowExport = false;
        }
    }
    _clearSelectedValues() {
        this._lock();
        this.widget._clearSelectedValues();
        this._unlock();
    }
    _applySelectionToWidget() {
        this._lock();
        if (this.timePeriodMenuSelectedIndex !== undefined) {
            this.widget._setPeriod(this.timePeriodMenuSelectedIndex);
        }
        else {
            const selectedValues = this.options.SelectedValues && this.options.SelectedValues[0] && this.options.SelectedValues[0].map(v => this._convertSelectedValues(v));
            this.widget._setSelectedValues(selectedValues);
        }
        this._unlock();
        this.updateConstraints();
    }
    getWidgetOptions() {
        var multiData = this.options.multiData;
        var filterViewModel = this.options.ViewModel;
        var getValue = (name) => {
            return multiData && multiData.getMeasureValue(name).getValue();
        };
        return {
            filterType: filterViewModel.FilterType,
            arrangementMode: filterViewModel.ArrangementMode,
            datePickerLocation: filterViewModel.DatePickerLocation,
            displayTextPattern: filterViewModel.DisplayTextPattern,
            groupInterval: filterViewModel.GroupInterval,
            format: (value) => {
                var valueToFormat = value;
                if (filterViewModel.GroupInterval === 'Year')
                    valueToFormat = this._ensureYearValue(valueToFormat);
                return _format_helper/* DashboardFormatHelper */.O6.format(valueToFormat, (0,_formatter/* convertToFormat */.mL)({ DateTimeFormat: filterViewModel.DateTimeFormat }));
            },
            buttonClick: (name) => {
                if (!this._isLocked()) {
                    for (var i = 0; i < filterViewModel.DateTimePeriods.length; i++) {
                        if (name === filterViewModel.DateTimePeriods[i].Name && (name !== this._getCurrentPredefinedRange())) {
                            this.predefinedRangeChanged && this.predefinedRangeChanged(name);
                            break;
                        }
                    }
                }
            },
            buttonsInfo: filterViewModel.DateTimePeriods.map(period => period.Name),
            valueChanged: values => {
                if (!this._isLocked())
                    this.selected.fire(this.getName(), _common/* viewerActions */.qH.setMasterFilter, [values]);
            },
            minimum: getValue(filterViewModel.MinimumId),
            maximum: getValue(filterViewModel.MaximumId),
            clearAction: () => this.clearMasterFilter.fire(this.getName()),
            hasOuterMargin: !this._isPaneEmpty() || this.visualMode === 'content',
            mobileLayout: this._mobileLayout()
        };
    }
    _mobileLayout() {
        return false;
    }
    _convertSelectedValues(value) {
        return value != null && this.options.ViewModel.GroupInterval == 'Year' && typeof value === 'number' ? new Date(value, 0, 1) : value;
    }
    _getCurrentPredefinedRange() {
        return this.timePeriodMenuSelectedIndex !== undefined ? this.options.ViewModel.DateTimePeriods[this.timePeriodMenuSelectedIndex].Name : '';
    }
    _setPredefinedRange(dateTimePeriodName) {
        if (dateTimePeriodName) {
            var dateTimePeriods = this.options.ViewModel.DateTimePeriods;
            let period = dateTimePeriods.filter(dateTimePeriod => dateTimePeriod.Name === dateTimePeriodName)[0];
            if (period) {
                let index = dateTimePeriods.indexOf(period);
                this.timePeriodMenuSelectedIndex = index;
                this._applySelectionToWidget();
            }
        }
        else {
            this.timePeriodMenuSelectedIndex = undefined;
        }
    }
    _ensureYearValue(value) {
        return value instanceof Date ? value.getFullYear() : value;
    }
    _updateContentSizeUnsafe() {
        super._updateContentSizeUnsafe();
        var newContentWidth = (0,_jquery_helpers/* getWidth */.RG)(this.contentRoot), newContentHeight = (0,_jquery_helpers/* getHeight */.Oq)(this.contentRoot);
        if (this.options.ViewModel.ArrangementMode === 'AutoHeight') {
            var oldMinContentHeight = this._getMinContentHeight();
            this.widget._updateSize(newContentWidth, newContentHeight);
            var newMinContentHeight = this._getMinContentHeight();
            if (oldMinContentHeight && oldMinContentHeight !== newMinContentHeight) {
                this.updateConstraints();
            }
        }
        else
            this.widget._updateSize(newContentWidth, newContentHeight);
    }
    _getWidget() {
        return this.widget;
    }
    _isBorderRequired() {
        return false;
    }
    _isPaneEmpty() {
        return super._isPaneEmpty() || !this.hasCaption();
    }
    _isTransparentBackground() {
        return this._isPaneEmpty() && this.visualMode !== 'content';
    }
    _generateInnerBorderClassesUnsafe(element) {
        var classes = super._generateInnerBorderClassesUnsafe(element);
        if (!this._isPaneEmpty()) {
            classes.push(cssDateFilterClassNames.item);
        }
        if (element) {
            if (this._isPaneEmpty()) {
                element.classList.remove(cssDateFilterClassNames.item);
            }
            else {
                element.classList.add(cssDateFilterClassNames.item);
            }
        }
        return classes;
    }
    dispose() {
        if (this.widget) {
            this.widget.dispose();
        }
        super.dispose();
    }
}
dateFilterElement.MinMeasureId = 'DateFilterMin';
dateFilterElement.MaxMeasureId = 'DateFilterMax';

;// ./dist/viewer-parts/viewer-items/filter-items/_list-element.js







let cssListBoxClassNames = {
    borderVisible: 'dx-list-border-visible',
    separatorHidden: 'dx-list-item-separator-hidden',
    list: 'dx-dashboard-list',
    item: 'dx-dashboard-list-item',
    emptyMessage: 'dx-dashboard-empty-message',
};
class listFilterElement extends filterElementBaseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    get filterDataController() { return this._dataController; }
    constructor(container, options) {
        super(container, options);
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this._lock();
        try {
            this.widget.option('selectedItems', this._getSelection());
        }
        finally {
            this._unlock();
        }
    }
    _clearSelectionUnsafe() {
        if (!!this.options.useNeutralFilterMode) {
            this._lock();
            try {
                this.widget.unselectAll();
            }
            finally {
                this._unlock();
            }
        }
    }
    _generateInnerBorderClassesUnsafe(element) {
        var classes = super._generateInnerBorderClassesUnsafe(element);
        if (!this._isPaneEmpty()) {
            classes.push(cssListBoxClassNames.item);
        }
        if (element) {
            if (this._isPaneEmpty()) {
                element.classList.remove(cssListBoxClassNames.item);
            }
            else {
                element.classList.add(cssListBoxClassNames.item);
            }
        }
        return classes;
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        super.renderContentUnsafe(element, changeExisting, afterRenderCallback);
        let widgetElement = (0,_jquery_helpers/* $unwrap */.I1)(this.widget.element());
        widgetElement.classList.add(cssListBoxClassNames.separatorHidden);
        if (this._isPaneEmpty() && this.visualMode !== 'content') {
            widgetElement.classList.add(cssListBoxClassNames.borderVisible);
        }
        else {
            widgetElement.classList.remove(cssListBoxClassNames.borderVisible);
        }
        return false;
    }
    _getWidgetName() {
        return 'dxList';
    }
    _createWidget(div, opts) {
        div.classList.add(cssListBoxClassNames.list, cssListBoxClassNames.emptyMessage);
        return new (external_DevExpress_ui_dxList_default())(div, opts);
    }
    _getSelection() {
        return !this.isMultiSelectable && this._dataController.selection.length > 1 ? [this._dataController.selection[0]] : this._dataController.selection;
    }
    _getOptions(includeActions) {
        var that = this;
        return {
            dataSource: that.getDataSource(),
            selectedItems: that._getSelection(),
            showSelectionControls: true,
            focusStateEnabled: true,
            hoverStateEnabled: true,
            keyExpr: _filter_element_data_controller/* KEY_EXPR */.U4,
            searchEnabled: that._enableSearch,
            searchEditorOptions: {
                placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.SearchNullValuePrompt)
            },
            encodeNoDataText: true,
            noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
            selectionMode: that.isMultiSelectable ? 'all' : 'single',
            selectAllMode: 'allPages',
            selectAllText: _localizer/* ALL_ELEMENT */.D.text,
            pageLoadMode: 'scrollBottom',
            onOptionChanged: (e) => {
                if (e.name == 'searchEnabled')
                    e.component.option('searchValue', undefined);
            },
            onSelectionChanged: !includeActions ? undefined : function (e) {
                if (that.isMultiSelectable && e.removedItems.length > 0) {
                    that._raiseItemClick(e.removedItems);
                }
                else {
                    that._raiseItemClick(e.addedItems);
                }
            }
        };
    }
}

;// ./dist/viewer-parts/viewer-items/filter-items/_tree-element.js











let cssTreeViewClassNames = {
    borderVisible: 'dx-treeview-border-visible',
    topBorder: 'dx-dashboard-top-border',
    item: 'dx-dashboard-tree-item'
};
class treeViewFilterElement extends filterElementBaseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    get filterDataController() { return this._dataController; }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        var selection = this._dataController.selection;
        if (!legacy_settings/* LegacySettings */.l.useLegacyTreeView && this.widget != null && this.widget.getSelectedRowKeys('leavesOnly').sort().toString() !== selection.sort().toString()) {
            this._lock();
            this.widget.selectRows(selection).always(() => this._unlock());
        }
    }
    _generateInnerBorderClassesUnsafe(element) {
        var classes = super._generateInnerBorderClassesUnsafe(element);
        if (!this._isPaneEmpty()) {
            classes.push(cssTreeViewClassNames.item);
        }
        if (element) {
            if (this._isPaneEmpty()) {
                element.classList.remove(cssTreeViewClassNames.item);
            }
            else {
                element.classList.add(cssTreeViewClassNames.item);
            }
        }
        return classes;
    }
    _clearSelectionUnsafe() {
        if (!!this.options.useNeutralFilterMode) {
            this._lock();
            this.widget.selectRows([]).always(() => this._unlock());
        }
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        super.renderContentUnsafe(element, changeExisting, afterRenderCallback);
        var widgetElement = (0,_jquery_helpers/* $unwrap */.I1)(this.widget.element());
        if (legacy_settings/* LegacySettings */.l.useLegacyTreeView && this._isPaneEmpty() && this.visualMode !== 'content') {
            widgetElement.classList.add(cssTreeViewClassNames.borderVisible);
        }
        else {
            widgetElement.classList.remove(cssTreeViewClassNames.borderVisible);
        }
        return false;
    }
    _getWidgetName() {
        return legacy_settings/* LegacySettings */.l.useLegacyTreeView ? 'dxTreeView' : 'dxTreeList';
    }
    _createWidget(div, opts) {
        return legacy_settings/* LegacySettings */.l.useLegacyTreeView ? new (external_DevExpress_ui_dxTreeView_default())(div, opts) : new (external_DevExpress_ui_dxTreeList_default())(div, opts);
    }
    _getOptions(includeActions) {
        var that = this;
        return legacy_settings/* LegacySettings */.l.useLegacyTreeView ?
            {
                items: that._dataController.dataSource,
                width: '100%',
                height: '100%',
                keyExpr: 'key',
                hoverStateEnabled: false,
                scrollDirection: 'both',
                showCheckBoxesMode: 'selectAll',
                rootValue: null,
                selectAllText: _localizer/* ALL_ELEMENT */.D.text,
                selectNodesRecursive: true,
                onSelectionChanged: includeActions ? e => that._raiseItemClick(e.component.getNodes()) : undefined,
                encodeNoDataText: true,
                noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
            } :
            {
                dataSource: that._dataController.dataSource,
                itemsExpr: 'items',
                dataStructure: 'tree',
                columns: [{
                        caption: _localizer/* ALL_ELEMENT */.D.text,
                        dataField: 'text',
                        encodeHtml: that._isEncodeHtml()
                    }],
                selection: {
                    allowSelectAll: true,
                    mode: 'multiple',
                    recursive: true
                },
                scrolling: {
                    mode: 'virtual'
                },
                sorting: {
                    mode: 'none'
                },
                searchPanel: {
                    placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.SearchNullValuePrompt),
                    visible: this._enableSearch,
                    width: '100%',
                    searchVisibleColumnsOnly: true
                },
                autoExpandAll: that.options.ViewModel.AutoExpandNodes,
                expandNodesOnFiltering: true,
                showRowLines: false,
                showBorders: that.hasParentContainer() && this.visualMode !== 'content',
                width: '100%',
                height: '100%',
                keyExpr: _filter_element_data_controller/* KEY_EXPR */.U4,
                hoverStateEnabled: false,
                rootValue: null,
                noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
                onContentReady: (e) => {
                    let scrollable = e.component.getScrollable();
                    if (scrollable) {
                        scrollable.off('scroll', this._onScrollChanged);
                        scrollable.on('scroll', this._onScrollChanged);
                    }
                },
                onDisposing: (e) => {
                    let scrollable = e.component.getScrollable();
                    if (scrollable)
                        scrollable.off('scroll', this._onScrollChanged);
                },
                onEditorPrepared: (e) => {
                    (0,_jquery_helpers/* $unwrap */.I1)(e.editorElement).classList.remove('dx-treelist-checkbox-size');
                },
                onSelectionChanged: includeActions ? e => {
                    if (!this._isLocked()) {
                        if (e.currentSelectedRowKeys.length > 0 && e.currentDeselectedRowKeys.length > 0)
                            throw new Error('TREEVIEW has an incorrect selection');
                        this._raiseItemClick(this._getSelectedBranches(e.currentSelectedRowKeys.length > 0 ? e.currentSelectedRowKeys : e.currentDeselectedRowKeys, e.currentSelectedRowKeys.length > 0));
                    }
                } : undefined
            };
    }
    _fillChildren(node, branch, isSelected, branches, hash) {
        node.children && node.children.forEach(childNode => {
            const childNodeBranch = branch.slice();
            childNodeBranch.push(childNode.data.value);
            this._fillChildren(childNode, childNodeBranch, isSelected, branches, hash);
        });
        if (!node.children || !node.children.length) {
            const nullValueItemsCount = this.dataController.multiData ? this.dataController.multiData.getDimensions().length - branch.length : 0;
            for (let i = 0; i < nullValueItemsCount; i++) {
                branch.push(special_values/* specialValues */.A.olapNullValueGuid);
            }
            if ((isSelected && !!hash[branch]) || (!isSelected && !hash[branch]))
                return true;
            branches[branch] = branch;
        }
    }
    _getSelectedBranches(keys, isSelected = false) {
        const branches = {};
        const hash = (0,_utils/* wrapHash */.RS)(this._getSelectedValues());
        for (let i = 0; i < keys.length; i++) {
            let treeList = this.widget;
            const node = treeList.getNodeByKey(keys[i]);
            const branch = [node.data.value];
            let curNode = node;
            while (curNode.parent && curNode.level > 0) {
                branch.unshift(curNode.parent.data.value);
                curNode = curNode.parent;
            }
            this._fillChildren(node, branch, isSelected, branches, hash);
        }
        return Object.keys(branches).map(key => branches[key]);
    }
    _onScrollChanged(e) {
        if (e.scrollOffset.top !== 0) {
            (0,_jquery_helpers/* $unwrap */.I1)(e.element).classList.add(cssTreeViewClassNames.topBorder);
        }
        else {
            (0,_jquery_helpers/* $unwrap */.I1)(e.element).classList.remove(cssTreeViewClassNames.topBorder);
        }
    }
}

;// external "DevExpress.data.PivotGridDataSource"
const external_DevExpress_data_PivotGridDataSource_namespaceObject = DevExpress.data.PivotGridDataSource;
var external_DevExpress_data_PivotGridDataSource_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_data_PivotGridDataSource_namespaceObject);
// EXTERNAL MODULE: ./dist/viewer-parts/viewer-items/pivot-grid-item/_pivot-grid-item-helper.js
var _pivot_grid_item_helper = __webpack_require__(5803);
;// ./dist/viewer-parts/viewer-items/pivot-grid-item/_pivot-grid-item.js











const PIVOT_BAR_ID = 'pivotBar';
class pivotGridItem extends baseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    get _captionToolbarSeparatorRequired() {
        return !this.hasParentContainer() || (this.hasParentContainer() && this.visualMode === 'caption');
    }
    get _multiData() {
        return this.options.multiData;
    }
    get _viewModel() {
        return this.options.ViewModel;
    }
    constructor(container, options) {
        super(container, options);
        this._collapseStateCache = {};
        this._conditionalFormattingInfoCache = [];
        this._pivotLoadingDeferred = null;
        this._dataUpdateHook = null;
        this._pointsCache = { columns: {}, rows: {} };
        this._dataSource = null;
        this._styleSettingsProvider = null;
        this.pivotGridViewer = null;
        this.expandStateChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this._expandValueChangingHandler = (args) => {
            this._resetPivotLoadingDeferred();
            this._dataUpdateHook && this._dataUpdateHook.reject();
            this._dataUpdateHook = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            const isColumn = args.area === 'column';
            const values = args.path;
            this._onExpandValue({
                values: values,
                isColumn: isColumn,
                isExpand: args.expanded,
                isRequestData: !!args.needExpandData
            });
            this.onCollapseStateChanged(isColumn, values, !args.expanded);
        };
        this._collapseStateCache = {};
        this._conditionalFormattingInfoCache = [];
        this._styleSettingsProvider = new _style_settings_provider/* styleSettingsProvider */.AI(this.container);
        this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel);
    }
    dispose() {
        super.dispose();
        this.pivotGridViewer = null;
        if (this._dataSource) {
            this._dataSource.dispose();
            this._dataSource = null;
        }
        if (this._styleSettingsProvider) {
            this._styleSettingsProvider.dispose();
            this._styleSettingsProvider = null;
        }
        if (this._pivotLoadingDeferred) {
            this._pivotLoadingDeferred.reject();
            this._pivotLoadingDeferred = null;
        }
        if (this._dataUpdateHook) {
            this._dataUpdateHook.reject();
            this._dataUpdateHook = null;
        }
        if (this.expandStateChanged) {
            this.expandStateChanged.empty();
            this.expandStateChanged = null;
        }
        this._collapseStateCache = null;
        this._conditionalFormattingInfoCache = null;
        this._pointsCache = null;
    }
    hideLoadingPanel() {
        if (this._pivotLoadingDeferred) {
            this._pivotLoadingDeferred.promise().then(() => {
                super.hideLoadingPanel();
            });
        }
        else {
            super.hideLoadingPanel();
        }
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        this._resetPivotLoadingDeferred();
        if (this.options) {
            this._createAndLoadDataSource().then(result => {
                var pivotOptions = this._getPivotGridOptions(result.dataSource, result.fields);
                this._raiseItemWidgetOptionsPrepared(pivotOptions);
                if (changeExisting && this.pivotGridViewer) {
                    this.pivotGridViewer.option(pivotOptions);
                }
                else {
                    if (this.pivotGridViewer)
                        this.pivotGridViewer.dispose();
                    this.pivotGridViewer = this._createTestableWidget(element, pivotOptions);
                }
                this._conditionalFormattingInfoCache = [];
                afterRenderCallback && afterRenderCallback();
            });
        }
        return true;
    }
    _createTestableWidget(element, options) {
        return new (external_DevExpress_ui_dxPivotGrid_default())(element, options);
    }
    renderPartialContentUnsafe() {
        this._conditionalFormattingInfoCache = [];
    }
    getInfoUnsafe() {
        return (0,_jquery_helpers/* deepExtend */.zw)(super.getInfoUnsafe(), {
            scroll: {
                topPath: this.pivotGridViewer.getScrollPath('row'),
                leftPath: this.pivotGridViewer.getScrollPath('column'),
                horizontal: this.pivotGridViewer.hasScroll('column'),
                vertical: this.pivotGridViewer.hasScroll('row')
            }
        });
    }
    getExpandingState(isRowsExpanding = true, isColumnsExpanding = true) {
        var ds = this.pivotGridViewer ? this.pivotGridViewer.getDataSource() : undefined;
        return {
            rows: isRowsExpanding ? this._getStatePaths(ds, false, true) : this._getStatePaths(ds, false, false),
            columns: isColumnsExpanding ? this._getStatePaths(ds, true, true) : this._getStatePaths(ds, true, false)
        };
    }
    _onExpandStateChanged(dxPivotState) {
        this.expandStateChanged.fire(dxPivotState);
    }
    _getStatePaths(ds, isColumn, getExpanded) {
        if (!ds)
            return [];
        const result = [];
        const data = ds.getData() || [];
        const area = isColumn ? 'column' : 'row';
        const fields = ds.getAreaFields(area, false);
        const foreachTreeItem = (items, members, callback) => {
            members = members || [];
            items = items || [];
            let item;
            for (let i = 0; i < items.length; i++) {
                item = items[i];
                members.unshift(item);
                callback(members, i);
                if (item.children) {
                    foreachTreeItem(item.children, members, callback);
                }
                members.shift();
            }
        };
        var createPath = items => {
            var result = [];
            for (var i = items.length - 1; i >= 0; i--) {
                result.push(items[i].key || items[i].value);
            }
            return result;
        };
        foreachTreeItem(data[area + 's'], undefined, function (items) {
            var item = items[0], path = createPath(items);
            let expanded = !!item.children;
            if (getExpanded && expanded || !getExpanded && !expanded)
                (path.length < fields.length) && result.push(path.slice());
        });
        return result;
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (!this._dataUpdateHook) {
            this._dataUpdateHook = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        }
        this._dataUpdateHook.resolve();
        this.options.PivotExpandViewState = newOptions.PivotExpandViewState;
        if (this._styleSettingsProvider) {
            this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel);
        }
    }
    _loadState(fields) {
        let previousState = this.options.PivotExpandViewState;
        if (previousState) {
            let fieldsCopy = fields.map(field => ({ ...field }));
            fieldsCopy.forEach(actualField => {
                var stateField = previousState.fields.filter(field => field.name == actualField.name)[0];
                if (stateField) {
                    actualField.expanded = stateField.expanded;
                }
            });
            previousState.fields = fieldsCopy;
        }
        return previousState;
    }
    _getPivotGridOptions(dataSource, fields) {
        let viewModel = this._viewModel;
        if (!viewModel) {
            return {};
        }
        const commonOptions = {};
        commonOptions.dataSource = dataSource;
        commonOptions.fieldChooser = { enabled: false };
        commonOptions.loadPanel = { enabled: false };
        commonOptions.contextMenuEnabled = false;
        commonOptions.showRowGrandTotals = this._showRowGrandTotals(fields);
        commonOptions.showColumnGrandTotals = this._getShowColumnGrandTotals(fields);
        commonOptions.showColumnTotals = viewModel.ShowColumnTotals;
        commonOptions.showRowTotals = viewModel.ShowRowTotals;
        commonOptions.dataFieldArea = viewModel.ValuesPosition == 'Rows' ? 'row' : 'column';
        if (viewModel.LayoutType == 'Compact') {
            commonOptions.rowHeaderLayout = 'tree';
            if (viewModel.ColumnTotalsPosition == 'Near')
                commonOptions.showTotalsPrior = 'columns';
            else
                commonOptions.showTotalsPrior = 'none';
        }
        else {
            commonOptions.rowHeaderLayout = 'standard';
            if (viewModel.RowTotalsPosition == 'Top' && viewModel.ColumnTotalsPosition == 'Near')
                commonOptions.showTotalsPrior = 'both';
            else if (viewModel.RowTotalsPosition == 'Top')
                commonOptions.showTotalsPrior = 'rows';
            else if (viewModel.ColumnTotalsPosition == 'Near')
                commonOptions.showTotalsPrior = 'columns';
            else
                commonOptions.showTotalsPrior = 'none';
        }
        commonOptions.encodeHtml = this._isEncodeHtml();
        commonOptions.scrolling = {
            mode: 'virtual'
        };
        commonOptions.stateStoring = {
            enabled: true,
            type: 'custom',
            savingTimeout: 0,
            customLoad: () => {
                return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve(this._loadState(fields)).promise();
            },
            customSave: (dxPivotState) => {
                this._onExpandStateChanged(dxPivotState);
            }
        },
            commonOptions.onExpandValueChanging = this._expandValueChangingHandler;
        commonOptions.texts = {
            grandTotal: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.PivotGridGrandTotal),
            total: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.PivotGridTotal),
            noData: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.MessagePivotHasNoData)
        };
        commonOptions.onCellClick = (e) => {
            if (e.area === 'data') {
                this._raiseItemClick(e.cell);
            }
        };
        commonOptions.onCellPrepared = (e) => this._onCellPrepared(e);
        commonOptions.onContentReady = (e) => {
            this._styleSettingsProvider.draw();
            this._resolvePivotLoadingDeferred();
        };
        return commonOptions;
    }
    _getShowColumnGrandTotals(fields) {
        let viewModel = this._viewModel;
        let columnFields = fields.filter(function (field) { return field.area == 'column'; });
        let rowFields = fields.filter(function (field) { return field.area == 'row'; });
        if (!viewModel.ShowColumnGrandTotals && (columnFields.length === 0 && rowFields.length !== 0)) {
            return true;
        }
        return viewModel.ShowColumnGrandTotals;
    }
    _showRowGrandTotals(fields) {
        let viewModel = this._viewModel;
        let columnFields = fields.filter(function (field) { return field.area == 'column'; });
        let rowFields = fields.filter(function (field) { return field.area == 'row'; });
        if (!viewModel.ShowRowGrandTotals && (columnFields.length !== 0 && rowFields.length === 0)) {
            return true;
        }
        return viewModel.ShowRowGrandTotals;
    }
    _resetPivotLoadingDeferred() {
        this._pivotLoadingDeferred && this._pivotLoadingDeferred.reject();
        this._pivotLoadingDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
    }
    _resolvePivotLoadingDeferred() {
        this._pivotLoadingDeferred && this._pivotLoadingDeferred.resolve();
        this._pivotLoadingDeferred = null;
    }
    onCollapseStateChanged(isColumn, values, collapse) {
        let that = this;
        let collapseStateKey = values.concat(isColumn ? 'column' : 'row').toString();
        that._conditionalFormattingInfoCache = [];
        if (collapse)
            that._collapseStateCache[collapseStateKey] = true;
        else
            delete that._collapseStateCache[collapseStateKey];
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        this.pivotGridViewer && this.pivotGridViewer.resize();
        this._styleSettingsProvider.updateBarWidth(PIVOT_BAR_ID);
    }
    _getDataPoint(element) {
        var that = this, viewModel = that.options.ViewModel;
        return {
            getValues(name) {
                switch (name) {
                    case item_data_axis_names/* itemDataAxisNames */.X.pivotRowAxis:
                        return element.rowPath;
                    case item_data_axis_names/* itemDataAxisNames */.X.pivotColumnAxis:
                        return element.columnPath;
                    default:
                        return null;
                }
            },
            getDeltaIds: function () {
                return [];
            },
            getMeasureIds: function () {
                var dataIndex = element.dataIndex;
                if (dataIndex != undefined) {
                    return [viewModel.Values[dataIndex].DataId];
                }
                return null;
            }
        };
    }
    _getWidget() {
        return this.pivotGridViewer;
    }
    _onCellPrepared(element) {
        var styleSettingsInfo, isMeasureHeader = (element.area === _utils/* pivotArea */.A_.column || element.area === _utils/* pivotArea */.A_.row) && element.cell.dataIndex !== undefined, cellItem = {
            area: element.area
        };
        if (!isMeasureHeader) {
            if (element.area === _utils/* pivotArea */.A_.column) {
                cellItem.columnPath = element.cell.path;
                cellItem.columnType = element.cell.type;
            }
            else if (element.area === _utils/* pivotArea */.A_.row) {
                cellItem.rowPath = element.cell.path;
                cellItem.rowType = element.cell.type;
            }
            else {
                cellItem.columnPath = element.cell.columnPath;
                cellItem.rowPath = element.cell.rowPath;
                cellItem.cellIndex = element.cell.dataIndex;
                cellItem.columnType = element.cell.columnType;
                cellItem.rowType = element.cell.rowType;
            }
            styleSettingsInfo = this._dataController.getStyleSettingsInfo(cellItem, this._collapseStateCache, this._conditionalFormattingInfoCache, this._pointsCache);
            this._styleSettingsProvider.applyStyleSettings((0,_jquery_helpers/* $unwrap */.I1)(element.cellElement), this.options.controlContainer, styleSettingsInfo, false, PIVOT_BAR_ID);
        }
    }
    _getFields() {
        if (!this._viewModel) {
            return undefined;
        }
        let columnFields = _pivot_grid_item_helper/* pivotHelper */.Zz.createAreaFields(this._viewModel.Columns, 'column', this._viewModel.AutoExpandColumnGroups);
        for (var i = 0; i < this._viewModel.Columns.length; i++) {
            columnFields[i].showTotals = this._viewModel.Columns[i].ShowTotals;
        }
        let rowFields = _pivot_grid_item_helper/* pivotHelper */.Zz.createAreaFields(this._viewModel.Rows, 'row', this._viewModel.AutoExpandRowGroups);
        for (var i = 0; i < this._viewModel.Rows.length; i++) {
            rowFields[i].showTotals = this._viewModel.Rows[i].ShowTotals;
        }
        let dataFields = _pivot_grid_item_helper/* pivotHelper */.Zz.createAreaFields(this._viewModel.Values, 'data');
        for (var i = 0; i < this._viewModel.Values.length; i++) {
            dataFields[i].showValues = this._viewModel.Values[i].ShowValues;
            dataFields[i].showTotals = this._viewModel.Values[i].ShowTotals;
            dataFields[i].showGrandTotals = this._viewModel.Values[i].ShowGrandTotals;
        }
        return columnFields
            .concat(rowFields)
            .concat(dataFields);
    }
    _createAndLoadDataSource() {
        return new Promise((resolve) => {
            let fields = this._getFields();
            let firstRequest = true;
            var dataSource = new (external_DevExpress_data_PivotGridDataSource_default())({
                remoteOperations: true,
                fields: fields,
                retrieveFields: false,
                load: (loadOptions) => {
                    if (firstRequest) {
                        firstRequest = false;
                        return [_pivot_grid_item_helper/* pivotHelper */.Zz.getSchemaRow(fields)];
                    }
                    else {
                        return this._dataUpdateHook ? this._dataUpdateHook.then(() => this._getLoadData(loadOptions)) : (0,_jquery_helpers/* createJQueryDeferred */.KO)().reject().promise();
                    }
                }
            });
            dataSource.state(this._loadState(fields));
            dataSource.on('loadingChanged', args => {
                if (!dataSource.isLoading()) {
                    resolve({ dataSource, fields });
                }
            });
        });
    }
    _getLoadData(loadOptions) {
        if (!this._multiData || this._multiData.isEmpty()) {
            return undefined;
        }
        let group = loadOptions.group;
        let groupSummary = loadOptions.groupSummary;
        let totalSummary = loadOptions.totalSummary;
        let filter = _pivot_grid_item_helper/* OneElementFilterRemover */.xD.simplify(loadOptions.filter);
        let availableByArea = {
            columns: _pivot_grid_item_helper/* pivotHelper */.Zz.getColumnAxis(this._multiData).getDimensions().map(c => c.id),
            rows: _pivot_grid_item_helper/* pivotHelper */.Zz.getRowAxis(this._multiData).getDimensions().map(r => r.id)
        };
        let filteredFields = _pivot_grid_item_helper/* FieldsExtractor */.st.extract(filter);
        let filteredByArea = {
            columns: filteredFields
                .filter(f => availableByArea.columns.filter(c => c === f)[0] != undefined)
                .sort((a, b) => availableByArea.columns.indexOf(a) - availableByArea.columns.indexOf(b)),
            rows: filteredFields
                .filter(f => availableByArea.rows.filter(c => c === f)[0] != undefined)
                .sort((a, b) => availableByArea.rows.indexOf(a) - availableByArea.rows.indexOf(b))
        };
        let groupedFields = group ? group.map(g => g.selector) : [];
        let groupedByArea = {
            columns: groupedFields.filter(f => availableByArea.columns.filter(c => c === f)[0] != undefined),
            rows: groupedFields.filter(f => availableByArea.rows.filter(c => c === f)[0] != undefined)
        };
        let firstIndexInGroup = {
            column: (0,_utils/* findIndex */.SL)(groupedFields, f => availableByArea.columns.filter(c => c === f)[0] !== undefined),
            row: (0,_utils/* findIndex */.SL)(groupedFields, f => availableByArea.rows.filter(c => c === f)[0] !== undefined)
        };
        let onlyFilteredByArea = {
            columns: (0,_utils/* distinct */.dM)((0,_utils/* minus */.Rd)(filteredByArea.columns, groupedByArea.columns)),
            rows: (0,_utils/* distinct */.dM)((0,_utils/* minus */.Rd)(filteredByArea.rows, groupedByArea.rows))
        };
        let fields;
        if (firstIndexInGroup.column === -1) {
            fields = onlyFilteredByArea.rows.concat(groupedFields).concat(onlyFilteredByArea.columns);
        }
        else if (firstIndexInGroup.row === -1) {
            fields = onlyFilteredByArea.columns.concat(groupedFields).concat(onlyFilteredByArea.rows);
        }
        else if (firstIndexInGroup.column < firstIndexInGroup.row) {
            fields = onlyFilteredByArea.columns
                .concat(groupedFields.slice(firstIndexInGroup.column, firstIndexInGroup.row))
                .concat(onlyFilteredByArea.rows)
                .concat(groupedFields.slice(firstIndexInGroup.row));
        }
        else {
            fields = onlyFilteredByArea.rows
                .concat(groupedFields.slice(firstIndexInGroup.row, firstIndexInGroup.column))
                .concat(onlyFilteredByArea.columns)
                .concat(groupedFields.slice(firstIndexInGroup.column));
        }
        let columnRoot = _pivot_grid_item_helper/* pivotHelper */.Zz.getColumnAxis(this._multiData).getRootPoint();
        let rowRoot = _pivot_grid_item_helper/* pivotHelper */.Zz.getRowAxis(this._multiData).getRootPoint();
        let getItems = (index, isColumn, point, oppositePoint, dimensionValues) => {
            let isLastGrouping = index + 1 >= fields.length;
            let items = [];
            let children = point.getChildren();
            let nextLevelIsColumn;
            let changeAreas;
            let name = fields[index];
            let onlyFiltered = isColumn ? onlyFilteredByArea.columns : onlyFilteredByArea.rows;
            let isOnlyFiltered = onlyFiltered.filter(f => f === name)[0] !== undefined;
            if (!isLastGrouping) {
                nextLevelIsColumn = availableByArea.columns.filter(c => c === fields[index + 1])[0] !== undefined;
                changeAreas = isColumn && !nextLevelIsColumn || !isColumn && nextLevelIsColumn;
            }
            let areaCache = isColumn ? this._pointsCache.columns : this._pointsCache.rows;
            for (let i = 0; i < children.length; i++) {
                let child = children[i];
                areaCache[child.getUniquePath().toString()] = child;
                let value = child.getUniqueValue();
                let dimVals = { ...dimensionValues, [name]: value };
                if (filter && !_pivot_grid_item_helper/* FilterChecker */.Qk.fits(dimVals, filter))
                    continue;
                let subItems;
                if (!isLastGrouping) {
                    let nextLevelPoint = child;
                    let nextLevelOppositePoint = oppositePoint;
                    if (changeAreas) {
                        nextLevelPoint = oppositePoint;
                        nextLevelOppositePoint = child;
                    }
                    subItems = getItems(index + 1, nextLevelIsColumn, nextLevelPoint, nextLevelOppositePoint, dimVals);
                }
                else {
                    subItems = null;
                }
                if (isOnlyFiltered) {
                    if (subItems && subItems.length > 0)
                        items = items.concat(subItems);
                }
                else {
                    items.push({
                        key: value,
                        displayText: value === special_values/* specialValues */.A.olapNullValueGuid ? _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.OlapRaggedHierarchyNoneItemCaption) : child.getDisplayText(),
                        items: subItems,
                        summary: groupSummary.map(s => this._multiData.getMeasureValueByAxisPoints(s.selector, [child, oppositePoint]).getDisplayText())
                    });
                }
            }
            return items.length !== 0 ? items : null;
        };
        let res = {};
        if (groupedFields && groupedFields.length > 0) {
            let isColumn = !!availableByArea.columns.filter(c => c === fields[0])[0];
            res.data = getItems(0, isColumn, isColumn ? columnRoot : rowRoot, isColumn ? rowRoot : columnRoot, {}) || [];
        }
        else {
            res.data = [_pivot_grid_item_helper/* pivotHelper */.Zz.getSchemaRow(this._getFields())];
        }
        if (totalSummary)
            res.summary = totalSummary.map(s => this._multiData.getMeasureValueByAxisPoints(s.selector, [columnRoot, rowRoot]).getDisplayText());
        return res;
    }
}

// EXTERNAL MODULE: ./dist/data/_chart-helper.js
var _chart_helper = __webpack_require__(9361);
;// ./dist/viewer-parts/widgets/dialogs/_dialog-form.js








let dialogClasses = {
    form: 'dx-dashboard-form',
    formWrapper: 'dx-dashboard-form-wrapper dx-designer-viewport',
    simpleDialog: 'dx-dashboard-simple-dialog',
    element: 'dx-dashboard-dialog-element',
    elementLargeMarginTop: 'dx-dashboard-dialog-element-large-margin-top',
    elementSmallMarginTop: 'dx-dashboard-dialog-element-small-margin-top',
    name: 'dx-dashboard-dialog-element-name',
    disabledName: 'dx-dashboard-dialog-element-name-disabled',
    box: 'dx-dashboard-dialog-element-box',
    buttons: 'dx-dashboard-dialog-buttons',
    elementTextBox: 'dx-dashboard-dialog-element-text-box',
    elementNumberBox: 'dx-dashboard-dialog-element-number-box',
};
let dialogSizes = {
    width: 500,
    height: 500,
    minWidth: 350,
    minHeight: 200,
};
var widgetMargin = 1;
class dialogForm {
    constructor(options) {
        this.controlCreationCallbacks = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.options = options;
        this._initialize();
    }
    showDialog() {
        this.popupInstance.show();
    }
    hideDialog() {
        this.popupInstance.hide();
    }
    dispose() {
        if (this.popupInstance) {
            this.popupInstance.dispose();
        }
        if (this.options && this.options.disposeContent) {
            this.options.disposeContent();
        }
        this.scrollableContent = null;
    }
    _initialize() {
        var that = this, options = that.options, getMaxSize = function () {
            var windowHeight = DashboardLayoutModeHelper.isMobile ? window.innerHeight : undefined;
            var height = external_jQuery_.fn.constructor(options.dialogContainer).height();
            return !!windowHeight && (windowHeight > height) ? windowHeight : height;
        }, correctMaxSize = function () {
            that.popupInstance.option('maxHeight', getMaxSize());
            var popupContent = (0,_jquery_helpers/* $unwrap */.I1)(that.popupInstance.content());
            var scrollableContent = popupContent.querySelector('.dx-scrollable-container');
            if (scrollableContent) {
                scrollableContent.style.maxHeight = (0,_jquery_helpers/* $unwrap */.I1)(that.popupInstance.content()).style.maxHeight;
            }
        }, resizeHandler = function () {
            correctMaxSize();
        };
        var popupOptions = {
            title: options.title,
            showCloseButton: true,
            toolbarItems: [{ toolbar: 'bottom' }],
            animation: {
                show: {
                    type: 'fade',
                    from: 0, to: 1
                },
                hide: {
                    type: 'fade',
                    from: 1, to: 0
                }
            },
            position: {
                my: 'center',
                at: 'center',
                of: DashboardLayoutModeHelper.isMobile ? window : options.dialogContainer
            },
            width: options.width,
            height: options.height,
            maxHeight: getMaxSize(),
            minWidth: dialogSizes.minWidth,
            maxWidth: DashboardLayoutModeHelper.isMobile ? '90vw' : null,
            minHeight: dialogSizes.minHeight,
            resizeEnabled: !options.allowScrolling,
            onInitialized: function (e) {
                external_DevExpress_utils_resizeCallbacks_default().add(resizeHandler);
            },
            onDisposing: function (e) {
                external_DevExpress_utils_resizeCallbacks_default().remove(resizeHandler);
            },
            onResize: function (e) {
                var dataGrid = e.component.content().children().data('dxDataGrid');
                if (!!dataGrid) {
                    dataGrid.updateDimensions();
                }
            },
            onContentReady: function (args) {
                if (that.options.buttons) {
                    var buttons = document.createElement('div');
                    buttons.classList.add(dialogClasses.buttons);
                    that.options.buttons.forEach(button => {
                        let element = document.createElement('div');
                        element.classList.add(button.className);
                        buttons.appendChild(element);
                        new (external_DevExpress_ui_dxButton_default())(element, {
                            text: button.name,
                            onClick: function () {
                                button.func();
                                if (button.hide)
                                    that.popupInstance.hide();
                            },
                            type: button.isDefault ? 'default' : 'normal'
                        });
                    });
                    (0,_jquery_helpers/* $unwrap */.I1)(that.popupInstance.bottomToolbar()).appendChild(buttons);
                    var buttonsDeltaWidth = -external_jQuery_.fn.constructor(buttons).width();
                    for (let i = 0; i < buttons.children.length; i++) {
                        buttonsDeltaWidth += _render_helper/* RenderHelper */.p.getElementBoxFloat(buttons.children[i]).width;
                    }
                    if (buttonsDeltaWidth > 0) {
                        this.option('minWidth', this.option('minWidth') + Math.ceil(buttonsDeltaWidth));
                    }
                }
                if (!options.deferredRendering) {
                    that._renderPopupContent(args.component);
                }
            },
            onShowing: function (args) {
                if (options.deferredRendering) {
                    that._renderPopupContent(args.component);
                }
                var formWidth = that._setLabelsWidth();
                that.options.setActualState(formWidth);
                options.onShowing && options.onShowing(args);
            },
            onHidden: options.onHidden,
            onShown: function (args) {
                correctMaxSize();
                options.onShown && options.onShown(args);
            }
        };
        popupOptions['bottomTemplate'] = () => { };
        popupOptions['container'] = options.dialogContainer;
        if (!DashboardLayoutModeHelper.isMobile) {
            popupOptions.position['boundary'] = options.dialogContainer;
        }
        popupOptions.wrapperAttr = {
            class: (!options.allowScrolling ? dialogClasses.simpleDialog + ' ' : '') + dialogClasses.formWrapper
        };
        let popup = document.createElement('div');
        options.dialogContainer.appendChild(popup);
        that.popupInstance = new (external_DevExpress_ui_dxPopup_default())(popup, popupOptions);
    }
    _renderPopupContent(component) {
        this.options.disposeContent();
        let content = this.options.renderContent(this.controlCreationCallbacks);
        if (this.scrollableContent) {
            this.scrollableContent.innerHTML = '';
            this.scrollableContent.appendChild(content);
            this.controlCreationCallbacks.fire(component);
        }
        else {
            (0,_jquery_helpers/* $unwrap */.I1)(this.popupInstance.content()).appendChild(content);
            this.controlCreationCallbacks.fire(component);
            if (this.options.allowScrolling) {
                this.scrollableContent = _render_helper/* RenderHelper */.p.wrapScrollable((0,_jquery_helpers/* $unwrap */.I1)(this.popupInstance.content()), 'auto', 'both');
            }
        }
    }
    _setLabelsWidth() {
        var that = this, width = 0, maxWidth = 400, minWidth = 100, leftOffset = 10, $div = undefined, $span = undefined, $label = undefined, $labelsContainer = external_jQuery_.fn.constructor('<div/>', {
            'class': 'dx-dashboard-labels-container'
        }).appendTo(external_jQuery_.fn.constructor('.dx-dashboard-container')), $controlContainer, boxWidth = 0;
        external_jQuery_.each((0,_jquery_helpers/* $wrap */.HC)(that.popupInstance.content()).find('.' + dialogClasses.form).children(), function (index, div) {
            $div = external_jQuery_.fn.constructor(div);
            $span = external_jQuery_.fn.constructor('<span/>').append($div.find('.' + dialogClasses.name).text());
            $labelsContainer.append($span).append('<br/>');
            $controlContainer = $div.find('.' + dialogClasses.box);
            boxWidth = Math.max(boxWidth, $controlContainer.outerWidth());
        });
        external_jQuery_.each($labelsContainer.children(), function (index, label) {
            $label = external_jQuery_.fn.constructor(label);
            width = Math.max(width, $label.width());
        });
        width = Math.max(minWidth, Math.min(maxWidth, width)) + leftOffset;
        $labelsContainer.remove();
        external_jQuery_.fn.constructor('.' + dialogClasses.name).css('width', width);
        return width + boxWidth + (0,_utils/* pxToNumber */.jz)(external_jQuery_.fn.constructor('.' + dialogClasses.name).css('margin-right')) + 2 * widgetMargin;
    }
}

;// ./dist/viewer-parts/widgets/dialogs/_custom-time-period-dialog.js








var customTimePeriodDialogClassNames = {
    emptyButton: 'dx-dashboard-custom-time-period-empty-button',
    leftPeriod: 'dx-dashboard-custom-time-period-dialog-left-period',
    rightPeriod: 'dx-dashboard-custom-time-period-dialog-right-period'
};
class customTimePeriodDialog {
    constructor(options) {
        this.options = options;
        this.setRange = options.setRange;
        this._initialize();
    }
    _initialize() {
        this.dialogForm = new dialogForm({
            dialogContainer: this.options.container,
            width: 'auto',
            height: 'auto',
            allowScrolling: true,
            deferredRendering: true,
            title: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SelectRange),
            buttons: [{
                    className: customTimePeriodDialogClassNames.emptyButton
                }, {
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonOK),
                    hide: true,
                    func: () => {
                        this.setRange({ startValue: this.leftCalendar.option('value'), endValue: this.rightCalendar.option('value') });
                    },
                    isDefault: true
                }, {
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel),
                    hide: true,
                    func: () => { }
                }
            ],
            renderContent: () => {
                let form = document.createElement('div');
                form.classList.add(dialogClasses.form);
                let fromText = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.RangeFilterSelectRangeFromCaption);
                let toText = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.RangeFilterSelectRangeToCaption);
                let leftDate = document.createElement('div');
                leftDate.style.width = '100%';
                let rightDate = document.createElement('div');
                rightDate.style.width = '100%';
                let left = document.createElement('div');
                left.classList.add(customTimePeriodDialogClassNames.leftPeriod);
                let right = document.createElement('div');
                right.classList.add(customTimePeriodDialogClassNames.rightPeriod);
                let options = {
                    pickerType: DashboardLayoutModeHelper.isTouch ? 'rollers' : 'calendar',
                    type: this.format,
                    calendarOptions: {
                        maxZoomLevel: this.maxZoomLevel,
                    },
                    displayFormat: this.displayFormatFunc,
                    acceptCustomValue: false,
                    applyButtonText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonOK),
                    cancelButtonText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel),
                    placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.SelectDate),
                    dropDownOptions: {
                        container: this.options.container
                    },
                    disabledDates: this.disabledDates,
                };
                let fromTextSpan = document.createElement('span');
                fromTextSpan.innerText = fromText;
                left.appendChild(fromTextSpan);
                left.appendChild(leftDate);
                this.leftCalendar = new (external_DevExpress_ui_dxDateBox_default())(leftDate, {
                    ...options,
                    value: this.range.minimum || new Date(),
                });
                let toTextSpan = document.createElement('span');
                toTextSpan.innerText = toText;
                right.appendChild(toTextSpan);
                right.appendChild(rightDate);
                this.rightCalendar = new (external_DevExpress_ui_dxDateBox_default())(rightDate, {
                    ...options,
                    value: this.range.maximum || new Date(),
                });
                form.appendChild(left);
                form.appendChild(document.createElement('br'));
                form.appendChild(right);
                return form;
            },
            disposeContent: () => {
                this.leftCalendar && this.leftCalendar.dispose();
                this.rightCalendar && this.rightCalendar.dispose();
            },
            setActualState: (width) => {
            }
        });
    }
    show(options) {
        this.range = options.range;
        if (options.isIntYearGroupInterval && this.range.minimum && this.range.maximum) {
            this.range.minimum = new Date(this.range.minimum, 0, 1);
            this.range.maximum = new Date(this.range.maximum, 0, 1);
        }
        this.format = CalendarHelper.getCalendarType(options.groupInterval);
        this.maxZoomLevel = CalendarHelper.getCalendarMaxZoomLevel(options.groupInterval);
        this.displayFormatFunc = value => {
            if (options.isIntYearGroupInterval)
                value = value.getFullYear();
            return _format_helper/* DashboardFormatHelper */.O6.format(value, options.displayFormat);
        };
        this.disabledDates = options.groupInterval === 'WeekYear' ? (args) => args.date.getDay() !== options.firstDayOfWeek : undefined;
        this.dialogForm.showDialog();
    }
    dispose() {
        this.leftCalendar?.dispose();
        this.rightCalendar?.dispose();
        this.dialogForm?.dispose();
    }
}

// EXTERNAL MODULE: ./dist/viewer-parts/viewer-items/range-selector-item/_range-filter-selection-validator.js
var _range_filter_selection_validator = __webpack_require__(9667);
;// ./dist/viewer-parts/viewer-items/range-selector-item/_range-selector-item.js















var DayIntervalWidthInPixels = 25, MonthIntervalWidthInPixels = 40, QuarterIntervalWidthInPixels = 20;
class rangeSelectorItem extends baseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    get _isBottomFloatingToolbarPosition() {
        return true;
    }
    constructor(container, options) {
        super(container, options);
        this.itemElementCustomColor = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.timePeriodMenuSelectedIndex = undefined;
    }
    _getCustomTimePeriodDialog() {
        if (!this._customTimePeriodDialog) {
            this._customTimePeriodDialog = new customTimePeriodDialog({
                container: (0,_jquery_helpers/* closest */.kp)(this.container, '.' + cssClasses.dashboardContainer),
                setRange: (range) => {
                    this.selected.fire(this.getName(), _common/* viewerActions */.qH.setMasterFilter, [[range.startValue, range.endValue]]);
                }
            });
        }
        return this._customTimePeriodDialog;
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (this._dataController) {
            this._dataController.elementCustomColor = this._elementCustomColor.bind(this);
        }
    }
    _clearSelectionUnsafe() {
        this._setRange([]);
    }
    _clearSelectionBase() {
        this.timePeriodMenuSelectedIndex = undefined;
    }
    _setSelectionUnsafe(values) {
        this._setRange(values && values.length > 0 ? values[0] : []);
    }
    _getCurrentRange() {
        var value = this._getSelectedValues();
        let startValue, endValue;
        if (value && value !== null) {
            startValue = value[0];
            endValue = value[1];
        }
        if (!_utils/* type */.NW.isDefined(startValue) || !_utils/* type */.NW.isDefined(endValue)) {
            let entireRange = this._getEntireRange();
            if (!_utils/* type */.NW.isDefined(startValue))
                startValue = entireRange.startValue;
            if (!_utils/* type */.NW.isDefined(endValue))
                endValue = entireRange.endValue;
        }
        return new rangeFilterSelection({ startValue, endValue });
    }
    getEntireRange() {
        return new rangeFilterSelection(this._getEntireRange());
    }
    dispose() {
        super.dispose();
        if (this._customTimePeriodDialog) {
            this._customTimePeriodDialog.dispose();
            this._customTimePeriodDialog = null;
        }
        if (this.rangeSelectorViewer) {
            this.rangeSelectorViewer.dispose();
            this.rangeSelectorViewer = null;
        }
        if (this.itemElementCustomColor) {
            this.itemElementCustomColor.empty();
            this.itemElementCustomColor = null;
        }
        if (this._dataController) {
            this._dataController.elementCustomColor = null;
        }
    }
    _setRange(range) {
        this._setSelectedValues([range]);
        if (this.hasWidget) {
            this._lock();
            this.rangeSelectorViewer.setValue(range);
            this._unlock();
        }
        else {
            this.selected.fire(this.getName(), _common/* viewerActions */.qH.setMasterFilter, [range]);
        }
    }
    _setPredefinedRange(dateTimePeriodName) {
        let dateTimePeriods = this.options.ViewModel.DateTimePeriods;
        let period = dateTimePeriods.filter(dateTimePeriod => dateTimePeriod.Name === dateTimePeriodName)[0];
        this.timePeriodMenuSelectedIndex = !!period ? dateTimePeriods.indexOf(period) : undefined;
        this.updateCaptionToolbar();
    }
    _getAvailablePredefinedRanges() {
        return this.options.ViewModel.DateTimePeriods.map(period => period.Name);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var that = this, options = this._getRangeSelectorViewerOptions();
        var isFirstInitialization = !changeExisting || !that.rangeSelectorViewer;
        this._lock();
        this._raiseItemWidgetOptionsPrepared(options);
        try {
            if (isFirstInitialization) {
                this.rangeSelectorViewer = this._createTestableWidget(element, options);
            }
            else {
                this.rangeSelectorViewer.option(options);
            }
        }
        finally {
            this._unlock();
        }
        this.timePeriodMenuSelectedIndex = this.options.ViewModel.SelectedPeriodIndex;
        return false;
    }
    _createTestableWidget(element, options) {
        return new (external_DevExpress_viz_dxRangeSelector_default())(element, options);
    }
    _isBorderRequired() {
        return false;
    }
    _getContainerPositionUnsafe() {
        var position = super._getContainerPositionUnsafe(), buttonOffset = this._getButtonOffset(true);
        position.offsetY = position.height - buttonOffset.top;
        return position;
    }
    _getFirstDayOfWeek() {
        var rangeDataController = this.dataController;
        var argumentFormat = rangeDataController.getArgumentFormat();
        return argumentFormat ? argumentFormat.firstDayOfWeek : null;
    }
    _getRangeSelectorViewerOptions() {
        var that = this;
        let rangeDataController = that.dataController;
        var viewModel = that.options.ViewModel, argument = viewModel.Argument, scaleType = rangeSelectorItem._getScaleType(argument), seriesTemplates = viewModel.SeriesTemplates, selectedValues = this._getSelectedValues(), dataSourceAndSeries = rangeDataController.getDataSourceAndSeries(that._isEncodeHtml()), tickMarkInterval = undefined, animation = that._getAnimationOptions(), options = {
            scale: {
                axisDivisionFactor: null,
                type: null,
                marker: {
                    visible: false
                }
            },
            encodeHtml: that._isEncodeHtml(),
            margin: {
                top: 10,
                bottom: 15
            }
        };
        if (scaleType !== 'discrete') {
            let entireRange = this._getEntireRangeByDataSource(dataSourceAndSeries.dataSource);
            options.scale.startValue = entireRange.startValue;
            options.scale.endValue = entireRange.endValue;
        }
        else {
            options.scale.startValue = null;
            options.scale.endValue = null;
        }
        if (!this._isValidValues(selectedValues)) {
            options.value = [selectedValues[0], selectedValues[1]];
        }
        var argumentFormat = rangeDataController.getArgumentFormat();
        options.scale.label = {
            format: (value) => _format_helper/* DashboardFormatHelper */.O6.format(value, argumentFormat)
        };
        options.scale.valueType = argument.Type == 'DateTime' ? 'datetime' : 'numeric';
        options.sliderMarker = {
            format: (value) => _format_helper/* DashboardFormatHelper */.O6.format(value, argumentFormat)
        };
        let dataSource = dataSourceAndSeries.dataSource;
        options.scale.type = scaleType;
        if (argument) {
            if ((argument.DateTimeGroupInterval === 'Year' && argument.Type === 'DateTime') ||
                !argument.IsContinuousDateTimeScale) {
                tickMarkInterval = rangeDataController.isDiscreteArgument() || argument.Type == 'Integer' ? 1 : _chart_helper/* chartHelper */.v.convertPresentationUnit(argument);
                if (tickMarkInterval) {
                    var firstDayOfWeek = this._getFirstDayOfWeek();
                    if (tickMarkInterval === 'week') {
                        if (Number.isInteger(firstDayOfWeek)) {
                            options.scale.workWeek = [firstDayOfWeek];
                        }
                        else {
                            throw new Error('First Day Of Week is not defined for range filter agrument');
                        }
                    }
                    options.scale.minorTick = {
                        visible: false
                    };
                    options.behavior = {
                        snapToTicks: true,
                        animationEnabled: animation.enabled
                    };
                    options.scale.minRange = tickMarkInterval;
                    if (scaleType === 'semidiscrete') {
                        options.scale.axisDivisionFactor = {
                            day: DayIntervalWidthInPixels,
                            month: MonthIntervalWidthInPixels,
                            quarter: QuarterIntervalWidthInPixels
                        };
                    }
                }
            }
            else {
                options.behavior = {
                    snapToTicks: false,
                    animationEnabled: animation.enabled
                };
            }
        }
        options.dataSource = dataSource;
        let chartSeries = dataSourceAndSeries.series;
        if (scaleType === 'discrete') {
            chartSeries.forEach(series => {
                series.ignoreEmptyPoints = true;
            });
        }
        options.chart = {
            series: chartSeries,
            commonSeriesSettings: {
                type: seriesTemplates && seriesTemplates.length > 0 ? (_chart_helper/* chartHelper */.v.convertSeriesType(seriesTemplates[0].SeriesType)) : null
            },
            palette: _render_helper/* RenderHelper */.p.getDefaultPalette()
        };
        options.onValueChanged = that._getSelectedRangeChangedHandler();
        return options;
    }
    _getEntireRange() {
        let rangeDataController = this.dataController;
        let dataSourceAndSeries = rangeDataController.getDataSourceAndSeries(this._isEncodeHtml());
        return this._getEntireRangeByDataSource(dataSourceAndSeries.dataSource);
    }
    _getEntireRangeByDataSource(dataSource) {
        let range;
        let lastDataItemIndex = dataSource ? (0,_utils/* findLastIndex */.Kl)(dataSource, item => this._checkAxisXValue(item.x)) : -1;
        if (lastDataItemIndex > 0) {
            let firstDataItemIndex = (0,_utils/* findIndex */.SL)(dataSource, item => this._checkAxisXValue(item.x));
            let isQualitativeArgument = this.dataController.isQualitativeArgument();
            range = {
                startValue: isQualitativeArgument ? firstDataItemIndex : dataSource[firstDataItemIndex].x,
                endValue: isQualitativeArgument ? lastDataItemIndex : dataSource[lastDataItemIndex].x
            };
        }
        else {
            range = {
                startValue: null,
                endValue: null
            };
        }
        return range;
    }
    _checkAxisXValue(value) {
        return _utils/* type */.NW.isDefined(value) && Object.keys(special_values/* specialValues */.A).filter(specialValueName => special_values/* specialValues */.A[specialValueName] === value).length === 0;
    }
    _getSelectedValues() {
        let allSelectedValues = super._getSelectedValues();
        return allSelectedValues ? allSelectedValues[0] : null;
    }
    _isValidValues(values) {
        if (values && values.length) {
            var startValue = values[0], endValue = values[1];
            if (_range_filter_selection_validator/* RangeFilterSelectionValidator */.A.isValidValue(startValue) && _range_filter_selection_validator/* RangeFilterSelectionValidator */.A.isValidValue(endValue))
                return false;
        }
        return true;
    }
    _getSliderMarkerFormat() {
        return this._dataController.isSingleArgument() ? this._dataController.getSingleArgumentDimensionFormat() : undefined;
    }
    static _getScaleType(argument) {
        if (argument) {
            let dateTimeGroupInterval = argument.DateTimeGroupInterval;
            switch (argument.Type) {
                case 'String':
                    let groupIntervalScaleType = rangeSelectorItem._getStringScaleTypeByGroupInterval(dateTimeGroupInterval);
                    return _utils/* type */.NW.isDefined(groupIntervalScaleType) ? groupIntervalScaleType : 'discrete';
                case 'Integer':
                    return 'semidiscrete';
                case 'DateTime':
                    return rangeSelectorItem._getDateTimeScaleType(dateTimeGroupInterval);
                default:
                    return null;
            }
        }
    }
    static _getStringScaleTypeByGroupInterval(dateTimeGroupInterval) {
        switch (dateTimeGroupInterval) {
            case 'Year':
            case 'Quarter':
            case 'Month':
            case 'Day':
            case 'Hour':
            case 'Minute':
            case 'Second':
            case 'DayOfYear':
            case 'DayOfWeek':
            case 'WeekOfYear':
            case 'WeekOfMonth':
                return 'semidiscrete';
        }
        return undefined;
    }
    static _getDateTimeScaleType(dateTimeGroupInterval) {
        switch (dateTimeGroupInterval) {
            case 'Year':
            case 'QuarterYear':
            case 'MonthYear':
            case 'WeekYear':
            case 'DayMonthYear':
                return 'semidiscrete';
        }
        return null;
    }
    _getSelectedRangeChangedHandler() {
        var that = this;
        return function (e) {
            if (!that._isLocked()) {
                that.selected.fire(that.getName(), _common/* viewerActions */.qH.setMasterFilter, [e.value]);
            }
        };
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        if ((0,_jquery_helpers/* isVisible */.zN)(this.container)) {
            this.rangeSelectorViewer.render();
        }
    }
    _getWidget() {
        return this.rangeSelectorViewer;
    }
    _elementCustomColor(eventArgs) {
        this.itemElementCustomColor.fire(this.getName(), eventArgs);
    }
    _hasTimePeriods() {
        return true;
    }
    _isDateTimePeriodSupported() {
        return this.options.ViewModel.SupportDateTimePeriods;
    }
    _getSpecificActionToolbarItems() {
        if (this.options.ViewModel.SupportDateTimePeriods) {
            if (this.options.ViewModel.DateTimePeriods.length > 0) {
                let dateTimePeriodNames = this.options.ViewModel.DateTimePeriods.map(period => (period.Name));
                dateTimePeriodNames.push(_localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.CustomPeriod));
                return [{
                        menu: {
                            name: dashboardToolbarItemNames.dateTimePeriodMenu,
                            items: dateTimePeriodNames,
                            selectedItems: this.timePeriodMenuSelectedIndex !== undefined ? [dateTimePeriodNames[this.timePeriodMenuSelectedIndex]] : [],
                            selectionMode: 'multiple',
                            itemClick: (itemData, itemElement, index) => {
                                var viewModel = this.options.ViewModel, dateTimePeriods = viewModel.DateTimePeriods;
                                if (index >= 0 && index < dateTimePeriods.length) {
                                    if (this.timePeriodMenuSelectedIndex !== index) {
                                        this._raisePredefinedPeriodSelected(index);
                                    }
                                }
                                else {
                                    this._showCustomTimePeriodDialog();
                                }
                            },
                            type: 'list'
                        },
                        icon: cssClasses.iconTimePeriods,
                        type: 'menu',
                        hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.AddTimePeriod),
                    }];
            }
            else {
                return [{
                        name: dashboardToolbarItemNames.customDateTimePeriod,
                        icon: cssClasses.iconTimePeriods,
                        type: 'button',
                        hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.AddTimePeriod),
                        click: (element) => {
                            this._showCustomTimePeriodDialog();
                        }
                    }];
            }
        }
        else
            return [];
    }
    _raisePredefinedPeriodSelected(index) {
        let name = this.options.ViewModel.DateTimePeriods[index].Name;
        this.predefinedRangeChanged && this.predefinedRangeChanged(name);
    }
    _showCustomTimePeriodDialog() {
        this._getCustomTimePeriodDialog().show({
            range: this._getCurrentRange(),
            groupInterval: this.options.ViewModel.Argument.DateTimeGroupInterval,
            isIntYearGroupInterval: this._isIntYearGroupInterval(),
            firstDayOfWeek: this._getFirstDayOfWeek(),
            displayFormat: this._getSliderMarkerFormat()
        });
    }
    _isIntYearGroupInterval() {
        var viewModel = this.options.ViewModel, argument = viewModel.Argument;
        return argument && argument.DateTimeGroupInterval === 'Year' && argument.Type !== 'DateTime';
    }
}
class rangeFilterSelection {
    constructor(range) {
        this.setMinimum(range.startValue);
        this.setMaximum(range.endValue);
    }
    getMaximum() {
        return this.maximum;
    }
    setMaximum(value) {
        this.maximum = value;
    }
    getMinimum() {
        return this.minimum;
    }
    setMinimum(value) {
        this.minimum = value;
    }
}

;// ./dist/viewer-parts/viewer-items/_image-item.js



var BASE64_STRING_PREFIX = 'data:image/png;base64,';
class imageItem extends baseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
    }
    dispose() {
        super.dispose();
        if (this.img) {
            this.img.off('load');
            this.img.remove();
            this.img = null;
        }
        this.imgSrc = null;
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        this.imgSrc = this._getImageSource(this.options.ViewModel ? this.options.ViewModel.ImageViewModel : undefined);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var that = this;
        if (!changeExisting || !that.img) {
            that.img = external_jQuery_.fn.constructor('<img>').bind('load', function () {
                that._loadImage();
            });
            external_jQuery_.fn.constructor(element).append(that.img);
        }
        that.img.attr('src', that.imgSrc);
        return false;
    }
    _loadImage() {
        this._clearImgTag();
        this._initialWidth = this.img.width();
        this._initialHeight = this.img.height();
        this._loadedImgProcessing();
    }
    _clearImgTag() {
        var that = this, $contentRoot = external_jQuery_.fn.constructor(that.contentRoot), $img = $contentRoot.find('img');
        $contentRoot.css({ overflow: '' });
        $img.removeAttr('style');
        $img.removeAttr('align');
    }
    _loadedImgProcessing() {
        var that = this, $contentRoot = external_jQuery_.fn.constructor(that.contentRoot), containerWidth = $contentRoot.width(), containerHeight = $contentRoot.height(), img = $contentRoot.find('img'), viewModel = that.options.ViewModel, sizeMode = viewModel.SizeMode, horizontalAlignment = viewModel.HorizontalAlignment || 'Right', verticalAlignment = viewModel.VerticalAlignment || 'Top', centeringDirect, curImgHeight, curImgWidth;
        switch (sizeMode) {
            case 'Clip':
                $contentRoot.css({ overflow: 'hidden' });
                that._setHorizontalAlignment(img, horizontalAlignment);
                that._setVerticalAlignment(img, verticalAlignment);
                break;
            case 'Stretch':
                img.css({ width: '100%', height: '100%' });
                break;
            case 'Squeeze': {
                curImgHeight = img.height();
                curImgWidth = img.width();
                if ((curImgHeight >= containerHeight && curImgHeight <= that._initialHeight) || (curImgWidth >= containerWidth && curImgWidth <= that._initialWidth)) {
                    centeringDirect = that._setImgSizeWithProportions(img, containerHeight / containerWidth);
                    img.css({ marginTop: 0, marginLeft: 0 });
                }
                else {
                    img.css({
                        width: '',
                        height: ''
                    });
                    that._setHorizontalAlignment(img, horizontalAlignment);
                    that._setVerticalAlignment(img, verticalAlignment);
                }
                break;
            }
            case 'Zoom': {
                centeringDirect = that._setImgSizeWithProportions(img, containerHeight / containerWidth);
                break;
            }
            default: break;
        }
        if (centeringDirect === 'horizontalCentering') {
            that._setHorizontalAlignment(img, horizontalAlignment);
        }
        if (centeringDirect === 'verticalCentering') {
            that._setVerticalAlignment(img, verticalAlignment);
        }
    }
    _setHorizontalAlignment($img, horizontalAlignment) {
        if (horizontalAlignment === 'Center') {
            $img.css({ marginLeft: (external_jQuery_.fn.constructor(this.contentRoot).width() - $img.width()) / 2 });
            return;
        }
        $img.attr('align', horizontalAlignment.toLowerCase());
    }
    _setVerticalAlignment($img, verticalAlignment) {
        var verticalOffsetCoeff, differenceTop = external_jQuery_.fn.constructor(this.contentRoot).height() - $img.height();
        switch (verticalAlignment) {
            case 'Bottom':
                verticalOffsetCoeff = 1;
                break;
            case 'Center':
                verticalOffsetCoeff = 0.5;
                break;
            case 'Top':
                verticalOffsetCoeff = 0;
                break;
        }
        $img.css({ marginTop: Math.floor(differenceTop * verticalOffsetCoeff) + 'px' });
    }
    _setImgSizeWithProportions($img, containerProportion) {
        var imgProportion = this._initialHeight / this._initialWidth;
        if (imgProportion > containerProportion) {
            $img.height('100%');
            $img.width(Math.floor($img.height() / imgProportion));
            return 'horizontalCentering';
        }
        else {
            $img.width('100%');
            $img.height(Math.floor($img.width() * imgProportion));
            return 'verticalCentering';
        }
    }
    _getImageSource(imageViewModel) {
        if (imageViewModel) {
            var url = imageViewModel.Url, sourceBase64String = imageViewModel.SourceBase64String, mimeType = imageViewModel.MimeType || '';
            if (sourceBase64String) {
                return 'data:' + mimeType + ';base64,' + sourceBase64String;
            }
            if (url) {
                return url;
            }
        }
        return '';
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        this._loadImage();
    }
    _getWidget() {
        return this.img && (0,_jquery_helpers/* wrapPublicElement */.i)(this.img[0]) || null;
    }
}

;// ./dist/viewer-parts/viewer-items/_bound-image-item.js

var _bound_image_item_BASE64_STRING_PREFIX = 'data:image/png;base64,';
class boundImageItem extends imageItem {
    constructor(container, options) {
        super(container, options);
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        var viewModel = this.options.ViewModel, value = this.dataController ? this._dataController.getImageData() : undefined;
        if (viewModel) {
            if (viewModel.DataBindingMode === 'Uri' && viewModel.UriPattern)
                value = viewModel.UriPattern.replace('{0}', value);
            else
                value = _bound_image_item_BASE64_STRING_PREFIX + (value || viewModel.DefaultImageBase64String);
        }
        this.imgSrc = value || this._getImageSource(viewModel ? viewModel.ImageViewModel : undefined);
    }
}

;// ./dist/viewer-parts/viewer-items/_map-item.js









var projection = (function () {
    var parameters = external_DevExpress_viz_map_namespaceObject.projection.get('mercator').source(), _to = parameters.to, _from = parameters.from;
    parameters.to = function (coordinates) {
        var coords = _to(coordinates);
        return [clamp(coords[0], -1, +1), coords[1]];
    };
    parameters.from = function (coordinates) {
        var coords = [clamp(coordinates[0], -1, +1), coordinates[1]];
        return _from(coords);
    };
    return (0,external_DevExpress_viz_map_namespaceObject.projection)(parameters);
    function clamp(value, min, max) {
        return Math.min(Math.max(value, min), max);
    }
}());
class mapItem extends baseItem {
    constructor($container, options) {
        super($container, options);
        this.isInitialExtentChanged = false;
        this.isViewportLocked = false;
    }
    dispose() {
        super.dispose();
        if (this.mapViewer) {
            this._unsubscribeItemEvents();
            this.mapViewer.dispose();
            this.mapViewer = null;
        }
        this.clientState = null;
        this.initialExtentChanged = null;
        this.previousViewportViewModel = null;
        this.viewportChangedCallback = null;
    }
    _renderContentInternal(element, changeExisting, options) {
        this._raiseItemWidgetOptionsPrepared(options);
        if (changeExisting && this.mapViewer) {
            this._unsubscribeItemEvents();
            this.mapViewer.option(options);
            if (this._shouldResetClientViewport(this.options.ViewModel.Viewport)) {
                this.resetClientViewport();
            }
        }
        else {
            if (this.mapViewer)
                this.mapViewer.dispose();
            this.mapViewer = new (external_DevExpress_viz_dxVectorMap_default())(element, options);
        }
        this._updatePreviousViewport(this.options.ViewModel.Viewport);
        this._subscribeItemEvents();
    }
    resetClientViewport() {
        this.clientState = null;
        this._onClientStateUpdate(this._getClientContext());
    }
    _shouldResetClientViewport(viewportViewModel) {
        if (this.previousViewportViewModel) {
            var viewportChanged = !this._viewportEquals(this.previousViewportViewModel, viewportViewModel) || this.previousViewportViewModel.CreateViewerPaddings !== viewportViewModel.CreateViewerPaddings;
            if (viewportChanged && this.clientState && this._viewportEquals(this.clientState.clusterizationInfo.viewport, viewportViewModel) && !viewportViewModel.CreateViewerPaddings)
                return false;
            return viewportChanged;
        }
        return false;
    }
    _viewportEquals(viewport1, viewport2) {
        return viewport1.RightLongitude === viewport2.RightLongitude && viewport1.LeftLongitude === viewport2.LeftLongitude
            && viewport1.BottomLatitude === viewport2.BottomLatitude && viewport1.TopLatitude === viewport2.TopLatitude
            && viewport1.CenterPointLongitude === viewport2.CenterPointLongitude && viewport1.CenterPointLatitude === viewport2.CenterPointLatitude;
    }
    _updatePreviousViewport(viewport) {
        this.previousViewportViewModel = {
            RightLongitude: viewport.RightLongitude,
            LeftLongitude: viewport.LeftLongitude,
            BottomLatitude: viewport.BottomLatitude,
            TopLatitude: viewport.TopLatitude,
            CenterPointLongitude: viewport.CenterPointLongitude,
            CenterPointLatitude: viewport.CenterPointLatitude,
            CreateViewerPaddings: viewport.CreateViewerPaddings
        };
    }
    _clearSelectionUnsafe() {
        this.mapViewer.clearSelection();
    }
    getInfoUnsafe() {
        return (0,_jquery_helpers/* deepExtend */.zw)(super.getInfoUnsafe(), {
            viewport: this._getViewport()
        });
    }
    _getSpecificStatePanelItems() {
        if (!this.isViewportLocked && this.isInitialExtentChanged) {
            return [{
                    name: dashboardToolbarItemNames.initialExtent,
                    click: (element) => {
                        this._toggleInitialExtentChanged(false);
                    },
                    icon: cssClasses.iconInitialExtent,
                    type: 'button',
                    hint: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.InitialExtent)
                }];
        }
        else
            return [];
    }
    _getMapViewerOptions() {
        var that = this, viewModel = that.options.ViewModel;
        return {
            projection: projection,
            encodeHtml: that._isEncodeHtml(),
            background: { borderWidth: 0, borderColor: 'none' },
            controlBar: { enabled: false },
            zoomFactor: that._calculateZoomFactor(viewModel.Viewport, (0,_jquery_helpers/* getWidth */.RG)(that.contentRoot), (0,_jquery_helpers/* getHeight */.Oq)(that.contentRoot)),
            maxZoomFactor: 1 << 18,
            center: [viewModel.Viewport.CenterPointLongitude, viewModel.Viewport.CenterPointLatitude],
            panningEnabled: !this.isViewportLocked,
            zoomingEnabled: !this.isViewportLocked
        };
    }
    _getLabelSettings(viewModel) {
        return {
            label: {
                enabled: !!viewModel.ShapeTitleAttributeName || viewModel.IncludeSummaryValueToShapeTitle,
                dataField: 'title'
            }
        };
    }
    _calculateZoomFactor(viewport, width, height) {
        var min = width < height ? width : height, mapWidth = this._translateLon(viewport.RightLongitude, min) - this._translateLon(viewport.LeftLongitude, min), mapHeight = this._translateLat(viewport.BottomLatitude, min) - this._translateLat(viewport.TopLatitude, min), latitudeZoom = width / mapWidth, longitudeZoom = height / mapHeight, zoom = latitudeZoom < longitudeZoom ? latitudeZoom : longitudeZoom;
        if (viewport.CreateViewerPaddings) {
            zoom *= 0.95;
        }
        return zoom;
    }
    _translateLon(lon, size) {
        var lon_ = lon * Math.PI / 180;
        return (size / 2) + (size / (2 * Math.PI)) * lon_;
    }
    _translateLat(lat, size) {
        var lat_ = lat * Math.PI / 180;
        return (size / 2) - (size / (2 * Math.PI)) * Math.log(Math.tan(Math.PI / 4 + lat_ / 2));
    }
    _getMapDataSource(mapItems, titleName) {
        var mapDataSource = [], data, type, points, boundary, point, segments, segmentData, pushAction;
        for (var i = 0; i < mapItems.length; i++) {
            data = [];
            type = 'area';
            if (mapItems[i].Latitude && mapItems[i].Longitude && mapItems[i].Size) {
                data.push([mapItems[i].Longitude, mapItems[i].Latitude]);
            }
            if (mapItems[i].Segments) {
                segments = mapItems[i].Segments;
                for (var j = 0; j < segments.length; j++) {
                    pushAction = function (row) {
                        if (segments[j].IsClosed && row.length > 1) {
                            var first = row[0], last = row[row.length - 1];
                            if (first[0] != last[0] || first[1] != last[1])
                                row.push(first);
                        }
                        data.push(row);
                    };
                    if (!segments[j].IsFilled)
                        type = 'line';
                    points = segments[j].Points;
                    segmentData = [];
                    for (var k = 0; k < points.length; k++) {
                        segmentData.push([points[k].Longitude, points[k].Latitude]);
                    }
                    pushAction(segmentData);
                    for (var l = 0; l < segments[j].Boundaries.length; l++) {
                        segmentData = [];
                        boundary = segments[j].Boundaries[l];
                        for (var m = 0; m < boundary.Points.length; m++) {
                            point = boundary.Points[m];
                            segmentData.push([point.Longitude, point.Latitude]);
                        }
                        pushAction(segmentData);
                    }
                }
            }
            mapDataSource.push({
                coordinates: data,
                type: type,
                attributes: {}
            });
            for (var j = 0; j < mapItems[i].Attributes.length; j++) {
                if (mapItems[i].Attributes[j].Name === titleName) {
                    mapDataSource[i].attributes.title = mapItems[i].Attributes[j].Value;
                    break;
                }
            }
        }
        return mapDataSource;
    }
    _configureGeometryLayers(mapDataSource, areaSettings) {
        var areaDataSource = [], lineDataSource = [], layers = [];
        for (var i = 0; i < mapDataSource.length; i++) {
            if (mapDataSource[i].type === 'line')
                lineDataSource.push(mapDataSource[i]);
            else
                areaDataSource.push(mapDataSource[i]);
        }
        layers.push({ name: 'area', type: 'area', dataSource: areaDataSource, ...areaSettings });
        if (lineDataSource.length > 0)
            layers.push({ name: 'line', type: 'line', dataSource: lineDataSource });
        return layers;
    }
    _getLegend(legendModel) {
        var legend = legendModel && !!legendModel.Visible ? {} : undefined;
        if (legend) {
            this._updateLegendPosition(legend, legendModel);
        }
        return legend;
    }
    _updateLegendPosition(legend, legendModel) {
        switch (legendModel.Orientation) {
            case 'Vertical':
                legend.orientation = 'vertical';
                legend.inverted = true;
                break;
            case 'Horizontal':
                legend.orientation = 'horizontal';
                break;
            default:
                break;
        }
        switch (legendModel.Position) {
            case 'TopLeft':
                legend.verticalAlignment = 'top';
                legend.horizontalAlignment = 'left';
                break;
            case 'TopCenter':
                legend.verticalAlignment = 'top';
                legend.horizontalAlignment = 'center';
                break;
            case 'TopRight':
                legend.verticalAlignment = 'top';
                legend.horizontalAlignment = 'right';
                break;
            case 'BottomLeft':
                legend.verticalAlignment = 'bottom';
                legend.horizontalAlignment = 'left';
                break;
            case 'BottomCenter':
                legend.verticalAlignment = 'bottom';
                legend.horizontalAlignment = 'center';
                break;
            case 'BottomRight':
                legend.verticalAlignment = 'bottom';
                legend.horizontalAlignment = 'right';
                break;
            default:
                break;
        }
    }
    _isSelected(current) {
        var selectedValues = this._getSelectedValues(), selected = false, equals;
        if (selectedValues && selectedValues.length > 0 && selectedValues[0].length === current.length) {
            for (var i = 0; i < selectedValues.length; i++) {
                equals = true;
                for (var j = 0; j < current.length; j++) {
                    if (selectedValues[i][j] !== current[j]) {
                        equals = false;
                        break;
                    }
                }
                if (equals) {
                    selected = true;
                    break;
                }
            }
        }
        return selected;
    }
    _getToolTip(name, value) {
        return (0,external_DevExpress_utils_string_.format)('{0}: {1}', this._getHtml(name), this._getHtml(value));
    }
    _getColors(colorModels) {
        var colors;
        if (colorModels) {
            colors = [];
            for (var i = 0; i < colorModels.length; i++) {
                colors.push('rgb(' + colorModels[i].R + ', ' + colorModels[i].G + ', ' + colorModels[i].B + ')');
            }
            return colors;
        }
    }
    _updateRangeStops(rangeStops, min, max, percent) {
        var res = [];
        for (var i = 0; i < rangeStops.length; i++) {
            res.push(rangeStops[i]);
        }
        if (percent) {
            this._updatePercentRangeStops(res, min, max);
        }
        if (res.length > 0 && res[0] > min) {
            res[0] = min;
        }
        if (res[res.length - 1] < max) {
            res.push(max);
        }
        else {
            res.push(res[res.length - 1] + 1);
        }
        return res;
    }
    _updatePercentRangeStops(rangeStops, min, max) {
        for (var i = 0; i < rangeStops.length; i++) {
            rangeStops[i] = min + (rangeStops[i] / 100) * (max - min);
        }
    }
    _getViewport() {
        var topLeft = this.mapViewer.convertCoordinates(0, 0), bottomRight = this.mapViewer.convertCoordinates((0,_jquery_helpers/* getWidth */.RG)(this.contentRoot), (0,_jquery_helpers/* getHeight */.Oq)(this.contentRoot)), viewport = this.mapViewer.viewport(), center = this.mapViewer.center();
        return {
            LeftLongitude: !!topLeft[0] ? topLeft[0] : viewport[0],
            TopLatitude: !!topLeft[1] ? topLeft[1] : viewport[1],
            RightLongitude: !!bottomRight[0] ? bottomRight[0] : viewport[2],
            BottomLatitude: !!bottomRight[1] ? bottomRight[1] : viewport[3],
            CenterPointLongitude: center[0],
            CenterPointLatitude: center[1]
        };
    }
    _getClientContext() {
        return {
            clusterizationInfo: this._getClusterizationInfo(),
            widgetState: this._getWidgetState()
        };
    }
    _getClusterizationInfo() {
        return {
            viewport: this._getViewport(),
            clientSize: {
                width: (0,_jquery_helpers/* getWidth */.RG)(this.contentRoot),
                height: (0,_jquery_helpers/* getHeight */.Oq)(this.contentRoot)
            }
        };
    }
    _getWidgetState() {
        return this.mapViewer && {
            zoomFactor: this.mapViewer.zoomFactor(),
            center: this.mapViewer.center()
        };
    }
    _updateClientStateUnsafe(clientState) {
        this._updateWidgetState(clientState.widgetState);
    }
    _updateViewport(viewport) {
        this._updateWidgetState({
            zoomFactor: this._calculateZoomFactor(viewport, (0,_jquery_helpers/* getWidth */.RG)(this.contentRoot), (0,_jquery_helpers/* getHeight */.Oq)(this.contentRoot)),
            center: [viewport.CenterPointLongitude, viewport.CenterPointLatitude]
        });
    }
    _updateWidgetState(widgetState) {
        this._lock();
        try {
            this.mapViewer.zoomFactor(widgetState.zoomFactor);
            this.mapViewer.center(widgetState.center);
        }
        finally {
            this._unlock();
        }
    }
    _updateContentSizeUnsafe() {
        super._updateContentSizeUnsafe();
        if (!!this.mapViewer) {
            if (this.clientState)
                this._updateWidgetState(this.clientState.widgetState);
            else
                this._updateViewport(this.options.ViewModel.Viewport);
            this.mapViewer.render();
            this._onClientStateUpdate(this._getClientContext());
        }
    }
    _onViewPortChanged() {
        if (!this._isLocked()) {
            this.clientState = this._getClientContext();
            this.viewportChangedCallback && this.viewportChangedCallback(this.clientState.clusterizationInfo.viewport);
            this._onClientStateUpdate(this.clientState);
            this._toggleInitialExtentChanged(true);
        }
    }
    onInitialExtent(newViewport) {
        if (this.hasWidget) {
            this._onInitialExtentUnsafe(newViewport);
        }
        else {
            this._onInitialExtentBase(newViewport);
        }
    }
    _onInitialExtentUnsafe(newViewport) {
        this._updateViewport(newViewport || this.options.ViewModel.Viewport);
        this.clientState = null;
        this._onClientStateUpdate(this._getClientContext());
    }
    _onInitialExtentBase(newViewport) {
        this.clientState = null;
    }
    _getWidget() {
        return this.mapViewer;
    }
    _subscribeItemEvents() {
        var that = this;
        this.mapViewer.option('onCenterChanged', function () { that._onViewPortChanged(); });
        this.mapViewer.option('onZoomFactorChanged', function () { that._onViewPortChanged(); });
    }
    _unsubscribeItemEvents() {
        this.mapViewer.option('onCenterChanged', null);
        this.mapViewer.option('onZoomFactorChanged', null);
    }
    _toggleInitialExtentChanged(changed) {
        if (this.isInitialExtentChanged != changed) {
            this.isInitialExtentChanged = changed;
            this.initialExtentChanged && this.initialExtentChanged(this.isInitialExtentChanged);
        }
    }
}

;// ./dist/viewer-parts/viewer-items/_geo-point-map-item-base.js





class geoPointMapItemBase extends mapItem {
    constructor(container, options) {
        super(container, options);
        var that = this;
        that.raiseTimerClusterizationDataRequest = function () {
            var clientState = that._getClusterizationInfo();
            if (clientState.clientSize.width > 0 && clientState.clientSize.height > 0) {
                that._onDataRequest();
            }
            clearTimeout(that.timer);
            that.timer = false;
        };
    }
    initialDataRequestUnsafe() {
        this._raiseClusterizationDataRequest();
    }
    selectTupleUnsafe(tuple, state) {
        var that = this;
        that._getMarkerLayers().forEach(layer => {
            layer.getElements().forEach(item => {
                if (item.attribute('latSelection') == tuple[0].value[0] && item.attribute('lonSelection') == tuple[0].value[1]) {
                    item.selected(state);
                }
            });
        });
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.clearSelection();
        if (values && values.length > 0) {
            this._getMarkerLayers().forEach(layer => {
                layer.getElements().forEach(item => {
                    values.forEach((value, i) => {
                        if (item.attribute('latSelection') == value[0] && item.attribute('lonSelection') == value[1]) {
                            item.selected(true);
                        }
                    });
                });
            });
        }
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var options = (0,_jquery_helpers/* deepExtend */.zw)(this._getMapViewerOptions(), this._getGeoPointMapViewerOptions());
        this._renderContentInternal(element, changeExisting, options);
        return false;
    }
    renderPartialContentUnsafe() {
        var viewModel = this.options.ViewModel;
        this._updateMarkerLayers(viewModel);
    }
    resetClientViewport() {
        super.resetClientViewport();
        this._raiseClusterizationDataRequest();
    }
    updateContentStateUnsafe() {
        var that = this, layers = that.mapViewer.option('layers');
        layers.forEach(layer => {
            if (layer.type === 'marker')
                layer.hoverEnabled = that._getCustomHoverEnabled();
        });
        this.mapViewer.option('layers', layers);
    }
    forceUpdateClientState() {
        if (this.hasWidget) {
            this._onClientStateUpdate(this._getClientContext());
        }
    }
    _getGeoPointMapViewerOptions() {
        var that = this, viewModel = that.options.ViewModel;
        return {
            layers: that._configureLayers(viewModel),
            onClick: function (e) {
                if (e.target && e.target.layer.type === 'marker')
                    that._raiseItemClick(e.target);
            },
            legends: that._getLegends(viewModel),
            tooltip: {
                enabled: true,
                zIndex: _z_index/* zIndex */.f.dashboardItemTooltips,
                container: _utils/* tooltipContainerSelector */.eX,
                customizeTooltip: function (arg) {
                    var dimensionText, measureText, mainText, resultHtml = '';
                    if (arg.layer.type === 'marker') {
                        dimensionText = arg.attribute('dimensionsTooltip');
                        mainText = arg.attribute('tooltip');
                        measureText = arg.attribute('measuresTooltip');
                        if (dimensionText)
                            resultHtml += '<tr><td>' + dimensionText + '</td></tr>';
                        if (mainText)
                            resultHtml += '<tr><td>' + mainText + (measureText ? '' : '</td></tr>');
                        if (measureText)
                            resultHtml += (mainText ? '<br>' : '</td></tr>') + measureText + '</td></tr>';
                    }
                    return {
                        html: (resultHtml != '') ? '<table align="left">' + resultHtml + '</table>' : ''
                    };
                }
            }
        };
    }
    _getMarkerLayers() {
    }
    _configureLayers(viewModel) {
        var mapDataSource = this._getMapDataSource(viewModel.MapItems, viewModel.ShapeTitleAttributeName);
        return this._configureGeometryLayers(mapDataSource, this._getArea(viewModel)).concat(this._configureMarkerLayers(viewModel));
    }
    _configureMarkerLayers(viewModel) {
    }
    _updateMarkerLayers(viewModel) {
        var layers = this.mapViewer.option('layers'), markerLayers = this._configureMarkerLayers(viewModel);
        markerLayers.forEach((layer, index) => {
            layers[index + 1] = layer;
        });
        this.mapViewer.option('layers', layers);
    }
    _getMarker(viewModel, markerDataSource) {
        var style;
        return {
            customize: function (items) {
                items.forEach(item => {
                    item.selected(item.attribute('selected'));
                    style = { color: item.attribute('color') };
                    var size = item.attribute('size');
                    if (size)
                        style.size = size;
                    item.applySettings(style);
                });
            },
            selectionMode: 'multiple'
        };
    }
    _getArea(viewModel) {
        var that = this;
        return { ...that._getLabelSettings(viewModel),
            hoverEnabled: false,
            selectionMode: that._selectionMode()
        };
    }
    _getLegends(viewModel) {
        var legends = [], colorLegend = this._getColorLegend(viewModel), sizeLegend = this._getWeightLegend(viewModel);
        if (colorLegend) {
            legends.push(colorLegend);
        }
        if (sizeLegend) {
            legends.push(sizeLegend);
        }
        return legends;
    }
    _getColorLegend(viewModel) {
        var legend = this._getLegend(viewModel.ColorLegend);
        if (legend) {
            legend.source = { grouping: 'color' };
        }
        return legend;
    }
    _getWeightLegend(viewModel) {
        var legend = this._getLegend(viewModel.WeightedLegend);
        if (legend) {
            legend.source = { grouping: 'size' };
            legend.markerShape = 'circle';
            legend.markerColor = (0,external_DevExpress_viz_.getTheme)((0,external_DevExpress_viz_.currentTheme)()).map['layer:area'].color;
            legend.orientation = 'vertical';
        }
        return legend;
    }
    _getMinMaxValues(markerDataSource) {
        var min, max;
        if (markerDataSource.length > 0) {
            for (var i = 0; i < markerDataSource.length; i++) {
                if (max === undefined || markerDataSource[i].attributes.value !== undefined && (markerDataSource[i].attributes.value > max)) {
                    max = markerDataSource[i].attributes.value;
                }
                if (min === undefined || markerDataSource[i].attributes.value !== undefined && (markerDataSource[i].attributes.value < min)) {
                    min = markerDataSource[i].attributes.value;
                }
            }
        }
        return {
            min: min,
            max: max
        };
    }
    _pointsCountTooltip(count) {
        return '<b>' + count + ' points</b>';
    }
    _getElementInteractionValue(element, viewModel) {
        return [element.attribute('latSelection'), element.attribute('lonSelection')];
    }
    _getDimensionsTooltipHtml(tooltipDimensions) {
        var values = [];
        if (tooltipDimensions.length === 1) {
            if (tooltipDimensions[0].values) {
                for (var i = 0; i < tooltipDimensions[0].values.length; i++) {
                    values.push('<b>' + this._getHtml(tooltipDimensions[0].values[i]) + '</b>');
                }
                return values.join('<br>');
            }
        }
        else {
            for (var i = 0; i < tooltipDimensions.length; i++) {
                var tooltipDimension = tooltipDimensions[i];
                if (tooltipDimension.values) {
                    values.push('<b>' + this._getHtml(tooltipDimension.caption) + '</b>');
                    for (var j = 0; j < tooltipDimension.values.length; j++) {
                        values.push(this._getHtml(tooltipDimension.values[j]));
                    }
                }
            }
            return values.join('<br>');
        }
        return '';
    }
    _getMeasuresTooltipHtml(tooltipMeasures) {
        var result = [];
        for (var i = 0; i < tooltipMeasures.length; i++) {
            result.push(this._getToolTip(tooltipMeasures[i].caption, tooltipMeasures[i].value));
        }
        return result.join('<br>');
    }
    _getDataPoint(element) {
        var that = this, viewModel = that.options.ViewModel;
        return {
            getValues: function () {
                return that._getElementInteractionValue(element, viewModel);
            },
            getMeasureIds: function () {
                return that._getDataPointMeasureIds();
            },
            getDeltaIds: function () {
                return [];
            }
        };
    }
    _getDataPointMeasureIds() {
        return [];
    }
    _updateContentSizeUnsafe() {
        super._updateContentSizeUnsafe();
        if (!!this.mapViewer) {
            this._raiseClusterizationDataRequest();
        }
    }
    _raiseClusterizationDataRequest() {
        if (this.options.ViewModel.EnableClustering) {
            var clientContext = this._getClientContext();
            this._onClientStateUpdate(clientContext);
            if (clientContext.clusterizationInfo.clientSize.width > 0 && clientContext.clusterizationInfo.clientSize.height > 0) {
                this._onDataRequest();
            }
        }
    }
    _onViewPortChanged() {
        super._onViewPortChanged();
        if (this.options.ViewModel.EnableClustering && !this._isLocked() && !this.timer) {
            this.timer = setTimeout(this.raiseTimerClusterizationDataRequest, 500);
        }
    }
    _onInitialExtentUnsafe(viewport) {
        super._onInitialExtentUnsafe(viewport);
        this._raiseClusterizationDataRequest();
    }
}

;// ./dist/viewer-parts/viewer-items/_bubble-map-item.js



class bubbleMapItem extends geoPointMapItemBase {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
    }
    dispose() {
        super.dispose();
        if (this._dataController) {
            this._dataController = null;
        }
    }
    _getMarkerLayers() {
        return [this.mapViewer.getLayerByName('bubble')];
    }
    _configureMarkerLayers(viewModel) {
        var markerDataSource = this._getMarkerDataSource(), markerSettings = markerDataSource.length > 0 ? this._getMarker(viewModel, markerDataSource) : null;
        return [{ name: 'bubble', type: 'marker', elementType: 'bubble', dataField: 'value', dataSource: markerDataSource, ...markerSettings }];
    }
    _getMarkerDataSource() {
        var viewModel = this.options.ViewModel, markerDataSource = [], point;
        for (var i = 0; i < this._dataController.getCount(); i++) {
            point = this._dataController.getPoint(i);
            markerDataSource.push({
                coordinates: [point.lon, point.lat],
                attributes: {
                    latSelection: point.latSel,
                    lonSelection: point.lonSel,
                    selected: this._isSelected([point.latSel, point.lonSel]),
                    value: point.weight || (point.pointsCount > 1 ? 1 : 0),
                    colorValue: point.color || 0,
                    tooltip: this._getBubbleTooltip(viewModel, point.weightText, point.colorText, point.pointsCount),
                    dimensionsTooltip: this._getDimensionsTooltipHtml(point.tooltipDimensions),
                    measuresTooltip: this._getMeasuresTooltipHtml(point.tooltipMeasures)
                }
            });
        }
        return markerDataSource;
    }
    _getMarker(viewModel, markerDataSource) {
        var rangeStops = viewModel.ColorId ? this._getBubbleRangeStops(viewModel.Colorizer, markerDataSource) : [0, 1], colors = this._getBubbleColors(viewModel.Colorizer.Colors, rangeStops.length - 1), minSize, maxSize, options = {
            palette: colors,
            colorGroups: rangeStops,
            colorGroupingField: 'colorValue',
            sizeGroups: viewModel.WeightId ? this._getBubbleWeightRangeStops(markerDataSource) : null
        }, baseMarkers = super._getMarker(viewModel, markerDataSource);
        if (viewModel.WeightId) {
            minSize = 20;
            maxSize = 60;
        }
        else {
            var res = this._getMinMaxValues(markerDataSource);
            if (res.min !== res.max) {
                minSize = 20;
                maxSize = 40;
            }
            else if (res.min === 1) {
                minSize = 40;
                maxSize = 40;
            }
            else {
                minSize = 20;
                maxSize = 20;
            }
        }
        options.minSize = minSize;
        options.maxSize = maxSize;
        return (0,_jquery_helpers/* deepExtend */.zw)(baseMarkers, options);
    }
    _getColorLegend(viewModel) {
        var that = this;
        if (!viewModel.ColorId) {
            return;
        }
        var legend = super._getColorLegend(viewModel);
        if (legend) {
            legend.source.layer = 'bubble';
            legend.customizeText = function (arg) {
                return that._dataController.formatColor(arg.start);
            };
        }
        return legend;
    }
    _getWeightLegend(viewModel) {
        var that = this;
        if (!viewModel.WeightId) {
            return;
        }
        var legend = super._getWeightLegend(viewModel);
        if (legend) {
            legend.source.layer = 'bubble';
            legend.customizeText = function (arg) {
                return that._dataController.formatWeight(arg.start);
            };
        }
        return legend;
    }
    _getBubbleTooltip(viewModel, weight, color, pointsCount) {
        var strs = [];
        if (pointsCount && pointsCount > 1) {
            strs.push(this._pointsCountTooltip(pointsCount));
        }
        if (weight) {
            strs.push(this._getToolTip(viewModel.WeightName, weight));
        }
        if (color && viewModel.ColorName !== viewModel.WeightName) {
            strs.push(this._getToolTip(viewModel.ColorName, color));
        }
        return strs.join('<br>');
    }
    _getBubbleRangeStops(colorizer, markerDataSource) {
        var max = markerDataSource[0].attributes.colorValue, min = markerDataSource[0].attributes.colorValue;
        for (var i = 1; i < markerDataSource.length; i++) {
            if (markerDataSource[i].attributes.colorValue > max) {
                max = markerDataSource[i].attributes.colorValue;
            }
            if (markerDataSource[i].attributes.colorValue < min) {
                min = markerDataSource[i].attributes.colorValue;
            }
        }
        return this._updateRangeStops(colorizer.RangeStops, min, max, colorizer.UsePercentRangeStops);
    }
    _getBubbleWeightRangeStops(markerDataSource) {
        var max = markerDataSource[0].attributes.value, min = markerDataSource[0].attributes.value;
        for (var i = 1; i < markerDataSource.length; i++) {
            if (markerDataSource[i].attributes.value > max) {
                max = markerDataSource[i].attributes.value;
            }
            if (markerDataSource[i].attributes.value < min) {
                min = markerDataSource[i].attributes.value;
            }
        }
        return this._updateRangeStops([0, 25, 50, 75], min, max, true);
    }
    _getBubbleColors(colorModels, defaultColorsCount) {
        var colors = this._getColors(colorModels);
        return colors ? colors : this._getDefaultBubbleColorizerColors(defaultColorsCount);
    }
    _getDefaultBubbleColorizerColors(count) {
        var startColor = new (external_DevExpress_Color_default())('rgb(54, 170, 206)'), endColor = new (external_DevExpress_Color_default())('rgb(255, 93, 106)'), colors = [];
        if (count === 1) {
            return [startColor.toHex()];
        }
        for (var i = 0; i < count; i++) {
            colors.push(startColor.blend(endColor, i / (count - 1)).toHex());
        }
        return colors;
    }
    _getDataPointMeasureIds() {
        var viewModel = this.options.ViewModel, measureIds = [];
        measureIds.push(viewModel.WeightId);
        measureIds.push(viewModel.ColorId);
        return measureIds;
    }
}

;// ./dist/viewer-parts/_card-widget-implementation.js
class CardWidgetImplementation {
    _changed() {
        this._notifyChanged && this._notifyChanged();
    }
    constructor(notifyHandler) {
        this._onCustomizeText = undefined;
        this._cardBackColor = undefined;
        this.element = () => {
            return this._element;
        };
        this._notifyChanged = notifyHandler;
    }
    get onCustomizeText() {
        return this._onCustomizeText;
    }
    set onCustomizeText(value) {
        this._onCustomizeText = value;
        this._changed();
    }
    get cardBackColor() {
        return this._cardBackColor;
    }
    set cardBackColor(value) {
        this._cardBackColor = value;
        this._changed();
    }
    dispose() {
        this._element = null;
    }
}

// EXTERNAL MODULE: ./dist/viewer-parts/viewer/_cssHelper.js
var _cssHelper = __webpack_require__(8117);
;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-layout.js


class cardLayout {
    hasRowElementCssClass(className) {
        return this._layoutElementCssClassesNames.filter(x => x === className).length > 0;
    }
    addRowElementCss(className, selector, properties, container) {
        if (!this.hasRowElementCssClass(className)) {
            this._layoutElementCssClassesNames.push(className);
            this._layoutElementCssClassesLinks.push((0,_cssHelper/* createCssClass */.a4)(selector, properties, container));
        }
    }
    getCardBackgroundColor() {
        return this.apiHandlers && this.apiHandlers.cardBackColor;
    }
    constructor(apiHandlers, isDrillDownEnabled) {
        this.apiHandlers = apiHandlers;
        this.isDrillDownEnabled = isDrillDownEnabled;
        this.rows = [];
        this._layoutElementCssClassesLinks = [];
        this._layoutElementCssClassesNames = [];
        this._cardCFFilter = (elementModel) => ((rule, applyToCardId) => {
            let cardRule = rule;
            let result = false;
            if (this._isValidCardId(cardRule, applyToCardId)) {
                if (!elementModel || cardRule.ApplyToRow)
                    result = true;
                else {
                    if (cardRule.ApplyToLayoutElementModel.ApplyToLayoutElement === elementModel.Type) {
                        if (cardRule.ApplyToLayoutElementModel.ApplyToLayoutElement === 'Dimension')
                            result = cardRule.ApplyToLayoutElementModel.DimensionId === elementModel.DataId;
                        else if (cardRule.ApplyToLayoutElementModel.ApplyToLayoutElement === 'Text')
                            result = cardRule.ApplyToLayoutElementModel.Text === elementModel.Text;
                        else
                            result = true;
                    }
                }
            }
            return result;
        });
    }
    _isValidCardId(cardRule, applyToCardId) {
        if (cardRule.ApplyToCardId)
            return cardRule.ApplyToCardId === applyToCardId;
        return true;
    }
    fill(layoutModel) {
        this.minWidth = layoutModel.MinWidth;
        this.maxWidth = layoutModel.MaxWidth;
        layoutModel.Rows.forEach((rowModel, i) => {
            var row = new cardRow();
            row.vAlignment = this.convertVAlignment(rowModel.VAlignment);
            row.indent = rowModel.Indent;
            rowModel.Elements.forEach((elementModel, j) => {
                if (elementModel.Type === 'Indicator') {
                    var indicatorElement = new cardIndicatorElement();
                    indicatorElement.getStyleSettings = (data) => {
                        return data.getStyleSettingsInfo(this._cardCFFilter(elementModel));
                    };
                    indicatorElement.getIndicatorType = (data) => {
                        return this.isDeltaType(elementModel.Type) && data.getIndicatorType();
                    };
                    indicatorElement.getIsGood = (data) => {
                        return this.isDeltaType(elementModel.Type) && data.getIsGood();
                    };
                    indicatorElement.width = elementModel.Size;
                    indicatorElement.height = Math.round(elementModel.Size / elementModel.IndicatorWidthRatio);
                    indicatorElement.hAlignment = this.convertHAlignment(elementModel.HAlignment);
                    row.elements.push(indicatorElement);
                }
                else if (elementModel.Type === 'Sparkline') {
                    var sparklineElement = new cardSparklineElement();
                    sparklineElement.height = elementModel.Size;
                    sparklineElement.getSparklineOptions = (data) => {
                        return data.getSparklineOptions();
                    };
                    row.elements.push(sparklineElement);
                }
                else {
                    var rowElement = new cardRowElement();
                    rowElement.id = elementModel.Id;
                    rowElement.type = elementModel.Type;
                    rowElement.getStyleSettings = (data) => {
                        return data.getStyleSettingsInfo(this._cardCFFilter(elementModel));
                    };
                    rowElement.predefinedColor = elementModel.PredefinedColor;
                    rowElement.color = this.convertElementColor(elementModel.Color);
                    rowElement.hAlignment = this.convertHAlignment(elementModel.HAlignment);
                    rowElement.fontSize = elementModel.FontSize;
                    rowElement.fontFamily = elementModel.FontFamily;
                    rowElement.getValueArgs = (data) => {
                        return this.getElementValue(data, elementModel);
                    };
                    rowElement.getText = (data) => {
                        var text;
                        var valueArgs = this.getElementValue(data, elementModel);
                        if (this.apiHandlers && this.apiHandlers.onCustomizeText) {
                            text = this.apiHandlers.onCustomizeText(valueArgs);
                        }
                        return text || valueArgs.getDefaultText();
                    };
                    rowElement.getIndicatorType = (data) => {
                        return this.isDeltaType(elementModel.Type) ? data.getIndicatorType() : undefined;
                    };
                    rowElement.getIsGood = (data) => {
                        return this.isDeltaType(elementModel.Type) && data.getIsGood();
                    };
                    row.elements.push(rowElement);
                }
            });
            this.rows.push(row);
        });
        this.getStyleSettings = (data) => {
            return data.getStyleSettingsInfo(this._cardCFFilter());
        };
    }
    isDeltaType(elementType) {
        return elementType === 'AbsoluteVariation' ||
            elementType === 'PercentVariation' ||
            elementType === 'PercentOfTarget' ||
            elementType === 'ActualValue' ||
            elementType === 'TargetValue' ||
            elementType === 'Indicator';
    }
    convertElementColor(color) {
        return color ? (0,_utils/* toColor */.VR)(color) : null;
    }
    getElementValue(data, elementModel) {
        var valueGetter = () => { return ''; };
        var displayTextGetter = () => { return ''; };
        switch (elementModel.Type) {
            case 'Title':
                valueGetter = data.getTitle;
                displayTextGetter = data.getTitle;
                break;
            case 'Subtitle':
                valueGetter = data.getSubtitle;
                displayTextGetter = data.getSubtitle;
                break;
            case 'Text':
                valueGetter = (s) => elementModel.Text;
                displayTextGetter = (s) => elementModel.Text;
                break;
            case 'ActualValue':
                valueGetter = data.getActualValue;
                displayTextGetter = data.getActualValueText;
                break;
            case 'AbsoluteVariation':
                valueGetter = data.getAbsoluteVariationValue;
                displayTextGetter = data.getAbsoluteVariationText;
                break;
            case 'PercentVariation':
                valueGetter = data.getPercentVariationValue;
                displayTextGetter = data.getPercentVariationText;
                break;
            case 'PercentOfTarget':
                valueGetter = data.getPercentOfTargetValue;
                displayTextGetter = data.getPercentOfTargetText;
                break;
            case 'TargetValue':
                valueGetter = data.getTargetValue;
                displayTextGetter = data.getTargetValueText;
                break;
            case 'Dimension':
                valueGetter = data.getDimensionValue;
                displayTextGetter = data.getDimensionValueText;
                break;
            case 'Measure':
                valueGetter = data.getMeasureValue;
                displayTextGetter = data.getMeasureDisplayText;
                break;
            case 'CardName':
                valueGetter = data.getCardName;
                displayTextGetter = data.getCardName;
                break;
        }
        return {
            getValue() {
                return valueGetter(elementModel.DataId);
            },
            getDefaultText() {
                return displayTextGetter(elementModel.DataId);
            }
        };
    }
    convertVAlignment(value) {
        switch (value) {
            case 'Top':
                return verticalAlignment.top;
            case 'Bottom':
                return verticalAlignment.bottom;
            case 'Center':
            default:
                return verticalAlignment.center;
        }
    }
    convertHAlignment(value) {
        switch (value) {
            case 'Center':
                return horizontalAlignment.center;
            case 'Right':
                return horizontalAlignment.right;
            case 'Left':
            default:
                return horizontalAlignment.left;
        }
    }
    dispose() {
        this._layoutElementCssClassesLinks.forEach(style => style());
        this._layoutElementCssClassesLinks = [];
        this._layoutElementCssClassesNames = [];
        this.apiHandlers?.dispose();
        this.apiHandlers = null;
        if (this.rows) {
            this.rows.forEach(row => row.dispose());
            this.rows = [];
        }
        this.getStyleSettings = null;
        this._cardCFFilter = null;
    }
}
class cardRow {
    constructor() {
        this.elements = [];
    }
    dispose() {
        if (this.elements) {
            this.elements.forEach(element => element.dispose());
            this.elements = [];
        }
    }
}
class cardRowElementBase {
    dispose() {
        this.getStyleSettings = null;
    }
}
class cardRowElement extends cardRowElementBase {
    dispose() {
        super.dispose();
        this.getValueArgs = null;
        this.getText = null;
        this.getIndicatorType = null;
        this.getIsGood = null;
        this.fontFamily = null;
        this.color = null;
        this.predefinedColor = null;
        this.fontSize = null;
        this.id = null;
    }
}
class cardIndicatorElement extends cardRowElementBase {
    dispose() {
        super.dispose();
        this.getIndicatorType = null;
        this.getIsGood = null;
        this.height = null;
        this.width = null;
    }
}
class cardSparklineElement extends cardRowElementBase {
    dispose() {
        super.dispose();
        this.getSparklineOptions = null;
        this.height = null;
    }
}
class sparklineOptions {
    constructor(sparklineOptionsModel) {
        this.viewType = sparklineOptionsModel.ViewType;
        this.highlightMinMaxPoints = sparklineOptionsModel.HighlightMinMaxPoints;
        this.highlightStartEndPoints = sparklineOptionsModel.HighlightStartEndPoints;
    }
}
var horizontalAlignment;
(function (horizontalAlignment) {
    horizontalAlignment[horizontalAlignment["left"] = 0] = "left";
    horizontalAlignment[horizontalAlignment["right"] = 1] = "right";
    horizontalAlignment[horizontalAlignment["center"] = 2] = "center";
})(horizontalAlignment || (horizontalAlignment = {}));
var verticalAlignment;
(function (verticalAlignment) {
    verticalAlignment[verticalAlignment["top"] = 0] = "top";
    verticalAlignment[verticalAlignment["center"] = 1] = "center";
    verticalAlignment[verticalAlignment["bottom"] = 2] = "bottom";
})(verticalAlignment || (verticalAlignment = {}));

// EXTERNAL MODULE: ./dist/viewer-parts/widgets/widgets-viewer/_css-class-names.js
var _css_class_names = __webpack_require__(8223);
;// external "DevExpress.integration"
const external_DevExpress_integration_namespaceObject = DevExpress.integration;
;// ./dist/viewer-parts/widgets/widgets-viewer/_widgets-viewer-base.js


class WidgetsViewerBase extends external_DevExpress_Analytics_Utils_.Disposable {
    element() {
        return this._element;
    }
    option(...args) {
        return this._optionManager.option(...args);
    }
    get _option() {
        return this.option();
    }
    constructor(element, options) {
        super();
        this._initalized = false;
        this._element = typeof element === 'string' ? document.querySelector(element) : element;
        this.addDisposable(() => this._element = null);
        this.addDisposable(this._optionManager = new external_DevExpress_integration_namespaceObject.Options(this._getDefaultOptions(), this._getDefaultOptions(), {}, {}));
        this._optionManager.onChanging(() => { });
        this._optionManager.onChanged(() => { });
        this._optionManager.onStartChange(() => { });
        this._optionManager.onEndChange(() => {
            if (this._initalized) {
                this._update();
            }
        });
        this._optionManager.option(options);
        this._init();
        this._initalized = true;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-painter.js









class cardPainter {
    constructor(data, controlContainer) {
        this.data = data;
        this.controlContainer = controlContainer;
    }
    draw(cardArrangements, layout, _styleSettingsProvider) {
        this.layout = layout;
        this._styleSettingsProvider = _styleSettingsProvider;
        var cardHeight = cardArrangements.getCardHeight();
        var cardWidth = cardArrangements.getCardWidth();
        this._cardStyle = layout.getStyleSettings(this.data);
        var $divCardLayout = external_jQuery_.fn.constructor('<div>', {})
            .addClass(_css_class_names/* layoutCardCssClassNames */.m.card)
            .attr('tabindex', '0')
            .css({
            height: cardHeight,
            width: cardWidth,
            'background-color': layout.getCardBackgroundColor()
        });
        const disposables = this.appendCardContent(cardArrangements, layout, $divCardLayout);
        let divCardLayout = $divCardLayout.get(0);
        if (this._cardStyle)
            this._styleSettingsProvider.applyStyleSettings(divCardLayout, null, this._cardStyle, true, null, null, true);
        return { element: $divCardLayout, disposables };
    }
    appendCardContent(cardArrangements, layout, parent) {
        var contentHeight = cardArrangements.getCardContentHeight();
        var contentWidth = cardArrangements.getCardContentWidth();
        var actualContentWidth = layout.maxWidth > 0 ? Math.min(contentWidth, Math.max(layout.minWidth, layout.maxWidth)) : contentWidth;
        const element = external_jQuery_.fn.constructor('<div>')
            .css({
            height: contentHeight,
            width: actualContentWidth
        }).addClass(_css_class_names/* layoutCardCssClassNames */.m.content);
        parent.append(element);
        return this.appendRows(layout.rows, actualContentWidth, layout.isDrillDownEnabled, element);
    }
    appendRows(rowModels, contentWidth, isDrillDownEnabled, parent) {
        var topRows = external_jQuery_.fn.constructor('<div>', { 'class': _css_class_names/* layoutCardCssClassNames */.m.contentTopRows }), centerRows = external_jQuery_.fn.constructor('<div>', {}), bottomRows = external_jQuery_.fn.constructor('<div>', { 'class': _css_class_names/* layoutCardCssClassNames */.m.contentBottomRows });
        const disposables = rowModels.reduce((acc, rowModel) => {
            var rowDiv = external_jQuery_.fn.constructor('<div>');
            rowDiv.css('paddingBottom', rowModel.indent);
            switch (rowModel.vAlignment) {
                case verticalAlignment.top:
                    topRows.append(rowDiv);
                    break;
                case verticalAlignment.bottom:
                    bottomRows.append(rowDiv);
                    break;
                case verticalAlignment.center:
                default:
                    centerRows.append(rowDiv);
            }
            const newRows = this.createRow(rowModel.elements, isDrillDownEnabled, rowDiv, contentWidth);
            if (newRows)
                acc.push(...newRows);
            return acc;
        }, []);
        if (centerRows.children().length > 0)
            parent.append([topRows, centerRows, bottomRows]);
        else if (topRows.children().length > 0 || bottomRows.children().length > 0) {
            parent.append([topRows, bottomRows]);
        }
        return disposables;
    }
    createRow(elementModels, isDrillDownEnabled, rowDiv, contentWidth) {
        var leftElements = [], centerElements = [], rightElements = [];
        elementModels.forEach(elementModel => {
            switch (elementModel.hAlignment) {
                case horizontalAlignment.left:
                    leftElements.push(elementModel);
                    break;
                case horizontalAlignment.right:
                    rightElements.push(elementModel);
                    break;
                case horizontalAlignment.center:
                default:
                    if (elementModel.type != 'Subtitle' || !isDrillDownEnabled)
                        centerElements.push(elementModel);
                    break;
            }
        });
        if (centerElements.length != 0 && leftElements.length == 0 && rightElements.length == 0) {
            rowDiv.addClass(_css_class_names/* layoutCardCssClassNames */.m.rowOnlyCenterElements);
            rowDiv.attr('tabindex', '0');
            return this.appendElements(centerElements, contentWidth, rowDiv);
        }
        else {
            rowDiv.addClass(_css_class_names/* layoutCardCssClassNames */.m.row);
            var leftDiv = external_jQuery_.fn.constructor('<div>', { 'class': _css_class_names/* layoutCardCssClassNames */.m.rowLeftRightElements }).appendTo(rowDiv), rightDiv = external_jQuery_.fn.constructor('<div>', { 'class': _css_class_names/* layoutCardCssClassNames */.m.rowLeftRightElements }).appendTo(rowDiv);
            leftElements.length && leftDiv.attr('tabindex', '0');
            rightElements.length && rightDiv.attr('tabindex', '0');
            return [].concat(this.appendElements(leftElements.concat(centerElements), contentWidth, leftDiv), this.appendElements(rightElements, contentWidth, rightDiv));
        }
    }
    appendElements(elements, contentWidth, parent) {
        return elements.map(element => {
            if (element instanceof cardIndicatorElement) {
                return this.appendIndicatorElement(element, parent);
            }
            else if (element instanceof cardSparklineElement) {
                return this.appendSparklineElement(element, contentWidth, parent);
            }
            else {
                return this.appendDataElement(element, parent);
            }
        }).filter(x => !!x);
    }
    appendIndicatorElement(indicatorElement, parent) {
        let indicatorDiv = external_jQuery_.fn.constructor('<div>');
        indicatorDiv.addClass(_css_class_names/* layoutCardCssClassNames */.m.indicatorElement);
        let styleSettings = indicatorElement.getStyleSettings(this.data);
        let cfIconType;
        if (styleSettings)
            cfIconType = this._styleSettingsProvider.getIconType(styleSettings);
        if (cfIconType)
            this._styleSettingsProvider.applyIndicatorStyle(indicatorDiv[0], cfIconType);
        else {
            indicatorDiv
                .css({
                height: indicatorElement.height,
                width: indicatorElement.width
            })
                .append(SimpleIndicator.getIndicator(indicatorElement.getIndicatorType(this.data), indicatorElement.getIsGood(this.data)));
        }
        parent.append(indicatorDiv);
        return null;
    }
    appendSparklineElement(sparklineElement, contentWidth, parent) {
        var sparklineOptions = sparklineElement.getSparklineOptions(this.data);
        sparklineOptions.size = {
            height: sparklineElement.height,
            width: contentWidth
        };
        var sparklineContainer = document.createElement('div');
        const sparkline = new (external_DevExpress_viz_dxSparkline_default())(sparklineContainer, sparklineOptions);
        const elementDiv = external_jQuery_.fn.constructor('<div>')
            .css({
            height: sparklineElement.height
        }).append(sparklineContainer);
        parent.append(elementDiv);
        return sparkline;
    }
    appendDataElement(textElement, parent) {
        var elementText = textElement.getText(this.data);
        let elementCssProperties = (0,_cssHelper/* getEmptyCssPropertyWrappersArray */.hV)();
        var elementDiv = external_jQuery_.fn.constructor('<div>')
            .addClass(_css_class_names/* layoutCardCssClassNames */.m.rowElement)
            .text(elementText);
        this.setElementColor(textElement, elementDiv, elementCssProperties);
        let cssClassName = _css_class_names/* layoutCardCssClassNames */.m.rowElement + '-' + this.data.getKpiElementId() + '-' + (0,external_DevExpress_Analytics_Internal_.guid)();
        if (!this.layout.hasRowElementCssClass(cssClassName)) {
            elementCssProperties.push((0,_cssHelper/* createCssPropertyWrapper */.MZ)('font-family', textElement.fontFamily));
            elementCssProperties.push((0,_cssHelper/* createCssPropertyWrapper */.MZ)('font-size', textElement.fontSize + 'pt'));
            let cssSelector = '.' + _css_class_names/* layoutCardCssClassNames */.m.content + ' .' + _css_class_names/* layoutCardCssClassNames */.m.rowElement + '.' + cssClassName;
            this.layout.addRowElementCss(cssClassName, cssSelector, elementCssProperties, this.controlContainer);
        }
        elementDiv.addClass(cssClassName);
        var textDiv = document.createElement('div');
        textDiv.innerText = elementText;
        elementDiv.append(textDiv);
        let styleSettings = textElement.getStyleSettings(this.data);
        if (styleSettings)
            this._styleSettingsProvider.applyStyleSettings(elementDiv[0], null, styleSettings, false, null, true, false);
        const tooltip = new (external_DevExpress_ui_dxTooltip_default())(textDiv, {
            container: this.controlContainer,
            target: elementDiv.get(0),
            showEvent: { name: 'mouseenter', delay: 800 },
            hideEvent: 'mouseleave'
        });
        parent.append(elementDiv);
        return tooltip;
    }
    setElementColor(element, elementDiv, elementProperties) {
        if (element.predefinedColor !== 'NotSet') {
            switch (element.predefinedColor) {
                case 'Main':
                    elementDiv.addClass(DeltaIndicator.getIndicatorColorType(null, null, true));
                    break;
                case 'Neutral':
                    elementDiv.addClass(DeltaIndicator.getIndicatorColorType());
                    break;
                case 'Bad':
                    elementDiv.addClass(DeltaIndicator.getIndicatorColorType('down', false));
                    break;
                case 'Good':
                    elementDiv.addClass(DeltaIndicator.getIndicatorColorType('up', true));
                    break;
                case 'Warning':
                    elementDiv.addClass(DeltaIndicator.getIndicatorColorType('warning'));
                    break;
                case 'Delta':
                    elementDiv.addClass(DeltaIndicator.getIndicatorColorType(element.getIndicatorType(this.data), element.getIsGood(this.data)));
                    break;
            }
        }
        else if (element.color) {
            elementProperties.push((0,_cssHelper/* createCssPropertyWrapper */.MZ)('color', element.color));
        }
        else {
            elementDiv.addClass(DeltaIndicator.getIndicatorColorType(null, null, true));
        }
    }
    dispose() {
        this._styleSettingsProvider?.dispose();
        this.layout?.dispose();
        this.controlContainer = null;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_new-card-item.js


let newCardMeasurements = {
    margin: 3,
    padding: 10,
    borderWidth: 1
};
class newCardItem {
    constructor(properties, cardIndex, viewerOptions) {
        this.properties = properties;
        this.cardPainter = new cardPainter(properties.dataAccessor, viewerOptions.controlContainer);
        this.clickHandler = viewerOptions.clickHandler;
        this.hoverHandler = viewerOptions.hoverHandler;
        this.index = cardIndex;
        this.tag = properties.tag;
    }
    dispose() {
        if (this.itemDiv) {
            this.itemDiv.remove();
            this.itemDiv = null;
        }
        this.dxElements?.forEach(x => x?.dispose());
        this.dxElements = [];
        this.cardPainter?.dispose();
        this.properties?.layout?.dispose();
    }
    selected() {
        return this.properties.isSelected;
    }
    setHoverEnabledState(hoverEnabled) {
        this.properties.hoverEnabled = hoverEnabled;
    }
    draw(container, cardArrangements, styleSettingsProvider) {
        if (!this.itemDiv) {
            const { element, disposables } = this.cardPainter.draw(cardArrangements, this.properties.layout, styleSettingsProvider);
            this.itemDiv = element;
            this.dxElements = disposables;
            container.append(element);
            this.afterDraw();
        }
        return this.itemDiv;
    }
    clearSelection() {
        this.properties.isSelected = false;
        if (this.itemDiv) {
            this.itemDiv.removeClass(_css_class_names/* cssClassNames */._.selectedItem);
        }
    }
    select() {
        this.properties.isSelected = true;
        if (this.itemDiv) {
            this.itemDiv.addClass(_css_class_names/* cssClassNames */._.selectedItem);
        }
    }
    hover(isHover) {
        if (this.properties.hoverEnabled) {
            if (isHover) {
                this.itemDiv.addClass(_css_class_names/* cssClassNames */._.hoveredItem);
            }
            else {
                this.itemDiv.removeClass(_css_class_names/* cssClassNames */._.hoveredItem);
            }
        }
    }
    setClickHandler() {
        var that = this;
        if (typeof that.clickHandler === 'function' && that.itemDiv) {
            that.itemDiv.off('click.cardItem');
            that.itemDiv.on('click.cardItem', function () {
                that.clickHandler.call(null, { item: that });
            });
        }
    }
    setHoverHandler() {
        var that = this;
        if (that.itemDiv) {
            that.itemDiv.mouseenter(function () {
                that.hover(true);
                if (typeof that.hoverHandler === 'function') {
                    that.hoverHandler.call(null, { item: that, state: true });
                }
            }).mouseleave(function () {
                that.hover(false);
                if (typeof that.hoverHandler === 'function') {
                    that.hoverHandler.call(null, { item: that, state: false });
                }
            });
        }
    }
    afterDraw() {
        this.setClickHandler();
        this.setHoverHandler();
        this.applyExtraStyles();
    }
    applyExtraStyles() {
        this.properties.isSelected ? this.select() : this.clearSelection();
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-arrangement-info.js

let margins = newCardMeasurements.margin * 2, paddings = newCardMeasurements.padding * 2, borders = newCardMeasurements.borderWidth * 2;
class cardArrangementInfo {
    constructor() {
        this.etalonWidth = 11;
        this.etalonHeight = 10;
        this.arrangementDirection = 'column';
        this.ignorePadding = false;
    }
    getMarginOffset() {
        return this.ignorePadding ? margins : 0;
    }
    getScrollableHeight() {
        return Math.max(this.rowCount * this.cellHeight - this.getMarginOffset(), this.viewerHeight);
    }
    getScrollableWidth() {
        return Math.max(this.columnCount * this.cellWidth - this.getMarginOffset(), this.viewerWidth);
    }
    proportionFactor() {
        return Math.abs(((this.etalonWidth - this.etalonHeight) / (this.etalonWidth + this.etalonHeight)) - ((this.cellWidth - this.cellHeight) / (this.cellWidth + this.cellHeight)));
    }
    getCardContentHeight() {
        return this.cellHeight - margins - paddings - borders;
    }
    getCardContentWidth() {
        return this.cellWidth - margins - paddings - borders;
    }
    getCardWidth() {
        return this.cellWidth - margins;
    }
    getCardHeight() {
        return this.cellHeight - margins;
    }
    hasVerticalScroll() {
        return this.getScrollableHeight() > this.viewerHeight;
    }
    hasHorizontalScroll() {
        return this.getScrollableWidth() > this.viewerWidth;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-measurer.js
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var cssTypographyStyle = 'dx-theme-generic-typography';
class cardMeasurer {
    constructor() {
        this.DEFAULT_MIN_HEIGHT = 0;
    }
    static _getImageSpanHeight(width, height) {
        var imageSpan = document.createElement('div');
        imageSpan.classList.add(_css_class_names/* cssClassNames */._.layoutCardHiddenContainer);
        imageSpan.style.width = width;
        imageSpan.style.height = height;
        document.body.appendChild(imageSpan);
        var res = imageSpan.getBoundingClientRect().height;
        imageSpan.parentNode.removeChild(imageSpan);
        return res;
    }
    static _getTextSpanHeight(fontSize, fontFamily) {
        var textSpan = document.createElement('div');
        textSpan.innerText = cardMeasurer.DIGITS_STRING;
        textSpan.classList.add(_css_class_names/* cssClassNames */._.layoutCardHiddenContainer);
        textSpan.classList.add(cssTypographyStyle);
        textSpan.style.fontSize = fontSize;
        textSpan.style.fontFamily = fontFamily;
        document.body.appendChild(textSpan);
        var res = textSpan.getBoundingClientRect().height;
        textSpan.parentNode.removeChild(textSpan);
        return res;
    }
    calcMinHeight(layout) {
        var topHeight = 0;
        var centerHeight = 0;
        var bottomHeight = 0;
        var rowHeights = {};
        layout.rows.forEach((row, i) => {
            var rowHeight = 0;
            row.elements.forEach((element, j) => {
                if (element instanceof cardIndicatorElement) {
                    rowHeight = Math.max(rowHeight, cardMeasurer._getImageSpanHeight('1px', element.height + 'px'));
                }
                else if (element instanceof cardSparklineElement) {
                    rowHeight = Math.max(rowHeight, cardMeasurer._getImageSpanHeight('1px', element.height + 'px'));
                }
                else {
                    rowHeight = Math.max(rowHeight, cardMeasurer._getTextSpanHeight(element.fontSize + 'pt', element.fontFamily));
                }
            });
            switch (row.vAlignment) {
                case verticalAlignment.top:
                    topHeight += rowHeight + row.indent;
                    break;
                case verticalAlignment.center:
                    centerHeight += rowHeight + row.indent;
                    break;
                case verticalAlignment.bottom:
                    bottomHeight += rowHeight + row.indent;
                    break;
            }
        });
        return topHeight + centerHeight + bottomHeight || this.DEFAULT_MIN_HEIGHT;
    }
}
cardMeasurer.DIGITS_STRING = '0123456789';
__decorate([
    (0,_cacheable/* cacheable */.$)('cardMeasurer._getImageSpanHeight')
], cardMeasurer, "_getImageSpanHeight", null);
__decorate([
    (0,_cacheable/* cacheable */.$)('cardMeasurer._getTextSpanHeight')
], cardMeasurer, "_getTextSpanHeight", null);

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_arrangement-strategy.js


class ArrangementStrategy {
    static createInstance(method, lineCount) {
        switch (method) {
            case 'column':
                return new ColumnArrangementStrategy(lineCount);
            case 'row':
                return new RowArrangementStrategy(lineCount);
            default:
                return new AutoArrangementStrategy();
        }
    }
    getArrangeMethod() {
        return '';
    }
    getLineCount() {
        return -1;
    }
    constructor() {
        this.cardMeasurer = new cardMeasurer();
    }
    arrange(viewerHeight, viewerWidth, itemsCount, layouts, ignorePadding = false) {
        var getArrangementInfo = (nextColumnCount = undefined) => {
            var result = new cardArrangementInfo();
            var columnCount = nextColumnCount || this.getColumnCount(itemsCount, actualViewerWidth, cardMinWidth);
            columnCount = this.checkEmptyRows(columnCount, itemsCount);
            var rowCount = this.getRowCount(itemsCount, columnCount);
            var visibleColumnCount = Math.max(1, Math.min(columnCount, Math.floor(actualViewerWidth / cardMinWidth)));
            var visibleRowCount = Math.max(1, Math.min(rowCount, Math.floor(actualViewerHeight / cardMinHeight)));
            result.cellHeight = Math.max(cardMinHeight, Math.floor(actualViewerHeight / visibleRowCount));
            result.cellWidth = Math.max(cardMinWidth, Math.floor(actualViewerWidth / visibleColumnCount));
            result.columnCount = columnCount;
            result.rowCount = rowCount;
            result.itemsCount = itemsCount;
            result.ignorePadding = ignorePadding;
            result.viewerHeight = viewerHeight;
            result.viewerWidth = viewerWidth;
            result.arrangementDirection = this.getArrangementDirection();
            return result;
        };
        var marginOffset = ignorePadding ? margins : 0;
        var cardMinWidth = this.getCardMinWidthWithMargin(layouts);
        var cardMinHeight = this.getCardMinHeightWithMargin(layouts);
        var actualViewerWidth = viewerWidth + marginOffset;
        var actualViewerHeight = viewerHeight + marginOffset;
        return this.calcBestProportions(getArrangementInfo);
    }
    calcBestProportions(calcArrangementInfo) {
        return calcArrangementInfo();
    }
    getCardMinWidthWithMargin(layouts) {
        var largestWidth = layouts.map(layout => layout.minWidth).reduce((prev, curr) => Math.max(prev, curr));
        return largestWidth + paddings + borders + margins;
    }
    getCardMinHeightWithMargin(layouts) {
        var largestHeight = layouts.map(layout => this.cardMeasurer.calcMinHeight(layout)).reduce((prev, curr) => Math.max(prev, curr));
        return largestHeight + paddings + borders + margins;
    }
    checkEmptyRows(columnCount, itemsCount) {
        return columnCount;
    }
    getArrangementDirection() {
        return 'column';
    }
}
class AutoArrangementStrategy extends ArrangementStrategy {
    constructor() {
        super();
    }
    getArrangeMethod() {
        return 'auto';
    }
    getLineCount() {
        return -1;
    }
    getColumnCount(itemsCount, actualViewerWidth, cardMinWidth) {
        var columnCount = Math.max(1, Math.floor(actualViewerWidth / cardMinWidth));
        columnCount = Math.min(itemsCount, columnCount);
        return columnCount;
    }
    checkEmptyRows(columnCount, itemsCount) {
        var lastRowCount = () => itemsCount % columnCount;
        var fullRowCount = () => Math.floor(itemsCount / columnCount);
        var nextLastRowCount = () => lastRowCount() + fullRowCount();
        while (lastRowCount() > 0 && (nextLastRowCount() < columnCount)) {
            columnCount--;
        }
        return columnCount;
    }
    calcBestProportions(calcArrangementInfo) {
        var arrangementInfo = calcArrangementInfo();
        if (arrangementInfo.columnCount > 1) {
            var nextArrangementInfo = calcArrangementInfo(arrangementInfo.columnCount - 1);
            while (nextArrangementInfo.proportionFactor() < arrangementInfo.proportionFactor() && arrangementInfo.columnCount > 1) {
                arrangementInfo = nextArrangementInfo;
                nextArrangementInfo = calcArrangementInfo(arrangementInfo.columnCount - 1);
            }
        }
        return arrangementInfo;
    }
    getRowCount(itemsCount, columnCount) {
        return Math.ceil(itemsCount / columnCount);
    }
}
class ColumnArrangementStrategy extends ArrangementStrategy {
    constructor(columnCount) {
        super();
        this.columnCount = columnCount;
    }
    getArrangeMethod() {
        return 'column';
    }
    getLineCount() {
        return this.columnCount;
    }
    getColumnCount(itemsCount, actualViewerWidth, cardMinWidth) {
        return Math.min(itemsCount, this.columnCount);
    }
    getRowCount(itemsCount, columnCount) {
        return Math.max(1, Math.ceil(itemsCount / columnCount));
    }
}
class RowArrangementStrategy extends ArrangementStrategy {
    constructor(rowCount) {
        super();
        this.rowCount = rowCount;
    }
    getArrangementMethod() {
        return 'row';
    }
    getLineCount() {
        return this.rowCount;
    }
    getColumnCount(itemsCount, actualViewerWidth, cardMinWidth) {
        return Math.ceil(itemsCount / Math.min(itemsCount, this.rowCount));
    }
    getRowCount(itemsCount, columnCount) {
        return Math.min(itemsCount, this.rowCount);
    }
    getArrangementDirection() {
        return 'row';
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-arrangement-table-generator.js



class cardArrangementTableGenerator {
    generateTable(container, cardArrangements) {
        this.reset();
        this.cardArrangements = cardArrangements;
        this.generateCells(container, this.cardArrangements);
    }
    drawCellContent(startIndex, endIndex, drawHandler) {
        for (var i = startIndex; i <= endIndex; i++) {
            drawHandler(this.cells[i], this.cardArrangements, i);
        }
    }
    reset() {
        this.cells = [];
    }
    generateCells(tableStruct, cardArrangements) {
        if (cardArrangements.arrangementDirection === 'column') {
            for (var rowIndex = 0; rowIndex < cardArrangements.rowCount; rowIndex++) {
                var row = this.createRow(cardArrangements, rowIndex);
                for (var columnIndex = 0; columnIndex < cardArrangements.columnCount; columnIndex++) {
                    var itemIndex = rowIndex * cardArrangements.columnCount + columnIndex;
                    if (itemIndex >= cardArrangements.itemsCount)
                        break;
                    var cell = this.createCell(cardArrangements, rowIndex, columnIndex);
                    this.cells.push(cell);
                    row.append(cell);
                }
                tableStruct.append(row);
            }
        }
        else {
            var rows = {};
            var getRow = (index) => {
                var row = rows[index];
                if (!row) {
                    row = this.createRow(cardArrangements, index);
                    rows[index] = row;
                }
                return row;
            };
            for (var columnIndex = 0; columnIndex < cardArrangements.columnCount; columnIndex++) {
                for (var rowIndex = 0; rowIndex < cardArrangements.rowCount; rowIndex++) {
                    var itemIndex = columnIndex * cardArrangements.rowCount + rowIndex;
                    if (itemIndex >= cardArrangements.itemsCount)
                        break;
                    var row = getRow(rowIndex);
                    var cell = this.createCell(cardArrangements, rowIndex, columnIndex);
                    this.cells.push(cell);
                    row.append(cell);
                }
                external_jQuery_.each(rows, function (_, row) {
                    tableStruct.append(row);
                });
            }
        }
    }
    createRow(cardArrangements, rowIndex) {
        var actualHeight = cardArrangements.cellHeight;
        if (cardArrangements.ignorePadding && rowIndex === 0) {
            actualHeight -= newCardMeasurements.margin;
        }
        if (cardArrangements.ignorePadding && rowIndex === cardArrangements.rowCount - 1) {
            actualHeight -= newCardMeasurements.margin;
        }
        var div = external_jQuery_.fn.constructor('<div>', {
            'class': _css_class_names/* cssClassNames */._.widgetViewerRow, css: {
                height: actualHeight,
                width: cardArrangements.getScrollableWidth()
            }
        });
        return div;
    }
    createCell(cardArrangements, rowIndex, columnIndex) {
        var actualWidth = cardArrangements.cellWidth;
        var actualHeight = cardArrangements.cellHeight;
        var ignorePadding = cardArrangements.ignorePadding;
        var ignoreLeft = false, ignoreRight = false, ignoreTop = false, ignoreBottom = false;
        if (ignorePadding && columnIndex === 0) {
            actualWidth -= newCardMeasurements.margin;
            ignoreLeft = true;
        }
        if (ignorePadding && columnIndex === cardArrangements.columnCount - 1) {
            actualWidth -= newCardMeasurements.margin;
            ignoreRight = true;
        }
        if (ignorePadding && rowIndex === 0) {
            actualHeight -= newCardMeasurements.margin;
            ignoreTop = true;
        }
        if (ignorePadding && rowIndex === cardArrangements.rowCount - 1) {
            actualHeight -= newCardMeasurements.margin;
            ignoreBottom = true;
        }
        var div = external_jQuery_.fn.constructor('<div >', {
            'class': _css_class_names/* cssClassNames */._.widgetViewerCell,
            css: {
                height: actualHeight,
                width: actualWidth,
                float: 'left'
            }
        });
        if (ignoreLeft)
            div.addClass('dx-flex-card-cell-ignore-left-margin');
        if (ignoreRight)
            div.addClass('dx-flex-card-cell-ignore-right-margin');
        if (ignoreTop)
            div.addClass('dx-flex-card-cell-ignore-top-margin');
        if (ignoreBottom)
            div.addClass('dx-flex-card-cell-ignore-bototm-margin');
        return div;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-virtualization-controller.js


class CardVirtualizationController extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(table, scrollView) {
        super();
        this.table = table;
        this.scrollView = scrollView;
        scrollView.option('onScroll', (args) => { this.onScroll(args); });
    }
    init(cardArrangements, drawHandler) {
        this.drawHandler = drawHandler;
        this.cardArrangements = cardArrangements;
    }
    dispose() {
        super.dispose();
        this.drawHandler = null;
    }
    drawByScroll(offset) {
        var arrangements = this.cardArrangements;
        if (arrangements) {
            var top = offset;
            var bottom = offset + arrangements.viewerHeight;
            var topRowIndex = Math.floor(top / arrangements.cellHeight);
            var bottomRowIndex = Math.ceil(bottom / arrangements.cellHeight);
            var startCardIndex = Math.max(0, topRowIndex * arrangements.columnCount - arrangements.columnCount * 3);
            var endCardIndex = Math.min(arrangements.itemsCount - 1, (bottomRowIndex * arrangements.columnCount) - 1 + arrangements.columnCount * 3);
            this.drawHandler(startCardIndex, endCardIndex);
        }
    }
    onScroll(args) {
        var that = this;
        clearTimeout(this.scrollTimeout);
        this.scrollTimeout = window.setTimeout(() => {
            that.drawByScroll(args.scrollOffset.top);
        }, 100);
    }
    getSizeParams() {
        var scrollOffset = this.scrollView.scrollOffset();
        return {
            virtualSize: {
                width: this.cardArrangements.getScrollableWidth(),
                height: this.cardArrangements.getScrollableHeight()
            },
            scroll: {
                top: scrollOffset.top,
                left: scrollOffset.left,
                size: 0,
                horizontal: this.cardArrangements.hasHorizontalScroll(),
                vertical: this.cardArrangements.hasVerticalScroll()
            },
            itemMargin: {
                width: 5,
                height: 5
            },
            layoutMeasurement: {
                margin: newCardMeasurements.margin,
                contentPadding: newCardMeasurements.padding
            }
        };
    }
    updateScrollableContent(action) {
        var scrollOffset = this.scrollView.scrollOffset();
        action();
        this.scrollView.scrollTo(scrollOffset);
        this.drawByScroll(scrollOffset.top);
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_cards-viewer.js









var viewerCount = 0;
class CardsViewer extends WidgetsViewerBase {
    get _styleSettingsProvider() {
        return this.option('styleSettingsProvider');
    }
    constructor(element, options) {
        super(element, options);
    }
    redraw() {
        this._render();
    }
    _getDefaultOptions() {
        return {};
    }
    getSelectedItems() {
        return this.itemsList.filter(item => item.selected());
    }
    clearSelections() {
        this.itemsList.forEach(item => item.clearSelection());
    }
    getSizeParams() {
        return this.virtualizer.getSizeParams();
    }
    clear() {
        this.container.remove();
    }
    dispose() {
        super.dispose();
        (this.itemsList || []).forEach(item => item.dispose());
        this.clear();
    }
    _init() {
        this._viewerID = viewerCount++;
        this.tableStruct = external_jQuery_.fn.constructor('<div>', { 'class': _css_class_names/* cssClassNames */._.widgetViewerTable + ' ' + _css_class_names/* cssClassNames */._.widgetViewerIdPrefix + this._viewerID });
        this.initContainer();
        this.container.append(this.tableStruct);
        this.container.addClass(_css_class_names/* cssClassNames */._.widgetViewerContainer);
        var scrollView = new (external_DevExpress_ui_dxScrollView_default())((0,_jquery_helpers/* $unwrap */.I1)(this.container), {
            direction: 'both',
            showScrollbar: 'onHover'
        });
        this.addDisposable(this.virtualizer = new CardVirtualizationController(this.tableStruct, scrollView));
        this.createItems();
        this.createArranger();
        this._render();
    }
    _update() {
        this.createItems();
        this.createArranger();
        this._render();
    }
    initContainer() {
        this.container = external_jQuery_.fn.constructor('<div>').appendTo((0,_jquery_helpers/* $wrap */.HC)(this.element()));
        this.container.addClass(_css_class_names/* layoutCardCssClassNames */.m.cardScrollableHolder);
    }
    createItems() {
        var that = this, data = that.option('dataSource');
        var viewer = this.option('viewer');
        var clickHandler = viewer.onclick, hoverHandler = viewer.onhover, controlContainer = viewer.controlContainer;
        that.itemsList = [];
        data.forEach((dataItem, index) => {
            that.itemsList.push(new newCardItem(dataItem, index, { clickHandler, hoverHandler, controlContainer }));
        });
    }
    _render(drawOptions) {
        this.virtualizer.updateScrollableContent(() => {
            this.invalidateContent();
            this.drawCards();
        });
    }
    invalidateContent() {
        this.createItems();
        this.tableStruct.empty();
    }
    drawCards() {
        var parentWidth = this.container.width();
        var parentHeight = this.container.height();
        var layouts = this._option.itemOptions.layouts;
        var ignorePadding = this._option.viewer.ignorePadding;
        var cardArrangements = this.arranger.arrange(parentHeight, parentWidth, this.itemsList.length, layouts, ignorePadding);
        this.tableGenerator = new cardArrangementTableGenerator();
        this.tableGenerator.generateTable(this.tableStruct, cardArrangements);
        this.virtualizer.init(cardArrangements, (startIndex, endIndex) => { this.drawCardsByIndices(startIndex, endIndex); });
    }
    drawCardsByIndices(startIndex, endIndex) {
        this.tableGenerator.drawCellContent(startIndex, endIndex, (container, cardArrangements, index) => {
            return this.itemsList[index].draw(container, cardArrangements, this._styleSettingsProvider);
        });
    }
    createArranger() {
        var viewerOptions = this.option('viewer');
        var method = viewerOptions.method;
        var count = viewerOptions.count;
        if (this.shouldRecreateArranger(method, count))
            this.arranger = ArrangementStrategy.createInstance(method, count);
    }
    shouldRecreateArranger(newArrangement, lineCount) {
        if (this.arranger != null) {
            let currentArrangement = this.arranger.getArrangeMethod();
            if (currentArrangement === 'auto')
                return newArrangement !== 'auto';
            else
                return newArrangement !== currentArrangement || this.arranger.getLineCount() !== lineCount;
        }
        return true;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/_arrangement-info.js
let positioningDirection = { Vertical: 'Vertical', Horizontal: 'Horizontal' };
class ArrangementInfo {
    constructor(totalItemCount, itemsOnRowCount, itemWidth, itemHeight, itemMargin, direction, options) {
        this.totalItemCount = totalItemCount;
        this.itemsOnRowCount = itemsOnRowCount;
        this.itemWidth = itemWidth;
        this.itemHeight = itemHeight;
        this.direction = direction;
        this.itemMargin = itemMargin;
        this.options = options;
        this.itemsOnColumnCount = Math.ceil(this.totalItemCount / this.itemsOnRowCount);
    }
    getHeight(useMargin) {
        var that = this;
        var margin = useMargin ? 2 * that.itemMargin.Height : 0;
        switch (that.direction) {
            case positioningDirection.Horizontal:
                return that.itemHeight - margin;
            case positioningDirection.Vertical:
                return that.itemWidth - margin;
            default:
                return -1;
        }
    }
    getWidth(useMargin) {
        var that = this, margin = useMargin ? 2 * that.itemMargin.Width : 0;
        switch (that.direction) {
            case positioningDirection.Horizontal:
                return that.itemWidth - margin;
            case positioningDirection.Vertical:
                return that.itemHeight - margin;
            default:
                return 0;
        }
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/_base-widget-item.js



function patchStyles(options) {
    options.style.borderWidth = options.borderWidth || 0;
    options.selectionStyle.borderWidth = options.borderWidth || 0;
    options.hoverStyle.borderWidth = options.borderWidth || 0;
}
class BaseWidgetItem {
    constructor(options) {
        this._options = (0,_jquery_helpers/* deepExtend */.zw)({}, this._getDefaultOptions(), options);
        this._type = this._options.type || 'unknown';
        this._isSelected = !!this._options.isSelected;
        this.tag = this._options.tag;
        patchStyles(this._options);
        this._hoverEnabled = !!this._options.hoverEnabled;
    }
    _getDefaultOptions() {
        return {
            cursor: 'default',
            isSelected: false,
            hoverEnabled: false,
            style: {
                backgroundColor: '#ffffff',
                borderStyle: 'solid',
                borderColor: '#C8C8CC'
            },
            selectionStyle: {
                backgroundColor: 'rgba(95,139,149,0.35)',
                borderStyle: 'solid',
                borderColor: '#5F8B95'
            },
            hoverStyle: {
                backgroundColor: 'rgba(95,139,149,0.25)',
                borderStyle: 'solid',
                borderColor: '#5F8B95'
            }
        };
    }
    dispose() {
        var that = this;
        that._type = null;
        that._isSelected = null;
        that.tag = null;
        that._hoverEnabled = null;
        this._disposeClickEvent();
        this._disposeHoverEvent();
        if (that._itemDiv && that._itemDiv.parentElement) {
            that._itemDiv.parentElement.removeChild(that._itemDiv);
        }
        that._itemDiv = null;
    }
    _getStyle(isSelected) {
        return isSelected ? this._options.selectionStyle : this._options.style;
    }
    select() {
        var that = this;
        that._isSelected = true;
        if (that._itemDiv) {
            that._itemDiv.classList.add(_css_class_names/* cssClassNames */._.selectedItem);
        }
    }
    _hover(isHover) {
        var that = this;
        if (that._hoverEnabled) {
            if (isHover) {
                that._itemDiv.classList.add(_css_class_names/* cssClassNames */._.hoveredItem);
            }
            else {
                that._itemDiv.classList.remove(_css_class_names/* cssClassNames */._.hoveredItem);
            }
        }
    }
    clearSelection() {
        var that = this;
        that._isSelected = false;
        if (that._itemDiv) {
            that._itemDiv.classList.remove(_css_class_names/* cssClassNames */._.selectedItem);
        }
    }
    _disposeClickEvent() {
        if (this._itemDiv) {
            (0,external_DevExpress_events_namespaceObject.off)(this._itemDiv, 'click.cardItem');
        }
    }
    _disposeHoverEvent() {
        if (this._itemDiv) {
            (0,external_DevExpress_events_namespaceObject.off)(this._itemDiv, 'mouseenter');
            (0,external_DevExpress_events_namespaceObject.off)(this._itemDiv, 'mouseleave');
        }
    }
    setClickHandler(handler) {
        var that = this;
        if (typeof handler === 'function' && that._itemDiv) {
            this._disposeClickEvent();
            (0,external_DevExpress_events_namespaceObject.on)(that._itemDiv, 'click.cardItem', function () {
                handler.call(null, { item: that });
            });
        }
    }
    setHoverHandler(handler) {
        var that = this;
        if (that._itemDiv) {
            this._disposeHoverEvent();
            (0,external_DevExpress_events_namespaceObject.on)(that._itemDiv, 'mouseenter', function () {
                that._hover(true);
                if (typeof handler === 'function') {
                    handler.call(null, { item: that, state: true });
                }
            });
            (0,external_DevExpress_events_namespaceObject.on)(that._itemDiv, 'mouseleave', function () {
                that._hover(false);
                if (typeof handler === 'function') {
                    handler.call(null, { item: that, state: false });
                }
            });
        }
    }
    draw(width, height, index, commonItemsOptions) {
        if (!this._itemDiv) {
            return this.initDraw(width, height, index);
        }
        return this._itemDiv;
    }
    initDraw(width, height, index) {
        var that = this, itemDiv;
        width = width || 0;
        height = height || 0;
        index = index || 0;
        that.index = index;
        this._disposeClickEvent();
        this._disposeHoverEvent();
        itemDiv = document.createElement('div');
        itemDiv.classList.add('dx-' + that._type);
        itemDiv.style.cursor = that._options.cursor;
        that._itemDiv = itemDiv;
        return itemDiv;
    }
    _applyExtraStyles() {
        if (this._isSelected) {
            this.select();
        }
        else {
            this.clearSelection();
        }
    }
    toggleSelection() {
        if (this._isSelected) {
            this.clearSelection();
        }
        else {
            this.select();
        }
    }
    getWidget() {
        return null;
    }
    finishRender(params) {
        params = params || {};
        var that = this, clickHandler = params.clickHandler, hoverHandler = params.hoverHandler, drawOptions = params.drawOptions;
        that.setClickHandler(clickHandler);
        that.setHoverHandler(hoverHandler);
        that.rerender(drawOptions);
        that._applyExtraStyles();
    }
    getItemContainer() {
        var itemDiv = this._itemDiv;
        if (itemDiv) {
            return itemDiv;
        }
        return;
    }
    _formStyle(selector, cssProperties) {
        var resultCss = '.dx-' + this._type + ' ' + selector + '{', cssProperty;
        for (cssProperty in cssProperties) {
            resultCss += cssProperty + ':' + cssProperties[cssProperty] + 'px;';
        }
        return resultCss + '}';
    }
    getCssStyle(width, height, _commonItemsOptions, prefix) {
        var styleOptions = { height: height };
        if (!this._options.ignoreProportions) {
            styleOptions['width'] = width;
        }
        return prefix + ' ' + this._formStyle('', styleOptions);
    }
    calcCommonItemSpecificOptions(width, height) {
    }
    resize(width, height, index, commonItemsOptions) {
    }
    rerender(drawOptions) {
    }
    detachItem() {
    }
    setHoverEnabledState(hoverEnabled) {
        this._hoverEnabled = hoverEnabled;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/_widget-item-factory.js




function getAdditionalCircularGaugeOptions(container, options) {
    return null;
}
var getAdditionalOptionsHandlers = {
    'circulargauge': getAdditionalCircularGaugeOptions
};
const defaultWidgetsMap = {
    'chart': (external_DevExpress_viz_dxChart_default()),
    'piechart': (external_DevExpress_viz_dxPieChart_default()),
    'circulargauge': (external_DevExpress_viz_dxCircularGauge_default()),
    'lineargauge': (external_DevExpress_viz_dxLinearGauge_default())
};
let widgetsMap = { ...defaultWidgetsMap };
let widgetItemFactory = {
    createWidget: function (widgetType, container, options) {
        const normalizedWidgetType = (widgetType || '').toLowerCase();
        const widget = widgetsMap[normalizedWidgetType];
        if (!widget) {
            return null;
        }
        let widgetInstance = widget.getInstance(container);
        if (widgetInstance) {
            widgetInstance.option(options);
        }
        else {
            widgetInstance = new widget(container, options);
        }
        return widgetInstance;
    },
    getAdditionalOptions: function (widgetType, container, options) {
        var handler = getAdditionalOptionsHandlers[(widgetType || '').toLowerCase()];
        return handler ? handler(container, options) : null;
    },
    __resetFactory: function () {
        widgetsMap = { ...defaultWidgetsMap };
    },
    __replaceWidget: function (widgetName, newWidget) {
        widgetsMap[widgetName] = newWidget;
    }
};

;// ./dist/viewer-parts/widgets/widgets-viewer/_widget-item.js



class WidgetItem extends BaseWidgetItem {
    static ensureOptions(options) {
        options = options || {};
        options.type = 'widgetItem';
        return options;
    }
    constructor(itemData, options) {
        super(WidgetItem.ensureOptions(options));
        this._widgetType = String(this._options.widgetType || '').toLowerCase();
        this._itemData = itemData || {};
        this._itemData.encodeHtml = this._options.encodeHtml;
        this._itemData.redrawOnResize = false;
    }
    dispose() {
        var that = this;
        BaseWidgetItem.prototype.dispose.apply(that, arguments);
        that._itemData = null;
        this._disposeWidget();
    }
    _disposeWidget() {
        if (this._widget) {
            this._widget.dispose();
            this._widget = null;
        }
    }
    _getDefaultOptions() {
        return (0,_jquery_helpers/* deepExtend */.zw)({}, BaseWidgetItem.prototype._getDefaultOptions.apply(this, arguments), {
            style: {
                borderStyle: 'solid',
                borderColor: '#ffffff'
            }
        });
    }
    detachItem() {
        var itemDiv = this._itemDiv;
        if (itemDiv && itemDiv.parentElement) {
            itemDiv.parentElement.removeChild(itemDiv);
        }
    }
    initDraw(width, height, index) {
        this._disposeWidget();
        return super.initDraw(width, height, index);
    }
    draw(width, height, index) {
        super.draw(width, height, index);
        var that = this, itemDiv;
        itemDiv = that._itemDiv;
        itemDiv.style.margin = 'auto';
        this._options.itemWidgetOptionsPrepared(that._itemData);
        that._widget = widgetItemFactory.createWidget(that._widgetType, itemDiv, that._itemData);
        return itemDiv;
    }
    resize(width, height, index) {
        if (!this._itemDiv.childNodes.length) {
            return this.draw(width, height, index);
        }
    }
    rerender(drawOptions) {
        var that = this, options;
        if (that._widget) {
            options = widgetItemFactory.getAdditionalOptions(that._widgetType, that._itemDiv, that._itemData);
            options && (0,_jquery_helpers/* deepExtend */.zw)(that._widget._options, options);
            if ((0,_jquery_helpers/* isVisible */.zN)(that._itemDiv)) {
                that._widget.render(drawOptions);
            }
        }
    }
    getWidget() {
        return this._widget;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/cards/_card-item.js










var hiddenContainer = external_jQuery_.fn.constructor('<div>', {
    id: _css_class_names/* cssClassNames */._.cardHiddenContainer
}), nowrapHiddenContainer = external_jQuery_.fn.constructor('<div>', {
    id: _css_class_names/* cssClassNames */._.cardNowrapHiddenContainer
}), _ceil = Math.ceil, _floor = Math.floor, TITLE_TOOLTIP_PREFIX = 'titleTooltip', TITLE_CONTAINER_PREFIX = 'titleContainer';
let cardValue1Counter = 0;
function getSparklineHeight(cardHeight) {
    return cardHeight * 0.25;
}
function calcRowCount(text, encodeHtml) {
    var text = encodeHtml ? (0,external_DevExpress_utils_string_.encodeHtml)(text) : text, words = text.split(' '), i, openSpan = '<span>', closeSpan = ' </span>', markup = '', prevOffsetTop, lineCount = 1, clientRects;
    for (i = 0; i < words.length; i++) {
        markup += openSpan + words[i] + closeSpan;
    }
    hiddenContainer.html(openSpan + markup + closeSpan);
    clientRects = hiddenContainer.children()[0].getClientRects();
    prevOffsetTop = clientRects[0].top;
    for (i = 1; i < clientRects.length; i++) {
        if (clientRects[i].top !== prevOffsetTop) {
            lineCount++;
            prevOffsetTop = clientRects[i].top;
        }
    }
    return lineCount;
}
class CardItem extends BaseWidgetItem {
    static ensureOptions(options) {
        options = options || {};
        options.type = 'cardItem';
        options.ignoreProportions = false;
        return options;
    }
    constructor(item, options) {
        super(CardItem.ensureOptions(options));
        var getText = function (text) {
            if (text) {
                return options.encodeHtml ? external_jQuery_.fn.constructor('<div>').text(text).html() : text;
            }
            return '';
        }, defaultValues = {
            type: 'none',
            hasPositiveMeaning: false,
            text: {
                value: '',
                useDefaultColor: false
            }
        };
        item = item || {};
        this.data = item.data || {};
        this.title = getText(item.title);
        this.subTitle = getText(item.subTitle);
        this.sparklineOptions = item.sparklineOptions || {};
        this.variableValue1 = (0,_jquery_helpers/* deepExtend */.zw)({}, defaultValues, item.variableValue1);
        this.variableValue2 = (0,_jquery_helpers/* deepExtend */.zw)({}, defaultValues, item.variableValue2);
        defaultValues.text.useDefaultColor = true;
        this.mainValue = (0,_jquery_helpers/* deepExtend */.zw)({}, defaultValues, item.mainValue);
        this.indicator = {
            hasPositiveMeaning: this.mainValue.hasPositiveMeaning,
            type: this.mainValue.type
        };
        if (hiddenContainer.parent().length === 0) {
            hiddenContainer.appendTo(document.body);
        }
        if (nowrapHiddenContainer.parent().length === 0) {
            nowrapHiddenContainer.appendTo(document.body);
        }
        this.subtitleDotsIndex = 0;
    }
    draw(widthCard, heightCard, cardIndex, commonItemsOptions) {
        var that = this, options = that._options, paddings = commonItemsOptions.paddings, sparklineHeight = commonItemsOptions.sparklineHeight, imgDiv, itemDiv, sparklineContainer, topContentOffset = parseFloat(paddings.top), title, subtitle, variableValue1, variableValue2, mainValueDiv, textSubtitle = options.encodeHtml ? that._getEllipsisText(that.subTitle, commonItemsOptions, _floor((widthCard - paddings.right - paddings.left) * 0.6)) : that.subTitle, index = cardValue1Counter++, value1Text = that._getText('variableValue1'), value2Text = that._getText('variableValue2'), mainValueText = that._getText('mainValue'), titleContainerId = TITLE_CONTAINER_PREFIX + index;
        itemDiv = super.draw(widthCard, heightCard, cardIndex);
        title = ['<div id="' + titleContainerId + '" class="', _css_class_names/* cssClassNames */._.cardTitle + '" style="padding:' + topContentOffset + 'px ' + paddings.left + 'px 0px ' + paddings.left + 'px;">', that.title, '</div>'].join('');
        subtitle = ['<div class="', _css_class_names/* cssClassNames */._.cardSubtitle, '" style="padding-left:' + paddings.left + 'px;">', textSubtitle, '</div>'].join('');
        variableValue1 = ['<span class="', _css_class_names/* cssClassNames */._.cardVariableValue1, ' ', that._getValueClassName('variableValue1') + '" style="padding-right:' + paddings.right + 'px;">', value1Text, '</span>'].join('');
        variableValue2 = ['<span class="', _css_class_names/* cssClassNames */._.cardVariableValue2, ' ', that._getValueClassName('variableValue2'), '" style="padding-right:' + paddings.right + 'px;">', value2Text, '</span>'].join('');
        imgDiv = ['<div class="', _css_class_names/* cssClassNames */._.cardIndicator, '" style="padding-left:' + paddings.left + 'px;">',
            SimpleIndicator.getIndicator(that.indicator.type, that.indicator.hasPositiveMeaning), '</div>'].join('');
        mainValueDiv = ['<span class="', _css_class_names/* cssClassNames */._.cardMainValue, ' ', that._getValueClassName('mainValue'), '" style="padding-right:' + paddings.right + 'px;">', mainValueText, '</span>'].join('');
        itemDiv.innerHTML = title + subtitle + variableValue1 + variableValue2 + imgDiv + mainValueDiv;
        that._addTooltip(itemDiv, titleContainerId, TITLE_TOOLTIP_PREFIX, that.title, index);
        if (options.hasSparkline) {
            sparklineContainer = document.createElement('div');
            sparklineContainer.classList.add(_css_class_names/* cssClassNames */._.cardSparkline);
            sparklineContainer.style.left = paddings.left;
            sparklineContainer.style.right = paddings.right;
            itemDiv.appendChild(sparklineContainer);
            that.sparklineOptions.size = {
                width: widthCard - paddings.left - paddings.right,
                height: sparklineHeight
            };
            if (that._sparklineInstance)
                that._sparklineInstance.dispose();
            that._sparklineInstance = new (external_DevExpress_viz_dxSparkline_default())(sparklineContainer, that.sparklineOptions);
        }
        return itemDiv;
    }
    resize(width, height, index, commonItemsOptions) {
        var that = this, sparklineHeight = commonItemsOptions.sparklineHeight, itemDiv = that._itemDiv, imgDiv = itemDiv.querySelector('.' + _css_class_names/* cssClassNames */._.cardIndicator), subTitle = itemDiv.querySelector('.' + _css_class_names/* cssClassNames */._.cardSubtitle), sparklineContainer = itemDiv.querySelector('.' + _css_class_names/* cssClassNames */._.cardSparkline), paddings = that._options.padding, widthWithoutpaddings = width - paddings.right - paddings.left;
        if (!itemDiv.childElementCount) {
            that.draw(width, height, index, commonItemsOptions);
            return that._itemDiv;
        }
        if (that._options.encodeHtml)
            subTitle.innerText = that._getEllipsisText(subTitle.innerText, commonItemsOptions, _floor((widthWithoutpaddings) * 0.6));
        if (sparklineHeight && that._sparklineInstance) {
            that._sparklineInstance.option('size', { width: widthWithoutpaddings, height: sparklineHeight });
        }
        return itemDiv;
    }
    getCssStyle(width, height, commonItemsOptions, prefix) {
        var that = this, paddings = commonItemsOptions.paddings, sparklineHeight = commonItemsOptions.sparklineHeight, widthWithoutpaddings = width - paddings.right - paddings.left, fontSizes = commonItemsOptions.fontSizes, baseStyle = super.getCssStyle(width, height, commonItemsOptions, prefix), titleStyle = prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardTitle, {
            'font-size': fontSizes.title,
            'min-height': _ceil(fontSizes.title * 1.3),
            'line-height': fontSizes.title
        }), subTitleStyle = prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardSubtitle, {
            'min-height': _ceil(fontSizes.subTitle * 1.3) * 2,
            'font-size': fontSizes.subTitle
        }), indicatorContainerStyle = prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardIndicator, {
            height: _ceil(0.18 * (height - sparklineHeight)),
            width: _ceil(0.24 * (height - sparklineHeight)),
            bottom: paddings.bottom + sparklineHeight + 3
        }), variableValue1Style = prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardVariableValue1, {
            'font-size': fontSizes.variableValue1,
            'line-height': fontSizes.variableValue1,
            bottom: fontSizes.variableValue2 + fontSizes.mainValue
        }), variableValue2Style = prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardVariableValue2, {
            'font-size': fontSizes.variableValue2,
            'line-height': fontSizes.variableValue2,
            'bottom': fontSizes.mainValue
        }), mainValueStyle = prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardMainValue, {
            'font-size': fontSizes.mainValue,
            'line-height': fontSizes.mainValue,
            bottom: paddings.bottom + sparklineHeight
        }), sparklineContainerStyle = sparklineHeight ?
            prefix + ' ' + that._formStyle('.' + _css_class_names/* cssClassNames */._.cardSparkline, {
                height: sparklineHeight,
                width: widthWithoutpaddings
            }) : '';
        return [baseStyle, titleStyle, subTitleStyle, indicatorContainerStyle, variableValue1Style, variableValue2Style, mainValueStyle, sparklineContainerStyle].join(' ');
    }
    static calcFonts(height) {
        return {
            title: (~~(height * 0.22)),
            subTitle: (~~(height * 0.14)),
            mainValue: (~~(height * 0.30)),
            variableValue1: (~~(height * 0.14)),
            variableValue2: (~~(height * 0.14))
        };
    }
    calcCommonItemSpecificOptions(width, height) {
        var that = this, options = that._options, sparklineHeight = options.hasSparkline ? getSparklineHeight(height) : 0, fontSizes = CardItem.calcFonts(height - sparklineHeight), paddings = { top: 0, left: 0, right: 0, bottom: 0, ...options.padding }, oneRowHeight;
        hiddenContainer.width(_floor((width - paddings.right - paddings.left) * 0.6))
            .css('fontSize', fontSizes.subTitle);
        nowrapHiddenContainer.css('fontSize', fontSizes.subTitle);
        oneRowHeight = hiddenContainer.text('a').height();
        hiddenContainer.empty();
        return {
            paddings: paddings,
            sparklineHeight: sparklineHeight,
            fontSizes: fontSizes,
            oneRowHeight: oneRowHeight
        };
    }
    dispose() {
        super.dispose();
        if (this._titleTooltipInstance) {
            this._titleTooltipInstance.dispose();
            this._titleTooltipInstance = null;
        }
        if (this._sparklineInstance) {
            this._sparklineInstance.dispose();
            this._sparklineInstance = null;
        }
        this.data = null;
        this.sparklineOptions = null;
        this.indicator = null;
        this._options = null;
    }
    _addTooltip(itemDiv, containerId, tooltipPrefix, text, index) {
        var container = itemDiv.querySelector('#' + containerId);
        var div = document.createElement('div');
        div.id = tooltipPrefix + index;
        container.appendChild(div);
        div.innerText = text;
        this._titleTooltipInstance = new (external_DevExpress_ui_dxTooltip_default())(div, {
            target: '#' + containerId,
            showEvent: { name: 'mouseenter', delay: 800 },
            hideEvent: 'mouseleave'
        });
    }
    _getDefaultOptions() {
        var defaults = super._getDefaultOptions(), options = {
            padding: {
                top: 3,
                left: 12,
                right: 12,
                bottom: 10
            },
            font: {
                family: 'Segoe UI, HelveticaNeue, Trebuchet MS, Verdana',
                weight: 'normal'
            },
            title: {
                color: 'black'
            },
            subTitle: {
                color: '#B6B6B6'
            }
        };
        return (0,_jquery_helpers/* deepExtend */.zw)({}, defaults, options);
    }
    _getText(classText) {
        var that = this;
        var valueOptions = that[classText].text, value = valueOptions.value, format = valueOptions.format;
        if (format) {
            return _format_helper/* DashboardFormatHelper */.O6.format(parseFloat(value), format);
        }
        else {
            return that._options.encodeHtml ? (0,external_DevExpress_utils_string_.encodeHtml)(value) : value.toString();
        }
    }
    _getClassFromIndicator(type, hasPositiveMeaning, useDefaultColor) {
        return DeltaIndicator.getIndicatorColorType(type, hasPositiveMeaning, useDefaultColor);
    }
    _getCardStyle(isSelected) {
        return isSelected ? this._options.selectionStyle : this._options.style;
    }
    _getValueClassName(classText) {
        var that = this, value = that[classText], useDefaultColor = value.text.useDefaultColor, hasPositiveMeaning = value.hasPositiveMeaning, type = value.type;
        return that._getClassFromIndicator(type, hasPositiveMeaning, useDefaultColor);
    }
    _setSubtitleDotsIndex(index) {
        this._subtitleDotsIndex = index;
    }
    _getEllipsisText(inputText, commonItemsOptions, containerWidth) {
        if (!inputText || inputText === '') {
            return '';
        }
        var that = this, subtitleRowsCount = calcRowCount(inputText, that._options.encodeHtml), fullTextWidth, proportionalTextLen, updatedText, movingDirection, threeDots = '...', i, endIndex, dotsIndex = this._subtitleDotsIndex;
        if (subtitleRowsCount <= 2) {
            return inputText;
        }
        fullTextWidth = nowrapHiddenContainer.text(inputText).width();
        proportionalTextLen = _floor(2 * containerWidth * inputText.length / fullTextWidth);
        updatedText = inputText.substring(0, proportionalTextLen - 3) + threeDots;
        subtitleRowsCount = calcRowCount(updatedText, that._options.encodeHtml);
        if (subtitleRowsCount > 2) {
            movingDirection = -1;
        }
        else {
            movingDirection = 1;
        }
        for (i = 1; i < proportionalTextLen; i += 2) {
            endIndex = dotsIndex ? dotsIndex + i * movingDirection : proportionalTextLen - 3 + i * movingDirection;
            updatedText = inputText.substring(0, endIndex) + threeDots;
            subtitleRowsCount = calcRowCount(updatedText, that._options.encodeHtml);
            if (movingDirection === 1 && subtitleRowsCount === 3) {
                updatedText = inputText.substring(0, endIndex - 3) + threeDots;
                that._setSubtitleDotsIndex(updatedText.length - 3);
                return updatedText;
            }
            if (movingDirection === -1 && subtitleRowsCount === 2) {
                that._setSubtitleDotsIndex(updatedText.length - 3);
                return updatedText;
            }
        }
        return updatedText;
    }
}

;// ./dist/viewer-parts/widgets/widgets-viewer/_widgets-viewer.js











var _widgets_viewer_viewerCount = 0;
class dxWidgetsViewer extends WidgetsViewerBase {
    constructor(element, options) {
        super(element, options);
    }
    _getDefaultOptions() {
        return {
            dataSource: [],
            viewer: {
                hoverEnabled: false,
                overflow: 'auto',
                method: 'auto',
                count: 1,
                widgetType: 'card',
                redrawOnResize: false,
                onclick: null,
                onRenderComplete: null,
                onAllItemsRenderComplete: null,
                bulkTimesRenderingTimeInterval: 200,
                useNativeScrolling: 'auto',
                ignorePadding: false,
                supportAnimation: false
            },
            itemOptions: {
                encodeHtml: true,
                minWidth: undefined,
                proportions: undefined,
                ignoreProportions: false,
                itemMargin: {
                    width: 5,
                    height: 5
                },
                borderWidth: 1,
                hasSparkline: false
            }
        };
    }
    _init() {
        let viewer = this._option.viewer;
        this._viewerID = _widgets_viewer_viewerCount++;
        this.initContainer();
        this._content = _render_helper/* RenderHelper */.p.wrapScrollable(this.container, viewer.overflow, 'both');
        this._scrollBarWidth = this._getScrollBarWidth();
        this._updateByOptions();
        this._createItems();
        this.totalMarginsAndBorders = this._calcTotalMarginsAndBorders();
        this._render();
    }
    _update() {
        this._updateByOptions();
        this._createItems();
        this._render();
    }
    initContainer() {
        this.container = document.createElement('div');
        (0,_jquery_helpers/* $unwrap */.I1)(this.element()).appendChild(this.container);
        this.container.classList.add(_css_class_names/* cssClassNames */._.widgetsViewerScrollableHolder);
    }
    clear() {
        if (this.container && this.container.parentElement) {
            this.container.parentElement.removeChild(this.container);
        }
    }
    dispose() {
        var that = this;
        clearTimeout(that._drawTimer);
        that._drawTimer = null;
        (that.itemsList || []).forEach(item => item.dispose());
        that._content = null;
        that.innerContainer = null;
        that._scrollBarWidth = null;
        that._widgetType = null;
        that.itemsList = null;
        that.totalMarginsAndBorders = null;
        that._resizeHandler = null;
        if (that._styleTag) {
            that._styleTag();
            that._styleTag = null;
        }
        that.clear();
        super.dispose();
    }
    _getScrollable() {
        return _render_helper/* RenderHelper */.p.getScrollable(this.container);
    }
    _updateScrollable() {
        _render_helper/* RenderHelper */.p.updateScrollable(this.container);
    }
    _scrollTo(left, top) {
        var that = this, scrollable = this._getScrollable();
        if (scrollable) {
            scrollable.scrollTo({ x: left, y: top });
        }
        else {
            external_jQuery_.fn.constructor(that._rootContent()).scrollLeft(left);
            external_jQuery_.fn.constructor(that._rootContent()).scrollTop(top);
        }
    }
    _scrollOffset() {
        var that = this, scrollable = this._getScrollable();
        if (scrollable) {
            return scrollable.scrollOffset();
        }
        else {
            return {
                left: external_jQuery_.fn.constructor(that._rootContent()).scrollLeft(),
                top: external_jQuery_.fn.constructor(that._rootContent()).scrollTop()
            };
        }
    }
    _rootContent() {
        return this._content;
    }
    _parentHeight() {
        var offset = 0;
        return external_jQuery_.fn.constructor(this.container).height() - offset;
    }
    _parentWidth() {
        var offset = 0;
        return external_jQuery_.fn.constructor(this.container).width() - offset;
    }
    _parentWidthWithoutScroll() {
        var that = this;
        return that._parentWidth() - that._scrollBarWidth * that._hasVerticalScroll;
    }
    _parentHeightWithoutScroll() {
        var that = this;
        return that._parentHeight() - that._scrollBarWidth * that._hasHorizontalScroll;
    }
    _getResizeHandler() {
        var that = this;
        return function () {
            that.redraw();
        };
    }
    _updateByOptions() {
        var viewerOptions = this._option.viewer, itemOptions = this._option.itemOptions, proportions = itemOptions.proportions, width = itemOptions.minWidth;
        this._widgetType = viewerOptions.widgetType.toLowerCase();
        this.align = viewerOptions.align;
        if (this._widgetType === 'card') {
            this.align = this.align || 'left';
            this.minItemWidth = this.curItemWidth = width || 180;
            this._itemProportions = proportions || (itemOptions.hasSparkline ? 0.625 : 0.5);
        }
        else {
            this.align = this.align || 'center';
            this.minItemWidth = this.curItemWidth = width || 200;
            this._itemProportions = proportions || 1;
            this._needVerticalCentering = true;
        }
        this.minItemHeight = this.curItemHeight = this._itemProportions * this.minItemWidth;
    }
    getSizeParams() {
        let scrollOffset = this._scrollOffset();
        let scrollableContent = this.container.querySelector('.' + _css_class_names/* cssClassNames */._.widgetViewerTable);
        let itemMargin = this._option.itemOptions.itemMargin;
        return {
            virtualSize: {
                width: external_jQuery_.fn.constructor(scrollableContent).outerWidth(),
                height: external_jQuery_.fn.constructor(scrollableContent).outerHeight()
            },
            scroll: {
                top: scrollOffset.top,
                left: scrollOffset.left,
                size: this._scrollBarWidth,
                horizontal: this._hasHorizontalScroll === 1,
                vertical: this._hasVerticalScroll === 1
            },
            itemMargin: {
                width: itemMargin.width,
                height: itemMargin.height
            }
        };
    }
    getSelectedItems() {
        return this.itemsList.filter(item => item._isSelected);
    }
    clearSelections() {
        this.itemsList.forEach(item => item.clearSelection());
    }
    _createItems() {
        let data = this._option.dataSource;
        let itemOptions = this._option.itemOptions;
        let rootElement = this._rootContent();
        (this.itemsList || []).forEach(item => item.dispose());
        this.itemsList = [];
        data.forEach(dataItem => {
            itemOptions.widgetType = this._widgetType;
            itemOptions.hoverEnabled = dataItem.hoverEnabled;
            itemOptions.isSelected = dataItem.isSelected;
            itemOptions.cursor = dataItem.cursor;
            itemOptions.tag = dataItem.tag;
            itemOptions.parentRootElement = rootElement;
            this.itemsList.push((this._widgetType == 'card') ? new CardItem(dataItem, itemOptions) : new WidgetItem(dataItem, itemOptions));
        });
        this._firstDraw = true;
        delete this._viewerParams;
    }
    _refresh() {
        this.curItemWidth = this.minItemWidth;
        this.curItemHeight = this.minItemHeight;
        this._createItems();
    }
    _calcTotalMarginsAndBorders() {
        var itemOptions = this._option.itemOptions, borderWidth = itemOptions.borderWidth || 0;
        return {
            width: 2 * (itemOptions.itemMargin.width + borderWidth),
            height: 2 * (itemOptions.itemMargin.height + borderWidth)
        };
    }
    _render(drawOptions) {
        let viewer = this._option.viewer;
        let onRenderComplete = viewer.onRenderComplete;
        let method = viewer.method.toLowerCase();
        let itemCount = viewer.count;
        let clickHandler = viewer.onclick;
        let hoverHandler = viewer.onhover;
        let supportAnimation = viewer.supportAnimation;
        let table;
        let contentElement = this._rootContent();
        let overflowX = contentElement.style.overflowX;
        let overflowY = contentElement.style.overflowY;
        let parentRoot = contentElement.parentElement;
        let overflowXParentRoot = parentRoot.style.overflowX;
        let overflowYParentRoot = parentRoot.style.overflowY;
        let scrollOffset = this._scrollOffset();
        let animationEnabled = supportAnimation && !contentElement.innerHTML && this.itemsList.length <= _dashboard_viewer_constants/* DashboardViewerConstants */.k.elementsCountAnimationThreshold;
        clearTimeout(this._drawTimer);
        table = this._drawItems(method, itemCount, animationEnabled);
        contentElement.innerHTML = '';
        contentElement.style.overflow = 'hidden';
        parentRoot.style.overflow = 'hidden';
        if (table) {
            this.innerContainer = document.createElement('div');
            this.innerContainer.classList.add(_css_class_names/* cssClassNames */._.widgetViewerContainer);
            this.innerContainer.style.textAlign = this.align;
            this.innerContainer.style.padding = '0';
            this.innerContainer.style.margin = '0';
            contentElement.appendChild(this.innerContainer);
            this.innerContainer.appendChild(table);
            this.itemsList.forEach(item => {
                item.finishRender({
                    clickHandler: clickHandler, hoverHandler: hoverHandler, drawOptions: drawOptions
                });
            });
            if (this._needVerticalCentering && this.innerContainer && this._viewerParams.direction === 'Horizontal') {
                this._verticalCentering(table);
            }
        }
        contentElement.style.overflowX = overflowX;
        contentElement.style.overflowY = overflowY;
        parentRoot.style.overflowX = overflowXParentRoot;
        parentRoot.style.overflowY = overflowYParentRoot;
        this._updateScrollable();
        this._scrollTo(scrollOffset.left, scrollOffset.top);
        if (onRenderComplete) {
            onRenderComplete.call(null);
        }
    }
    _verticalCentering(table) {
        var that = this, differenceTop = that._parentHeight() - external_jQuery_.fn.constructor(that.container.querySelector('.' + _css_class_names/* cssClassNames */._.widgetViewerContainer)).height();
        if (differenceTop > 0) {
            that.innerContainer.style.paddingTop = ~~((differenceTop) / 2) + 'px';
        }
        else {
            that.innerContainer.style.paddingTop = '0px';
        }
    }
    redraw() {
        this._render();
    }
    _calcItemIndex(i, j, direction, rowCount, columnCount) {
        return direction == positioningDirection.Horizontal ?
            i * columnCount + j : j * rowCount + i;
    }
    _calcVisibleRow(cardHeight) {
        var height = this._parentHeight();
        return Math.ceil(height / cardHeight);
    }
    _calcVisibleColumn(cardWidth) {
        var width = this._parentWidth();
        return Math.ceil(width / cardWidth);
    }
    _getPartArray(array, count, indexOfPart) {
        var result = [], i = 0, beg = count * indexOfPart;
        for (i = beg; i < beg + count; i++) {
            result.push(array[i]);
        }
        return result;
    }
    _createTable(arrangementInfo, enableAnimation) {
        var that = this, tableStruct, i, j, indexItem, col, row, item, isHorizontal = arrangementInfo.direction == positioningDirection.Horizontal, itemMargin = this._option.itemOptions.itemMargin, ignorePadding = this._option.viewer.ignorePadding, columnCount = isHorizontal ? arrangementInfo.itemsOnRowCount : arrangementInfo.itemsOnColumnCount, rowCount = isHorizontal ? arrangementInfo.itemsOnColumnCount : arrangementInfo.itemsOnRowCount, action, itemsListLen = that.itemsList.length, tableWidth, widthMarginsAndBorders = that.totalMarginsAndBorders.width, heightMarginsAndBorders = that.totalMarginsAndBorders.height, parentWidthWithoutScroll = that._parentWidthWithoutScroll(), parentHeightWithoutScroll = that._parentHeightWithoutScroll(), rowHeight, rowWidth, cellHeight, cellWidth, curItemWidth = that.curItemWidth, curItemHeight = that.curItemHeight, curItemWidthWithoutWidthMargins = curItemWidth - 2 * itemMargin.width, curItemHeightWithoutHeightMargins = curItemHeight - 2 * itemMargin.height, curItem;
        if (rowCount <= 0) {
            return undefined;
        }
        tableStruct = document.createElement('div');
        tableStruct.classList.add(_css_class_names/* cssClassNames */._.widgetViewerTable);
        tableStruct.classList.add(_css_class_names/* cssClassNames */._.widgetViewerIdPrefix + that._viewerID);
        tableStruct.style.overflow = 'hidden';
        tableStruct.style.marginLeft = '0px';
        tableStruct.style.marginRight = '0px';
        if (that._widgetType !== 'card') {
            cellWidth = ~~(Math.max((parentWidthWithoutScroll - columnCount * widthMarginsAndBorders) / columnCount, curItemWidthWithoutWidthMargins));
            cellHeight = !isHorizontal ? ~~(Math.max((parentHeightWithoutScroll - rowCount * heightMarginsAndBorders) / rowCount, curItemHeightWithoutHeightMargins)) : curItemHeightWithoutHeightMargins;
        }
        else {
            cellWidth = curItemWidthWithoutWidthMargins;
            cellHeight = curItemHeightWithoutHeightMargins;
        }
        rowWidth = (cellWidth + 2 * itemMargin.width) * columnCount;
        if (ignorePadding) {
            rowWidth -= 2 * itemMargin.width;
        }
        tableWidth = rowWidth;
        tableStruct.style.height = '100%';
        tableStruct.style.width = tableWidth + 'px';
        if (this._option.useFlex) {
            tableStruct.style.display = 'flex';
            tableStruct.style.flexDirection = 'column';
            tableStruct.style.alignItems = 'center';
        }
        for (i = 0; i < rowCount; i++) {
            rowHeight = curItemHeight;
            if (ignorePadding) {
                if (i === 0 && rowCount === 1) {
                    rowHeight -= 2 * itemMargin.height;
                }
                else if (i === 0 || i === rowCount - 1) {
                    rowHeight -= itemMargin.height;
                }
            }
            row = document.createElement('div');
            row.classList.add(_css_class_names/* cssClassNames */._.widgetViewerRow);
            row.style.clear = 'both';
            row.style.padding = '0px';
            row.style.margin = '0px';
            row.style.height = rowHeight + 'px';
            if (!this._option.useFlex)
                row.style.width = rowWidth + 'px';
            for (j = 0; j < columnCount; j++) {
                item = null;
                col = document.createElement('div');
                col.classList.add(_css_class_names/* cssClassNames */._.widgetViewerCell);
                col.setAttribute('tabindex', '0');
                if (that.itemsList && that.itemsList.length > j && that.itemsList[j]['_itemData']) {
                    const title = that.itemsList[j]['_itemData'].title?.text;
                    const value = that.itemsList[j]['_itemData'].value;
                    const elementLabel = `${that._widgetType}, ${title} ${value ? ', ' + value : ''}`;
                    col.setAttribute('aria-label', elementLabel);
                }
                col.style.paddingLeft = ignorePadding && (j === 0) ? '0' : itemMargin.width + 'px';
                col.style.paddingRight = ignorePadding && (j === columnCount - 1) ? '0' : itemMargin.width + 'px';
                col.style.paddingTop = ignorePadding && (i === 0) ? '0' : itemMargin.height + 'px';
                col.style.paddingBottom = ignorePadding && (i === rowCount - 1) ? '0' : itemMargin.height + 'px';
                col.style.margin = '0px';
                col.style.width = cellWidth + 'px';
                col.style.height = cellHeight + 'px';
                col.style.cssFloat = 'left';
                indexItem = that._calcItemIndex(i, j, arrangementInfo.direction, rowCount, columnCount);
                if (indexItem < itemsListLen) {
                    curItem = that.itemsList[indexItem];
                    if (that._firstDraw) {
                        item = curItem.initDraw(curItemWidth - widthMarginsAndBorders, curItemHeight - heightMarginsAndBorders, indexItem);
                        action = 'draw';
                    }
                    else {
                        curItem.detachItem();
                        item = curItem.getItemContainer();
                        action = 'resize';
                    }
                    if (item) {
                        col.appendChild(item);
                    }
                }
                row.appendChild(col);
            }
            tableStruct.appendChild(row);
        }
        that._processBatchItems(action, 0, enableAnimation);
        that._firstDraw = false;
        return tableStruct;
    }
    _getItemProportions() {
        return this._itemProportions;
    }
    _calcViewerParams(parentWidth, parentHeight, itemCount, method) {
        var that = this, calcRes = that._calculateArrangementInfo(parentWidth, parentHeight, itemCount, method), getRowCount = function () {
            var rowCount = undefined;
            if (calcRes.direction === positioningDirection.Vertical) {
                rowCount = calcRes.itemsOnRowCount;
            }
            if (calcRes.direction === positioningDirection.Horizontal) {
                rowCount = calcRes.itemsOnColumnCount;
            }
            return rowCount;
        }, getColumnCount = function () {
            var colCount = undefined;
            if (calcRes.direction === positioningDirection.Vertical) {
                colCount = calcRes.itemsOnColumnCount;
            }
            if (calcRes.direction === positioningDirection.Horizontal) {
                colCount = calcRes.itemsOnRowCount;
            }
            return colCount;
        }, getWidthByHeight = function (height) {
            var newItemWidth = ~~(height / (that._getItemProportions() * getRowCount()));
            return newWidth = newItemWidth * getColumnCount();
        }, getHeightByWidth = function (width) {
            var newItemHeight = ~~(width * that._getItemProportions() / getColumnCount());
            return newItemHeight * getRowCount();
        };
        that._hasHorizontalScroll = 0;
        that._hasVerticalScroll = 0;
        if (getColumnCount() * calcRes.getWidth() > parentWidth) {
            calcRes = that._calculateArrangementInfo(parentWidth, parentHeight - that._scrollBarWidth, itemCount, method);
            if (calcRes.direction === positioningDirection.Vertical && (getColumnCount() * calcRes.getWidth() < parentWidth)) {
                var newHeight = getHeightByWidth(parentWidth);
                if (newHeight <= parentHeight)
                    return that._calculateArrangementInfo(parentWidth, newHeight, itemCount, method);
            }
            that._hasHorizontalScroll = 1;
        }
        if (getRowCount() * calcRes.getHeight() > parentHeight) {
            calcRes = that._calculateArrangementInfo(parentWidth - that._scrollBarWidth, parentHeight, itemCount, method);
            if (calcRes.direction === positioningDirection.Horizontal && (getRowCount() * calcRes.getHeight() < parentHeight)) {
                var newWidth = getWidthByHeight(parentHeight);
                if (newWidth <= parentWidth)
                    return that._calculateArrangementInfo(newWidth, parentHeight, itemCount, method);
            }
            that._hasVerticalScroll = 1;
        }
        return calcRes;
    }
    _createArrangementInfo(width, lineCount, itemMinWidth, proportions, direction) {
        var that = this, itemWidth, itemHeight, options = {};
        if (lineCount < 1) {
            lineCount = 1;
        }
        if (that.itemsList.length < lineCount) {
            lineCount = that.itemsList.length;
        }
        itemWidth = width / lineCount;
        itemHeight = ~~(itemWidth * proportions);
        if (itemWidth < itemMinWidth) {
            itemWidth = itemMinWidth;
            itemHeight = ~~(itemWidth * proportions);
        }
        return new ArrangementInfo(that.itemsList.length, lineCount, itemWidth, itemHeight, this._option.itemOptions.itemMargin, direction, options);
    }
    _calculateArrangementInfo(width, height, itemCount, method) {
        var that = this, horzInfo, newHorzInfo, nextHorzInfo, vertInfo, itemHeight, itemWidth, countOnWidth, i, itemMargin = this._option.itemOptions.itemMargin, itemProportions = that._getItemProportions(), options = {};
        switch (method) {
            case 'column':
                return that._createArrangementInfo(width, itemCount, that.minItemWidth, itemProportions, positioningDirection.Horizontal);
            case 'row':
                return that._createArrangementInfo(height, itemCount, that.minItemHeight, 1 / itemProportions, positioningDirection.Vertical);
            case 'auto':
                if (height < that.minItemHeight && width / that.minItemWidth >= that.itemsList.length) {
                    return new ArrangementInfo(that.itemsList.length, that.itemsList.length, that.minItemWidth, that.minItemHeight, itemMargin, positioningDirection.Horizontal, options);
                }
                horzInfo = that._createArrangementInfo(width, ~~(width / that.minItemWidth), that.minItemWidth, itemProportions, positioningDirection.Horizontal);
                for (i = horzInfo.itemsOnRowCount - 1; i >= 1; i--) {
                    newHorzInfo = that._createArrangementInfo(width, i, that.minItemWidth, itemProportions, positioningDirection.Horizontal);
                    if (height >= newHorzInfo.itemsOnColumnCount * newHorzInfo.getHeight(false))
                        horzInfo = newHorzInfo;
                    else
                        break;
                }
                nextHorzInfo = that._createArrangementInfo(width, horzInfo.itemsOnRowCount - 1, that.minItemWidth, itemProportions, positioningDirection.Horizontal);
                vertInfo = that._createArrangementInfo(height, nextHorzInfo.itemsOnColumnCount, that.minItemHeight, 1 / itemProportions, positioningDirection.Vertical);
                itemHeight = vertInfo.getHeight(false);
                itemWidth = vertInfo.getWidth(false);
                countOnWidth = nextHorzInfo.itemsOnRowCount;
                if (horzInfo.getHeight(false) < itemHeight && width >= countOnWidth * itemWidth)
                    horzInfo = new ArrangementInfo(that.itemsList.length, countOnWidth, itemWidth, itemHeight, itemMargin, positioningDirection.Horizontal, options);
                if (height < horzInfo.itemsOnColumnCount * horzInfo.getHeight(false)) {
                    vertInfo = that._createArrangementInfo(height, horzInfo.itemsOnColumnCount, that.minItemHeight, 1 / itemProportions, positioningDirection.Vertical);
                    itemHeight = vertInfo.getHeight(false);
                    itemWidth = vertInfo.getWidth(false);
                    countOnWidth = vertInfo.itemsOnColumnCount;
                    if (height >= vertInfo.itemsOnRowCount * itemHeight && width >= countOnWidth * itemWidth)
                        horzInfo = new ArrangementInfo(that.itemsList.length, Math.min(~~(width / itemWidth), that.itemsList.length), itemWidth, itemHeight, itemMargin, positioningDirection.Horizontal, options);
                }
                return horzInfo;
            default:
                return null;
        }
    }
    _drawItems(method, itemCount, enableAnimation) {
        method = method || 'auto';
        itemCount = itemCount || 1;
        var that = this, parentWidth = that._parentWidth(), parentHeight = that._parentHeight(), viewerParams = that._viewerParams, itemsList = that.itemsList, ignorePadding = this._option.viewer.ignorePadding, itemMargin = this._option.itemOptions.itemMargin, extendedWidth = ignorePadding ? 2 * itemMargin.width : 0, extendedHeight = ignorePadding ? 2 * itemMargin.height : 0;
        if (!itemsList.length) {
            return null;
        }
        viewerParams = that._viewerParams = that._calcViewerParams(parentWidth + extendedWidth, parentHeight + extendedHeight, itemCount, method);
        that.curItemHeight = ~~viewerParams.getHeight();
        that.curItemWidth = ~~viewerParams.getWidth();
        return that._createTable(that._viewerParams, enableAnimation);
    }
    getItemByIndex(index) {
        var indexForCheck, result;
        if (_utils/* type */.NW.isNumeric(index)) {
            indexForCheck = Number(index);
            result = this.itemsList[indexForCheck];
        }
        return _utils/* type */.NW.isDefined(result) ? result : null;
    }
    _getScrollBarWidth() {
        var that = this, useNativeScrolling = that._option.viewer.useNativeScrolling, scrollBarWidth = 0;
        if (useNativeScrolling == 'auto' || useNativeScrolling === false) {
            return scrollBarWidth;
        }
        var container = document.createElement('div');
        container.style.position = 'absolute';
        container.style.top = '0';
        container.style.left = '0';
        container.style.visibility = 'hidden';
        container.style.width = '200px';
        container.style.height = '150px';
        container.style.overflow = 'hidden';
        document.body.appendChild(container);
        var p = document.createElement('p');
        p.style.width = '100%';
        p.style.height = '300px';
        container.appendChild(p);
        var widthWithoutScrollBar = external_jQuery_.fn.constructor(p).width();
        var scrollableContent = _render_helper/* RenderHelper */.p.wrapScrollable(container, this._option.viewer.overflow, 'both');
        if (scrollableContent == container) {
            scrollableContent = p;
        }
        scrollBarWidth = widthWithoutScrollBar - external_jQuery_.fn.constructor(scrollableContent).width();
        if (scrollBarWidth > 0) {
            scrollBarWidth++;
        }
        container.parentElement.removeChild(container);
        return scrollBarWidth;
    }
    _processBatchItems(functionName, startIndex, enableAnimation) {
        var that = this, dateStart = Date.now(), itemsList = that.itemsList, itemsListLen = itemsList.length, totalMarginsAndBorders = that.totalMarginsAndBorders, widthMarginsAndBorders = totalMarginsAndBorders.width, heightMarginsAndBorders = totalMarginsAndBorders.height, viewer = this._option.viewer, onAllItemsRenderComplete = viewer.onAllItemsRenderComplete, bulkTimesRenderingTimeInterval = viewer.bulkTimesRenderingTimeInterval, itemWidth = that.curItemWidth - widthMarginsAndBorders, itemHeight = that.curItemHeight - heightMarginsAndBorders, commonItemsOptions, itemsStyle;
        if (!itemsList[startIndex]) {
            return;
        }
        commonItemsOptions = itemsList[startIndex].calcCommonItemSpecificOptions(itemWidth, itemHeight);
        itemsStyle = itemsList[startIndex].getCssStyle(itemWidth, itemHeight, commonItemsOptions, '.' + _css_class_names/* cssClassNames */._.widgetViewerIdPrefix + that._viewerID);
        that._styleTag && that._styleTag();
        that._styleTag = (0,_cssHelper/* addToStyles */.Lq)(itemsStyle, this.container);
        var internalProcessBatchItems = function () {
            if (typeof itemsList[startIndex][functionName] === 'function') {
                dateStart = Date.now();
                do {
                    if (startIndex < itemsListLen) {
                        itemsList[startIndex][functionName](itemWidth, itemHeight, startIndex, commonItemsOptions);
                        ++startIndex;
                    }
                    if (!itemsList[startIndex]) {
                        if (typeof onAllItemsRenderComplete === 'function') {
                            onAllItemsRenderComplete.call(null);
                        }
                        return;
                    }
                } while (Date.now() - dateStart < bulkTimesRenderingTimeInterval);
                that._drawTimer = window.setTimeout(function () { internalProcessBatchItems(); }, 0);
            }
        };
        if (enableAnimation)
            that._drawTimer = window.setTimeout(function () { internalProcessBatchItems(); }, 0);
        else
            internalProcessBatchItems();
    }
}

;// ./dist/viewer-parts/viewer-items/_widget-viewer-item.js




class widgetViewerItem extends baseItem {
    constructor(container, options) {
        super(container, options);
    }
    _clearSelectionUnsafe() {
        this.widgetsViewer.clearSelections();
    }
    getInfoUnsafe() {
        return (0,_jquery_helpers/* deepExtend */.zw)(super.getInfoUnsafe(), this.widgetsViewer.getSizeParams());
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var that = this, options = that._getWidgetViewerOptions(), isInAsyncRendering = true;
        options.viewer.onAllItemsRenderComplete = function () {
            if (that.widgetsViewer) {
                afterRenderCallback();
            }
            else {
                isInAsyncRendering = false;
            }
        };
        if (changeExisting && that.widgetsViewer) {
            that.widgetsViewer.option(options);
        }
        else {
            if (that.widgetsViewer)
                that.widgetsViewer.dispose();
            that.widgetsViewer = that.createWidgetViewer(element, options);
        }
        return isInAsyncRendering;
    }
    createWidgetViewer(element, options) {
        return new dxWidgetsViewer(element, options);
    }
    _getContainerPositionUnsafe() {
        var that = this, position = super._getContainerPositionUnsafe(), itemInfo = that.getInfo(), scrollSize = itemInfo && itemInfo.scroll && itemInfo.scroll.vertical ? itemInfo.scroll.size : 0;
        position.offsetX -= scrollSize;
        return position;
    }
    _getSpecificWidgetViewerOptions() {
        return {
            itemOptions: {
                encodeHtml: this._isEncodeHtml(),
                itemWidgetOptionsPrepared: (options) => this._raiseItemWidgetOptionsPrepared(options)
            }
        };
    }
    _getWidgetType() {
        return null;
    }
    _isHoverEnabled() {
        return this._selectionMode() !== 'none';
    }
    _configureHover(selectionValues) {
        var hoverEnabled = selectionValues !== null && this._isHoverEnabled() && (0,_utils/* allowSelectValue */.lL)(selectionValues);
        return {
            hoverEnabled,
            cursor: hoverEnabled ? 'pointer' : 'default'
        };
    }
    _getWidgetViewerOptions() {
        let viewModel = this.options.ViewModel;
        let contentDescription = viewModel ? viewModel.ContentDescription : undefined;
        if (this.dataController)
            this.dataController.setSourceItemProperties = (sourceItem, element, properties) => this._setSourceItemProperties(sourceItem, element, properties);
        let commonOptions = {
            dataSource: this._getDataSource(),
            viewer: {
                redrawOnResize: false,
                onclick: this._getOnClickHandler(),
                onhover: this._getOnHoverHandler(),
                widgetType: this._getWidgetType(),
                method: contentDescription ? this._convertContentArrangementMode(contentDescription.ArrangementMode) : 'auto',
                count: contentDescription ? contentDescription.LineCount : 1,
                supportAnimation: this._supportAnimation(),
            }
        };
        var resultOptions = (0,_jquery_helpers/* deepExtend */.zw)(commonOptions, this._getSpecificWidgetViewerOptions());
        this._ensureOptions(resultOptions);
        return resultOptions;
    }
    _supportAnimation() {
        return false;
    }
    _getDataSource() {
        if (this.dataController)
            return this.dataController.getDataSource();
    }
    _getElementInteractionValue(element, viewModel) {
        return element.tag;
    }
    _getOnClickHandler() {
        var that = this;
        return function (e) {
            that._raiseItemClick(e.item);
        };
    }
    _getOnHoverHandler() {
        var that = this;
        return function (e) {
            that._raiseItemHover(e.item, e.state);
        };
    }
    _convertContentArrangementMode(contentArrangementMode) {
        switch (contentArrangementMode) {
            case 'FixedColumnCount':
                return 'column';
            case 'FixedRowCount':
                return 'row';
            default:
                return 'auto';
        }
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        this.widgetsViewer.redraw();
    }
    updateContentStateUnsafe() {
        this.widgetsViewer.itemsList.forEach(viewer => {
            viewer.setHoverEnabledState(this._getCustomHoverEnabled());
        });
    }
    _setSourceItemProperties(sourceItem, elementModel, props) {
    }
    _isMultiDataSupported() {
        return true;
    }
    _ensureOptions(options) {
    }
    dispose() {
        super.dispose();
        if (this.widgetsViewer)
            this.widgetsViewer.dispose();
    }
}

;// ./dist/viewer-parts/viewer-items/_kpi-item.js



class kpiItem extends widgetViewerItem {
    constructor(container, options) {
        super(container, options);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var result = super.renderContentUnsafe(element, changeExisting, afterRenderCallback);
        element.classList.add('dx-dashboard-widget-viewer-item');
        return result;
    }
    _showTitle() {
        return true;
    }
    _getElementsName() {
    }
    selectTupleUnsafe(tuple, state) {
        this.widgetsViewer.itemsList.forEach(viewer => {
            if ((0,_utils/* checkValuesAreEqual */.rY)(viewer.tag, tuple[0].value)) {
                if (state) {
                    viewer.select();
                }
                else {
                    viewer.clearSelection();
                }
            }
        });
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.clearSelection();
        this._applySelection();
    }
    _getDataPoint(element) {
        var that = this, viewModel = that.options.ViewModel, elementTag = element.tag, titleValues = elementTag ? elementTag : [], elementIndex = elementTag ? 0 : element.index, elViewModel = viewModel[that._getElementsName()][elementIndex];
        return {
            getValues: function (name) {
                return (name == 'Default') ? titleValues : null;
            },
            getDeltaIds: function () {
                return elViewModel.DataItemType === 'Delta' ? [elViewModel.ID] : [];
            },
            getMeasureIds: function () {
                return elViewModel.DataItemType === 'Measure' ? [elViewModel.ID] : [];
            },
            getSelectionValues: function () {
                return elementTag;
            }
        };
    }
    _isMultiDataSupported() {
        return true;
    }
    _setSourceItemProperties(sourceItem, elementModel, props) {
        var selectionValues = props.getSelectionValues(), serverSelection = this.options.SelectedValues, currentLine, isSelected = function () {
            if (serverSelection && selectionValues) {
                for (var i = 0; i < serverSelection.length; i++) {
                    currentLine = serverSelection[i];
                    if ((0,_utils/* checkValuesAreEqual */.rY)(selectionValues, currentLine))
                        return true;
                }
            }
            return false;
        };
        (0,_jquery_helpers/* extend */.X$)(sourceItem, this._configureHover(selectionValues));
        sourceItem.tag = selectionValues;
        sourceItem.isSelected = isSelected();
    }
    _applySelectionUnsafe() {
        var that = this;
        that.getSelectedTuples().forEach(tuple => that.selectTuple(tuple, true));
    }
}

;// ./dist/viewer-parts/viewer-items/_cards-item.js








class cardsItem extends kpiItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this._isDrillDownEnabled = options.IsDrillDownEnabled && options.IsDrillDownEnabled();
        this.useNewViewer = options.ViewModel.HasLayout;
        this._hasSparkline = false;
        this.apiHandlers = new CardWidgetImplementation(() => { this.renderContentUnsafe(this.contentRoot, true, () => { }); });
        this._styleSettingsProvider = new _style_settings_provider/* cardItemStyleSettingsProvider */.ZU(this.container);
        this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel, this.options.ViewModel ? this.options.ViewModel.WordWrap : false);
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (newOptions.IsDrillDownEnabled)
            this._isDrillDownEnabled = newOptions.IsDrillDownEnabled();
        if (this._styleSettingsProvider) {
            this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel, this.options.ViewModel ? this.options.ViewModel.WordWrap : false);
        }
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        this._hasSparkline = false;
        if (this.options.ViewModel.HasLayout != this.useNewViewer && this.widgetsViewer != null) {
            this.widgetsViewer.clear();
            this.widgetsViewer = null;
        }
        this.useNewViewer = this.options.ViewModel.HasLayout;
        this.disposeLayoutCollection();
        this.initializeLayoutCollection();
        super.renderContentUnsafe(element, changeExisting, afterRenderCallback);
        this.apiHandlers._element = this.widgetsViewer.element();
        return false;
    }
    createWidgetViewer(element, options) {
        if (this.useNewViewer)
            return new CardsViewer(element, options);
        else
            return super.createWidgetViewer(element, options);
    }
    initializeLayoutCollection() {
        this.layoutCollection = {};
        if (this.options.ViewModel.HasLayout) {
            var cards = this.options.ViewModel.Cards;
            cards.forEach(card => {
                var layout = new cardLayout(this.apiHandlers, this._isDrillDownEnabled);
                layout.fill(card.Layout);
                this.layoutCollection[card.ID] = layout;
            });
        }
    }
    _isPaneEmpty() {
        return super._isPaneEmpty() || !this.hasCaption();
    }
    _isBorderRequired() {
        return false;
    }
    _isTransparentBackground() {
        return this._isPaneEmpty() && this.visualMode !== 'content';
    }
    _getSpecificWidgetViewerOptions() {
        let specificOptions = {};
        specificOptions.viewer = {
            ignorePadding: this._getIgnorePadding(),
            controlContainer: this.options.controlContainer,
        };
        var layoutsArray = [];
        for (var layoutKey in this.layoutCollection) {
            layoutsArray.push(this.layoutCollection[layoutKey]);
        }
        specificOptions.itemOptions = {
            hasSparkline: this._hasSparkline,
            layouts: layoutsArray
        };
        specificOptions.styleSettingsProvider = this._styleSettingsProvider;
        return (0,_jquery_helpers/* deepExtend */.zw)(specificOptions, super._getSpecificWidgetViewerOptions());
    }
    _getIgnorePadding() {
        return this._isPaneEmpty() && this.visualMode !== 'content';
    }
    _getWidgetType() {
        return 'card';
    }
    _getElementsName() {
        return 'Cards';
    }
    setOldCardProperties(sourceItem, cardModel, props) {
        var captions = props.getCaptions(), sparklineOptions, indicatorType, isGood;
        if (cardModel.DataItemType === _utils/* KpiValueMode */.x6.Measure) {
            sourceItem.mainValue = {
                type: undefined,
                hasPositiveMeaning: undefined,
                text: {
                    value: props.getMeasureDisplayText(),
                    useDefaultColor: cardModel.IgnoreDeltaColor
                }
            };
        }
        else {
            indicatorType = props.getIndicatorType();
            isGood = props.getIsGood();
            sourceItem.mainValue = {
                type: indicatorType,
                hasPositiveMeaning: isGood,
                text: {
                    value: props.getMainValueText(),
                    useDefaultColor: cardModel.IgnoreDeltaColor
                }
            };
            sourceItem.variableValue1 = {
                type: indicatorType,
                hasPositiveMeaning: isGood,
                text: {
                    value: props.getSubValue1Text(),
                    useDefaultColor: cardModel.IgnoreSubValue1DeltaColor
                }
            };
            sourceItem.variableValue2 = {
                type: indicatorType,
                hasPositiveMeaning: isGood,
                text: {
                    value: props.getSubValue2Text(),
                    useDefaultColor: cardModel.IgnoreSubValue2DeltaColor
                }
            };
        }
        if (cardModel.ShowSparkline) {
            sparklineOptions = props.getSparklineOptions();
            this._hasSparkline = !!sparklineOptions;
            if (this._hasSparkline) {
                sourceItem.sparklineOptions = sparklineOptions;
            }
        }
        if (captions.length > 0) {
            sourceItem.title = captions.pop();
            sourceItem.subTitle = captions.length != 0 ? captions.join(' - ') : undefined;
        }
    }
    setNewCardProperties(sourceItem, cardModel, props) {
        sourceItem.layout = this.layoutCollection[cardModel.ID];
        sourceItem.dataAccessor = props;
    }
    _setSourceItemProperties(sourceItem, cardModel, props) {
        super._setSourceItemProperties(sourceItem, cardModel, props);
        if (this.useNewViewer)
            this.setNewCardProperties(sourceItem, cardModel, props);
        else
            this.setOldCardProperties(sourceItem, cardModel, props);
    }
    _getWidget() {
        return this.useNewViewer ? this.apiHandlers : undefined;
    }
    _generateInnerBorderClassesUnsafe(element) {
        var classes = super._generateInnerBorderClassesUnsafe(element);
        var cardWithoutBackground = !this.hasParentContainer() && !this.hasCaption();
        if (cardWithoutBackground) {
            classes.push(cssClassNamesBaseItem.cardWihtoutBackground);
        }
        if (element) {
            cardWithoutBackground ?
                element.classList.add(cssClassNamesBaseItem.cardWihtoutBackground) :
                element.classList.remove(cssClassNamesBaseItem.cardWihtoutBackground);
        }
        return classes;
    }
    dispose() {
        super.dispose();
        this.disposeLayoutCollection();
        if (this._styleSettingsProvider) {
            this._styleSettingsProvider.dispose();
            this._styleSettingsProvider = null;
        }
        if (this.apiHandlers) {
            this.apiHandlers.dispose();
            this.apiHandlers = null;
        }
    }
    disposeLayoutCollection() {
        if (this.layoutCollection) {
            for (var key in this.layoutCollection) {
                if (this.layoutCollection.hasOwnProperty(key))
                    this.layoutCollection[key].dispose();
            }
        }
        this.layoutCollection = null;
    }
}

// EXTERNAL MODULE: ./dist/data/_selection-helper.js
var _selection_helper = __webpack_require__(3423);
// EXTERNAL MODULE: ./dist/viewer-parts/_dx-devextreme-themes-integration.js
var _dx_devextreme_themes_integration = __webpack_require__(3523);
// EXTERNAL MODULE: ./dist/viewer-parts/conditional-formatting/_appearance-settings-provider.js
var _appearance_settings_provider = __webpack_require__(672);
;// ./dist/viewer-parts/conditional-formatting/_chart-item-style-settings-provider.js


class ChartItemStyleSettingsProvider {
    initialize(cfModel) {
        if (cfModel)
            this.cfModel = cfModel;
    }
    getDefaultBackColor() {
        return _appearance_settings_provider/* appearanceSettingsProvider */.v.getDefaultColorizationColor();
    }
    getBackColor(styleSettingsInfo) {
        let styleIndexes = styleSettingsInfo ? styleSettingsInfo.styleIndexes : undefined, styleSettingsModel;
        if (styleIndexes && styleIndexes.length > 0) {
            let resultIndex = styleIndexes[styleIndexes.length - 1];
            styleSettingsModel = this.cfModel.FormatConditionStyleSettings[resultIndex];
            return this.getBackColorFromStyleSettingsModel(styleSettingsModel);
        }
    }
    getBackColorFromStyleSettingsModel(styleSettingsModel) {
        if (styleSettingsModel.RangeIndex) {
            let condition = this.cfModel.RuleModels[styleSettingsModel.RuleIndex].ConditionModel;
            styleSettingsModel = _style_settings_provider/* styleSettingsProvider */.AI._getRangeBackColorStyleSettings(styleSettingsModel, condition);
        }
        return _appearance_settings_provider/* appearanceSettingsProvider */.v.getColor(styleSettingsModel);
    }
}

;// ./dist/viewer-parts/viewer-items/_chart-item.js














class chartItem extends baseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this.itemElementCustomColor = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
    }
    dispose() {
        super.dispose();
        if (this.chartViewer) {
            this.chartViewer.dispose();
            this.chartViewer = null;
        }
        if (this._dataController) {
            this._dataController.elementCustomColor = null;
            this._dataController.styleSettingsProvider = null;
            this._dataController = null;
        }
        this.itemElementCustomColor && this.itemElementCustomColor.empty();
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        this._styleSettingsProvider = new ChartItemStyleSettingsProvider();
        this._styleSettingsProvider.initialize(this.options.ConditionalFormattingModel);
        if (this.dataController) {
            this._dataController.elementCustomColor = (e) => this._elementCustomColor(e);
            this._dataController.styleSettingsProvider = this._styleSettingsProvider;
        }
    }
    _clearSelectionUnsafe() {
        this.chartViewer.clearSelection();
    }
    selectTupleUnsafe(tuple, state) {
        _selection_helper/* selectionHelper */.x.setSelectedPoint(this.chartViewer, (0,_utils/* getAxisPointValue */.$7)(tuple, item_data_axis_names/* itemDataAxisNames */.X.chartSeriesAxis), (0,_utils/* getAxisPointValue */.$7)(tuple, item_data_axis_names/* itemDataAxisNames */.X.chartArgumentAxis), state);
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.clearSelection();
        this._applySelection();
    }
    updateContentStateUnsafe() {
        if (this._getCustomHoverEnabled()) {
            var hoverMode = null, targetAxes = this._getTargetAxes();
            if (targetAxes.length == 1) {
                if (targetAxes[0] == item_data_axis_names/* itemDataAxisNames */.X.chartArgumentAxis)
                    hoverMode = _chart_helper/* chartHelper */.v.SelectionMode.Argument;
                else
                    hoverMode = _chart_helper/* chartHelper */.v.SelectionMode.Series;
            }
            else if (targetAxes.length == 2) {
                hoverMode = _chart_helper/* chartHelper */.v.SelectionMode.Points;
            }
            this.chartViewer.option('commonSeriesSettings.hoverMode', this._convertHoverMode(hoverMode));
            this.chartViewer.option('commonSeriesSettings.point.hoverMode', this._convertPointHoverMode(hoverMode));
        }
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var opts = this._getViewOptions();
        if (changeExisting && this.chartViewer) {
            switch (this.options.ContentType) {
                case _common/* contentType */.IM.viewModel:
                    break;
                default:
                    (0,_jquery_helpers/* deepExtend */.zw)(opts, this._getCommonOptions());
                    break;
            }
            this._raiseItemWidgetOptionsPrepared(opts);
            this.chartViewer.option(opts);
        }
        else {
            var options = { ...opts, ...this._getCommonOptions() };
            this._raiseItemWidgetOptionsPrepared(options);
            if (this.chartViewer)
                this.chartViewer.dispose();
            this.chartViewer = this._createTestableWidget(element, options);
        }
        return false;
    }
    _createTestableWidget(element, options) {
        return new (external_DevExpress_viz_dxChart_default())(element, options);
    }
    _elementCustomColor(eventArgs) {
        this.itemElementCustomColor.fire(this.getName(), eventArgs);
    }
    _getZoomAndPanOption(viewModel) {
        var zoomAndPanOptions = {
            argumentAxis: 'none'
        };
        if (viewModel.AxisX.EnableZooming) {
            zoomAndPanOptions.argumentAxis = 'both';
        }
        else if (viewModel.AxisX.LimitVisiblePoints) {
            zoomAndPanOptions.argumentAxis = 'pan';
        }
        return zoomAndPanOptions;
    }
    _getViewOptions() {
        var viewModel = this.options ? this.options.ViewModel : undefined;
        if (!viewModel)
            return {};
        let that = this;
        const forceShowPointMarkers = viewModel.Panes
            .reduce((seriesTemplates, pane) => [...seriesTemplates, ...pane.SeriesTemplates], [])
            .reduce((forceShow, seriesTemplate) => forceShow || seriesTemplate.ForceShowPointMarkers, false);
        var dataSourceAndSeries = that._dataController.getDataSourceAndSeries(that._isEncodeHtml()), panes = viewModel.Panes, isSelectable = that.isInteractivityActionEnabled(), seriesFormats = {}, isDiscreteArgument = that._dataController.isDiscreteArgument(), argumentAxisLabelFormat = that._dataController.getAxisXFormat(), rotated = viewModel.Rotated, axisGridColor = (0,_dx_devextreme_themes_integration/* getBaseColorScheme */.u)() === 'light' ? '#d3d3d3' : '#555555', isOverlappingModeHide = function () {
            var isHideMode = false;
            panes.forEach(pane => {
                pane.SeriesTemplates.forEach(seriesTemplate => {
                    if (seriesTemplate.PointLabel) {
                        var pointLabelsEnabled = that._dataController.checkSeriesTemplatePointLabels(seriesTemplate);
                        if (pointLabelsEnabled && (seriesTemplate.PointLabel.OverlappingMode == 'Hide' || seriesTemplate.PointLabel.OverlappingMode == 'Reposition'))
                            isHideMode = true;
                    }
                });
            });
            return isHideMode;
        }, configureLogarithmicOptions = function (axis, axisModel) {
            if (axisModel.Logarithmic) {
                axis.type = 'logarithmic';
                axis.logarithmBase = axisModel.LogarithmicBase;
            }
        }, customizeTextProc = function (isPercentAxis, isScientificAxis, customFormat) {
            return function () {
                if (customFormat != null)
                    return _format_helper/* DashboardFormatHelper */.O6.format(this.value, (0,_formatter/* convertToFormat */.mL)({ NumericFormat: customFormat }));
                if (isPercentAxis)
                    return (0,_formatter/* formatPercentValue */.Iv)(this.value);
                if (isScientificAxis)
                    return (0,_formatter/* formatScientificAxisValue */.Fn)(this.value);
                return (0,_formatter/* formatAxisValue */.Ah)(this.value, this.min, this.max);
            };
        }, options = {
            panes: [],
            valueAxis: [],
            rotated: rotated,
            zoomAndPan: this._getZoomAndPanOption(viewModel),
            resizePanesOnZoom: true,
            scrollBar: {
                visible: viewModel.AxisX.EnableZooming || viewModel.AxisX.LimitVisiblePoints,
                position: 'bottom'
            },
            autoHidePointMarkers: !forceShowPointMarkers
        };
        options.resolveLabelsOverlapping = isOverlappingModeHide();
        options.disableTwoWayBinding = true;
        options.resolveLabelOverlapping = isOverlappingModeHide() ? 'hide' : 'none';
        panes.forEach((pane, index) => {
            var paneName = that._dataController.generatePaneName(pane.Name, index), isPrimaryAxisInPercentFormat = that._isAxisInPercentFormat(pane, false), isPrimaryAxisInScientificFormat = that._isAxisInScientificFormat(pane, false), isSecondaryAxisInPercentFormat = that._isAxisInPercentFormat(pane, true), isSecondaryAxisInScientificFormat = that._isAxisInScientificFormat(pane, true);
            seriesFormats[paneName] = {};
            options.panes.push({
                name: paneName
            });
            let axis = {
                name: paneName + 'primary',
                position: rotated ? 'bottom' : 'left',
                pane: paneName,
                inverted: pane.PrimaryAxisY.Reverse,
                color: axisGridColor,
                tick: {
                    visible: false,
                },
                minorTick: {
                    visible: false,
                },
                label: {
                    visible: pane.PrimaryAxisY.Visible,
                    customizeText: customizeTextProc(isPrimaryAxisInPercentFormat, isPrimaryAxisInScientificFormat, pane.PrimaryAxisY.Format && pane.PrimaryAxisY.Format.NumericFormat)
                },
                title: {
                    text: pane.PrimaryAxisY.Visible ? pane.PrimaryAxisY.Title : null
                },
                visible: pane.PrimaryAxisY.Visible,
                grid: {
                    visible: pane.PrimaryAxisY.ShowGridLines
                },
                showZero: pane.PrimaryAxisY.ShowZeroLevel
            };
            configureLogarithmicOptions(axis, pane.PrimaryAxisY);
            options.valueAxis.push(axis);
            if (pane.SecondaryAxisY) {
                let axis = {
                    name: paneName + 'secondary',
                    position: rotated ? 'top' : 'right',
                    pane: paneName,
                    inverted: pane.SecondaryAxisY.Reverse,
                    color: axisGridColor,
                    tick: {
                        visible: false,
                    },
                    minorTick: {
                        visible: false,
                    },
                    label: {
                        visible: pane.SecondaryAxisY.Visible,
                        customizeText: customizeTextProc(isSecondaryAxisInPercentFormat, isSecondaryAxisInScientificFormat, pane.SecondaryAxisY.Format && pane.SecondaryAxisY.Format.NumericFormat)
                    },
                    title: {
                        text: pane.SecondaryAxisY.Visible ? pane.SecondaryAxisY.Title : null
                    },
                    visible: pane.SecondaryAxisY.Visible,
                    grid: {
                        visible: pane.SecondaryAxisY.ShowGridLines
                    },
                    showZero: pane.SecondaryAxisY.ShowZeroLevel
                };
                configureLogarithmicOptions(axis, pane.SecondaryAxisY);
                options.valueAxis.push(axis);
            }
        });
        if (rotated) {
            options.panes.reverse();
        }
        options.commonSeriesSettings = {
            hoverMode: isSelectable ? that._convertHoverMode(viewModel.SelectionMode) : 'none',
            point: {
                visible: false,
                hoverMode: isSelectable ? that._convertPointHoverMode(viewModel.SelectionMode) : 'none'
            },
            stackedbar: {
                label: {
                    backgroundColor: 'none'
                }
            }
        };
        var zoomArguments = that._dataController ? that._dataController.getZoomArguments() : null;
        options.argumentAxis = {
            argumentType: null,
            inverted: viewModel.AxisX.Reverse,
            color: axisGridColor,
            tick: {
                visible: false,
            },
            minorTick: {
                visible: false,
            },
            label: {
                visible: viewModel.AxisX.Visible,
                overlappingBehavior: (!viewModel.Argument.IsOrderedDiscrete && isDiscreteArgument ? 'auto' : 'hide'),
                customizeText: function (argument) {
                    return that._dataController.getAxisXLabelText(argument);
                }
            },
            title: {
                text: viewModel.AxisX.Visible ? viewModel.AxisX.Title : null
            },
            grid: {
                visible: viewModel.AxisX.ShowGridLines
            },
            visible: viewModel.AxisX.Visible,
            valueMarginsEnabled: _chart_helper/* chartHelper */.v.allowArgumentAxisMargins(panes),
            tickInterval: null,
            visualRange: zoomArguments ? [zoomArguments.start, zoomArguments.end] : [null, null]
        };
        configureLogarithmicOptions(options.argumentAxis, viewModel.AxisX);
        if (isDiscreteArgument) {
            options.argumentAxis.type = 'discrete';
            options.argumentAxis.argumentType = 'string';
        }
        else {
            if (options.argumentAxis.type === undefined)
                options.argumentAxis.type = 'continuous';
        }
        options.dataPrepareSettings = {
            sortingMethod: false
        };
        if (argumentAxisLabelFormat && !(viewModel.Argument && viewModel.Argument.IsContinuousDateTimeScale)) {
            options.argumentAxis.axisDivisionFactor = 70;
            switch (argumentAxisLabelFormat.format) {
                case 'monthYear':
                    options.argumentAxis.tickInterval = 'month';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                case 'dayMonthYear':
                    options.argumentAxis.tickInterval = 'day';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                case 'quarterYear':
                    options.argumentAxis.tickInterval = 'quarter';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                case 'dateHour':
                    options.argumentAxis.tickInterval = 'hour';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                case 'dateHourMinute':
                    options.argumentAxis.tickInterval = 'minute';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                case 'dateHourMinuteSecond':
                    options.argumentAxis.tickInterval = 'second';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                case 'weekYear':
                    options.argumentAxis.workWeek = [argumentAxisLabelFormat.firstDayOfWeek];
                    options.argumentAxis.tickInterval = 'week';
                    options.argumentAxis.label.minSpacing = 10;
                    break;
                default:
                    options.argumentAxis.tickInterval = null;
                    break;
            }
        }
        if (viewModel.Legend) {
            let legendParams = viewModel.Legend.IsInsideDiagram ?
                _chart_helper/* chartHelper */.v.convertLegendInsidePosition(viewModel.Legend.InsidePosition) :
                _chart_helper/* chartHelper */.v.convertLegendOutsidePosition(viewModel.Legend.OutsidePosition);
            legendParams.border = {
                visible: viewModel.Legend.IsInsideDiagram
            };
            options.legend = { ...legendParams,
                position: viewModel.Legend.IsInsideDiagram ? 'inside' : 'outside',
                visible: viewModel.Legend.Visible,
                itemTextPosition: 'right',
                customizeText: (args) => this._dataController.getLegendSeriesDisplayName(args.seriesName)
            };
            if (viewModel.Legend.IsInsideDiagram)
                options.legend.margin = 10;
        }
        return (0,_jquery_helpers/* deepExtend */.zw)(dataSourceAndSeries, options);
    }
    _getCommonOptions() {
        var that = this, animation = that._getAnimationOptions(), options = {
            sortSeriesPointsByAxis: true,
            redrawOnResize: false,
            pointSelectionMode: 'multiple',
            seriesSelectionMode: 'multiple',
            palette: _render_helper/* RenderHelper */.p.getDefaultPalette(),
            encodeHtml: that._isEncodeHtml(),
            onIncidentOccurred: (e) => {
                if (e['target'].id === 'W2002' && (e['target'].args.indexOf('legendFakeArgument') || (e['target'].args.indexOf('legendFakeValue'))))
                    return;
                if (e['target'].id === 'W2103' || e['target'].id === 'W2104' || e['target'].id === 'W2105' || e['target'].id === 'W2106')
                    return;
                _render_helper/* RenderHelper */.p.widgetIncidentOccurred(e);
            },
            adjustOnZoom: false,
            customizePoint: function () {
                var argumentTag = this.tag, seriesTag = this.series.tag, result = {};
                if (!_chart_helper/* chartHelper */.v.isFinancialType(this.series.type)) {
                    result.color = that._dataController.getColor(argumentTag.axisPoint, seriesTag.axisPoint, that._getMeasuresIds(seriesTag), seriesTag.colorMeasureId);
                }
                let interactionValue = that._getElementInteractionValue(this, that.options.ViewModel);
                if (interactionValue && interactionValue.axisPoint && !(0,_utils/* allowSelectValue */.lL)(interactionValue.axisPoint.getUniquePath())) {
                    result.hoverStyle = { hatching: 'none' };
                }
                return result;
            }
        };
        options.onPointClick = function (e) {
            that._raiseItemClick(e.target);
            e['cancel'] = true;
        };
        options.onSeriesClick = function (e) {
            that._raiseItemClick({ series: e.target });
        };
        options.onPointHoverChanged = function (e) {
            that._raiseItemHover(e.target);
        };
        options.tooltip = {
            enabled: true,
            container: _utils/* tooltipContainerSelector */.eX,
            contentTemplate: function (obj) {
                var pane = obj.point.series.pane, argumentText = that._dataController.getTooltipArgumentText(obj), allSeries = that.chartViewer.getAllSeries();
                var table = document.createElement('table');
                let ARGUMENT_VALUE_CLASS = 'dx-argument-value';
                let createCell = (element, className) => {
                    var tr = document.createElement('tr');
                    var td = document.createElement('td');
                    if (className)
                        td.classList.add(className);
                    tr.appendChild(td);
                    if (typeof element === 'string')
                        td.innerHTML = element;
                    else
                        td.appendChild(element);
                    return tr;
                };
                table.appendChild(createCell(that._getHtml(argumentText), ARGUMENT_VALUE_CLASS));
                let valueCount = 0;
                let truncated = false;
                for (let i = 0; i < allSeries.length; i++) {
                    let series = allSeries[i];
                    if (series.pane === pane) {
                        var points = series.getPointsByArg(obj.argument), point = points.length > 1 ? obj.point : points[0];
                        if (point) {
                            var textNode = that._dataController.customizeTooltipText(series, point, series.tag.valueFormats, that._isEncodeHtml());
                            if (textNode) {
                                if (valueCount < chartItem._maxTooltipValues) {
                                    table.appendChild(createCell(textNode));
                                    valueCount++;
                                }
                                else {
                                    truncated = true;
                                    break;
                                }
                            }
                        }
                    }
                }
                if (truncated) {
                    table.appendChild(createCell('...'));
                }
                var div = document.createElement('div');
                div.appendChild(table);
                return div;
            },
            font: {
                size: 14
            },
            zIndex: _z_index/* zIndex */.f.dashboardItemTooltips
        };
        options.commonPaneSettings = {
            border: {
                visible: true
            }
        };
        options.animation = {
            enabled: animation.enabled,
            duration: animation.duration
        };
        options.margin = {
            top: 10,
            right: 22,
            bottom: 22,
            left: 22
        };
        return options;
    }
    _applySelectionUnsafe() {
        var that = this, viewModel = that.options.ViewModel, tuples = that.getSelectedTuples();
        if (viewModel && viewModel.SelectionEnabled && tuples.length > 0) {
            that.chartViewer.clearSelection();
            tuples.forEach(tuple => {
                that.selectTuple(tuple, true);
            });
        }
    }
    _getDataPoint(element) {
        var that = this, elementTag = element.tag, elementSeries = element.series, elementSeriesTag = elementSeries ? elementSeries.tag : undefined, seriesValues = elementSeriesTag ? (0,_utils/* getTagValue */.Gb)(elementSeriesTag) : [], argumentValues = elementTag ? (0,_utils/* getTagValue */.Gb)(elementTag) : [], seriesIndex = elementSeries ? elementSeries.index : undefined;
        return {
            getValues: function (name) {
                switch (name) {
                    case item_data_axis_names/* itemDataAxisNames */.X.chartArgumentAxis:
                        return argumentValues;
                    case item_data_axis_names/* itemDataAxisNames */.X.chartSeriesAxis:
                        return seriesValues;
                    default:
                        return null;
                }
            },
            getDeltaIds: function () {
                return [];
            },
            getMeasureIds: function () {
                return that._getMeasuresIds(elementSeriesTag);
            }
        };
    }
    _getMeasuresIds(elementSeriesTag) {
        return elementSeriesTag ? elementSeriesTag.dataMembers : [];
    }
    _isMultiDataSupported() {
        return true;
    }
    _getElementInteractionValue(element, viewModel) {
        return (viewModel.SelectionEnabled && viewModel.SelectionMode === _chart_helper/* chartHelper */.v.SelectionMode.Series) ? element.series.tag : element.tag;
    }
    _isAxisInPercentFormat(pane, isSecondaryAxis) {
        var seriesTemplate;
        for (var i = 0; i < pane.SeriesTemplates.length; i++) {
            seriesTemplate = pane.SeriesTemplates[i];
            if (isSecondaryAxis == seriesTemplate.PlotOnSecondaryAxis && !seriesTemplate.OnlyPercentValues && !this._isFullStackedSeriesType(seriesTemplate.SeriesType))
                return false;
        }
        return true;
    }
    _isAxisInScientificFormat(pane, isSecondaryAxis) {
        var seriesTemplate;
        for (var i = 0; i < pane.SeriesTemplates.length; i++) {
            seriesTemplate = pane.SeriesTemplates[i];
            if (isSecondaryAxis == seriesTemplate.PlotOnSecondaryAxis && !seriesTemplate.OnlyScientificValues)
                return false;
        }
        return true;
    }
    _isFullStackedSeriesType(seriesType) {
        switch (seriesType) {
            case 'FullStackedArea':
            case 'FullStackedBar':
            case 'FullStackedLine':
            case 'FullStackedSplineArea':
                return true;
            default:
                return false;
        }
    }
    _convertHoverMode(selectionMode) {
        switch (selectionMode) {
            case _chart_helper/* chartHelper */.v.SelectionMode.Argument:
                return 'allArgumentPoints';
            case _chart_helper/* chartHelper */.v.SelectionMode.Series:
                return 'allSeriesPoints';
            case _chart_helper/* chartHelper */.v.SelectionMode.Points:
            default:
                return 'none';
        }
    }
    _convertPointHoverMode(selectionMode) {
        switch (selectionMode) {
            case _chart_helper/* chartHelper */.v.SelectionMode.Argument:
                return 'allArgumentPoints';
            case _chart_helper/* chartHelper */.v.SelectionMode.Series:
                return 'allSeriesPoints';
            case _chart_helper/* chartHelper */.v.SelectionMode.Points:
                return 'onlyPoint';
            default:
                return 'none';
        }
    }
    _resizeUnsafe() {
        super._resizeUnsafe();
        if ((0,_jquery_helpers/* isVisible */.zN)(this.container)) {
            this.chartViewer.render();
        }
    }
    _getWidget() {
        return this.chartViewer;
    }
}
chartItem._maxTooltipValues = 20;

;// ./dist/viewer-parts/viewer-items/_choropleth-map-item.js





class choroplethMapItem extends mapItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
    }
    selectTuple(tuple, state) {
        var that = this;
        that.mapViewer.getLayerByName('area').getElements().forEach(item => {
            if (item.attribute('selectionName') == tuple[0].value)
                item.selected(state);
        });
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        var that = this;
        this.clearSelection();
        if (values && values.length) {
            that.mapViewer.getLayerByName('area').getElements().forEach(item => {
                values.forEach(value => {
                    if (item.attribute('selectionName') == value)
                        item.selected(true);
                });
            });
        }
    }
    updateContentStateUnsafe() {
        this.mapViewer.option('layers[0].hoverEnabled', this._getCustomHoverEnabled());
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var options = (0,_jquery_helpers/* deepExtend */.zw)(this._getMapViewerOptions(), this._getChoroplethMapViewerOptions());
        this._renderContentInternal(element, changeExisting, options);
        return false;
    }
    _getChoroplethMapViewerOptions() {
        var that = this, viewModel = that.options.ViewModel, mapItems = viewModel.MapItems, mapDataSource = that._getMapDataSource(mapItems, viewModel.ShapeTitleAttributeName), choroplethColorizer = viewModel.ChoroplethColorizer, tooltipAttributeName = viewModel.ToolTipAttributeName, tooltipMeasures = viewModel.TooltipMeasures, colors, rangeStops, legend, i;
        for (i = 0; i < mapItems.length; i++) {
            var attributeText = that._findAttributeValueByName(mapItems[i].Attributes, tooltipAttributeName);
            mapDataSource[i].attributes.tooltip = '<b>' + that._getHtml(attributeText) + '</b>';
        }
        if (choroplethColorizer && that._dataController.hasRecords()) {
            if (choroplethColorizer.ValueName) {
                that._fillValueMapDataSourceAttrs(mapDataSource, choroplethColorizer, tooltipMeasures, mapItems);
                rangeStops = that._getRangeStops(choroplethColorizer);
                colors = that._getColors(choroplethColorizer.Colorizer.Colors);
                if (!colors) {
                    colors = rangeStops.length > 2 ? ['#5F8195', '#B55951'] : ['#5F8195'];
                }
                legend = that._getColorLegend(viewModel.Legend, that._dataController.getMeasureDescriptorById(choroplethColorizer.ValueId));
            }
            if (choroplethColorizer.DeltaValueName) {
                that._fillDeltaMapDataSourceAttrs(mapDataSource, choroplethColorizer, tooltipMeasures, mapItems);
                colors = ['rgb(229, 82, 83)', 'rgb(224, 194, 58)', 'rgb(154, 181, 126)'];
                rangeStops = [0, 1, 2, 3];
            }
        }
        return {
            layers: that._configureGeometryLayers(mapDataSource, that._getArea(viewModel, colors, rangeStops)),
            onClick: function (e) {
                if (e.target && e.target.layer.name === 'area' && e.target.attribute('selectionName')) {
                    that._raiseItemClick(e.target);
                }
            },
            legends: [legend],
            tooltip: {
                enabled: true,
                zIndex: _z_index/* zIndex */.f.dashboardItemTooltips,
                container: _utils/* tooltipContainerSelector */.eX,
                customizeTooltip: function (arg) {
                    if (arg.layer.name === 'area')
                        return {
                            html: arg.attribute('tooltip')
                        };
                }
            }
        };
    }
    _getColorLegend(legendViewModel, measureDescriptor) {
        var legend = this._getLegend(legendViewModel);
        if (legend) {
            legend.source = {
                layer: 'area',
                grouping: 'color'
            };
            legend.customizeText = function (arg) {
                return measureDescriptor.format(arg.start);
            };
        }
        return legend;
    }
    _fillMeasureToolTip(mapDataSourceItem, attribute, tooltipMeasures) {
        var displayText, tooltipViewModel, i;
        if (tooltipMeasures) {
            for (i = 0; i < tooltipMeasures.length; i++) {
                tooltipViewModel = tooltipMeasures[i];
                displayText = this._dataController.getDisplayText(attribute, tooltipViewModel.DataId);
                if (displayText != null) {
                    mapDataSourceItem.attributes.tooltip += '<br>' + this._getToolTip(tooltipViewModel.Caption, displayText);
                }
            }
        }
    }
    _fillValueMapDataSourceAttrs(mapDataSource, choroplethColorizer, tooltipMeasures, mapItems) {
        var attributeName = choroplethColorizer.AttributeName, attribute, selectionName, displayText;
        for (var i = 0; i < mapItems.length; i++) {
            attribute = this._findAttributeValueByName(mapItems[i].Attributes, attributeName);
            selectionName = this._dataController.getUniqueValue(attribute);
            if (selectionName) {
                displayText = this._dataController.getDisplayText(attribute, choroplethColorizer.ValueId);
                mapDataSource[i].attributes.selectionName = selectionName;
                mapDataSource[i].attributes.selected = this._isSelected([selectionName]);
                mapDataSource[i].attributes.value = this._dataController.getValue(attribute, choroplethColorizer.ValueId);
                mapDataSource[i].attributes.tooltip += '<br>' + this._getToolTip(choroplethColorizer.ValueName, displayText);
                this._correctAttributesTitle(mapDataSource[i].attributes, displayText);
                this._fillMeasureToolTip(mapDataSource[i], attribute, tooltipMeasures);
            }
        }
    }
    _fillDeltaMapDataSourceAttrs(mapDataSource, choroplethColorizer, tooltipMeasures, mapItems) {
        var attributeName = choroplethColorizer.AttributeName, selectionName, attribute, toolTip, deltaValue, value, isGood, displayText, indicatorType;
        for (var i = 0; i < mapItems.length; i++) {
            attribute = this._findAttributeValueByName(mapItems[i].Attributes, attributeName);
            selectionName = this._dataController.getUniqueValue(attribute);
            if (selectionName) {
                mapDataSource[i].attributes.selectionName = selectionName;
                mapDataSource[i].attributes.selected = this._isSelected([selectionName]);
                deltaValue = this._dataController.getDeltaValue(attribute, choroplethColorizer.DeltaValueId);
                isGood = deltaValue.getIsGood().getValue();
                indicatorType = this._convertIndicatorType(deltaValue.getIndicatorType().getValue());
                mapDataSource[i].attributes.value = this._getDeltaColorValue(indicatorType, isGood);
                displayText = deltaValue.getActualValue().getDisplayText();
                toolTip = '<br>' + this._getToolTip(choroplethColorizer.ActualValueName, displayText);
                value = this._getDeltaValue(deltaValue, choroplethColorizer.DeltaValueType);
                if (value) {
                    displayText = value.getDisplayText();
                    let deltaValueName = choroplethColorizer.DeltaValueType === 'TargetValue' ? choroplethColorizer.TargetValueName : choroplethColorizer.DeltaValueName;
                    toolTip += '<br>' + this._getToolTip(deltaValueName, displayText);
                }
                mapDataSource[i].attributes.tooltip += toolTip;
                this._correctAttributesTitle(mapDataSource[i].attributes, displayText);
                this._fillMeasureToolTip(mapDataSource[i], attribute, tooltipMeasures);
            }
        }
    }
    _correctAttributesTitle(attributes, displayText) {
        var viewModel = this.options.ViewModel;
        if (viewModel.IncludeSummaryValueToShapeTitle) {
            if (attributes.title)
                attributes.title += '\r\n' + displayText;
            else
                attributes.title = displayText;
        }
    }
    _getDeltaValue(deltaValue, deltaValueType) {
        switch (deltaValueType) {
            case 'AbsoluteVariation':
                return deltaValue.getAbsoluteVariation();
            case 'PercentVariation':
                return deltaValue.getPercentVariation();
            case 'PercentOfTarget':
                return deltaValue.getPercentOfTarget();
            case 'TargetValue':
                return deltaValue.getTargetValue();
            case 'ActualValue':
            default:
                return null;
        }
    }
    _findAttributeValueByName(attributes, attributeName) {
        for (var i = 0; i < attributes.length; i++) {
            if (attributes[i].Name === attributeName) {
                return attributes[i].Value;
            }
        }
    }
    _getRangeStops(choroplethColorizer) {
        var minMax = this._dataController.getMinMax(choroplethColorizer.ValueId);
        return this._updateRangeStops(choroplethColorizer.Colorizer.RangeStops, minMax.min, minMax.max, choroplethColorizer.Colorizer.UsePercentRangeStops);
    }
    _convertIndicatorType(type) {
        var indicatorTypes = ['none', 'up', 'down', 'warning'];
        return indicatorTypes[type];
    }
    _getDeltaColorValue(indicatorType, isGood) {
        switch (indicatorType) {
            case _consts_indicatorType.up:
            case _consts_indicatorType.down:
                return isGood ? 2.5 : 0.5;
            case _consts_indicatorType.warning:
                return 1.5;
            default:
                return -1;
        }
    }
    _getArea(viewModel, colors, rangeStops) {
        var that = this, selectionDisabled = that._selectionMode() === 'none';
        return {
            ...that._getLabelSettings(viewModel),
            colorGroupingField: 'value',
            colorGroups: rangeStops,
            palette: colors,
            customize: function (items) {
                items.forEach(function (item) {
                    item.selected(item.attribute('selected'));
                    if (selectionDisabled || item.attribute('value') === undefined) {
                        item.applySettings({
                            hoveredBorderColor: null,
                            hoveredClass: null,
                            hoverEnabled: false
                        });
                    }
                });
            },
            selectionMode: 'multiple'
        };
    }
    _getDataPoint(element) {
        var that = this;
        return {
            getValues: function () {
                return that._getElementInteractionValue(element, that.options.ViewModel);
            },
            getMeasureIds: function () {
                return [that.options.ViewModel.ChoroplethColorizer.ValueId];
            },
            getDeltaIds: function () {
                return [];
            }
        };
    }
    _getElementInteractionValue(element, viewModel) {
        return !!this.options.ViewModel.ChoroplethColorizer ? [element.attribute('selectionName')] : [];
    }
}

;// ./dist/viewer-parts/viewer-items/_custom-fake-item.js



class customFakeItem extends baseItem {
    constructor(container, options) {
        super(container, options);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var div = document.createElement('div');
        div.classList.add('dx-dashboard-custom-item-notsupported-message');
        div.innerText = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.MessageCustomItemIsNotSupported);
        element.appendChild(div);
        return false;
    }
    _ensureToolbarIsRendered() {
        return null;
    }
}

;// ./dist/viewer-parts/viewer-items/_gauges-item.js





class gaugesItem extends kpiItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
    }
    _getWidgetViewerOptions() {
        var options = super._getWidgetViewerOptions();
        options.useFlex = true;
        return options;
    }
    _getSpecificWidgetViewerOptions() {
        var that = this, viewModel = that.options.ViewModel, specificOptions = {
            itemOptions: {
                ignoreProportions: true
            }
        }, baseOptions = super._getSpecificWidgetViewerOptions();
        if (viewModel) {
            switch (viewModel.ViewType) {
                case _utils/* gaugeViewType */.Tf.CircularHalf:
                    specificOptions.itemOptions.proportions = 0.85;
                    specificOptions.itemOptions.minWidth = 155;
                    break;
                case _utils/* gaugeViewType */.Tf.CircularQuarterLeft:
                case _utils/* gaugeViewType */.Tf.CircularQuarterRight:
                    specificOptions.itemOptions.proportions = 1.25;
                    specificOptions.itemOptions.minWidth = 150;
                    break;
                case _utils/* gaugeViewType */.Tf.CircularThreeFourth:
                case _utils/* gaugeViewType */.Tf.CircularFull:
                    specificOptions.itemOptions.proportions = 1;
                    specificOptions.itemOptions.minWidth = 180;
                    break;
                case _utils/* gaugeViewType */.Tf.LinearVertical:
                    specificOptions.itemOptions.proportions = 1.5;
                    specificOptions.itemOptions.minWidth = 150;
                    break;
                case _utils/* gaugeViewType */.Tf.LinearHorizontal:
                    specificOptions.itemOptions.proportions = 0.5;
                    specificOptions.itemOptions.minWidth = 200;
                    break;
            }
        }
        return (0,_jquery_helpers/* deepExtend */.zw)(specificOptions, baseOptions);
    }
    _supportAnimation() {
        return true;
    }
    _getWidgetType() {
        var viewModel = this.options.ViewModel;
        if (viewModel) {
            switch (viewModel.ViewType) {
                case _utils/* gaugeViewType */.Tf.LinearVertical:
                case _utils/* gaugeViewType */.Tf.LinearHorizontal:
                    return 'lineargauge';
                default:
                    return 'circulargauge';
            }
        }
        return 'circulargauge';
    }
    _getElementsName() {
        return 'Gauges';
    }
    _showTitle() {
        if (this.options.ViewModel) {
            return this.options.ViewModel.ShowGaugeCaptions;
        }
        else {
            return super._showTitle();
        }
    }
    _getWidget() {
        if (this.widgetsViewer) {
            var gaugeList = [];
            this.widgetsViewer.itemsList.forEach(item => {
                gaugeList.push(item._widget);
            });
            return gaugeList;
        }
        else {
            return undefined;
        }
    }
    _setSourceItemProperties(sourceItem, gaugeModel, props) {
        super._setSourceItemProperties(sourceItem, gaugeModel, props);
        var captions = props.getCaptions(), range = props.getGaugeRange(), targetValue;
        this._setVisualProperties(sourceItem, gaugeModel, range);
        if (gaugeModel.DataItemType === _utils/* KpiValueMode */.x6.Measure) {
            sourceItem.value = props.getMeasureValue();
            sourceItem.indicator = {
                text: {
                    value: props.getMeasureDisplayText(),
                    useDefaultColor: gaugeModel.IgnoreDeltaColor
                }
            };
        }
        else {
            sourceItem.value = props.getActualValue();
            targetValue = props.getTargetValue();
            if (targetValue)
                sourceItem.subvalues = [targetValue];
            sourceItem.indicator = {
                type: props.getIndicatorType(),
                hasPositiveMeaning: props.getIsGood(),
                text: {
                    value: props.getMainValueText(),
                    useDefaultColor: gaugeModel.IgnoreDeltaColor
                }
            };
        }
        if (this._showTitle() && captions.length > 0) {
            sourceItem.title = {
                text: captions.join(' - '),
                font: { size: 16 },
                subtitle: { font: { size: 14 } },
                margin: { top: 4, left: 0, right: 0, bottom: 0 },
                wordWrap: 'none'
            };
        }
    }
    _setVisualProperties(sourceItem, gaugeModel, range) {
        var that = this, viewModel = that.options.ViewModel, minRangeValue = range.min, maxRangeValue = range.max, width = maxRangeValue - minRangeValue, intervalCount = range.majorTickCount - 1, tickInterval, scaleFormat = gaugeModel.ScaleFormat != null ? (0,_formatter/* convertToFormat */.mL)({ NumericFormat: gaugeModel.ScaleFormat }) : _formatter/* defaultNumericFormat */.G$;
        switch (viewModel.ViewType) {
            case _utils/* gaugeViewType */.Tf.CircularHalf:
                sourceItem.geometry = {
                    startAngle: 180,
                    endAngle: 0
                };
                break;
            case _utils/* gaugeViewType */.Tf.CircularQuarterLeft:
                sourceItem.geometry = {
                    startAngle: 180,
                    endAngle: 90
                };
                break;
            case _utils/* gaugeViewType */.Tf.CircularQuarterRight:
                sourceItem.geometry = {
                    startAngle: 90,
                    endAngle: 0
                };
                break;
            case _utils/* gaugeViewType */.Tf.CircularThreeFourth:
                sourceItem.geometry = {
                    startAngle: 220,
                    endAngle: 320
                };
                break;
            case _utils/* gaugeViewType */.Tf.CircularFull:
                sourceItem.geometry = {
                    startAngle: 240,
                    endAngle: 300
                };
                break;
            case _utils/* gaugeViewType */.Tf.LinearVertical:
                sourceItem.geometry = {
                    orientation: 'vertical'
                };
                break;
            case _utils/* gaugeViewType */.Tf.LinearHorizontal:
                sourceItem.geometry = {
                    orientation: 'horizontal'
                };
                break;
        }
        sourceItem.valueIndicator = {
            type: sourceItem.geometry.orientation ? 'rangeBar' : 'twoColorNeedle'
        };
        sourceItem.subvalueIndicator = {
            offset: sourceItem.geometry.orientation ? 8 : 0
        };
        sourceItem.scale = {
            startValue: minRangeValue,
            endValue: maxRangeValue,
            label: {
                format: (value) => _format_helper/* DashboardFormatHelper */.O6.format(value, scaleFormat)
            }
        };
        if (width > 0) {
            tickInterval = width / intervalCount;
            sourceItem.scale.tick = {
                tickInterval: (width >= intervalCount) ? Math.round(tickInterval) : tickInterval,
                useTicksAutoArrangement: false
            };
        }
        sourceItem.animation = that._getAnimationOptions();
    }
}

;// ./dist/viewer-parts/viewer-items/_geo-point-map-item.js


class geoPointMapItem extends geoPointMapItemBase {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
    }
    _getMarkerLayers() {
        return [this.mapViewer.getLayerByName('dot'), this.mapViewer.getLayerByName('bubble')];
    }
    _configureMarkerLayers(viewModel) {
        var markerDataSource = this._getMarkerDataSource(), dotSettings = markerDataSource.dotDataSource.length > 0 ? this._getDorMarker(viewModel, markerDataSource.dotDataSource) : null, bubbleSettings = markerDataSource.bubbleDataSource.length > 0 ? this._getBubbleMarker(viewModel, markerDataSource.bubbleDataSource) : null;
        return [
            { name: 'dot', type: 'marker', elementType: 'dot', dataSource: markerDataSource.dotDataSource, ...dotSettings },
            { name: 'bubble', type: 'marker', elementType: 'bubble', dataField: 'value', dataSource: markerDataSource.bubbleDataSource, ...bubbleSettings }
        ];
    }
    _getMarkerDataSource() {
        var viewModel = this.options.ViewModel, dotDataSource = [], bubbleDataSource = [], count = this.dataController ? this._dataController.getCount() : 0, tooltip, geoPoint, point;
        for (var i = 0; i < count; i++) {
            point = this._dataController.getPoint(i);
            tooltip = this._getToolTip(viewModel.ValueName, point.text);
            geoPoint = {
                coordinates: [point.lon, point.lat],
                attributes: {
                    latSelection: point.latSel,
                    lonSelection: point.lonSel,
                    selected: this._isSelected([point.latSel, point.lonSel]),
                    dimensionsTooltip: this._getDimensionsTooltipHtml(point.tooltipDimensions),
                    measuresTooltip: this._getMeasuresTooltipHtml(point.tooltipMeasures)
                }
            };
            if (point.pointsCount && point.pointsCount > 1) {
                geoPoint.attributes.value = this._getClusterBubbleSizeIndex(point.pointsCount);
                geoPoint.attributes.tooltip = this._pointsCountTooltip(point.pointsCount) + '<br>' + tooltip;
                geoPoint.attributes.color = this._getClusterBubbleColor(point.pointsCount);
                bubbleDataSource.push(geoPoint);
            }
            else {
                geoPoint.attributes.text = point.text;
                geoPoint.attributes.tooltip = tooltip;
                dotDataSource.push(geoPoint);
            }
        }
        return {
            dotDataSource: dotDataSource,
            bubbleDataSource: bubbleDataSource
        };
    }
    _getDorMarker(viewModel, markerDataSource) {
        return {
            ...this._getMarker(viewModel, markerDataSource),
            label: {
                dataField: 'text'
            }
        };
    }
    _getBubbleMarker(viewModel, markerDataSource) {
        var res = this._getMinMaxValues(markerDataSource);
        return (0,_jquery_helpers/* deepExtend */.zw)(this._getMarker(viewModel, markerDataSource), {
            minSize: 30 + res.min * 10,
            maxSize: 30 + res.max * 10
        });
    }
    _getColorLegend(viewModel) {
    }
    _getWeightLegend(viewModel) {
    }
    _getClusterBubbleColor(value) {
        if (value < 10) {
            return 'rgb(27, 73, 165)';
        }
        if (value < 100) {
            return 'rgb(63, 136, 48)';
        }
        if (value < 1000) {
            return 'rgb(228, 124, 2)';
        }
        return 'rgb(214, 5, 5)';
    }
    _getClusterBubbleSizeIndex(value) {
        for (var i = 0;; i++) {
            if (value < Math.pow(10, i)) {
                return i - 1;
            }
        }
    }
    _getDataPointMeasureIds() {
        var viewModel = this.options.ViewModel, measureIds = [];
        measureIds.push(viewModel.ValueId);
        return measureIds;
    }
}

;// ./dist/viewer-parts/viewer-items/_group-item.js


class groupItem extends baseItem {
    constructor(container, options) {
        super(container, options);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        element.classList.add(cssClassNamesBaseItem.groupItem);
        return false;
    }
    _itemHasOwnContent() {
        return false;
    }
    _toggleLoadingPanel() {
    }
    getOffset() {
        var borderSize = _render_helper/* RenderHelper */.p.getBorderSizeByClasses([cssClassNamesBaseItem.groupItem]);
        return {
            width: borderSize.width,
            height: borderSize.height + this._calcHeaderAndFooterHeight()
        };
    }
}

;// ./dist/viewer-parts/viewer-items/_pie-item.js










var pieSizeGroup = 0;
const defaultPieProportions = 4 / 3;
const defaultPieAndLabelProportions = 3 / 5;
class pieItem extends widgetViewerItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this.itemElementCustomColor = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.sizeGroupId = undefined;
        this.sizeGroupId = ++pieSizeGroup;
        this._createPieMouseEventController();
    }
    dispose() {
        super.dispose();
        if (this.pieMouseEventController) {
            if (this._readyHandler) {
                this.pieMouseEventController.ready.remove(this._readyHandler);
                this._readyHandler = null;
            }
            this.pieMouseEventController = null;
        }
        if (this._dataController) {
            this._dataController.elementCustomColor = null;
            this._dataController = null;
        }
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (this.dataController) {
            this._dataController.elementCustomColor = args => this._elementCustomColor(args);
        }
    }
    _clearSelectionUnsafe() {
        super._clearSelectionUnsafe();
        var that = this, viewModel = that.options.ViewModel, piesViewer = that.widgetsViewer;
        if (viewModel && viewModel.SelectionEnabled && viewModel.SelectionMode !== _chart_helper/* chartHelper */.v.SelectionMode.Series) {
            external_jQuery_.each(piesViewer.itemsList, function () {
                if (this._widget) {
                    this._widget.clearSelection();
                }
            });
        }
    }
    updateContentStateUnsafe() {
        var that = this;
        if (that._getCustomHoverEnabled()) {
            var argumentHoverMode = 'none', seriesHoverEnabled = false, targetAxes = this._getTargetAxes();
            if (targetAxes.length == 1) {
                if (targetAxes[0] == item_data_axis_names/* itemDataAxisNames */.X.chartArgumentAxis)
                    argumentHoverMode = 'allArgumentPoints';
                else
                    seriesHoverEnabled = true;
            }
            else {
                if (targetAxes.length == 2) {
                    argumentHoverMode = 'point';
                    seriesHoverEnabled = true;
                }
            }
            external_jQuery_.each(this.widgetsViewer.itemsList, function (index, viewer) {
                viewer._widget.option('commonSeriesSettings.hoverMode', argumentHoverMode);
                viewer._hoverEnabled = seriesHoverEnabled;
            });
        }
    }
    selectTupleUnsafe(tuple, state) {
        var that = this, isPointSelection = that.options.ViewModel.SelectionMode === _chart_helper/* chartHelper */.v.SelectionMode.Points, seriesValue = (0,_utils/* getAxisPointValue */.$7)(tuple, item_data_axis_names/* itemDataAxisNames */.X.chartSeriesAxis), argumentValue = (0,_utils/* getAxisPointValue */.$7)(tuple, item_data_axis_names/* itemDataAxisNames */.X.chartArgumentAxis);
        external_jQuery_.each(that.widgetsViewer.itemsList, function (index, viewer) {
            if (seriesValue) {
                if (_selection_helper/* selectionHelper */.x._checkWidgetCorrespondsToValue(viewer, seriesValue)) {
                    if (argumentValue)
                        _selection_helper/* selectionHelper */.x.setSelectedArguments(viewer._widget, [argumentValue], state);
                    else if (isPointSelection)
                        _selection_helper/* selectionHelper */.x.selectWholePie(viewer._widget, state);
                    else
                        _selection_helper/* selectionHelper */.x.setSelectedWidgetViewer(viewer, [seriesValue], state);
                }
            }
            else if (argumentValue) {
                _selection_helper/* selectionHelper */.x.setSelectedArguments(viewer._widget, [argumentValue], state);
            }
        });
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.clearSelection();
        this._applySelection();
    }
    _elementCustomColor(eventArgs) {
        this.itemElementCustomColor.fire(this.getName(), eventArgs);
    }
    _createPieMouseEventController() {
        var that = this;
        that.pieMouseEventController = new pieMouseEventController();
        that._readyHandler = function () {
            var data = { pie: that.pieMouseEventController.pieData, slice: that.pieMouseEventController.sliceData };
            that._raiseItemClick(data);
        };
        that.pieMouseEventController.ready.add(that._readyHandler);
    }
    _isHoverEnabled() {
        return super._isHoverEnabled() && this._isItemSelectionEnabled();
    }
    _isItemSelectionEnabled() {
        var viewModel = this.options.ViewModel;
        return viewModel && viewModel.SelectionEnabled && (viewModel.SelectionMode === _chart_helper/* chartHelper */.v.SelectionMode.Series);
    }
    _isLabelsVisible() {
        var viewModel = this.options.ViewModel;
        return viewModel && (viewModel.LabelContentType !== 'None');
    }
    _isShowPieCaptions() {
        var viewModel = this.options.ViewModel;
        return viewModel && viewModel.ShowPieCaptions;
    }
    _supportAnimation() {
        return true;
    }
    _getSpecificWidgetViewerOptions() {
        var that = this, specificOptions = that._isLabelsVisible() ? {
            itemOptions: {
                minWidth: 200,
                proportions: defaultPieAndLabelProportions,
                ignoreProportions: true
            }
        } : {
            itemOptions: {
                minWidth: 100,
                proportions: this._isShowPieCaptions() ? defaultPieProportions : 1,
                ignoreProportions: true
            }
        };
        return (0,_jquery_helpers/* deepExtend */.zw)(specificOptions, super._getSpecificWidgetViewerOptions());
    }
    _getWidgetType() {
        return 'pieChart';
    }
    _getDataSource() {
        if (!this.options.ViewModel) {
            return {};
        }
        var that = this, viewModel = that.options.ViewModel, isPointSelectionEnabled = that._getPointSelectionEnabled(), selectionMode = that._selectionMode(), seriesAxisPoints = that._dataController.getSeriesAxisPoints(), selectedValuesList = that._getSelectedValues(), dataSource = [], currentSeriesPath, seriesPropsValues;
        seriesAxisPoints.forEach(seriesAxisPoint => {
            currentSeriesPath = seriesAxisPoint.getUniquePath();
            that._dataController.getValueDataMembers().forEach((valueDataMember, valueIndex) => {
                let dataSourceItem = {
                    animation: that._getAnimationOptions(),
                    sizeGroup: that.sizeGroupId,
                    legend: {
                        visible: false
                    },
                    minDiameter: 0.75,
                    resolveLabelOverlapping: 'shift',
                    onIncidentOccurred: _render_helper/* RenderHelper */.p.widgetIncidentOccurred,
                    onPointClick: that._getSelectPointsHandler(),
                    onPointHoverChanged: that._getHoverPointsHandler(),
                    palette: _render_helper/* RenderHelper */.p.getDefaultPalette(),
                    pointSelectionMode: 'multiple',
                    commonSeriesSettings: {
                        hoverMode: isPointSelectionEnabled && (selectionMode !== 'none') ? 'allArgumentPoints' : 'none'
                    },
                    customizePoint: function () {
                        var result = { color: that._dataController.getColor(this.tag.axisPoint, seriesAxisPoint, that._getMeasuresIds(this.tag), this.tag.colorMeasureId) };
                        let interactionValue = that._getElementInteractionValue(this, that.options.ViewModel);
                        if (interactionValue && interactionValue.axisPoint && !(0,_utils/* allowSelectValue */.lL)(interactionValue.axisPoint.getUniquePath())) {
                            result.hoverStyle = { hatching: 'none' };
                        }
                        return result;
                    }
                };
                dataSourceItem.tag = { axisPoint: seriesAxisPoint };
                (0,_jquery_helpers/* extend */.X$)(dataSourceItem, that._configureHover(currentSeriesPath));
                if (selectedValuesList && that._isItemSelectionEnabled()) {
                    external_jQuery_.each(selectedValuesList, function (__, selectedValue) {
                        if ((0,_utils/* checkValuesAreEqual */.rY)(currentSeriesPath, selectedValue))
                            dataSourceItem.isSelected = true;
                    });
                }
                if (viewModel.ShowPieCaptions) {
                    dataSourceItem.title = {
                        text: that._dataController.getValueDisplayNames(seriesAxisPoint, valueIndex),
                        font: {
                            size: 18
                        }
                    };
                }
                seriesPropsValues = {
                    type: (viewModel.PieType === 'Donut') ? 'doughnut' : 'pie',
                    argumentField: 'x',
                    valueField: 'y',
                    label: {
                        visible: that._isLabelsVisible(),
                        position: viewModel.LabelPosition == 'Inside' ? 'inside' : 'columns'
                    },
                    point: {
                        visible: true
                    },
                    segmentsDirection: 'anticlockwise',
                    paintNullPoints: true
                };
                if (seriesPropsValues.label.visible) {
                    seriesPropsValues.label.connector = {
                        visible: true,
                        width: 1
                    };
                    seriesPropsValues.label.customizeText = that._getFormatLabelHandler(viewModel.LabelContentType);
                }
                dataSourceItem.series = [seriesPropsValues];
                dataSourceItem.dataSource = that._dataController.createDataSource(seriesAxisPoint, valueDataMember);
                dataSourceItem.tooltip = {
                    enabled: (viewModel.TooltipContentType !== 'None')
                };
                if (dataSourceItem.tooltip.enabled) {
                    dataSourceItem.tooltip.container = _utils/* tooltipContainerSelector */.eX;
                    dataSourceItem.tooltip.customizeTooltip = function (label) {
                        return { text: that._getFormatLabelHandler(viewModel.TooltipContentType)(label) };
                    };
                    dataSourceItem.tooltip.font = {
                        size: 14
                    };
                    dataSourceItem.tooltip.zIndex = _z_index/* zIndex */.f.dashboardItemTooltips;
                }
                dataSource.push(dataSourceItem);
            });
        });
        return (dataSource.length == 1 && dataSource[0].dataSource.length == 0) ? [] : dataSource;
    }
    _getPointSelectionEnabled() {
        var viewModel = this.options.ViewModel;
        return viewModel.SelectionEnabled && (viewModel.SelectionMode === _chart_helper/* chartHelper */.v.SelectionMode.Argument || viewModel.SelectionMode === _chart_helper/* chartHelper */.v.SelectionMode.Points);
    }
    _getFormatLabelHandler(valueType) {
        var that = this;
        return function (label) {
            var pointTexts = that._dataController.getPointDisplayTexts(label.point.tag, label.value, label.percent), tooltipPattern = that._getTooltipPattern(valueType);
            switch (valueType) {
                case 'Argument':
                    return pointTexts.argumentText;
                case 'Percent':
                    return pointTexts.percentText;
                case 'Value':
                    return pointTexts.valueText;
                case 'ValueAndPercent':
                    return (0,external_DevExpress_utils_string_.format)(tooltipPattern, pointTexts.valueText, pointTexts.percentText);
                case 'ArgumentAndPercent':
                    return (0,external_DevExpress_utils_string_.format)(tooltipPattern, pointTexts.argumentText, pointTexts.percentText);
                case 'ArgumentAndValue':
                    return (0,external_DevExpress_utils_string_.format)(tooltipPattern, pointTexts.argumentText, pointTexts.valueText);
                case 'ArgumentValueAndPercent':
                    return (0,external_DevExpress_utils_string_.format)(tooltipPattern, pointTexts.argumentText, pointTexts.valueText, pointTexts.percentText);
                default:
                    return '';
            }
        };
    }
    _getTooltipPattern(valueType) {
        switch (valueType) {
            case 'ValueAndPercent':
                return '{0} ({1})';
            case 'ArgumentAndPercent':
            case 'ArgumentAndValue':
                return '{0}: {1}';
            case 'ArgumentValueAndPercent':
                return '{0}: {1} ({2})';
            default:
                return '';
        }
    }
    _getElementInteractionValue(element, viewModel) {
        if (this._isItemSelectionEnabled())
            return super._getElementInteractionValue(element, viewModel);
        return element.tag;
    }
    _getOnClickHandler() {
        var that = this;
        return function (e) {
            that._pieMouseEventHandler(e.item);
        };
    }
    _getSelectPointsHandler() {
        var that = this;
        return function (e) {
            var viewModel = that.options.ViewModel, selectionMode = that._selectionMode(), isPointSelectionEnalbed = viewModel.SelectionEnabled && (viewModel.SelectionMode === _chart_helper/* chartHelper */.v.SelectionMode.Argument) && selectionMode !== 'none';
            that._sliceMouseEventHandler(e.target);
        };
    }
    _getOnHoverHandler() {
        var that = this;
        return function (e) {
            that.pieMouseEventController.pieData = e.item;
            that._raiseItemHover({ pie: e.item }, e.state);
        };
    }
    _getHoverPointsHandler() {
        var that = this;
        return function (e) {
            that._raiseItemHover({ pie: that.pieMouseEventController.pieData, slice: e.target });
        };
    }
    _pieMouseEventHandler(element) {
        this.pieMouseEventController.setPieData(element);
    }
    _sliceMouseEventHandler(element) {
        this.pieMouseEventController.setSliceData(element);
    }
    _getDataPoint(element) {
        var that = this, viewModel = that.options.ViewModel, slice = element.slice, sliceTag = slice ? slice.tag : undefined, pie = element.pie, pieTag = pie ? pie.tag : undefined, argumentsValues = sliceTag ? (0,_utils/* getTagValue */.Gb)(sliceTag) : [], titleValues = pieTag ? (0,_utils/* getTagValue */.Gb)(pieTag) : [], argumentIndex = (slice && !sliceTag) ? slice.index : undefined, elementIndex = (pie && !pieTag) ? pie.index : undefined, measureIndex = argumentIndex ? argumentIndex : elementIndex ? elementIndex : 0;
        return {
            getValues: function (name) {
                switch (name) {
                    case item_data_axis_names/* itemDataAxisNames */.X.chartArgumentAxis:
                        return argumentsValues;
                    case item_data_axis_names/* itemDataAxisNames */.X.chartSeriesAxis:
                        return titleValues;
                    default:
                        return null;
                }
            },
            getDeltaIds: function () {
                return [];
            },
            getMeasureIds: function () {
                return slice ? that._getMeasuresIds(slice.tag) : [];
            }
        };
    }
    _getMeasuresIds(sliceTag) {
        return sliceTag ? sliceTag.dataMembers : [];
    }
    _isMultiDataSupported() {
        return true;
    }
    _getWidget() {
        if (this.widgetsViewer) {
            var pieWidgetViewers = this.widgetsViewer.itemsList, piesList = [];
            external_jQuery_.each(pieWidgetViewers, function () {
                piesList.push(this._widget);
            });
            return piesList;
        }
        else {
            return undefined;
        }
    }
    _applySelectionUnsafe() {
        var that = this;
        that.getSelectedTuples().forEach(tuple => that.selectTuple(tuple, true));
    }
}
class pieMouseEventController {
    constructor() {
        this.shouldRaise = false;
        this.ready = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.timer = 0;
    }
    setPieData(data) {
        this.pieData = data;
        if (this.ready) {
            this.ready.fire();
        }
        this.pieData = undefined;
        this.sliceData = undefined;
    }
    setSliceData(data) {
        this.sliceData = data;
    }
}

;// ./dist/viewer-parts/viewer-items/_pie-map-item.js




class pieMapItem extends geoPointMapItemBase {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this.itemElementCustomColor = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this._pieUniqueArguments = undefined;
        this._pieArgumentDisplayTexts = undefined;
        this._pieArgumentColors = undefined;
        this.itemElementCustomColor = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
    }
    _getMarkerLayers() {
        return [this.mapViewer.getLayerByName('pie')];
    }
    _configureMarkerLayers(viewModel) {
        var viewModel = this.options.ViewModel, pieSegments = this._getPieSegments(), pies = this._getPiesData(pieSegments, viewModel), markerDataSource = this._getMarkerDataSource(pies, viewModel.IsWeighted), markerSettings = this._getPieMapMarker(viewModel, markerDataSource, pies);
        return [{ name: 'pie', type: 'marker', elementType: 'pie', dataField: 'values', dataSource: markerDataSource, ...markerSettings }];
    }
    _getPieMapMarker(viewModel, markerDataSource, pies) {
        if (markerDataSource.length === 0) {
            return;
        }
        var markerSettings = this._getMarker(viewModel, markerDataSource);
        if (viewModel.IsWeighted) {
            markerSettings.sizeGroupingField = 'sizeValue';
            markerSettings.sizeGroups = this._getPieRangeStops(pies);
            markerSettings.minSize = 20;
            markerSettings.maxSize = 60;
        }
        markerSettings.palette = this._pieArgumentColors;
        return markerSettings;
    }
    _getMarkerDataSource(pies, isWeighted) {
        var markerDataSource = [], attributes, rangeStops = [0, 1, 2];
        for (var name in pies) {
            attributes = pies[name].attributes;
            if (!isWeighted) {
                attributes.size = 20 + this._getRangeStopIndex(pies[name].attributes.sizeValue, rangeStops) * 10;
            }
            markerDataSource.push({
                coordinates: pies[name].coordinates,
                attributes: attributes
            });
        }
        return markerDataSource;
    }
    _getColorLegend(viewModel) {
        var that = this;
        var legend = super._getColorLegend(viewModel);
        if (legend) {
            legend.source.layer = 'pie';
            legend.customizeText = function (arg) {
                return that._pieArgumentDisplayTexts[arg.index];
            };
        }
        return legend;
    }
    _getWeightLegend(viewModel) {
        var that = this;
        if (!viewModel.IsWeighted) {
            return;
        }
        var legend = super._getWeightLegend(viewModel);
        if (legend) {
            legend.source.layer = 'pie';
            legend.customizeText = function (arg) {
                return that._dataController.formatValue(arg.start);
            };
        }
        return legend;
    }
    _getPieSegments() {
        var that = this, viewModel = this.options.ViewModel, pieSegments = [], pieSegment, filledValues = viewModel.Values && viewModel.Values.length > 0, getPieSegment = function (point) {
            return {
                clusterCount: point.pointsCount,
                lat: point.lat,
                lon: point.lon,
                latSel: point.latSel,
                lonSel: point.lonSel,
                dimensionsTooltipText: that._getDimensionsTooltipHtml(point.tooltipDimensions),
                measuresTooltipText: that._getMeasuresTooltipHtml(point.tooltipMeasures),
                value: point.value,
                valueDisplayText: point.valueDisplayText,
                argumentValue: point.argument,
                argumentDisplayText: point.argumentDisplayText,
                color: point.color,
                valueId: point.valueId,
                axisPoint: point.axisPoint
            };
        };
        that._pieUniqueArguments = [];
        that._pieArgumentDisplayTexts = [];
        that._pieArgumentColors = [];
        for (var i = 0; i < that._dataController.getCount(); i++) {
            if (viewModel.ArgumentDataId) {
                pieSegment = getPieSegment(that._dataController.getPoint(i));
                if (that._pieUniqueArguments.indexOf(pieSegment.argumentValue) === -1) {
                    that._fillArgumentParams(pieSegment);
                }
                pieSegments.push(pieSegment);
            }
            else {
                if (filledValues) {
                    for (var j = 0; j < viewModel.Values.length; j++) {
                        pieSegment = getPieSegment(that._dataController.getPoint(i, j));
                        if (that._pieUniqueArguments.indexOf(pieSegment.argumentValue) === -1 || i === 0) {
                            that._fillArgumentParams(pieSegment);
                        }
                        pieSegments.push(pieSegment);
                    }
                }
            }
        }
        return pieSegments;
    }
    _fillArgumentParams(pieSegment) {
        var that = this, color = pieSegment.color, dxColor = new (external_DevExpress_Color_default())(color);
        this._pieUniqueArguments.push(pieSegment.argumentValue);
        this._pieArgumentDisplayTexts.push(pieSegment.argumentDisplayText);
        if (that.itemElementCustomColor && color) {
            var customElementColorEventArgs = {
                targetElement: [pieSegment.axisPoint],
                measureIds: pieSegment ? [pieSegment.valueId] : null,
                color: dxColor.toHex()
            };
            that.itemElementCustomColor.fire(this.getName(), customElementColorEventArgs);
            color = customElementColorEventArgs.color;
        }
        this._pieArgumentColors.push(color);
    }
    _getPiesData(pieSegments, viewModel) {
        var pies = {}, segment, key, tooltip, dimensionsTooltip, measuresTooltip;
        for (var i = 0; i < pieSegments.length; i++) {
            segment = pieSegments[i];
            key = (0,external_DevExpress_utils_string_.format)('{0};{1}', segment.lat, segment.lon);
            if (!pies.hasOwnProperty(key)) {
                dimensionsTooltip = segment.dimensionsTooltipText;
                measuresTooltip = segment.measuresTooltipText;
                pies[key] = {
                    coordinates: [segment.lon, segment.lat],
                    attributes: {
                        latSelection: segment.latSel,
                        lonSelection: segment.lonSel,
                        selected: this._isSelected([segment.latSel, segment.lonSel]),
                        values: this._getEmptyValues(this._pieUniqueArguments.length),
                        dimensionsTooltip: dimensionsTooltip,
                        measuresTooltip: measuresTooltip,
                        sizeValue: viewModel.IsWeighted ? 0 : segment.clusterCount > 1 ? 1 : 0
                    }
                };
                if (segment.clusterCount > 1) {
                    pies[key].attributes.tooltip = this._pointsCountTooltip(segment.clusterCount);
                }
            }
            for (var j = 0; j < pies[key].attributes.values.length; j++) {
                if (segment.argumentValue === this._pieUniqueArguments[j]) {
                    pies[key].attributes.values[j] = segment.value;
                }
            }
            if (viewModel.Values && viewModel.Values.length > 0) {
                if (segment.argumentValue && segment.value > 0) {
                    tooltip = this._getToolTip(segment.argumentDisplayText, segment.valueDisplayText);
                }
                else {
                    tooltip = undefined;
                }
            }
            else {
                tooltip = segment.argumentDisplayText;
            }
            if (tooltip) {
                if (pies[key].attributes.tooltip) {
                    pies[key].attributes.tooltip += '<br>' + tooltip;
                }
                else {
                    pies[key].attributes.tooltip = tooltip;
                }
            }
            if (viewModel.IsWeighted) {
                pies[key].attributes.sizeValue += segment.value;
            }
            else if (this._getPieSegmentCount(pies[key]) === 2) {
                pies[key].attributes.sizeValue++;
            }
        }
        return pies;
    }
    _getPieSegmentCount(pie) {
        var count = 0;
        for (var i = 0; i < pie.attributes.values.length; i++) {
            if (pie.attributes.values[i] > 0) {
                count++;
            }
        }
        return count;
    }
    _getEmptyValues(length) {
        var emptyValues = [];
        for (var j = 0; j < length; j++) {
            emptyValues.push(0);
        }
        return emptyValues;
    }
    _getPieRangeStops(pies) {
        var minSizeValue, maxSizeValue;
        for (var name in pies) {
            if (minSizeValue === undefined || pies[name].attributes.sizeValue < minSizeValue) {
                minSizeValue = pies[name].attributes.sizeValue;
            }
            if (maxSizeValue === undefined || pies[name].attributes.sizeValue > maxSizeValue) {
                maxSizeValue = pies[name].attributes.sizeValue;
            }
        }
        return this._updateRangeStops([0, 25, 50, 75], minSizeValue, maxSizeValue, true);
    }
    _getRangeStopIndex(value, rangeStops) {
        if (value < rangeStops[0]) {
            return 0;
        }
        for (var i = 0; i < rangeStops.length - 1; i++) {
            if (value >= rangeStops[i] && value < rangeStops[i + 1]) {
                return i;
            }
        }
        return rangeStops.length - 1;
    }
    _getDataPointMeasureIds() {
        var viewModel = this.options.ViewModel, measureIds = [];
        if (viewModel.ArgumentDataId != null && viewModel.Values.length > 0) {
            measureIds.push(viewModel.Values[0]);
        }
        else {
            viewModel.Values.forEach(value => {
                measureIds.push(value);
            });
        }
        return measureIds;
    }
    _elementCustomColor(eventArgs) {
        this.itemElementCustomColor.fire(this.getName(), eventArgs);
    }
}

;// ./dist/viewer-parts/viewer-items/_tab-page-item.js

class tabPageItem extends groupItem {
    constructor(container, options) {
        super(container, options);
    }
}

;// ./dist/viewer-parts/viewer-items/_text-item.js





class textItem extends baseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this.div = undefined;
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var that = this;
        if (!changeExisting || !that.div) {
            that.div = external_jQuery_.fn.constructor('<div>');
            that.$textContent = external_jQuery_.fn.constructor(_render_helper/* RenderHelper */.p.wrapScrollable(that.div.get(0), 'auto', 'vertical'));
            that.$textContent.addClass('dx-dashboard-textbox-content');
            external_jQuery_.fn.constructor(element).append(that.div);
        }
        that._setContent();
        return false;
    }
    _getWidget() {
        return this.div && (0,_jquery_helpers/* wrapPublicElement */.i)(this.div[0]) || null;
    }
    _setContent() {
        var itemName = this.options.Name, sheetColor, preWrapper = external_jQuery_.fn.constructor('<pre>'), parsedHtml = external_jQuery_.fn.constructor('<div>'), originalHtmlText = this.options.ViewModel.Html;
        originalHtmlText = originalHtmlText.replace('<body', '<div class="' + itemName + '"').replace('</body>', '</div>');
        originalHtmlText = this._updateDocvariableValues(originalHtmlText);
        var contentDiv = external_jQuery_.fn.constructor(originalHtmlText).get().filter(c => c.className === itemName)[0];
        sheetColor = contentDiv && contentDiv.getAttribute('bgcolor');
        sheetColor && this.div.css({ 'backgroundColor': sheetColor });
        parsedHtml.html(originalHtmlText);
        preWrapper.addClass('dx-dashboard-textbox-content-pre-wrapper');
        preWrapper.attr('id', itemName);
        var styles = parsedHtml.find('style');
        styles.each((_, style) => {
            (0,_cssHelper/* addToStyles */.Lq)(style.innerHTML, this.container);
        });
        if (contentDiv)
            preWrapper.append(contentDiv.children);
        this.$textContent.empty();
        this.$textContent.append(preWrapper);
    }
    _updateDocvariableValues(htmlText) {
        return htmlText.replace(/02539CA4-7628-4F5D-9940-ED09C7EE7414\(([^()]+)\)/g, (placeholder) => {
            var match = placeholder.match(/\((.*?)\)/g);
            var id = match && match.length > 0 ? match[0].replace('(', '').replace(')', '') : null;
            if (id) {
                return this._getHtml(this._dataController.getDisplayText(id) || '');
            }
        });
    }
    dispose() {
        super.dispose();
        this.div?.remove();
        this.div = null;
        this.$textContent?.remove();
        this.$textContent = null;
    }
}

;// ./dist/viewer-parts/viewer-items/_treemap-item.js





class treemapItem extends baseItem {
    get dataController() { return this._dataController; }
    set dataController(dataController) { this._dataController = dataController; }
    constructor(container, options) {
        super(container, options);
        this.itemElementCustomColor = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
    }
    dispose() {
        super.dispose();
        this.treemapViewer && this.treemapViewer.dispose();
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        if (this._dataController) {
            this._dataController.elementCustomColor = (eventArgs) => this._elementCustomColor(eventArgs);
        }
    }
    _clearSelectionUnsafe() {
        this.treemapViewer.clearSelection();
    }
    selectTupleUnsafe(tuple, state) {
        var that = this;
        tuple.forEach(tupleValue => {
            that._selectNodes(tupleValue.value, state);
        });
    }
    _setSelectionUnsafe(values) {
        super._setSelectionUnsafe(values);
        this.clearSelection();
        this._applySelection();
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var options = this._getTreeMapViewerOptions();
        this._raiseItemWidgetOptionsPrepared(options);
        if (changeExisting && this.treemapViewer) {
            this.treemapViewer.option(options);
        }
        else {
            if (this.treemapViewer)
                this.treemapViewer.dispose();
            this.treemapViewer = new (external_DevExpress_viz_dxTreeMap_default())(element, options);
        }
        var selectedValues = this.options.SelectedValues;
        if (selectedValues)
            this.setSelection(selectedValues);
        return false;
    }
    updateContentStateUnsafe() {
        if (this._getCustomHoverEnabled()) {
            this.treemapViewer.option('hoverEnabled', true);
        }
    }
    _selectNodes(valueSet, state) {
        var that = this;
        that.treemapViewer.getRootNode().getAllNodes().forEach(node => {
            if ((0,_utils/* checkValuesAreEqual */.rY)(valueSet, node.data.uniqueValue))
                node.select(state);
        });
    }
    _clickAction(tuple) {
        var newTuples = [], tupleValue = tuple[0], values = this._dataController.getChildrenNodesUniqueValues(tupleValue.value), isMultipleMode = this._canSetMultipleMasterFilter() || this.customSelectionMode === dashboardSelectionMode.multiple, currentSelection = isMultipleMode && this.allowMultiselection ? this.getSelectedTuples().slice() : [], existingTuples = [];
        if (!isMultipleMode && values.length > 1)
            return;
        for (var i = 0; i < values.length; i++) {
            var newTuple = [{ axisName: tupleValue.axisName, value: values[i] }];
            if ((0,_utils/* checkArrayContainsTuple */.b3)(currentSelection, newTuple) === undefined)
                newTuples.push(newTuple);
            else
                existingTuples.push(newTuple);
        }
        this.interactivityController.clickAction(newTuples.length > 0 ? newTuples : existingTuples);
    }
    _elementCustomColor(eventArgs) {
        this.itemElementCustomColor.fire(this.getName(), eventArgs);
    }
    _getTreeMapViewerOptions() {
        var that = this, viewModel = that.options.ViewModel, isSingleMasterFilterMode = this._canSetMasterFilter() && !this._canSetMultipleMasterFilter(), setLabel = function (node) {
            var label = that._dataController.getLabel(node, that._isEncodeHtml());
            if (label)
                node.label(label);
            else
                node.label(' ');
        }, options = {
            dataSource: that._dataController.getDataSource(),
            layoutAlgorithm: that._getLayoutAlgorithm(),
            layoutDirection: that._getLayoutDirection(),
            selectionMode: 'multiple',
            tile: {
                label: {
                    textOverflow: 'ellipsis'
                }
            },
            hoverEnabled: that.isInteractivityActionEnabled(),
            tooltip: {
                enabled: true,
                container: _utils/* tooltipContainerSelector */.eX,
                customizeTooltip: function (arg) {
                    return {
                        text: that._dataController.getTooltip(arg.node, that._isEncodeHtml())
                    };
                }
            },
            onClick: function (e) {
                that._raiseItemClick(e.node.data);
            },
            onNodesRendering: function () {
                this.getRootNode().getAllNodes().forEach(setLabel);
            },
            group: {
                hoverEnabled: !isSingleMasterFilterMode,
                label: {
                    textOverflow: 'ellipsis'
                }
            }
        };
        return options;
    }
    _getLayoutAlgorithm() {
        var viewModel = this.options.ViewModel;
        switch (viewModel.LayoutAlgorithm) {
            case 'SliceAndDice':
                return this.width() >= this.height() ? 'sliceanddice' : 'rotatedsliceanddice';
            case 'Squarified':
                return 'squarified';
            case 'Striped':
                return 'strip';
        }
    }
    _getLayoutDirection() {
        var viewModel = this.options.ViewModel;
        switch (viewModel.LayoutDirection) {
            case 'BottomLeftToTopRight':
                return 'leftBottomRightTop';
            case 'BottomRightToTopLeft':
                return 'rightBottomLeftTop';
            case 'TopLeftToBottomRight':
                return 'leftTopRightBottom';
            case 'TopRightToBottomLeft':
                return 'rightTopLeftBottom';
        }
    }
    _getDataPoint(element) {
        var that = this;
        return {
            getValues: function () {
                return that._getElementInteractionValue(element);
            },
            getMeasureIds: function () {
                return that._getDataPointMeasureIds();
            },
            getDeltaIds: function () {
                return [];
            }
        };
    }
    _getElementInteractionValue(element) {
        if (!this.options.ViewModel.ProvideValuesAsArguments)
            return element.uniqueValue;
    }
    _getDataPointMeasureIds() {
        var viewModel = this.options.ViewModel, contentDescription = viewModel.ContentDescription, elementIndex = 0, measureIds = [];
        if (contentDescription != null && contentDescription.ElementSelectionEnabled)
            elementIndex = contentDescription.SelectedElementIndex;
        if (!viewModel.ProvideValuesAsArguments && viewModel.ValueDataMembers.length > 0) {
            measureIds.push(viewModel.ValueDataMembers[elementIndex]);
        }
        else {
            viewModel.ValueDataMembers.forEach(value => {
                measureIds.push(value);
            });
        }
        return measureIds;
    }
    _updateContentSizeUnsafe() {
        super._updateContentSizeUnsafe();
        if (!!this.treemapViewer) {
            this.treemapViewer.option('layoutAlgorithm', this._getLayoutAlgorithm());
            this.treemapViewer.render();
        }
    }
    _getWidget() {
        return this.treemapViewer;
    }
    _isMultiDataSupported() {
        return true;
    }
    _applySelectionUnsafe() {
        var that = this;
        that.getSelectedTuples().forEach(tuple => that.selectTuple(tuple, true));
    }
}

// EXTERNAL MODULE: ./dist/viewer-parts/_viewer-item-types.js
var _viewer_item_types = __webpack_require__(2745);
;// ./dist/viewer-parts/_viewer-item-factory.js























class ViewerItemFactory {
    createItem(container, options) {
        switch (options.Type) {
            case _viewer_item_types/* types */.g.group:
                return new groupItem(container, options);
            case _viewer_item_types/* types */.g.tabPage:
                return new tabPageItem(container, options);
            case _viewer_item_types/* types */.g.rangeFilter:
                return new rangeSelectorItem(container, options);
            case _viewer_item_types/* types */.g.chart:
            case _viewer_item_types/* types */.g.scatter:
                return new chartItem(container, options);
            case _viewer_item_types/* types */.g.pie:
                return new pieItem(container, options);
            case _viewer_item_types/* types */.g.card:
                return new cardsItem(container, options);
            case _viewer_item_types/* types */.g.grid:
                return new dataGridItem(container, options);
            case _viewer_item_types/* types */.g.pivot:
                return new pivotGridItem(container, options);
            case _viewer_item_types/* types */.g.gauge:
                return new gaugesItem(container, options);
            case _viewer_item_types/* types */.g.text:
                return new textItem(container, options);
            case _viewer_item_types/* types */.g.image:
                return new imageItem(container, options);
            case _viewer_item_types/* types */.g.boundImage:
                return new boundImageItem(container, options);
            case _viewer_item_types/* types */.g.map:
            case _viewer_item_types/* types */.g.choroplethMap:
                return new choroplethMapItem(container, options);
            case _viewer_item_types/* types */.g.geoPointMap:
                return new geoPointMapItem(container, options);
            case _viewer_item_types/* types */.g.bubbleMap:
                return new bubbleMapItem(container, options);
            case _viewer_item_types/* types */.g.pieMap:
                return new pieMapItem(container, options);
            case _viewer_item_types/* types */.g.treemap:
                return new treemapItem(container, options);
            case _viewer_item_types/* types */.g.comboBox:
                return new comboBoxFilterElement(container, options);
            case _viewer_item_types/* types */.g.listBox:
                return new listFilterElement(container, options);
            case _viewer_item_types/* types */.g.treeView:
                return new treeViewFilterElement(container, options);
            case _viewer_item_types/* types */.g.dateFilter:
                return new dateFilterElement(container, options);
            case _viewer_item_types/* types */.g.custom:
                return new customFakeItem(container, options);
            default:
                return {};
        }
    }
}
let defaultViewerItemFactory = new ViewerItemFactory();

;// ./dist/viewer-parts/widgets/caption-toolbar/_title-toolbar.js



class DashboardTitleToolbar extends DashboardCaptionToolbarBase {
    get _staticItemsClass() {
        return this._showStaticItemsOnCenter ? cssClasses.toolbarCenter : cssClasses.toolbarBefore;
    }
    constructor(_container, _controlContainer, _popupContainer, encodeHtml, allowHideEmptyToolbar = false, _optionalClass) {
        super(_container, _controlContainer, _popupContainer, encodeHtml);
        this.allowHideEmptyToolbar = allowHideEmptyToolbar;
        this._optionalClass = _optionalClass;
        this._showStaticItemsOnCenter = false;
        this._className = this._optionalClass ? [this._optionalClass, cssClasses.title].join(' ') : cssClasses.title;
    }
    calcHeight(options) {
        if (this._visible(options)) {
            return super.calcHeight(options);
        }
        else {
            return 0;
        }
    }
    update(options, showStaticItemsOnCenter) {
        this._showStaticItemsOnCenter = showStaticItemsOnCenter || false;
        let heightChanded = false;
        if (this._visible(options)) {
            heightChanded = super.update(options);
        }
        else if (this._initialized) {
            this.dispose();
            heightChanded = true;
        }
        return heightChanded;
    }
    _getVisibleItems() {
        return arrangeTitleToolbarItems(this._options, this._showStaticItemsOnCenter);
    }
    _createInstance() {
        return new DashboardTitleToolbar(undefined, undefined, undefined, this.encodeHtml, this.allowHideEmptyToolbar, this._optionalClass);
    }
    _visible(options) {
        return !this.allowHideEmptyToolbar || options.actionItems.length > 0 || options.navigationItems.length > 0 || options.stateItems.length > 0 || options.staticItems.length > 0;
    }
}

;// ./dist/viewer-parts/title/_dashboard-title-view.js



class DashboardTitleView {
    constructor() {
        this.onUpdated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
    }
    get _visible() {
        return this._titleViewModel && this._titleViewModel.Visible;
    }
    initialize(container, controlContainer, encodeHtml, options, titleViewModel) {
        this._options = options;
        this._titleViewModel = titleViewModel;
        if (this._visible) {
            this._captionToolbar = new DashboardTitleToolbar(container, controlContainer, container, encodeHtml);
        }
    }
    calcHeight(masterFilterValues) {
        if (this._visible) {
            let options = DashboardTitleToolbarAdapter.getTitleOptions(this._titleViewModel, masterFilterValues, this._options.showExportDialog, this._options.showParametersDialog, this._options.allowExport);
            this._raiseUpdated(options);
            return this._captionToolbar.calcHeight(this._convertToToolbarOptions(options));
        }
        return 0;
    }
    update(masterFilterValues) {
        if (this._visible) {
            let options = DashboardTitleToolbarAdapter.getTitleOptions(this._titleViewModel, masterFilterValues, this._options.showExportDialog, this._options.showParametersDialog, this._options.allowExport);
            this._raiseUpdated(options);
            this._captionToolbar.update(this._convertToToolbarOptions(options), this._titleViewModel.LayoutModel.Alignment === 'Center');
        }
    }
    resize() {
        if (this._visible) {
            this._captionToolbar.onResize();
        }
    }
    _convertToToolbarOptions(options) {
        return {
            staticItems: options.contentItems,
            actionItems: options.actionItems,
            stateItems: []
        };
    }
    _raiseUpdated(option) {
        this.onUpdated.fire(option);
    }
}

;// ./dist/viewer-parts/viewer-items/_stub-item.js

class stubItem extends baseItem {
    constructor(container, options) {
        super(container, options);
    }
    renderContentUnsafe(element, changeExisting, afterRenderCallback) {
        var options = this.options;
        element.innerText = options.Type;
        return false;
    }
}

;// ./dist/viewer-parts/viewer-items/_widget-viewer-item-core.js
class widgetItemCore {
}

// EXTERNAL MODULE: ./dist/viewer-parts/viewer-items/range-selector-item/_datetime-period-converter.js
var _datetime_period_converter = __webpack_require__(1957);
// EXTERNAL MODULE: ./dist/data/item-data/_item-data-tuple.js
var _item_data_tuple = __webpack_require__(786);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-item.js
var chart_item = __webpack_require__(9478);
// EXTERNAL MODULE: ./dist/model/items/data-dashboard-item.js
var data_dashboard_item = __webpack_require__(9692);
// EXTERNAL MODULE: ./dist/model/items/gauge/gauge-item.js
var gauge_item = __webpack_require__(4250);
// EXTERNAL MODULE: ./dist/model/items/grid/grid-item.js + 1 modules
var grid_item = __webpack_require__(1507);
;// ./dist/viewer-parts/viewer/item-widget-event-args.js


class ChartContext {
    constructor(_dashboardItem) {
        this._dashboardItem = _dashboardItem;
    }
    getDashboardItemSeries(seriesOptions) {
        return this._dashboardItem
            .panes()
            .reduce((acc, pane) => acc.concat(pane.series()), [])
            .filter(series => seriesOptions[_common/* DashboardDataIdField */.e3] && series._getDataId() === seriesOptions[_common/* DashboardDataIdField */.e3])[0];
    }
}
class GridContext {
    constructor(_dashboardItem) {
        this._dashboardItem = _dashboardItem;
    }
    getDashboardItemColumn(columnOptions) {
        return this._dashboardItem
            .columns()
            .filter(column => columnOptions[_common/* DashboardDataIdField */.e3] && column._getDataId() === columnOptions[_common/* DashboardDataIdField */.e3])[0];
    }
}
class GaugeContext {
    constructor(_dashboardItem) {
        this._dashboardItem = _dashboardItem;
    }
    getDashboardItemGauge(gaugeOptions) {
        return this._dashboardItem
            .gauges()
            .filter(gauge => gaugeOptions[_common/* DashboardDataIdField */.e3] && gauge._getDataId() === gaugeOptions[_common/* DashboardDataIdField */.e3])[0];
    }
}

;// ./dist/viewer-parts/viewer/_events-helper.js







const createItemClickEventArgs = (dashboardItem, dataPoint, requestUnderlyingDataFunc) => {
    let itemData = dashboardItem._getItemData();
    const patchAxisName = (axisName) => {
        if (axisName === undefined)
            axisName = 'Default';
        return axisName;
    };
    const getAxis = (axisName) => {
        return itemData.getAxis(patchAxisName(axisName));
    };
    const getAxisPoint = (axisName) => {
        axisName = patchAxisName(axisName);
        return getAxis(axisName).getPointByUniqueValues(dataPoint.getValues(axisName));
    };
    return {
        itemName: dashboardItem.componentName(),
        dashboardItem: dashboardItem,
        getData: function () {
            return itemData;
        },
        getAxisPoint: getAxisPoint,
        getMeasures: () => {
            return itemData.getMeasuresByIds(dataPoint.getMeasureIds());
        },
        getDeltas: function () {
            var ids = dataPoint.getDeltaIds(), deltas = [];
            ids.forEach(id => {
                deltas.push(itemData.getDeltaById(id));
            });
            return deltas;
        },
        getDimensions: (axisName) => {
            return getAxis(axisName).getDimensions();
        },
        requestUnderlyingData: function (onCompleted, dataMembers) {
            var axisPoints = [];
            itemData.getAxisNames().forEach(axisName => {
                axisPoints.push(getAxisPoint(axisName));
            });
            requestUnderlyingDataFunc(dashboardItem.componentName(), {
                axisPoints: axisPoints,
                dataMembers: dataMembers
            }, onCompleted);
        }
    };
};
const createItemSelectionChangedEventArgs = (dashboardItem, tuples) => {
    return {
        itemName: dashboardItem.componentName(),
        dashboardItem: dashboardItem,
        getCurrentSelection: function () {
            let axisPointTuples = [];
            tuples.forEach(tuple => {
                axisPointTuples.push(dashboardItem._getItemData().createTuple(tuple));
            });
            return axisPointTuples;
        }
    };
};
const createItemElementCustomColorEventArgs = (dashboardItem, eventArgs) => {
    return {
        itemName: dashboardItem.componentName(),
        dashboardItem: dashboardItem,
        getTargetElement: function () {
            return new _item_data_tuple/* itemDataTuple */.e(eventArgs.targetElement);
        },
        getMeasures: function () {
            return dashboardItem._getItemData().getMeasuresByIds(eventArgs.measureIds);
        },
        getColor: function () {
            return eventArgs.color;
        },
        setColor: function (color) {
            eventArgs.color = color;
        }
    };
};
const createItemInteractivityEventArgs = (dashboardItem, interactivityOptions) => {
    return {
        itemName: dashboardItem.componentName(),
        dashboardItem: dashboardItem,
        getSelectionMode: function () { return interactivityOptions.selectionMode; },
        setSelectionMode: function (value) { interactivityOptions.selectionMode = value; },
        isHighlightingEnabled: function () { return interactivityOptions.hoverEnabled; },
        enableHighlighting: function (value) { interactivityOptions.hoverEnabled = value; },
        getTargetAxes: function () { return interactivityOptions.targetAxes; },
        setTargetAxes: function (value) { interactivityOptions.targetAxes = value; },
        getDefaultSelection: function () {
            let realTuples = [];
            interactivityOptions.defaultSelectedValues.forEach(tuple => {
                realTuples.push(dashboardItem._getItemData().createTuple(tuple));
            });
            return realTuples;
        },
        setDefaultSelection: function (realTuples) {
            let tuples = [], tuple;
            realTuples.forEach(realTuple => {
                tuple = [];
                interactivityOptions.targetAxes.forEach(axisName => {
                    tuple.push({
                        AxisName: axisName,
                        Value: realTuple.getAxisPoint(axisName).getUniquePath()
                    });
                });
                tuples.push(tuple);
            });
            interactivityOptions.defaultSelectedValues = tuples;
        }
    };
};
const createBaseWidgetEventArgs = (dashboardItem) => {
    var itemData = dashboardItem instanceof data_dashboard_item/* DataDashboardItem */.s ? dashboardItem._getItemData() : null;
    return {
        itemName: dashboardItem.componentName(),
        itemData: itemData,
        dashboardItem: dashboardItem,
        chartContext: dashboardItem instanceof chart_item/* ChartItem */.G ? new ChartContext(dashboardItem) : null,
        gridContext: dashboardItem instanceof grid_item/* GridItem */.E ? new GridContext(dashboardItem) : null,
        gaugeContext: dashboardItem instanceof gauge_item/* GaugeItem */.$ ? new GaugeContext(dashboardItem) : null
    };
};
const createWidgetEventArgs = (dashboardItem, widget) => {
    return {
        getWidget: function () { return widget; },
        ...createBaseWidgetEventArgs(dashboardItem)
    };
};
const createWidgetOptionsEventArgs = (dashboardItem, options) => {
    return {
        options: options,
        ...createBaseWidgetEventArgs(dashboardItem)
    };
};

;// ./dist/viewer-parts/widgets/caption-toolbar/_mobile-layout-caption-toolbar.js


class MobileLayoutCaptionToolbar {
    constructor(_container, _controlContainer, _popupContainer, _encodeHtml, _className, _hasBorder = false) {
        this._container = _container;
        this._controlContainer = _controlContainer;
        this._popupContainer = _popupContainer;
        this._encodeHtml = _encodeHtml;
        this._className = _className;
        this._hasBorder = _hasBorder;
        this._disabled = false;
    }
    get element() {
        return undefined;
    }
    get disabled() {
        return this._disabled;
    }
    calcHeight(options) {
        let toolbar = this._createInstance();
        toolbar.update(options);
        let height = toolbar._contentToolbar.calcHeight(this._prepareContentToolbarOptions(options)) + toolbar._actionToolbar.calcHeight(this._prepareActionToolbarOptions(options));
        toolbar.dispose();
        return height;
    }
    calcMinWidth(options) {
        return 0;
    }
    update(options) {
        if (!this._contentToolbar) {
            this._contentToolbar = new StaticCaptionToolbar(this._container, this._controlContainer, this._popupContainer, this._encodeHtml, [this._className, cssClasses.contentToolbar].join(' '), this._hasBorder, true);
        }
        let contentToolbarOptions = this._prepareContentToolbarOptions(options);
        let contentToolbarHeightChanged = this._contentToolbar.update(contentToolbarOptions);
        if (!this._actionToolbar) {
            let contentToolbarIsHidden = !this._hasItems(contentToolbarOptions);
            this._actionToolbar = new StaticCaptionToolbar(this._container, this._controlContainer, this._popupContainer, this._encodeHtml, [this._className, cssClasses.actionToolbar].join(' '), contentToolbarIsHidden && this._hasBorder, true);
        }
        let actualToolbarHeightChanged = this._actionToolbar.update(this._prepareActionToolbarOptions(options));
        this._toolbars = [this._actionToolbar, this._contentToolbar];
        return contentToolbarHeightChanged || actualToolbarHeightChanged;
    }
    onResize() {
        this._toolbars.forEach(toolbar => toolbar.onResize());
    }
    dispose() {
        if (this._toolbars)
            this._toolbars.forEach(toolbar => toolbar.dispose());
    }
    _createInstance() {
        return new MobileLayoutCaptionToolbar(undefined, undefined, undefined, this._encodeHtml, this._className, this._hasBorder);
    }
    _prepareContentToolbarOptions(options) {
        return options ? {
            staticItems: options.staticItems,
            actionItems: [],
            stateItems: [],
            navigationItems: []
        } : undefined;
    }
    _prepareActionToolbarOptions(options) {
        return options ? {
            staticItems: options.navigationItems,
            actionItems: options.actionItems,
            stateItems: options.stateItems,
            navigationItems: []
        } : undefined;
    }
    _hasItems(options) {
        return options.navigationItems.length > 0 || options.actionItems.length > 0 || options.stateItems.length > 0 || options.staticItems.length > 0;
    }
}

;// external "DevExpress.ui.dxLoadPanel"
const external_DevExpress_ui_dxLoadPanel_namespaceObject = DevExpress.ui.dxLoadPanel;
var external_DevExpress_ui_dxLoadPanel_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxLoadPanel_namespaceObject);
;// external "DevExpress.ui.dxNumberBox"
const external_DevExpress_ui_dxNumberBox_namespaceObject = DevExpress.ui.dxNumberBox;
var external_DevExpress_ui_dxNumberBox_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxNumberBox_namespaceObject);
// EXTERNAL MODULE: ./dist/model/parameters/_parameters-helper.js
var _parameters_helper = __webpack_require__(2809);
;// ./dist/styles/_constants.js
const materialGridBaseHeaderHeight = 40;
const materialGridBaseHeaderLineHeight = 16;
const materialGridBaseCellHeight = 36;
const materialGridBaseCellLineHeight = 16;
const materialPopupContentPadding = 16;
const devExtremeConstants = {
    materialPopupToolbarHeight: 42,
    materialPopupContentPadding: materialPopupContentPadding,
    materialGridBaseHeaderHeight: materialGridBaseHeaderHeight,
    materialGridBaseHeaderLineHeight: materialGridBaseHeaderLineHeight,
    materialGridBaseHeaderCellVerticalPadding: Math.round((materialGridBaseHeaderHeight - materialGridBaseHeaderLineHeight) / 2),
    materialGridBaseCellHeight: materialGridBaseCellHeight,
    materialGridBaseCellLineHeight: materialGridBaseCellLineHeight,
    materialGridBaseCellVerticalPadding: Math.round((materialGridBaseCellHeight - materialGridBaseCellLineHeight) / 2),
    materialButtonHeight: 28,
    materialGridBaseCellFontSize: 13,
    materialGridBaseRowBorder: 1,
    dxPopupTitleBorderBottom: 1,
    dxDatagridHeadersBorder: 1,
};
const dashboardConstants = {
    materialParametersDialogFormPaddingTop: 18,
    materialParametersDialogFormPaddingBottom: 30 - devExtremeConstants.materialPopupContentPadding,
};

;// ./dist/viewer-parts/widgets/dialogs/_parameters-dialog.js




















const genericParametersDialogSizes = {
    fakeElementsHeight: 172,
    fakeParametersDialogGridRowHeight: 34,
};
var _parameters_dialog_dialogClasses = {
    allowNullCheckBox: 'dx-parameter-allownull-checkbox',
    allowNullCheckBoxSize: 'dx-datagrid-checkbox-size',
    valueEditor: 'dx-parameter-value-editor',
    multiselectValuePart: 'dx-dashboard-dialog-parameters-tag',
    theme: 'dx-dashboard-theme',
};
let parameterTypes = {
    string: 'String',
    int: 'Int',
    float: 'Float',
    bool: 'Bool',
    dateTime: 'DateTime',
    selector: 'Selector',
    multiselector: 'Multiselector',
    guid: 'Guid'
};
class parametersDialog {
    constructor(options) {
        this.valueChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.parameterEntitiesDict = {};
        this.options = options;
        if (this.options.getParametersCollection) {
            this.getParametersCollection = this.options.getParametersCollection;
        }
        if (this.options.submitParameters) {
            this.submitParameters = this.options.submitParameters;
        }
        this._initialize();
    }
    _initialize() {
        var that = this, options = that.options, numberOfParameters = that.getParametersCollection().getVisibleParameters().length, scroll = numberOfParameters > 8, allowNullColumn = that.allowNullColumn(), submitParameters = that.submitParameters, parameterEntities = [];
        let notScrollHeight = (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()) ?
            devExtremeConstants.materialPopupToolbarHeight + devExtremeConstants.dxPopupTitleBorderBottom + 2 * devExtremeConstants.dxDatagridHeadersBorder +
                dashboardConstants.materialParametersDialogFormPaddingTop +
                devExtremeConstants.materialGridBaseHeaderHeight + devExtremeConstants.dxDatagridHeadersBorder +
                numberOfParameters * (devExtremeConstants.materialGridBaseCellHeight + devExtremeConstants.materialGridBaseRowBorder) +
                dashboardConstants.materialParametersDialogFormPaddingBottom +
                devExtremeConstants.materialPopupContentPadding * 2 + devExtremeConstants.materialButtonHeight
            :
                (numberOfParameters + 1) * genericParametersDialogSizes.fakeParametersDialogGridRowHeight + genericParametersDialogSizes.fakeElementsHeight;
        that.dialogForm = new dialogForm({
            title: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ParametersFormCaption),
            fullScreenMode: options.fullScreenMode,
            dialogContainer: options.parametersDialogContainer,
            width: allowNullColumn ? dialogSizes.width : dialogSizes.minWidth,
            height: scroll ? dialogSizes.height : notScrollHeight,
            allowScrolling: false,
            deferredRendering: false,
            onShowing: options.onShowing,
            onShown: options.onShown,
            onHidden: (args) => {
                options.onHidden(args);
                this._loadPanel?.hide();
            },
            buttons: [{
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonReset), func: () => that.resetParameterValues()
                }, {
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonSubmit), hide: true, func: () => that.submitParameterValues(), isDefault: true
                }, {
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel), hide: true, func: () => { }
                }],
            renderContent: (controlCreationCallbacks) => {
                var parametersForm = document.createElement('div');
                parametersForm.classList.add(dialogClasses.form);
                this._dataGrid = that._generateContent(parametersForm, controlCreationCallbacks, true);
                return parametersForm;
            },
            disposeContent: () => {
                this._disposeGrid();
            },
            setActualState: function () {
                that.setActualState();
            }
        });
        let loadingPanelElement = document.createElement('div');
        options.parametersDialogContainer.appendChild(loadingPanelElement);
        this._loadPanel = new (external_DevExpress_ui_dxLoadPanel_default())(loadingPanelElement, {
            shadingColor: 'rgba(0,0,0,0.4)',
            position: { of: (0,_jquery_helpers/* $unwrap */.I1)(this.dialogForm.popupInstance.content()) },
            visible: false,
            showIndicator: true,
            showPane: true,
            shading: false,
            hideOnOutsideClick: false,
        });
    }
    showLoadPanel() {
        this._loadPanel?.show();
    }
    hideLoadPanel() {
        this._loadPanel?.hide();
    }
    _disposeGrid() {
        if (this._dataGrid) {
            this._dataGrid.option('dataSource').forEach(entry => entry.dispose());
            this._dataGrid.dispose();
        }
    }
    appendNullGridColumn(gridColumns) {
        if (this.allowNullColumn())
            gridColumns.push(this.createNullColumn());
    }
    allowNullColumn() {
        var allowNullValues;
        this.getParametersCollection().getVisibleParameters().forEach(parameter => {
            if (parameter.getAllowNull())
                allowNullValues = true;
        });
        return allowNullValues;
    }
    createNullColumn() {
        return {
            dataField: 'fakeDataField_divAllowNull',
            caption: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ParametersFormAllowNullColumnCaption),
            width: '20%',
            alignment: 'center',
            allowEditing: false,
            cellTemplate: function (container, options) {
                let entity = options.data;
                (0,_jquery_helpers/* $unwrap */.I1)(container).appendChild((0,_jquery_helpers/* $unwrap */.I1)(entity.divAllowNull));
            }
        };
    }
    createGridColumns() {
        let allowNullColumn = this.allowNullColumn();
        let gridColumns = [{
                dataField: 'description',
                caption: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ParametersFormNameColumnCaption),
                dataType: 'string',
                width: allowNullColumn ? '40%' : '50%',
                allowEditing: false
            }, {
                dataField: 'fakeDataField_divValueEditor',
                caption: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ParametersFormValueColumnCaption),
                width: allowNullColumn ? '40%' : '50%',
                cssClass: 'dx-parameter-value-editor',
                showEditorAlways: true,
                editCellTemplate: (cellElement, cellInfo) => {
                    (0,_jquery_helpers/* $unwrap */.I1)(cellElement).appendChild((0,_jquery_helpers/* $unwrap */.I1)(cellInfo.data.divValueEditor));
                }
            }];
        this.appendNullGridColumn(gridColumns);
        return gridColumns;
    }
    _generateContent(element, controlCreationCallbacks, subscribeValueChanged = false) {
        var that = this, parameterEntities = that.getParametersCollection().getParameterList().reduce((acc, parameter) => {
            let parameterEntity = that._getParameterEntity(parameter, controlCreationCallbacks);
            if (parameterEntity) {
                if (subscribeValueChanged) {
                    parameterEntity.valueChanged.add((e) => that.valueChanged.fire());
                }
                acc.push(parameterEntity);
            }
            return acc;
        }, []);
        this.submitParameterValues = () => {
            that.submitParameters(parameterEntities.map(parameterEntity => parameterEntity.wrapParameter()));
        };
        this.resetParameterValues = () => {
            var parametersCollection = that.getParametersCollection();
            parameterEntities.forEach(parameterEntity => {
                parameterEntity.setValue(parametersCollection.getParameterDefaultValue(parameterEntity.name));
                this.options.updateCascadingParameters(parameterEntity.name, parameterEntity.getValue(), this.parameterEntitiesDict, true);
            });
        };
        this.setActualState = () => {
            var parametersCollection = that.getParametersCollection();
            parameterEntities.forEach(parameterEntity => {
                var parameter = parametersCollection.getParameterByName(parameterEntity.name);
                if (parameter) {
                    const converter = _parameters_helper/* ParameterHelper */._.getTypeConverter(parameter.originalType);
                    var lookUpValues = parameter.getLookUpValues();
                    if (lookUpValues !== null) {
                        converter && lookUpValues.forEach(x => {
                            x._value = converter(x._value);
                        });
                        parameterEntity.setLookUpValues(lookUpValues);
                    }
                    parameterEntity.setValue(parameter.getValue());
                }
            });
        };
        let gridOptions = {
            dataSource: parameterEntities,
            columns: that.createGridColumns(),
            width: '100%',
            height: '100%',
            showColumnLines: true,
            showRowLines: true,
            allowColumnResizing: true,
            keyExpr: 'name',
            loadPanel: {
                enabled: false
            },
            repaintChangesOnly: true,
            editing: { mode: 'cell', allowUpdating: true, refreshMode: 'repaint' },
            paging: { enabled: false },
            sorting: { mode: 'none' },
            scrolling: {
                mode: 'standard'
            }
        };
        if ((0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)())) {
            gridOptions.showBorders = true;
            gridOptions.rowAlternationEnabled = parameterEntities.length > 2;
        }
        return new (external_DevExpress_ui_dxDataGrid_default())(element, gridOptions);
    }
    generateContent(element, disposeCallback) {
        let controlCreationCallbacks = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this._disposeGrid();
        this._dataGrid = this._generateContent(element, controlCreationCallbacks, true);
        let prepareActualValues = (controlCreationCallbacks) => {
            controlCreationCallbacks.fire();
            this.setActualState();
        };
        prepareActualValues(controlCreationCallbacks);
        return {
            grid: this._dataGrid,
            submitParameterValues: () => this.submitParameterValues(),
            resetParameterValues: () => this.resetParameterValues(),
            valueChanged: this.valueChanged,
            dispose: () => {
                this.dispose();
                this._dataGrid?.dispose && this._dataGrid?.dispose();
                disposeCallback && disposeCallback();
            }
        };
    }
    show() {
        this.dialogForm.showDialog();
    }
    hide() {
        this.dialogForm.hideDialog();
        this.parameterEntitiesDict = {};
    }
    dispose() {
        this.dialogForm && this.dialogForm.dispose();
        this.parameterEntitiesDict = {};
        this._disposeGrid();
        this._loadPanel?.dispose();
    }
    _getParameterEntity(parameter, controlCreationCallbacks) {
        var entityOptions = {
            name: parameter.getName(),
            description: parameter.getDescription(),
            defaultValue: parameter.getDefaultValue(),
            controlCreationCallbacks: controlCreationCallbacks,
            allowNull: parameter.getAllowNull(),
            allowMultiselect: parameter.getAllowMultiselect(),
            type: parameter.getType(),
            value: parameter.getValue(),
            selectAllValues: parameter._selectAllValues
        };
        let parameterEntity;
        if (parameter.getLookUpValues() !== null) {
            if (entityOptions.allowMultiselect) {
                parameterEntity = new ParameterEntity({
                    ...entityOptions,
                    valueName: 'value',
                    createControl: (element) => new (external_DevExpress_ui_dxTagBox_default())(element, {
                        showDropDownButton: true,
                        showSelectionControls: true,
                        selectAllMode: 'allPages',
                        multiline: false,
                        tagTemplate: (data, $element) => {
                            var element = (0,_jquery_helpers/* $unwrap */.I1)($element);
                            if (element) {
                                element.innerText = external_jQuery_.fn.constructor(element).is(':first-child') ? data.displayValue : ', ' + data.displayValue;
                                element.classList.add(_parameters_dialog_dialogClasses.multiselectValuePart);
                                return element;
                            }
                            return undefined;
                        },
                        searchEnabled: true,
                        selectAllText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementShowAllItem'),
                        noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
                        displayExpr: 'displayValue',
                        valueExpr: 'value',
                        value: entityOptions.value,
                        searchExpr: 'displayValue',
                        placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.ParametersSelectorText),
                        dropDownOptions: {
                            container: this.options.parametersDialogContainer
                        },
                        onSelectionChanged: e => {
                            e.element.title = e.component.option('value').join(', ');
                        },
                        onFocusOut: (e) => {
                            if (e.component['_isVisible'] && e.component['_isVisible']() && this.options.updateCascadingParameters)
                                this.options.updateCascadingParameters(entityOptions.name, e.component.option('selectedItems').map(item => item.value), this.parameterEntitiesDict, true);
                        }
                    })
                });
            }
            else {
                parameterEntity = new ParameterEntity({
                    ...entityOptions,
                    valueName: 'value',
                    createControl: (element) => new (external_DevExpress_ui_dxSelectBox_default())(element, {
                        searchEnabled: true,
                        selectAllText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementShowAllItem'),
                        noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
                        encodeNoDataText: true,
                        displayExpr: 'displayValue',
                        valueExpr: 'value',
                        searchExpr: 'displayValue',
                        placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.ParametersSelectorText),
                        dropDownOptions: {
                            container: this.options.parametersDialogContainer
                        },
                        onSelectionChanged: e => {
                            if (e.component['_isVisible'] && e.component['_isVisible']() && this.options.updateCascadingParameters)
                                this.options.updateCascadingParameters(entityOptions.name, e.selectedItem?.value, this.parameterEntitiesDict, true);
                        },
                    })
                });
            }
        }
        else {
            const onFocusOut = (e, value) => {
                if (e.component['_isVisible'] && e.component['_isVisible']() && this.options.updateCascadingParameters)
                    this.options.updateCascadingParameters(entityOptions.name, value, this.parameterEntitiesDict, true);
            };
            switch (parameter.getType()) {
                case parameterTypes.string:
                    parameterEntity = new ParameterEntity({
                        ...entityOptions,
                        valueName: 'value',
                        createControl: (element) => new (external_DevExpress_ui_dxTextBox_default())(element, {
                            onFocusOut: e => onFocusOut(e, e.component.option('value'))
                        })
                    });
                    break;
                case parameterTypes.int:
                    parameterEntity = new ParameterEntity({
                        ...entityOptions,
                        valueName: 'value',
                        createControl: (element) => new (external_DevExpress_ui_dxNumberBox_default())(element, {
                            showSpinButtons: true,
                            step: 1,
                            onFocusOut: e => onFocusOut(e, e.component.option('value'))
                        })
                    });
                    break;
                case parameterTypes.float:
                    parameterEntity = new ParameterEntity({
                        ...entityOptions,
                        valueName: 'value',
                        createControl: (element) => new (external_DevExpress_ui_dxNumberBox_default())(element, {
                            showSpinButtons: true,
                            step: 0.1,
                            onFocusOut: e => onFocusOut(e, e.component.option('value'))
                        })
                    });
                    break;
                case parameterTypes.bool:
                    parameterEntity = new ParameterEntity({
                        ...entityOptions,
                        valueName: 'value',
                        createControl: (element) => new (external_DevExpress_ui_dxCheckBox_default())(element, {
                            onValueChanged: e => onFocusOut(e, e.value)
                        })
                    });
                    break;
                case parameterTypes.dateTime:
                    parameterEntity = new ParameterEntity({
                        ...entityOptions,
                        valueName: 'value',
                        createControl: (element) => new (external_DevExpress_ui_dxDateBox_default())(element, {
                            pickerType: DashboardLayoutModeHelper.isTouch ? 'rollers' : 'calendar',
                            width: '100%',
                            applyButtonText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonOK),
                            cancelButtonText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel),
                            placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.SelectDate),
                            dropDownOptions: {
                                container: this.options.parametersDialogContainer
                            },
                            onPopupInitialized: function (e) {
                                var popup = e.popup;
                                if (popup) {
                                    let todayBtn = {
                                        widget: 'dxButton', toolbar: 'bottom', location: 'center',
                                        options: {
                                            text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ParametersFormCalendarTodayButton),
                                            onClick: function () {
                                                var dateBox = e.component;
                                                if (dateBox) {
                                                    var todate = new Date();
                                                    todate.setHours(0, 0, 0, 0);
                                                    dateBox.option('value', todate);
                                                }
                                            }
                                        }
                                    };
                                    if (DashboardLayoutModeHelper.isTouch) {
                                        popup.option('toolbarItems').push(todayBtn);
                                    }
                                    else {
                                        popup.option('toolbarItems', [todayBtn]);
                                    }
                                }
                            },
                            onFocusOut: e => onFocusOut(e, e.component.option('value'))
                        })
                    });
                    break;
                case parameterTypes.guid:
                    parameterEntity = new ParameterEntity({
                        ...entityOptions,
                        valueName: 'value',
                        createControl: (element) => new (external_DevExpress_ui_dxTextBox_default())(element, {
                            mask: 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh',
                            maskRules: { 'h': /[0-9A-Fa-f]/ },
                            useMaskedValue: true,
                            onFocusOut: e => onFocusOut(e, e.component.option('value'))
                        })
                    });
                    break;
            }
        }
        this.parameterEntitiesDict[entityOptions.name] = parameterEntity;
        if (parameter.isVisible())
            return parameterEntity;
    }
}
class ParameterEntity {
    dispose() {
        if (this.allowNullControl) {
            this.allowNullControl.dispose();
        }
        if (this.control) {
            this.control.dispose();
        }
        this.divValueEditor = null;
        this.divAllowNull = null;
        this.allowNullControl = null;
    }
    constructor(options) {
        this.lookUpValues = [];
        this.valueChanged = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.name = options.name;
        this.type = options.type;
        this.description = options.description ? options.description : this.name;
        this.defaultValue = options.defaultValue;
        this.value = options.value;
        this.lookUpValues = [];
        this.allowNull = options.allowNull;
        this.allowMultiselect = options.allowMultiselect;
        this.createControl = options.createControl;
        this.valueName = options.valueName;
        this.controlCreationCallbacks = options.controlCreationCallbacks;
        this.selectAllValues = options.selectAllValues;
        this.divValueEditor = document.createElement('div');
        this.divValueEditor.classList.add(_parameters_dialog_dialogClasses.valueEditor);
        this.divValueEditor.classList.add(_parameters_dialog_dialogClasses.valueEditor + '-' + this.type.toLowerCase());
        this.divValueEditor.classList.add(_parameters_dialog_dialogClasses.allowNullCheckBoxSize);
        if (this.allowNull) {
            this.divAllowNull = document.createElement('div');
            this.divAllowNull.classList.add(_parameters_dialog_dialogClasses.allowNullCheckBox);
            this.divAllowNull.classList.add(_parameters_dialog_dialogClasses.allowNullCheckBoxSize);
        }
        else {
            this.divAllowNull = document.createElement('center');
            this.divAllowNull.innerText = 'n/a';
        }
        this._addControl();
    }
    getValue() {
        if (this.allowNull && this.allowNullControl.option('value') === true)
            return null;
        else
            return this.control.option(this.valueName);
    }
    setValue(value) {
        if (this.allowMultiselect) {
            if ((value === null) || (value === undefined)) {
                value = [];
            }
            else if (!Array.isArray(value)) {
                value = [{ displayValue: value, value: value }];
            }
        }
        this.control.option('value', value);
    }
    setLookUpValues(values) {
        var newValues = [];
        values.forEach(value => {
            newValues.push({
                value: value.getValue(),
                displayValue: value.getDisplayText()
            });
        });
        this.lookUpValues = newValues;
        this.control.option('dataSource', new (external_DevExpress_data_DataSource_default())(newValues));
    }
    wrapParameter() {
        return {
            Name: this.name,
            Value: this.getValue()
        };
    }
    _addControl() {
        this.controlCreationCallbacks.add((component) => {
            if (!this.control) {
                this.control = this.createControl(this.divValueEditor);
                this.control.option('onValueChanged', this.allowNull ?
                    (e) => {
                        var passNull = this.allowNullControl.option('value'), value = this.control.option('value');
                        if (this.allowMultiselect) {
                            if (passNull === true && value.length > 0)
                                this.allowNullControl.option('value', false);
                            else if (passNull === false && value.length === 0)
                                this.allowNullControl.option('value', true);
                        }
                        else if (passNull === false && value === null)
                            this.allowNullControl.option('value', true);
                        else if (passNull === true && value !== null)
                            this.allowNullControl.option('value', false);
                        this.valueChanged.fire(e);
                    } :
                    (e) => {
                        this.valueChanged.fire(e);
                    });
                if (this.allowNull) {
                    this.allowNullControl = new (external_DevExpress_ui_dxCheckBox_default())(this.divAllowNull, {
                        value: this.value === null,
                        onValueChanged: (e) => {
                            var value = this.control.option('value');
                            if (e.value) {
                                this.value = value;
                                if (this.allowMultiselect)
                                    this.control.option('value', []);
                                else if (value !== null)
                                    this.control.option('value', null);
                            }
                            else if (value === null || value.length === 0)
                                this.control.option('value', this.value);
                        }
                    });
                }
            }
        });
    }
}

;// ./dist/viewer-parts/widgets/dialogs/export/_export-localization.js
var paperKind = {};
var pageLayout = {};
var scaleMode = {};
var dashboardStatePosition = {};
var excelDashboardStatePosition = {};
var imageFormat = {};
var excelFormat = {};
var sizeMode = {};

;// ./dist/viewer-parts/widgets/dialogs/export/_export-options-cache.js
let optionName = {
    pdfTitle: 'pdfTitle',
    imageTitle: 'imageTitle',
    fileName: 'fileName',
    autoFitPageCount: 'autoFitPageCount',
    cardAutoArrangeContent: 'cardAutoArrangeContent',
    chartAutomaticPageLayout: 'chartAutomaticPageLayout',
    chartSizeMode: 'chartSizeMode',
    pdfDashboardStatePosition: 'pdfDashboardStatePosition',
    gaugeAutoArrangeContent: 'gaugeAutoArrangeContent',
    gridFitToPageWidth: 'gridFitToPageWidth',
    gridPrintHeadersOnEveryPage: 'gridPrintHeadersOnEveryPage',
    mapAutomaticPageLayout: 'mapAutomaticPageLayout',
    mapSizeMode: 'mapSizeMode',
    pageLayout: 'pageLayout',
    paperKind: 'paperKind',
    pieAutoArrangeContent: 'pieAutoArrangeContent',
    pivotPrintHeadersOnEveryPage: 'pivotPrintHeadersOnEveryPage',
    rangeFilterAutomaticPageLayout: 'rangeFilterAutomaticPageLayout',
    rangeFilterSizeMode: 'rangeFilterSizeMode',
    pdfScaleFactor: 'pdfScaleFactor',
    scaleMode: 'scaleMode',
    dashboardAutomaticPageLayout: 'dashboardAutomaticPageLayout',
    pdfShowTitle: 'pdfShowTitle',
    treemapAutomaticPageLayout: 'treemapAutomaticPageLayout',
    treemapSizeMode: 'treemapSizeMode',
    imageFormat: 'imageFormat',
    resolution: 'resolution',
    imageScaleFactor: 'imageScaleFactor',
    imageShowTitle: 'imageShowTitle',
    csvValueSeparator: 'csvValueSeparator',
    excelDashboardStatePosition: 'excelDashboardStatePosition',
    excelFormat: 'excelFormat',
    pdfExportFilters: 'pdfExportFilters',
    imageExportFilters: 'imageExportFilters',
    excelExportFilters: 'excelExportFilters',
    pdfExportParameters: 'pdfExportParameters',
    imageExportParameters: 'imageExportParameters',
    excelExportParameters: 'excelExportParameters',
    pdfIncludeHiddenParameters: 'pdfIncludeHiddenParameters',
    imageIncludeHiddenParameters: 'imageIncludeHiddenParameters',
    excelIncludeHiddenParameters: 'excelIncludeHiddenParameters',
    fontInfo: 'fontInfo'
};
class exportOptionsCache {
    constructor() {
        this._initialize();
    }
    _initialize() {
        this.documentOptions = {};
        this.itemsOptions = {};
        this.pdfOptions = {};
        this.imageOptions = {};
        this.excelOptions = {};
    }
    _addOption(cache, key, defaultValue, actualValue) {
        if (defaultValue == actualValue)
            delete cache[key];
        else
            cache[key] = actualValue;
    }
    add(dashboardItemName, defaultDocumentInfo, actualDocumentInfo) {
        var that = this;
        if (dashboardItemName === '') {
            this._addOption(that.documentOptions, optionName.pdfTitle, defaultDocumentInfo.pdfExportOptions.Title, actualDocumentInfo.pdfExportOptions.Title);
            this._addOption(that.documentOptions, optionName.imageTitle, defaultDocumentInfo.imageExportOptions.Title, actualDocumentInfo.imageExportOptions.Title);
            this._addOption(that.pdfOptions, optionName.pdfShowTitle, defaultDocumentInfo.pdfExportOptions.ShowTitle, actualDocumentInfo.pdfExportOptions.ShowTitle);
            this._addOption(that.imageOptions, optionName.imageShowTitle, defaultDocumentInfo.imageExportOptions.ShowTitle, actualDocumentInfo.imageExportOptions.ShowTitle);
        }
        this._addOption(that.pdfOptions, optionName.pageLayout, defaultDocumentInfo.pdfExportOptions.PageLayout, actualDocumentInfo.pdfExportOptions.PageLayout);
        this._addOption(that.pdfOptions, optionName.paperKind, defaultDocumentInfo.pdfExportOptions.PaperKind, actualDocumentInfo.pdfExportOptions.PaperKind);
        this.itemsOptions[dashboardItemName] = {};
        this._addOption(that.itemsOptions[dashboardItemName], optionName.scaleMode, defaultDocumentInfo.pdfExportOptions.DocumentScaleMode, actualDocumentInfo.pdfExportOptions.DocumentScaleMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.dashboardAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.pdfScaleFactor, defaultDocumentInfo.pdfExportOptions.ScaleFactor, actualDocumentInfo.pdfExportOptions.ScaleFactor);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.imageScaleFactor, defaultDocumentInfo.imageExportOptions.ScaleFactor, actualDocumentInfo.imageExportOptions.ScaleFactor);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.autoFitPageCount, defaultDocumentInfo.pdfExportOptions.AutoFitPageCount, actualDocumentInfo.pdfExportOptions.AutoFitPageCount);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.fileName, defaultDocumentInfo.fileName, actualDocumentInfo.fileName);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.gridPrintHeadersOnEveryPage, defaultDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage, actualDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.gridFitToPageWidth, defaultDocumentInfo.pdfExportOptions.GridFitToPageWidth, actualDocumentInfo.pdfExportOptions.GridFitToPageWidth);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.pivotPrintHeadersOnEveryPage, defaultDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage, actualDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.chartSizeMode, defaultDocumentInfo.pdfExportOptions.ChartSizeMode, actualDocumentInfo.pdfExportOptions.ChartSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.chartAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.mapSizeMode, defaultDocumentInfo.pdfExportOptions.MapSizeMode, actualDocumentInfo.pdfExportOptions.MapSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.mapAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.MapAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.MapAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.treemapSizeMode, defaultDocumentInfo.pdfExportOptions.TreemapSizeMode, actualDocumentInfo.pdfExportOptions.TreemapSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.treemapAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.rangeFilterSizeMode, defaultDocumentInfo.pdfExportOptions.RangeFilterSizeMode, actualDocumentInfo.pdfExportOptions.RangeFilterSizeMode);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.rangeFilterAutomaticPageLayout, defaultDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout, actualDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.pieAutoArrangeContent, defaultDocumentInfo.pdfExportOptions.PieAutoArrangeContent, actualDocumentInfo.pdfExportOptions.PieAutoArrangeContent);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.gaugeAutoArrangeContent, defaultDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent, actualDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent);
        this._addOption(that.itemsOptions[dashboardItemName], optionName.cardAutoArrangeContent, defaultDocumentInfo.pdfExportOptions.CardAutoArrangeContent, actualDocumentInfo.pdfExportOptions.CardAutoArrangeContent);
        if (dashboardItemName != '') {
            this._addOption(that.itemsOptions[dashboardItemName], optionName.pdfShowTitle, defaultDocumentInfo.pdfExportOptions.ShowTitle, actualDocumentInfo.pdfExportOptions.ShowTitle);
            this._addOption(that.itemsOptions[dashboardItemName], optionName.imageShowTitle, defaultDocumentInfo.imageExportOptions.ShowTitle, actualDocumentInfo.imageExportOptions.ShowTitle);
            this._addOption(that.itemsOptions[dashboardItemName], optionName.pdfTitle, defaultDocumentInfo.pdfExportOptions.Title, actualDocumentInfo.pdfExportOptions.Title);
            this._addOption(that.itemsOptions[dashboardItemName], optionName.imageTitle, defaultDocumentInfo.imageExportOptions.Title, actualDocumentInfo.imageExportOptions.Title);
        }
        this._addOption(that.documentOptions, optionName.pdfDashboardStatePosition, defaultDocumentInfo.pdfExportOptions.DashboardStatePosition, actualDocumentInfo.pdfExportOptions.DashboardStatePosition);
        this._addOption(that.documentOptions, optionName.pdfExportFilters, defaultDocumentInfo.pdfExportOptions.ExportFilters, actualDocumentInfo.pdfExportOptions.ExportFilters);
        this._addOption(that.documentOptions, optionName.pdfExportParameters, defaultDocumentInfo.pdfExportOptions.ExportParameters, actualDocumentInfo.pdfExportOptions.ExportParameters);
        this._addOption(that.documentOptions, optionName.pdfIncludeHiddenParameters, defaultDocumentInfo.pdfExportOptions.IncludeHiddenParameters, actualDocumentInfo.pdfExportOptions.IncludeHiddenParameters);
        this._addOption(that.documentOptions, optionName.fontInfo, defaultDocumentInfo.pdfExportOptions.FontInfo, actualDocumentInfo.pdfExportOptions.FontInfo);
        this._addOption(that.imageOptions, optionName.imageFormat, defaultDocumentInfo.imageExportOptions.Format, actualDocumentInfo.imageExportOptions.Format);
        this._addOption(that.imageOptions, optionName.resolution, defaultDocumentInfo.imageExportOptions.Resolution, actualDocumentInfo.imageExportOptions.Resolution);
        this._addOption(that.documentOptions, optionName.imageExportFilters, defaultDocumentInfo.imageExportOptions.ExportFilters, actualDocumentInfo.imageExportOptions.ExportFilters);
        this._addOption(that.documentOptions, optionName.imageExportParameters, defaultDocumentInfo.imageExportOptions.ExportParameters, actualDocumentInfo.imageExportOptions.ExportParameters);
        this._addOption(that.documentOptions, optionName.imageIncludeHiddenParameters, defaultDocumentInfo.imageExportOptions.IncludeHiddenParameters, actualDocumentInfo.imageExportOptions.IncludeHiddenParameters);
        this._addOption(that.documentOptions, optionName.fontInfo, defaultDocumentInfo.imageExportOptions.FontInfo, actualDocumentInfo.imageExportOptions.FontInfo);
        this._addOption(that.excelOptions, optionName.excelFormat, defaultDocumentInfo.excelExportOptions.Format, actualDocumentInfo.excelExportOptions.Format);
        this._addOption(that.excelOptions, optionName.csvValueSeparator, defaultDocumentInfo.excelExportOptions.CsvValueSeparator, actualDocumentInfo.excelExportOptions.CsvValueSeparator);
        this._addOption(that.excelOptions, optionName.excelDashboardStatePosition, defaultDocumentInfo.excelExportOptions.DashboardStatePosition, actualDocumentInfo.excelExportOptions.DashboardStatePosition);
        this._addOption(that.documentOptions, optionName.excelExportFilters, defaultDocumentInfo.excelExportOptions.ExportFilters, actualDocumentInfo.excelExportOptions.ExportFilters);
        this._addOption(that.documentOptions, optionName.excelExportParameters, defaultDocumentInfo.excelExportOptions.ExportParameters, actualDocumentInfo.excelExportOptions.ExportParameters);
        this._addOption(that.documentOptions, optionName.excelIncludeHiddenParameters, defaultDocumentInfo.excelExportOptions.IncludeHiddenParameters, actualDocumentInfo.excelExportOptions.IncludeHiddenParameters);
    }
    _setActualValue(cache, key, setActual, defaultValue) {
        var value = cache[key] != undefined ? cache[key] : defaultValue;
        setActual(value);
    }
    getActualDocumentInfo(dashboardItemName, defaultDocumentInfo) {
        var that = this;
        var actualDocumentInfo = {
            pdfExportOptions: {},
            imageExportOptions: {},
            excelExportOptions: {}
        };
        if (dashboardItemName === '') {
            this._setActualValue(that.documentOptions, optionName.pdfTitle, function (actual) { actualDocumentInfo.pdfExportOptions.Title = actual; }, defaultDocumentInfo.pdfExportOptions.Title);
            this._setActualValue(that.documentOptions, optionName.imageTitle, function (actual) { actualDocumentInfo.imageExportOptions.Title = actual; }, defaultDocumentInfo.imageExportOptions.Title);
            this._setActualValue(that.pdfOptions, optionName.pdfShowTitle, function (actual) { actualDocumentInfo.pdfExportOptions.ShowTitle = actual; }, defaultDocumentInfo.pdfExportOptions.ShowTitle);
            this._setActualValue(that.imageOptions, optionName.imageShowTitle, function (actual) { actualDocumentInfo.imageExportOptions.ShowTitle = actual; }, defaultDocumentInfo.imageExportOptions.ShowTitle);
        }
        this._setActualValue(that.pdfOptions, optionName.paperKind, function (actual) { actualDocumentInfo.pdfExportOptions.PaperKind = actual; }, defaultDocumentInfo.pdfExportOptions.PaperKind);
        this._setActualValue(that.pdfOptions, optionName.pageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.PageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.PageLayout);
        if (this.itemsOptions[dashboardItemName] === undefined)
            this.itemsOptions[dashboardItemName] = {};
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.scaleMode, function (actual) { actualDocumentInfo.pdfExportOptions.DocumentScaleMode = actual; }, defaultDocumentInfo.pdfExportOptions.DocumentScaleMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.dashboardAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.DashboardAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pdfScaleFactor, function (actual) { actualDocumentInfo.pdfExportOptions.ScaleFactor = actual; }, defaultDocumentInfo.pdfExportOptions.ScaleFactor);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.imageScaleFactor, function (actual) { actualDocumentInfo.imageExportOptions.ScaleFactor = actual; }, defaultDocumentInfo.imageExportOptions.ScaleFactor);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.autoFitPageCount, function (actual) { actualDocumentInfo.pdfExportOptions.AutoFitPageCount = actual; }, defaultDocumentInfo.pdfExportOptions.AutoFitPageCount);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.fileName, function (actual) { actualDocumentInfo.fileName = actual; }, defaultDocumentInfo.fileName);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.fontInfo, function (actual) { actualDocumentInfo.imageExportOptions.FontInfo = actual; }, defaultDocumentInfo.imageExportOptions.FontInfo);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.gridPrintHeadersOnEveryPage, function (actual) { actualDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage = actual; }, defaultDocumentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.gridFitToPageWidth, function (actual) { actualDocumentInfo.pdfExportOptions.GridFitToPageWidth = actual; }, defaultDocumentInfo.pdfExportOptions.GridFitToPageWidth);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pivotPrintHeadersOnEveryPage, function (actual) { actualDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage = actual; }, defaultDocumentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.chartSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.ChartSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.ChartSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.chartAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.ChartAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.mapSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.MapSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.MapSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.mapAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.MapAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.MapAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.treemapSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.TreemapSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.TreemapSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.treemapAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.TreemapAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.rangeFilterSizeMode, function (actual) { actualDocumentInfo.pdfExportOptions.RangeFilterSizeMode = actual; }, defaultDocumentInfo.pdfExportOptions.RangeFilterSizeMode);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.rangeFilterAutomaticPageLayout, function (actual) { actualDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout = actual; }, defaultDocumentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pieAutoArrangeContent, function (actual) { actualDocumentInfo.pdfExportOptions.PieAutoArrangeContent = actual; }, defaultDocumentInfo.pdfExportOptions.PieAutoArrangeContent);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.gaugeAutoArrangeContent, function (actual) { actualDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent = actual; }, defaultDocumentInfo.pdfExportOptions.GaugeAutoArrangeContent);
        this._setActualValue(that.itemsOptions[dashboardItemName], optionName.cardAutoArrangeContent, function (actual) { actualDocumentInfo.pdfExportOptions.CardAutoArrangeContent = actual; }, defaultDocumentInfo.pdfExportOptions.CardAutoArrangeContent);
        if (dashboardItemName != '') {
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pdfShowTitle, function (actual) { actualDocumentInfo.pdfExportOptions.ShowTitle = actual; }, defaultDocumentInfo.pdfExportOptions.ShowTitle);
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.imageShowTitle, function (actual) { actualDocumentInfo.imageExportOptions.ShowTitle = actual; }, defaultDocumentInfo.imageExportOptions.ShowTitle);
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.pdfTitle, function (actual) { actualDocumentInfo.pdfExportOptions.Title = actual; }, defaultDocumentInfo.pdfExportOptions.Title);
            this._setActualValue(that.itemsOptions[dashboardItemName], optionName.imageTitle, function (actual) { actualDocumentInfo.imageExportOptions.Title = actual; }, defaultDocumentInfo.imageExportOptions.Title);
        }
        this._setActualValue(that.documentOptions, optionName.pdfDashboardStatePosition, function (actual) { actualDocumentInfo.pdfExportOptions.DashboardStatePosition = actual; }, defaultDocumentInfo.pdfExportOptions.DashboardStatePosition);
        this._setActualValue(that.documentOptions, optionName.pdfExportFilters, function (actual) { actualDocumentInfo.pdfExportOptions.ExportFilters = actual; }, defaultDocumentInfo.pdfExportOptions.ExportFilters);
        this._setActualValue(that.documentOptions, optionName.pdfExportParameters, function (actual) { actualDocumentInfo.pdfExportOptions.ExportParameters = actual; }, defaultDocumentInfo.pdfExportOptions.ExportParameters);
        this._setActualValue(that.documentOptions, optionName.pdfIncludeHiddenParameters, function (actual) { actualDocumentInfo.pdfExportOptions.IncludeHiddenParameters = actual; }, defaultDocumentInfo.pdfExportOptions.IncludeHiddenParameters);
        this._setActualValue(that.documentOptions, optionName.fontInfo, function (actual) { actualDocumentInfo.pdfExportOptions.FontInfo = actual; }, defaultDocumentInfo.pdfExportOptions.FontInfo);
        this._setActualValue(that.imageOptions, optionName.imageFormat, function (actual) { actualDocumentInfo.imageExportOptions.Format = actual; }, defaultDocumentInfo.imageExportOptions.Format);
        this._setActualValue(that.imageOptions, optionName.resolution, function (actual) { actualDocumentInfo.imageExportOptions.Resolution = actual; }, defaultDocumentInfo.imageExportOptions.Resolution);
        this._setActualValue(that.documentOptions, optionName.imageExportFilters, function (actual) { actualDocumentInfo.imageExportOptions.ExportFilters = actual; }, defaultDocumentInfo.imageExportOptions.ExportFilters);
        this._setActualValue(that.documentOptions, optionName.imageExportParameters, function (actual) { actualDocumentInfo.imageExportOptions.ExportParameters = actual; }, defaultDocumentInfo.imageExportOptions.ExportParameters);
        this._setActualValue(that.documentOptions, optionName.imageIncludeHiddenParameters, function (actual) { actualDocumentInfo.imageExportOptions.IncludeHiddenParameters = actual; }, defaultDocumentInfo.imageExportOptions.IncludeHiddenParameters);
        this._setActualValue(that.excelOptions, optionName.excelFormat, function (actual) { actualDocumentInfo.excelExportOptions.Format = actual; }, defaultDocumentInfo.excelExportOptions.Format);
        this._setActualValue(that.excelOptions, optionName.csvValueSeparator, function (actual) { actualDocumentInfo.excelExportOptions.CsvValueSeparator = actual; }, defaultDocumentInfo.excelExportOptions.CsvValueSeparator);
        this._setActualValue(that.excelOptions, optionName.excelDashboardStatePosition, function (actual) { actualDocumentInfo.excelExportOptions.DashboardStatePosition = actual; }, defaultDocumentInfo.excelExportOptions.DashboardStatePosition);
        this._setActualValue(that.documentOptions, optionName.excelExportFilters, function (actual) { actualDocumentInfo.excelExportOptions.ExportFilters = actual; }, defaultDocumentInfo.excelExportOptions.ExportFilters);
        this._setActualValue(that.documentOptions, optionName.excelExportParameters, function (actual) { actualDocumentInfo.excelExportOptions.ExportParameters = actual; }, defaultDocumentInfo.excelExportOptions.ExportParameters);
        this._setActualValue(that.documentOptions, optionName.excelIncludeHiddenParameters, function (actual) { actualDocumentInfo.excelExportOptions.IncludeHiddenParameters = actual; }, defaultDocumentInfo.excelExportOptions.IncludeHiddenParameters);
        return actualDocumentInfo;
    }
}

;// external "DevExpress.ui.dxRadioGroup"
const external_DevExpress_ui_dxRadioGroup_namespaceObject = DevExpress.ui.dxRadioGroup;
var external_DevExpress_ui_dxRadioGroup_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxRadioGroup_namespaceObject);
;// ./dist/viewer-parts/widgets/dialogs/export/_export-options-groups.js














var DXNUMBERBOX_MIN = 1, DXNUMBERBOX_MAX = 999;
let dialogEditorFactory = {
    dxTagBox: { name: 'dxTagBox', create: (element, options) => new (external_DevExpress_ui_dxTagBox_default())(element, options) },
    dxSelectBox: { name: 'dxSelectBox', create: (element, options) => new (external_DevExpress_ui_dxSelectBox_default())(element, options) },
    dxRadioGroup: { name: 'dxRadioGroup', create: (element, options) => new (external_DevExpress_ui_dxRadioGroup_default())(element, options) },
    dxNumberBox: { name: 'dxNumberBox', create: (element, options) => new (external_DevExpress_ui_dxNumberBox_default())(element, options) },
    dxTextBox: { name: 'dxTextBox', create: (element, options) => new (external_DevExpress_ui_dxTextBox_default())(element, options) },
    dxCheckBox: { name: 'dxCheckBox', create: (element, options) => new (external_DevExpress_ui_dxCheckBox_default())(element, options) },
    dxDateBox: { name: 'dxDateBox', create: (element, options) => new (external_DevExpress_ui_dxDateBox_default())(element, options) }
};
class labeledEditor {
    get margin() {
        return this._options.margin;
    }
    constructor(options) {
        this._options = options;
        this._initialize();
    }
    _initialize() {
        var that = this;
        var controlOptions = (0,_jquery_helpers/* deepExtend */.zw)(that._getControlOptions(that._options), that._options.controlOptions || {});
        that._valueName = controlOptions.valueName;
        var labelText = that._options.labelText;
        if (!that._options.customText)
            labelText += ':';
        that.labelDiv = document.createElement('div');
        that.labelDiv.classList.add(dialogClasses.name);
        that.labelDiv.classList.add(that._generateElementNameClassName(that._options.controlCreator.name, that._options.margin === 'Large'));
        that.labelDiv.innerText = labelText;
        that.editorDiv = document.createElement('div');
        that.editorDiv.classList.add(dialogClasses.box);
        var elementClass = that._getElementClassName(that._options.controlCreator.name, that._options.margin === 'Large');
        if (elementClass)
            that.editorDiv.classList.add(elementClass);
        this._editor = that._options.controlCreator.create(that.editorDiv, controlOptions);
        that.enabled = true;
    }
    setEnabled(enabled) {
        var that = this;
        that.enabled = enabled;
        if (enabled) {
            that.labelDiv.classList.remove(dialogClasses.disabledName);
        }
        else {
            that.labelDiv.classList.add(dialogClasses.disabledName);
        }
        that._editor.option('disabled', !enabled);
    }
    setVisibility(visible) {
        var that = this;
        that.enabled = visible;
        if (visible) {
            that.labelDiv.style.display = 'inline-block';
            that.editorDiv.style.display = 'inline-block';
        }
        else {
            that.labelDiv.style.display = 'none';
            that.editorDiv.style.display = 'none';
        }
    }
    set(value) {
        var that = this;
        that._editor.option(that._valueName, value);
    }
    get() {
        var that = this;
        return that._editor.option(that._valueName);
    }
    dispose() {
        if (this._editor)
            this._editor.dispose();
        this.labelDiv = null;
        this.editorDiv = null;
    }
    _getControlOptions(options) {
        switch (options.controlCreator.name) {
            case dialogEditorFactory.dxSelectBox.name:
                return {
                    dataSource: {
                        store: new (external_DevExpress_data_ArrayStore_default())(options.values),
                        paginate: false
                    },
                    itemTemplate: item => item.displayValue,
                    displayExpr: 'displayValue',
                    valueExpr: 'value',
                    valueName: 'value',
                    placeholder: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.FilterElementCheckedComboBoxNoDataCaption),
                    noDataText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.FilterElementNoDataToDisplay),
                    encodeNoDataText: true,
                };
            case dialogEditorFactory.dxRadioGroup.name:
                var dataSource = options.values.map(value => value.value);
                return {
                    dataSource: dataSource,
                    itemTemplate: function (item) {
                        return options.values.filter(value => {
                            return value.value === item;
                        })[0].displayValue;
                    },
                    valueName: 'value'
                };
            case dialogEditorFactory.dxNumberBox.name:
                return {
                    valueName: 'value',
                    min: DXNUMBERBOX_MIN,
                    max: DXNUMBERBOX_MAX
                };
            case dialogEditorFactory.dxCheckBox.name:
                return {
                    valueName: 'value'
                };
            case dialogEditorFactory.dxTextBox.name:
                return {
                    valueName: 'value'
                };
        }
    }
    _generateElementNameClassName(controlCreator, largeMargin) {
        if (largeMargin)
            return dialogClasses.name + '-margin-top';
        if ((controlCreator == dialogEditorFactory.dxRadioGroup.name) || (controlCreator == dialogEditorFactory.dxCheckBox.name)) {
            return dialogClasses.name + '-top';
        }
        return dialogClasses.name + '-middle';
    }
    _getElementClassName(controlName, largeMargin) {
        if (largeMargin)
            return dialogClasses.elementLargeMarginTop;
        switch (controlName) {
            case dialogEditorFactory.dxSelectBox.name:
            case dialogEditorFactory.dxTextBox.name:
                return dialogClasses.elementTextBox;
            case dialogEditorFactory.dxNumberBox.name:
                return dialogClasses.elementNumberBox;
            default:
                return '';
        }
    }
}
class optionsGroup {
    constructor() {
    }
    setEnabled(enabled) {
        var that = this;
        that.enabled = enabled;
        that.getEditors().forEach(editor => {
            editor.setEnabled(enabled);
        });
    }
    createEditors(additionalOptions) {
        this._additionalOptions = additionalOptions;
        this._initialize();
    }
    dispose() {
        this.getEditors().forEach(editor => editor.dispose());
    }
}
class dashboardStateOptionsGroup extends optionsGroup {
    constructor() {
        super();
    }
    _initialize() {
        var that = this;
        this.exportFilters = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.IncludeExportDashboardState),
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Large',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportFilters),
                onValueChanged: function (args) {
                    that.dashboardStatePosition.setEnabled(that.exportParameters.get() || args.component.option('value'));
                }
            }
        });
        this.exportParameters = new labeledEditor({
            labelText: ' ',
            customText: true,
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Small',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportParameters),
                onValueChanged: function (args) {
                    that.dashboardStatePosition.setEnabled(that.exportFilters.get() || args.component.option('value'));
                }
            }
        });
        this.dashboardStatePosition = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.DashboardStatePosition),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [dashboardStatePosition.below, dashboardStatePosition.separatePage],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        that.dashboardStatePosition.setEnabled(that.exportFilters.get() || that.exportParameters.get());
    }
    set(documentInfo) {
        this.exportFilters.set(documentInfo.pdfExportOptions.ExportFilters);
        this.exportParameters.set(documentInfo.pdfExportOptions.ExportParameters);
        this.dashboardStatePosition.set(documentInfo.pdfExportOptions.DashboardStatePosition);
    }
    apply(documentInfo) {
        documentInfo.pdfExportOptions.ExportFilters = this.exportFilters.get();
        documentInfo.pdfExportOptions.ExportParameters = this.exportParameters.get();
        documentInfo.pdfExportOptions.DashboardStatePosition = this.dashboardStatePosition.get();
    }
    getEditors() {
        return [this.exportFilters, this.exportParameters, this.dashboardStatePosition];
    }
}
class captionOptionsGroup extends optionsGroup {
    constructor(_showCaptionValue) {
        super();
        this._showCaptionValue = _showCaptionValue;
    }
    _initialize() {
        var that = this;
        this.showCaption = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ShowTitle),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that.caption.setEnabled(args.component.option('value'));
                }
            }
        });
        this.caption = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Title),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        that.caption.setEnabled(this._showCaptionValue);
    }
    set(documentInfo) {
        this.showCaption.set(documentInfo.pdfExportOptions.ShowTitle);
        this.caption.set(documentInfo.pdfExportOptions.Title);
    }
    apply(documentInfo) {
        documentInfo.pdfExportOptions.ShowTitle = this.showCaption.get();
        documentInfo.pdfExportOptions.Title = this.caption.get();
    }
    getEditors() {
        return [this.showCaption, this.caption];
    }
}
class scaleModeOptionsGroup extends optionsGroup {
    constructor(_scaleModeValue) {
        super();
        this._scaleModeValue = _scaleModeValue;
        this.visibilityUpdated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
    }
    _initialize() {
        var that = this;
        this.scaleMode = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ScaleMode),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [scaleMode.none, scaleMode.useScaleFactor, scaleMode.autoFitToPageWidth],
            controlOptions: {
                onValueChanged: function (args) {
                    that._setScaleModeOptionsVisibility(args.component.option('value'));
                },
                container: this._additionalOptions.popupContainer
            }
        });
        this.scaleFactor = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ScaleFactor),
            controlCreator: dialogEditorFactory.dxNumberBox
        });
        this.autoFitPageCount = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.AutoFitPageCount),
            controlCreator: dialogEditorFactory.dxNumberBox
        });
        that._setScaleModeOptionsVisibility(this._scaleModeValue);
    }
    set(documentInfo) {
        this.scaleMode.set(documentInfo.pdfExportOptions.DocumentScaleMode);
        this.scaleFactor.set(documentInfo.pdfExportOptions.ScaleFactor);
        this.autoFitPageCount.set(documentInfo.pdfExportOptions.AutoFitPageCount);
        this._setScaleModeOptionsVisibility(this.scaleMode.get());
    }
    apply(documentInfo) {
        if (this.scaleMode.enabled) {
            documentInfo.pdfExportOptions.DocumentScaleMode = this.scaleMode.get();
            documentInfo.pdfExportOptions.ScaleFactor = this.scaleFactor.get();
            documentInfo.pdfExportOptions.AutoFitPageCount = this.autoFitPageCount.get();
        }
        else {
            documentInfo.pdfExportOptions.ScaleFactor = 1;
            documentInfo.pdfExportOptions.AutoFitPageCount = 1;
        }
    }
    getEditors() {
        return [this.scaleMode, this.scaleFactor, this.autoFitPageCount];
    }
    _setScaleModeOptionsVisibility(scaleModeValue) {
        var that = this;
        switch (scaleModeValue) {
            case scaleMode.none.value:
                that.scaleFactor.setVisibility(false);
                that.autoFitPageCount.setVisibility(false);
                break;
            case scaleMode.useScaleFactor.value:
                that.scaleFactor.setVisibility(true);
                that.autoFitPageCount.setVisibility(false);
                break;
            case scaleMode.autoFitToPageWidth.value:
                that.scaleFactor.setVisibility(false);
                that.autoFitPageCount.setVisibility(true);
                break;
        }
        that.visibilityUpdated.fire();
    }
}
class documentOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
    }
    _initialize() {
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape]
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.captionOptionsGroup = new captionOptionsGroup(this._includeCaptionValue);
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.captionOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        this.captionOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.pageLayout, this.paperKind];
        that.captionOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class textItemOptionsGroup extends optionsGroup {
    constructor(_showCaptionValue) {
        super();
        this._showCaptionValue = _showCaptionValue;
    }
    _initialize() {
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.documentOptionsGroup = new documentOptionsGroup(this._showCaptionValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.fileName.set(documentInfo.fileName);
        this.documentOptionsGroup.set(documentInfo);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        documentInfo.fileName = this.fileName.get();
        this.documentOptionsGroup.apply(documentInfo);
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.fileName];
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class boundImageItemOptionsGroup extends optionsGroup {
    constructor(_showCaptionValue, _scaleModeValue) {
        super();
        this._showCaptionValue = _showCaptionValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.documentOptionsGroup = new documentOptionsGroup(this._showCaptionValue);
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.fileName.set(documentInfo.fileName);
        this.documentOptionsGroup.set(documentInfo);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        documentInfo.fileName = this.fileName.get();
        this.documentOptionsGroup.apply(documentInfo);
        this.scaleModeOptionsGroup.apply(documentInfo);
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [that.fileName];
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class imageItemOptionsGroup extends optionsGroup {
    constructor(_showCaptionValue, _scaleModeValue) {
        super();
        this._showCaptionValue = _showCaptionValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape]
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.showCaption = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ShowTitle),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that.caption.setEnabled(args.component.option('value'));
                }
            }
        });
        this.caption = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Title),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        that.caption.setEnabled(this._showCaptionValue);
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.showCaption.set(documentInfo.pdfExportOptions.ShowTitle);
        this.caption.set(documentInfo.pdfExportOptions.Title);
        this.fileName.set(documentInfo.fileName);
        this.scaleModeOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        documentInfo.pdfExportOptions.ShowTitle = this.showCaption.get();
        documentInfo.pdfExportOptions.Title = this.caption.get();
        documentInfo.fileName = this.fileName.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.fileName, this.pageLayout, this.paperKind, this.showCaption, this.caption];
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class groupItemOptionsGroup extends optionsGroup {
    constructor(_showCaptionValue, _dashboardAutomaticPageLayoutValue, _scaleModeValue) {
        super();
        this._showCaptionValue = _showCaptionValue;
        this._dashboardAutomaticPageLayoutValue = _dashboardAutomaticPageLayoutValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        this.dashboardOptionsGroup = new dashboardOptionsGroup(this._dashboardAutomaticPageLayoutValue, this._scaleModeValue);
        this.captionOptionsGroup = new captionOptionsGroup(this._showCaptionValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.dashboardOptionsGroup.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.dashboardOptionsGroup.set(documentInfo);
        this.captionOptionsGroup.set(documentInfo);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.dashboardOptionsGroup.apply(documentInfo);
        this.captionOptionsGroup.apply(documentInfo);
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = this.dashboardOptionsGroup.getEditors(that.captionOptionsGroup.getEditors());
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class customItemOptionsGroup extends optionsGroup {
    constructor(_showCaptionValue, _dashboardAutomaticPageLayoutValue, _scaleModeValue) {
        super();
        this._showCaptionValue = _showCaptionValue;
        this._dashboardAutomaticPageLayoutValue = _dashboardAutomaticPageLayoutValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        this.dashboardOptionsGroup = new dashboardOptionsGroup(this._dashboardAutomaticPageLayoutValue, this._scaleModeValue);
        this.captionOptionsGroup = new captionOptionsGroup(this._showCaptionValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.dashboardOptionsGroup.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.dashboardOptionsGroup.set(documentInfo);
        this.captionOptionsGroup.set(documentInfo);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.dashboardOptionsGroup.apply(documentInfo);
        this.captionOptionsGroup.apply(documentInfo);
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        return this.dashboardOptionsGroup
            .getEditors(this.captionOptionsGroup.getEditors())
            .concat(this.dashboardStateOptionsGroup.getEditors());
    }
}
class entireDashboardOptionsGroup extends optionsGroup {
    constructor(_showTitleValue, _dashboardAutomaticPageLayoutValue, _scaleModeValue) {
        super();
        this._showTitleValue = _showTitleValue;
        this._dashboardAutomaticPageLayoutValue = _dashboardAutomaticPageLayoutValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.dashboardOptionsGroup = new dashboardOptionsGroup(this._dashboardAutomaticPageLayoutValue, this._scaleModeValue);
        this.showTitle = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ShowTitle),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that.title.setEnabled(args.component.option('value'));
                }
            }
        });
        this.title = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Title),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        that.title.setEnabled(this._showTitleValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.dashboardOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.dashboardOptionsGroup.set(documentInfo);
        this.showTitle.set(documentInfo.pdfExportOptions.ShowTitle);
        this.title.set(documentInfo.pdfExportOptions.Title);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.dashboardOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.ShowTitle = this.showTitle.get();
        documentInfo.pdfExportOptions.Title = this.title.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = this.dashboardOptionsGroup.getEditors([this.showTitle, this.title]);
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class dashboardOptionsGroup extends optionsGroup {
    constructor(_dashboardAutomaticPageLayoutValue, _scaleModeValue) {
        super();
        this._dashboardAutomaticPageLayoutValue = _dashboardAutomaticPageLayoutValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape, pageLayout.auto],
            controlOptions: {
                onValueChanged: function (args) {
                    that._setScaleModeOptionsVisibility(args.value);
                }
            }
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        if (this._dashboardAutomaticPageLayoutValue)
            this._setScaleModeOptionsVisibility(pageLayout.auto.value);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.DashboardAutomaticPageLayout ? pageLayout.auto.value : documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.fileName.set(documentInfo.fileName);
    }
    apply(documentInfo) {
        if (this.pageLayout.get() != pageLayout.auto.value)
            documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.DashboardAutomaticPageLayout = this.pageLayout.get() == pageLayout.auto.value;
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
        documentInfo.fileName = this.fileName.get();
    }
    getEditors(captionEditors) {
        var that = this;
        var editors = [this.fileName, this.pageLayout, this.paperKind];
        captionEditors.forEach(editor => {
            editors.push(editor);
        });
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
    _setScaleModeOptionsVisibility(pageLayoutValue) {
        this.scaleModeOptionsGroup.setEnabled(pageLayoutValue != pageLayout.auto.value);
    }
}
class gridOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue, _fitToPageWidthValue, _scaleModeValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
        this._fitToPageWidthValue = _fitToPageWidthValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.documentOptionsGroup = new documentOptionsGroup(this._includeCaptionValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
        this.printHeadersOnEveryPage = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PrintHeadersOnEveryPage),
            controlCreator: dialogEditorFactory.dxCheckBox
        });
        this.fitToPageWidth = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FitToPageWidth),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that._setScaleModeOptionsVisibility(args.component.option('value'));
                }
            }
        });
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        this._setScaleModeOptionsVisibility(this._fitToPageWidthValue);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.documentOptionsGroup.set(documentInfo);
        this.dashboardStateOptionsGroup.set(documentInfo);
        this.printHeadersOnEveryPage.set(documentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage);
        this.fitToPageWidth.set(documentInfo.pdfExportOptions.GridFitToPageWidth);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.fileName.set(documentInfo.fileName);
    }
    apply(documentInfo) {
        this.documentOptionsGroup.apply(documentInfo);
        this.dashboardStateOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.GridPrintHeadersOnEveryPage = this.printHeadersOnEveryPage.get();
        documentInfo.pdfExportOptions.GridFitToPageWidth = this.fitToPageWidth.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
        documentInfo.fileName = this.fileName.get();
    }
    getEditors() {
        var that = this;
        var editors = [];
        editors.push(that.fileName);
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.printHeadersOnEveryPage);
        editors.push(that.fitToPageWidth);
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
    _setScaleModeOptionsVisibility(fitToPageWidth) {
        var that = this;
        that.scaleModeOptionsGroup.setEnabled(!fitToPageWidth);
    }
}
class pivotOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue, _scaleModeValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        this.documentOptionsGroup = new documentOptionsGroup(this._includeCaptionValue);
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
        this.printHeadersOnEveryPage = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PrintHeadersOnEveryPage),
            controlCreator: dialogEditorFactory.dxCheckBox
        });
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.documentOptionsGroup.set(documentInfo);
        this.printHeadersOnEveryPage.set(documentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.documentOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.PivotPrintHeadersOnEveryPage = this.printHeadersOnEveryPage.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [];
        editors.push(that.fileName);
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.printHeadersOnEveryPage);
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class chartOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
    }
    _initialize() {
        var that = this;
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape, pageLayout.auto]
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.captionOptionsGroup = new captionOptionsGroup(this._includeCaptionValue);
        this.sizeMode = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeMode),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [sizeMode.none, sizeMode.stretch, sizeMode.zoom]
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.ChartAutomaticPageLayout ? pageLayout.auto.value : documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.captionOptionsGroup.set(documentInfo);
        this.sizeMode.set(documentInfo.pdfExportOptions.ChartSizeMode);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        if (this.pageLayout.get() != pageLayout.auto.value)
            documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.ChartAutomaticPageLayout = this.pageLayout.get() == pageLayout.auto.value;
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        this.captionOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.ChartSizeMode = this.sizeMode.get();
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.fileName, this.pageLayout, this.paperKind];
        that.captionOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.sizeMode);
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class mapOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
    }
    _initialize() {
        var that = this;
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape, pageLayout.auto]
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.captionOptionsGroup = new captionOptionsGroup(this._includeCaptionValue);
        this.sizeMode = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeMode),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [sizeMode.none, sizeMode.zoom]
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.MapAutomaticPageLayout ? pageLayout.auto.value : documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.captionOptionsGroup.set(documentInfo);
        this.sizeMode.set(documentInfo.pdfExportOptions.MapSizeMode);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        if (this.pageLayout.get() != pageLayout.auto.value)
            documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.MapAutomaticPageLayout = this.pageLayout.get() == pageLayout.auto.value;
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        this.captionOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.MapSizeMode = this.sizeMode.get();
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.fileName, this.pageLayout, this.paperKind];
        that.captionOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.sizeMode);
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class treemapOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
    }
    _initialize() {
        var that = this;
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape, pageLayout.auto]
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.captionOptionsGroup = new captionOptionsGroup(this._includeCaptionValue);
        this.sizeMode = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeMode),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [sizeMode.none, sizeMode.zoom]
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.TreemapAutomaticPageLayout ? pageLayout.auto.value : documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.captionOptionsGroup.set(documentInfo);
        this.sizeMode.set(documentInfo.pdfExportOptions.TreemapSizeMode);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        if (this.pageLayout.get() != pageLayout.auto.value)
            documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.TreemapAutomaticPageLayout = this.pageLayout.get() == pageLayout.auto.value;
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        this.captionOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.TreemapSizeMode = this.sizeMode.get();
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.fileName, this.pageLayout, this.paperKind];
        that.captionOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.sizeMode);
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class rangeFilterOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
    }
    _initialize() {
        var that = this;
        this.pageLayout = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayout),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [pageLayout.portrait, pageLayout.landscape, pageLayout.auto]
        });
        this.paperKind = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKind),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [paperKind.letter, paperKind.legal, paperKind.executive, paperKind.a5, paperKind.a4, paperKind.a3],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.captionOptionsGroup = new captionOptionsGroup(this._includeCaptionValue);
        this.sizeMode = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeMode),
            controlCreator: dialogEditorFactory.dxRadioGroup,
            values: [sizeMode.none, sizeMode.stretch, sizeMode.zoom]
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.captionOptionsGroup.createEditors(additionalOptions);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.pageLayout.set(documentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout ? pageLayout.auto.value : documentInfo.pdfExportOptions.PageLayout);
        this.paperKind.set(documentInfo.pdfExportOptions.PaperKind);
        this.captionOptionsGroup.set(documentInfo);
        this.sizeMode.set(documentInfo.pdfExportOptions.RangeFilterSizeMode);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        if (this.pageLayout.get() != pageLayout.auto.value)
            documentInfo.pdfExportOptions.PageLayout = this.pageLayout.get();
        documentInfo.pdfExportOptions.RangeFilterAutomaticPageLayout = this.pageLayout.get() == pageLayout.auto.value;
        documentInfo.pdfExportOptions.PaperKind = this.paperKind.get();
        this.captionOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.RangeFilterSizeMode = this.sizeMode.get();
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [this.fileName, this.pageLayout, this.paperKind];
        that.captionOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.sizeMode);
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
}
class pieOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue, _autoArrangeContentValue, _scaleModeValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
        this._autoArrangeContentValue = _autoArrangeContentValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.documentOptionsGroup = new documentOptionsGroup(this._includeCaptionValue);
        this.autoArrangeContent = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.AutoArrangeContent),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that._setScaleModeOptionsVisibility(args.component.option('value'));
                }
            }
        });
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        this._setScaleModeOptionsVisibility(this._autoArrangeContentValue);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.documentOptionsGroup.set(documentInfo);
        this.autoArrangeContent.set(documentInfo.pdfExportOptions.PieAutoArrangeContent);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.documentOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.PieAutoArrangeContent = this.autoArrangeContent.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [];
        editors.push(that.fileName);
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.autoArrangeContent);
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
    _setScaleModeOptionsVisibility(autoArrangeContent) {
        var that = this;
        that.scaleModeOptionsGroup.setEnabled(!autoArrangeContent);
    }
}
class gaugeOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue, _autoArrangeContentValue, _scaleModeValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
        this._autoArrangeContentValue = _autoArrangeContentValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.documentOptionsGroup = new documentOptionsGroup(this._includeCaptionValue);
        this.autoArrangeContent = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.AutoArrangeContent),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that._setScaleModeOptionsVisibility(args.component.option('value'));
                }
            }
        });
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        this._setScaleModeOptionsVisibility(this._autoArrangeContentValue);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.documentOptionsGroup.set(documentInfo);
        this.autoArrangeContent.set(documentInfo.pdfExportOptions.GaugeAutoArrangeContent);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.documentOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.GaugeAutoArrangeContent = this.autoArrangeContent.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [];
        editors.push(that.fileName);
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.autoArrangeContent);
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
    _setScaleModeOptionsVisibility(autoArrangeContent) {
        var that = this;
        that.scaleModeOptionsGroup.setEnabled(!autoArrangeContent);
    }
}
class cardOptionsGroup extends optionsGroup {
    constructor(_includeCaptionValue, _autoArrangeContentValue, _scaleModeValue) {
        super();
        this._includeCaptionValue = _includeCaptionValue;
        this._autoArrangeContentValue = _autoArrangeContentValue;
        this._scaleModeValue = _scaleModeValue;
    }
    _initialize() {
        var that = this;
        this.documentOptionsGroup = new documentOptionsGroup(this._includeCaptionValue);
        this.autoArrangeContent = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.AutoArrangeContent),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that._setScaleModeOptionsVisibility(args.component.option('value'));
                }
            }
        });
        this.scaleModeOptionsGroup = new scaleModeOptionsGroup(this._scaleModeValue);
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.dashboardStateOptionsGroup = new dashboardStateOptionsGroup();
    }
    createEditors(additionalOptions) {
        super.createEditors(additionalOptions);
        this.documentOptionsGroup.createEditors(additionalOptions);
        this.scaleModeOptionsGroup.createEditors(additionalOptions);
        this._setScaleModeOptionsVisibility(this._autoArrangeContentValue);
        this.dashboardStateOptionsGroup.createEditors(additionalOptions);
    }
    set(documentInfo) {
        this.documentOptionsGroup.set(documentInfo);
        this.autoArrangeContent.set(documentInfo.pdfExportOptions.CardAutoArrangeContent);
        this.scaleModeOptionsGroup.set(documentInfo);
        this.fileName.set(documentInfo.fileName);
        this.dashboardStateOptionsGroup.set(documentInfo);
    }
    apply(documentInfo) {
        this.documentOptionsGroup.apply(documentInfo);
        documentInfo.pdfExportOptions.CardAutoArrangeContent = this.autoArrangeContent.get();
        this.scaleModeOptionsGroup.apply(documentInfo);
        documentInfo.fileName = this.fileName.get();
        this.dashboardStateOptionsGroup.apply(documentInfo);
    }
    getEditors() {
        var that = this;
        var editors = [];
        editors.push(that.fileName);
        that.documentOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        editors.push(that.autoArrangeContent);
        that.scaleModeOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        that.dashboardStateOptionsGroup.getEditors().forEach(editor => {
            editors.push(editor);
        });
        return editors;
    }
    _setScaleModeOptionsVisibility(autoArrangeContent) {
        var that = this;
        that.scaleModeOptionsGroup.setEnabled(!autoArrangeContent);
    }
}
class imageOptionsGroup extends optionsGroup {
    constructor(_showTitleValue) {
        super();
        this._showTitleValue = _showTitleValue;
    }
    _initialize() {
        var that = this;
        this.imageFormat = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ImageFormat),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [imageFormat.png, imageFormat.gif, imageFormat.jpg],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.showTitle = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ShowTitle),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that.title.setEnabled(args.component.option('value'));
                }
            }
        });
        this.title = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Title),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.exportFilters = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.IncludeExportDashboardState),
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Large',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportFilters)
            }
        });
        this.exportParameters = new labeledEditor({
            labelText: ' ',
            customText: true,
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Small',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportParameters)
            }
        });
        this.title.setEnabled(this._showTitleValue);
        this.resolution = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Resolution),
            controlCreator: dialogEditorFactory.dxNumberBox
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    set(documentInfo) {
        this.showTitle.set(documentInfo.imageExportOptions.ShowTitle);
        this.title.set(documentInfo.imageExportOptions.Title);
        this.exportFilters.set(documentInfo.imageExportOptions.ExportFilters);
        this.exportParameters.set(documentInfo.imageExportOptions.ExportParameters);
        this.imageFormat.set(documentInfo.imageExportOptions.Format);
        this.resolution.set(documentInfo.imageExportOptions.Resolution);
        this.fileName.set(documentInfo.fileName);
    }
    apply(documentInfo) {
        documentInfo.imageExportOptions.ShowTitle = this.showTitle.get();
        documentInfo.imageExportOptions.Title = this.title.get();
        documentInfo.imageExportOptions.ExportFilters = this.exportFilters.get();
        documentInfo.imageExportOptions.ExportParameters = this.exportParameters.get();
        documentInfo.imageExportOptions.Format = this.imageFormat.get();
        documentInfo.imageExportOptions.Resolution = this.resolution.get();
        documentInfo.fileName = this.fileName.get();
    }
    getEditors() {
        return [this.fileName, this.showTitle, this.title, this.imageFormat, this.resolution, this.exportFilters, this.exportParameters];
    }
}
class dashboardExcelOptionsGroup extends optionsGroup {
    constructor(_formatValue) {
        super();
        this._formatValue = _formatValue;
    }
    _checkExportFormat(format) {
        return format === excelFormat.csv.value;
    }
    _initialize() {
        var that = this;
        this.excelFormat = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExcelFormat),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [excelFormat.xlsx, excelFormat.xls],
            controlOptions: {
                onValueChanged: function (args) {
                    var isCsv = that._checkExportFormat(args.component.option('value'));
                    that.dashboardStatePosition.setEnabled(!isCsv && (that.exportFilters.get() || that.exportParameters.get()));
                },
                container: this._additionalOptions.popupContainer
            }
        });
        this.exportFilters = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.IncludeExportDashboardState),
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Large',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportFilters),
                onValueChanged: function (args) {
                    that.dashboardStatePosition.setEnabled((that.exportParameters.get() || args.component.option('value')) && !that._checkExportFormat(that.excelFormat.get()));
                }
            }
        });
        this.exportParameters = new labeledEditor({
            labelText: ' ',
            customText: true,
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Small',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportParameters),
                onValueChanged: function (args) {
                    that.dashboardStatePosition.setEnabled((that.exportFilters.get() || args.component.option('value')) && !that._checkExportFormat(that.excelFormat.get()));
                }
            }
        });
        this.dashboardStatePosition = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.DashboardStatePosition),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [excelDashboardStatePosition.below, excelDashboardStatePosition.separateSheet],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.dashboardStatePosition.setEnabled((that.exportParameters.get() || that.exportFilters.get()) && !that._checkExportFormat(this._formatValue));
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    set(documentInfo) {
        this.fileName.set(documentInfo.fileName);
        var format = documentInfo.excelExportOptions.Format === dashboardExportExcelFormat.csv ? dashboardExportExcelFormat.xlsx : documentInfo.excelExportOptions.Format;
        this.excelFormat.set(format);
        this.exportFilters.set(documentInfo.excelExportOptions.ExportFilters);
        this.exportParameters.set(documentInfo.excelExportOptions.ExportParameters);
        this.dashboardStatePosition.set(documentInfo.excelExportOptions.DashboardStatePosition);
    }
    apply(documentInfo) {
        documentInfo.fileName = this.fileName.get();
        documentInfo.excelExportOptions.Format = this.excelFormat.get();
        documentInfo.excelExportOptions.ExportFilters = this.exportFilters.get();
        documentInfo.excelExportOptions.ExportParameters = this.exportParameters.get();
        documentInfo.excelExportOptions.DashboardStatePosition = this.dashboardStatePosition.get();
    }
    getEditors() {
        return [this.fileName, this.excelFormat, this.exportFilters, this.exportParameters, this.dashboardStatePosition];
    }
}
class excelOptionsGroup extends optionsGroup {
    constructor(_formatValue, _enableCsv) {
        super();
        this._formatValue = _formatValue;
        this._enableCsv = _enableCsv;
    }
    _checkExportFormat(format) {
        return format === excelFormat.csv.value;
    }
    _initialize() {
        var that = this;
        this.excelFormat = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExcelFormat),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: this._enableCsv ? [excelFormat.xlsx, excelFormat.xls, excelFormat.csv] : [excelFormat.xlsx, excelFormat.xls],
            controlOptions: {
                onValueChanged: function (args) {
                    var isCsv = that._checkExportFormat(args.component.option('value'));
                    that.separator.setEnabled(isCsv);
                    that.dashboardStatePosition.setEnabled(!isCsv && (that.exportFilters.get() || that.exportParameters.get()));
                },
                container: this._additionalOptions.popupContainer
            }
        });
        this.separator = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.CsvValueSeparator),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.separator.setEnabled(that._checkExportFormat(this._formatValue));
        this.exportFilters = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.IncludeExportDashboardState),
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Large',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportFilters),
                onValueChanged: function (args) {
                    that.dashboardStatePosition.setEnabled((that.exportParameters.get() || args.component.option('value')) && !that._checkExportFormat(that.excelFormat.get()));
                }
            }
        });
        this.exportParameters = new labeledEditor({
            labelText: ' ',
            customText: true,
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Small',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportParameters),
                onValueChanged: function (args) {
                    that.dashboardStatePosition.setEnabled((that.exportFilters.get() || args.component.option('value')) && !that._checkExportFormat(that.excelFormat.get()));
                }
            }
        });
        this.dashboardStatePosition = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.DashboardStatePosition),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [excelDashboardStatePosition.below, excelDashboardStatePosition.separateSheet],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.dashboardStatePosition.setEnabled((that.exportParameters.get() || that.exportFilters.get()) && !that._checkExportFormat(this._formatValue));
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    set(documentInfo) {
        this.fileName.set(documentInfo.fileName);
        var format = documentInfo.excelExportOptions.Format === dashboardExportExcelFormat.csv && !this._enableCsv ? dashboardExportExcelFormat.xlsx : documentInfo.excelExportOptions.Format;
        this.excelFormat.set(format);
        this.separator.set(documentInfo.excelExportOptions.CsvValueSeparator);
        this.exportFilters.set(documentInfo.excelExportOptions.ExportFilters);
        this.exportParameters.set(documentInfo.excelExportOptions.ExportParameters);
        this.dashboardStatePosition.set(documentInfo.excelExportOptions.DashboardStatePosition);
    }
    apply(documentInfo) {
        documentInfo.fileName = this.fileName.get();
        documentInfo.excelExportOptions.Format = this.excelFormat.get();
        documentInfo.excelExportOptions.CsvValueSeparator = this.separator.get();
        documentInfo.excelExportOptions.ExportFilters = this.exportFilters.get();
        documentInfo.excelExportOptions.ExportParameters = this.exportParameters.get();
        documentInfo.excelExportOptions.DashboardStatePosition = this.dashboardStatePosition.get();
    }
    getEditors() {
        return [this.fileName, this.excelFormat, this.separator, this.exportFilters, this.exportParameters, this.dashboardStatePosition];
    }
}
class simplyImageOptionsGroup extends optionsGroup {
    constructor(_showTitleValue) {
        super();
        this._showTitleValue = _showTitleValue;
    }
    _initialize() {
        var that = this;
        this.imageFormat = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ImageFormat),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [imageFormat.png, imageFormat.gif, imageFormat.jpg],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.showTitle = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ShowTitle),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that.title.setEnabled(args.component.option('value'));
                }
            }
        });
        this.title = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Title),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.title.setEnabled(this._showTitleValue);
        this.resolution = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Resolution),
            controlCreator: dialogEditorFactory.dxNumberBox
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    set(documentInfo) {
        this.showTitle.set(documentInfo.imageExportOptions.ShowTitle);
        this.title.set(documentInfo.imageExportOptions.Title);
        this.imageFormat.set(documentInfo.imageExportOptions.Format);
        this.resolution.set(documentInfo.imageExportOptions.Resolution);
        this.fileName.set(documentInfo.fileName);
    }
    apply(documentInfo) {
        documentInfo.imageExportOptions.ShowTitle = this.showTitle.get();
        documentInfo.imageExportOptions.Title = this.title.get();
        documentInfo.imageExportOptions.Format = this.imageFormat.get();
        documentInfo.imageExportOptions.Resolution = this.resolution.get();
        documentInfo.fileName = this.fileName.get();
    }
    getEditors() {
        return [this.fileName, this.showTitle, this.title, this.imageFormat, this.resolution];
    }
}
class dashboardImageOptionsGroup extends optionsGroup {
    constructor(_showTitleValue) {
        super();
        this._showTitleValue = _showTitleValue;
    }
    _initialize() {
        var that = this;
        this.imageFormat = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ImageFormat),
            controlCreator: dialogEditorFactory.dxSelectBox,
            values: [imageFormat.png, imageFormat.gif, imageFormat.jpg],
            controlOptions: { container: this._additionalOptions.popupContainer }
        });
        this.showTitle = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ShowTitle),
            controlCreator: dialogEditorFactory.dxCheckBox,
            controlOptions: {
                onValueChanged: function (args) {
                    that.title.setEnabled(args.component.option('value'));
                }
            }
        });
        this.title = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Title),
            controlCreator: dialogEditorFactory.dxTextBox
        });
        this.exportFilters = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.IncludeExportDashboardState),
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Large',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportFilters)
            }
        });
        this.exportParameters = new labeledEditor({
            labelText: ' ',
            customText: true,
            controlCreator: dialogEditorFactory.dxCheckBox,
            margin: 'Small',
            controlOptions: {
                text: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ExportParameters)
            }
        });
        this.title.setEnabled(this._showTitleValue);
        this.resolution = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.Resolution),
            controlCreator: dialogEditorFactory.dxNumberBox
        });
        this.fileName = new labeledEditor({
            labelText: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FileName),
            controlCreator: dialogEditorFactory.dxTextBox
        });
    }
    set(documentInfo) {
        this.showTitle.set(documentInfo.imageExportOptions.ShowTitle);
        this.title.set(documentInfo.imageExportOptions.Title);
        this.exportFilters.set(documentInfo.imageExportOptions.ExportFilters);
        this.exportParameters.set(documentInfo.imageExportOptions.ExportParameters);
        this.imageFormat.set(documentInfo.imageExportOptions.Format);
        this.resolution.set(documentInfo.imageExportOptions.Resolution);
        this.fileName.set(documentInfo.fileName);
    }
    apply(documentInfo) {
        documentInfo.imageExportOptions.ShowTitle = this.showTitle.get();
        documentInfo.imageExportOptions.Title = this.title.get();
        documentInfo.imageExportOptions.ExportFilters = this.exportFilters.get();
        documentInfo.imageExportOptions.ExportParameters = this.exportParameters.get();
        documentInfo.imageExportOptions.Format = this.imageFormat.get();
        documentInfo.imageExportOptions.Resolution = this.resolution.get();
        documentInfo.fileName = this.fileName.get();
    }
    getEditors() {
        return [this.fileName, this.showTitle, this.title, this.imageFormat, this.resolution, this.exportFilters, this.exportParameters];
    }
}

;// ./dist/viewer-parts/widgets/dialogs/export/_export-dialog.js









class exportDialog {
    constructor(options) {
        this.defaultTitle = ExportOptions.DefaultTitle;
        this.defaultFileName = ExportOptions.DefaultFileName;
        this.options = options;
        this._initialize();
    }
    _initialize() {
        var that = this, options = that.options;
        exportDialog._initializeExportLocalizedStrings();
        that.exportOptionsCache = new exportOptionsCache();
        that.dialogForm = new dialogForm({
            dialogContainer: options.container,
            fullScreenMode: options.fullScreenMode,
            width: 'auto',
            height: 'auto',
            allowScrolling: true,
            deferredRendering: true,
            buttons: [{
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonReset),
                    func: function (type, typeExportEntities) {
                        that.group.set(options.defaultDocumentInfo);
                    },
                    hide: false
                }, {
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonExport),
                    hide: true,
                    func: function () {
                        let defaultDocumentInfo = options.defaultDocumentInfo;
                        var actualDocumentInfo = that.exportOptionsCache.getActualDocumentInfo(that.dashboardItemName, defaultDocumentInfo);
                        that.group.apply(actualDocumentInfo);
                        that.exportOptionsCache.add(that.dashboardItemName, defaultDocumentInfo, actualDocumentInfo);
                        that.exportFunction(actualDocumentInfo);
                    },
                    isDefault: true
                }, {
                    name: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ButtonCancel),
                    hide: true,
                    func: function () { }
                }
            ],
            renderContent: function (controlCreationCallbacks) {
                let exportForm = document.createElement('div');
                exportForm.classList.add(dialogClasses.form);
                that._createGroup();
                var editors = that.group.getEditors();
                editors.forEach(editor => {
                    let element = document.createElement('div');
                    element.classList.add(dialogClasses.element);
                    switch (editor.margin) {
                        case 'Large':
                            element.classList.add(dialogClasses.elementLargeMarginTop);
                            break;
                        case 'Small':
                            element.classList.add(dialogClasses.elementSmallMarginTop);
                            break;
                    }
                    exportForm.appendChild(element);
                    element.appendChild(editor.labelDiv);
                    element.appendChild(editor.editorDiv);
                });
                return exportForm;
            },
            disposeContent: () => {
                if (this.group) {
                    let editors = that.group.getEditors();
                    editors.forEach(editor => editor.dispose());
                }
            },
            setActualState: function (width) {
            },
            onShown: options.onShown,
            onShowing: options.onShowing,
            onHidden: options.onHidden
        });
    }
    showDialog(dashboardItemName, dashboardItemType, format, options) {
        this.defaultTitle = options.defaultTitle;
        this.defaultFileName = options.defaultFileName;
        this.dashboardItemName = dashboardItemName;
        this.dashboardItemType = dashboardItemType;
        this.format = format;
        this.dialogForm.popupInstance.option('title', this._getLocalizedTitle(options.defaultFileName, format));
        this.dialogForm.showDialog();
    }
    hideDialog() {
        this.dialogForm.hideDialog();
    }
    dispose() {
        this.dialogForm && this.dialogForm.dispose();
    }
    _getLocalizedTitle(name, format) {
        let exportString;
        switch (format) {
            case exportFormats.pdf:
                exportString = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportToPdf);
                break;
            case exportFormats.image:
                exportString = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportToImage);
                break;
            default:
                exportString = _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportToExcel);
                break;
        }
        return !name ? exportString : (0,external_DevExpress_utils_string_.format)(_localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.buttonNames.ExportTemplate), exportString, name);
    }
    setExportFunction(exportFunction) {
        if (exportFunction)
            this.exportFunction = exportFunction;
    }
    _createImageGroup(dashboardItemType, documentInfo) {
        switch (dashboardItemType) {
            case null:
                return new dashboardImageOptionsGroup(documentInfo.imageExportOptions.ShowTitle);
            case _viewer_item_types/* types */.g.image:
                return new simplyImageOptionsGroup(documentInfo.imageExportOptions.ShowTitle);
            default:
                return new imageOptionsGroup(documentInfo.imageExportOptions.ShowTitle);
        }
    }
    _createExcelGroup(dashboardItemType, documentInfo) {
        switch (dashboardItemType) {
            case null:
                return new dashboardExcelOptionsGroup(documentInfo.excelExportOptions.Format);
            default:
                return new excelOptionsGroup(documentInfo.excelExportOptions.Format, dashboardItemType !== _viewer_item_types/* types */.g.group && dashboardItemType !== _viewer_item_types/* types */.g.page && dashboardItemType !== _viewer_item_types/* types */.g.tabPage && dashboardItemType !== _viewer_item_types/* types */.g.tabContainer);
        }
    }
    _createPdfGroup(dashboardItemType, documentInfo) {
        switch (dashboardItemType) {
            case null:
                return new entireDashboardOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.DashboardAutomaticPageLayout, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.group:
            case _viewer_item_types/* types */.g.page:
                return new groupItemOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.DashboardAutomaticPageLayout, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.grid:
                return new gridOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.GridFitToPageWidth, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.chart:
            case _viewer_item_types/* types */.g.scatter:
                return new chartOptionsGroup(documentInfo.pdfExportOptions.ShowTitle);
            case _viewer_item_types/* types */.g.pie:
                return new pieOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.PieAutoArrangeContent, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.gauge:
                return new gaugeOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.GaugeAutoArrangeContent, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.card:
                return new cardOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.CardAutoArrangeContent, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.pivot:
                return new pivotOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.treemap:
                return new treemapOptionsGroup(documentInfo.pdfExportOptions.ShowTitle);
            case _viewer_item_types/* types */.g.choroplethMap:
            case _viewer_item_types/* types */.g.geoPointMap:
            case _viewer_item_types/* types */.g.bubbleMap:
            case _viewer_item_types/* types */.g.pieMap:
                return new mapOptionsGroup(documentInfo.pdfExportOptions.ShowTitle);
            case _viewer_item_types/* types */.g.rangeFilter:
                return new rangeFilterOptionsGroup(documentInfo.pdfExportOptions.ShowTitle);
            case _viewer_item_types/* types */.g.text:
                return new textItemOptionsGroup(documentInfo.pdfExportOptions.ShowTitle);
            case _viewer_item_types/* types */.g.boundImage:
                return new boundImageItemOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.image:
                return new imageItemOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.DocumentScaleMode);
            case _viewer_item_types/* types */.g.custom:
                return new customItemOptionsGroup(documentInfo.pdfExportOptions.ShowTitle, documentInfo.pdfExportOptions.DashboardAutomaticPageLayout, documentInfo.pdfExportOptions.DocumentScaleMode);
        }
    }
    _createGroup() {
        var that = this, documentInfo = that.exportOptionsCache.getActualDocumentInfo(that.dashboardItemName, that.options.defaultDocumentInfo);
        if (that.group) {
            that.group.dispose();
        }
        switch (that.format) {
            case exportFormats.image:
                that.group = that._createImageGroup(that.dashboardItemType, documentInfo);
                break;
            case exportFormats.excel:
                that.group = that._createExcelGroup(that.dashboardItemType, documentInfo);
                break;
            default:
                that.group = that._createPdfGroup(that.dashboardItemType, documentInfo);
                break;
        }
        that.group.createEditors({ popupContainer: this.options.container });
        if (documentInfo.pdfExportOptions && documentInfo.pdfExportOptions.Title === ExportOptions.DefaultTitle)
            documentInfo.pdfExportOptions.Title = this.defaultTitle;
        if (documentInfo.imageExportOptions && documentInfo.imageExportOptions.Title === ExportOptions.DefaultTitle)
            documentInfo.imageExportOptions.Title = this.defaultTitle;
        if (documentInfo.fileName === ExportOptions.DefaultFileName)
            documentInfo.fileName = this.defaultFileName;
        that.group.set(documentInfo);
        var scaleModeGroup = !!that.group['dashboardOptionsGroup'] ? that.group['dashboardOptionsGroup'].scaleModeOptionsGroup : that.group['scaleModeOptionsGroup'];
        if (!!scaleModeGroup) {
            scaleModeGroup.visibilityUpdated.add(() => { this.dialogForm.popupInstance.repaint(); });
        }
    }
    static _initializeExportLocalizedStrings() {
        paperKind.letter = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKindLetter), value: dashboardExportPaperKind.letter };
        paperKind.legal = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKindLegal), value: dashboardExportPaperKind.legal };
        paperKind.executive = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKindExecutive), value: dashboardExportPaperKind.executive };
        paperKind.a5 = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKindA5), value: dashboardExportPaperKind.a5 };
        paperKind.a4 = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKindA4), value: dashboardExportPaperKind.a4 };
        paperKind.a3 = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PaperKindA3), value: dashboardExportPaperKind.a3 };
        pageLayout.auto = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayoutAuto), value: dashboardExportPageLayout.auto };
        pageLayout.portrait = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayoutPortrait), value: dashboardExportPageLayout.portrait };
        pageLayout.landscape = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.PageLayoutLandscape), value: dashboardExportPageLayout.landscape };
        scaleMode.none = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ScaleModeNone), value: dashboardExportDocumentScaleMode.none };
        scaleMode.useScaleFactor = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ScaleModeUseScaleFactor), value: dashboardExportDocumentScaleMode.useScaleFactor };
        scaleMode.autoFitToPageWidth = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.ScaleModeAutoFitToPagesWidth), value: dashboardExportDocumentScaleMode.autoFitToPagesWidth };
        dashboardStatePosition.below = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FilterStatePresentationAfter), value: dashboardStateExportPosition.below };
        dashboardStatePosition.separatePage = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FilterStatePresentationAfterAndSplitPage), value: dashboardStateExportPosition.separatePage };
        excelDashboardStatePosition.below = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FilterStatePresentationAfter), value: dashboardStateExcelExportPosition.below };
        excelDashboardStatePosition.separateSheet = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.FilterStatePresentationSplitSheet), value: dashboardStateExcelExportPosition.separateSheet };
        imageFormat.png = { displayValue: 'PNG', value: dashboardExportImageFormat.png };
        imageFormat.gif = { displayValue: 'GIF', value: dashboardExportImageFormat.gif };
        imageFormat.jpg = { displayValue: 'JPG', value: dashboardExportImageFormat.jpg };
        excelFormat.csv = { displayValue: 'CSV', value: dashboardExportExcelFormat.csv };
        excelFormat.xls = { displayValue: 'XLS', value: dashboardExportExcelFormat.xls };
        excelFormat.xlsx = { displayValue: 'XLSX', value: dashboardExportExcelFormat.xlsx };
        sizeMode.none = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeModeNone), value: dashboardExportSizeMode.none };
        sizeMode.stretch = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeModeStretch), value: dashboardExportSizeMode.stretch };
        sizeMode.zoom = { displayValue: _localizer/* localizer */.O.getString(_localization_ids/* localizationId */.d.labelName.SizeModeZoom), value: dashboardExportSizeMode.zoom };
    }
}

;// ./dist/viewer-parts/widgets/indicators/gauges/_indicator.js






const DELTA_INDENT = 10, DELTA_SIZE_COEFF = 0.5, DELTA_ASPECT_RATIO = 3 / 4;
class GaugeDeltaIndicator {
    constructor(parameters) {
        this._renderer = parameters.renderer;
        this._root = parameters.renderer.g().attr({ 'class': 'dxg-delta-indicator' }).linkOn(parameters.container, { name: 'delta-indicator', after: 'peripheral' });
        this._getOptions = parameters.optionsCallback;
    }
    dispose() {
        this._root.linkOff();
        this._renderer = this._root = null;
        return this;
    }
    draw() {
        let that = this, options = that._getOptions(), textValue = formatText(options.text);
        if (textValue === null)
            return null;
        that._root.linkAppend();
        let text = that._renderer.text(textValue, 0, 0).attr({
            align: 'center',
            'class': DeltaIndicator.getIndicatorColorType(options.type, options.hasPositiveMeaning, options.text.useDefaultColor)
        }).css((0,external_DevExpress_viz_dashboard_namespaceObject.patchFontOptions)(options.text.font)).append(that._root);
        let textBox = text.getBBox(), shapeHeight = Math.round(textBox.height * DELTA_SIZE_COEFF), shapeWidth = Math.round(shapeHeight / DELTA_ASPECT_RATIO);
        let shape = new DeltaIndicator({ renderer: that._renderer }).draw({
            type: options.type,
            hasPositiveMeaning: options.hasPositiveMeaning,
            rect: {
                left: 0,
                right: shapeWidth,
                top: -textBox.y - shapeHeight,
                bottom: -textBox.y
            }
        });
        let width = textBox.width, height = textBox.height, x = Math.round(textBox.width / 2), y = -textBox.y;
        if (shape) {
            shape.append(that._root);
            width += shapeWidth + DELTA_INDENT;
            x += shapeWidth + DELTA_INDENT;
        }
        text.attr({ x: x, y: y });
        return [width, height];
    }
    layoutOptions() {
        let options = this._getOptions(), layout = options.layout || {};
        return formatText(options.text) !== null ? {
            horizontalAlignment: layout.horizontalAlignment || 'center',
            verticalAlignment: layout.verticalAlignment || 'bottom'
        } : null;
    }
    measure() {
        this.freeSpace();
        return this.draw();
    }
    move(rect) {
        this._root.attr({ translateX: Math.round(rect[0]), translateY: Math.round(rect[1]) });
    }
    freeSpace() {
        this._root.linkRemove().clear();
    }
}
var formatText = function (options) {
    let text;
    if (options.value !== undefined) {
        const obj = {
            value: options.value,
            valueText: _format_helper/* DashboardFormatHelper */.O6.format(options.value, { type: options.format, precision: options.precision })
        };
        text = _utils/* type */.NW.isFunction(options.customizeText) ? options.customizeText.call(obj, obj) : obj.valueText;
    }
    if (_utils/* type */.NW.isString(text) && text) {
        return text;
    }
    return null;
};
var _indicator_plugin = {
    name: 'delta_indicator',
    init: function () {
        let that = this;
        that._delta_indicator = new GaugeDeltaIndicator({
            renderer: that._renderer,
            container: that._renderer.root,
            optionsCallback: () => that._getOption('indicator')
        });
        that._layout.add(that._delta_indicator);
    },
    dispose: function () {
        this._delta_indicator.freeSpace();
        this._delta_indicator.dispose();
    }
};
external_DevExpress_viz_dxCircularGauge_default().addPlugin(_indicator_plugin);
external_DevExpress_viz_dxLinearGauge_default().addPlugin(_indicator_plugin);

;// ./dist/viewer-parts/index.internal.js






































































































// EXTERNAL MODULE: ./dist/model/internal/_date-utils.js
var _date_utils = __webpack_require__(2037);
// EXTERNAL MODULE: ./dist/model/items/custom-item/custom-item.js
var custom_item = __webpack_require__(7212);
;// ./dist/common/custom-viewer-item/custom-viewer-item.js




class CustomItemViewer extends baseItem {
    constructor(model, container, options) {
        super((0,_jquery_helpers/* $unwrap */.I1)(container), options);
        this.iterateData = (action) => {
            this.model.iterateData(action);
        };
        this.canMasterFilter = (row) => {
            if (!this.model._isMasterFilter())
                return false;
            if (!!row) {
                var preparedRow = this._prepareRow(this._getUniqueValues(row));
                if (!(0,_utils/* allowSelectValue */.lL)(preparedRow))
                    return false;
            }
            return true;
        };
        this.canDrillDown = (row) => {
            if (!this.model._isDrillDownEnabled() || !this._canPerformDrillDown())
                return false;
            if (!this.model._isMasterFilter())
                return true;
            if (this._canSetMultipleMasterFilter() && this.allowMultiselection)
                return false;
            if (!!row) {
                var values = this._getUniqueValues(row), level = values.length;
                if (level >= this.model.interactivityTargets().length)
                    return false;
                return this.isSelected(row);
            }
            return true;
        };
        this.setMasterFilter = (row) => {
            if (this.model._isMasterFilter()) {
                var selection = [];
                if (!!row) {
                    var preparedRow = this._prepareRow(this._getUniqueValues(row));
                    if (!(0,_utils/* allowSelectValue */.lL)(preparedRow))
                        return false;
                    selection.push(preparedRow);
                    if (this._canSetMultipleMasterFilter() && this.allowMultiselection) {
                        var currentSelection = this.model._actualSelectionValues() || [];
                        if ((0,_utils/* arrayContains */.DQ)(currentSelection, preparedRow))
                            selection = currentSelection.filter(row => !(0,_utils/* arrayEquals */.ng)(row, preparedRow));
                        else
                            selection = currentSelection.concat(selection);
                    }
                }
                var name = this.model.componentName();
                if (selection.length > 0) {
                    let action = this._canSetMultipleMasterFilter() ? _common/* viewerActions */.qH.setMultipleValuesMasterFilter : _common/* viewerActions */.qH.setMasterFilter;
                    this.selected.fire(name, action, selection);
                }
                else {
                    this.clearMasterFilter.fire(name);
                }
                return true;
            }
            return false;
        };
        this.drillDown = (row) => {
            if (this.model._isDrillDownEnabled() && this._canPerformDrillDown()) {
                var values = this._getUniqueValues(row);
                var level = values.length;
                if (level < this.model.interactivityTargets().length) {
                    this.selected.fire(this.model.componentName(), _common/* viewerActions */.qH.drillDown, this._prepareRow(values));
                    return true;
                }
            }
            return false;
        };
        this.model = model;
    }
    contentWidth() {
        return (0,_jquery_helpers/* getWidth */.RG)(this.contentRoot);
    }
    contentHeight() {
        return (0,_jquery_helpers/* getHeight */.Oq)(this.contentRoot);
    }
    setSize(width, height) {
        super.setSize(width, height);
    }
    _renderContent(element, changeExisting, afterRenderCallback) {
        this.renderContent((0,_jquery_helpers/* wrapPublicElement */.i)(element), changeExisting, afterRenderCallback);
        return false;
    }
    renderContent(element, changeExisting, afterRenderCallback) {
    }
    dispose() {
        super.dispose();
    }
    clearSelection() {
        super.clearSelection();
    }
    setSelection(values) {
        super.setSelection(values);
    }
    allowExportSingleItem() {
        return false;
    }
    getExportInfo() {
        return null;
    }
    getMasterFilterMode() {
        return this.model._masterFilterMode();
    }
    getBindingValue(propertyName, index) {
        return this.model.getBindingValue(propertyName, index);
    }
    getPropertyValue(propertyName) {
        return this.model.customProperties.getValue(propertyName);
    }
    subscribe(propertyName, callback) {
        return this.model.customProperties[propertyName].subscribe(callback);
    }
    isSelected(row) {
        var actualSelectionValues = this.model._actualSelectionValues();
        return actualSelectionValues && (0,_utils/* arrayContains */.DQ)(actualSelectionValues, this._prepareRow(this._getUniqueValues(row)));
    }
    getInfo() {
        var info = super.getInfo(), exportInfo = this.getExportInfo();
        return exportInfo ? (0,_jquery_helpers/* deepExtend */.zw)(info, {
            customItemExportInfo: exportInfo
        }) : info;
    }
    initializeData(newOptions) {
    }
    _initializeData(newOptions) {
        super._initializeData(newOptions);
        this.initializeData(newOptions);
        if (this.options) {
            this.options.allowExport = this.options.allowExport && this.allowExportSingleItem();
        }
    }
    _prepareRow(row) {
        if (this.model._isDrillDownEnabled() && (this._canPerformDrillDown() || this._canPerformDrillUp()))
            return [row[row.length - 1]];
        return row;
    }
    _getUniqueValues(row) {
        var res = [];
        this.model.customBindings.filter(binding => binding.enableInteractivity).forEach(binding => {
            var current = row.getUniqueValue(binding.propertyName);
            if (current) {
                res = res.concat(current);
            }
        });
        return res;
    }
    _isSupportDataAwareExport() {
        return true;
    }
}
class customViewerItem extends CustomItemViewer {
}

;// ./dist/common/viewer/adapters/_item-viewer-adapter-base.js







class ItemViewerAdapterBase extends disposable_object/* DisposableObject */.I {
    get name() {
        return this.dashboardItem.componentName();
    }
    get _isDesignMode() {
        var ignoreDesignMode = this.localContext && this.localContext.ignoreDesignMode || false;
        if (ignoreDesignMode) {
            return false;
        }
        else {
            return this.context.isDesignMode();
        }
    }
    constructor(dashboardItem, element, context, localContext, beforeRender = (item) => { }, onDisposed = () => { }) {
        super();
        this.dashboardItem = dashboardItem;
        this.element = element;
        this.context = context;
        this.localContext = localContext;
        this.beforeRender = beforeRender;
        this.onDisposed = onDisposed;
        this.modelSubscriptions = [];
        this.itemUpdated = (item) => { };
        this.updateServerContentHandler = (newContent) => {
            if (newContent) {
                this.ensureViewerItem(!this.item, newContent);
                this.item.hideLoadingPanel();
            }
            else if (!!this.item) {
                this.item.showLoadingPanel();
            }
            this.itemUpdated(this.item);
        };
    }
    ensureViewerItem(onlyCreation, content) {
        this.ensureViewerItemCore(onlyCreation, content);
    }
    initialize() {
        let content = this.dashboardItem._getFullServerContent();
        if (content) {
            this.ensureViewerItem(true, content);
            this.itemUpdated(this.item);
        }
        this.modelSubscriptions.push(this.dashboardItem._subcribeServerContent(this.updateServerContentHandler));
    }
    dispose() {
        super.dispose();
        this.modelSubscriptions.forEach(subscription => subscription.dispose());
        if (this.item) {
            if (!!this.context.viewerItemDispose) {
                this.context.viewerItemDispose.fire(this.dashboardItem, this.item);
            }
            if (this.localContext) {
                this.localContext.viewerItemDispose.fire(this.dashboardItem, this.item);
            }
            this.detachFromModel(this.item, this.dashboardItem);
            this.item.dispose && this.item.dispose();
        }
        this.item = null;
        this.element = null;
        this.itemUpdated = null;
        this.onDisposed();
    }
    resume() {
        this.modelSubscriptions.push(this.dashboardItem._subcribeServerContent(this.updateServerContentHandler));
        this.attachToModel(this.item, this.dashboardItem);
        this.ensureViewerItemCore(false, this.dashboardItem._getFullServerContent());
    }
    suspend() {
        if (!!this.item) {
            this.detachFromModel(this.item, this.dashboardItem);
        }
    }
    ensureViewerItemCore(onlyCreation, content, additionalData) {
        if (!!this.context.beforeApplyViewerItemOptions) {
            this.context.beforeApplyViewerItemOptions.fire(this.dashboardItem, content, onlyCreation, additionalData);
        }
        if (!!this.localContext) {
            this.localContext.beforeApplyViewerItemOptions.fire(this.dashboardItem, content, onlyCreation);
        }
        if (onlyCreation) {
            this.dashboardItem._viewerItemCreated(true);
            this.item = this.createDashboardViewerItem(this.element, content, this.dashboardItem);
        }
        else {
            this.updateItemContent(content);
        }
    }
    updateItemContent(content) {
        this.item.updateContent(content);
    }
    createDashboardViewerItem(element, content, dashboardItem) {
        element.innerHTML = '';
        content.parentContainer = (0,_jquery_helpers/* closest */.kp)(element, '.dx-dashboard-container');
        content.controlContainer = getControlContainer(element);
        if (this.localContext && this.localContext.boundaryContainer) {
            content.boundaryContainer = this.localContext.boundaryContainer;
        }
        let visualMode = this.localContext && this.localContext.visualMode && this.localContext.visualMode() || null;
        var viewerItem;
        if (this.dashboardItem instanceof custom_item/* CustomItem */.F) {
            if (visualMode === 'caption') {
                viewerItem = new CustomItemViewer(this.dashboardItem, (0,_jquery_helpers/* wrapPublicElement */.i)(element), content);
            }
            else {
                var viewerItemCreator = this.context.viewerItemCreator[this.dashboardItem.customItemType()];
                if (!!viewerItemCreator) {
                    viewerItem = viewerItemCreator(this.dashboardItem, (0,_jquery_helpers/* wrapPublicElement */.i)(element), content);
                }
            }
        }
        if (!viewerItem) {
            var viewerItemFactory = (this.localContext && this.localContext.itemFactory) || defaultViewerItemFactory;
            viewerItem = viewerItemFactory.createItem(element, content);
        }
        if (!viewerItem) {
            throw new Error('ViewerItem is not created.');
        }
        if (!!this.context.viewerItemCreated) {
            this.context.viewerItemCreated.fire(this.dashboardItem, viewerItem);
        }
        if (this.localContext) {
            if (this.localContext.visualMode) {
                viewerItem.visualMode = this.localContext.visualMode();
            }
            this.localContext.viewerItemCreated.fire(this.dashboardItem, viewerItem);
            viewerItem.addContextCaptionToolbarOptions = (toolbarOptions) => {
                this.context.addContextToolbarItems.fire(toolbarOptions, this.dashboardItem);
                this.localContext.addContextToolbarItems.fire(toolbarOptions, this.dashboardItem);
            };
            if (this.localContext.createCaptionToolbar) {
                viewerItem.createCaptionToolbar = this.localContext.createCaptionToolbar;
            }
        }
        this.attachToModel(viewerItem, dashboardItem);
        this.beforeRender(viewerItem);
        viewerItem.dateToString = _date_utils/* fromUtcDateToString */.zd;
        viewerItem.render();
        return viewerItem;
    }
    attachToModel(viewerItem, dashboardItem) {
        viewerItem.allowMultiselection = dashboardItem._allowMultiselection();
        this.modelSubscriptions.push(dashboardItem._allowMultiselection.subscribe(newValue => {
            viewerItem.allowMultiselection = newValue;
            viewerItem.forceUpdateInteractivity();
        }));
        viewerItem.allowMultiselectionChanged = (allowed) => {
            dashboardItem._allowMultiselection(allowed);
        };
    }
    detachFromModel(viewerItem, dashboardItem) {
        this.modelSubscriptions.forEach(subscription => subscription.dispose());
        viewerItem.allowMultiselectionChanged = () => { };
    }
}

;// ./dist/common/viewer/adapters/_data-item-viewer-adapter.js




class DataItemViewerAdapter extends ItemViewerAdapterBase {
    constructor() {
        super(...arguments);
        this._createDefaultCustomInteractivityOptions = () => {
            return {
                selectionMode: dashboardSelectionMode.none,
                hoverEnabled: false,
                targetAxes: [],
                defaultSelectedValues: []
            };
        };
        this._ensureCustomInteractivityOptions = (interactivityOptions, interactivityEnable, itemData) => {
            var newOptions = {
                selectionMode: interactivityOptions.selectionMode,
                hoverEnabled: interactivityOptions.hoverEnabled,
                targetAxes: interactivityOptions.targetAxes,
                defaultSelectedValues: interactivityOptions.defaultSelectedValues
            };
            if (interactivityEnable && interactivityOptions.defaultSelectedValues.length == 0 && interactivityOptions.selectionMode == dashboardSelectionMode.single) {
                var tuple = [];
                interactivityOptions.targetAxes.forEach(axisName => {
                    tuple.push({
                        AxisName: axisName,
                        Value: itemData.getAxis(axisName).getPoints()[0].getUniquePath()
                    });
                });
                newOptions.defaultSelectedValues = [tuple];
            }
            return newOptions;
        };
    }
    attachToModel(viewerItem, dataDashboardItem) {
        super.attachToModel(viewerItem, dataDashboardItem);
        this.modelSubscriptions.push(dataDashboardItem._actions.subscribe(actions => {
            this.updateActionsModel(viewerItem, actions);
        }));
        this.modelSubscriptions.push(dataDashboardItem._actualSelectionValues.subscribe(newSelection => {
            viewerItem.setSelection(newSelection);
        }));
        viewerItem.selected.add(dataDashboardItem._processItemSelectionChange);
        viewerItem.drillUp.add(dataDashboardItem._processItemDrillUp);
        viewerItem.clearMasterFilter.add(dataDashboardItem._processItemClearMasterFilter);
        viewerItem.contentElementSelection.add(dataDashboardItem._processContentElementSelection);
        viewerItem.allowLimitDataCallback = () => {
            dataDashboardItem._limitDataState.toggle();
            this.context.refresh(dataDashboardItem.componentName());
        };
    }
    detachFromModel(viewerItem, dataDashboardItem) {
        viewerItem.selected.remove(dataDashboardItem._processItemSelectionChange);
        viewerItem.drillUp.remove(dataDashboardItem._processItemDrillUp);
        viewerItem.clearMasterFilter.remove(dataDashboardItem._processItemClearMasterFilter);
        viewerItem.contentElementSelection.remove(dataDashboardItem._processContentElementSelection);
        viewerItem.allowLimitDataCallback = null;
        super.detachFromModel(viewerItem, dataDashboardItem);
    }
    ensureViewerItemCore(onlyCreation, content) {
        var customInteractivityOptions = this._createDefaultCustomInteractivityOptions();
        super.ensureViewerItemCore(onlyCreation, content, customInteractivityOptions);
        this.item.updateItem(this._ensureCustomInteractivityOptions(customInteractivityOptions, this.dashboardItem._actions().length > 0, this.dashboardItem._getItemData()));
        this.updateActionsModel(this.item, this.dashboardItem._actions());
    }
    updateItemContent(content) {
        if (!this.dashboardItem._actualSelectionValues() && this.item.visualMode !== 'caption') {
            this.item.clearSelection();
        }
        super.updateItemContent(content);
        this.item.updateInteractivityOptions();
    }
    createDashboardViewerItem(element, content, dashboardItem) {
        var actions = dashboardItem._actions();
        content.ActionModel = content.ActionModel || {};
        content.ActionModel.Actions = actions;
        content.ActionModel.DrillUpButtonState = this.getDrillUpState(actions);
        content.ActionModel.ClearMasterFilterButtonState = this.dashboardItem._getClearMasterFilterState();
        content.IsDrillDownEnabled = dashboardItem._isDrillDownEnabled;
        var viewerItem = super.createDashboardViewerItem(element, content, dashboardItem);
        viewerItem.updateInteractivityOptions();
        return viewerItem;
    }
    getDrillUpState(actions) {
        if (actions.indexOf(_common/* viewerActions */.qH.drillUp) !== -1) {
            return 'Enabled';
        }
        else {
            if (actions.indexOf(_common/* viewerActions */.qH.drillDown) !== -1) {
                return 'Disabled';
            }
            else {
                return 'Hidden';
            }
        }
    }
    updateActionsModel(item, actions) {
        var actionModel = (0,_jquery_helpers/* deepExtend */.zw)({}, item.options.ActionModel);
        actionModel.Actions = actions;
        actionModel.DrillUpButtonState = this.getDrillUpState(actions);
        actionModel.ClearMasterFilterButtonState = this.dashboardItem._getClearMasterFilterState();
        var newOptions = (0,_jquery_helpers/* deepExtend */.zw)({}, item.options, { IsDrillDownEnabled: this.dashboardItem._isDrillDownEnabled });
        newOptions.ActionModel = actionModel;
        newOptions.ContentType = 'ActionModel';
        item.updateContent(newOptions);
    }
}

;// ./dist/common/viewer/adapters/_grid-item-viewer-adapter.js


class GridItemViewerAdapter extends DataItemViewerAdapter {
    attachToModel(viewerItem, dataDashboardItem) {
        super.attachToModel(viewerItem, dataDashboardItem);
        viewerItem.clientStateUpdate.add(dataDashboardItem._processItemClientStateUpdate);
        viewerItem.clientFilterChanged.add(dataDashboardItem._processClientFilterChanged);
        viewerItem.clientFilterStateChanged.add(dataDashboardItem._processClientFilterStateChanged);
        viewerItem.gridWidthOptionsChanged = (state) => {
            if (this.context.isDesignMode()) {
                dataDashboardItem._setColumnWidthOptions(state);
            }
        };
        this.toDispose(external_ko_.computed(() => {
            var gridItemViewer = viewerItem;
            gridItemViewer.resetClientStateOnUpdate = this.context.isDesignMode();
            gridItemViewer.manualyResetClientState = !this.context.isDesignMode();
        }));
    }
    detachFromModel(viewerItem, dataDashboardItem) {
        super.detachFromModel(viewerItem, dataDashboardItem);
        viewerItem.gridWidthOptionsChanged = null;
        viewerItem.clientStateUpdate.remove(dataDashboardItem._processItemClientStateUpdate);
    }
}

// EXTERNAL MODULE: ./dist/model/items/dashboard-item.js
var dashboard_item = __webpack_require__(4391);
// EXTERNAL MODULE: ./dist/model/items/filter-items/date-filter-item.js
var date_filter_item = __webpack_require__(7328);
// EXTERNAL MODULE: ./dist/model/items/map/map-item.js
var map_item = __webpack_require__(1126);
// EXTERNAL MODULE: ./dist/model/items/pivot/pivot-item.js
var pivot_item = __webpack_require__(2910);
// EXTERNAL MODULE: ./dist/model/items/range-filter/range-filter-item.js
var range_filter_item = __webpack_require__(5768);
;// ./dist/common/viewer/adapters/_map-item-viewer-adapter.js


class MapItemViewerAdapter extends DataItemViewerAdapter {
    updateItemContent(content) {
        this.item.isViewportLocked = this.dashboardItem.lockNavigation();
        super.updateItemContent(content);
        if (this.dashboardItem._clientState()) {
            this.item.updateClientState(this.dashboardItem._clientState());
        }
    }
    createDashboardViewerItem(element, content, dashboardItem) {
        var viewerItem = super.createDashboardViewerItem(element, content, dashboardItem);
        viewerItem.isInitialExtentChanged = dashboardItem._initialExtentChanged();
        if (dashboardItem._clientState()) {
            viewerItem.updateClientState(this.dashboardItem._clientState());
        }
        viewerItem.initialDataRequest();
        if (viewerItem instanceof geoPointMapItemBase) {
            viewerItem.forceUpdateClientState();
        }
        return viewerItem;
    }
    attachToModel(viewerItem, dataDashboardItem) {
        super.attachToModel(viewerItem, dataDashboardItem);
        viewerItem.clientStateUpdate.add(dataDashboardItem._processItemClientStateUpdate);
        viewerItem.dataRequest.add(dataDashboardItem._processDataRequest);
        this.modelSubscriptions.push(dataDashboardItem._initialExtentChanged.subscribe(newValue => {
            viewerItem.isInitialExtentChanged = newValue;
            if (!viewerItem.isInitialExtentChanged) {
                if (this._isDesignMode) {
                    let fullViewport = viewerItem.options.FullViewport;
                    viewerItem.onInitialExtent(fullViewport);
                    dataDashboardItem.viewport._set(fullViewport, true);
                }
                else {
                    viewerItem.onInitialExtent();
                }
            }
            viewerItem.updateCaptionToolbar();
        }));
        viewerItem.viewportChangedCallback = (viewport) => {
            if (this._isDesignMode) {
                dataDashboardItem.viewport._set(viewport, false);
            }
        };
        viewerItem.initialExtentChanged = (changed) => {
            dataDashboardItem._initialExtentChanged(changed);
        };
    }
    detachFromModel(viewerItem, dataDashboardItem) {
        super.detachFromModel(viewerItem, dataDashboardItem);
        viewerItem.viewportChangedCallback = null;
        viewerItem.initialExtentChanged = null;
        viewerItem.clientStateUpdate.remove(dataDashboardItem._processItemClientStateUpdate);
        viewerItem.dataRequest.remove(dataDashboardItem._processDataRequest);
    }
    resume() {
        super.resume();
        this.item.initialDataRequest();
    }
}

;// ./dist/common/viewer/adapters/_pivot-item-viewer-adapter.js

class PivotItemViewerAdapter extends DataItemViewerAdapter {
    constructor() {
        super(...arguments);
        this.expandValueHandler = (_, params) => {
            if (params.isRequestData) {
                this.dashboardItem._processItemExpandingChange({
                    values: params.values,
                    isColumn: params.isColumn
                });
            }
        };
        this.expandStateChangedHandler = (dxPivotState) => {
            var currentState = this.item.getExpandingState(!this.dashboardItem.autoExpandRowGroups(), !this.dashboardItem.autoExpandColumnGroups());
            this.dashboardItem._processExpandingStateChanged(currentState, dxPivotState);
        };
    }
    attachToModel(viewerItem, dataDashboardItem) {
        super.attachToModel(viewerItem, dataDashboardItem);
        viewerItem.expandValue.add(this.expandValueHandler);
        viewerItem.expandStateChanged.add(this.expandStateChangedHandler);
    }
    detachFromModel(viewerItem, dataDashboardItem) {
        viewerItem.expandValue.remove(this.expandValueHandler);
        viewerItem.expandStateChanged.remove(this.expandStateChangedHandler);
        super.detachFromModel(viewerItem, dataDashboardItem);
    }
}

;// ./dist/common/viewer/adapters/_predefined-periods-item-viewer-adapter.js

class PredefinedPeriodsItemViewerAdapter extends DataItemViewerAdapter {
    attachToModel(viewerItem, rangeFilterItem) {
        super.attachToModel(viewerItem, rangeFilterItem);
        if (rangeFilterItem.currentSelectedDateTimePeriodName())
            rangeFilterItem._processItemSetPredefinedPeriod(rangeFilterItem.currentSelectedDateTimePeriodName());
        this.toDispose(rangeFilterItem.currentSelectedDateTimePeriodName.subscribe(newValue => {
            viewerItem._setPredefinedRange(newValue);
        }));
        viewerItem.predefinedRangeChanged = (newRange) => {
            rangeFilterItem._processItemSetPredefinedPeriod(newRange);
        };
    }
    detachFromModel(viewerItem, rangeFilterItem) {
        super.detachFromModel(viewerItem, rangeFilterItem);
        viewerItem.predefinedRangeChanged = () => { };
    }
}

;// ./dist/common/viewer/adapters/_item-viewer-adapter-factory.js














class ViewerItemAdapterRecordElement {
    constructor(adapter, visualMode) {
        if (adapter)
            this.setAdapter(adapter, visualMode);
    }
    setAdapter(adapter, visualMode) {
        if (this.storage && (this.storage instanceof ItemViewerAdapterBase || visualMode === 'full'))
            throw new Error('Try to replace a primary dashboard item with the new one');
        if (!visualMode || visualMode === 'full') {
            this.storage = adapter;
        }
        else {
            if (!this.storage)
                this.storage = {};
            if (visualMode === 'caption') {
                this.storage.captionItem = adapter;
            }
            else {
                this.storage.contentItem = adapter;
            }
        }
    }
    suspend() {
        this.processMapRecordElement((adapter) => adapter.suspend());
    }
    resume() {
        this.processMapRecordElement((adapter) => adapter.resume());
    }
    dispose() {
        this.processMapRecordElement((adapter) => adapter.dispose());
        this.storage = null;
    }
    processMapRecordElement(handler) {
        if (!this.storage)
            return;
        if (this.storage instanceof ItemViewerAdapterBase) {
            handler(this.storage);
        }
        else {
            this.storage.captionItem && handler(this.storage.captionItem);
            this.storage.contentItem && handler(this.storage.contentItem);
        }
    }
}
class ViewerItemAdaptersManager extends disposable_object/* DisposableObject */.I {
    constructor() {
        super(...arguments);
        this.viewerItemAdaptersMap = {};
        this.modelSubscriberDict = [
            { type: range_filter_item/* RangeFilterItem */.P, ctor: PredefinedPeriodsItemViewerAdapter },
            { type: date_filter_item/* DateFilterItem */.Y, ctor: PredefinedPeriodsItemViewerAdapter },
            { type: grid_item/* GridItem */.E, ctor: GridItemViewerAdapter },
            { type: pivot_item/* PivotItem */.y, ctor: PivotItemViewerAdapter },
            { type: map_item/* MapItem */.w, ctor: MapItemViewerAdapter },
            { type: data_dashboard_item/* DataDashboardItem */.s, ctor: DataItemViewerAdapter },
            { type: dashboard_item/* DashboardItem */.K, ctor: ItemViewerAdapterBase }
        ];
        this.createAdapterCore = (dashboardItem, element, context, localContext, beforeRender = (item) => { }) => {
            var modelSubscriberCtor = null;
            for (var i = 0; i < this.modelSubscriberDict.length; i++) {
                if (dashboardItem instanceof this.modelSubscriberDict[i].type) {
                    modelSubscriberCtor = this.modelSubscriberDict[i].ctor;
                    break;
                }
            }
            if (!modelSubscriberCtor) {
                modelSubscriberCtor = this.modelSubscriberDict[this.modelSubscriberDict.length - 1].ctor;
            }
            return (new modelSubscriberCtor(dashboardItem, element, context, localContext, beforeRender, () => this.releaseAdapter(dashboardItem, localContext && localContext.itemCreatingType === 'secondary')));
        };
    }
    releaseAdapter(dashboardItem, isSecondaryAdapter) {
        if (!dashboardItem || !dashboardItem.componentName())
            return;
        let mapRecord = this.viewerItemAdaptersMap[dashboardItem.componentName()];
        if (mapRecord && isSecondaryAdapter) {
            if (mapRecord.secondary) {
                mapRecord.secondary = null;
                mapRecord.primary && mapRecord.primary.resume();
            }
        }
        else {
            delete this.viewerItemAdaptersMap[dashboardItem.componentName()];
        }
    }
    create(dashboardItem, element, context, localContext, beforeRender = (item) => { }) {
        let itemComponentName = dashboardItem.componentName();
        this.viewerItemAdaptersMap[itemComponentName] = this.viewerItemAdaptersMap[itemComponentName] || {};
        let visualMode = localContext && localContext.visualMode && localContext.visualMode() || 'full';
        let newAdapter = this.createAdapterCore(dashboardItem, element, context, localContext, beforeRender);
        let mapRecord = this.viewerItemAdaptersMap[itemComponentName];
        if (localContext && localContext.itemCreatingType === 'secondary') {
            if (visualMode !== 'full')
                throw new Error('Try to create a secondary dashboard item with non-full visual mode');
            mapRecord.primary && mapRecord.primary.suspend();
            mapRecord.secondary = new ViewerItemAdapterRecordElement(newAdapter, visualMode);
        }
        else {
            if (!mapRecord.primary) {
                mapRecord.primary = new ViewerItemAdapterRecordElement(newAdapter, visualMode);
            }
            else {
                visualMode === 'full' && mapRecord.primary.dispose && mapRecord.primary.dispose();
                mapRecord.primary.setAdapter(newAdapter, visualMode);
            }
        }
        return newAdapter;
    }
    dispose() {
        Object.keys(this.viewerItemAdaptersMap).forEach(componentName => {
            let mapRecord = this.viewerItemAdaptersMap[componentName];
            if (mapRecord) {
                mapRecord.primary && mapRecord.primary.dispose();
                mapRecord.secondary && mapRecord.secondary.dispose();
            }
            delete this.viewerItemAdaptersMap[componentName];
        });
        super.dispose();
    }
}

;// ./dist/common/viewer/title/_title-component.js





class DashboardTitleContext extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(encodeHtml, findExtension, allowExport = true, viewerApi) {
        super();
        this.parametersExtension = external_ko_.pureComputed(() => findExtension('dashboardParameterDialog'));
        this.exportExtension = external_ko_.pureComputed(() => allowExport ? findExtension('dashboardExport') : null);
        this.viewerApi = viewerApi;
        this.addDisposable(this.exportExtension);
        this.addDisposable(this.parametersExtension);
    }
}
class DashboardTitleComponent extends disposable_object/* DisposableObject */.I {
    constructor(params, container, controlContainer) {
        super();
        this.params = params;
        this.container = container;
        this.controlContainer = controlContainer;
        this.toDispose({ dispose: () => this.container = null });
    }
    initialize() {
        let toolbar = new DashboardTitleToolbar(this.container, this.controlContainer, this.container, this.params.encodeHtml, this.params.options().allowHideEmptyToolbar, this.params.className);
        toolbar.update(this.params.options().toolbarOptions, this.params.options().centerAligned);
        this.params.height(toolbar.calcHeight(this.params.options().toolbarOptions));
        this.toDispose(toolbar);
        this.toDispose(this.params.options.subscribe(newOptions => {
            if (newOptions) {
                toolbar.update(newOptions.toolbarOptions, newOptions.centerAligned);
                this.params.height(toolbar.calcHeight(newOptions.toolbarOptions));
            }
        }));
        this.toDispose(this.params.width.subscribe(newValue => toolbar.onResize()));
    }
}
const _registerDashboardTitle = () => {
    const componentName = 'dashboard-title';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function ({ componentArgs }, componentInfo) {
                let element = componentInfo.element;
                let titleComponent = new DashboardTitleComponent(componentArgs, element.querySelector('.dx-dashboard-title'), (0,_jquery_helpers/* closest */.kp)(element, '.dx-dashboard-widget-container'));
                titleComponent.initialize();
                external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
                    titleComponent.dispose();
                });
            }
        },
        template: "<div class='dx-dashboard-title'></div>"
    });
};

;// ./dist/common/viewer/_viewer-interfaces.js

class DashboardItemContext {
    constructor(options = {}) {
        this.addContextToolbarItems = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.viewerItemCreated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.viewerItemDispose = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.beforeApplyViewerItemOptions = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.captionToolbarCreated = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        options.addContextToolbarItems && this.addContextToolbarItems.add(options.addContextToolbarItems);
        options.viewerItemCreated && this.viewerItemCreated.add(options.viewerItemCreated);
        options.viewerItemDispose && this.viewerItemDispose.add(options.viewerItemDispose);
        options.beforeApplyViewerItemOptions && this.beforeApplyViewerItemOptions.add(options.beforeApplyViewerItemOptions);
        this.createCaptionToolbar = options.createCaptionToolbar;
        this.itemFactory = options.itemFactory;
        this.ignoreDesignMode = options.ignoreDesignMode;
        this.disabled = options.disabled;
        this.visualMode = options.visualMode;
        this.boundaryContainer = options.boundaryContainer;
        this.itemCreatingType = options.itemCreatingType;
    }
}

;// ./dist/common/viewer/index.internal.js














// EXTERNAL MODULE: ./dist/model/items/_pane-content-holder.js
var _pane_content_holder = __webpack_require__(563);
// EXTERNAL MODULE: ./dist/model/items/filter-items/filter-element-item-base.js
var filter_element_item_base = __webpack_require__(8090);
// EXTERNAL MODULE: ./dist/model/metadata/_base-metadata.js
var _base_metadata = __webpack_require__(4904);
;// ./dist/common/notification-controller/_aria-live-region.js


class AriaLiveRegion {
    static updateLiveRegionByItem(dashboardItem) {
        let liveRegionContainer = document.getElementById(this._liveRegionElementId);
        if (!liveRegionContainer)
            return;
        let div = liveRegionContainer.querySelector(`#${dashboardItem._elementId}`);
        if (div)
            div.remove();
        div = document.createElement('div');
        div.setAttribute('id', dashboardItem._elementId);
        liveRegionContainer.appendChild(div);
        div.setAttribute('aria-label', (0,external_DevExpress_utils_string_.format)((0,index_internal.getLocalizationById)('DevExpressWebStringId.AriaLabel.DashboardItemUpdated'), `${dashboardItem.componentName()} - ${dashboardItem.name()}`));
    }
    static updateLiveRegion(message, isError) {
        let liveRegionContainer = document.getElementById(this._liveRegionElementId);
        if (!liveRegionContainer)
            return;
        let div = liveRegionContainer.querySelector(this._liveRegionNotifierElementId);
        if (div)
            div.remove();
        div = document.createElement('div');
        div.setAttribute('id', this._liveRegionNotifierElementId);
        liveRegionContainer.appendChild(div);
        div.setAttribute('aria-label', message);
        if (isError)
            div.setAttribute('aria-invalid', 'true');
    }
}
AriaLiveRegion._liveRegionElementId = 'dx-dashbaord-items-live-region-container';
AriaLiveRegion._liveRegionNotifierElementId = 'dx-dashboard-live-notificator';

;// ./dist/common/notification-controller/_notificator-view-model.js

class NotificationControllerViewModel {
    constructor() {
        this._visible = false;
        this.visible = external_ko_.observable(false);
        this.type = external_ko_.observable('');
        this.notifications = external_ko_.observableArray([]);
        this.suspended = external_ko_.observable(false);
        this.displayTime = external_ko_.computed(() => {
            if (this.type() !== 'success') {
                return 60 * 1000;
            }
            return 10 * 1000;
        });
        this.onHidden = () => this.reset();
        this.onInitialized = (args) => {
            this._widget = args.component;
        };
    }
    reset() {
        this.visible(false);
        this._visible = false;
    }
    updateNotification(type, title, detail) {
        var notification = { title: title, detail: detail || null };
        if (this.visible() && this.type() === type) {
            this.notifications.push(notification);
            if (this._widget)
                this._widget.repaint();
        }
        else {
            var isFirstLoading = !this.visible();
            this.visible(false);
            this.notifications.removeAll();
            this.notifications.push(notification);
            this.type(type);
            this._visible = true;
            if (isFirstLoading) {
                setTimeout(() => { this.visible(this._visible); }, 300);
            }
            else {
                this.visible(this._visible);
            }
        }
    }
}

;// ./dist/common/notification-controller/notificator.js



class NotificationController {
    constructor() {
        this._viewModel = new NotificationControllerViewModel();
    }
    static _getErrorTextFromResponse(request) {
        return (request && request.responseJSON && request.responseJSON.Message) || '';
    }
    static _getDetailedErrorMessage(errorInfo) {
        var errorDetail = '';
        if (typeof errorInfo == 'string') {
            errorDetail = errorInfo;
        }
        else if (errorInfo && errorInfo['responseJSON']) {
            errorDetail = NotificationController._getErrorTextFromResponse(errorInfo);
        }
        return (0,_utils/* decodeHtml */.iT)(errorDetail);
    }
    suspended(isSuspended) {
        this._viewModel.suspended(isSuspended);
    }
    showState(message) {
        this._viewModel.updateNotification('info', message);
        AriaLiveRegion.updateLiveRegion(message, false);
    }
    showSuccess(message) {
        this._viewModel.updateNotification('success', message);
        AriaLiveRegion.updateLiveRegion(message, false);
    }
    showError(title, errorInfo) {
        let errorDetail = NotificationController._getDetailedErrorMessage(errorInfo);
        this._viewModel.updateNotification('error', title, errorDetail);
        AriaLiveRegion.updateLiveRegion(title, true);
        console.warn(title + (errorDetail ? ' - ' + errorDetail : ''));
    }
    reset() {
        this._viewModel.reset();
    }
}

;// ./dist/common/dashboard-update-hub/_dashboard-event.js
class DashboardEvent {
    constructor() {
        this.handlers = [];
    }
    add(handler) {
        this.handlers.push(handler);
        return {
            dispose: () => this.remove(handler)
        };
    }
    remove(handler) {
        this.handlers = this.handlers.filter(h => h !== handler);
    }
    fire(args) {
        this.handlers.forEach(h => h(args));
    }
}

// EXTERNAL MODULE: ./dist/model/data-sources/calculated-field.js
var calculated_field = __webpack_require__(8509);
// EXTERNAL MODULE: ./dist/common/dashboard-update-hub/_model-subscriber.js
var _model_subscriber = __webpack_require__(9044);
;// ./dist/common/dashboard-update-hub/_item-change-subscriber.js





class ItemChangeSubscriber extends disposable_object/* DisposableObject */.I {
    constructor(dashboardItem, itemChanged) {
        super();
        this.dashboardItem = dashboardItem;
        let subscriber = new _model_subscriber/* ModelSubscriber */.K(this.dashboardItem);
        subscriber.registerHandler(category => itemChanged(category));
        this.toDispose(subscriber);
        this.toDispose(this.dashboardItem._subcribeDataQueryParams(newValue => itemChanged(_base_metadata/* PropertyCategory */.Sw.ClientState)));
    }
}
class ComponentArraySubscriber extends disposable_object/* DisposableObject */.I {
    constructor(_items, _propertyUniqueName = 'componentName') {
        super();
        this._items = _items;
        this._propertyUniqueName = _propertyUniqueName;
        this._subscribers = [];
        this.toDispose((0,_knockout_utils/* subscribeArrayChange */.w$)(this._items, {
            added: (item) => {
                this._subscribe(item);
                this.itemAdded(item);
            },
            deleted: (item) => {
                this._unsubscribe(item);
                this.itemDeleted(item);
            }
        }));
        this._items().forEach(item => this._subscribe(item));
    }
    itemAdded(item) { }
    itemDeleted(item) { }
    _subscribe(item) {
        this._subscribers[item[this._propertyUniqueName]()] = this.createSubscriber(item);
    }
    _unsubscribe(item) {
        var propertyValue = item[this._propertyUniqueName]();
        !!this._subscribers[propertyValue] && this._subscribers[propertyValue].dispose();
        delete this._subscribers[propertyValue];
    }
    dispose() {
        this._items().forEach(item => this._unsubscribe(item));
        super.dispose();
    }
}
class ItemsChangeSubscriber extends ComponentArraySubscriber {
    constructor(items, _options) {
        super(items);
        this._options = _options;
    }
    itemAdded(item) {
        this._options.itemAdded && this._options.itemAdded(item);
    }
    itemDeleted(item) {
        this._options.itemDeleted && this._options.itemDeleted(item);
    }
    createSubscriber(item) {
        return new ItemChangeSubscriber(item, category => this._options.itemChanged(item, category));
    }
}
class ColorSchemeSubscriber extends ComponentArraySubscriber {
    constructor(entries, _changed) {
        super(entries);
        this._changed = _changed;
    }
    createSubscriber(item) {
        var subscriber = new _model_subscriber/* ModelSubscriber */.K(item);
        subscriber.registerHandler((category, model) => {
            this._changed();
        });
        return subscriber;
    }
    itemAdded(item) {
        this._changed();
    }
    itemDeleted(item) {
        this._changed();
    }
}
class DataSourcesSubscriber extends ComponentArraySubscriber {
    constructor(dataSources, _onDataSourceChanged) {
        super(dataSources);
        this._onDataSourceChanged = _onDataSourceChanged;
    }
    createSubscriber(dataSource) {
        var subscriber = new _model_subscriber/* ModelSubscriber */.K(dataSource);
        subscriber.registerHandler((category, model, propertyName, status) => {
            if (model instanceof calculated_field/* CalculatedField */.F) {
                var calcField = model;
                this._onDataSourceChanged({
                    dataSource: dataSource,
                    model: model,
                    propertyName: propertyName,
                    status: status,
                    queryName: calcField.dataMember(),
                    fieldName: calcField.name()
                });
            }
            else {
                this._onDataSourceChanged({
                    dataSource: dataSource,
                    model: model,
                    propertyName: propertyName,
                    status: status
                });
            }
        });
        return subscriber;
    }
    itemAdded(dataSource) {
        this._onDataSourceChanged({
            dataSource: dataSource,
            status: 'added'
        });
    }
    itemDeleted(dataSource) {
        this._onDataSourceChanged({
            dataSource: dataSource,
            status: 'deleted'
        });
    }
}

;// ./dist/common/dashboard-update-hub/_dashboard-update-hub.js














class DashboardUpdateHub extends disposable_object/* DisposableObject */.I {
    _isUpdating() {
        return !!this._requestQueue.length;
    }
    _dequeueRequest(queueItem) {
        var itemIndex = this._requestQueue.indexOf(queueItem);
        if (itemIndex !== -1) {
            this._requestQueue.splice(itemIndex, 1);
            if ((0,_pane_content_holder/* getCategoryContentName */.X)(queueItem.category) === 'data') {
                this.itemEndUpdate && this.itemEndUpdate(queueItem.item.componentName());
            }
            if (this._requestQueue.filter(item => this.visibleItemsFilter(item)).length === 0) {
                this.dashboardEndUpdate && this.dashboardEndUpdate();
                this._suspendItem = null;
            }
        }
    }
    _enqueueRequest(item, category) {
        var compatibleCategories = item._paneContentHolder.getCompatibleCategories(category);
        if (!this._requestQueue.some(queueItem => queueItem.item === item && compatibleCategories.indexOf(queueItem.category) !== -1)) {
            this._requestQueue.push({ item: item, category: category });
            if (this._requestQueue.filter(item => this.visibleItemsFilter(item)).length === 1) {
                this.dashboardBeginUpdate && this.dashboardBeginUpdate();
            }
            if ((0,_pane_content_holder/* getCategoryContentName */.X)(category) === 'data') {
                this.itemBeginUpdate && this.itemBeginUpdate(item.componentName());
            }
        }
    }
    _getDataRequestPriority(dashboardItem) {
        if (dashboardItem instanceof filter_element_item_base/* FilterElementItemBase */.Z || dashboardItem instanceof range_filter_item/* RangeFilterItem */.P) {
            return 2;
        }
        else if (dashboardItem instanceof data_dashboard_item/* DataDashboardItem */.s && dashboardItem._masterFilterMode() === 'Single') {
            return 1;
        }
        return 0;
    }
    _getRequestLockingMasterFilterItems(dashboardItem) {
        if (dashboardItem instanceof data_dashboard_item/* DataDashboardItem */.s) {
            return dashboardItem._masterFilterItems()
                .filter(masterItem => {
                if (masterItem instanceof range_filter_item/* RangeFilterItem */.P || masterItem._isSingleMasterFilter()) {
                    return true;
                }
                else {
                    return !masterItem._useNeutralFilterMode() && masterItem instanceof filter_element_item_base/* FilterElementItemBase */.Z;
                }
            });
        }
        return [];
    }
    visibleItemsFilter(queueItem) {
        if (this._dataRequestOptions.itemDataLoadingMode === 'OnDemand' && this._visibleItemsProvider && this._visibleItemsProvider.visibleItems().indexOf(queueItem.item) === -1) {
            if (queueItem.item instanceof data_dashboard_item/* DataDashboardItem */.s) {
                return this._visibleItemsProvider.visibleItems().some(visibleItem => {
                    return this._getRequestLockingMasterFilterItems(visibleItem).indexOf(queueItem.item) !== -1;
                });
            }
            else {
                return false;
            }
        }
        return true;
    }
    _resolveItems() {
        this._requestQueue
            .filter(queueItem => !queueItem.item._paneContentHolder.isWaitingForContent(queueItem.category))
            .sort((a, b) => {
            if (this._visibleItemsProvider) {
                var aNumber = this._visibleItemsProvider.visibleItems().indexOf(a.item) !== -1 ? 1 : 0;
                var bNumber = this._visibleItemsProvider.visibleItems().indexOf(b.item) !== -1 ? 1 : 0;
                return bNumber - aNumber;
            }
            else {
                return 0;
            }
        })
            .filter(queueItem => this.visibleItemsFilter(queueItem))
            .filter(queueItem => {
            if (queueItem.item instanceof data_dashboard_item/* DataDashboardItem */.s && queueItem.item.dataItems().length > 0) {
                return this._getRequestLockingMasterFilterItems(queueItem.item)
                    .filter(masterItem => {
                    var circularDependencyIndex = this._getRequestLockingMasterFilterItems(masterItem)
                        .indexOf(queueItem.item);
                    if (circularDependencyIndex > -1) {
                        let itemPriority = this._getDataRequestPriority(queueItem.item);
                        let masterItemPriority = this._getDataRequestPriority(masterItem);
                        if (itemPriority === masterItemPriority) {
                            return this._dashboard.items().indexOf(queueItem.item) > this._dashboard.items().indexOf(masterItem);
                        }
                        else {
                            return itemPriority < masterItemPriority;
                        }
                    }
                    return true;
                })
                    .every(dependence => {
                    return this._requestQueue.filter(queueItem => queueItem.item === dependence).length === 0;
                });
            }
            return true;
        })
            .forEach(queueItem => {
            if (this._dashboard.findItem(queueItem.item.componentName())) {
                var category = queueItem.category;
                queueItem.item._paneContentHolder.beginRequest(category);
                if (queueItem.item._paneContentHolder.needRequestContentFromServer(category)) {
                    this._performServerRequest(queueItem.item, queueItem.category).done(result => {
                        if (queueItem.item.disposed)
                            return;
                        queueItem.item._paneContentHolder.endRequest({ response: result, category: category });
                        if (queueItem.item._paneContentHolder.isValid(category)) {
                            this._dequeueRequest(queueItem);
                        }
                        this._resolveItems();
                        return result;
                    }).fail(result => {
                        var errorTitle = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Errors.AttemptToLoadData');
                        var errorDetail = NotificationController._getDetailedErrorMessage(result);
                        queueItem.item._errorState({ title: errorTitle, detail: errorDetail });
                        queueItem.item._paneContentHolder.endRequest({ response: {}, category: category });
                        this._dequeueRequest(queueItem);
                        this._resolveItems();
                    });
                }
                else {
                    queueItem.item._paneContentHolder.endRequest({ response: {}, category: category });
                    this._dequeueRequest(queueItem);
                }
            }
            else {
                this._dequeueRequest(queueItem);
            }
        });
    }
    _processItemChanged(dashboardItem, changeCategory) {
        if (dashboardItem instanceof dist_model.MapItem && changeCategory === _base_metadata/* PropertyCategory */.Sw.Map && dashboardItem._paneContentHolder.valid()) {
            dashboardItem._isGeometryChangedCallback();
        }
        dashboardItem._paneContentHolder.itemChanged(changeCategory);
        dashboardItem._errorState(null);
        if (dashboardItem instanceof data_dashboard_item/* DataDashboardItem */.s) {
            if (changeCategory === _base_metadata/* PropertyCategory */.Sw.Data || changeCategory === _base_metadata/* PropertyCategory */.Sw.Interactivity) {
                dashboardItem._dataManager(null);
                dashboardItem._clearInteractivityState();
            }
        }
    }
    _itemChanged(dashboardItem, changeCategory) {
        if (changeCategory === _base_metadata/* PropertyCategory */.Sw.ClientState && this._suspendItem === dashboardItem) {
            return;
        }
        this._processItemChanged(dashboardItem, changeCategory);
        this._enqueueRequest(dashboardItem, changeCategory);
        if (dashboardItem instanceof data_dashboard_item/* DataDashboardItem */.s) {
            if ((dashboardItem._isGloballyColored && changeCategory === _base_metadata/* PropertyCategory */.Sw.Data) || changeCategory === _base_metadata/* PropertyCategory */.Sw.Coloring) {
                this._dashboard._dataDashboardItems()
                    .filter(item => item._isGloballyColored)
                    .forEach(item => {
                    this._processItemChanged(dashboardItem, _base_metadata/* PropertyCategory */.Sw.Data);
                    this._enqueueRequest(item, _base_metadata/* PropertyCategory */.Sw.Data);
                });
            }
        }
        this._resolveItemsDeffered();
    }
    _resolveItemsDeffered() {
        clearTimeout(this._timer);
        this._timer = window.setTimeout(() => {
            this._resolveItems();
        }, 10);
    }
    constructor(_dashboard, _dataRequestOptions, _callBacks, _requestVisibleItemsProvider) {
        super();
        this._dashboard = _dashboard;
        this._dataRequestOptions = _dataRequestOptions;
        this._callBacks = _callBacks;
        this._requestVisibleItemsProvider = _requestVisibleItemsProvider;
        this._timer = 0;
        this._requestQueue = [];
        this.initializeItem = (item) => {
            if (item instanceof data_dashboard_item/* DataDashboardItem */.s && item._shouldSuspendOnMasterFilterSet()) {
                item._beforeMasterFilterSetByUserInteraction = () => {
                    if (!this._isUpdating() && !this._suspendItem) {
                        this._suspendItem = item;
                    }
                };
                item._afterMasterFilterSetByUserInteraction = () => {
                    if (!this._isUpdating() && this._suspendItem === item) {
                        this._suspendItem = null;
                    }
                };
                item._drillDownChangedByUserInteraction = () => {
                    if (this._suspendItem === item) {
                        this._suspendItem = null;
                    }
                };
            }
            item._getContentCategories().forEach(category => this._itemChanged(item, category));
        };
        this.dataSourcePropertyChanged = new DashboardEvent();
        this.dashboardItemPropertyChanged = new DashboardEvent();
        var itemSubscription = {
            itemAdded: this.initializeItem,
            itemDeleted: (item) => {
                if (item instanceof data_dashboard_item/* DataDashboardItem */.s) {
                    item._beforeMasterFilterSetByUserInteraction = null;
                }
            },
            itemChanged: (item, category) => {
                if (item instanceof data_dashboard_item/* DataDashboardItem */.s && category !== _base_metadata/* PropertyCategory */.Sw.ViewModel) {
                    item._limitDataState.reset();
                    if (item instanceof dist_model.GridItem)
                        item._processClientFilterStateChanged(null);
                }
                this._itemChanged(item, category);
                this.dashboardItemPropertyChanged.fire({ item, category });
                AriaLiveRegion.updateLiveRegionByItem(item);
            }
        };
        this.toDispose(new ItemsChangeSubscriber(this._dashboard.items, itemSubscription));
        this.toDispose(new ItemsChangeSubscriber(this._dashboard.groups, itemSubscription));
        this.toDispose(new ItemsChangeSubscriber(this._dashboard._tabPages, itemSubscription));
        this.toDispose(new DataSourcesSubscriber(this._dashboard.dataSources, (args) => {
            var affectedItems = this._dashboard._dataDashboardItems().filter(item => item.dataSource() === args.dataSource.componentName());
            if (args.queryName) {
                affectedItems = affectedItems.filter(item => item.dataMember() == args.queryName);
            }
            if (args.fieldName) {
                affectedItems = affectedItems.filter(item => !!item.dataItems().filter(dataItem => dataItem.dataMember() == args.fieldName)[0]);
            }
            affectedItems.forEach(item => this._itemChanged(item, _base_metadata/* PropertyCategory */.Sw.Data));
            this.dataSourcePropertyChanged.fire(args);
        }));
        this.toDispose(this._dashboard.currencyCultureName.subscribe(_ => {
            this.reloadAllItems(_base_metadata/* PropertyCategory */.Sw.Data);
        }));
        this.toDispose(this._dashboard._queryParameters.subscribe(_ => {
            this.reloadAllItems(_base_metadata/* PropertyCategory */.Sw.ClientState);
        }));
        this.toDispose(new ColorSchemeSubscriber(_dashboard.colorScheme, () => {
            this.reloadGlobalColoredItems(_base_metadata/* PropertyCategory */.Sw.Data);
        }));
        if (this._dataRequestOptions.itemDataRequestMode === 'BatchRequests') {
            var itemsToRequest = {};
            var performBatchRequest = (0,_utils/* debounce */.sg)(() => {
                let itemsToRequestCopy = { ...itemsToRequest };
                itemsToRequest = {};
                this._callBacks.getBatchItemData(Object.keys(itemsToRequestCopy).map(itemName => itemsToRequestCopy[itemName].itemModel))
                    .done(result => {
                    Object.keys(result).forEach(itemName => itemsToRequestCopy[itemName].deferred.resolve(result[itemName]));
                })
                    .fail(result => {
                    Object.keys(itemsToRequestCopy).forEach(itemName => itemsToRequestCopy[itemName].deferred.reject(result));
                });
            }, 1);
            this._getItemData = (item) => {
                var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                itemsToRequest[item.componentName()] = {
                    itemModel: item,
                    deferred: def
                };
                performBatchRequest();
                return def.promise();
            };
        }
        else {
            this._getItemData = (item) => this._callBacks.getItemData(item);
        }
    }
    _performServerRequest(item, category) {
        var contentName = (0,_pane_content_holder/* getCategoryContentName */.X)(category);
        switch (contentName) {
            case 'data':
                return this._getItemData(item);
            case 'map':
                return this._callBacks.getMapShapeFile(item);
            default:
                throw new Error();
        }
    }
    refreshItems(itemsNames) {
        this._dashboard._dataDashboardItems()
            .filter(item => itemsNames.indexOf(item.componentName()) !== -1)
            .forEach(item => { this._itemChanged(item, _base_metadata/* PropertyCategory */.Sw.ClientState); });
    }
    reloadAllItems(caterory) {
        this._callBacks.clearDimensionValuesCache && this._callBacks.clearDimensionValuesCache();
        this._dashboard._dataDashboardItems().forEach(item => { this._itemChanged(item, caterory); });
    }
    reloadGlobalColoredItems(caterory) {
        this._dashboard._dataDashboardItems().filter(item => item.coloringOptions && item.coloringOptions.useGlobalColors()).forEach(item => { this._itemChanged(item, caterory); });
    }
    initialize() {
        if (this._requestVisibleItemsProvider) {
            this._visibleItemsProvider = this._requestVisibleItemsProvider();
        }
        if (this._visibleItemsProvider) {
            this.toDispose(this._visibleItemsProvider.visibleItems.subscribe(_ => this._resolveItemsDeffered()));
        }
        this._dashboard.items().forEach(this.initializeItem);
        this._dashboard.groups().forEach(this.initializeItem);
        this._dashboard._tabPages().forEach(this.initializeItem);
    }
    dispose() {
        clearTimeout(this._timer);
        this._timer = null;
        this._requestQueue.splice(0, this._requestQueue.length);
        super.dispose();
    }
}

;// ./dist/common/docking-layout/drag-and-drop/_layout-drag-over-state.js

class DragOverStateController {
    constructor() {
    }
    update(targetItem, currentHoverLocation) {
        if (!this._inTimer && (this._dragOverItem !== targetItem || currentHoverLocation !== this._hoverLocation)) {
            this.reset();
            this._hoverLocation = currentHoverLocation;
            this._dragOverItem = targetItem;
            (0,_layout_item/* setHoverLocation */.gX)(this._dragOverItem, this._hoverLocation);
            this._currentTargetItem = this._dragOverItem;
            this._currentTargetItemBehavior = 'InsertBesideGroup';
            var selectionList = this._dragOverItem.getSelectionParentsList(this._hoverLocation);
            if (selectionList.length > 1) {
                var currentIndex = 1;
                this._timer && clearInterval(this._timer);
                this._timer = window.setInterval(() => {
                    this._inTimer = true;
                    try {
                        (0,_layout_item/* setHoverLocation */.gX)(this._currentTargetItem, null, this._currentTargetItemBehavior);
                        this._currentTargetItem = selectionList[currentIndex].node;
                        this._currentTargetItemBehavior = selectionList[currentIndex].dropBehavior;
                        (0,_layout_item/* setHoverLocation */.gX)(this._currentTargetItem, this._hoverLocation, this._currentTargetItemBehavior);
                        currentIndex++;
                        if (currentIndex >= selectionList.length) {
                            currentIndex = 0;
                        }
                    }
                    finally {
                        this._inTimer = false;
                    }
                }, 1000);
            }
        }
    }
    getState() {
        if (this._currentTargetItem) {
            return {
                targetItem: this._currentTargetItem,
                targetItemBehavior: this._currentTargetItemBehavior,
                hoverLocation: this._hoverLocation
            };
        }
        return null;
    }
    reset() {
        this._timer && clearInterval(this._timer);
        (0,_layout_item/* setHoverLocation */.gX)(this._dragOverItem);
        (0,_layout_item/* setHoverLocation */.gX)(this._currentTargetItem);
        this._currentTargetItem = null;
        this._currentTargetItemBehavior = 'InsertBesideGroup';
        this._dragOverItem = null;
        this._timer = null;
        this._inTimer = null;
    }
}

;// ./dist/common/docking-layout/drag-and-drop/_drag-item-info.js
class DashboardDragItemInfo {
}

;// ./dist/common/docking-layout/drag-and-drop/_layout-item-drag-item.js

class LayoutItemDragItemInfo extends DashboardDragItemInfo {
    constructor(_currentLayoutItem) {
        super();
        this._currentLayoutItem = _currentLayoutItem;
    }
    canDrop(layoutItem) {
        return this._currentLayoutItem !== layoutItem && layoutItem.canAttach(this._currentLayoutItem.viewModel);
    }
    drop(dragOverState) {
        this._currentLayoutItem.moveTo(dragOverState.targetItem, dragOverState.hoverLocation, dragOverState.targetItemBehavior);
    }
    dragStart() {
        this._currentLayoutItem.visible(false);
    }
    dragEnd() {
        this._currentLayoutItem.visible(true);
    }
}

;// ./dist/common/docking-layout/drag-and-drop/_scroll-animator.js
class ScrollAnimator {
    constructor(_scrollViewProvider) {
        this._scrollViewProvider = _scrollViewProvider;
    }
    _requestAnimationFrame() {
        this._nextAnimationFrame = window.requestAnimationFrame(() => this._animationStep());
    }
    _animationStep() {
        if (this._cursorPosition && this._scrollViewBoundary && this._scrollViewProvider) {
            processScrollStep(this._cursorPosition.x, this._cursorPosition.y, this._scrollViewProvider, this._scrollViewBoundary);
        }
        this._requestAnimationFrame();
    }
    start() {
        this._scrollViewBoundary = this._scrollViewProvider.getBoundingClientRect();
        this._requestAnimationFrame();
    }
    updateCursorPosition(cursorX, cursorY) {
        if (cursorX > 0 && cursorY > 0) {
            this._cursorPosition = { x: cursorX, y: cursorY };
        }
        else {
            this.resetCursorPosition();
        }
    }
    resetCursorPosition() {
        this._cursorPosition = null;
    }
    stop() {
        window.cancelAnimationFrame(this._nextAnimationFrame);
        this._scrollViewBoundary = null;
        this.resetCursorPosition();
    }
    dispose() {
        this.stop();
        this._scrollViewProvider = undefined;
    }
}
ScrollAnimator.scrollSpeed = 30;
ScrollAnimator.scrollSensitivity = 60;
const processScrollStep = (cursorX, cursorY, scrollViewInstance, scrollViewBoundaries) => {
    let distanceToTop = cursorY - scrollViewBoundaries.top;
    let distanceToBottom = scrollViewBoundaries.bottom - cursorY;
    let distanceToLeft = cursorX - scrollViewBoundaries.left;
    let distanceToRight = scrollViewBoundaries.right - cursorX;
    if (distanceToTop >= 0 && distanceToBottom >= 0 && distanceToLeft >= 0 && distanceToRight >= 0) {
        let scrollSpeed = {
            ...calculateScrollSpeed(distanceToTop, 'top', -1),
            ...calculateScrollSpeed(distanceToBottom, 'top', 1),
            ...calculateScrollSpeed(distanceToLeft, 'left', -1),
            ...calculateScrollSpeed(distanceToRight, 'left', 1)
        };
        if (scrollSpeed.left || scrollSpeed.top) {
            let currentOffset = scrollViewInstance.getScrollOffset();
            scrollViewInstance.setScrollOffset({
                top: currentOffset.top + (scrollSpeed.top || 0),
                left: currentOffset.left + (scrollSpeed.left || 0)
            });
        }
    }
};
const calculateScrollSpeed = (distanceToBorder, mainAxisDirection, scrollAxisDirection) => {
    if (distanceToBorder <= ScrollAnimator.scrollSensitivity) {
        const sensitivity = ScrollAnimator.scrollSensitivity;
        const maxSpeed = ScrollAnimator.scrollSpeed;
        return {
            [mainAxisDirection]: scrollAxisDirection * Math.ceil(Math.pow((sensitivity - distanceToBorder) / sensitivity, 2) * maxSpeed),
        };
    }
    return null;
};

;// ./dist/common/docking-layout/drag-and-drop/_drag-controller.js






class LayoutDragController {
    constructor() {
        this._dragOverState = new DragOverStateController();
        this._layoutMainElement = null;
        this._externalElements = [];
        this._firstOverEvent = false;
    }
    initScrollAnimator(scrollViewProvider) {
        this._scrollAnimator = new ScrollAnimator(scrollViewProvider);
    }
    cleanScrollAnimator() {
        this._scrollAnimator && this._scrollAnimator.dispose();
        this._scrollAnimator = null;
    }
    initLayoutMainElement(element) {
        if (this._layoutMainElement) {
            throw new Error('Layout main element already initialized');
        }
        this._layoutMainElement = element;
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragstart.dx-layout-drag', '.dx-layout-item-plate', args => {
            let originalEvent = args.originalEvent;
            let item = external_ko_.dataFor(originalEvent.target);
            if (item instanceof _layout_item/* LayoutItem */.Up) {
                this._onDragStart(args, new LayoutItemDragItemInfo(item));
                return true;
            }
        });
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragover.dx-layout-drag', args => {
            let originalEvent = args.originalEvent;
            let item = external_ko_.dataFor(originalEvent.target);
            this._onDragOver(args, item);
        });
        (0,external_DevExpress_events_namespaceObject.on)(element, 'drag.dx-layout-drag', args => this._onDrag(args));
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragleave.dx-layout-drag', args => this._onDragLeave());
        (0,external_DevExpress_events_namespaceObject.on)(element, 'drop.dx-layout-drag', args => this._onDrop(args));
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragend.dx-layout-drag', args => this._onDragEnd());
    }
    cleanLayoutMainElement(element) {
        if (this._layoutMainElement === element) {
            (0,external_DevExpress_events_namespaceObject.off)(element, '.dx-layout-drag');
            this._layoutMainElement = null;
        }
    }
    initExternalElement(element, dragItemInfo) {
        this._externalElements.push(element);
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragstart.dx-layout-drag', args => {
            this._onDragStart(args, dragItemInfo);
        });
        (0,external_DevExpress_events_namespaceObject.on)(element, 'drag.dx-layout-drag', args => this._onDrag(args));
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragend.dx-layout-drag', args => this._onDragEnd());
    }
    cleanExternalElement(element) {
        this._externalElements && this._externalElements.splice(this._externalElements.indexOf(element), 1);
        (0,external_DevExpress_events_namespaceObject.off)(element, '.dx-layout-drag');
    }
    dispose() {
        this.cleanScrollAnimator();
        this.cleanLayoutMainElement(this._layoutMainElement);
        this._externalElements && this._externalElements.slice().forEach(element => this.cleanExternalElement(element));
        this._externalElements = null;
    }
    _onDragStart(eventArgs, dragData) {
        let originalEvent = eventArgs.originalEvent;
        originalEvent.dataTransfer.effectAllowed = 'move';
        this._dragData = dragData;
        this._firstOverEvent = true;
        this._dragOverState.reset();
        this._scrollAnimator && this._scrollAnimator.start();
    }
    _onDragOver(eventArgs, targetLayoutItem) {
        let originalEvent = eventArgs.originalEvent;
        let cursorClientX = originalEvent.clientX;
        let cursorClientY = originalEvent.clientY;
        let targetElement = eventArgs.target;
        if (this._firstOverEvent) {
            this._dragData.dragStart();
            this._firstOverEvent = false;
        }
        if (targetLayoutItem instanceof _layout_item/* LayoutItem */.Up && this._dragData && this._dragData.canDrop(targetLayoutItem)) {
            let dragOverController = targetLayoutItem.viewModel.dragOverInnerElementController;
            if (dragOverController) {
                let index = findElementIndex(targetElement, dragOverController.selector, cursorClientX, cursorClientY);
                if (index !== -1) {
                    dragOverController.onDragOver(index);
                }
            }
            let itemBounds = targetElement.getBoundingClientRect();
            let currentHoverLocation = getLocation(cursorClientX - itemBounds.left, cursorClientY - itemBounds.top, itemBounds.width, itemBounds.height);
            this._dragOverState.update(targetLayoutItem, currentHoverLocation);
            eventArgs.preventDefault();
            return true;
        }
        else {
            this._dragOverState.reset();
        }
    }
    _onDragLeave() {
        this._dragOverState.reset();
    }
    _onDrop(eventArgs) {
        let dragOverState = this._dragOverState.getState();
        if (dragOverState) {
            this._dragData.drop(dragOverState);
            eventArgs.stopPropagation();
        }
        this._onDragEnd();
    }
    _onDrag(eventArgs) {
        if (this._scrollAnimator) {
            let originalEvent = eventArgs.originalEvent;
            this._scrollAnimator.updateCursorPosition(originalEvent.clientX, originalEvent.clientY);
        }
    }
    _onDragEnd() {
        this._scrollAnimator && this._scrollAnimator.stop();
        this._dragOverState.reset();
        this._dragData && this._dragData.dragEnd();
        this._dragData = null;
    }
}
const getLocation = (x, y, width, height) => {
    if (y >= height / width * x) {
        return (y >= -height / width * x + height) ? 'bottom' : 'left';
    }
    else {
        return (y >= -height / width * x + height) ? 'right' : 'top';
    }
};
const findElementIndex = (originalElement, selector, mouseClientX, mouseClientY) => {
    let elements = originalElement
        .parentElement
        .querySelectorAll(selector);
    for (let index = 0; index < elements.length; index++) {
        let element = elements[index];
        let rect = element.getBoundingClientRect();
        if (rect.left < mouseClientX && rect.right > mouseClientX
            && rect.top < mouseClientY && rect.bottom > mouseClientY) {
            return index;
        }
    }
    return -1;
};

// EXTERNAL MODULE: ./dist/model/items/filter-items/combo-box-item.js
var combo_box_item = __webpack_require__(1985);
// EXTERNAL MODULE: ./dist/model/items/group/group-item.js
var group_item = __webpack_require__(818);
// EXTERNAL MODULE: ./dist/model/items/tab-container-item/dashboard-tab-page.js
var dashboard_tab_page = __webpack_require__(517);
// EXTERNAL MODULE: ./dist/model/items/tab-container-item/tab-container-item.js
var tab_container_item = __webpack_require__(3536);
;// ./dist/common/docking-layout/_docking-layout-fullscreen-item.js





class FullscreenItemModel extends external_DevExpress_Analytics_Utils_.Disposable {
    get maximizedItemName() {
        if (this._visible() && this.dashboardItem()) {
            return this.dashboardItem().componentName();
        }
        else {
            return '';
        }
    }
    constructor(dashboardContext, localContext, repaintRequest = (0,_jquery_helpers/* createJQueryCallbacks */.NG)()) {
        super();
        this.dashboardContext = dashboardContext;
        this.localContext = localContext;
        this.repaintRequest = repaintRequest;
        this._dashboardItem = external_ko_.observable(null);
        this._visible = external_ko_.observable(false);
        this.addDisposable(this.dashboardItem = external_ko_.computed(() => this._dashboardItem()));
        this.addDisposable(this.visible = external_ko_.computed(() => this._visible()));
        this.addDisposable(this.viewModel = external_ko_.computed(() => {
            return {
                dashboardItem: this.dashboardItem(),
                dashboardContext: this.dashboardContext,
                localContext: this.localContext,
                repaintRequest: this.repaintRequest,
                getSizeController: (element) => new SingleItemSizeController(element.closest('.dx-dashboard-fullscreen-item-base'), this.repaintRequest, _layout_item/* SplitterSize */.ZZ)
            };
        }));
    }
    dispose() {
        super.dispose();
        this.removeProperties();
    }
    maximizeItem(dashboardItem) {
        this._dashboardItem(dashboardItem);
        this._visible(true);
    }
    restoreDownItem() {
        this._visible(false);
    }
}

;// ./dist/common/docking-layout/_docking-layout-controller.js



















class DockingLayoutController extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(dashboardModel, dataSourceBrowser, context, findExtension, allowMaximizeItems, resizeByTimer, repaintRequest, encodeHtml = true, viewerApi) {
        super();
        this.dashboardModel = dashboardModel;
        this.dataSourceBrowser = dataSourceBrowser;
        this.context = context;
        this.findExtension = findExtension;
        this.allowMaximizeItems = allowMaximizeItems;
        this.resizeByTimer = resizeByTimer;
        this.repaintRequest = repaintRequest;
        this.encodeHtml = encodeHtml;
        this.selectedLayoutItem = external_ko_.pureComputed(() => this._selectedLayoutItem().sizeController);
        this.dragController = new LayoutDragController();
        this._scrollSubscriptions = [];
        this.scrollViewEvents = {
            onInitialized: (e) => {
                this.dragController.initScrollAnimator({
                    getBoundingClientRect: () => (0,_jquery_helpers/* $unwrap */.I1)(e.component.element()).getBoundingClientRect(),
                    getScrollOffset: () => e.component.scrollOffset(),
                    setScrollOffset: (offset) => e.component.scrollTo(offset)
                });
                e.component?.option('useKeyboard', false);
            },
            onScroll: () => {
                this._scrollSubscriptions.forEach(action => action());
            },
            onDisposing: (e) => {
                this.dragController.cleanScrollAnimator();
            }
        };
        this.layoutMainElementEvents = {
            onInitialize: (args) => {
                this.dragController.initLayoutMainElement(args.element);
            },
            onDisposing: (args) => {
                this.dragController.cleanLayoutMainElement(args.element);
            }
        };
        this.itemInteractionInProgress = external_ko_.observable(false);
        this._selectedLayoutItem = external_ko_.observable();
        this.emptyItemTemplates = external_ko_.observableArray();
        this.emptyItemTemplatesService = (layoutItem) => {
            return {
                data: this.emptyItemTemplates,
                name: 'dx-dashboard-empty-item-templates'
            };
        };
        this.addDashboardItem = (data) => {
            var { item } = _layout_item/* LayoutItem */.Up.findLargestItem(this.rootItem);
            if (!item) {
                item = this.rootItem;
            }
            var itemJson = (0,_dashboard_item_helper/* getItemJson */.Mi)(data.type);
            var location = item._parent() && item._parent().viewModel && item._parent().viewModel.orientation() === 'Horizontal' ? 'bottom' : 'right';
            item.create(itemJson, location);
        };
        this.width = external_ko_.observable(0);
        this.height = external_ko_.observable(0);
        this.headerHeight = external_ko_.observable(_dashboard_title_view_constants_titleHeight);
        this.visibleItemsProvider = undefined;
        this.addDisposable(this.selectedDashboardItem = external_ko_.computed(() => {
            return this._selectedLayoutItem() && this._selectedLayoutItem().viewModel.item() || null;
        }));
        this.addDisposable(this.rootItem = new _layout_item/* LayoutItem */.Up(dashboardModel.layout()._createViewModel(), null));
        var fullScreenItemLocalContext = new DashboardItemContext({
            ignoreDesignMode: true,
            beforeApplyViewerItemOptions: (item, options) => {
                options.ParentContainer = undefined;
            },
            addContextToolbarItems: (options) => {
                options.actionItems.push({
                    hint: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ActionRestoreDashboardItem'),
                    name: dashboardToolbarItemNames.restoreItem,
                    icon: 'dx-dashboard-restore-item',
                    type: 'button',
                    click: () => {
                        this.fullscreenItemModel.restoreDownItem();
                    }
                });
            },
            itemCreatingType: 'secondary'
        });
        var exportExtension = this.findExtension('dashboardExport');
        if (exportExtension) {
            exportExtension._initializeSecondaryExportItem(fullScreenItemLocalContext);
        }
        this.addDisposable(this.fullscreenItemModel = new FullscreenItemModel(context, fullScreenItemLocalContext));
        var getVisibleItems = (layoutItemViewModel) => {
            var res = [];
            if (layoutItemViewModel.item())
                res.push(layoutItemViewModel.item());
            if (layoutItemViewModel.item() instanceof tab_container_item/* TabContainerItem */.i) {
                res.push(...layoutItemViewModel.childItems().map(ci => ci._createViewModel().item()));
            }
            layoutItemViewModel.visibleItems().forEach(childItem => {
                res.push(...getVisibleItems(childItem._createViewModel()));
            });
            return res;
        };
        this.visibleItemsProvider = {
            visibleItems: external_ko_.pureComputed(() => {
                return getVisibleItems(this.rootItem.viewModel);
            })
        };
        this.rootItem.onEvent = (layoutItem, event) => {
            if (event === 'click') {
                this.select(layoutItem);
            }
            else if (event === 'unselect') {
                this.select(null);
            }
            else if (event === 'resize-started') {
                setTimeout(() => this.itemInteractionInProgress(true), 1);
            }
            else if (event === 'resize-completed') {
                setTimeout(() => this.itemInteractionInProgress(false), 1);
            }
            else if (event === 'get-context') {
                return context;
            }
            else if (event === 'get-local-context') {
                var itemModel = layoutItem.viewModel.item;
                var localContext = new DashboardItemContext({
                    disabled: external_ko_.computed(() => itemModel() && this.fullscreenItemModel.maximizedItemName === itemModel().componentName()),
                    addContextToolbarItems: (options, item) => {
                        if (this.allowMaximizeItems
                            && !(item instanceof combo_box_item/* ComboBoxItem */.x)
                            && !(item instanceof date_filter_item/* DateFilterItem */.Y)
                            && !(item instanceof group_item/* GroupItem */.N)
                            && !(item instanceof tab_container_item/* TabContainerItem */.i)
                            && !(item instanceof dashboard_tab_page/* DashboardTabPage */.b)) {
                            options.actionItems.push({
                                hint: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ActionMaximizeDashboardItem'),
                                icon: 'dx-dashboard-maximize-item',
                                name: dashboardToolbarItemNames.maximizeItem,
                                type: 'button',
                                click: () => {
                                    this.select(null);
                                    this.fullscreenItemModel.maximizeItem(item);
                                }
                            });
                        }
                    },
                    visualMode: external_ko_.computed(() => {
                        if (itemModel()) {
                            if (itemModel() instanceof tab_container_item/* TabContainerItem */.i) {
                                return 'caption';
                            }
                            let parent = dashboardModel.findItem(itemModel().parentContainer());
                            if (parent instanceof dashboard_tab_page/* DashboardTabPage */.b
                                && dashboardModel._getDisplayDashboardItem(parent) !== parent) {
                                return 'content';
                            }
                        }
                        return 'full';
                    }),
                    itemCreatingType: 'primary'
                });
                var exportExtension = this.findExtension('dashboardExport');
                if (exportExtension) {
                    exportExtension._initializePrimaryExportItem(localContext);
                }
                return localContext;
            }
            else if (event === 'get-context-menu-service') {
                return this.contextMenu;
            }
            else if (event === 'get-empty-item-templates-service') {
                return this.emptyItemTemplatesService;
            }
            else if (event === 'get-layout-item-placeholder-service') {
                return this.layoutItemPlaceholderService;
            }
        };
        (0,external_DevExpress_events_namespaceObject.on)(document, 'pointerdown.dxlayout', (e) => {
            if (!this._selectedLayoutItem()) {
                return;
            }
            let target = (0,_jquery_helpers/* $unwrap */.I1)(e.target), validParents = ['.dx-layout-root',
                '.dx-accordion-item',
                '.dx-treeview-node',
                '.dx-dashboard-context-menu-panel',
                'dx-field-chooser',
                '.dx-dashboard-toolbar',
                '.dx-overlay-content',
                '.dx-overlay-shader',
                '.ace_editor',
                '.dx-scrollable-scrollbar'
            ];
            var found = false;
            if (_utils/* type */.NW.isDefined(target.classList) && target.classList.contains('dx-calendar-cell')) {
                found = true;
            }
            else if (!target.parentNode) {
                found = true;
            }
            else {
                found = found || validParents.some((validParent) => !!(0,_jquery_helpers/* closest */.kp)(target, validParent));
            }
            if (found)
                return;
            if (target.tagName && target.tagName.toLowerCase() === 'body')
                return;
            if (document.activeElement && document.activeElement.blur) {
                document.activeElement.blur();
            }
            this.select(null);
        });
        this.addDisposable(this.titleContext = new DashboardTitleContext(this.encodeHtml, this.findExtension, true, viewerApi));
        this.addDisposable(external_ko_.computed(() => {
            if (this.width() > 0) {
                this.rootItem.width(this.width());
            }
            if (this.height() > 0) {
                this.rootItem.height(this.height() - this.headerHeight());
            }
        }));
    }
    get fullscreenItemProvider() {
        return this.fullscreenItemModel;
    }
    select(item) {
        var oldSelectedItem = this._selectedLayoutItem.peek();
        if (oldSelectedItem) {
            oldSelectedItem.isSelected(false);
        }
        this._selectedLayoutItem(item);
        if (!!item) {
            item.isSelected(true);
        }
    }
    subscribeOnScroll(handler) {
        this._scrollSubscriptions.push(handler);
    }
    unsubscribeOnScroll(handler) {
        this._scrollSubscriptions.splice(this._scrollSubscriptions.indexOf(handler), 1);
    }
    dispose() {
        this.dataSourceBrowser = null;
        this.dragController.dispose();
        this._scrollSubscriptions = [];
        (0,external_DevExpress_events_namespaceObject.off)(document, '.dxlayout');
        super.dispose();
    }
}

;// ./dist/common/docking-layout/_docking-layout-adapter.js





class DockingLayoutAdapter extends disposable_object/* DisposableObject */.I {
    constructor(_dashboardControl) {
        super();
        this._dashboardControl = _dashboardControl;
        this._dockingLayoutController = external_ko_.observable();
        this._templateName = 'dx-dashboard-resizable-layout';
        this.toDispose(this._dashboardControl.isDesignMode.subscribe(isDesignMode => {
            if (this._dockingLayoutController() && this._dockingLayoutController().rootItem) {
                this._dockingLayoutController().rootItem.isDesignMode(isDesignMode);
                this._dockingLayoutController().select(null);
            }
        }));
        this.toDispose(this._dashboardControl.dashboardContainer.subscribe(dashboardContainer => {
            if (dashboardContainer && dashboardContainer.dashboard) {
                this._dockingLayoutController(new DockingLayoutController(dashboardContainer.dashboard, this._dashboardControl._dataSourceBrowser, this._dashboardControl._dashboardContext, (name) => this._dashboardControl.findExtension(name), this._dashboardControl.option('allowMaximizeItems'), this._dashboardControl.resizeByTimer, this._dashboardControl._repaintRequest, this._dashboardControl.encodeHtml, this._dashboardControl._viewerApi));
                this._dockingLayoutController().rootItem.isDesignMode(this._dashboardControl.isDesignMode());
            }
            else {
                if (this._dockingLayoutController()) {
                    this._dockingLayoutController().dispose();
                }
                this._dockingLayoutController(null);
            }
        }));
    }
    start() {
        this._dashboardControl._layoutInfoProviderCollection.push({
            name: this._templateName,
            condition: () => true,
            getViewModel: () => this._getKoViewModel(),
            getLayoutController: () => this._dockingLayoutController,
        });
        this._dashboardControl._updateLayout();
    }
    stop() {
        this._dashboardControl._layoutInfoProviderCollection = this._dashboardControl._layoutInfoProviderCollection
            .filter(layoutInfo => layoutInfo.name !== this._templateName);
        this._dashboardControl._updateLayout();
        if (this._dockingLayoutController()) {
            this._dockingLayoutController().dispose();
        }
    }
    processKeyEvent(eventName, e) {
        if (e.keyCode === KeyCodes.Delete && this._dockingLayoutController() && this._dockingLayoutController()._selectedLayoutItem() && !this._dockingLayoutController().itemInteractionInProgress()) {
            this._dockingLayoutController()._selectedLayoutItem().delete();
            return true;
        }
    }
    dispose() {
        super.dispose();
        this._disposeViewModel();
        this.stop();
    }
    _disposeViewModel() {
        const viewModel = external_ko_.unwrap(this._koViewModel);
        viewModel?.dispose();
    }
    _getKoViewModel() {
        this._disposeViewModel();
        this._koViewModel = external_ko_.observable(new DockingLayoutViewModel(this._dockingLayoutController()));
        this.toDispose(this._dockingLayoutController.subscribe(_ => this._disposeViewModel(), null, 'beforeChange'));
        this.toDispose(this._dockingLayoutController.subscribe(controller => {
            this._koViewModel(new DockingLayoutViewModel(controller));
        }));
        return this._koViewModel;
    }
}
class DockingLayoutViewModel extends disposable_object/* DisposableObject */.I {
    constructor(_layoutController) {
        super();
        this._layoutController = _layoutController;
        this.componentArgs = this._initComponentArgs();
        this.cssClasses = this._initSubscriptions();
    }
    _initComponentArgs() {
        if (!this._layoutController)
            return {};
        return {
            dashboard: this._layoutController.dashboardModel,
            dataSourceBrowser: this._layoutController.dataSourceBrowser,
            encodeHtml: this._layoutController.encodeHtml,
            titleContext: this._layoutController.titleContext,
            resizeByTimer: this._layoutController.resizeByTimer,
            layout: this._layoutController.rootItem,
            headerHeight: this._layoutController.headerHeight,
            layoutMainElementEvents: this._layoutController.layoutMainElementEvents,
            repaintRequest: this._layoutController.repaintRequest,
            fullscreenItemModel: this._layoutController.fullscreenItemModel,
            scrollViewEvents: this._layoutController.scrollViewEvents
        };
    }
    _initSubscriptions() {
        if (!this._layoutController)
            return;
        const subscription = (0,_knockout_utils/* safeComputed */.Tq)({ itemInteractionInProgress: this._layoutController.itemInteractionInProgress }, args => {
            const classes = ['dx-dashboard-viewer', 'dx-dashboard-container'];
            if (args.itemInteractionInProgress)
                classes.push('dx-dashboard-in-work');
            return classes.join(' ');
        });
        this.toDispose(subscription);
        return subscription;
    }
    dispose() {
        super.dispose();
        this._layoutController = null;
        this.componentArgs = null;
    }
}

;// ./dist/common/extensions/data-inspector-extension/_inspected-data-colum-generator.js
function getSortedAxes(itemData, skipSparklineAxis = false) {
    return itemData.getAxisNames()
        .filter(axisName => {
        let axis = itemData.getAxis(axisName);
        return axis.getRootPoint().getChildren().length > 0 && axis.getDimensions().length > 0 && (!skipSparklineAxis || axisName !== 'Sparkline');
    })
        .sort((axisName1, axisName2) => {
        return axisName1 == 'Argument' || axisName1 == 'Row' || axisName1 == 'Default' ? -1 : 1;
    });
}
function getMeasureColumns(itemData) {
    return itemData.getMeasures().filter(measure => !!measure.dataMember);
}
function getSortedColumns(itemData) {
    return getSortedAxes(itemData)
        .reduce((acc, axis) => acc.concat(itemData.getDimensions(axis).map(d => d.dataMember)), [])
        .concat(getMeasureColumns(itemData).map(d => d.dataMember));
}

;// ./dist/common/extensions/data-inspector-extension/_aggregated-data-source.js





function _createDimensionColumnInfo(dimension, axisName) {
    return {
        getValue: (row) => {
            let point = row.getAxisPoint(axisName);
            if (point) {
                var dimensionValue = point.getDimensionValue(dimension.id);
                if (dimensionValue) {
                    return {
                        displayValue: dimensionValue.getDisplayText(),
                        value: dimensionValue.getUniqueValue()
                    };
                }
            }
            return null;
        },
        getGridColumn: () => {
            return {
                dataField: dimension.id,
                caption: dimension.name || dimension.dataMember || dimension.id,
                calculateCellValue: (row) => row[dimension.id] && row[dimension.id].value
            };
        }
    };
}
function _createMeasureColumnInfo(itemData, measure, isSparklineMeasure) {
    const sparklineColumnId = '_Sparkline';
    var getSparklineCellText = (defaultAxisPoint) => {
        let argumentValueSeparator = (0,_default/* getLocalizationById */.Mu)('DashboardStringId.SparklineArgumentValueSeparator');
        let valuesSeparator = (0,_default/* getLocalizationById */.Mu)('DashboardStringId.SparklineValuesSeparator');
        return itemData
            .getAxis('Sparkline')
            .getPoints()
            .map(sparklinePoint => {
            let measureValue = itemData.getSlice(sparklinePoint).getSlice(defaultAxisPoint).getMeasureValue(measure.id);
            if (measureValue) {
                return sparklinePoint.getDisplayText() + argumentValueSeparator + measureValue.getDisplayText();
            }
            return '';
        })
            .join(valuesSeparator);
    };
    return {
        getValue: (row) => {
            if (isSparklineMeasure && itemData.getAxisNames().indexOf('Sparkline') !== -1) {
                let cellText = getSparklineCellText(row.getAxisPoint());
                return { displayValue: cellText, value: cellText };
            }
            return {
                displayValue: itemData.getSlice(row).getMeasureValue(measure.id).getDisplayText(),
                value: itemData.getSlice(row).getMeasureValue(measure.id).getValue()
            };
        },
        getGridColumn: () => {
            let dataField = !isSparklineMeasure ? measure.id : measure.id + sparklineColumnId;
            let caption = measure.name || measure.dataMember || measure.id;
            switch (measure.id) {
                case dateFilterElement.MinMeasureId:
                    caption += ' ' + (0,_default/* getLocalizationById */.Mu)('DashboardStringId.StartDate');
                    break;
                case dateFilterElement.MaxMeasureId:
                    caption += ' ' + (0,_default/* getLocalizationById */.Mu)('DashboardStringId.EndDate');
                    break;
            }
            return {
                dataField: dataField,
                caption: caption,
                calculateCellValue: (row) => row[dataField] && row[dataField].value
            };
        }
    };
}
function _createColumns(itemData, axes, args) {
    return axes
        .reduce((acc, axis) => {
        let distinctDimensions = (0,_utils/* distinct */.dM)(itemData.getDimensions(axis), (dim1, dim2) => dataInspectorItemDataDimensionComparer(dim1, dim2, itemData));
        return acc.concat(distinctDimensions.map(dimension => _createDimensionColumnInfo(dimension, axis)));
    }, [])
        .concat((0,_utils/* distinct */.dM)(getMeasureColumns(itemData), (m1, m2) => dataInspectorItemDataMeasureComparer(m1, m2, itemData, args.addSparklineTotal, args.sparklineMeasures))
        .reduce((acc, measure) => {
        let isSparklineMeasure = args.sparklineMeasures != null && args.sparklineMeasures.indexOf(measure.id) !== -1;
        acc.push(_createMeasureColumnInfo(itemData, measure, isSparklineMeasure));
        if (isSparklineMeasure && args.addSparklineTotal) {
            acc.push(_createMeasureColumnInfo(itemData, measure, false));
        }
        return acc;
    }, []));
}
function _createRows(itemData, axes) {
    if (axes.length) {
        return itemData
            .getAxis(axes[0])
            .getAvaliableLeafPoints()
            .reduce((acc, primaryAxisPoint) => {
            if (axes.length > 1) {
                acc = acc.concat(itemData
                    .getAxis(axes[1])
                    .getAvaliableLeafPoints()
                    .map(secondaryAxisPoint => new _item_data_tuple/* itemDataTuple */.e([primaryAxisPoint, secondaryAxisPoint])));
            }
            else {
                acc.push(new _item_data_tuple/* itemDataTuple */.e([primaryAxisPoint]));
            }
            return acc;
        }, []);
    }
    else {
        var defaultAxis = itemData.getAxisNames()[0];
        let axisPoints = defaultAxis ? [itemData.getAxis(defaultAxis).getRootPoint()] : [];
        return [new _item_data_tuple/* itemDataTuple */.e(axisPoints)];
    }
}
function generateAggregatedSource(itemData, args) {
    if (itemData && !itemData.isEmpty()) {
        let axes = getSortedAxes(itemData, true);
        let columnsInfo = _createColumns(itemData, axes, args);
        let rows = _createRows(itemData, axes);
        const columnTypes = getSortedAxes(itemData)
            .reduce((acc, axis) => acc.concat(itemData.getDimensions(axis).map(d => {
            return { id: d.id, dataType: d.dataType };
        })), []);
        return {
            columns: columnsInfo.map(columnInfo => columnInfo.getGridColumn()),
            customizeColumns: () => { },
            data: rows.map(row => {
                return columnsInfo.reduce((acc, columnInfo) => {
                    const currentTypeInfo = columnTypes.find(obj => {
                        return obj.id === columnInfo.getGridColumn().dataField;
                    });
                    acc[columnInfo.getGridColumn().dataField] = columnInfo.getValue(row);
                    if (currentTypeInfo && currentTypeInfo['dataType'] === 'Object')
                        acc[columnInfo.getGridColumn().dataField].displayValueAsImage = true;
                    return acc;
                }, {});
            })
        };
    }
    return {
        columns: [],
        customizeColumns: () => { },
        data: []
    };
}
function dataInspectorItemDataDimensionComparer(x, y, data) {
    return x.name === y.name
        && x.dataMember === y.dataMember
        && x.dateTimeGroupInterval === y.dateTimeGroupInterval
        && x.textGroupInterval === y.textGroupInterval
        && (0,_utils/* deepStrictEquals */.Li)(data.getDimensionFormat(x.id), data.getDimensionFormat(y.id));
}
function dataInspectorItemDataMeasureComparer(x, y, data, addSparklineTotal, sparklineMeasures) {
    return x.name === y.name
        && x.dataMember == y.dataMember
        && (addSparklineTotal ||
            !sparklineMeasures || ((sparklineMeasures.indexOf(x.id) !== -1) === (sparklineMeasures.indexOf(y.id) !== -1)))
        && ((_utils/* type */.NW.isDefined(data.getMeasureExpression(x.id)) || _utils/* type */.NW.isDefined(data.getMeasureExpression(y.id))) ?
            (data.getMeasureExpression(x.id) === data.getMeasureExpression(y.id)) : (x.summaryType === y.summaryType))
        && (0,_utils/* deepStrictEquals */.Li)(data.getMeasureCalculation(x.id), data.getMeasureCalculation(y.id))
        && (0,_utils/* deepStrictEquals */.Li)(data.getMeasureWindowDefinition(x.id), data.getMeasureWindowDefinition(y.id))
        && (0,_utils/* deepStrictEquals */.Li)(data.getMeasureFormat(x.id), data.getMeasureFormat(y.id));
}

;// ./dist/common/extensions/data-inspector-extension/_underlying-data-source.js




function generateUnderlyingDataSource(underlyingDataProvider, dashbordItem) {
    const DataFieldPrefix = 'DataField';
    const itemData = dashbordItem._getItemData();
    if (underlyingDataProvider && itemData && !itemData.isEmpty()) {
        let columnsState = {};
        return {
            columns: null,
            customizeColumns: (columns) => {
                columns.forEach(column => {
                    let columnState = columnsState[column.dataField];
                    if (columnState) {
                        column.name = columnState.dataMember;
                        column.caption = columnState.displayName;
                    }
                });
            },
            data: new (external_DevExpress_data_CustomStore_default())({
                loadMode: 'raw',
                load: () => {
                    return (0,_jquery_helpers/* $promiseAdapter */.fy)(underlyingDataProvider.requestUnderlyingData(dashbordItem, {
                        dataMembers: getSortedColumns(itemData)
                    }).then(({ DataMembers, DataMembersDisplayNames, Data, ErrorMessage }) => {
                        if (ErrorMessage) {
                            new Error(ErrorMessage);
                        }
                        DataMembers.forEach((member, index) => {
                            columnsState[DataFieldPrefix + index.toString()] = {
                                dataMember: member,
                                displayName: DataMembersDisplayNames[index] || member,
                            };
                        });
                        const columnTypes = getSortedAxes(itemData)
                            .reduce((acc, axis) => acc.concat(itemData.getDimensions(axis).map(d => {
                            return { dataMember: d.dataMember, dataType: d.dataType };
                        })), []);
                        return Data.map(row => {
                            return DataMembers.reduce((acc, _value, index) => {
                                const currentTypeInfo = columnTypes.find(obj => {
                                    return obj.dataMember === _value;
                                });
                                if (currentTypeInfo && currentTypeInfo['dataType'] === 'Object') {
                                    acc[DataFieldPrefix + index.toString()] = { displayValueAsImage: true, value: row[index] };
                                }
                                else {
                                    acc[DataFieldPrefix + index.toString()] = row[index];
                                }
                                return acc;
                            }, {});
                        });
                    }, result => {
                        throw new Error(NotificationController._getDetailedErrorMessage(result));
                    }));
                }
            })
        };
    }
    else {
        return {
            columns: [],
            customizeColumns: () => { },
            data: [],
        };
    }
}

;// ./dist/common/extensions/data-inspector-extension/_data-inspector-view-model.js











class DataInspectorViewModelOptions {
}
class DataInspectorViewModel extends dist_model.DisposableObject {
    constructor(options) {
        super();
        this.options = options;
        this._dashboardItem = external_ko_.observable();
        this.avaliableInspectedDataType = [{
                value: 'Aggregated',
                text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.AggregatedDataType')
            }, {
                value: 'Raw',
                text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.RawDataType')
            }];
        this.allowSwitchInspectedDataType = external_ko_.observable(false);
        this.inspectedDataType = external_ko_.observable();
        this.title = external_ko_.computed(() => {
            return (this._dashboardItem() && this._dashboardItem().name() || '') + (!this.allowSwitchInspectedDataType() ?
                ' ' + (0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardStringId.InspectedTypeFormatString'), this.inspectedDataType()) :
                '');
        });
        this.visible = external_ko_.observable(false);
        this.container = external_ko_.observable(null);
        this.gridDataSource = external_ko_.observable(null);
        this.gridOptions = external_ko_.computed(() => {
            let gridDataSource = this.gridDataSource();
            if (!gridDataSource) {
                return null;
            }
            let dataSource = gridDataSource.data || null;
            let columns = gridDataSource.columns || null;
            let options = {
                customizeColumns: gridDataSource.customizeColumns,
                onContentReady: this.options.onGridContentReady,
                onInitialized: this.options.onGridInitialized,
                showBorders: true,
                scrolling: {
                    mode: 'virtual'
                },
                loadPanel: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Loading')
                },
                filterRow: {
                    visible: true,
                    ...getFilterRowLocalizationOptions()
                },
                onCellPrepared: (e) => {
                    if (e.rowType === 'data') {
                        var cellData = e.data[e.column.dataField];
                        if (cellData) {
                            if (cellData.displayValueAsImage) {
                                e.cellElement.innerText = '';
                                (0,_utils/* renderImage */.mx)(e.cellElement, { value: cellData.value });
                            }
                            else if (cellData.displayValue) {
                                (0,_jquery_helpers/* $unwrap */.I1)(e.cellElement).innerText = cellData.displayValue;
                            }
                        }
                    }
                },
                columnHidingEnabled: this.isMobile,
                rowAlternationEnabled: true,
                noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.MessageGridHasNoData'),
                dataSource: dataSource,
                columns: columns,
            };
            if ((0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()))
                options.showColumnLines = true;
            return options;
        });
        this.closeButtonStylingMode = (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()) ? 'contained' : undefined;
        this.closeButtonType = (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()) ? 'normal' : undefined;
        this.toDispose(this.visible.subscribe(visible => {
            if (!visible) {
                this._clearDataSource();
            }
        }));
        this.toDispose(this._dashboardItem.subscribe(_ => { this._clearDataSource(); }));
        this.toDispose(this.inspectedDataType.subscribe(() => {
            if (this.visible()) {
                this._bindGrid();
            }
        }));
    }
    setUnderlyingDataProvider(underlyingDataProvider) {
        this.underlyingDataProvider = underlyingDataProvider;
    }
    _bindGrid() {
        var dashboardItem = this._dashboardItem();
        var inspectedDataType = this.inspectedDataType();
        var dataSource = inspectedDataType === 'Raw' ? this._getRawDataSource(dashboardItem) : this._getAggregatedDataSource(dashboardItem);
        if (dataSource !== this.gridDataSource()) {
            this.gridDataSource(dataSource);
        }
    }
    _clearDataSource() {
        this._rawDataSource = null;
        this._aggregatedDataSource = null;
    }
    _getInitialMode(allowInspectAggregatedData, allowInspectRawData, initialMode, prevMode) {
        if (initialMode) {
            return initialMode;
        }
        else if (prevMode && allowInspectAggregatedData && allowInspectRawData) {
            return prevMode;
        }
        else if (allowInspectAggregatedData) {
            return 'Aggregated';
        }
        else if (allowInspectRawData) {
            return 'Raw';
        }
        else
            return 'Aggregated';
    }
    _getRawDataSource(dashbordItem) {
        if (!this._rawDataSource) {
            this._rawDataSource = generateUnderlyingDataSource(this.underlyingDataProvider, dashbordItem);
        }
        return this._rawDataSource;
    }
    _getAggregatedDataSource(dashbordItem) {
        if (!this._aggregatedDataSource) {
            this._aggregatedDataSource = generateAggregatedSource(dashbordItem._getItemData(), this._getAggregatedDataSourceArgs(dashbordItem));
        }
        return this._aggregatedDataSource;
    }
    _getAggregatedDataSourceArgs(dashboardItem) {
        if (dashboardItem instanceof dist_model.CardItem) {
            if (dashboardItem.sparklineArgument()) {
                return {
                    addSparklineTotal: true,
                    sparklineMeasures: dashboardItem
                        .cards()
                        .map(card => card.actualValue().uniqueName())
                };
            }
        }
        else if (dashboardItem instanceof dist_model.GridItem) {
            return {
                addSparklineTotal: false,
                sparklineMeasures: dashboardItem
                    .columns()
                    .filter(column => column instanceof dist_model.GridSparklineColumn)
                    .map(column => column.measure().uniqueName())
            };
        }
        return {
            addSparklineTotal: false, sparklineMeasures: []
        };
    }
    _getPopupOptions() {
        const popupOptions = {
            container: this.container,
            title: this.title,
            onShowing: this.options.onDialogShowing,
            onShown: this.options.onDialogShown,
            onHidden: this.options.onDialogHidden,
            visible: this.visible,
            fullScreen: this.isMobile,
            height: '80%',
            position: {
                my: 'center',
                at: 'center',
                of: this.isMobile ? window : this.container
            },
            toolbarItems: [{
                    toolbar: 'bottom',
                    location: 'after',
                    widget: 'dxButton',
                    options: {
                        text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.DataInspectorButtonClose'),
                        onClick: () => this.visible(false),
                        stylingMode: this.closeButtonStylingMode,
                        type: this.closeButtonType,
                    }
                }],
            wrapperAttr: {
                class: 'dx-dashboard-data-inspector-dialog'
            },
            showCloseButton: true
        };
        if (!this.isMobile) {
            popupOptions.position['boundary'] = this.container;
        }
        return popupOptions;
    }
    get isMobile() {
        return DashboardLayoutModeHelper.isMobile;
    }
    show(dashboardItem, allowInspectAggregatedData, allowInspectRawData, initialMode) {
        this.allowSwitchInspectedDataType(allowInspectAggregatedData && allowInspectRawData);
        this.inspectedDataType(this._getInitialMode(allowInspectAggregatedData, allowInspectRawData, initialMode, this.inspectedDataType()));
        this._dashboardItem(dashboardItem);
        this.container(this.options.getContainer());
        this.visible(true);
        this._bindGrid();
    }
    dispose() {
        this._disposables.forEach(disposable => disposable?.dispose());
    }
}

;// ./dist/common/extensions/_export-dialog-binder.js












class ExportDialogBinderOptions {
}
class ExportDialogBinder {
    constructor(_options) {
        this._options = _options;
        this.availableExportFormats = ['PDF', 'Image', 'Excel'];
        this.showDashboardDialog = (format) => {
            this._validateDashboardExport(format);
            this.exportDialog.setExportFunction((documentInfo) => this.exportDashboardTo(format, documentInfo));
            var title = this._options.dashboard().title.visible() ? this._options.dashboard().title.text() : 'Dashboard';
            this.exportDialog.showDialog('', null, format, {
                defaultFileName: title,
                defaultTitle: title
            });
        };
        this.showItemDialog = (itemComponentName, format, itemElement) => {
            var item = this._options.dashboard().findItem(itemComponentName);
            this._itemElement = itemElement;
            if (!item) {
                throw new Error("The item with the '" + itemComponentName + "' name does not exist");
            }
            this._validateExportFormat(format);
            var exportCaption = item._caption;
            this.exportDialog.setExportFunction((documentInfo) => this.exportDashboardItemTo(itemComponentName, format, documentInfo));
            this.exportDialog.showDialog(itemComponentName, this._getExportItemType(item), format, {
                defaultTitle: exportCaption,
                defaultFileName: exportCaption,
            });
        };
        this.hide = () => {
            let element = this._itemElement?.parentElement;
            while (element && ((!element.hasAttribute('tabindex') || element.getAttribute('tabindex') === '-1') || !element.offsetParent)) {
                element = element.parentElement;
            }
            element && element.focus();
            if (!!this._exportDialog) {
                this._exportDialog.hideDialog();
            }
        };
        this.exportOptions = new ExportOptions();
        this.exportOptions.setPdfOptions(this._options.pdfExportOptions);
        this.exportOptions.setImageOptions(this._options.imageExportOptions);
        this.exportOptions.setExcelOptions(this._options.excelExportOptions);
    }
    reset() {
        this._exportDialog = undefined;
    }
    _getClientSize(container, mode) {
        if (container) {
            return { width: (0,_jquery_helpers/* getOuterWidth */.Ot)(container), height: (0,_jquery_helpers/* getOuterHeight */.P$)(container) };
        }
        else {
            if (mode === 'EntireDashboard') {
                return { width: 1920, height: 1080 };
            }
            else {
                return { width: window.outerWidth, height: window.outerHeight };
            }
        }
    }
    _getActualComponentName(item) {
        return item instanceof tab_container_item/* TabContainerItem */.i ? item._activeTabPage().componentName() : item.componentName();
    }
    _getExportHolderItem(item) {
        if (item instanceof tab_container_item/* TabContainerItem */.i) {
            return this._options.dashboard()._getDisplayDashboardItem(item._activeTabPage());
        }
        return item;
    }
    _getInfo(items, titleHeight, mode, format) {
        var container = this._options.getContainer().querySelector('.dx-dashboard-viewer'), containerPosition = container ? (0,_jquery_helpers/* jqueryOffset */.Ge)(container) : { left: 0, top: 0 }, clientSize = this._getClientSize(container, mode);
        let elementsList = items
            .map(item => {
            let holderItem = this._getExportHolderItem(item);
            let isTabContainer = item instanceof tab_container_item/* TabContainerItem */.i;
            var itemExportInfo = this._options.exportInfoProvider.getItemExportInfo(holderItem.componentName(), mode, isTabContainer);
            if (itemExportInfo) {
                itemExportInfo.position = {
                    left: itemExportInfo.position.left - containerPosition.left,
                    top: itemExportInfo.position.top - containerPosition.top
                };
                if (isTabContainer) {
                    itemExportInfo.name = this._getActualComponentName(item);
                    itemExportInfo.caption = holderItem.name();
                }
                return itemExportInfo;
            }
            else if (format === 'Excel') {
                return { name: this._getActualComponentName(item) };
            }
            else {
                return null;
            }
        })
            .filter(itemExportInfo => !!itemExportInfo);
        return {
            clientSize: clientSize,
            titleHeight: titleHeight,
            itemsState: elementsList
        };
    }
    _getFilterFormattableValues(dashboard, exportGroupName, item, exportInfo) {
        let excelOptions = exportInfo.DocumentOptions.excelExportOptions;
        let isGroupExport = !!exportGroupName;
        if (exportInfo.Mode === 'EntireDashboard') {
            if (!isGroupExport) {
                if (exportInfo.Format === 'Excel' && excelOptions && excelOptions.DashboardStatePosition === 'Below') {
                    return item._getDisplayFilterValuesExternal();
                }
                else {
                    if (item instanceof data_dashboard_item/* DataDashboardItem */.s && dashboard._masterFilterItems().indexOf(item) !== -1) {
                        return item._getDisplayFilterValues();
                    }
                    else {
                        return [];
                    }
                }
            }
            else {
                if (exportGroupName === item.componentName()) {
                    return this._getGroupExternalDisplayFilterValues(dashboard._dataDashboardItems(), exportGroupName);
                }
                else {
                    return item._getDisplayFilterValues();
                }
            }
        }
        else {
            return item._getDisplayFilterValuesExternal();
        }
    }
    exportDashboardTo(format, clientOptions, customFileName) {
        this._validateDashboardExport(format);
        var fileName = customFileName ? customFileName : (clientOptions == undefined || clientOptions.fileName == undefined) ? 'Export' : clientOptions.fileName, dashboard = this._options.dashboard(), items = dashboard
            .layout()
            .getNodesRecursive()
            .filter(node => !!node.item)
            .filter(node => !(node.item instanceof dashboard_tab_page/* DashboardTabPage */.b))
            .map(node => node.item);
        let exportOptions = this.exportOptions.convertToExportOptions(clientOptions);
        if (!exportOptions.pdfExportOptions.Title)
            exportOptions.pdfExportOptions.Title = this._options.dashboard().title.text();
        if (!exportOptions.imageExportOptions.Title)
            exportOptions.imageExportOptions.Title = this._options.dashboard().title.text();
        if (format === 'Excel' && exportOptions.excelExportOptions.Format === 'Csv')
            throw new Error('Cannot export an entire dashboard in the CSV format.');
        this._exportTo(items, {
            mode: 'EntireDashboard',
            format: format,
            clientState: this._getInfo(items, this._options.dashboard().title.visible() ? _dashboard_title_view_constants_titleHeight : 0, 'EntireDashboard', format),
            fileName: fileName
        }, exportOptions);
    }
    exportDashboardItemTo(itemComponentName, format, clientOptions, customFileName) {
        var fileName = customFileName ? customFileName : (clientOptions == undefined || clientOptions.fileName == undefined) ? 'Export' : clientOptions.fileName, dashboard = this._options.dashboard(), exportItem = dashboard.findItem(itemComponentName), isGroup = exportItem instanceof group_item/* GroupItem */.N || exportItem instanceof dashboard_tab_page/* DashboardTabPage */.b;
        let clientStateItems, dataQueryItems;
        if (isGroup) {
            var dashboardItems = dashboard.items().concat(dashboard.groups());
            var needExportItem = (item) => { return item.parentContainer() === exportItem.componentName(); };
            clientStateItems = dashboardItems.filter(item => needExportItem(item) || !!item.parentContainer() && needExportItem(dashboard.findItem(item.parentContainer())));
            dataQueryItems = [exportItem].concat(clientStateItems);
        }
        else {
            clientStateItems = dataQueryItems = [exportItem];
        }
        this._validateExportFormat(format);
        let exportOptions = this.exportOptions.convertToExportOptions(clientOptions);
        if (!exportOptions.pdfExportOptions.Title)
            exportOptions.pdfExportOptions.Title = exportItem.name();
        if (!exportOptions.imageExportOptions.Title)
            exportOptions.imageExportOptions.Title = exportItem.name();
        this._exportTo(dataQueryItems, {
            mode: isGroup ? 'EntireDashboard' : 'SingleItem',
            format: format,
            clientState: this._getInfo(clientStateItems, 0, 'SingleItem', format),
            fileName: fileName,
            name: itemComponentName,
            itemType: this._getExportItemType(exportItem)
        }, exportOptions);
    }
    get exportDialog() {
        if (!this._exportDialog) {
            this._exportDialog = new exportDialog({
                container: this._options.getContainer(),
                defaultDocumentInfo: this.exportOptions,
                onShown: this._options.onExportDialogShown,
                onShowing: this._options.onExportDialogShowing,
                onHidden: (args) => {
                    this._options.onExportDialogHidden && this._options.onExportDialogHidden(args);
                    this.hide();
                }
            });
        }
        return this._exportDialog;
    }
    _getExportItemType(item) {
        return item ? dashboard_item/* DashboardItem */.K._getCommonItemType(item.itemType()) : undefined;
    }
    _getGroupExternalDisplayFilterValues(dataDashboardItems, groupName) {
        var itemsInGroup = dataDashboardItems.filter(item => item.parentContainer() === groupName);
        var externalMasters = itemsInGroup
            .reduce((acc, item) => acc.concat(item._masterFilterItems()), [])
            .filter((master, index, array) => array.indexOf(master) !== index)
            .filter(master => itemsInGroup.indexOf(master) === -1);
        return externalMasters.reduce((acc, master) => acc.concat(master._getDisplayFilterValues()), []);
    }
    _exportTo(items, modeInfo, documentOptions) {
        let fileName = modeInfo.fileName && modeInfo.fileName.trim() ? modeInfo.fileName.replace(/[\\/:*?"<>|]/g, '_') : 'Export';
        let exportInfo = {
            Mode: modeInfo.mode,
            GroupName: modeInfo.name,
            FileName: fileName,
            ClientState: modeInfo.clientState,
            Format: modeInfo.format,
            DocumentOptions: documentOptions,
            ItemType: modeInfo.itemType
        };
        let dashboard = this._options.dashboard();
        var model = items.map(item => {
            let holderItem = this._getExportHolderItem(item);
            return {
                name: this._getActualComponentName(item),
                query: this._getExportDataQueryParams(holderItem, modeInfo),
                drillDownFormattableValues: holderItem instanceof data_dashboard_item/* DataDashboardItem */.s ? (0,_date_utils/* toStringArray */.oU)(holderItem._getDisplayDrillDownValues()) : undefined,
                filterFormattableValues: (0,_date_utils/* toStringArray */.oU)(this._getFilterFormattableValues(dashboard, exportInfo.GroupName, holderItem, exportInfo)),
                selectedValues: (0,_date_utils/* toStringArray */.oU)(holderItem._getExportingSelection())
            };
        });
        this._options.serviceClient().performExport(exportInfo, model);
    }
    _getExportDataQueryParams(dashboardItem, modeInfo) {
        let queryParams = dashboardItem._getDataQueryParams();
        if (dashboardItem instanceof dist_model.GridItem && dashboardItem.columnFilterOptions.updateTotals()) {
            let itemsState = modeInfo.clientState.itemsState.find(s => s.name === dashboardItem.componentName());
            if (itemsState) {
                queryParams['ClientFilter'] = itemsState['combinedFilter'];
            }
        }
        return queryParams;
    }
    _validateExportFormat(format) {
        if (this.availableExportFormats.indexOf(format) === -1) {
            throw new Error("A format is specified incorrectly. Use one of the following: 'PDF', 'Image' or 'Excel'.");
        }
    }
    _validateDashboardExport(format) {
        this._validateExportFormat(format);
        if (!this._options.dashboard()) {
            throw new Error('Cannot perform exporting because the dashboard is not loaded.');
        }
    }
}
class ExportInfoManager extends disposable_object/* DisposableObject */.I {
    constructor() {
        super(...arguments);
        this._primaryExportInfoProviders = {};
        this._secondaryExportInfoProviders = {};
        this._captionExportInfoProviders = {};
    }
    getItemExportInfo(itemName, mode, isCaption) {
        if (mode === 'SingleItem' && this._secondaryExportInfoProviders[itemName]) {
            return this._secondaryExportInfoProviders[itemName]();
        }
        else if (isCaption && this._captionExportInfoProviders[itemName]) {
            return this._captionExportInfoProviders[itemName]();
        }
        else if (this._primaryExportInfoProviders[itemName]) {
            return this._primaryExportInfoProviders[itemName]();
        }
        else {
            return null;
        }
    }
    registerPrimaryExportItem(itemName, getExportInfoFunc) {
        this._primaryExportInfoProviders[itemName] = getExportInfoFunc;
    }
    unregisterPrimaryExportItem(itemName) {
        if (this._primaryExportInfoProviders[itemName]) {
            delete this._primaryExportInfoProviders[itemName];
        }
    }
    registerSecondaryExportItem(itemName, getExportInfoFunc) {
        this._secondaryExportInfoProviders[itemName] = getExportInfoFunc;
    }
    unregisterSecondaryExportItem(itemName) {
        if (this._secondaryExportInfoProviders[itemName]) {
            delete this._secondaryExportInfoProviders[itemName];
        }
    }
    registerCaptionExportItem(itemName, getExportInfoFunc) {
        this._captionExportInfoProviders[itemName] = getExportInfoFunc;
    }
    unregisterCaptionExportItem(itemName) {
        if (this._captionExportInfoProviders[itemName]) {
            delete this._captionExportInfoProviders[itemName];
        }
    }
    dispose() {
        super.dispose();
        this._primaryExportInfoProviders = {};
        this._secondaryExportInfoProviders = {};
        this._captionExportInfoProviders = {};
    }
}

// EXTERNAL MODULE: ./dist/data/_parameters.js
var data_parameters = __webpack_require__(1386);
// EXTERNAL MODULE: ./dist/model/parameters/parameter.js
var parameter = __webpack_require__(8058);
;// ./dist/common/extensions/_parameter-dialog-binder.js





class ParameterDialogViewModel extends disposable_object/* DisposableObject */.I {
    _getParameterValues(parameter) {
        var parameterValues = null;
        if (!!parameter.staticListLookUpSettings()) {
            parameterValues = parameter.staticListLookUpSettings().values().map(item => {
                return {
                    Value: item.value(),
                };
            });
        }
        else if (!!parameter.dynamicListLookUpSettings()) {
            parameterValues = this._getParameterValuesCallback(parameter.type(), parameter.dynamicListLookUpSettings(), false)();
        }
        return parameterValues;
    }
    _getParameterDefaultValue(param, paramValues) {
        if (param.lookUpSourceType() !== 'None' && param.allowMultiselect()) {
            if (param.selectAllValues()) {
                return paramValues && paramValues.map(value => value.Value) || [];
            }
            else {
                return param._valuesOfDefaultValues() || [];
            }
        }
        else {
            return param.defaultValue();
        }
    }
    constructor(_parameters, getParameterValues) {
        super();
        this._parameters = _parameters;
        this._getDashboardParameterType = (type) => {
            var result = parameterTypes.string;
            if (type) {
                if (type.indexOf('DateTime') > -1) {
                    result = parameterTypes.dateTime;
                }
                else if ((type.indexOf('Decimal') + (type.indexOf('Double'))) > -2) {
                    result = parameterTypes.float;
                }
                else if (type.indexOf('Boolean') > -1) {
                    result = parameterTypes.bool;
                }
                else if (type.indexOf('.Int') > -1) {
                    result = parameterTypes.int;
                }
            }
            return result;
        };
        this.setParameters = (newParameters, updateCollection = true) => {
            newParameters.forEach(newParameter => {
                const name = newParameter.getName && newParameter.getName() || newParameter.Name;
                const value = newParameter.getValue && newParameter.getValue() || newParameter.Value;
                var parameterModel = this._parameters.peek().filter(p => p.name.peek() === name)[0];
                if (parameterModel) {
                    updateCollection && this._parametersCollection.setParameterValue(name, value);
                    parameterModel._value(value);
                }
            });
        };
        this._getParameterValuesCallback = getParameterValues;
        this.parameterCollection = external_ko_.computed(() => {
            var parameters = this._parameters();
            const recreateCollection = !this._parametersCollection;
            const parametersViewModel = parameters.map(param => {
                var values = this._getParameterValues(param);
                return {
                    Name: param.name(),
                    DefaultValue: this._getParameterDefaultValue(param, values),
                    Description: param.description(),
                    Values: values,
                    ContainsDisplayMember: param.containsDisplayMember(),
                    Visible: param.parameterVisible(),
                    AllowMultiselect: param.allowMultiselect(),
                    AllowNull: param.allowNull(),
                    Type: this._getDashboardParameterType(param.type()),
                    OriginalType: param.type(),
                    DynamicListLookUpSettings: param.dynamicListLookUpSettings,
                    SelectAllValues: param.selectAllValues()
                };
            });
            if (recreateCollection) {
                this._parametersCollection = new data_parameters/* ParametersCollection */.B(parametersViewModel);
            }
            else {
                this._parametersCollection.refreshParameters(parametersViewModel);
            }
            parameters.forEach(param => {
                var actualValue = param._actualValue();
                if (actualValue === parameter/* Parameter */.k.SelectAllValue) {
                    actualValue = this._getParameterValues(param).map(valueViewModel => valueViewModel.Value);
                }
                this._parametersCollection.setParameterValue(param.name(), actualValue);
            });
            if (recreateCollection)
                this._parametersCollection.collectionChanged.add((parameter) => {
                    const parameters = parameter ? [parameter] : this._parametersCollection.getParameterList();
                    this.setParameters(parameters, false);
                });
            return this._parametersCollection;
        });
        this.toDispose(this.parameterCollection);
    }
}

;// ./dist/common/internal/_utils.js
function findItemForApi(dashboard, itemName, expectedItemClass) {
    let dashboardItem = dashboard.findItem(itemName);
    if (!dashboardItem) {
        throw new Error("The item with the '" + itemName + "' name does not exist");
    }
    if (!(dashboardItem instanceof expectedItemClass))
        throw new Error("The '" + itemName + "' item has incorrect type.");
    return dashboardItem;
}

// EXTERNAL MODULE: ./dist/model/layout/dashboard-layout-group.js
var dashboard_layout_group = __webpack_require__(7944);
;// ./dist/common/mobile-layout-extension/_mobile-layout-fullscreen-item.js




class MobileItemViewerFactory extends ViewerItemFactory {
    createItem(container, options) {
        if (options.Type === _viewer_item_types/* types */.g.comboBox)
            return new listFilterElement(container, options);
        return super.createItem(container, options);
    }
}
class PopupResizeController {
    constructor(_repaintRequest) {
        this._repaintRequest = _repaintRequest;
        this._resizeHandler = null;
        this.onInitialized = (e) => {
            if (!this._resizeHandler) {
                this._resizeHandler = () => e.component.repaint();
                this._repaintRequest.add(this._resizeHandler);
            }
        };
        this.onDisposing = (e) => {
            this._resizeHandler && this._repaintRequest.remove(this._resizeHandler);
        };
    }
}
var createFullscreenItemViewModel = (fullscreenItemModel, masterFilters, repaintRequest) => {
    var resizeController = new PopupResizeController(repaintRequest);
    return {
        itemViewModel: external_ko_.computed(() => {
            var viewModel = fullscreenItemModel.viewModel();
            viewModel.repaintRequest = repaintRequest;
            return viewModel;
        }),
        visible: external_ko_.computed(() => fullscreenItemModel.visible()),
        width: '100vw',
        height: '100%',
        onInitialized: resizeController.onInitialized,
        onDisposing: resizeController.onDisposing
    };
};

// EXTERNAL MODULE: ./dist/model/items/card/card-item.js
var card_item = __webpack_require__(1880);
;// ./dist/common/mobile-layout-extension/_mobile-layout-item.js










class MobileLayoutItemViewModel {
    get canMaximizeItem() {
        return this.dashboardItem._uiState() === 'live';
    }
    _reset() {
        this.itemOffsetInPixels(0);
    }
    constructor(dashboardContext, repaintRequest, dashboardItem, _fullscreenItemModel) {
        this.dashboardContext = dashboardContext;
        this.repaintRequest = repaintRequest;
        this.dashboardItem = dashboardItem;
        this._fullscreenItemModel = _fullscreenItemModel;
        this._cachedItemWidth = 0;
        this._swipeToActionCoef = 100;
        this.itemOffsetInPixels = external_ko_.observable(0);
        this.actionReadyCoef = external_ko_.computed(() => {
            var offsetInPixels = this.itemOffsetInPixels();
            if (offsetInPixels > 0) {
                var coef = Math.abs(offsetInPixels / this._swipeToActionCoef);
                if (coef > 1)
                    coef = 1;
                return coef;
            }
            else {
                return 0;
            }
        });
        this.isReadyForAction = external_ko_.computed(() => {
            return this.actionReadyCoef() >= 1;
        });
        this.maximizeIconOpacity = external_ko_.computed(() => {
            return this.actionReadyCoef();
        });
        this.click = (data, args) => {
            this._performShowFullscreenItem();
            this.unselectItem(data, args);
        };
        this.selectItem = (data, args) => {
            if (this.canMaximizeItem) {
                args.target.classList.add('dx-dashboard-mobile-layout-item-selected');
            }
        };
        this.unselectItem = (data, args) => {
            args.target.classList.remove('dx-dashboard-mobile-layout-item-selected');
        };
        this.swipestart = (data, args) => {
            this._cachedItemWidth = (0,_jquery_helpers/* getWidth */.RG)(this._getStandaloneItemElement(args.target));
        };
        this.swipeupdate = (data, args) => {
            if (args.offset > 0) {
                this.itemOffsetInPixels(args.offset * this._cachedItemWidth);
            }
            else {
                this._reset();
            }
        };
        this.swipeend = (data, args) => {
            if (this.isReadyForAction()) {
                this._performShowFullscreenItem();
            }
            this._reset();
        };
        this.localContext = new DashboardItemContext({
            addContextToolbarItems: (options) => {
                options.stateItems = [];
                options.actionItems = [];
                options.navigationItems = [];
            },
            createCaptionToolbar: (viewerItem, container, controlContainer, popupContainer, viewOptions) => {
                return viewOptions.hasCaption ? new StaticCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, cssClasses.caption, viewOptions.captionToolbarSeparatorRequired, true) :
                    new HiddenCaptionToolbar();
            },
            viewerItemCreated: (dashboardItem, viewerItem) => customizeMobileViewerItems(viewerItem),
            beforeApplyViewerItemOptions: (item, options, isCreation) => {
                options.ParentContainer = undefined;
                setCardAutoArrangementMode(item, options);
            },
            itemCreatingType: 'secondary'
        });
    }
    _performShowFullscreenItem() {
        if (this.canMaximizeItem) {
            this._fullscreenItemModel.maximizeItem(this.dashboardItem);
        }
    }
    _getStandaloneItemElement(element) {
        return element.parentElement.querySelector('dashboard-standalone-item');
    }
}
function setCardAutoArrangementMode(item, options) {
    if (item instanceof card_item/* CardItem */.o) {
        options.ViewModel.ContentDescription.ArrangementMode = 'Auto';
    }
}
function customizeMobileViewerItems(viewerItem) {
    if (viewerItem instanceof dataGridItem) {
        viewerItem._customizeViewOptions = (options) => {
            options.columnHidingEnabled = true;
            options.allowColumnResizing = false;
        };
        viewerItem._getColumnWidthProperty = () => {
            return 'width';
        };
        viewerItem._getColumnWidthMode = () => {
            return 'AutoFitToContents';
        };
        viewerItem._getDefaultBestCharacterCount = (index) => {
            return 10;
        };
    }
    if (viewerItem instanceof cardsItem) {
        viewerItem._getIgnorePadding = () => {
            return false;
        };
    }
    if (viewerItem instanceof dateFilterElement) {
        viewerItem._mobileLayout = () => {
            return true;
        };
    }
}

;// ./dist/common/mobile-layout-extension/_mobile-layout-master-filters-editor.js









class MasterFiltersEditorModel {
    constructor() {
        this._target = external_ko_.observable(null);
        this._visible = external_ko_.observable(false);
        this.visible = external_ko_.computed(() => this._visible());
        this.masterItems = external_ko_.computed(() => {
            if (this._target()) {
                return this._target()._masterFilterItems();
            }
            else {
                return [];
            }
        });
    }
    addFilterButton(toolbarItems, filterableItem) {
        if (filterableItem._masterFilterItems().length) {
            toolbarItems.push({
                name: dashboardToolbarItemNames.dashboardFilters,
                type: 'button',
                icon: 'dx-dashboard-filters',
                click: () => {
                    this.show(filterableItem);
                }
            });
        }
    }
    show(target) {
        this._target(target);
        this._visible(true);
    }
    hide() {
        this._visible(false);
    }
}
class ItemMasterFilterInfo {
    constructor(dashboardItem, click) {
        this.dashboardItem = dashboardItem;
        this.click = click;
        this.name = external_ko_.computed(() => dashboardItem.name());
        this.filterValues = external_ko_.computed(() => {
            return dashboardItem
                ._getDisplayFilterValues(maxFilterValuesCount)
                .filter(value => value.Values[0] && !!value.Values[0].Format)
                .map(value => {
                return {
                    name: value.Name,
                    valuesString: value
                        .Values
                        .map(filterValue => (0,_formatter/* formatFilterValue */.bv)(filterValue))
                        .concat(value.Truncated ? ['…'] : [])
                        .join(', ')
                };
            });
        });
    }
}
class ItemMasterFilterPopupViewModel {
    constructor(heightOffset, visible, repaintRequest) {
        this.width = '100vw';
        this.height = `calc(100vh - ${heightOffset}px)`;
        this.visible = visible;
        var popupResizeController = new PopupResizeController(repaintRequest);
        this.onInitializing = popupResizeController.onInitialized;
        this.onDisposing = popupResizeController.onDisposing;
    }
}
class ItemMasterFiltersViewModel {
    constructor(model, dashboardContext, repaintRequest) {
        this.model = model;
        this.masterFilterItem = external_ko_.observable(null);
        this.showMasterFilterItem = (dashboardItem, dashboardContext, repaintRequest) => {
            this.maximizeFiltersPopup(true);
            this.masterFilterItem({
                dashboardItem: dashboardItem,
                dashboardContext: dashboardContext,
                repaintRequest: repaintRequest,
                localContext: new DashboardItemContext({
                    itemFactory: new MobileItemViewerFactory(),
                    addContextToolbarItems: (options) => {
                        options.actionItems = options.actionItems.filter(item => item.name !== dashboardToolbarItemNames.exportMenu);
                    },
                    viewerItemCreated: (dashboardItem, viewerItem) => customizeMobileViewerItems(viewerItem),
                    createCaptionToolbar: (viewerItem, container, controlContainer, popupContainer, viewOptions) => {
                        return new MobileLayoutCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, cssClasses.caption, viewOptions.captionToolbarSeparatorRequired);
                    },
                    beforeApplyViewerItemOptions: (item, options, isCreation) => {
                        options.ParentContainer = undefined;
                        setCardAutoArrangementMode(item, options);
                    },
                    itemCreatingType: 'primary'
                })
            });
        };
        this.closeMasterFilterItemPopup = () => {
            this.maximizeFiltersPopup(false);
            this.masterFilterItem(null);
        };
        this.closeMasterFiltersPopup = () => {
            this.closeMasterFilterItemPopup();
            this.model.hide();
        };
        this.maximizeFiltersPopup = external_ko_.observable(false);
        this.masterItems = external_ko_.computed(() => model.masterItems().map(mi => new ItemMasterFilterInfo(mi, () => this.showMasterFilterItem(mi, dashboardContext, repaintRequest))));
        var masterFiltersVisible = external_ko_.computed(() => this.model.visible());
        var masterFilterItemVisible = external_ko_.computed(() => !!this.masterFilterItem());
        this.masterFiltersPopup = new ItemMasterFilterPopupViewModel(50, masterFiltersVisible, repaintRequest);
        this.masterFilterMaximizedItemPopup = new ItemMasterFilterPopupViewModel(100, masterFilterItemVisible, repaintRequest);
        this.maximizeFiltersPopup = external_ko_.observable(masterFiltersVisible());
    }
}

;// ./dist/common/mobile-layout-extension/_mobile-layout.js






















class DashboardMobileLayoutController {
    get allowMaximizeItems() { return true; }
    set allowMaximizeItems(value) { }
    get fullscreenItemProvider() {
        return this.fullscreenItemModel;
    }
    constructor(dashboard, dashboardContext, findExtension, _encodeHtml = false, viewerApi) {
        this.dashboard = dashboard;
        this.dashboardContext = dashboardContext;
        this._encodeHtml = _encodeHtml;
        this.selectedDashboardItem = external_ko_.computed(() => null);
        this.emptyItemTemplates = external_ko_.observableArray();
        this.selectedLayoutItem = external_ko_.computed(() => null);
        this.visibleItemsProvider = null;
        var fullScreenItemLocalContext = new DashboardItemContext({
            addContextToolbarItems: (options) => {
                var dashboardItem = this.fullscreenItemModel.dashboardItem();
                if (dashboardItem instanceof data_dashboard_item/* DataDashboardItem */.s)
                    this.masterFiltersEditorModel.addFilterButton(options.stateItems, dashboardItem);
                options.navigationItems.push({
                    name: dashboardToolbarItemNames.backButton,
                    type: 'button',
                    template: () => {
                        let div = document.createElement('div');
                        div.classList.add(cssClasses.flexParent, cssClasses.ellipsisText);
                        let textDiv = document.createElement('div');
                        textDiv.classList.add(cssClasses.buttonBack, cssClasses.truncated);
                        textDiv.innerText = (0,index_internal.getLocalizationById)('DashboardWebStringId.MobileLayout.Back');
                        div.append((0,_utils/* getSvgElementByTemplate */.aZ)(cssClasses.iconBack), textDiv);
                        return div;
                    },
                    click: () => {
                        this.fullscreenItemModel.restoreDownItem();
                    }
                });
            },
            createCaptionToolbar: (viewerItem, container, controlContainer, popupContainer, viewOptions) => {
                return new MobileLayoutCaptionToolbar(container, controlContainer, popupContainer, viewOptions.encodeHtml, cssClasses.caption, viewOptions.captionToolbarSeparatorRequired);
            },
            viewerItemCreated: (dashboardItem, viewerItem) => customizeMobileViewerItems(viewerItem),
            beforeApplyViewerItemOptions: (item, options, isCreation) => {
                options.ParentContainer = undefined;
                setCardAutoArrangementMode(item, options);
            },
            itemCreatingType: 'secondary'
        });
        var exportExtension = findExtension('dashboardExport');
        if (exportExtension) {
            exportExtension._initializeSecondaryExportItem(fullScreenItemLocalContext);
        }
        this.fullscreenItemModel = new FullscreenItemModel(dashboardContext, fullScreenItemLocalContext);
        this.masterFiltersEditorModel = new MasterFiltersEditorModel();
        this.dashboardTitleContext = new DashboardTitleContext(this._encodeHtml, findExtension, false, viewerApi);
        let flatItems = this._getDashboardItemsInLayoutOrder(dashboard.layout());
        this.items = groupLayoutItems(flatItems).map(item => new DashboardMobileLayoutItem(item.itemComponentNames.map(itemName => dashboard.findItem(itemName))
            .filter(item => !(item instanceof filter_element_item_base/* FilterElementItemBase */.Z) && !(item instanceof date_filter_item/* DateFilterItem */.Y)), item.groupName))
            .filter(mobileLayoutItem => mobileLayoutItem.dashboardItems.length > 0);
    }
    _getDashboardItemsInLayoutOrder(layoutItem) {
        var result = [];
        if (layoutItem.dashboardItem() && !(layoutItem instanceof dashboard_layout_group/* DashboardLayoutGroup */.C)) {
            let parentContainer = layoutItem.item && layoutItem.item.parentContainer() ? this.dashboard.findItem(layoutItem.item.parentContainer()) : undefined;
            let groupName = this._getGroupName(parentContainer);
            result.push({
                groupName: this._getGroupName(parentContainer),
                groupComponentName: this._getGroupComponentName(parentContainer),
                itemComponentName: layoutItem.dashboardItem()
            });
        }
        if (layoutItem instanceof dashboard_layout_group/* DashboardLayoutGroup */.C) {
            result = result.concat(layoutItem.childNodes().reduce((acc, value) => acc.concat(this._getDashboardItemsInLayoutOrder(value)), []));
        }
        return result;
    }
    _getGroupName(parentContainer) {
        if (parentContainer) {
            let showCaption = parentContainer instanceof dashboard_tab_page/* DashboardTabPage */.b ? this._getParentTabContainer(parentContainer).showCaption() : parentContainer.showCaption();
            return showCaption ? parentContainer.name() : parentContainer.name() + groupWithoutCaptionItemKey;
        }
        else {
            return ungroupedItemKey;
        }
    }
    _getGroupComponentName(parentContainer) {
        if (parentContainer) {
            let showCaption = parentContainer instanceof dashboard_tab_page/* DashboardTabPage */.b ? this._getParentTabContainer(parentContainer).showCaption() : parentContainer.showCaption();
            return showCaption ? parentContainer.componentName() : parentContainer.componentName() + groupWithoutCaptionItemKey;
        }
        else {
            return ungroupedItemKey;
        }
    }
    _getParentTabContainer(tabPage) {
        return this.dashboard.items()
            .filter(item => item instanceof tab_container_item/* TabContainerItem */.i)
            .filter(tabContainer => tabContainer.tabPages().indexOf(tabPage) !== -1)[0];
    }
}
class DashboardMobileLayoutItem {
    constructor(dashboardItems, groupName) {
        this.dashboardItems = dashboardItems;
        this.groupName = groupName;
    }
}
function groupLayoutItems(flatItems) {
    let groupedItems = [];
    let previousGroupedItem;
    flatItems.forEach(item => {
        if (previousGroupedItem && previousGroupedItem.groupComponentName === item.groupComponentName) {
            previousGroupedItem.itemComponentNames.push(item.itemComponentName);
        }
        else {
            previousGroupedItem = {
                groupName: item.groupName,
                groupComponentName: item.groupComponentName,
                itemComponentNames: [item.itemComponentName]
            };
            groupedItems.push(previousGroupedItem);
        }
    });
    return groupedItems;
}
const _registerDashboardMobileLayoutWidget = () => {
    const componentName = 'dashboard-mobile-layout-widget';
    const templateName = 'dx-dashboard-mobile-layout-widget';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                var disposables = [];
                var layoutModel = params.componentArgs;
                let dashboard = external_ko_.unwrap(layoutModel.dashboard);
                var toolbarHeight = external_ko_.observable(_dashboard_title_view_constants_titleHeight);
                var contentToolbarHeight = external_ko_.observable(contentToolbarHeight);
                let viewModel = {};
                let element = componentInfo.element;
                let currentWidth = (0,_jquery_helpers/* getWidth */.RG)(element);
                let currentHeight = (0,_jquery_helpers/* getHeight */.Oq)(element);
                let titleWidth = external_ko_.observable(currentWidth);
                let repaintRequest = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
                var layoutWidget = null;
                let getListSize = () => ({ width: (0,_jquery_helpers/* getWidth */.RG)(element), height: (0,_jquery_helpers/* getHeight */.Oq)(element) - toolbarHeight() });
                var resizeControl = () => {
                    if ((0,_jquery_helpers/* getWidth */.RG)(element) != currentWidth || (0,_jquery_helpers/* getHeight */.Oq)(element) != currentHeight) {
                        if (layoutWidget) {
                            layoutWidget.option(getListSize());
                        }
                        repaintRequest.fire();
                        currentWidth = (0,_jquery_helpers/* getWidth */.RG)(element);
                        currentHeight = (0,_jquery_helpers/* getHeight */.Oq)(element);
                        titleWidth(currentWidth);
                    }
                };
                let resizeCallback = () => resizeControl();
                window.addEventListener('resize', resizeCallback);
                var interval = setInterval(() => resizeControl(), 300);
                const customizeToolbarOptions = (options) => {
                    options.contentItems = options.contentItems.filter(item => [dashboardToolbarItemNames.titleFilterIcon, dashboardToolbarItemNames.titleFilterText].indexOf(item.name) === -1);
                    layoutModel.masterFiltersEditorModel.addFilterButton(options.actionItems, layoutModel.dashboard);
                };
                const titleModel = new DashboardTitleModel(layoutModel.dashboardTitleContext, layoutModel.dashboard, customizeToolbarOptions);
                external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
                    clearInterval(interval);
                    titleModel.dispose();
                    window.removeEventListener('resize', resizeCallback);
                });
                var actionToolbarViewModel = createToolbarViewModel(external_ko_.computed(() => {
                    return {
                        toolbarOptions: customizeActionToolbar(titleModel.toolbarOptions().toolbarOptions),
                        allowHideEmptyToolbar: true
                    };
                }), titleWidth, toolbarHeight, layoutModel.dashboardTitleContext, cssClasses.actionToolbar);
                var contentToolbarViewModel = createToolbarViewModel(external_ko_.computed(() => {
                    return {
                        toolbarOptions: customizeContentToolbar(titleModel.toolbarOptions().toolbarOptions),
                        allowHideEmptyToolbar: true
                    };
                }), titleWidth, contentToolbarHeight, layoutModel.dashboardTitleContext, cssClasses.contentToolbar);
                return {
                    itemMasterFiltersViewModel: new ItemMasterFiltersViewModel(layoutModel.masterFiltersEditorModel, layoutModel.dashboardContext, repaintRequest),
                    fullscreenItemViewModel: createFullscreenItemViewModel(layoutModel.fullscreenItemModel, layoutModel.masterFiltersEditorModel, repaintRequest),
                    titleViewModel: actionToolbarViewModel,
                    layoutViewModel: createLayoutViewModel(element, getListSize(), layoutModel.dashboardContext, repaintRequest, layoutModel.items, layoutModel.fullscreenItemModel, (widget) => layoutWidget = widget, contentToolbarViewModel, layoutModel.dashboard.title.visible())
                };
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};
let ungroupedItemKey = '_dx_dashboard_ungrouped_mobile_layout_item_key';
let groupWithoutCaptionItemKey = '_dx_dashboard_group_without_caption_mobile_layout_item_key';
let dashboardTitleKey = '_dx_dashboard_mobile_layout_title_key';
let mobileLayoutCssClasses = {
    ungroupedItem: 'dx-dashboard-ungrouped-item',
    dashboardDisplayNone: 'dx-dashboard-display-none',
    groupWithoutCaption: 'dx-dashboard-group-without-caption'
};
var createToolbarViewModel = (options, width, height, context, className) => {
    return {
        options: options,
        width: width,
        height: height,
        encodeHtml: context.encodeHtml,
        className: className
    };
};
var customizeActionToolbar = (options) => {
    return {
        staticItems: options.navigationItems,
        actionItems: options.actionItems,
        stateItems: options.stateItems,
        navigationItems: []
    };
};
var customizeContentToolbar = (options) => {
    return {
        staticItems: options.staticItems,
        actionItems: [],
        stateItems: [],
        navigationItems: []
    };
};
var createLayoutViewModel = (element, listSize, dashboardContext, repaintRequest, items, fullscreenItemModel, getWidgetCallback, titleViewModel, titleVisible) => {
    var title = {
        data: titleViewModel,
        name: 'dx-dashboard-mobile-title'
    };
    let layoutItems = items.map(layoutItem => {
        let items = layoutItem.dashboardItems.map(dashboardItem => {
            return {
                data: new MobileLayoutItemViewModel(dashboardContext, repaintRequest, dashboardItem, fullscreenItemModel),
                name: 'dx-dashboard-mobile-layout-item'
            };
        });
        return {
            key: layoutItem.groupName,
            items: items
        };
    });
    return {
        indicateLoading: false,
        ...listSize,
        activeStateEnabled: false,
        focusStateEnabled: false,
        hoverStateEnabled: false,
        grouped: true,
        dataSource: (titleVisible ? [{
                key: dashboardTitleKey,
                items: [title]
            }] : []).concat(layoutItems),
        onContentReady: (e) => {
            getWidgetCallback(e.component);
        },
        groupTemplate: (data, index, element) => {
            if (data.key === ungroupedItemKey || data.key === dashboardTitleKey) {
                let className = data.key === dashboardTitleKey || (data.key === ungroupedItemKey && (titleVisible && index === 1 || !titleVisible && index === 0)) ? mobileLayoutCssClasses.dashboardDisplayNone : mobileLayoutCssClasses.ungroupedItem;
                (0,_jquery_helpers/* $unwrap */.I1)(element).classList.add(className);
                return document.createElement('div');
            }
            else if (data.key.search(groupWithoutCaptionItemKey) !== -1) {
                (0,_jquery_helpers/* $unwrap */.I1)(element).classList.add(mobileLayoutCssClasses.groupWithoutCaption);
                return document.createElement('div');
            }
            else {
                let div = document.createElement('div');
                div.innerText = data.key;
                return div;
            }
        }
    };
};

// EXTERNAL MODULE: ./dist/common/_data-source-browser.js
var _data_source_browser = __webpack_require__(6768);
// EXTERNAL MODULE: ./dist/common/_helpers.js
var _helpers = __webpack_require__(4102);
;// ./dist/common/_service-client.js







class ViewerDataServiceClient {
    constructor(_dashboardContainer, _errorHandler, _dataServiceUrls, _remoteService) {
        this._dashboardContainer = _dashboardContainer;
        this._errorHandler = _errorHandler;
        this._dataServiceUrls = _dataServiceUrls;
        this._remoteService = _remoteService;
        this.getColoringScheme = (itemName = '') => {
            throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
        };
        this.getDashboardPalette = () => {
            throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
        };
        this.getAvailableFontFamilies = () => {
            throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
        };
        this.getItemData = (item, isModeAllowsToReduceData) => {
            return this._performRequest(this._dataServiceUrls.DashboardItemGetAction, {
                itemId: item.componentName(),
                query: this._getItemDataQuery(item, isModeAllowsToReduceData)
            });
        };
        this.getBatchItemData = (items, isModeAllowsToReduceData) => {
            return this._performRequest(this._dataServiceUrls.DashboardItemBatchGetAction, {
                items: items.reduce((acc, item) => {
                    acc[item.componentName()] = this._getItemDataQuery(item, isModeAllowsToReduceData);
                    return acc;
                }, {})
            });
        };
        this.getMapShapeFile = (itemName) => {
            return this._performRequest(this._dataServiceUrls.GetMapShapeFileAction, {
                itemId: itemName
            });
        };
        this.getUnderlyingData = (itemName, columnValues, rowValues, columnNames, dataQueryParams) => {
            return this._performRequest(this._dataServiceUrls.GetUnderlyingDataAction, {
                itemId: itemName,
                query: dataQueryParams,
                columnValues: columnValues,
                rowValues: rowValues,
                columnNames: columnNames
            });
        };
        this.markDataSourcesForReload = () => {
            const requestArgs = {
                dashboardId: this._dashboardContainer.id
            };
            this._ensureClientServerContract(requestArgs);
            return this._remoteService.postToServer(this._dataServiceUrls.MarkDataSourcesForReloadAction, requestArgs);
        };
    }
    getParameterValues(dataSourceId, dataSource, dataMember, valueMember, displayMember, sortOrder, sortByMember, parameterType) {
        return this._performRequest(this._dataServiceUrls.ParameterValuesAction, {
            dataSourceId: dataSourceId,
            dataMember: dataMember,
            valueMember: valueMember,
            displayMember: displayMember,
            sortOrder: sortOrder,
            sortByMember: sortByMember,
            parameterType: parameterType
        })
            .fail((request) => this._errorHandler.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToLoadParameterValues') + (dataSource && dataSource.name() || dataSourceId), request));
    }
    performExport(exportInfo, exportModels) {
        var commonArgs = this._createCommonArgs();
        this._ensureClientServerContract(commonArgs);
        var args = {
            model: exportModels,
            ...exportInfo,
            ...commonArgs
        };
        this._remoteService.performPostback(this._dataServiceUrls.PerformExportAction, args)
            .fail((response) => this._errorHandler.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToPerformExport'), response));
        return;
    }
    getDimensionUniqueValues(dataSource, dataMember, dimension) {
        throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
    }
    getDimensionFilterItems(dashboardItem, dimensionDataMember, previousState, branch) {
        throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
    }
    getDimensionFilterString(dashboardItem, dimensionDataMember, previousState) {
        throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
    }
    getFieldList(dataSource, dataMember, fieldPath) {
        throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
    }
    convertItem(item, destinationItemTypeName) {
        throw new Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode'));
    }
    _getItemDataQuery(item, isModeAllowsToReduceData) {
        let dataQueryParams = (0,_jquery_helpers/* deepExtend */.zw)({}, item._getDataQueryParams());
        let isDataItem = item instanceof data_dashboard_item/* DataDashboardItem */.s;
        if (isDataItem && isModeAllowsToReduceData && item._limitDataState.enabled) {
            dataQueryParams.LimitVisibleData = true;
        }
        return dataQueryParams;
    }
    _queryParamsToQueryString(dataQueryParams) {
        var urlQuery = {};
        if (dataQueryParams) {
            Object.keys(dataQueryParams).forEach(name => {
                var value = external_ko_.unwrap(dataQueryParams[name]);
                if (!!value) {
                    if (typeof value === 'object') {
                        if (Object.keys(value).length > 0) {
                            urlQuery[name] = JSON.stringify(value);
                        }
                    }
                    else {
                        urlQuery[name] = value;
                    }
                }
            });
        }
        return Object.keys(urlQuery).length === 0 ? '' : (0,_jquery_helpers/* jqueryQueryParam */.ql)(urlQuery);
    }
    _createCommonArgs() {
        return {
            dashboardId: this._dashboardContainer.id,
            parameters: (0,parameter/* _getParametersQuery */.q)(this._dashboardContainer.dashboard.parameters(), this._dashboardContainer.dashboard._tempParameterValues)
        };
    }
    _performRequest(url, requestArgs) {
        var commonArgs = this._createCommonArgs();
        Object.keys(requestArgs).forEach(argsKey => {
            if (commonArgs[argsKey]) {
                throw Error(`The '${argsKey}' request argument key is reserved for common event args`);
            }
            else {
                commonArgs[argsKey] = requestArgs[argsKey];
            }
        });
        this._ensureClientServerContract(commonArgs);
        return this._performRequestCore(url, commonArgs);
    }
    _performRequestCore(url, params) {
        var queryString = this._queryParamsToQueryString(params);
        if (queryString) {
            var urlSeparator = url.indexOf('?') == -1 ? '?' : '&';
            queryString = urlSeparator + queryString;
        }
        var fullUrl = url + queryString;
        if (fullUrl.length < ViewerDataServiceClient.maxQueryStringLength) {
            return this._remoteService.getFromServer(fullUrl);
        }
        else {
            return this._remoteService.postToServer(url, params);
        }
    }
    _ensureClientServerContract(requestParams) {
        if (_helpers/* requestParamsValidator */.Ec.isValid(requestParams)) {
            requestParams.dashboardId = String(requestParams.dashboardId);
        }
        else {
            console.error(`Incorrect type of 'dashboardId' option: ${typeof requestParams.dashboardId}`);
        }
    }
}
ViewerDataServiceClient.maxQueryStringLength = 2000;
class DesignerDataServiceClient extends ViewerDataServiceClient {
    constructor(_dashboardContainer, _errorHandler, _dataServiceUrls, _remoteService) {
        super(_dashboardContainer, _errorHandler, _dataServiceUrls, _remoteService);
        this.getColoringScheme = (itemName = '') => {
            return this._performRequest(this._dataServiceUrls.GetColoringSchemeAction, {
                itemId: itemName,
                query: itemName ? this._dashboardContainer.dashboard._findDataItem(itemName)._getDataQueryParams() : {}
            })
                .fail(request => { this._errorHandler.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToGetColorScheme'), request); });
        };
        this.getDashboardPalette = () => {
            const requestArgs = {
                dashboardId: this._dashboardContainer.id
            };
            this._ensureClientServerContract(requestArgs);
            return this._remoteService.postToServer(this._dataServiceUrls.GetDashboardPaletteAction, requestArgs);
        };
        this.getAvailableFontFamilies = () => {
            const requestArgs = {
                dashboardId: this._dashboardContainer.id
            };
            this._ensureClientServerContract(requestArgs);
            return this._remoteService.getFromServer(this._dataServiceUrls.GetAvailableFontFamiliesAction, requestArgs);
        };
    }
    convertItem(item, destinationItemTypeName) {
        return this._performRequest(this._dataServiceUrls.ConvertItemAction, {
            itemId: item.componentName(),
            destinationItemTypeName: destinationItemTypeName
        })
            .fail((request) => { this._errorHandler.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToConvertItemToType') + destinationItemTypeName, request); });
    }
    getDimensionUniqueValues(dataSource, dataMember, dimension) {
        return this._performRequest(this._dataServiceUrls.DimensionUniqueValuesAction, {
            dataSourceId: dataSource.componentName(),
            dimension: new external_DevExpress_Analytics_Utils_.ModelSerializer({ useRefs: false }).serialize(dimension),
            dataMember: dataMember,
        })
            .fail((request) => { this._errorHandler.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues') + dataSource.name(), request); });
    }
    getDimensionFilterItems(item, dimensionDataMember, previousState, branch) {
        return this._performRequest(this._dataServiceUrls.DimensionFilterItemsAction, {
            itemId: item.componentName(),
            query: item._getDataQueryParams(),
            dimensionDataMember: dimensionDataMember,
            previousState: previousState,
            branch: branch
        });
    }
    getDimensionFilterString(item, dimensionDataMember, previousState) {
        return this._performRequest(this._dataServiceUrls.DimensionFilterStringAction, {
            itemId: item.componentName(),
            query: item._getDataQueryParams(),
            dimensionDataMember: dimensionDataMember,
            previousState: previousState,
            branch: null
        });
    }
    getFieldList(dataSource, dataMember, fieldPath) {
        return this._performRequest(this._dataServiceUrls.FieldListAction, {
            dataSourceId: dataSource.componentName(),
            dataMember: dataMember,
            fieldPath: fieldPath
        })
            .fail(request => { this._errorHandler.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource') + dataSource.name(), request); });
    }
    _createCommonArgs() {
        return {
            dashboardId: this._dashboardContainer.id,
            dashboard: this._dashboardContainer.dashboard.getJSON(),
            parameters: (0,parameter/* _getParametersQuery */.q)(this._dashboardContainer.dashboard.parameters(), this._dashboardContainer.dashboard._tempParameterValues)
        };
    }
    _performRequestCore(url, data) {
        return this._remoteService.postToServer(url, data);
    }
}

;// ./dist/common/index.internal.js












































// EXTERNAL MODULE: ./dist/common/control-options.js
var control_options = __webpack_require__(5292);
// EXTERNAL MODULE: ./dist/model/dashboard.js
var model_dashboard = __webpack_require__(516);
// EXTERNAL MODULE: ./dist/model/serializable-model.js
var serializable_model = __webpack_require__(1513);
;// ./dist/resources/_html_templates.generated.js

const _initializeHtmlTemplates = () => external_DevExpress_Analytics_Widgets_Internal_.SvgTemplatesEngine.addTemplates({
    'dx-layout-item': '<!-- ko with: layoutItem --> <div class="dx-layout-item-wrapper" data-bind="dx-ko-resizable: { getWidgetContainer: $root.getWidgetContainer, layoutItem: $data }, visible: visible"> <!-- ko if: viewModel.hasItem() --> <!-- ko template: viewModel.template || \'dx-layout-item-container\' --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: viewModel.hasItem() --> <!-- ko template: \'dx-layout-group-container\' --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko -->',
    'dx-layout-item-container': '<div class="dx-layout-item-container" data-bind="style: { width: containerWidth() + \'px\', height: containerHeight() + \'px\' }"></div> <!-- ko if: isDesignMode --> <div class="dx-layout-item-cover" data-bind="dxclick: coverClickHandler, css: itemStyle" draggable="true"></div> <div class="dx-layout-item-plate" data-bind="visible: isSelected" draggable="true"></div> <!-- /ko -->',
    'dx-layout-group-container': '<div class="dx-layout"> <!-- ko if: viewModel.orientation() === \'Horizontal\' --> <div class="dx-layout-group"> <!-- ko foreach: items --> <dx-layout-item class="dx-layout-item" params="layoutItem: $data"></dx-layout-item> <!-- /ko --> </div> <!-- /ko --> <!-- ko if: viewModel.orientation() === \'Vertical\' --> <!-- ko foreach: items --> <div class="dx-layout-group"> <dx-layout-item class="dx-layout-item" params="layoutItem: $data"></dx-layout-item> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: items().length === 0 && !!$data.getPlaceholder --> <div data-bind="style: { width: containerWidth() + \'px\', height: containerHeight() + \'px\' }"> <!-- ko with: $data.getPlaceholder() --> <!-- ko template: viewModel.template --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko --> </div>',
    'dx-dashboard-empty-item-templates': '<!-- ko foreach: $data --> <!-- ko template: $data --> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-item-placeholder': '<!-- ko if: $parent.isDesignMode() --> <div class="dx-layout-item-placeholder" data-bind="css: itemStyle"> <!-- ko if: !dragOverLocation() --> <!-- ko template: getLayoutItemPlaceholder() --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko -->',
    'dx-dashboard-group': '<dx-dashboard-layout-group params="layoutItem: $data"></dx-dashboard-layout-group>',
    'dx-dashboard-layout-group': '<!-- ko with: layoutItem --> <div class="dx-layout-item-container" data-bind="dx-dashboard-layout-group-binding: { dashboardContext: $data.getContext(), localContext: $data.getLocalContext(), sizeController: $data.sizeController, dashboardItem: $data.viewModel.model.item, headerHeight: $parent.headerHeight }"></div> <!-- ko if: isDesignMode --> <div class="dx-layout-item-cover" data-bind=" dxclick: coverClickHandler, event: { mouseover: coverMouseOverHandler }, css: itemStyle"> </div> <!-- /ko --> <!-- ko if: items().length !== 0 --> <div data-bind="style: { top: $parent.headerHeight() + \'px\', padding: $parent.padding() + \'px\' }" class="dxb-position-absolute dxb-b0"> <!-- ko template: \'dx-layout-group-container\' --> <!-- /ko --> </div> <!-- /ko --> <!-- ko if: items().length === 0 && isDesignMode() --> <div class="dx-layout-item-cover" data-bind=" dxclick: coverClickHandler, event: { mouseover: coverMouseOverHandler }, css: itemStyle"> <div data-bind="style: { top: $parent.headerHeight() + \'px\', padding: $parent.padding() + \'px\' }" class="dxb-position-absolute dxb-b0 dxb-l0 dxb-r0"> <!-- ko with: $data.getPlaceholder() --> <!-- ko template: viewModel.template --> <!-- /ko --> <!-- /ko --> </div> </div> <!-- /ko --> <!-- ko if: isSelected --> <!-- ko template: getContextMenu() --> <!-- /ko --> <!-- ko template: { name: \'dx-dashboard-item-plate\' } --> <!-- /ko --> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-tab-container': '<dx-dashboard-layout-tab-container params="layoutItem: $data"></dx-dashboard-layout-tab-container>',
    'dx-dashboard-layout-tab-container': '<!-- ko with: layoutItem --> <dashboard-layout-tabs params="layoutItem: $data, headerHeight: $parent.headerHeight" class="dx-layout-item-container dx-dashboard-item-container dx-dashboard-tabs-container"> </dashboard-layout-tabs> <!-- ko if: isDesignMode --> <div class="dx-layout-item-cover" data-bind=" dxclick: coverClickHandler, event: { mouseover: coverMouseOverHandler }, css: itemStyle"> </div> <!-- /ko --> <!-- ko if: $parent.activeItems().length !== 0 --> <!-- ko if: $parent.activeItems()[0].items().length !== 0 --> <div data-bind="style: { top: $parent.headerHeight() + \'px\', padding: $parent.padding() + \'px\' }" class="dx-dashboard-tabs-content"> <!-- ko template: \'dx-layout-group-container\' --> <!-- /ko --> </div> <!-- /ko --> <!-- ko if: $parent.activeItems()[0].items().length === 0 && isDesignMode() --> <div class="dx-layout-item-cover" data-bind=" dxclick: coverClickHandler, event: { mouseover: coverMouseOverHandler }, css: itemStyle"> <div data-bind="style: { top: $parent.headerHeight() + \'px\', padding: $parent.padding() + \'px\' }" class="dx-dashboard-tabs-content dx-dashboard-design" > <!-- ko with:  $parent.activeItems()[0].getPlaceholder() --> <!-- ko template: viewModel.template --> <!-- /ko --> <!-- /ko --> </div> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: $parent.activeItems().length === 0 && isDesignMode() --> <div> </div> <!-- /ko --> <!-- ko if: isSelected --> <!-- ko template: getContextMenu() --> <!-- /ko --> <!-- ko template: { name: \'dx-dashboard-item-plate\' } --> <!-- /ko --> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-layout-tabs': '<div class="dx-dashboard-layout-tabs-container"> <div class="dx-dashboard-layout-tabs dx-dashboard-stretched" data-bind="dxTabs: { items: tabPageBindings, itemTemplate: \'dx-dasbhoard-layout-tab-item\', selectionMode: \'single\', keyExpr: \'id\', selectedItemKeys: selectedItemKeys, onSelectionChanged: onSelectionChanged, hoverStateEnabled: true, scrollingEnabled: false, focusStateEnabled: false}"> <div data-options="dxTemplate:{ name:\'dx-dasbhoard-layout-tab-item\' }" class=\'dx-dashboard-tab-content\'> <div class="dx-dashboard-standalone-item" data-bind="dx-dashboard-layout-tab-binding: { dashboardItem: $data.dashboardItem, dashboardContext: $data.context, localContext: $data.localContext, sizeController: $data.sizeController, ignoreBorder: $data.ignoreBorder }"> </div> <div class="dx-dashboard-cover"></div> </div> </div> <!-- ko if: showMenu() --> <div class="dx-dashboard-item-container dx-dashboard-tab-button dx-dashboard-toggle-menu-button" tabindex="0" data-bind="click: toggleMenu"> <div> <!-- ko template: \'dx-dashboard-open-tab-pages\' --><!-- /ko --> </div> </div> <!-- /ko --> <!-- ko if: showAddButton() --> <div class="dx-dashboard-tab-button dx-dashboard-create-tab-page-button" data-bind="click: createTabPage"> <div> <!-- ko template: \'dx-dashboard-ce-add\' --><!-- /ko --> </div> </div> <!-- /ko --> </div>',
    'dx-dashboard-resizable-layout': '<!-- ko if: componentArgs --> <dashboard-docking-layout data-bind="css: cssClasses" params="componentArgs: componentArgs"></dashboard-docking-layout> <!-- /ko -->',
    'dx-dashboard-docking-layout': '<!-- ko if: title.showTitle() --> <div data-bind="style: title.containerStyles"> <dashboard-title data-bind="style: title.styles" params="componentArgs: title.componentArgs"></dashboard-title> </div> <!-- /ko --> <div data-bind="dxScrollView: scrollView.options, style: scrollView.styles" class="dx-dashboard-layout-container"> <div data-bind="style: scrollView.contentWrapperStyles, dx-dashboard-element-accessor: layoutMainElementEvents"> <!-- ko with: layout --> <dx-layout-item data-bind="css: { \'dx-state-underlying-selection\': $data.areChildrenSelected() }" class="dx-layout-item dx-layout-root" params="layoutItem: $data"></dx-layout-item> <!-- /ko --> </div> </div> <!-- ko if: fullscreenItemModel.visible() --> <div class="dx-dashboard-fullscreen-item-base" data-bind="style: fullscreenItem.styles"> <div class="dx-layout-item-wrapper dx-dashboard-fullscreen-item"> <div class="dx-layout-item-container dx-dashboard-container" data-bind=" dx-dashboard-item-binding: { dashboardItem: fullscreenItemModel.viewModel().dashboardItem, dashboardContext: fullscreenItemModel.viewModel().dashboardContext, localContext:  fullscreenItemModel.viewModel().localContext, sizeController: fullscreenItemModel.viewModel().getSizeController($element) }"> </div> </div> </div> <!-- /ko -->',
    'dx-dashboard-working-mode-extension': '<div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'left top\', at: \'left top\', collision: \'flipfit\', boundaryOffset: \'0, 0\', boundary: $root.getWidgetContainer(), of:  $root.getWidgetContainer(), offset: \'0, 0\' }, animation: enableAnimation () ? { show: { type: \'slide\', from: { left: panelWidth() * -1 }, to: { left: 0 }, duration: 500 }, hide: { type: \'slide\', from: { left: 0 }, to: { left: panelWidth() * -1 }, duration: 500 } } : null, focusStateEnabled: false, showCloseButton: isMobile, dragEnabled: false, width: panelWidth, height: \'100%\', shading: false, toolbarItems: [{ text: $root.getLocalizationById(\'DashboardWebStringId.Dashboards\'), location: \'before\', toolbar: \'top\', }], hideOnOutsideClick: false, onInitialized: onPopupInitialized, onDisposing: onPopupDisposing, onContentReady: function() { enableAnimation(true) }, visible: visible, wrapperAttr: { class: isMobile() ? \'dx-dashboard-card-view-panel dx-dashboard-panel-extension dx-dashboard-typography\' : \'dx-dashboard-panel-extension dx-dashboard-typography\' } }"> <div class="dx-dashboard-dashboard-list dx-dashboard-typography" data-bind="dxList: listOptions, css: { \'dx-dashboard-dashboard-list-full\': !allowSwitchToDesigner(), \'dx-dashboard-dashboard-list-clipped\': allowSwitchToDesigner() }"> <div data-options="dxTemplate:{ name: \'dashboard-card-view\' }"> <div class="dx-dashboard-card-view"> <div class=\'dx-dashboard-card-name\' data-bind="text: name"></div> </div> </div> <div data-options="dxTemplate:{ name: \'dashboard-preview\' }"> <div class="dx-dashboard-preview" data-bind="css: { \'dx-dashboard-minimized\': hidden }"> <div class=\'dx-dashboard-image-container\' data-bind="css: { \'dx-dashboard-hidden\': hidden }"> <img class="dx-dashboard-image" data-bind="attr: { src: imageUrl, alt: name }, event: { error: hide }" /> </div> <div class="dx-dashboard-name-container"> <div class=\'dx-dashboard-name\' data-bind="text: name"></div> </div> </div> </div> <div data-options="dxTemplate:{ name: \'dashboard-list-item\' }"> <div data-bind="text: name"></div> </div> </div> <!-- ko if: allowSwitchToDesigner --> <!-- ko template: \'dx-dashboard-edit-in-designer-button\' --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-dashboard-edit-in-designer-button-icon': '<div class="dx-dashboard-edit-in-designer-button-icon"> <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 32 32" xml:space="preserve"> <g> <path class="editDashboardIcon" d="M25.5,5.5C23.3,3.3,20.3,2,17,2C10.5,2,5.3,7.1,5,13.5C6,13.2,7,13,8,13c5,0,9,4,9,9c0,1.4-0.3,2.8-0.9,4 c0.3,0,0.6,0,0.9,0c6.6,0,12-5.4,12-12H17L25.5,5.5z" /> <path class="editDashboardIcon" d="M32,13c0-3.3-1.3-6.3-3.5-8.5L20,13H32z" /> <path class="editDashboardIcon" d="M8,14c-4.4,0-8,3.6-8,8s3.6,8,8,8s8-3.6,8-8S12.4,14,8,14z M13.7,24H9.3l1.7-5l-4.2,5H2.3 C2.1,23.4,2,22.7,2,22c0-3.3,2.7-6,6-6s6,2.7,6,6C14,22.7,13.9,23.4,13.7,24z" /> </g> </svg> </div>',
    'dx-dashboard-edit-in-designer-button': '<div class="dx-dashboard-edit-in-designer-button" data-bind="dxButton: { onClick: switchToDesigner, type: \'default\', template: \'template\' }"> <div data-options="dxTemplate: { name: \'template\' }" class="designer-button-content"> <!-- ko template: \'dx-dashboard-edit-in-designer-button-icon\' --> <!-- /ko --> <div class="dx-dashboard-edit-in-designer-button-text" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.EditInDesigner\')"></div> </div> </div>',
    'dx-dashboard-working-mode-extension-viewer-button': '<div class="dx-dashboard-viewer-button" data-bind="dxButton: { onClick: click, type: \'default\', text: $root.getLocalizationById(\'DashboardWebStringId.Viewer\') }"> </div>',
    'dx-dashboard-data-inspector-extension': '<div data-bind="dxPopup: _getPopupOptions()"> <!-- ko if: allowSwitchInspectedDataType --> <div class="dx-dashboard-inspected-data-type-chooser"> <span class="dx-dashboard-inspected-data-type-text" data-bind="text: $root.getLocalizationById(\'DashboardStringId.InspectedData\')"></span> <div class="dx-dashboard-inspected-data-radio-group" data-bind="dxRadioGroup: { layout: \'horizontal\', displayExpr: \'text\', valueExpr: \'value\', dataSource: avaliableInspectedDataType, value: inspectedDataType }"> </div> </div> <!-- /ko --> <!-- ko with: gridOptions --> <div class="dx-dashboard-data-inspector-grid" data-bind="dxDataGrid: $data"></div> <!-- /ko --> </div>',
    'dx-dashboard-mobile-layout': '<!-- ko if: componentArgs --> <dashboard-mobile-layout-widget params="componentArgs: componentArgs" class="dx-dashboard-viewer dx-dashboard-container dx-dashboard-mobile-layout-widget dxb-position-absolute dxb-b0 dxb-t0 dxb-l0 dxb-r0" > </dashboard-mobile-layout-widget> <!-- /ko -->',
    'dx-dashboard-mobile-layout-widget': '<!-- ko template: { name: \'dx-dashboard-mobile-title\', data: titleViewModel } --> <!-- /ko --> <div data-bind="dxList: layoutViewModel, style: { top: titleViewModel.height() + \'px\' }" class="dx-dashboard-mobile-layout dx-dashboard-container dxb-position-absolute"> <div data-options="dxTemplate:{ name: \'item\' }"> <!-- ko template: $data --> <!-- /ko --> </div> </div> <!-- ko template: { name: \'dx-dashboard-mobile-fullscreen-item\', data: fullscreenItemViewModel } --> <!-- /ko --> <!-- ko template: { name: \'dx-dashboard-mobile-item-master-filters\', data: itemMasterFiltersViewModel } --> <!-- /ko -->',
    'dx-dashboard-mobile-title': '<dashboard-title params="componentArgs: { options: options, width: width, height: height, encodeHtml: encodeHtml, className: className }"></dashboard-title>',
    'dx-dashboard-mobile-fullscreen-item': '<div data-bind="dxOverlay: { shading: false, width: width, height: height, deferRendering: true, visible: visible, animation: { show: { type: \'slide\', duration: 400, from: { position: { my: \'left\', at: \'right\', of: window } }, to: { position: { my: \'center\', at: \'center\', of: window } } }, hide: { type: \'slide\', duration: 400, from: { position: { my: \'center\', at: \'center\', of: window } }, to: { position: { my: \'left\', at: \'right\', of: window } } } }, onInitialized: onInitialized, onDisposing: onDisposing, wrapperAttr: { class: \'dx-dashboard-fullscreen-item-popup\' }, position: { my: \'left top\', at: \'left top\' } }"> <!-- ko if: visible --> <!-- ko with: itemViewModel --> <dashboard-standalone-item class="dx-dashboard-container dx-dashboard-theme dxb-w100 dxb-h100 dxb-d-block" params="dashboardItem: dashboardItem, dashboardContext: dashboardContext, localContext: localContext, repaintRequest: repaintRequest, "></dashboard-standalone-item> <!-- /ko --> <!-- /ko --> </div>',
    'dx-dashboard-mobile-layout-item': '<div class="dx-dashboard-mobile-layout-maximize-icon" data-bind=" css: { \'dx-dashboard-mobile-layout-maximize-icon-selected\': isReadyForAction() }, style: { \'opacity\': maximizeIconOpacity()  } "> <!-- ko template: \'dx-dashboard-maximize-item\' --><!-- /ko --> <div>Maximize</div> </div> <dashboard-standalone-item data-bind="style: { \'transform\': \'translateX(\' + itemOffsetInPixels() + \'px)\'  }" class="dx-dashboard-standalone-item-container dx-state-disabled" params="dashboardItem: dashboardItem, dashboardContext: dashboardContext, localContext: localContext, repaintRequest: repaintRequest, "></dashboard-standalone-item> <div class="dx-dashboard-mobile-layout-item-shield" data-bind=" dxclick: click, dxpointerdown: selectItem, dxpointerup: unselectItem, dxpointermove: unselectItem "></div> <!--dxswipestart: { execute: swipestart, direction: \'horizontal\' }, dxswipe: { execute: swipeupdate, direction: \'horizontal\' }, dxswipeend: { execute: swipeend, direction: \'horizontal\' }-->',
    'dx-dashboard-mobile-item-master-filters': '<div data-bind=" dxOverlay: { height: masterFiltersPopup.height, width: masterFiltersPopup.width, hideOnOutsideClick: true, visible: masterFiltersPopup.visible, onHiding: function() { closeMasterFiltersPopup() }, position: { my: \'bottom\', at: \'bottom\', of: window } , animation: { show: { type: \'slide\', duration: 250, from: { position: { my: \'top\', at: \'bottom\', of: window } } }, hide: { type: \'slide\', duration: 250, to: { position: { my: \'top\', at: \'bottom\', of: window } } } }, onInitialized: masterFiltersPopup.onInitialized, onDisposing: masterFiltersPopup.onDisposing, wrapperAttr: { class: \'dx-dashboard-master-filters-popup\' } }"> <div class="master-filters-list-container"> <div class="master-filters-list-spring" data-bind="style: { flex: maximizeFiltersPopup() ? 0 : 1 }, dxclick: function() { closeMasterFiltersPopup() }"> </div> <div class="master-filters-list master-filter-popup" data-bind="style: { flex: maximizeFiltersPopup() ? 1 : 0 }"> <!-- ko foreach: masterItems--> <div class="dx-dashboard-masters-preview-item" data-bind="dxclick: click"> <div class="dx-dashboard-masters-preview-item-name" data-bind="text: name"></div> <div class="dx-dashboard-masters-preview-filtervalues"> <!-- ko foreach: filterValues --> <b data-bind="text: name"></b>:<span data-bind="text: valuesString"></span> <!-- /ko --> </div> </div> <!-- /ko --> </div> </div> <div class="apply-buttons dxb-position-absolute dxb-b0 dxb-l0 dxb-r0"> <div data-bind="dxButton: { text:  $root.getLocalizationById(\'DashboardStringId.ButtonOK\'), onClick: closeMasterFiltersPopup, type: \'default\' }"> </div> </div> </div> <div data-bind="dxOverlay: { height: masterFilterMaximizedItemPopup.height, width: masterFilterMaximizedItemPopup.width, hideOnOutsideClick: true, onHiding: function() { closeMasterFilterItemPopup() }, visible: masterFilterMaximizedItemPopup.visible, position: { my: \'bottom\', at: \'bottom\', of: window } , animation: { show: { type: \'slide\', duration: 250, from: { position: { my: \'top\', at: \'bottom\', of: window } } }, hide: { type: \'slide\', duration: 250, to: { position: { my: \'top\', at: \'bottom\', of: window } } } }, onInitialized: masterFilterMaximizedItemPopup.onInitialized, onDisposing: masterFilterMaximizedItemPopup.onDisposing, wrapperAttr: { class: \'dx-dashboard-master-filters-popup\' } }"> <!-- ko with: masterFilterItem --> <div class="master-filter-popup dxb-position-absolute dxb-b70px dxb-t0 dxb-l0 dxb-r0 dxb-d-block"> <dashboard-standalone-item class="dx-dashboard-standalone-item-container dx-dashboard-container dx-dashboard-theme" params="dashboardItem: dashboardItem, dashboardContext: dashboardContext, localContext: localContext, repaintRequest: repaintRequest, "></dashboard-standalone-item> </div> <!-- /ko --> <div class="apply-buttons dxb-position-absolute dxb-b0 dxb-l0 dxb-r0"> <div data-bind="dxButton: { text: $root.getLocalizationById(\'DashboardStringId.ButtonOK\'), onClick: closeMasterFilterItemPopup, type: \'default\' }"> </div> </div> </div>',
    'dx-dashboard-notification-controller': '<div data-bind="dxToast: { type: \'custom\', visible: visible() && !suspended(), width: \'auto\', target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'bottom right\', at: \'bottom right\', offset: \'0 0\', boundary: $root.getWidgetContainer(), of: $root.getWidgetContainer() }, displayTime: displayTime, closeOnClick: true, onHidden: onHidden, closeOnSwipe: false, onInitialized: onInitialized }"> <div class="dx-dashboard-notificator" data-bind="foreach: notifications, css: {  \'dx-dashboard-error\': type() === \'error\', \'dx-dashboard-success\': type() === \'success\', \'dx-dashboard-info\': type() === \'info\'} "> <h1 data-bind="text: title"></h1> <!-- ko if: detail !== null --> <span data-bind="text: detail"></span> <!-- /ko --> </div> </div>',
    'dx-dashboard-item': '<div class="dx-layout-item-container" data-bind="dx-dashboard-item-binding: { dashboardItem: $data.viewModel.model.item, dashboardContext: $data.getContext(), localContext: $data.getLocalContext(), sizeController: $data.sizeController }, css: { \'dx-layout-item-selected\': isSelected }"> </div> <!-- ko if: isDesignMode --> <div class="dx-layout-item-cover dx-layout-float-cover" data-bind="dxclick: coverClickHandler, event: { mouseover: coverMouseOverHandler }, css: itemStyle"></div> <!-- ko if: isSelected --> <!-- ko template: getContextMenu() --> <!-- /ko --> <!-- ko template: { name: \'dx-dashboard-item-plate\' } --> <!-- /ko --> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-item-state-loading': '<div class="dx-dashboard-layout-state dx-layout-item-loading"> <div class="dx-dashboard-control-loading" role="alert" data-bind="text:$root.getLocalizationById(\'DashboardStringId.MessageLoading\')"></div> </div>',
    'dx-dashboard-item-state-empty': '<div class="dx-dashboard-layout-state dx-dashboard-layout-state-empty dx-layout-item-empty" data-bind="attr: { \'aria-label\': emptyAriaLabel }, class: sizeClass" tabindex="0"> <!-- ko if: $data --> <div class="dx-dashboard-item-type-icon"> <!-- ko template: icon --><!-- /ko --> </div> <div class="dx-dashboard-item-type-title" data-bind="text: title"></div> <!-- /ko --> <div class="dx-dashboard-layout-state-content"> <!-- ko if: $parent.getEmptyItemTemplates --> <!-- ko template: $parent.getEmptyItemTemplates() --> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-dashboard-item-state-error': '<div class="dx-dashboard-layout-state dx-dashboard-layout-state-error dx-layout-item-empty" tabindex="0" aria-live="assertive" aria-relevant="all" aria-invalid="true" data-bind="class: sizeClass"> <!-- ko if: $data --> <div class="dx-dashboard-item-type-icon"> <!-- ko template: icon --><!-- /ko --> </div> <div class="dx-dashboard-item-type-title" data-bind="text: title"></div> <!-- /ko --> <div class="dx-dashboard-layout-state-content dx-dashboard-layout-text"> <p data-bind="text: errorState() && errorState().title"></p> <p data-bind="text: errorState() && errorState().detail"></p> </div> </div>',
    'dx-dashboard-standalone-item': '<div class="dx-dashboard-standalone-item" data-bind="css: {\'dx-dashboard-widget-container\': isStandalone, \'dx-dashboard-typography\': isStandalone  }, dx-dashboard-item-binding: { dashboardItem: $data.dashboardItem, dashboardContext: $data.dashboardContext, localContext: $data.localContext, sizeController: $data.sizeController }"> </div>',
    'dx-dashboard-control': '<div class="dx-dashboard-widget-container dx-dashboard-control dx-dashboard-typography dx-dashboard-theme dx-viewport dx-designer-viewport" data-bind="css: colorSchemeCss"> <div aria-live="polite" aria-relevant="all" id="dx-dashbaord-items-live-region-container"></div> <!-- ko foreach: externalTemplates --> <!-- ko template: $data --> <!-- /ko --> <!-- /ko --> <div class="dx-dashboard-surface" data-bind="style: { left: surfaceLeft() + \'px\' }, css: $data.classList()"> <!-- ko if: isDashboardLoaded()  --> <!-- ko template: $data.layoutTemplate() --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: isDashboardLoaded()  --> <div class="dx-dashboard-no-visible-dashboard"> <div> <!-- ko if: isLoading() --> <div class="dx-dashboard-control-loading" role="alert" data-bind="text:$root.getLocalizationById(\'DashboardStringId.MessageLoading\')"></div> <!-- /ko --> <!-- ko ifnot: isLoading() --> <div data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.NoDashboards\')"></div><br /> <!-- ko foreach: emptyControlTemplates --> <!-- ko template: $data --> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div> </div> <!-- /ko --> </div> <!-- ko template:  { name: "dx-dashboard-notification-controller", data: notificationController._viewModel } --> <!-- /ko --> </div>',
    'dx-dashboard-button-group-template': '<div data-bind="dxButtonGroup: $data"></div>',
    'dx-dashboard-calc-field-editor': '<!-- ko with: viewModel --> <div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'center\', at: \'center\', of: $root.getWidgetContainer(), boundary: $root.getWidgetContainer() }, height: \'80%\', width: \'688px\', maxHeight: \'800px\', minHeight: \'500px\', maxWidth: \'80%\', minWidth:\'600px\', animation: { }, focusStateEnabled: true, hideOnOutsideClick: false, toolbarItems: toolbarItems, visible: popupVisible, showTitle: true, hideOnParentScroll: false, title: $root.getLocalizationById(\'DashboardWebStringId.DataSources.EditCalculatedField\'), wrapperAttr: { class: \'dx-dashboard-calc-field-editor-popup\' }, resizeEnabled: true, onResize: function() { $data.resizeAceEditor(); } }"> <div class="dx-dashboard-calc-field-dialog dxb-h100"> <div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CalculatedField.Name\')"></div> <div class="dx-field-value"> <div data-bind="dxTextBox: { value: name }, dxValidator: { isValid: isCalcFieldNameValid, validationRules: nameValidationRules }"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CalculatedField.FieldType\')"></div> <div class="dx-field-value"> <div data-bind="dxSelectBox: { dataSource: availableTypes, valueExpr: \'value\', displayExpr: \'displayValue\', value: fieldType, displayCustomValue: true, editEnabled: false, dropDownOptions: { container: $root.getWidgetContainer() } }"></div> </div> </div> </div> <div class="dx-dashboard-calc-field-expression" data-bind="css: { \'dx-invalid\': !expressionEditable.isValid() }"> <div class="dx-designer dx-expressioneditor dxb-h100" data-bind="dshdExpressionEditor: { options: expressionEditable, onResize: onResize, fieldListProvider: itemsProvider, displayNameProvider: displayNameProvider, saveHandler: saveHandler }" ></div> </div> </div> </div> <!-- /ko -->',
    'dx-dashboard-calculation-expression-editor': '<!--ko with: viewModel --> <div data-bind="dxPopup: { showTitle: true, title: $root.getLocalizationById(\'AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption\'), visible: popupVisible, toolbarItems: buttonItems, showCloseButton: true, fullScreen: false, height: \'70%\', width: \'645px\', animation: { }, maxHeight: \'800px\', minHeight: \'500px\', maxWidth: \'80%\', minWidth:\'600px\', container: $root.getWidgetContainer(), position: { of: $root.getWidgetContainer(), boundary: $root.getWidgetContainer() }, wrapperAttr: { class: \'dx-designer dx-expressioneditor dx-popup-general\' }, resizeEnabled: true, onResize: function() { $data.resizeAceEditor(); } }"> <div class="dxb-h100"> <!-- ko template: "dx-expressioneditor-main" --> <!-- /ko --> </div> </div> <!-- /ko -->',
    'dx-dashboard-window-definition-editor': '<div class="dx-dashboard-window-definition-editor"> <dx-dashboard-button-group class="dx-dashboard-window-definition-selector" params="value: mode, values: dataSource"></dx-dashboard-button-group> <!-- ko with: formAdapterWrapper --> <div data-bind="dx-dashboard-form-adapter: { target: $data }" class="dx-dashboard-properties"></div> <!-- /ko --> </div>',
    'dx-dashboard-form-color-scheme': '<div class="dx-dashboard-form-wrapper"> <div class="dx-dashboard-form-column dx-dashboard-form-left-column dx-dashboard-color-scheme-editor-form"> <div class="dx-dashboard-form-column-content-wrapper dx-dashboard-coloring-form-color-tables-panel"> <!-- ko with: colorSchemeModel --> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.ColorSchemes\')"></span> </div> <!-- ko if: editableSignatures().length > 0 --> <div class="dx-dashboard-list dx-dashboard-form-row-content"> <div class="dx-dashboard-color-tables-list" data-bind="dxList: { dataSource: editableSignatures, selectedItems: selectedSignatures, selectionMode: \'single\', keyExpr: \'key\', nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\') }"> <div class="dx-dashboard-color-table-item"> <div class="dx-dashboard-color-table-item-description"> <div> <!-- ko foreach: dataItems --> <div class="dx-dashboard-color-definition-tree" data-bind="style: { \'margin-left\': ($index() > 1 ? ($index() -1) * 21 : 0).toString() + \'px\' }"> <!-- ko if: $index() > 0 --> <!-- ko template: \'dx-dashboard-tree-connector\' --><!-- /ko --> <!-- /ko --> <span data-bind="text: $data, attr: { title: $data }"></span> </div> <!-- /ko --> <div class="dx-dashboard-definition-container"> <span class="dx-dashboard-definition-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.ColorSchemeType\')"></span>:&nbsp; </span> <span data-bind="text: typeText, attr: {title: typeText}"></span> </div> <div class="dx-dashboard-definition-container"> <span class="dx-dashboard-definition-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardStringId.DefaultDataSourceName\')"></span>:&nbsp; </span> <span data-bind="text: _getDataSourceText($parents[1].getDataSourceName(dataSource)), attr: { title: _getDataSourceText($parents[1].getDataSourceName(dataSource)) }"></span> </div> </div> </div> <!-- ko if: !$parent.isSignatureAutogenerated($data) --> <div class="dx-dashboard-remove-icon" data-bind="click: $parent.removeTable"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> <!-- /ko --> </div> </div> </div> <!-- /ko --> <!-- ko ifnot: editableSignatures().length > 0 --> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-form-parameter-placeholder"> <div> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.ColorScheme.Empty\')"></span> </div> </div> </div> <!-- /ko --> <!-- /ko --> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column dx-dashboard-color-scheme-editor-form"> <div class="dx-dashboard-form-column-content-wrapper"> <!-- ko if: colorSchemeModel() && colorSchemeModel().selectedSignatureEntries().length > 0 --> <div class="dx-dashboard-form-row-content"> <div data-bind="template: { name :\'dx-dashboard-edit-color-scheme\' }" class="dx-dashboard-color-scheme-editor"></div> </div> <!-- /ko --> <!-- ko ifnot: colorSchemeModel() && colorSchemeModel().selectedSignatureEntries().length > 0 --> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-form-parameter-placeholder"> <div data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.NoSelectedSchema\')"></div> </div> </div> <!-- /ko --> </div> </div> </div>',
    'dx-dashboard-edit-color-scheme': '<div class="dx-dashboard-form-column dx-dashboard-form-left-column dx-dashboard-color-scheme-editor-form"> <div class="dx-dashboard-coloring-form-colors-panel"> <dx-dashboard-colors-component params="dataSource: colorSchemeModel().selectedSignatureEntries, allowModify: true, selectedEntry: selectedEntry, addNewEntry: createNewEntry, removeEntry: colorSchemeModel().removeEntry, colorPalette: colorPalette"></dx-dashboard-colors-component> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column"> <div class="dx-dashboard-form-column-content-wrapper dx-dashboard-properties"> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-edit-color-entry-panel"> <!-- ko if: entryEditorModel.visible --> <!-- ko with: entryEditorModel --> <!-- ko template: \'dx-dashboard-enter-new-entry-editor\' --> <!-- /ko --> <div class="dx-dashboard-coloring-form-colorbox-panel"> <div class="dx-dashboard-coloring-form-panel-header"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.ColorScheme.Color\')"></span> </div> <div data-bind="dxColorBox: { value: color, editAlphaChannel: true, dropDownOptions: { container: $root.getWidgetContainer() } }"> </div> </div> <!-- /ko --> <!-- /ko --> </div> </div> </div> </div>',
    'dx-dashboard-color-picker-editor': '<div data-bind="dxPopover: { target: target, container: $root.getWidgetContainer(), toolbarItems: buttonItems, visible: visible, position: { boundary: $root.getWidgetContainer() } }"> <div data-bind="dxScrollView: { direction: \'vertical\' }"> <div data-bind="dxColorView: { value: colorCss, editAlphaChannel: true, applyValueMode: \'instantly\' }"> </div> </div> </div>',
    'dx-dashboard-enter-new-entry-editor': '<div class="dx-dashboard-new-entry-panel"> <!-- ko foreach: dimensionEditors || [] --> <div class="dx-dashboard-new-entry-item"> <div class="dx-dashboard-coloring-form-panel-header" data-bind="text: dimensionKey.definition.dataMember"></div> <!-- ko if: ["Integer", "Float", "Double", "Decimal"].indexOf(valueType) > -1 --> <div data-bind="dxNumberBox: { height: 40, showSpinButtons:true, disabled: $parent.isAutogenerated, value: dimensionKey.value.value }, dxValidator: { validationGroup: \'newEntry\', name: dimensionKey.definition.dataMember(), validationRules: [{ type: \'required\' } ] }"> </div> <!-- /ko --> <!-- ko if: ["DateTime"].indexOf(valueType) > -1 --> <div data-bind="dxDateBox: { height: 40, width: \'auto\', disabled: $parent.isAutogenerated, value: dimensionKey.value.value, dropDownOptions: { container: $root.getWidgetContainer() } }, dxValidator: { validationGroup: \'newEntry\', name: dimensionKey.definition.dataMember(), validationRules: [{ type: \'required\' } ] }"> </div> <!-- /ko --> <!-- ko if: ["Bool","Boolean"].indexOf(valueType) > -1 --> <div data-bind="dxCheckBox: { height: 40, disabled: $parent.isAutogenerated, value: dimensionKey.value.value }"> </div> <!-- /ko --> <!-- ko ifnot: ["Integer", "Float", "Double", "Decimal", "DateTime", "Bool", "Boolean"].indexOf(valueType) > -1 --> <div data-bind="dxTextBox: { height: 40, disabled: $parent.isAutogenerated, value: dimensionKey.value.value }, dxValidator: { validationGroup: \'newEntry\', name: dimensionKey.definition.dataMember(), validationRules: [{ type: \'required\' } ] }"> </div> <!-- /ko --> </div> <!-- /ko --> <!-- ko if: hasMeasures --> <div class="dx-dashboard-color-entry-measures-selector"> <div class="dx-dashboard-coloring-form-panel-header" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.MeasureNames\')"></div> <div data-bind="dxTagBox: { dataSource: availableMeasures, value: selectedMeasuresIds, disabled: isAutogenerated, displayExpr: \'displayText\', valueExpr: \'_id\', dropDownOptions: { container: $root.getWidgetContainer() } }, dxValidator: { validationGroup: \'newEntry\', validationRules: measuresValidationRules || [] }"> </div> </div> <!-- /ko --> </div>',
    'dx-dashboard-colors-view': '<!-- ko with: colorPickerModel --><!-- ko template: { name : \'dx-dashboard-color-picker-editor\', data: $data } --><!-- /ko --><!-- /ko --><div class="dx-dashboard-colors-view-panel"> <!-- ko if: allowAddNewEntry --> <div class="dx-dashboard-form-row-caption dx-dashboard-coloring-form-panel-header"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.ColorScheme.Colors\')"></span> <div class="dx-dashboard-form-row-action-list"> <div class="dx-dashboard-form-row-action" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Colorization.AddColor\'), click: addNewEntry"> </div> </div> </div> <!-- /ko --> <div class="dx-color-scheme-tree-view-container dx-dashboard-form-row-content" data-bind="visible: allowModify || isTreeMode()"> <div class="dx-dashboard-treeview dx-dashboard-empty-message dx-color-scheme-tree-view" data-bind="dxTreeView: { dataSource: dataSource, dataStructure: \'tree\', height: !allowModify ? \'450px\' : \'100%\', selectByClick: allowModify ? true : false, selectionMode: allowModify ? \'single\' : \'none\', onItemSelectionChanged: allowModify ? onItemSelectionChanged : null, searchEnabled: true, searchExpr: [\'value\'], searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\'), focusStateEnabled: false, hoverStateEnabled: false } }"> <div class="dx-color-scheme-tree-item" data-bind="css: { \'dx-color-scheme-group-tree-item\': !$data.editColor }"> <!-- ko if: $data.editColor --> <div class="dx-dashboard-color-scheme-item-color" data-bind="click: editColor, style: { \'backgroundColor\': color }"></div> <!-- /ko --> <span class="dx-dashboard-color-scheme-item-name" data-bind="text: value"></span> <!-- ko if: $parent.allowModify && custom --> <div class="dx-dashboard-remove-icon" data-bind="click: $parent.removeItem"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> <!-- /ko --> </div> </div> </div> <div class="dx-dashboard-colors-list-compact dx-dashboard-list dx-dashboard-empty-message" data-bind="visible: !allowModify && !isTreeMode(), dxList: { dataSource: dataSource, focusStateEnabled: false, hoverStateEnabled: false, activeStateEnabled: false, searchEnabled: true, searchMode: \'contains\', searchExpr: [\'value\'], noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\'), focusStateEnabled: false, hoverStateEnabled: false }, height: !allowModify ? \'450px\' : \'100%\', }"> <div class="dx-dashboard-color-scheme-item" data-bind="style: { \'backgroundColor\': color }"> <div class="dx-dashboard-color-scheme-item-name" data-bind="text: value"></div> <!-- ko if: $data.editColor --> <div class="dx-dashboard-edit-color-icon" data-bind="click: editColor"> <!-- ko template: \'dx-dashboard-ds-edit\' --><!-- /ko --> </div> <!-- /ko --> </div> </div></div>',
    'dx-dashboard-format-rule-condition-type-editor': '<div class="dx-dashboard-condition-type-editor"> <div class="dx-field-chooser-header-container"> <!-- ko template: \'dx-slidable-lists-navigation-area\' --> <!-- /ko --> </div> <div class="dx-dashboard-condition-types-container dx-dashboard-list" data-bind="css: { \'dx-dashboard-state-condition-selected\': displayMode() === \'specificTypes\' }"> <div class="dx-dashboard-list dx-dashboard-empty-message" data-bind="dxList: { dataSource: availableConditionTypes, selectionMode: \'single\', selectedItems: availableConditionTypes() && availableConditionTypes().filter(function(value) { return value.value === conditionType(); }) || [], onItemClick: function (e) { conditionType(e.itemData.value); }, itemTemplate: \'item\', onItemRendered: updateItemAppearance, encodeNoDataText: true, noDataText: $root.getLocalizationById(\'DashboardWebStringId.ConditionalFormatting.UnsupportedDataType\') }"> <div data-options="dxTemplate:{ name:\'item\' }"> <span data-bind="text: $root.getLocalizationById(displayText)"></span> </div> </div> <div data-bind="dxList: { dataSource: availableSpecificTypes, selectionMode: \'single\', grouped: availableSpecificTypes().rangeStyleType !== \'None\', selectedItems: selectedSpecificTypes, onItemClick: function (e) { specificType(e.itemData.value); }, itemTemplate: \'item\' }, css: { \'dx-dashboard-gallery-list\': availableSpecificTypes().rangeStyleType !== \'None\' }"> <div data-options="dxTemplate: { name:\'item\' }"> <!-- ko if: $parent.availableSpecificTypes().rangeStyleType === \'None\' --> <span data-bind="text: $root.getLocalizationById(displayText)"></span> <!-- /ko --> <!-- ko if: $parent.availableSpecificTypes().rangeStyleType === \'Color\' --> <div class="dx-dashboard-gallery-item" data-bind="attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getStyleList(value)"> <div data-bind="css: \'dx-dashboard-appearance-range-preview\', style: $data"></div> </div> <!-- /ko --> <!-- ko if: $parent.availableSpecificTypes().rangeStyleType === \'ColorBar\' --> <div class="dx-dashboard-gallery-item" data-bind="attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getStyleList(value)"> <div data-bind="css: \'dx-dashboard-appearance-bar-preview\', style: $data"></div> </div> <!-- /ko --> <!-- ko if: $parent.availableSpecificTypes().rangeStyleType === \'Icon\' --> <div class="dx-dashboard-gallery-item" data-bind="attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getStyleList(value)"> <div class="dx-icon-dashboard-cf" data-bind="css: $data"></div> </div> <!-- /ko --> <!-- ko if: $parent.availableSpecificTypes().rangeStyleType === \'Gradient\' --> <div class="dx-dashboard-gallery-item" data-bind="attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getGradientColorsList(value)"> <div data-bind="css: \'dx-dashboard-appearance-gradient-preview\', style: { \'background-color\': $data.css }"></div> </div> <!-- /ko --> <!-- ko if: $parent.availableSpecificTypes().rangeStyleType === \'GradientBar\' --> <div class="dx-dashboard-gallery-item" data-bind="attr: { title: $root.getLocalizationById(displayText) }, foreach: $parent.getGradientColorsList(value)"> <div data-bind="css: \'dx-dashboard-appearance-gradient-bar-preview\', style: { \'background-color\': $data.css }"></div> </div> <!-- /ko --> </div> </div> </div> </div>',
    'dx-dashboard-custom-appearance-dialog': '<div data-bind="dxPopup: popupOptions"> <!-- ko if: popupOptions.visible--> <div data-bind="dxForm: formOptions"> </div> <!-- /ko --> </div>',
    'dx-dashboard-popover-color-picker': '<div data-bind="dxPopover: { container: $root.getWidgetContainer(), toolbarItems: buttonItems, visible: visible, position: { of: $element.parentNode, my: \'top\', at: \'bottom\', boundary: $root.getWidgetContainer(), collision: \'flipfit\' }, wrapperAttr: { class: \'dx-dropdowneditor-overlay dx-dashboard-cf-color-picker\' } }"> <div data-bind="dxColorView: { value: color, editAlphaChannel: true, applyValueMode: \'instantly\' }"> </div> </div>',
    'dx-dashboard-rule-ranges-editor': '<div class="dx-dashboard-range-editor"> <!-- ko if: !$data.isGradient --> <div class="dx-dashboard-range-editor-header"> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-add" data-bind="click: add"> <!-- ko template: \'dx-dashboard-ce-add\' --><!-- /ko --> </div> <div class="dx-dashboard-ce-remove-icon" data-bind="click: remove, css: { \'dx-dashboard-state-selected\': (!!selection() && value().length > 2) }"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> </div> <!-- /ko --> <div class="dx-dashboard-range-editor-content" data-bind="dxDataGrid: dataGridOptions"> <div data-options="dxTemplate:{ name: \'dx-dashboard-range-cell-template\' }"> <div class="dx-dashboard-range-cell" data-bind="text: $data.text"></div> </div> <div data-options="dxTemplate: { name: \'dx-dashboard-range-edit-number-template-right\' }"> <!-- ko template: { name: \'dx-dashboard-range-edit-number-template\', data: $parent.createRangeNumberEditorViewModel({ grid: $data.component, isRightValue: true, rowIndex: $data.rowIndex, value: $data.data.rightValue, setValue: $data.setValue }) } --> <!-- /ko --> </div> <div data-options="dxTemplate: { name: \'dx-dashboard-range-edit-number-template-left\' }"> <!-- ko template: { name: \'dx-dashboard-range-edit-number-template\', data: $parent.createRangeNumberEditorViewModel({ grid: $data.component, isRightValue: false, rowIndex: $data.rowIndex, value: $data.data.leftValue, setValue: $data.setValue }) } --> <!-- /ko --> </div> <div data-options="dxTemplate:{ name: \'dx-dashboard-range-style-template\' }"> <!-- ko template: \'dx-dashboard-style-settings-view\'--> <!-- /ko --> </div> <div data-options="dxTemplate:{ name: \'dx-dashboard-range-style-editor-template\' }"> <!-- ko template: \'dx-dashboard-style-settings-view\'--> <!-- /ko --> <div data-bind="dxPopover: { visible: true, hideOnOutsideClick: false, position: { of: $element, my: \'left top\', at: \'left bottom\', offset: $parent.popoverOffset }, container: $root.getWidgetContainer(), contentTemplate: \'dx-dashboard-style-settings-editor-template\', wrapperAttr: { class: \'dx-dashboard-style-settings-editor-popup dx-dropdowneditor-overlay\' } }"> <div data-options="dxTemplate:{ name: \'dx-dashboard-style-settings-editor-template\' }" tabindex="0"> <dx-dashboard-style-settings-editor params=" target: $root.ko.observable(value), options: $parent.createStyleSettingsEditorOptions($data.data)"> </dx-dashboard-style-settings-editor> </div> </div> </div> </div> </div>',
    'dx-dashboard-style-settings-view': '<div class="dx-dashboard-range-style dx-dashboard-range-cell"> <dx-dashboard-style-settings-editor-item params="args: $parent.createStyleSettingsEditorItemOptions($data.data)"></dx-dashboard-style-settings-editor-item> </div>',
    'dx-dashboard-range-edit-number-template': '<!-- ko if: infinitValue --> <div class="dx-dashboard-range-cell" data-bind="text: negativeInfinityDisplayText"></div> <!-- /ko --> <!-- ko ifnot: infinitValue --> <!-- ko if: editorType === \'numberBox\' --> <div data-bind="dxNumberBox: editorOptions"></div> <!-- /ko --> <!-- ko if: editorType === \'dateBox\' --> <div data-bind="dxDateBox: editorOptions"></div> <!-- /ko --> <!-- /ko --> <!-- ko if: allowInfinity --> <div data-bind="dxPopover: { visible: true, width: \'241px\', height: \'auto\', hideOnOutsideClick: false, position: { of: $element, my: \'left top\', at: \'left bottom\', boundary: $root.getWidgetContainer() }, container: $root.getWidgetContainer(), wrapperAttr: { class: \'dx-dropdowneditor-overlay dx-dashboard-range-edit-number-template\' } }"> <div data-bind="dxButtonGroup: buttonOptions"></div> </div> <!-- /ko -->',
    'dx-dashboard-style-settings-editor-item': '<div data-bind="click: clickHandler, style: cssStyles, attr: { title: title, \'data-label\': dataLabel }, css: cssClasses"> </div> <!-- ko if: isRangeStop --> <div class="dx-dashboard-rangestop"></div> <!-- /ko --> <!-- ko template: { name: \'dx-dashboard-popover-color-picker\', data: colorPicker } --> <!-- /ko --> <!-- ko template: { name: \'dx-dashboard-custom-appearance-dialog\', data: customizeAppearanceDialog } --> <!-- /ko -->',
    'dx-dashboard-style-settings-editor': '<!-- ko if: allowChangeViewMode --> <dx-dashboard-button-group class="dx-dashboard-window-definition-selector" params="value: viewMode, values: [{ value: \'Appearance\', displayValue: \'DashboardStringId.FormatRuleStyleAppearance\'}, { value: \'Icon\', displayValue: \'DashboardStringId.FormatRuleStyleIcons\'}]"></dx-dashboard-button-group> <div class="dxb-h4px"></div> <!-- /ko --> <div class="dx-dashboard-style-settings-editor"> <!-- ko if: viewMode() === \'Appearance\' --> <!-- ko if: customStyleItems --> <div> <span class=\'dx-dashboard-style-settings-editor-caption\' data-bind="text: restrictToColor ? $root.getLocalizationById(\'DashboardStringId.FormatRulePredefinedColor\') : $root.getLocalizationById(\'DashboardWebStringId.FormatConditionPredefinedAppearanceCaption\')"></span> </div> <!-- /ko --> <div data-bind="foreach: list" class="dx-dashboard-style-settings-editor-grid"> <!-- ko if: $data.item.appearanceType && $data.item.appearanceType() === \'None\' || $data.item.predefinedColor && $data.item.predefinedColor() === \'None\' --> <dx-dashboard-style-settings-editor-item params="args: $data" class="dx-dashboard-style-settings-editor-grid-no-style"></dx-dashboard-style-settings-editor-item> <!-- /ko --> <!-- ko ifnot: $data.item.appearanceType && $data.item.appearanceType() === \'None\' || $data.item.predefinedColor && $data.item.predefinedColor() === \'None\' --> <dx-dashboard-style-settings-editor-item params="args: $data"></dx-dashboard-style-settings-editor-item> <!-- /ko --> </div> <!-- ko if: customStyleItems --> <div class="dx-dashboard-style-settings-editor-caption-wrapper"> <span class=\'dx-dashboard-style-settings-editor-caption\' data-bind="text: restrictToColor ? $root.getLocalizationById(\'DashboardStringId.FormatRuleCustomColor\') : $root.getLocalizationById(\'DashboardWebStringId.FormatConditionCustomAppearanceCaption\')"></span> </div> <div data-bind="foreach: customStyleItems" class="dx-dashboard-style-settings-editor-grid"> <dx-dashboard-style-settings-editor-item params="args: $data"></dx-dashboard-style-settings-editor-item> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: viewMode() === \'Icon\' --> <div data-bind="foreach: iconList" class="dx-dashboard-style-settings-editor-icons-grid"> <!-- ko if: $data.item.iconType && $data.item.iconType() === \'None\' --> <dx-dashboard-style-settings-editor-item params="args: $data" class="dx-dashboard-style-settings-editor-grid-no-style"></dx-dashboard-style-settings-editor-item> <!-- /ko --> <!-- ko ifnot: $data.item.iconType && $data.item.iconType() === \'None\' --> <dx-dashboard-style-settings-editor-item params="args: $data"></dx-dashboard-style-settings-editor-item> <!-- /ko --> </div> <!-- /ko --> </div>',
    'dx-dashboard-confirm-dialog': '<div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { of: $root.getWidgetContainer(), boundary: $root.getWidgetContainer() }, title: confirmTitle, visible: confirmVisible, toolbarItems: confirmButtons, onHidden: function(e) { confirmHidden(e); }, width: \'550px\', height: \'280px\', wrapperAttr: { class: \'dx-dashboard-confirm dx-dashboard-typography\' } }"> <span data-bind="html: confirmText"></span> </div>',
    'dx-dash-currency-selector': '<div class="dx-dashboard-form-wrapper dx-dashboard-currency-selector dx-dashboard-properties"> <div class="dx-dashboard-form-column dx-dashboard-form-left-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row-field"> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Currency.Currency\')"></span> </div> <div class="dx-dashboard-list" data-bind="dxList: { dataSource: { store: currencies, paginate: false }, displayExpr: \'displayText\', selectedItem: selectedCurrency, selectionMode: \'single\', onContentReady: function (e) { e.component.scrollToItem(currencies.indexOf(selectedCurrency()) + 1); }, itemTemplate: \'currencyItemWithPreview\', searchEnabled: true, searchExpr: \'displayText\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') } }"> <div data-options="dxTemplate:{ name:\'currencyItemWithPreview\' }"> <!-- ko template: { name: \'dx-dashboard-currency-list-item\' }--> <!-- /ko --> </div> </div> </div> <div class="dx-dashboard-form-row-field"> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Currency.CurrencyCulture\')"> </div> <div data-bind="dxSelectBox: { dataSource: selectedCurrency() && selectedCurrency().cultures || [], displayExpr: \'displayText\', value: selectedCulture, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\'), noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, dropDownOptions: { container: $root.getWidgetContainer() }, searchEnabled: true, searchExpr: \'displayText\' }"></div> </div> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Preview\')"></span> </div> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-currency-selector-preview"> <!-- ko if: $data.previewPositive && $data.previewNegative --> <div data-bind="text: $data.previewPositive"></div> <div data-bind="text: $data.previewNegative"></div> <!-- /ko --> <!-- ko if: $data.previewWarning --> <div class="dx-dashboard-currency-selector-preview-warn" data-bind="text: $data.previewWarning"></div> <!-- /ko --> </div> </div> </div> </div> </div>',
    'dx-dashboard-currency-editor-template': '<div data-bind="dxSelectBox: { dataSource: currencies, displayExpr: \'displayText\', value: selectedCurrency, disabled: disabled, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\'), noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, dropDownOptions: { container: $root.getWidgetContainer() }, itemTemplate: \'currencyItemWithPreview\', searchEnabled: true, searchExpr: \'displayText\' }"> <div data-options="dxTemplate:{ name:\'currencyItemWithPreview\' }"> <!-- ko template: { name: \'dx-dashboard-currency-list-item\' } --> <!-- /ko --> </div> </div>',
    'dx-dashboard-currency-list-item': '<div class="dx-dashboard-currency-list-item"> <div class="dx-dashboard-currency-list-item-display-text"> <div data-bind="text: displayText"> </div> </div> <div class="dx-dashboard-currency-list-item-preview" data-bind="text: previewText"> </div> </div>',
    'dx-dashboard-form-currency-settings': '<dx-dashboard-currency-selector params="currencyCultureName: dashboard() && dashboard().currencyCultureName" class="dxb-h100"></dx-dashboard-currency-selector>',
    'dx-dashboard-datasource-browser': '<div class="dx-dashboard-form-wrapper dx-dashboard-datasource-browser-wrapper" data-bind=""> <div class="dx-dashboard-form-column dx-dashboard-form-left-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row"> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.UsedDataSources\')"></span> <div class=\'dx-dashboard-form-row-action-list\'> <!-- ko foreach: dataSourceActions --> <div class="dx-dashboard-form-row-action" data-bind="click: click, text: text, css: { \'disabled-action\': disabled }"> </div> <!-- /ko --> </div> </div> <div class="dx-dashboard-form-row-content dx-dashboard-datasource-list-wrapper"> <!-- ko template: \'dx-dashboard-datasource-used-datasources\' --> <!-- /ko --> </div> </div> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row-caption dx-dashboard-datasource-tree-actions-wrapper"> <span></span> <div class=\'dx-dashboard-form-row-action-list\'> <!-- ko foreach: editDataSourceActions --> <!-- ko if: visible() --> <div class="dx-dashboard-form-row-action" data-bind="click: click, text: text"> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: $data.filterEditorModel() !== null --> <!-- ko template: { name: \'dx-filtereditor-popup\', data: filterEditorModel } --> <!-- /ko --> <!-- /ko --> </div> </div> <div class="dx-dashboard-form-row-content dx-dashboard-datasource-tree-wrapper"> <!-- ko template: { name: \'dx-dashboard-datasource-tree\', data: $data } --> <!-- /ko --> </div> </div> </div> </div> <div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'center\', at: \'center\', of: $root.getWidgetContainer(), boundary: \'.dx-dashboard-datasource-browser-wrapper\' }, height: \'80%\', width: \'700px\', animation: { }, focusStateEnabled: true, hideOnOutsideClick: false, toolbarItems: popupContent() && popupContent().toolbarItems || [], onHidden: function() { $data.popupContent(undefined); }, visible: popupVisible, showTitle: true, title: popupContent() && popupContent().title || \'\', wrapperAttr: { class: \'dx-dashboard-datasource-browser-popup dx-dashboard-typography\' } }"> <!-- ko if: popupVisible --> <!-- ko with: popupContent --> <!-- ko template: { name: template, data: { extension: $data.bindingData ? $data.bindingData : $data, dataSourcesFilter: dataSourcesFilter, federationSources: null } } --> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div> <!-- ko template: { name: \'dx-dashboard-calc-field-editor\', data: calcFieldEditor  } --> <!-- /ko -->',
    'dx-dashboard-datasource-used-datasources': '<!-- ko if: $data.usedDataSourcesExist() --> <div class="dx-dashboard-datasources-list" data-bind="dxList: { dataSource: dataSourceBrowser._dataSources, selectionMode: \'single\', selectedItem: selectedDataSource, nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), searchEnabled: true, searchExpr: \'name\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') } }"> <div class="dx-dashboard-datasource-item"> <div class="dx-dashboard-datasource-description"> <span data-bind="text: name()"></span> </div> <div class="dx-dashboard-datasource-icons"> <div class="dx-dashboard-datasource-icon dx-dashboard-datasource-icon-rename" data-bind="click: $parent.showRenameDataSourceForm"> <!-- ko template: \'dx-dashboard-rename\' --><!-- /ko --> </div> <div class="dx-dashboard-datasource-icon dx-dashboard-datasource-icon-remove" data-bind="click: $parent.removeDataSource"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> </div> </div> </div> <!-- ko template: renameDataSourcePopup.template --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.usedDataSourcesExist() --> <div class="dx-dashboard-form-parameter-placeholder"> <div> <!-- ko if: availableDataSourcesExist() --> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.NoUsedDataSources\')"></span> <br /><br /> <!-- ko if: $data.sqlDataSourceWizard --> <span class="dx-dashboard-form-inline-action" data-bind="click: showAddDataSourceForm, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.AddDataSource\')"></span> <!-- /ko --> <!-- /ko --> <!-- ko if: !availableDataSourcesExist() --> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.NoAvailableDataSources\')"></span> <!-- /ko --> </div> </div> <!-- /ko -->',
    'dx-dashboard-datasource-tree': '<div data-bind="dxScrollView: { direction: \'vertical\' }"> <!-- ko with: dataSourceTreeListViewModel.treeListEditorOption --> <div class="dx-dashboard-datasource-browser-tree" data-bind="treelist: $data, css: {\'dx-state-loading\': itemsProvider.loading() }"></div> <div class="dx-dashboard-treelist-loading" data-bind="css: { \'dx-state-active\': itemsProvider.loading() }">Loading</div> <!-- /ko --> </div>',
    'dx-dashboard-treelist-item-template': '<div class="dx-treelist-item" data-bind="event: { dblclick: function() { $data.dblClickHandler ? $data.dblClickHandler($data) : $data.toggleCollapsed() } }, css: { \'dx-treelist-item-selected\': isSelected, \'dx-treelist-item-collapsed\': collapsed, \'dx-treelist-group-item\': hasItems, \'dx-dashboard-treelist-item-disabled\': data.isList, \'dx-dashboard-corrupted-calc-field\': data.isCorruptedCalcField }, click: toggleSelected"> <div class="dx-dashboard-datasource-tree-item-column" data-bind="styleunit: { \'paddingLeft\': 20 * getModel().level + 10 }"> <div class="dx-treelist-item-images"> <!-- ko if: !data.style --> <div class="dx-treelist-collapsedbutton" data-bind="css: nodeImageClass, click: toggleCollapsed"></div> <!-- /ko --> <!-- ko if: !!data.style --> <div class="dx-dashboard-datasource-field-icon" data-bind="css: data.style"> <div> <!-- ko template: \'dx-dashboard-calc-field\' --><!-- /ko --> </div> </div> <!-- /ko --> </div> <div class="dx-treelist-caption"> <div class="dx-treelist-selectedcontent" data-bind="event: { dblclick: function() { $data.dblClickHandler && $data.dblClickHandler($data); } }"> <div class="dx-treelist-text" data-bind="text: text, attr: { title: text }"></div> </div> </div> </div> <div class="dx-dashboard-datasource-tree-item-column dxb-p-0-12"> <!-- ko if: !data.isCorruptedCalcField --> <!-- ko if: data.field.fieldType && data.field.fieldType() !== \'Unknown\' --> <span data-bind="text: data.field.fieldType"></span> <!-- /ko --> <!-- ko if: data.isList --> <span data-bind="text: $root.getLocalizationById(\'DashboardStringId.MessageCollectionTypesNotSupported\'), attr: { title: $root.getLocalizationById(\'DashboardStringId.MessageCollectionTypesNotSupported\')}"></span> <!-- /ko --> <!-- /ko --> <!-- ko if: data.isCorruptedCalcField --> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CalculatedField.Corrupted\'), attr: { title: $root.getLocalizationById(\'DashboardStringId.MessageCollectionTypesNotSupported\')}"></span> <!-- /ko --> </div> <div class="dx-dashboard-datasource-tree-item-column dxb-br-none dxb-text-align"> <!-- ko foreach: data.innerActions --> <div class="dx-dashboard-datasource-field-icon"  data-bind="click: click, css: style"> <!-- ko template: icon --><!-- /ko --> </div> <!-- /ko --> </div> </div>',
    'dx-dashboard-form-datasource-browser': '<!-- ko with: $data --> <!-- ko template: { name :\'dx-dashboard-datasource-browser\' } --> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-datasources-rename-popup': '<div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'center\', at: \'center\', boundary: \'.dx-dashboard-datasource-browser-wrapper\' }, width: \'400px\', height: \'240px\', animation: { }, focusStateEnabled: true, hideOnOutsideClick: false, toolbarItems: toolbarItems || [], visible: popupVisible, showTitle: true, title: title || \'\', wrapperAttr: { class: \'dx-dashboard-datasources-rename-popup dx-dashboard-typography\' } }"> <div> <div class="dx-dashboard-rename-data-source-label"> <span data-bind="text: label"></span> </div> <div data-bind="dxTextBox: nameTextBoxOptions, dxValidator: nameValidatorOptions"></div> </div> </div>',
    'dx-dashboard-data-source-wizard': '<div data-bind="dxLoadPanel: { visible: loadingPanelVisible, hideOnOutsideClick: true, container: $root.getWidgetContainer(), position: { of: $root.getWidgetContainer() } }"></div> <!-- Data Source wizard popup should be first child of DashboardControl --> <!-- ko dx-dashboard-element-accessor-binding: { element: wizardElement } --> <!-- /ko -->',
    'dx-dashboard-data-source-wizard-binding': '<!-- ko if: wizardModel.isVisible() --> <!-- ko template: { name: \'dx-wizard-newlayout\', data: wizardModel } --> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-page-data-source-type': '<div class="dx-dashboard-page-data-source-type"> <div data-bind="css: { selected: selectedType() === \'Sql\' }, click: function() { return selectedType(\'Sql\'); }"> Sql </div> <div data-bind="css: { selected: selectedType() === \'Olap\' }, click: function() { return selectedType(\'Olap\'); }"> Olap </div> </div>',
    'dx-dashboard-expression-editor-view': '<!-- ko template: { name: editorTemplate, data: editor } --> <!-- /ko --> <div class="dx-dashboard-filter-expression-editor"> <div class="dx-dashboard-filter-expression-editor-header"> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-edit" data-bind="click: edit"> <!-- ko template: \'dx-dashboard-ce-edit\' --><!-- /ko --> </div> <div class="dx-dashboard-ce-remove-icon" data-bind="click: remove, css: { \'dx-dashboard-state-selected\': !!criteriaString() }"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> </div> <div class="dx-dashboard-filter-expression-edit-criteria"> <div data-bind="text: criteriaString"></div> </div> </div>',
    'dx-dashboard-datasource-available-datasources': '<div class="dx-dashboard-datasources-list-holder"> <!-- ko if: extension.uiState() === \'error\' --> <!-- ko if: extension.errorState() --> <div class="dx-dashboard-datasources-content dx-dashboard-datasources-error"> <div class="dx-dashboard-datasources-error-item"> <span class="dx-dashboard-datasources-error-title" data-bind="text: extension.errorState().title"></span> <br><br> <span class="dx-dashboard-datasources-error-details" data-bind="text: extension.errorState().detail"></span> </div> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: extension.uiState() === \'loading\' --> <div class="dx-dashboard-datasources-content dx-dashboard-datasources-loading"> <div class="dx-dashboard-control-loading" data-bind="text:$root.getLocalizationById(\'DashboardStringId.MessageLoading\')"></div> </div> <!-- /ko --> <!-- ko if: extension.uiState() === \'live\' --> <div class="dx-dashboard-datasources-list-header"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.ChooseDataSource\')"></span> <!-- ko if: extension.canCreateDataSourceWizard --> <span class="dx-dashboard-datasource-action" data-bind="click: function() { extension.showCreateDataSourceWizard(federationSources); }, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CreateNewDataSource\'), attr: { title: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CreateDataSource.Tooltip\') } "></span> <!-- /ko --> </div> <div class="dx-dashboard-datasources-list dx-dashboard-list" data-bind="dxList: { dataSource: extension.getDataSources(dataSourcesFilter), selectionMode: \'single\', selectedItems: extension.selectedDataSources, noDataText: \'\', encodeNoDataText: true, nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), searchEnabled: true, searchExpr: \'name\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') }}"> <div class="dx-dashboard-datasource-item"> <div class="dx-dashboard-datasource-description"> <span data-bind="text: name()"></span> </div> </div> </div> <!-- /ko --> </div>',
    'dx-dashboard-binding-properties-empty-item': '<!-- ko if: isDesignMode --> <div class="dx-dashboard-layout-text"> <span class="dx-dashboard-layout-link" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.ClickHereInvitation\'), click: click"></span> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.BindDataInvitation\')"></span> </div> <!-- /ko -->',
    'dx-dashboard-binding-properties': '<!-- ko template: { name: data.template, data: $data } --> <!-- /ko --> <div data-bind="css: { \'dx-visible-properties\': !!data.propertiesController.mainModel() }" class="dx-dashboard-binding-panel-properties-content"> <div class="dx-dashboard-binding-panel-header-container"> <div class="dx-dashboard-arrow-back dx-toolbar-item-content"> <div data-bind="dxButton: { onClick: hideBindingProperties, type: \'normal\', stylingMode: \'text\', icon: \'arrowleft\' }"></div> </div> <!-- ko if: isSecondaryPanelVisible() --> <h5 data-bind="text: $root.getLocalizationById(data.propertiesController.secondaryModel().displayText)"></h5> <!-- /ko --> </div> <div class="dx-dashboard-binding-panel-details dx-dashboard-slidable-content" data-bind="css: {\'dx-dashboard-slide-to-right\': isSecondaryPanelVisible() }"> <div data-bind="dxScrollView: { }"> <!-- ko if: data.propertiesController.mainModel() --> <!-- ko template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: data.propertiesController } } --> <!-- /ko --> <!-- /ko --> </div> <div data-bind="dxScrollView: { }"> <div> <!-- ko if: data.propertiesController.secondaryModel()  --> <!-- ko template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: data.propertiesController, useSecondaryModel: true } } --> <!-- /ko --> <!-- /ko --> </div> </div> </div> </div>',
    'dx-dashboard-convert-to': '<!-- ko using: data --> <div class="dx-dashboard-binding-panel-options dx-dashboard-slidable-content dx-dashboard-convert-to-panel dx-dashboard-slide-to-right dxb-o-visible"> <div class="dx-dashboard-binding-panel-details dx-dashboard-toolbox-extension"> <div data-bind="dxScrollView: { direction: \'vertical\' }"> <div class="dx-dashboard-toolbox"> <div class="dx-dashboard-toolbox-group-separator"></div> <!-- ko foreach: groups --> <div class="dx-dashboard-toolbox-group" data-bind="text: groupTitle"></div> <!-- ko foreach: items --> <div class="dx-dashboard-toolbox-item" data-bind=" attr: { \'data-item-type\': type, title: title }, click: convert, css: {\'dx-state-disabled\': disabled }" > <!-- ko template: icon --><!-- /ko --> <div class="dx-dashboard-toolbox-item-hover"></div> </div> <!-- /ko --> <div class="dx-dashboard-toolbox-group-separator"></div> <!-- /ko --> </div> <div class="dx-dashboard-duplicate-action-container"> <div class="dx-dashboard-duplicate-action" data-bind="dxButton: { text: duplicateActionCaption, onClick: duplicate }"></div> </div> </div> </div> </div> <!-- /ko -->',
    'dx-dashboard-form-new': '<div class="dx-dashboard-form-new dx-dashboard-form-column"> <div class="dx-dashboard-form-row"> <div class="dx-dashboard-form-row-caption" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.New.DashboardName\')"></div> <div data-bind="dxTextBox: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder\'), value: dashboardName }"></div> <div class="dx-dashboard-form-new-content"> <!-- ko if: accessibleDataSourcesExtension()  --> <!-- ko template: { name: accessibleDataSourcesExtension().templateName, data: { extension: accessibleDataSourcesExtension().viewModel, dataSourcesFilter: function() { return true; }, federationSources: [] } } --> <!-- /ko --> <!-- /ko --> </div> <div class="dx-dashboard-form-new-button"> <div data-bind="dxButton: { text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.CreateDataSource\'), onClick: createNewDashboard, disabled: createNewDashboardDisabled, width: \'160px\', height: \'40px\', type: \'default\' }"> </div> </div> </div> </div>',
    'dx-dashboard-add-new-dashboard': '<!-- ko if: isDesignMode() --> <div data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.AddNewDashboard\')"></div>&nbsp; <a href="#" data-bind="click: showCreateNewDashboard, text: $root.getLocalizationById(\'DashboardWebStringId.DashboardMenuNewDashboardCreate\')"></a>. <!-- /ko -->',
    'dx-dashboard-options': '<div class="dx-dashboard-binding-panel-options dx-dashboard-slidable-content dxb-o-visible" data-bind="css: {\'dx-dashboard-slide-to-right\': isSecondaryPanelVisible() }"> <div class="dx-dashboard-binding-panel-details"> <!-- ko with: data --> <div data-bind="dxScrollView: { direction: \'vertical\' }"> <!-- ko ifnot: propertiesController.accordionDataSource().length > 1 --> <!-- ko with: propertiesController.accordionDataSource()[0] --> <div class="dx-dashboard-properties-single-tab"> <!-- ko template: \'dx-dashboard-accordion-tab-content\' --> <!-- /ko --> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: propertiesController.accordionDataSource().length > 1 --> <!-- ko template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: propertiesController } } --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko --> </div> <div> <div class="dx-dashboard-secondary-header-container"> <div class="dx-dashboard-arrow-back dx-toolbar-item-content"> <div data-bind="dxButton: { onClick: hideBindingProperties, type: \'normal\', stylingMode: \'text\', icon: \'arrowleft\' }"></div> </div> <!-- ko if: data.propertiesController.secondaryModel--> <h5 data-bind="text: $root.getLocalizationById(data.propertiesController.secondaryModel().displayText)"></h5> <!-- /ko --> </div> <div data-bind="dxScrollView: { direction: \'vertical\' }"> <!-- ko if: data.propertiesController.secondaryModel--> <!-- ko template: { name: \'dx-dashboard-properties-accordion\', data: { propertiesController: data.propertiesController, useSecondaryModel: true } } --> <!-- /ko --> <!-- /ko --> </div> </div> </div>',
    'dx-dashboard-form-open': '<div data-bind="dxList: { dataSource: { load: dashboardsListStore, totalCount: function() { return 0; }, paginate: false, searchExpr: \'name\' }, noDataText: \'\', encodeNoDataText: true, searchEnabled: true, pageLoadingText: $root.getLocalizationById(\'DashboardStringId.MessageLoading\'), nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), displayExpr: \'name\', keyExpr: \'id\', searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') }, hoverStateEnabled: true, height: \'100%\', onItemClick: openDashboard }" class="dx-dashboard-form-open"> </div>',
    'dx-dashboard-form-title-settings': '<div class="dx-dashboard-form-wrapper"> <div class="dx-dashboard-form-column dx-dashboard-form-left-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row-content" data-bind="dxScrollView: { direction: \'vertical\' }"> <div data-bind="dx-dashboard-form-adapter: { target: titleSettings }" class="dx-dashboard-properties"></div> </div> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: formCaption"></span> </div> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-title-settings-preview-wrapper"> <dashboard-title params="componentArgs: getTitleComponentArgs($element)"> </dashboard-title> </div> </div> </div> </div></div>',
    'dx-simple-filter-popup': '<div data-bind="dxPopup: viewModel.getPopupOptions($root.getWidgetContainer())"> <!-- ko template: viewModel.fieldSelector.template --> <!-- /ko --> <!-- ko template: viewModel.filterTreeList.template --> <!-- /ko --> </div>',
    'dx-simple-filter-data-field-selector': '<div data-bind="dxSelectBox: { dataSource: fields, displayExpr: \'displayName\', value: selectedField, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\'), noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\'), encodeNoDataText: true, dropDownOptions: { container: $root.getWidgetContainer() }   }"></div>',
    'dx-simple-filter-tree-list': '<!-- ko if: visible --> <!-- ko with: editorOptions--> <div class="dx-filter dx-treeview-border-visible" data-bind="dxTreeList: $data"> <div class="dx-filter-item"> <span data-bind="text: displayName"></span> </div> </div> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-text-preview': '<div data-bind="text: $data"></div>',
    'dx-dashboard-flow-mode-settings': '<div class="dx-dashboard-flow-mode-settings"> <div data-bind="dxSelectBox: selectBoxOptions" class="dx-dashboard-list dxb-d-inline-block dxb-w60 dxb-mr-5px"> </div><div data-bind="dxNumberBox: numberBoxOptions" class="dxb-d-inline-block dxb-w-cacl-40-5px"></div> </div>',
    'dx-dashboard-action-buttons': '<div class="dx-dashboard-action-buttons" data-bind="foreach: buttons"> <div data-bind="dxButton: $data"></div> </div>',
    'dx-dashboard-nested-propertygrid-editor': '<div class="dx-dashboard-accordion-group"> <div class="dx-accordion-item-title"> <h5 data-bind="text: caption"></h5> </div> <div data-bind="dx-dashboard-form-adapter: { target: object }" class="dx-dashboard-properties"></div> </div>',
    'dx-dashboard-nullable-numberbox': '<div data-bind="dxButtonGroup: buttonGroupOptions"></div> <div class="dx-dashboard-gauge-nb dxb-mt-10px" data-bind="dxNumberBox: numberBoxOptions"></div>',
    'dx-dashboard-base-item-surface': '<div class="dx-dashboard-data-binding-surface" data-bind="css: { \'dx-visible-properties\': !!data.propertiesController.mainModel() }"> <!-- ko template: { name: \'dx-dashboard-context-menu-header\', data: { title: title, click: hideBindingPanel, detailVisible: detailVisible } }--> <!-- /ko --> <div class="dx-dashboard-data-binding-panel"> <div data-bind="dxScrollView: { direction: \'vertical\' }"> <div class="dx-dashboard-binding-panel-content" data-bind="dx-dashboard-container-draggable: data"> <!-- ko foreach: data.dataSections --> <div class="dx-dashboard-section"> <!-- ko if: $data.sectionInfo && sectionInfo.actions --> <div class="dx-dashboard-section-actions"> <!-- ko foreach: sectionInfo.actions --> <div class="dx-dashboard-section-action" data-bind="attr: { title: $root.getLocalizationById(title) }, click: action"> <!-- ko lazy: { if: $parents[2].detailVisible } --> <!-- ko template: icon --><!-- /ko --> <!-- /ko --> </div> <!-- /ko --> </div> <!-- /ko --> <!-- ko template: { name: $data.template, data: $data } --> <!-- /ko --> </div> <!-- /ko --> </div> </div> </div> <!-- ko template: { name: \'dx-dashboard-item-datasource\', data: data } --> <!-- /ko --> </div>',
    'dx-dashboard-item-datasource': '<div class="dx-dashboard-data-source-panel"  data-bind="css: { \'dx-dashboard-data-source-panel-opened\': changeDataSourcePanelVisible() }"> <div class="dx-dashboard-data-source-header" data-bind="click: changeDataSource"> <div class="dx-dashboard-text-overflow" data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Binding.DataSource\')"></div> <div class="dx-dashboard-data-source-options" data-bind="css: { \'dx-dashboard-data-source-options-active\': changeDataSourcePanelVisible()  }"> <!-- ko template: \'dx-dashboard-item-data-source\' --><!-- /ko --> </div> </div> <div class="dx-dashboard-data-source-body"> <div class="dx-dashboard-data-source-options-panel" data-bind="style: { height: changeDataSourcePanelVisible() ? \'\' : \'0px\' } "> <div> <div class="dx-dashboard-data-source-chooser"> <dx-datasource-chooser params="dataSourceBrowser: dataSourceBrowser, dataSource: dataSourceName, dataMember: dataMemberName, active: changeDataSourcePanelVisible"></dx-datasource-chooser> </div> <span class="dx-dashboard-data-source-options-control"> <span class="dx-dashboard-text-overflow" data-bind="click: saveDataSourceChanges, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.OK\')">OK</span> <span class="dx-dashboard-text-overflow" data-bind="click: changeDataSource, text: $root.getLocalizationById(\'DashboardWebStringId.DataSources.Cancel\')"></span> </span> </div> </div> <div class="dx-dashboard-data-source-info" data-bind="text: $root.getLocalizationById(dataSourceDisplayText()), attr: { title: $root.getLocalizationById(\'DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip\') }, style: { height: changeDataSourcePanelVisible() ? \'0px\' : \'\' }, click: changeDataSource, css: { \'dx-dashboard-data-source-info-alert\': needSetDataSource }"></div> </div> </div> <!-- ko template: { name: "dx-dashboard-confirm-dialog", data: confirmDialogViewModel } --> <!-- /ko -->',
    'dx-dashboard-data-items-header': '<div data-bind="dxclick: function(data, event) { event.stopPropagation(); return false; }"> <dx-dashboard-group-data-items params="model: $data.model(), holder: $data"></dx-dashboard-group-data-items> </div>',
    'dx-dashboard-group-data-items': '<!-- ko foreach: dataItems --> <dx-dashboard-data-item-link params="binding: binding, item: item, click: click, selected: false, dataItemDisplayNameProvider: dataItemDisplayNameProvider, removeDataItem: removeDataItem, placeholder: placeholder, embeddedRemovalIcon: true, error: $parent.holder.dataItemErrorFactory && $parent.holder.dataItemErrorFactory($data.item.dataItem())"></dx-dashboard-data-item-link> <!-- /ko -->',
    'dx-dashboard-data-item-general': '<div class="dx-dashboard-field-chooser" data-bind="css: { \'dx-dashboard-include-summary\': $data.additionalProperties()}"> <dx-field-chooser params="dataSourceBrowser: dataSourceBrowser, filter: constraint, startPath: dataMemberPath(), selectedField: choosenField()"></dx-field-chooser> </div> <!-- ko with: additionalProperties --> <div data-bind="if: $data"> <div data-bind="dx-dashboard-form-adapter: { target: $data }" class="dx-dashboard-properties"></div> </div> <!-- /ko -->',
    'dx-dashboard-container-types-header': '<div class="dx-dashboard-container-types-header"> <!-- do NOT reindent these lines --> <!-- ko foreach: shortAvailableContainerTypes --><div class="dx-dashboard-container-type" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { isSelected: $data.selected, hint: $root.getLocalizationById(displayName), icon: icon, click: function(e) { $parent.itemClick($data, e.event) } } }"> </div><!-- /ko --><!-- ko if: hasFullList --> <div class="dx-dashboard-container-type dx-dashboard-type-more"> <div class="dx-dashboard-type-selector-more-close" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { hint: $root.getLocalizationById(\'DashboardStringId.CloseCaption\'), icon: \'dx-dashboard-close\' } }"> </div> <div class="dx-dashboard-type-selector-more-full" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { hint: $root.getLocalizationById(\'DashboardWebStringId.Binding.ShowAll\'), icon: \'dx-dashboard-group-types-full-list\' } }"> </div> </div><!-- /ko --> </div>',
    'dx-dashboard-container-type-selector-header': '<div class="dx-dashboard-container-types-header-container"> <h5 data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.FilterItem.Type\')"></h5> <div data-bind="template: { name: \'dx-dashboard-container-types-header\' }"></div> </div>',
    'dx-dashboard-container-style-selector-header': '<div class="dx-dashboard-container-types-header-container"> <h5 data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.StyleSettings\')"></h5> <div data-bind="template: { name: \'dx-dashboard-container-types-header\' }"></div> </div>',
    'dx-dashboard-container-type-selector-full': '<!-- ko foreach: availableContainerTypeGroups --> <div class="dx-dashboard-container-types"> <!-- ko if: $data.displayName--> <h4 data-bind="text: $root.getLocalizationById($data.displayName)"></h4> <!-- /ko --> <!-- do NOT reindent these lines --> <!-- ko foreach: $parent.availableContainerTypes.filter(function (type) { return type.group === $data.name; } ) --><div class="dx-dashboard-container-type" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { isSelected: $data.selected, hint: $root.getLocalizationById(displayName), icon: icon, click: function(e) { $parents[1].itemClick($data, e.event) } } }"> </div><!-- /ko --> </div><!-- /ko -->',
    'dx-dashboard-item-plate': '<div class="dx-dashboard-item-plate-container"> <div class="dx-dashboard-item-plate dx-layout-item-plate dx-state-selected" draggable="true" > <!-- ko template: \'dx-dashboard-drag\' --><!-- /ko --> </div> </div>',
    'dx-dashboard-item-menu-holder': '<div class="dx-dashboard-item-controls"> <dx-dashboard-item-menu params=" layoutController: $data.dockingLayoutController, layoutItem: $data.layoutItem, itemMenuViewModelContainer: $data.itemMenuViewModelContainer, notificationController: $data.notificationController" data-bind="css: { \'dx-state-selected\': $data.layoutItem.isSelected }"></dx-dashboard-item-menu> </div>',
    'dx-dashboard-item-menu': '<div class="dx-dashboard-item-menu-container" data-bind="css: menuContainerCssClasses"> <div class="dx-dashboard-item-menu" data-bind="menuVisibilitySubscription: { visible: menuItemDetailVisible }"> <!-- ko if: isCollapsedStateToggleVisible() --> <div class="dx-dashboard-designer-menu-item dx-dashboard-item-menu-toggle" data-bind="click: collapsedStateToggle, css: isCollapsed() ? \'dx-dashboard-item-menu-expand\' : \'\'"> <!-- ko template: \'dx-dashboard-item-menu-collapse\' --><!-- /ko --> </div> <!-- ko if: !isCollapsed() --> <div class="dx-dashboard-designer-menu-separator"></div> <!-- /ko --> <!-- /ko --> <!-- ko if: !isCollapsed() --> <!-- ko foreach: contextMenuItemViewModels --> <div data-bind="css: menuButton.cssClass, click: menuButton.clickHandler, attr: { title: menuButton.hint }" class="dx-dashboard-designer-menu-item"> <!-- ko template: menuButton.icon --><!-- /ko --> <div data-bind="dxPopover: getPopoverOptions($root.getWidgetContainer())"> <!-- ko lazy: { template: \'dx-dashboard-context-menu-panel-content\' } --> <!-- /ko --> </div> </div> <!-- /ko --> <div class="dx-dashboard-designer-menu-separator"></div> <div class="dx-dashboard-remove-item-button dx-dashboard-designer-menu-item" data-bind="click: deleteCurrentItemAction, attr: { title: deleteCurrentItemActionCaption }"> <!-- ko template: \'dx-dashboard-remove\' --><!-- /ko --> </div> <!-- /ko --> </div> </div>',
    'dx-dashboard-context-menu-header': '<div class="dx-dashboard-panel-header"> <div class="dx-dashboard-panel-header-title" data-bind="text: title"></div> <div class="dx-dashboard-close-panel dx-toolbar-item-content"> <div data-bind="dxButton: { onClick: click, type: \'normal\', stylingMode: \'text\', icon: \'close\' }"></div> </div> </div>',
    'dx-dashboard-context-menu-panel-content': '<!-- ko with: menuPropertiesPanel --><div class="dx-dashboard-context-menu-panel" data-bind="css: cssClasses, style: style"> <!-- ko if: title --> <!-- ko template: { name: \'dx-dashboard-context-menu-header\', data: { title: title, click: hidePanelAction, detailVisible: detailVisible } }--> <!-- /ko --> <!-- /ko --> <!-- ko if: detailVisible --> <!-- ko template: { name: panelContent.view, data: panelContent.viewModel } --> <!-- /ko --> <!-- /ko --></div><!-- /ko -->',
    'dx-dashboard-custom-range-collection-item': '<div class="dx-dashboard-collection-editor-item" data-bind="style: { \'font-weight\': $data.customTemplateGetItemWeight($data.itemModel)}"> <div data-bind="text: $root.getLocalizationById($data.parent.getItemText($data.itemModel))"></div> </div>',
    'dx-dashboard-data-item-link': '<div class="dx-dashboard-data-item" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { isSelected: $data.selected, text: $data.item && $data.item.dataItem && $data.item.dataItem() && dataItemDisplayNameProvider($data.item.dataItem()) || (($root.ko.unwrap($data.selected) && $data.selectedPlaceholder) || $data.placeholder), click: function(e) { !!$data.propertiesController ? $data.propertiesController.processDataItemClick($data) : $data.click($data); } } }, style: { \'z-index\': 1000 - $data.index }, css: { \'dx-dashboard-data-item-remove-action-visible\': $root.ko.unwrap($data.selected) && !$root.ko.unwrap($data.isEmpty), \'dx-empty\': $data.isEmpty, \'dx-state-warning\': $data.warning, \'dx-state-error\': $data.error }, attr: { draggable: !!$root.ko.unwrap($data.draggable) }"></div> <!-- ko ifnot: $data.isEmpty  --> <div class="dx-dashboard-data-item-remove-action" data-bind=" click: function(model, event) { removeDataItem(item); event.stopPropagation(); }, css: { \'dx-dashboard-data-item-remove-action-visible\': $root.ko.unwrap($data.selected) , \'dx-dashboard-data-item-remove-action-embeded\': $data.embeddedRemovalIcon } "> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> <!-- /ko -->',
    'dx-dashboard-data-item-collection': '<h4 data-bind="text: $root.getLocalizationById(sectionInfo.title)"></h4> <div class="dx-dashboard-collection"> <!-- ko foreach: groups --> <div class="dx-dashboard-drop-target"> <div></div> </div> <div data-bind="css: { \'dx-dashboard-hierarchical-group\': $data.groupIndex !== undefined }"> <!-- ko foreach: items --> <dx-dashboard-data-item-link params="item: $data, click: $parents[1].selectDataItem, removeDataItem: $parents[1].removeDataItem, index: $index(), dataItemDisplayNameProvider: $parents[1].dataItemDisplayNameProvider, propertiesController: $parents[1].itemSurface.propertiesController, error: $parents[1].errorFactory($data), draggable: true"></dx-dashboard-data-item-link> <!-- /ko --> </div> <!-- /ko --> <div class="dx-dashboard-drop-target dx-dashboard-cover-item" data-bind="css: {\'dx-dashboard-hierarchical-group-cover\': false}"> <div></div> </div> <dx-dashboard-data-item-link params="selectionTarget: newItemSample, placeholder: sectionInfo.bindingProperty.emptyPlaceholder, selectedPlaceholder: sectionInfo.bindingProperty.selectedPlaceholder, click: addClick, propertiesController: $parent.itemSurface.propertiesController, warning: $data.warning"></dx-dashboard-data-item-link> </div>',
    'dx-dashboard-add-pane-section': '<div class="dx-dashboard-add-pane" data-bind="click: addPane, title: $root.getLocalizationById(\'DashboardWebStringId.Chart.AddPane\')"> <!-- ko lazy: { if: $parents[3].detailVisible } --> <!-- ko template: \'dx-dashboard-add-pane\' --><!-- /ko --> <!-- /ko --> </div>',
    'dx-dashboard-data-item-container-collection': '<h4 data-bind="text: $root.getLocalizationById(sectionInfo.title)"></h4> <div class="dx-dashboard-collection"> <!-- ko foreach: groups --> <div class="dx-dashboard-drop-target"> <div></div> </div> <div data-bind="css: { \'dx-dashboard-hierarchical-group\': $data.groupIndex !== undefined }"> <!-- ko foreach: items --> <dx-dashboard-data-item-link params="draggable: true, click: $parents[1].selectDataItemContainer, item: $data, removeDataItem: $parents[1].removeDataItem, dataItemDisplayNameProvider: $parents[1].dataItemDisplayNameProvider, placeholder: $parents[1].getDisplayName($data), isEmpty: false, error: $parents[1].errorFactory($data), propertiesController: $parents[1].itemSurface.propertiesController "></dx-dashboard-data-item-link> <!-- /ko --> </div> <!-- /ko --> <div class="dx-dashboard-drop-target dx-dashboard-cover-item"> <div></div> </div> <dx-dashboard-data-item-link params="selectionTarget: newContainerSample, placeholder: sectionInfo.bindingProperty.emptyPlaceholder, selectedPlaceholder: sectionInfo.bindingProperty.selectedPlaceholder, click: addDataItemContainerClick, propertiesController: $parent.itemSurface.propertiesController, warning: $data.warning"/> </div>',
    'dx-dashboard-data-item-single': '<h4 data-bind="text: $root.getLocalizationById(sectionInfo.title)"></h4> <div class="dx-dashboard-collection"> <div class="dx-dashboard-drop-target dx-dashboard-cover-item"> <div></div> </div> <dx-dashboard-data-item-link params="item: dataItemLink, removeDataItem: removeDataItem, dataItemDisplayNameProvider: dataItemDisplayNameProvider, click: selectDataItem, placeholder: sectionInfo.bindingProperty.emptyPlaceholder, selectedPlaceholder: sectionInfo.bindingProperty.selectedPlaceholder, propertiesController: $parent.itemSurface.propertiesController, error: errorFactory(dataItemLink), draggable: dataItemLink.uniqueName, warning: $data.warning" /> </div>',
    'dx-dashboard-field-picker': '<div data-bind="dxFieldListPicker: { path: pathToMembers, value: value, displayValue: displayValue, itemsProvider: itemsProvider, treeListController: treeListController, disabled: disabled, placeholder: $root.getLocalizationById(\'DashboardStringId.ParametersSelectorText\') }"></div>',
    'dx-dashboard-parameter-settings': '<div class="dx-dashboard-form-column dx-dashboard-form-left-column"> <div data-bind="dxScrollView: { direction: \'vertical\', height: \'100%\' }"> <div data-bind="dx-dashboard-form-adapter: { target: commonParameterSettings  }" class="dx-dashboard-properties"></div> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column"> <div class="dx-dashboard-form-column-content-wrapper dx-dashboard-properties"> <div class="dx-dashboard-form-row-content" data-bind="dxScrollView: { direction: \'vertical\' }"> <div data-bind="dx-dashboard-form-adapter: { target: lookUpParameterType  }" class="dx-dashboard-properties"></div> <div class="dx-dashboard-parameter-lookup-settings"> <!-- ko with: staticListLookUpSettings --> <div data-bind="dx-dashboard-form-adapter: { target: $data }" class="dx-dashboard-properties"></div> <!-- /ko--> <!-- ko with: dynamicListLookUpSettings --> <div data-bind="dx-dashboard-form-adapter: { target: $data }" class="dx-dashboard-properties"></div> <!-- /ko --> </div> </div> </div> </div>',
    'dx-dashboard-form-parameters-settings': '<!-- ko if: dashboard() --> <div class="dx-dashboard-form-wrapper"> <div class="dx-dashboard-form-column dx-dashboard-form-left-column"> <div class="dx-dashboard-form-column-content-wrapper"> <div class="dx-dashboard-form-row-caption"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Parameters.ParameterList\')"></span> <div class=\'dx-dashboard-form-row-action-list\'> <!-- ko if: dashboard().parameters().length > 1 --> <div class="dx-dashboard-form-row-action" data-bind="click: toggleReordering, text: allowReordering() ? $root.getLocalizationById(\'DashboardWebStringId.Parameters.Done\'): $root.getLocalizationById(\'DashboardWebStringId.Parameters.Reorder\')"> </div> <!-- /ko --> <!-- ko if: dashboard().parameters().length > 0 --> <div class="dx-dashboard-form-row-action" data-bind="click: addParameter, text: $root.getLocalizationById(\'DashboardWebStringId.Add\'), attr: { title: $root.getLocalizationById(\'DashboardWebStringId.Parameters.AddParameter.Tooltip\') }"> </div> <!-- /ko --> </div> </div> <!-- ko if: dashboard().parameters().length > 0 --> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-form-settings-parameters-list" data-bind="dxList: { dataSource: dashboard().parameters, selectionMode: \'single\', itemDragging: { allowReordering: allowReordering, }, onItemReordered: reorderParameters, selectedItems: $data.selectedParameters, nextButtonText: $root.getLocalizationById(\'DashboardWebStringId.More\'), searchEnabled: true, searchExpr: [\'name\', \'description\'], searchEditorOptions: { placeholder: $root.getLocalizationById(\'DashboardWebStringId.Search\') } }"> <div class="dx-dashboard-parameter-item"> <div class="dx-dashboard-parameter-entry"> <div> <span class="dx-dashboard-parameter-name" data-bind="text: name"></span> <!-- ko if: description--> <br/> <span class="dx-dashboard-parameter-description" data-bind="text: description"></span> <!-- /ko --> </div> </div> <!-- ko ifnot: $parent.allowReordering --> <div class="dx-dashboard-remove-icon" data-bind="click: $parent.removeParameter"> <!-- ko template: \'dx-dashboard-remove\' --><!-- /ko --> </div> <!-- /ko --> </div> </div> </div> <!-- /ko --> <!-- ko ifnot: dashboard().parameters().length > 0 --> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-form-parameter-placeholder"> <div> <span class="dx-dashboard-form-inline-action" data-bind="click: addParameter, text: $root.getLocalizationById(\'DashboardWebStringId.Parameters.AddParameter\')"></span> </div> </div> </div> <!-- /ko --> </div> </div> <div class="dx-dashboard-form-column dx-dashboard-form-right-column"> <div class="dx-dashboard-form-column-content-wrapper"> <!-- ko if: dashboard().parameters().length > 0 --> <div class="dx-dashboard-form-row-content"> <!-- ko if: parameterEditorViewModel  --> <div data-bind="template: { name: \'dx-dashboard-parameter-settings\', data: parameterEditorViewModel }" class="dx-dashboard-parameter-settings"></div> <!-- /ko --> </div> <!-- /ko --> <!-- ko ifnot: dashboard().parameters().length > 0 --> <div class="dx-dashboard-form-row-content"> <div class="dx-dashboard-form-parameter-placeholder"> <div data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.Parameters.NoSelectedParameter\')"></div> </div> </div> <!-- /ko --> </div> </div> </div> <!-- /ko -->',
    'dx-dashboard-properties-accordion': '<div data-bind="dxAccordion: { dataSource: !$data.useSecondaryModel ? propertiesController.accordionDataSource : propertiesController.secondaryAccordionDataSource, itemTitleTemplate: \'title\', itemTemplate: \'itemCategory\', focusStateEnabled: false, selectedIndex: !$data.useSecondaryModel ? propertiesController.selectedIndex : propertiesController.secondarySelectedIndex, collapsible: true, noDataText: $root.getLocalizationById(\'DashboardStringId.MessageLoading\'), encodeNoDataText: true, onItemRendered: function (e) { if(e.itemData.hasNoBorder) { $root.$unwrap(e.itemElement).classList.add(\'dx-dashboard-accordion-item-no-border\'); } }, onSelectionChanged: function(e) { if(e.addedItems[0] && e.addedItems[0].tabModel) { e.addedItems[0].tabModel(e.addedItems[0].tabModel()) } } }"> <div data-options="dxTemplate : { name: \'title\', visible: \'visible\' }" data-bind=" css: $data.style, style: { height: $data.headerHeight ? $data.headerHeight + \'px\': \'\' }, dxclick: function(data, event) { $data.onTitleClick && $data.onTitleClick($data.headerModel || $data.tabModel, data, event); } " > <!-- ko if: $data.headerTemplate --> <!-- ko template: { name: $data.headerTemplate, data: $data.headerModel || $data.tabModel } --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.headerTemplate --> <!-- ko template: { name: \'dx-dashboard-properties-header-template\' } --> <!-- /ko --> <!-- /ko --> </div> <div data-options="dxTemplate : { name: \'itemCategory\', visible: \'visible\' }" data-bind="css: $data.style"> <div> <!-- ko template: \'dx-dashboard-accordion-tab-content\' --> <!-- /ko --> </div> <div class="dx-shadow dx-shadow-bottom"></div> </div> </div>',
    'dx-dashboard-accordion-tab-content': '<!-- ko if: $data.tabTemplate --> <!-- ko template: { name: $data.tabTemplate, data: $data.tabModel } --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.tabTemplate --> <!-- ko with: $data.tabModel --> <div data-bind="dx-dashboard-form-adapter: { target: $data }" class="dx-dashboard-properties"></div> <!-- /ko --> <!-- /ko -->',
    'dx-dashboard-content-in-tab-header-template': '<!-- ko with: $data --> <div data-bind="dx-dashboard-form-adapter: { target: $data }" class="dx-dashboard-properties"></div> <!-- /ko -->',
    'dx-dashboard-properties-header-template': '<div class="dx-shadow dx-shadow-top"></div> <div class="dx-dashboard-accordion-title-content"> <h5 data-bind="text: $root.getLocalizationById($data.category)"></h5> <!-- ko if: $data.summary --> <h6 data-bind="text: $root.getLocalizationById($data.summary && $data.summary()), attr: { title: $data.summaryHint && $data.summaryHint() }"></h6> <!-- /ko --> <!-- ko ifnot: $data.summary --> <h6></h6> <!-- /ko --> </div>',
    'dx-dashboard-text-box-item-editor-extension': '<div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { boundary: $root.getWidgetContainer(), of: $root.getWidgetContainer(), my: \'center\', at: \'center\' }, height: \'80%\', width: \'80%\', hideOnOutsideClick: true, showTitle: true, deferRendering: true, onHiding: onHiding, onHidden: onHidden, onInitialized: onInitialized, title: $root.getLocalizationById(\'DashboardWebStringId.TextBoxItemEditor.DialogCaption\'), toolbarItems: [ { toolbar: \'bottom\', location: \'after\', widget: \'dxButton\', options: { text: $root.getLocalizationById(\'DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose\'), onClick: saveAndClose, type: \'default\' } }, { toolbar: \'bottom\', location: \'after\', widget: \'dxButton\', options: { text: $root.getLocalizationById(\'DashboardWebStringId.TextBoxItemEditor.DialogClose\'), onClick: close } } ], wrapperAttr: { class: \'dx-dashboard-text-box-item-editor-popup\' } }"> <!-- ko with: richEditorOptions --> <div class="dxb-d-block dxb-position-relative" data-bind="dx-dashboard-rich-edit: $data"> </div> <!-- /ko --> </div> <!-- ko template: { name: "dx-dashboard-confirm-dialog", data: confirmDialogViewModel } --> <!-- /ko -->',
    'dx-dashboard-toolbar-extension': '<div data-bind="dxPopup: getKoPopupOptions()"> <div class="dx-dashboard-designer-toolbar" data-bind="dxToolbar: koToolbarOptions"></div> </div>',
    'dx-dashboard-toolbox-extension': '<div class="dx-dashboard-toolbox-extension" data-bind="style: { left: designerPanelLeft() + \'px\' }"> <!-- ko template: \'dx-dashboard-menu\' --> <!-- /ko --> <!-- ko template: \'dx-dashboard-toolbox\' --> <!-- /ko --> <!-- ko template: \'dx-dashboard-toolbar\' --> <!-- /ko --> </div>',
    'dx-dashboard-menu': '<!-- toogle menu button --> <div class="dx-dashboard-designer-menu-button" data-bind="click: toggleMenu"> <!-- ko template: \'dx-dashboard-designer-menu-icon\' --><!-- /ko --> </div> <!-- menu --> <div data-bind="dxPopup: { target: $root.getWidgetContainer(), container: $root.getWidgetContainer(), position: { my: \'left top\', at: \'left top\', collision: \'flipfit\', boundaryOffset: \'0, 0\', boundary: $root.getWidgetContainer(), of:  $root.getWidgetContainer(), offset: \'0, 0\' }, animation: { show: { type: \'slide\', from: { left: -240 }, to: { left: 0 } }, hide: { type: \'slide\', from: { left: 0 }, to: { left: -240 } } }, focusStateEnabled: false, showCloseButton: false, dragEnabled: false, width: settingsFormVisible() ? \'100%\' : 240, height: \'100%\', titleTemplate: \'menuTitleTemplate\', hideOnOutsideClick: !settingsFormVisible(), hideOnParentScroll: false, visible: menuVisible, wrapperAttr: { class: \'dx-dashboard-designer-menu-popup\' } }"> <div class="dx-dashboard-designer-menu-header" data-options="dxTemplate: { name: \'menuTitleTemplate\' }"> <span data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.DashboardMenu\')"></span> <div class="dx-dashboard-designer-menu-close"> <div data-bind="dxButton: { onClick: function() { toggleMenu(); }, type: \'normal\', stylingMode: \'text\', icon: \'close\' }"></div> </div> </div> <div class="dx-dashboard-designer-menu" data-bind="dxScrollView: { direction: \'vertical\' }"> <ul class="dx-theme-generic-typography"> <!-- ko foreach: menuItemsSorted --> <li class="dx-dashboard-main-menu-item" data-bind="click: disabled() ? null : $parent.menuItemClick, text: $root.getLocalizationById(title), css: { \'dx-state-selected\': selected, \'dx-state-disabled\': disabled, \'dx-separator\': $data.hasSeparator }"></li> <!-- /ko --> </ul> </div> <!-- ko if: settingsFormVisible() && settingsForm() --> <div class="dx-dashboard-dashboard-form dx-dashboard-typography dx-dashboard-property-grid dx-dashboard-settings-form"> <div class="dx-dashboard-settings-form-title" data-bind="text: $root.getLocalizationById(settingsForm().title)"> </div> <div class="dx-dashboard-settings-form-content"> <!-- ko template:{ name: settingsForm().template, data: settingsForm().data } --> <!-- /ko --> </div> </div> <!-- /ko --> </div> <!-- right form -->',
    'dx-dashboard-toolbar': '<!-- toolbar --> <div class="dx-dashboard-toolbar" data-bind="element-height-change-provider: { model: toolbarGroupsSorted, height: toolbarHeight } "> <div class="dx-dashboard-toolbox-group-separator"></div> <!-- ko foreach: toolbarGroupsSorted --> <!-- ko foreach: items --> <!-- ko if: $data[\'template\'] --> <!-- ko template: $data[\'template\'] --> <!-- /ko --> <!-- /ko --> <!-- ko if: $data[\'icon\']--> <div class="dx-dashboard-toolbar-action" data-bind="attr: { title: $root.getLocalizationById(title) }, click: click, css: { \'dx-state-disabled\': disabled }"> <!-- ko template: icon --><!-- /ko --> </div> <!-- /ko --> <!-- /ko --> <div class="dx-dashboard-toolbox-group-separator"></div> <!-- /ko --> </div>',
    'dx-dashboard-toolbox': '<!-- toolbox --> <div class="dx-dashboard-toolbox dx-dashboard-toolbox-group-separator" data-bind=" dxScrollView: { direction: \'vertical\'}, style: { bottom: toolbarHeight() + \'px\' }"> <!-- ko foreach: toolboxGroupsSorted --> <div class="dx-dashboard-toolbox-group" data-bind="text: $root.getLocalizationById(title)"></div> <!-- ko foreach: items --> <div class="dx-dashboard-toolbox-item" data-bind="dx-dashboard-element-accessor: $parents[1].initDragEvents(type), attr: { \'data-item-type\': type, title: $root.getLocalizationById(title) }, click: click, css: { \'dx-state-disabled\': disabled }" draggable="true"> <!-- ko template: icon --><!-- /ko --> <div class="dx-dashboard-toolbox-item-hover"></div> </div> <!-- /ko --> <div class="dx-dashboard-toolbox-group-separator"></div> <!-- /ko --> </div>',
    'dx-toolbox-extension-layout-item-placeholder': '<div class="dx-toolbox-extension-layout-item-placeholder-wrapper"> <div class="dx-toolbox-extension-layout-item-placeholder"> <div data-bind="text: $root.getLocalizationById(\'DashboardWebStringId.AddItemInvitation\')"></div> <div> <!-- ko foreach: dashboardItems --> <div class="dx-dashboard-toolbox-item" data-bind="attr: { title: $root.getLocalizationById(title) }"> <!-- ko template: iconName --><!-- /ko --> <div class="dx-dashboard-toolbox-item-button" data-bind="attr: { \'data-item-type\': type }, click:  $parent.addDashboardItem"></div> </div> <!-- /ko --> </div> </div> </div>',
    'dx-dashboard-collection-editor': '<div class="dx-dashboard-collection-editor"> <div class="dx-dashboard-collection-editor-header" data-bind="visible: isToolbarVisible"> <!-- ko if: allowAddItem --> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-add" data-bind="click: add, css: { \'dx-state-disabled\': !addEnabled() }"> <!-- ko template: \'dx-dashboard-ce-add\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko if: allowEditItem --> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-edit" data-bind="click: edit, css: { \'dx-state-disabled\': !editEnabled() }"> <!-- ko template: \'dx-dashboard-ce-edit\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko if: allowReorderItem --> <div class="dx-dx-dashboard-icon-separator"></div> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-arrow-down" data-bind="click: down, css: { \'dx-state-disabled\': !downEnabled() }"> <!-- ko template: \'dx-dashboard-ce-arrow-down\' --><!-- /ko --> </div> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-arrow-up" data-bind="click: up, css: { \'dx-state-disabled\': !upEnabled() }"> <!-- ko template: \'dx-dashboard-ce-arrow-up\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko if: allowRemoveItem --> <div class="dx-dashboard-ce-remove-icon" data-bind="click: remove, css: { \'dx-dashboard-state-selected\': !!removeEnabled() }"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko foreach: customToolbarItems --> <div class="dx-dx-dashboard-icon-separator"></div> <div class="dx-dashboard-ce-icon dx-dashboard-ce-custom-action-icon" data-bind="click: action, attr: { title: name }"> <!-- ko template: icon --><!-- /ko --> </div> <!-- /ko --> </div> <div class="dx-dashboard-list dx-dashboard-empty-message" data-bind="dxList: $data.getListOptions()"></div> </div>',
    'dx-dashboard-editable-collection-editor': '<div class="dx-dashboard-collection-editor"> <div class="dx-dashboard-collection-editor-header" data-bind="visible: isToolbarVisible"> <!-- ko if: allowAddItem --> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-add" data-bind="click: add, css: { \'dx-state-disabled\': !addEnabled() }"> <!-- ko template: \'dx-dashboard-ce-add\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko if: allowReorderItem --> <div class="dx-dx-dashboard-icon-separator"></div> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-arrow-down" data-bind="css: { \'dx-state-disabled\': !downEnabled() }, click: down"> <!-- ko template: \'dx-dashboard-ce-arrow-down\' --><!-- /ko --> </div> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-arrow-up" data-bind="css: { \'dx-state-disabled\': !upEnabled() }, click: up"> <!-- ko template: \'dx-dashboard-ce-arrow-up\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko if: allowRemoveItem --> <div class="dx-dashboard-ce-remove-icon" data-bind="click: remove, css: { \'dx-dashboard-state-selected\': removeEnabled() }"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> <!-- /ko --> </div> <div class="dx-dashboard-editable-collection-editor" data-bind="dxDataGrid: $data.getGridOptions()"></div>',
    'dx-datasource-chooser-slider': '<div> <div class="dx-field-chooser-header-container"> </div> <div class="dx-field-chooser-scroll-holder dx-data-source-scroll-holder"> <!-- ko template: \'dx-field-chooser-content-list\' --> <!-- /ko --> </div> </div>',
    'dx-field-chooser-slider': '<div> <div class="dx-field-chooser-header-container"> <!-- ko template: \'dx-field-chooser-header-area\' --> <!-- /ko --> </div> <div class="dx-field-chooser-scroll-holder"> <!-- ko if: hasSearchResults() && isSearchMode() --> <!-- ko template: \'dx-field-chooser-content-search-results\' --> <!-- /ko --> <!-- /ko --> <!-- ko if: !$data.hasSearchResults || !$data.isListMode || (!hasSearchResults() && isListMode()) --> <!-- ko template: \'dx-field-chooser-content-list\' --> <!-- /ko --> <!-- /ko --> <!-- ko if: !hasSearchResults() && !isListMode() --> <!-- ko template: \'dx-field-chooser-content-treeview\' --> <!-- /ko --> <!-- /ko --> </div> </div> <!-- ko template: { name: \'dx-dashboard-calc-field-editor\', data: calcFieldEditor  } --> <!-- /ko --> <!-- ko template: { name: "dx-dashboard-confirm-dialog", data: _inappropriateCalcFieldConfirmation } --> <!-- /ko -->',
    'dx-field-chooser-header-area': '<div class="dx-field-chooser-header" data-bind="css: { \'dx-field-chooser-search-mode\': isSearchMode() }"> <div class="dx-field-chooser-toolbar"> <div class="dx-dashboard-ce-icon dx-field-chooser-search-button" data-bind="click: searchButtonClick"> <!-- ko template: \'dx-dashboard-fc-search\' --><!-- /ko --> </div> <!-- ko if: canAddCalculatedField --> <div class="dx-dx-dashboard-icon-separator"></div> <div class="dx-dashboard-ce-icon dx-dashboard-ce-icon-add" data-bind="click: addCalcField"> <!-- ko template: \'dx-dashboard-calc-field-add\' --><!-- /ko --> </div> <div class="dx-dashboard-ce-icon" data-bind="click: editCalcField, css: {\'dx-state-disabled\': !isCalcFieldSelected()}"> <!-- ko template: \'dx-dashboard-ce-edit\' --><!-- /ko --> </div> <!-- /ko --> <div class="dx-field-chooser-mode-buttons"> <!-- ko if: canAddCalculatedField --> <div class="dx-dashboard-ce-icon" data-bind="click: removeCalcField, css: {\'dx-state-disabled\': !isCalcFieldSelected()}"> <!-- ko template: \'dx-dashboard-remove-small\' --><!-- /ko --> </div> <!-- /ko --> <!-- ko if: hasGroups() --> <div class="dx-field-chooser-header-button" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { isSelected: isListMode, icon: \'dx-dashboard-fc-mode-list\', click: setListMode } }"> </div> <div class="dx-field-chooser-header-button" data-bind=" component: { name: \'dx-dashboard-checked-button\', params: { isSelected: !isListMode(), icon: \'dx-dashboard-fc-mode-tree\', click: setTreeMode } }"> </div> <!-- /ko --> </div> </div> <div class="dx-field-chooser-find-area"> <div class="dx-field-chooser-search"> <div data-bind="dxTextBox: { value: searchString, valueChangeEvent: \'keyup\', showClearButton: true, placeholder: $root.getLocalizationById(\'DashboardWebStringId.Binding.Searching\'), disabled: !isSearchMode() }"></div> </div> </div> </div>',
    'dx-field-chooser-content-search-results': '<div class="dx-field-chooser-lists-container"> <div class="dx-dashboard-list dx-dashboard-empty-message" data-bind="dxList: { items: searchResults, onItemClick: selectViaSearchResults, selectionMode: \'single\', selectedItems: [selectedSearchResult()], noDataText: $root.getLocalizationById(\'DashboardWebStringId.Binding.EmptySearchResult\'), }"> <div data-options="dxTemplate : { name: \'item\' }"> <div class="dx-field-chooser-search-list-item" data-bind="css: {\'dx-has-path\': path.length > 0 }"> <div class="dx-field-chooser-search-list-item-name" data-bind="text: item.displayName, attr: { title: $root.ko.unwrap(item.displayName).length > 30 ? item.displayName : null }, css: {\'dx-dashboard-corrupted-calc-field\': item.isCorruptedCalcField }"></div> <div class="dx-field-chooser-search-list-item-path" data-bind="text: path, attr: { title: path.length > 30 ? path : null }"></div> <!-- ko template: { name: \'dx-field-chooser-field-type\', data: item } --> <!-- /ko --> </div> </div> </div> </div>',
    'dx-field-chooser-content-list': '<div class="dx-field-chooser-lists-container"> <!-- ko foreach: lists --> <div class="dx-field-chooser-list" data-bind="css: { \'dx-state-ready\': ready }, style: { left: $element.offsetWidth * index() + \'px\' }"> <!-- ko template: { name: \'dx-slidable-lists-navigation-area\', data: $data } --> <!-- /ko --> <div class="dx-dashboard-list dx-dashboard-empty-message" data-bind="dxList: { dataSource: items, pageLoadMode: \'scrollBottom\', onItemClick: itemClick, selectionMode: \'single\', selectedItemKeys: selectedItemName, keyExpr: \'name\', onInitialized: onInitialized, onContentReady: onContentReady, encodeNoDataText: true, noDataText: $root.getLocalizationById(\'DashboardStringId.FilterElementNoDataToDisplay\') }, css: { \'dx-hierarchical-field-chooser-list\' : !!ancestors }"> <div data-options="dxTemplate : { name: \'item\' }"> <div class="dx-field-chooser-list-item" data-bind="attr: { title: displayName }, css: { \'dx-dashboard-has-children\': $root.ko.unwrap(isGroup) }"> <span data-bind="text: displayName, css: {\'dx-dashboard-corrupted-calc-field\': $data.isCorruptedCalcField }"></span> <!-- ko template: \'dx-field-chooser-field-type\' --> <!-- /ko --> </div> </div> </div> <div class="dx-field-chooser-list-loading" data-bind="dxLoadIndicator: { visible: loading }"> </div> </div> <!-- /ko --> </div>',
    'dx-field-chooser-content-treeview': '<div class="dx-field-chooser-tree-view-container"> <div class="dx-dashboard-treeview dx-dashboard-empty-message dx-field-chooser-tree-view" data-bind="dxTreeView: dataSourceTreeOptions"> <div class="dx-field-chooser-list-item" data-bind="css: { \'dx-field-chooser-group-list-item\': $data.isGroup }"> <span data-bind="text: displayName, attr: { title: $root.ko.unwrap(displayName).length > 20 ? displayName : null }, css: {\'dx-dashboard-corrupted-calc-field\': $data.isCorruptedCalcField }" ></span> <!-- ko template: \'dx-field-chooser-field-type\' --> <!-- /ko --> </div> </div> </div>',
    'dx-field-chooser-field-type': '<div class="dx-dashboard-field-kind" data-bind="if: isOlap || isCalcField"> <!-- ko if: $data.isOlapDimension--> <!-- ko template: \'dx-dashboard-olap-dimension\' --><!-- /ko --> <!-- /ko --> <!-- ko if: $data.isOlapDimensionHierarchy--> <!-- ko template: \'dx-dashboard-olap-dimension-hierarchy\' --><!-- /ko --> <!-- /ko --> <!-- ko if: $data.isOlapMeasure--> <!-- ko template: \'dx-dashboard-olap-measure\' --><!-- /ko --> <!-- /ko --> <!-- ko if: $data.isCalcField--> <!-- ko if: $data.isAggregate--> <!-- ko template: \'dx-dashboard-calc-field-aggregate\' --><!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.isAggregate--> <!-- ko template: \'dx-dashboard-calc-field\' --><!-- /ko --> <!-- /ko --> <!-- /ko --> </div> <div class="dx-dashboard-field-type dxb-pe-auto" data-bind="attr: { title: $data.typeTooltip}, style: { cursor: $data.isList ? \'default\' : \'inherit\' }"> <!-- ko if: !$data.isCorruptedCalcField && $data.normalizedType --> <!-- ko template: \'dx-dashboard-datatype-\' + $data.normalizedType --><!-- /ko --> <!-- /ko --> <!-- ko if: $data.isCorruptedCalcField --> <!-- ko template: \'dx-dashboard-calc-field-corrupted\' --><!-- /ko --> <!-- /ko --> </div>',
    'dx-slidable-lists-navigation-area': '<div class="dx-slidable-lists-navigation" data-bind="visible: !!ancestors"> <!-- ko with: ancestors --> <div class="dx-slidable-lists-breadcrumb" data-bind="attr: { title: $data.map(function(el) { return $root.getLocalizationById(el); }).join(\'/\') }"> <!-- ko foreach: $data --> <!-- ko if: ($index() !== ($parent.length - 1)) --> <span class="dx-slidable-lists-navigation-path-item dx-slidable-lists-navigation-path-item-link" data-bind="text: $root.getLocalizationById($data), click: function(data) { var handler = $parents[3].backClick || $parents[1].backClick; handler(data, $parent); }"></span> <span>/</span> <!-- /ko --> <!-- ko if: ($index() === ($parent.length - 1)) --> <span class="dx-slidable-lists-navigation-path-item" data-bind="text: $root.getLocalizationById($data)"></span> <!-- /ko --> <!-- /ko --> </div> <!-- /ko --> <div class="dx-slidable-lists-navigation-empty-area"></div> </div>'
});

;// ./dist/resources/_svg_templates.generated.js

const _initializeSvgTemplates = () => external_DevExpress_Analytics_Widgets_Internal_.SvgTemplatesEngine.addTemplates({
    'dx-dashboard-arrow-left': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-arrow-left" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M19 11H8.9L14 6h-3l-6 6 6 6h3l-5.1-5H19z"/></svg>',
    'dx-dashboard-group-types-full-list': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-group-types-full-list" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><circle class="dx-dashboard-current-color-icon" cx="6" cy="12" r="2"/><circle class="dx-dashboard-current-color-icon" cx="12" cy="12" r="2"/><circle class="dx-dashboard-current-color-icon" cx="18" cy="12" r="2"/></svg>',
    'dx-dashboard-back': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-back" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M19 11H8.9L14 6h-3l-6 6 6 6h3l-5.1-5H19z"/></svg>',
    'dx-dashboard-clear-master-filter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-clear-master-filter" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M20 5H4l7 7v8h2v-8z"/><path class="dx-dashboard-red-icon" d="M19 18l1.8-1.8c.3-.3.3-.7 0-1-.3-.3-.7-.3-1 0L18 17l-1.8-1.8c-.3-.3-.7-.3-1 0-.3.3-.3.7 0 1L17 18l-1.8 1.8c-.3.3-.3.7 0 1 .3.3.7.3 1 0L18 19l1.8 1.8c.3.3.7.3 1 0 .3-.3.3-.7 0-1L19 18z"/></svg>',
    'dx-dashboard-clear-selection': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-clear-selection" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><g class="dx-dashboard-icon-opacity-50"><path class="dx-dashboard-current-color-icon" d="M19 4H8c-.6 0-1 .4-1 1v1h10c.6 0 1 .4 1 1v10h1c.6 0 1-.4 1-1V5c0-.6-.4-1-1-1z"/></g><path class="dx-dashboard-current-color-icon" d="M16 7H5c-.6 0-1 .4-1 1v11c0 .6.4 1 1 1h11c.6 0 1-.4 1-1V8c0-.6-.4-1-1-1zm-1 11H6V9h9v9z"/><path class="dx-dashboard-red-icon" d="M11.3 13.5l1.5-1.5c.2-.2.2-.6 0-.8-.2-.2-.6-.2-.8 0l-1.5 1.5L9 11.2c-.2-.2-.6-.2-.8 0-.2.2-.2.6 0 .8l1.5 1.5L8.2 15c-.2.2-.2.6 0 .8.2.2.6.2.8 0l1.5-1.5 1.5 1.5c.2.2.6.2.8 0 .2-.2.2-.6 0-.8l-1.5-1.5z"/></svg>',
    'dx-dashboard-content-selection': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-content-selection" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><g class="dx-dashboard-icon-opacity-50"><path class="dx-dashboard-current-color-icon" d="M21 14l-9 6-9-6 9-6z"/></g><path class="dx-dashboard-current-color-icon" d="M21 10l-9 6-9-6 9-6z"/></svg>',
    'dx-dashboard-data-inspector': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-data-inspector" xmlns="http://www.w3.org/2000/svg" " version="1.1" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M9.7 11H4V9h7.1c-.6.6-1.1 1.3-1.4 2zM17 7V5H4v2h13zm-8 7c0-.3 0-.7.1-1H4v2h5.1c-.1-.3-.1-.7-.1-1zm7-5c-2.8 0-5 2.2-5 5 0 .9.2 1.7.6 2.4l-3.2 3.2c-.6.6-.6 1.4 0 2 .6.6 1.4.6 2 0l3.2-3.2c.7.4 1.5.6 2.4.6 2.8 0 5-2.2 5-5s-2.2-5-5-5zm0 8c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.3 3-3 3z"/></svg>',
    'dx-dashboard-data-reduced': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-data-reduced" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-yellow-icon" d="M12 3c-5 0-9 4-9 9s4 9 9 9 9-4 9-9-4-9-9-9zm0 16c-3.9 0-7-3.1-7-7s3.1-7 7-7 7 3.1 7 7-3.1 7-7 7z"/><path class="dx-dashboard-yellow-icon" d="M12 14c-.6 0-1-.4-1-1V8c0-.6.4-1 1-1s1 .4 1 1v5c0 .6-.4 1-1 1zM12 17c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1z"/></svg>',
    'dx-dashboard-drill-up': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-drill-up" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M11 5V2L5 7l6 5V9h1c1.7 0 4 1 4 3 0 5-3 8-3 8s6-3 6-9c0-4-3-6-7-6h-1z"/></svg>',
    'dx-dashboard-export-to-excel': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-export-to-excel" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 48 48" xml:space="preserve"><path class="dx-dashboard-green-icon" d="M42.7 8.4H28.4v3h3.9v3.7h-3.9v1.6h3.9v3.7h-3.9V22h3.9v3.7h-3.9v1.6h3.9V31h-3.9v1.6h3.9v3.7h-3.9v3.1h14.2c.7 0 1.3-.6 1.3-1.3V9.7c.1-.7-.5-1.3-1.2-1.3zm-2.3 27.7h-6.6v-3.7h6.6v3.7zm0-5.2h-6.6v-3.7h6.6v3.7zm0-5.3h-6.6v-3.7h6.6v3.7zm0-5.3h-6.6v-3.7h6.6v3.7zm0-5.2h-6.6v-3.7h6.6v3.7zM4 8.4v30.8L27.3 44V4L4 8.4zm13.8 23.7l-2.5-6.2-2.4 5.9-3-.2 3.7-7.4-3.4-7.2 3.1-.2 2.1 5.7 2.3-6 3.3-.2-3.9 7.8 4.1 8.2-3.4-.2z"/></svg>',
    'dx-dashboard-export-to-image': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-export-to-image" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 48 48" xml:space="preserve"><g class="dx-dashboard-icon-opacity-50"><path class="dx-dashboard-current-color-icon" d="M5 5v38h38V5H5zm36 36H7V7h34v34z"/></g><path class="dx-dashboard-green-icon" d="M8 40h32V25l-12 5-10-10-10 5z"/><circle class="dx-dashboard-yellow-icon" cx="32" cy="16" r="5"/></svg>',
    'dx-dashboard-export-to-pdf': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-export-to-pdf" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 48 48" xml:space="preserve"><path class="dx-dashboard-red-icon" d="M39.1 27.7c-1.8 0-4 .1-6.3.5-1-.6-2.1-1.2-2.9-2-2.2-2.1-4.1-5-5.3-8.1.1-.3.1-.5.2-.8.3-1.5.6-6.3.6-6.5v-.2c.1-.3.5-1.9.4-2.9-.2-.9-.9-2.7-2.6-2.7h-.6c-1.2 0-2.2.6-2.5 1.5-.8 2.8 0 7 1.5 12.5l-.4.9c-1 2.5-2.3 5-3.4 7.2l-.2.3C16.3 30 15.1 32.2 14 34c-.2-.2-.4-.2-.6-.1-.1 0-1.8 1-2.2 1.2-3.5 2.1-5.8 4.4-6.2 6.3-.1.6 0 1.4.6 1.8l1 .5c.5.2 1 .3 1.4.3 2.5 0 5.4-3.1 9.3-9.9 4.5-1.5 9.7-2.7 14.2-3.4 4.2 2.3 9.4 3.8 11.7 3.1.5-.1 1-.5 1.3-.9.2-.3.4-1.1.4-1.4v-.2s.1-.6.1-.9c-.1-.6-.3-1.2-.7-1.6-.8-.6-2.5-1.1-5.2-1.1zm-2.4 2.4c2.6-.2 4.6-.1 5.7.3 1.3.4 1.5.8 1.6.8v.1c-.1.2-.3.3-.4.4-.9.3-3.6-.2-6.9-1.6zM24.3 10.3V10.6c-.1.3-.6 2.3-.9 3.5-.4-1.8-.6-3.5-.6-4.9 0-.5 0-1.5.2-2.3 0-.2.1-.3.1-.4.2.2.5.6.8 1.4.4.8.4 1.7.4 2.4zm-4.1 18.4c1.4-2.6 2.3-4.7 3-6.4 1.3 2.4 3 4.4 4.9 6 .2.2.4.4.7.5-3.9.8-7.2 1.7-10.2 2.8.5-.9 1-1.9 1.6-2.9zM13 35.8c-2.5 3.9-4.2 5.6-5.4 6.2.5-1.2 2.3-3.6 4.8-5.6.1-.2.3-.4.6-.6z"/><path class="dx-dashboard-red-icon" d="M31.5 15.5h.6c.7 0 1.3-.2 1.7-.7.4-.5.7-1.1.7-1.8 0-.8-.2-1.4-.6-1.8-.4-.4-1-.6-1.7-.6H30v7.6h1.5v-2.7zm0-3.7h.5c.3 0 .5.1.7.3s.3.5.3.9c0 .8-.3 1.2-1 1.2h-.5v-2.4zM39.7 17c.5-.7.8-1.6.8-2.8 0-2.5-1.1-3.7-3.1-3.7h-2v7.6h2c1 0 1.7-.4 2.3-1.1zm-2.9-5.2h.6c.5 0 .9.2 1.2.7.3.4.4 1 .4 1.8s-.1 1.4-.4 1.9c-.3.5-.7.7-1.2.7h-.6v-5.1zM45 11.8v-1.3h-3.5v7.6H43v-3h1.8v-1.3H43v-2z"/></svg>',
    'dx-dashboard-export': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-export" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M19 8h-4v2h3v8H6v-8h3V8H5c-.6 0-1 .4-1 1v10c0 .6.4 1 1 1h14c.6 0 1-.4 1-1V9c0-.6-.4-1-1-1zm-8-2v7h2V6h3l-4-4-4 4h3z"/></svg>',
    'dx-dashboard-filter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-filter" width="18" height="18" " fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M17 1H1l7 8v8l2-1V9l7-8z" class="dx-dashboard-accent-icon"/></svg>',
    'dx-dashboard-filters': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-filters" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M20 5H4l7 7v8h2v-8z"/></svg>',
    'dx-dashboard-map-initial-extent': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-map-initial-extent" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M14.5 4C11.5 4 9 6.5 9 9.5c0 1 .3 1.9.7 2.8l-5.3 5.3c-.6.6-.6 1.4 0 2 .6.6 1.4.6 2 0l5.3-5.3c.8.5 1.7.7 2.8.7 3 0 5.5-2.5 5.5-5.5S17.5 4 14.5 4zm0 9c-1.9 0-3.5-1.6-3.5-3.5S12.6 6 14.5 6 18 7.6 18 9.5 16.4 13 14.5 13z"/><circle class="dx-dashboard-current-color-icon" cx="14.5" cy="9.5" r="1.5"/></svg>',
    'dx-dashboard-maximize-item': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-maximize-item" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" " viewBox="0 0 24 24"><defs/><path class="dx-dashboard-current-color-icon" d="M10 5H5v5l2-2 2 2 1-1-2-2 2-2zM19 10V5h-5l2 2-2 2 1 1 2-2 2 2zM14 19h5v-5l-2 2-2-2-1 1 2 2-2 2zM5 14v5h5l-2-2 2-2-1-1-2 2-2-2z"/></svg>',
    'dx-dashboard-open-tab-pages': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-open-tab-pages" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M8 12c0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2 2 .9 2 2zm4-2c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"/></svg>',
    'dx-dashboard-parameters': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-parameters" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M6 12c-1.7 0-3 1.3-3 3s1.3 3 3 3 3-1.3 3-3-1.3-3-3-3zm0 4c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1zM12 6c-1.7 0-3 1.3-3 3s1.3 3 3 3 3-1.3 3-3-1.3-3-3-3zm0 4c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1z"/><g class="dx-dashboard-icon-opacity-50"><path class="dx-dashboard-current-color-icon" d="M6 12c.4 0 .7.1 1 .2V5c0-.6-.4-1-1-1s-1 .4-1 1v7.2c.3-.1.6-.2 1-.2zM6 18c-.4 0-.7-.1-1-.2V19c0 .6.4 1 1 1s1-.4 1-1v-1.2c-.3.1-.6.2-1 .2zM12 6c.4 0 .7.1 1 .2V5c0-.6-.4-1-1-1s-1 .4-1 1v1.2c.3-.1.6-.2 1-.2zM12 12c-.4 0-.7-.1-1-.2V19c0 .6.4 1 1 1s1-.4 1-1v-7.2c-.3.1-.6.2-1 .2zM18 17c-.4 0-.7-.1-1-.2V19c0 .6.4 1 1 1s1-.4 1-1v-2.2c-.3.1-.6.2-1 .2zM18 11c.4 0 .7.1 1 .2V5c0-.6-.4-1-1-1s-1 .4-1 1v6.2c.3-.1.6-.2 1-.2z"/></g><path class="dx-dashboard-current-color-icon" d="M18 11c-1.7 0-3 1.3-3 3s1.3 3 3 3 3-1.3 3-3-1.3-3-3-3zm0 4c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1z"/></svg>',
    'dx-dashboard-range-time-periods': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-range-time-periods" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M16 13.2l6-2.2-8-3v10h-4V3L2 6l6 2.2V18H4v2h16v-2h-4z"/></svg>',
    'dx-dashboard-restore-item': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-restore-item" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" " viewBox="0 0 24 24"><defs/><path class="dx-dashboard-red-icon" d="M19 14h-5v5l2-2 2 2 1-1-2-2 2-2zM10 19v-5H5l2 2-2 2 1 1 2-2 2 2zM5 10h5V5L8 7 6 5 5 6l2 2-2 2zM14 5v5h5l-2-2 2-2-1-1-2 2-2-2z"/></svg>',
    'dx-dashboard-toggle-multiselection': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toggle-multiselection" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><g class="dx-dashboard-icon-opacity-50"><path class="dx-dashboard-current-color-icon" d="M19 4H8c-.6 0-1 .4-1 1v1h10c.6 0 1 .4 1 1v10h1c.6 0 1-.4 1-1V5c0-.6-.4-1-1-1z"/></g><path class="dx-dashboard-current-color-icon" d="M16 7H5c-.6 0-1 .4-1 1v11c0 .6.4 1 1 1h11c.6 0 1-.4 1-1V8c0-.6-.4-1-1-1zm-1 11H6V9h9v9z"/><path class="dx-dashboard-current-color-icon" d="M9.1 16.8c.3.3.8.3 1-.1L14 10c-.7 0-1.3.4-1.6 1l-2.7 4L8 13.7c-.2-.2-.6-.2-.8.1-.2.2-.2.5-.1.7l2 2.3z"/></svg>',
    'dx-dashboard-datatype-boolean': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-boolean" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-yellow-icon" d="M10.6 6.4h-.5v1.5h.5c.7 0 1.1-.2 1.1-.7-.1-.7-.5-.8-1.1-.8zM5.3 6.3c-.7 0-1.1.4-1.1 1.9s.5 2 1.1 2c.7 0 1.1-.5 1.1-1.9 0-1.5-.5-2-1.1-2z"/><path class="dx-dashboard-yellow-icon" d="M15 1H1c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V2c0-.5-.5-1-1-1zM5.2 11.1c-1.4 0-2.2-.8-2.2-2.8 0-2 .9-2.8 2.4-2.8s2.3.7 2.3 2.7c-.1 1.9-1 2.9-2.5 2.9zm8-.1h-1.4l-.9-2c0-.1-.2-.3-.3-.3h-.5V10c.3.1.6.2.7.3v.7H8.6l-.1-.7c.1-.1.2-.2.4-.3V6.4c-.1-.1-.3-.1-.4-.3l.1-.7h2c1.4 0 2.2.3 2.2 1.6 0 .8-.6 1.2-1.2 1.5.2.1.4.2.5.4l.6 1.1c.2.1.4.2.5.3v.7z"/></svg>',
    'dx-dashboard-datatype-custom': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-custom" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M8.6 8.2c0 1.5-.1 2.1-.8 2.1-.7 0-.8-.6-.8-2.1 0-1.4.1-2 .8-2 .7 0 .8.6.8 2zM16 2v12c0 .5-.5 1-1 1H1c-.5 0-1-.5-1-1V2c0-.5.5-1 1-1h14c.5 0 1 .5 1 1zM4.6 10.4c0-.1-.2-.2-.4-.3V5.5c-.7 0-1.4.1-1.9.3v.5c.2.1.5.2.7.2V10c-.2.1-.5.2-.6.3l.1.7h2.1v-.6zm5.1-2.2c0-2-.5-2.7-1.9-2.7s-2 .8-2 2.8.5 2.8 1.9 2.8c1.5 0 2.1-1 2-2.9zm3.7 2.2c0-.1-.2-.2-.4-.3V5.5c-.7 0-1.4.1-1.9.3v.5c.2.1.5.2.7.2V10c-.2.1-.5.2-.6.3l.1.7h2.1v-.6z"/></svg>',
    'dx-dashboard-datatype-datetime': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-datetime" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-green-icon" d="M15 1H1c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V2c0-.5-.5-1-1-1zM8 12c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z"/><path class="dx-dashboard-green-icon" d="M8 6H7v3h3V8H8z"/></svg>',
    'dx-dashboard-datatype-float': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-float" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M15 1H1c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V2c0-.5-.5-1-1-1zM3.4 11.1c-.4 0-.7-.1-.7-.6.1-.5.3-.6.7-.6.4 0 .7.2.7.6 0 .4-.3.6-.7.6zm5.4-.1H5.2L5 10l2-2.2c.3-.3.6-.7.6-1.2 0-.4-.2-.6-.6-.6-.2 0-.5 0-.7.1-.1.4-.2.8-.3.9h-.7c-.1-.2-.1-.6-.1-.9v-.2c.4-.3 1.1-.5 1.8-.5.9 0 1.7.2 1.7 1.4 0 .4-.3.9-.5 1.2L7 9.4c-.3.3-.8.7-.8.7v.1s.4-.1.8-.1h.6c0-.3.1-.6.2-.7h.8c.3.4.3 1.2.2 1.6zm2.3.1c-.5 0-1.1-.2-1.4-.3l.3-.8c.3.1.6.2 1 .2.7 0 1.1-.3 1.1-.9 0-.9-.5-1-.9-1s-.7.1-.9.1l-.3-.6V5.5h3v.9h-2v1.1h.7c1 0 1.7.5 1.7 1.7-.1 1.3-1 1.9-2.3 1.9z"/></svg>',
    'dx-dashboard-datatype-integer': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-integer" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M15 1H1c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V2c0-.5-.5-1-1-1zM6.7 11H4.6l-.1-.7c.1-.1.4-.2.6-.3V6.5c-.1 0-.4 0-.6-.1v-.6c.5-.3 1.2-.4 1.8-.3v4.6c.2.1.4.2.4.3v.6zm4.8 0H7.8l-.2-1 2-2.2c.3-.3.6-.7.6-1.2 0-.4-.2-.6-.6-.6-.2 0-.5 0-.7.1 0 .3-.1.6-.2.8L8 7c-.1-.2-.2-.6-.2-.9v-.2c.4-.3 1.1-.5 1.8-.5.9 0 1.7.2 1.7 1.4 0 .4-.3.9-.5 1.2L9.7 9.4c-.3.3-.8.7-.8.7v.1s.4-.1.8-.1h.6c0-.3.1-.6.2-.7h.8c.2.4.3 1.2.2 1.6z"/></svg>',
    'dx-dashboard-datatype-list': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-list" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M0 1v14h16V1H0zm15 13H1V2h14v12z"/><path class="dx-dashboard-red-icon" d="M9.05 8l1.84-1.84c.15-.15.15-.38 0-.53l-.52-.52a.357.357 0 00-.52 0L8 6.95 6.16 5.11a.357.357 0 00-.52 0l-.53.53c-.15.15-.15.38 0 .53L6.95 8 5.11 9.84c-.15.15-.15.38 0 .52l.52.52c.15.15.38.15.53 0L8 9.05l1.84 1.84c.15.15.38.15.52 0l.52-.52c.15-.15.15-.38 0-.53L9.05 8z"/></svg>',
    'dx-dashboard-datatype-string': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-datatype-string" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-red-icon" d="M4.5 9.6c0 .3.2.5.5.5.4 0 .6-.2.7-.3v-.7h-.5c-.5 0-.7.2-.7.5zM10.7 7.4c-.4 0-.7.1-.9.3V10c.3.1.5.2.7.2.6 0 .9-.6.9-1.4 0-1.1-.2-1.4-.7-1.4z"/><path class="dx-dashboard-red-icon" d="M15 1H1c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V2c0-.5-.5-1-1-1zm-7.4 9.9s-.5.2-1.3.2c0 0-.1-.2-.2-.6-.2.2-.5.6-1.4.6-.8 0-1.5-.5-1.5-1.3 0-.7.5-1.3 1.6-1.3h1V8c0-.5-.2-.7-.7-.7-.2 0-.3 0-.5.1 0 .2-.1.5-.1.6h-.9c-.1-.3-.2-.7-.1-1.1.4-.2 1.2-.5 1.9-.5 1.1 0 1.7.4 1.7 1.6v1.9c.2 0 .4.1.5.2v.8zm3 .2c-.4 0-.9-.1-1.2-.3-.1.1-.2.2-.4.2h-.4V5.6c-.2-.1-.4-.2-.5-.3l.1-.7c.5-.1 1.2-.1 1.7-.1v2.3c.2-.2.7-.3 1.1-.3 1.3 0 1.8.6 1.8 2.2-.1 1.8-1.2 2.4-2.2 2.4z"/></svg>',
    'dx-dashboard-add-pane': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-add-pane" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M17 6H5c-.6 0-1 .4-1 1v9c0 .6.4 1 1 1h12c.6 0 1-.4 1-1V7c0-.6-.4-1-1-1zm0 10H5V7h12v9zm-4-7h2v6h-2V9zm-3 2h2v4h-2v-4zm-3 2h2v2H7v-2z"/><path class="dx-dashboard-green-icon" d="M24 3h-3V0h-2v3h-3v2h3v3h2V5h3z"/></svg>',
    'dx-dashboard-calc-field-add': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-calc-field-add" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-green-icon" d="M20 15h-3v-3h-2v3h-3v2h3v3h2v-3h3z"/><path class="dx-dashboard-current-color-icon" d="M9.5 6.3c-.1.2-.3 1.3-.6 2.7H6v2h2.5c-.4 2.3-.8 4.5-.8 4.5-.1.7-.3 1-.6 1-.1 0-.1 0-.2-.1-.1 0-.1-.1-.2-.2-.2-.2-.3-.4-.3-.4-.1-.1-.2-.1-.3-.2-.1 0-.2-.1-.3-.1-.2 0-.4.1-.6.3-.1.3-.2.5-.2.8 0 .4.2.7.5 1 .3.3.7.4 1.2.4s2.8.3 3.3-4c0 0 .3-1.5.5-3H13V9h-2.1c0-.4.1-.7.1-.9.4-2.5 2.3-2.2 3-2v-2s-3.3-.8-4.5 2.2z"/></svg>',
    'dx-dashboard-calc-field-aggregate': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-calc-field-aggregate" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M6.5 2.3c-.1.2-.3 1.3-.6 2.7H3v2h2.5c-.4 2.3-.8 4.5-.8 4.5-.1.7-.3 1-.6 1-.1 0-.1 0-.2-.1-.1 0-.1-.1-.2-.2-.2-.2-.3-.4-.3-.4-.1-.1-.2-.1-.3-.2-.1 0-.2-.1-.3-.1-.2 0-.4.1-.6.3-.1.3-.2.5-.2.8 0 .4.2.7.5 1 .3.3.7.4 1.2.4s2.8.3 3.3-4c0 0 .3-1.5.5-3H10V5H7.9c0-.4.1-.7.1-.9.4-2.5 2.3-2.2 3-2v-2S7.7-.7 6.5 2.3zM16 9H9.2c-.4 0-.7.5-.3.9l2.6 2.6-2.7 2.6c-.3.4-.1.9.4.9H16v-2h-3.3l1.1-1.1c.2-.2.2-.5 0-.7l-1-1.2H16V9z"/></svg>',
    'dx-dashboard-calc-field-corrupted': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-calc-field-corrupted" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-yellow-icon" d="M7.45 1.41c.3-.54.75-.54 1.05 0l6.37 11.62c.3.54.05.97-.5.97H1.64c-.6 0-.8-.43-.5-.97L7.45 1.41z"/><path class="dx-dashboard-black-icon" d="M7.02 5h2v4h-2V5zM9 10H7v2h2v-2z"/></svg>',
    'dx-dashboard-calc-field': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-calc-field" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M6.5 3.3c-.1.2-.3 1.3-.6 2.7H3v2h2.5c-.4 2.3-.8 4.5-.8 4.5-.1.7-.3 1-.6 1-.1 0-.1 0-.2-.1-.1 0-.1-.1-.2-.2-.2-.2-.3-.4-.3-.4-.1-.1-.2-.1-.3-.2-.1 0-.2-.1-.3-.1-.2 0-.4.1-.6.3-.1.3-.2.5-.2.8 0 .4.2.7.5 1 .3.3.7.4 1.2.4s2.8.3 3.3-4c0 0 .3-1.5.5-3H10V6H7.9c0-.4.1-.7.1-.9.4-2.5 2.3-2.2 3-2v-2S7.7.3 6.5 3.3z"/></svg>',
    'dx-dashboard-ce-add': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ce-add" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M19 11h-6V5h-2v6H5v2h6v6h2v-6h6z"/></svg>',
    'dx-dashboard-ce-arrow-down': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ce-arrow-down" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M13 14V5h-2v9H7l5 5 5-5z"/></svg>',
    'dx-dashboard-ce-arrow-up': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ce-arrow-up" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M13 10v9h-2v-9H7l5-5 5 5z"/></svg>',
    'dx-dashboard-ce-edit': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ce-edit" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M15 6l-9 9v3h3l9-9-3-3zm-7 8.9l5-4.9 1 1-5 5-1-1.1z"/></svg>',
    'dx-dashboard-checkmark': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-checkmark" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" fill="#7B7B7B" d="M7 18l-5-5v3l5 5L22 6V3z"/></svg>',
    'dx-dashboard-close': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-close" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M19 7h-3l-4 4-4-4H5l5.5 5.5L5 18h3l4-4 4 4h3l-5.5-5.5z"/></svg>',
    'dx-dashboard-designer-menu-icon': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-designer-menu-icon" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="-467 269 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M-465 274h20v2h-20zM-465 280h20v2h-20zM-465 286h20v2h-20z"/></svg>',
    'dx-dashboard-drag': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-drag" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M5 7H3V5h2v2zm4-2H7v2h2V5zm4 0h-2v2h2V5zm0 4h-2v2h2V9zM9 9H7v2h2V9zM5 9H3v2h2V9z"/></svg>',
    'dx-dashboard-ds-edit': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ds-edit" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M14 6l-8 8.1V18h4l8-8-4-4zm2 4l-1.2 1.2-2-2L14 8l2 2zm-8 4l3.4-3.4 2 2L10 16l-2-2z"/></svg>',
    'dx-dashboard-ds-embed': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ds-embed" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M20 4h-4v2h3v12H5V6h3V4H4c-.6 0-1 .4-1 1v14c0 .6.4 1 1 1h16c.6 0 1-.4 1-1V5c0-.6-.4-1-1-1z"/><path class="dx-dashboard-current-color-icon" d="M20 4h-4v2h3v12H5V6h3V4H4c-.6 0-1 .4-1 1v14c0 .6.4 1 1 1h16c.6 0 1-.4 1-1V5c0-.6-.4-1-1-1z"/><path class="dx-dashboard-current-color-icon" d="M13 11V4h-2v7H7l5 5 5-5z"/></svg>',
    'dx-dashboard-ds-link': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ds-link" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M8.5 18.5c-.4.4-1 .4-1.4 0l-1.6-1.6c-.4-.4-.4-1 0-1.4L10 11H7l-3.1 3.1c-1.2 1.2-1.2 3.1 0 4.2l1.8 1.8c1.2 1.2 3.1 1.2 4.2 0L13 17v-3l-4.5 4.5z"/><path class="dx-dashboard-current-color-icon" d="M8.5 18.5c-.4.4-1 .4-1.4 0l-1.6-1.6c-.4-.4-.4-1 0-1.4L10 11H7l-3.1 3.1c-1.2 1.2-1.2 3.1 0 4.2l1.8 1.8c1.2 1.2 3.1 1.2 4.2 0L13 17v-3l-4.5 4.5z"/><path transform="rotate(-45.001 12 12)" class="dx-dashboard-current-color-icon" d="M7.1 11.3H17v1.4H7.1z"/><g><path class="dx-dashboard-current-color-icon" d="M15.5 5.5c.4-.4 1-.4 1.4 0l1.6 1.6c.4.4.4 1 0 1.4L14 13h3l3.1-3.1c1.2-1.2 1.2-3.1 0-4.2l-1.8-1.8c-1.2-1.2-3.1-1.2-4.2 0L11 7v3l4.5-4.5z"/><path class="dx-dashboard-current-color-icon" d="M15.5 5.5c.4-.4 1-.4 1.4 0l1.6 1.6c.4.4.4 1 0 1.4L14 13h3l3.1-3.1c1.2-1.2 1.2-3.1 0-4.2l-1.8-1.8c-1.2-1.2-3.1-1.2-4.2 0L11 7v3l4.5-4.5z"/></g></svg>',
    'dx-dashboard-ds-preview': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-ds-preview" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M12 7c-2.8 0-5 2.2-5 5s2.2 5 5 5 5-2.2 5-5-2.2-5-5-5zm0 8c-1.7 0-3-1.3-3-3s1.3-3 3-3c.2 0 .4 0 .6.1-.9.2-1.5 1-1.5 1.9 0 1.1.9 2 2 2 .9 0 1.7-.7 1.9-1.5 0 .2.1.3.1.5-.1 1.7-1.4 3-3.1 3z"/><path class="dx-dashboard-current-color-icon" d="M12 6c4.5 0 8.2 2.2 8.9 5H23c-.7-3.9-5.3-7-11-7S1.7 7.1 1 11h2.1c.7-2.8 4.4-5 8.9-5zM12 18c-4.5 0-8.2-2.2-8.9-5H1c.7 3.9 5.3 7 11 7s10.3-3.1 11-7h-2.1c-.7 2.8-4.4 5-8.9 5z"/><g><path class="dx-dashboard-current-color-icon" d="M12 6c4.5 0 8.2 2.2 8.9 5H23c-.7-3.9-5.3-7-11-7S1.7 7.1 1 11h2.1c.7-2.8 4.4-5 8.9-5zM12 18c-4.5 0-8.2-2.2-8.9-5H1c.7 3.9 5.3 7 11 7s10.3-3.1 11-7h-2.1c-.7 2.8-4.4 5-8.9 5z"/></g></svg>',
    'dx-dashboard-fc-arrow-right': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-arrow-right" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 12 12" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M5 10l4-4-4-4z"/></svg>',
    'dx-dashboard-fc-dropdown-icon': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-dropdown-icon" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M4 6l4 4 4-4z"/></svg>',
    'dx-dashboard-fc-mode-list': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-mode-list" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M5 5h14v2H5zM5 9h14v2H5zM5 13h14v2H5zM5 17h14v2H5z"/></svg>',
    'dx-dashboard-fc-mode-tree': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-mode-tree" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M11 9h8v2h-8V9zm0 8h8v2h-8v-2zM9 5h10v2H9V5zM5 5h2v2H5V5zm4 8h10v2H9v-2zm-4 0h2v2H5v-2z"/></svg>',
    'dx-dashboard-fc-search': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-search" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M14 5c-2.8 0-5 2.2-5 5 0 1.1.4 2.2 1 3l-5 5 1 1 5-5c.8.6 1.9 1 3 1 2.8 0 5-2.2 5-5s-2.2-5-5-5zm0 8c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.3 3-3 3z"/></svg>',
    'dx-dashboard-fc-treeview-collapse': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-treeview-collapse" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 13 13" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M10 6H7V3H6v3H3v1h3v3h1V7h3z"/></svg>',
    'dx-dashboard-fc-treeview-expand': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-fc-treeview-expand" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 13 13" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M3 6h7v1H3z"/></svg>',
    'dx-dashboard-item-data-source': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-item-data-source" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M14 10v3c0 1.1-2.7 2-6 2s-6-.9-6-2v-3c0 1.1 2.7 2 6 2s6-.9 6-2zM8 8c-3.3 0-6-.9-6-2v3c0 1.1 2.7 2 6 2s6-.9 6-2V6c0 1.1-2.7 2-6 2zm6-5v2c0 1.1-2.7 2-6 2s-6-.9-6-2V3c0-1.1 2.7-2 6-2s6 .9 6 2zm-1.1 0c-.5-.4-2.1-1-4.9-1s-4.4.6-4.9 1c.5.4 2.1 1 4.9 1s4.4-.6 4.9-1z"/></svg>',
    'dx-dashboard-main-menu-close': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-main-menu-close" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M22 4h-3l-7 7-7-7H2l8.5 8.5L2 21h3l7-7 7 7h3l-8.5-8.5z"/></svg>',
    'dx-dashboard-olap-dimension-hierarchy': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-olap-dimension-hierarchy" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M6 0h4v4H6zM0 12h4v4H0zM6 12h4v4H6zM12 12h4v4h-4zM3 6h4v4H3zM9 6h4v4H9z"/></svg>',
    'dx-dashboard-olap-dimension': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-olap-dimension" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M15 12l-4-3v2H5V5h2L4 1 1 5h2v8h8v2z"/></svg>',
    'dx-dashboard-olap-measure': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-olap-measure" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M15 1H1l7 7-7 7h14v-2H6l5-5-5-5h9z"/></svg>',
    'dx-dashboard-remove-small': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-remove-small" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-red-icon" d="M11 5c-.6 0-1 .4-1 1v1h1V6h3v1h1V6c0-.6-.4-1-1-1h-3zm7 4H7V8c0-.6.4-1 1-1h9c.6 0 1 .4 1 1v1zM8 10v7c0 .6.4 1 1 1h7c.6 0 1-.4 1-1v-7H8zm3 6h-1v-4h1v4zm2 0h-1v-4h1v4zm2 0h-1v-4h1v4z"/></svg>',
    'dx-dashboard-remove': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-remove" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-red-icon" d="M4 8v13c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V8H4zm5 11H7v-8h2v8zm4 0h-2v-8h2v8zm4 0h-2v-8h2v8zM20 5h-4V3c0-.6-.4-1-1-1H9c-.6 0-1 .4-1 1v2H4c-.5 0-1 .5-1 1v1h18V6c0-.5-.5-1-1-1zm-6 0h-4V4h4v1z"/><g><path class="dx-dashboard-red-icon" d="M4 8v13c0 .5.5 1 1 1h14c.5 0 1-.5 1-1V8H4zm5 11H7v-8h2v8zm4 0h-2v-8h2v8zm4 0h-2v-8h2v8zM20 5h-4V3c0-.6-.4-1-1-1H9c-.6 0-1 .4-1 1v2H4c-.5 0-1 .5-1 1v1h18V6c0-.5-.5-1-1-1zm-6 0h-4V4h4v1z"/></g></svg>',
    'dx-dashboard-rename': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-rename" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M10.4 13.2l1.7-1.7L9.8 5H7.3L4 14h2.2l.6-2h3.3l.3 1.2zM7.5 10l1-3 1 3h-2zM17 8l-8 8v3h3l8-8-3-3zm-6 8l4-4 1 1-4 4-1-1z"/></svg>',
    'dx-dashboard-template-to-all-cards': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-template-to-all-cards" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M5 9v9h11V9H5zm9 7H7v-5h7v5z"/><g class="dx-dashboard-icon-opacity-75"><path class="dx-dashboard-current-color-icon" d="M7 7v2h9v7h2V7z"/></g><g class="dx-dashboard-icon-opacity-50"><path class="dx-dashboard-current-color-icon" d="M9 5v2h9v7h2V5z"/></g></svg>',
    'dx-dashboard-textbox-search-clear': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-textbox-search-clear" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" fill="#7B7B7B" d="M12 5c-3.9 0-7 3.1-7 7s3.1 7 7 7 7-3.1 7-7-3.1-7-7-7zm4 10h-2l-2-2-2 2H8l3-3-3-3h2l2 2 2-2h2l-3 3 3 3z"/></svg>',
    'dx-dashboard-transparent-background': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-transparent-background" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M0 0h6v6H0zM12 0h6v6h-6zM6 6h6v6H6zM18 6h6v6h-6zM0 12h6v6H0zM12 12h6v6h-6zM6 18h6v6H6zM18 18h6v6h-6z"/></svg>',
    'dx-dashboard-tree-connector': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-tree-connector" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M2 2h1v10H2zM2 12h12v1H2z"/></svg>',
    'dx-dashboard-convert': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-convert" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M17 12V9H3V5h14V2l5 5z"/><path class="dx-dashboard-accent-icon" d="M7 12v3h14v4H7v3l-5-5z"/></svg>',
    'dx-dashboard-interactivity': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-interactivity" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="-467 269 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M-446 279h-6v-7c0-.6-.4-1-1-1h-11c-.6 0-1 .4-1 1v10c0 .6.4 1 1 1h6v7c0 .6.4 1 1 1h11c.6 0 1-.4 1-1v-10c0-.6-.4-1-1-1zm-17 2v-8h9v8h-9zm16 8h-9v-6h3c.6 0 1-.4 1-1v-1h5v8z"/><path class="dx-dashboard-accent-icon" d="M-447 273l2-2h-6v6l2-2 3 3 2-2zM-461 287l-3-3-2 2 3 3-2 2h6v-6z"/></svg>',
    'dx-dashboard-item-filter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-item-filter" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M23 3H1l9 9v10h4V12z"/></svg>',
    'dx-dashboard-item-menu-collapse': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-item-menu-collapse" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-grey-icon" d="M7 13l5-5 5 5v3l-5-5-5 5s.1-3 0-3z"/></svg>',
    'dx-dashboard-item-options': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-item-options" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="-467 269 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M-456.8 288.9l.3 3.1h3.1l.3-3.1c.9-.2 1.8-.6 2.5-1.1l2.4 1.9 2-2-2-2.4c.5-.8.9-1.6 1.1-2.5l3.1-.3v-3.1l-3.1-.3c-.2-.9-.6-1.8-1.1-2.5l1.9-2.4-2-2-2.4 2c-.8-.5-1.6-.9-2.5-1.1l-.3-3.1h-3.1l-.3 3.1c-.9.2-1.8.6-2.5 1.1l-2.4-1.9-2 2 2 2.4c-.5.8-.9 1.6-1.1 2.5l-3.1.3v3.1l3.1.3c.2.9.6 1.8 1.1 2.5l-1.9 2.4 2 2 2.4-2c.7.6 1.6.9 2.5 1.1zm-4.2-7.9c0-3.3 2.7-6 6-6s6 2.7 6 6-2.7 6-6 6-6-2.7-6-6z"/></svg>',
    'dx-dashboard-properties': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-properties" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-current-color-icon" d="M17.8 10.2c-1.1 1.1-2.9 1.1-4 0s-1.1-2.9 0-4l3.7-3.7c-.8-.3-1.6-.5-2.5-.5-3.9 0-7 3.1-7 7 0 1.2.3 2.3.8 3.2l-6.2 6.2c-.8.8-.8 2.2 0 3s2.2.8 3 0l6.2-6.2c1 .5 2.1.8 3.2.8 3.9 0 7-3.1 7-7 0-.9-.2-1.7-.5-2.5l-3.7 3.7z"/></svg>',
    'dx-dashboard-redo': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-redo" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M25 10l-1-9-3 3c-2.3-2.3-4.4-3-7-3-4 0-7 2.7-7 7 0 4 2 7 2 7l2-2c-.3-.7-.9-2.1-1-4-.2-3.4 1.4-5 4-5 3 0 5 2 5 2l-3 3 9 1z"/></svg>',
    'dx-dashboard-undo': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-undo" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M18 1c-2.6 0-4.7.7-7 3L8 1l-1 9 9-1-3-3s2-2 5-2c2.6 0 4.2 1.6 4 5-.1 1.9-.8 3.3-1 4l2 2s2-3 2-7c0-4.3-3-7-7-7z"/></svg>',
    'dx-dashboard-toolbox-boundImage': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-boundImage" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><circle class="dx-dashboard-contrast-icon" cx="7.5" cy="9.5" r="1.5"/><path class="dx-dashboard-contrast-icon" d="M9 12l-3 4h3l1.4-2.1zM14 10l-4 6h8z"/><path class="dx-dashboard-accent-icon" d="M20.5 8c-1.5 0-2.8-.4-3.3-1-.1.2-.2.3-.2.5v1c0 .8 1.6 1.5 3.5 1.5S24 9.3 24 8.5v-1c0-.2-.1-.3-.2-.5-.5.6-1.8 1-3.3 1zM20.5 5c-1.5 0-2.8-.4-3.3-1-.1.2-.2.3-.2.5v1c0 .8 1.6 1.5 3.5 1.5S24 6.3 24 5.5v-1c0-.2-.1-.3-.2-.5-.5.6-1.8 1-3.3 1z"/><ellipse class="dx-dashboard-accent-icon" cx="20.5" cy="2.5" rx="3.5" ry="1.5"/><path class="dx-dashboard-contrast-icon" d="M21 12v8H3V4h12V3c0-.4.1-.7.3-1H2c-.5 0-1 .5-1 1v18c0 .6.4 1 1 1h20c.5 0 1-.5 1-1v-9.5c-.6.3-1.3.4-2 .5z"/></svg>',
    'dx-dashboard-toolbox-bubbleMap': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-bubbleMap" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><circle class="dx-dashboard-accent-icon" cx="12" cy="11" r="6"/><circle class="dx-dashboard-contrast-icon" cx="22" cy="6" r="4"/><circle class="dx-dashboard-current-color-icon" cx="13.5" cy="1.5" r="2.5"/></svg>',
    'dx-dashboard-toolbox-card': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-card" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M22 2H5c-.6 0-1 .4-1 1v2H2c-.6 0-1 .4-1 1v15c0 .6.4 1 1 1h17c.6 0 1-.4 1-1v-2h2c.6 0 1-.4 1-1V3c0-.6-.4-1-1-1zm-4 18H3V7h15v13zm-7-8H5v-2h6v2zm5 5H5v-2h11v2z"/></svg>',
    'dx-dashboard-toolbox-chart': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-chart" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M26 17h-3c-.6 0-1-.4-1-1V7c0-.6.4-1 1-1h3c.6 0 1 .4 1 1v9c0 .6-.4 1-1 1z"/><path class="dx-dashboard-accent-icon" d="M9 17H6c-.6 0-1-.4-1-1v-5c0-.6.4-1 1-1h3c.6 0 1 .4 1 1v5c0 .6-.4 1-1 1zM21 17h-3c-.6 0-1-.4-1-1V0c0-.6.4-1 1-1h3c.6 0 1 .4 1 1v16c0 .6-.4 1-1 1z"/><path class="dx-dashboard-contrast-icon" d="M14 17h-3c-.6 0-1-.4-1-1V4c0-.6.4-1 1-1h3c.6 0 1 .4 1 1v12c0 .6-.4 1-1 1z"/></svg>',
    'dx-dashboard-toolbox-choroplethMap': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-choroplethMap" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M20.9 2h-9.8c-.6 0-1.1.5-1.1 1.1V8h5v6h5.9c.6 0 1.1-.5 1.1-1.1V3.1c0-.6-.5-1.1-1.1-1.1z"/><path class="dx-dashboard-current-color-icon" d="M16.9 6H7.1C6.5 6 6 6.5 6 7.1V12h6v6h4.9c.6 0 1.1-.5 1.1-1.1V7.1c0-.6-.5-1.1-1.1-1.1z"/><path class="dx-dashboard-accent-icon" d="M12.9 22H3.1c-.6 0-1.1-.5-1.1-1.1v-9.8c0-.6.5-1.1 1.1-1.1h9.8c.6 0 1.1.5 1.1 1.1v9.8c0 .6-.5 1.1-1.1 1.1z"/></svg>',
    'dx-dashboard-toolbox-comboBox': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-comboBox" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M26 1H6c-.6 0-1 .4-1 1v12c0 .6.4 1 1 1h20c.6 0 1-.4 1-1V2c0-.6-.4-1-1-1zm-1 12H7V3h18v10z"/><path class="dx-dashboard-contrast-icon" d="M16 4v8h8V4h-8zm4 6l-3-3h6l-3 3z"/></svg>',
    'dx-dashboard-toolbox-dateFilter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-dateFilter" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path class="dx-dashboard-contrast-icon" d="M9 14H5v-4h4v4zm5-4h-4v4h4v-4zm-5 5H5v4h4v-4zm5 0h-4v4h4v-4zm8-12h-2v2c0 .5-.5 1-1 1h-2c-.5 0-1-.5-1-1V3H8v2c0 .5-.5 1-1 1H5c-.5 0-1-.5-1-1V3H2c-.5 0-1 .5-1 1v18c0 .5.5 1 1 1h20c.5 0 1-.5 1-1V4c0-.5-.5-1-1-1zm-1 18H3V8h18v13zM7 5H5V1h2v4zm12-4h-2v4h2V1z"/><path class="dx-dashboard-accent-icon" d="M19 14h-4v-4h4v4zm0 1h-4v4h4v-4z"/></svg>',
    'dx-dashboard-toolbox-gauge': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-gauge" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M16-3C9.9-3 5 1.9 5 8s4.9 11 11 11 11-4.9 11-11S22.1-3 16-3zm0 20c-5 0-9-4-9-9s4-9 9-9 9 4 9 9-4 9-9 9z"/><path class="dx-dashboard-contrast-icon" d="M16 6c-.3 0-.6.1-.8.2L11 2l-1 1 4.2 4.2c-.1.2-.2.5-.2.8 0 1.1.9 2 2 2s2-.9 2-2-.9-2-2-2z"/><path class="dx-dashboard-accent-icon" d="M9 8c0 1.9.8 3.7 2.1 4.9l1.4-1.4C11.6 10.6 11 9.4 11 8c0-.6.1-1.2.3-1.7L9.8 4.8c-.5.9-.8 2-.8 3.2zM16 1c-1.2 0-2.3.3-3.2.8l1.5 1.5c.5-.2 1.1-.3 1.7-.3 1.4 0 2.6.6 3.5 1.5l1.4-1.4C19.7 1.8 17.9 1 16 1z"/><path class="dx-dashboard-contrast-icon" d="M20.9 3.1l-1.4 1.4c.9.9 1.5 2.1 1.5 3.5s-.6 2.6-1.5 3.5l1.4 1.4c1.3-1.3 2.1-3 2.1-4.9 0-1.9-.8-3.7-2.1-4.9z"/></svg>',
    'dx-dashboard-toolbox-geoPointMap': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-geoPointMap" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><circle class="dx-dashboard-contrast-icon" cx="19" cy="13" r="3"/><circle class="dx-dashboard-contrast-icon" cx="20" cy="3" r="3"/><circle class="dx-dashboard-contrast-icon" cx="12" cy="8" r="3"/></svg>',
    'dx-dashboard-toolbox-grid': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-grid" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M5 5h4v4H5V5zm5 0h4v4h-4V5zm5 0h4v4h-4V5zM5 10h4v4H5v-4zm5 0h4v4h-4v-4zm5 0h4v4h-4v-4zM5 15h4v4H5v-4zm5 0h4v4h-4v-4zm5 0h4v4h-4v-4zm8-13c0-.6-.4-1-1-1H2c-.6 0-1 .4-1 1v20c0 .6.4 1 1 1h20c.6 0 1-.4 1-1V2zm-2 19H3V3h18v18z"/></svg>',
    'dx-dashboard-toolbox-group': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-group" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M22 1H2c-.6 0-1 .4-1 1v20c0 .6.4 1 1 1h20c.6 0 1-.4 1-1V2c0-.6-.4-1-1-1zm-1 20H3V3h18v18zM6 19h9c.6 0 1-.4 1-1v-2h2c.6 0 1-.4 1-1V6c0-.6-.4-1-1-1H9c-.6 0-1 .4-1 1v2H6c-.6 0-1 .4-1 1v9c0 .6.4 1 1 1zm1-9h7v7H7v-7z"/></svg>',
    'dx-dashboard-toolbox-image': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-image" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M22 2H2c-.5 0-1 .5-1 1v18c0 .6.4 1 1 1h20c.5 0 1-.5 1-1V3c0-.6-.4-1-1-1zm-1 18H3V4h18v16zM7.5 8C8.3 8 9 8.7 9 9.5S8.3 11 7.5 11 6 10.3 6 9.5 6.7 8 7.5 8zM9 12l-3 4h3l1.4-2.1L9 12zm5-2l-4 6h8l-4-6z"/></svg>',
    'dx-dashboard-toolbox-listBox': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-listBox" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M10 7h8v2h-8V7zM6 7h2v2H6V7zm4 4h8v2h-8v-2zm-4 0h2v2H6v-2zm4 4h8v2h-8v-2zm-4 0h2v2H6v-2zM21 1H3c-.6 0-1 .4-1 1v20c0 .6.4 1 1 1h18c.6 0 1-.4 1-1V2c0-.6-.4-1-1-1zm-1 20H4V3h16v18z"/></svg>',
    'dx-dashboard-toolbox-pie': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-pie" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M5 7h10V-3C9.5-3 5 1.5 5 7z"/><path class="dx-dashboard-accent-icon" d="M17-1V9H7c0 5.5 4.5 10 10 10s10-4.5 10-10S22.5-1 17-1z"/></svg>',
    'dx-dashboard-toolbox-pieMap': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-pieMap" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><circle class="dx-dashboard-contrast-icon" cx="18" cy="10" r="4"/><circle class="dx-dashboard-contrast-icon" cx="9.5" cy="5.5" r="2.5"/><path class="dx-dashboard-accent-icon" d="M8 9v6l-4.2 4.2C4.8 20.3 6.3 21 8 21c3.3 0 6-2.7 6-6s-2.7-6-6-6z"/><path class="dx-dashboard-contrast-icon" d="M8 9c-3.3 0-6 2.7-6 6 0 .8.2 1.6.5 2.3.2.4.3.7.6 1 .2.3.5.6.7.9L8 15V9z"/></svg>',
    'dx-dashboard-toolbox-pivot': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-pivot" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M27-3H5L16 8 5 19h22v-3H12l8-8-8-8h15z"/></svg>',
    'dx-dashboard-toolbox-rangeFilter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-rangeFilter" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M26-1H6c-.6 0-1 .4-1 1v16c0 .6.4 1 1 1h7V5L7 8.8V1h18v4l-6 6v6h7c.6 0 1-.4 1-1V0c0-.6-.4-1-1-1z"/><path class="dx-dashboard-accent-icon" d="M21-3V9l-2 2-6-6-2 1.3V-3H9v22h2v-2h10v2h2V-3z"/></svg>',
    'dx-dashboard-toolbox-scatterChart': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-scatterChart" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M22 1H2c-.6 0-1 .4-1 1v20c0 .6.4 1 1 1h20c.6 0 1-.4 1-1V2c0-.6-.4-1-1-1zm-1 20H3V3h18v18zM8 13c-1.7 0-3 1.3-3 3s1.3 3 3 3 3-1.3 3-3-1.3-3-3-3zm0 4c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1zm8-6c-1.7 0-3 1.3-3 3s1.3 3 3 3 3-1.3 3-3-1.3-3-3-3zm0 4c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1zm-2-7c0-1.7-1.3-3-3-3S8 6.3 8 8s1.3 3 3 3 3-1.3 3-3zm-3 1c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1z"/></svg>',
    'dx-dashboard-toolbox-tabContainer': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-tabContainer" version="1.1" " xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M22 4H11V1c0-.5-.5-1-1-1H1C.5 0 0 .5 0 1v21c0 .5.5 1 1 1h21c.5 0 1-.5 1-1V5c0-.5-.5-1-1-1zm-1 17H2V2h7v4h12v15z"/><path class="dx-dashboard-contrast-icon" d="M16 8h-6c-.5 0-1 .5-1 1v2H7c-.5 0-1 .5-1 1v6c0 .5.5 1 1 1h6c.5 0 1-.5 1-1v-2h2c.5 0 1-.5 1-1V9c0-.5-.5-1-1-1zm-4 9H8v-4h4v4z"/></svg>',
    'dx-dashboard-toolbox-textBox': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-textBox" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="4 -4 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M26 3c.6 0 1-.4 1-1v-4c0-.6-.4-1-1-1h-4c-.6 0-1 .4-1 1v1H11v-1c0-.6-.4-1-1-1H6c-.6 0-1 .4-1 1v4c0 .6.4 1 1 1h1v10H6c-.6 0-1 .4-1 1v4c0 .6.4 1 1 1h4c.6 0 1-.4 1-1v-1h10v1c0 .6.4 1 1 1h4c.6 0 1-.4 1-1v-4c0-.6-.4-1-1-1h-1V3h1zM7-1h2v2H7v-2zm0 18v-2h2v2H7zm14-3v1H11v-1c0-.6-.4-1-1-1H9V3h1c.6 0 1-.4 1-1V1h10v1c0 .6.4 1 1 1h1v10h-1c-.6 0-1 .4-1 1zm4 3h-2v-2h2v2zM23 1v-2h2v2h-2z"/><path class="dx-dashboard-contrast-icon" d="M18 11h2l-3-7h-2l-3 7h2l.4-1h3.1l.5 1zm-2.7-3l.7-1.7.7 1.7h-1.4z"/></svg>',
    'dx-dashboard-toolbox-treemap': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-treemap" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M2 1c-.6 0-1 .4-1 1v20c0 .6.4 1 1 1h5V1H2z"/><path class="dx-dashboard-contrast-icon" d="M23 9V2c0-.6-.4-1-1-1H9v8h14zM17 18v5h5c.6 0 1-.4 1-1v-4h-6z"/><path class="dx-dashboard-accent-icon" d="M17 11h6v5h-6zM9 11h6v12H9z"/></svg>',
    'dx-dashboard-toolbox-treeView': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-toolbox-treeView" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M14 8H2c-.6 0-1 .4-1 1v12c0 .6.4 1 1 1h12c.6 0 1-.4 1-1V9c0-.6-.4-1-1-1zm-1 12H3V10h10v10zm-2-6H9v-2H7v2H5v2h2v2h2v-2h2v-2zM22 2H10c-.6 0-1 .4-1 1v4h2V4h10v10h-5v2h6c.6 0 1-.4 1-1V3c0-.6-.4-1-1-1zm-6 8h3V8h-3.3c.2.3.3.6.3 1v1z"/></svg>',
    'dx-dashboard-chart-series-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M19 18H5c-.6 0-1-.4-1-1v-5l5-5 5 5 6-6v11c0 .6-.4 1-1 1z"/></svg>',
    'dx-dashboard-chart-series-bar': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-bar" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M7 20H5c-.6 0-1-.4-1-1v-5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v5c0 .6-.4 1-1 1zM13 20h-2c-.6 0-1-.4-1-1V9c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v10c0 .6-.4 1-1 1zM19 20h-2c-.6 0-1-.4-1-1V5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v14c0 .6-.4 1-1 1z"/></svg>',
    'dx-dashboard-chart-series-candle-stick': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-candle-stick" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M17 6V4h-2v2h-2v9h2v2h2v-2h2V6h-2zm0 7h-2V8h2v5z"/><path class="dx-dashboard-accent-icon" d="M9 9V7H7v2H5v9h2v2h2v-2h2V9z"/></svg>',
    'dx-dashboard-chart-series-full-stacked-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-full-stacked-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M4 5v14h16V5c0-.6-.4-1-1-1H5c-.6 0-1 .4-1 1z"/><path class="dx-dashboard-contrast-icon" d="M9 11l-5 5v3c0 .6.4 1 1 1h14c.6 0 1-.4 1-1v-9l-6 6-5-5z"/></svg>',
    'dx-dashboard-chart-series-full-stacked-bar': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-full-stacked-bar" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M13 20h-2c-.6 0-1-.4-1-1v-8h4v8c0 .6-.4 1-1 1zM19 20h-2c-.6 0-1-.4-1-1V8h4v11c0 .6-.4 1-1 1zM7 20H5c-.6 0-1-.4-1-1v-4h4v4c0 .6-.4 1-1 1z"/><path class="dx-dashboard-accent-icon" d="M20 9h-4V5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v4zM14 12h-4V5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v7zM8 16H4V5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v11z"/></svg>',
    'dx-dashboard-chart-series-full-stacked-line': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-full-stacked-line" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M4 5h16v2H4z"/><path class="dx-dashboard-contrast-icon" d="M14 16l-5-5-5 5v3l5-5 5 5 6-6v-3z"/></svg>',
    'dx-dashboard-chart-series-full-stacked-spline-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-full-stacked-spline-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M19 4H5c-.6 0-1 .4-1 1v8.9s3.2 6.8 8 0c4.7-6.6 8 0 8 0V5c0-.6-.4-1-1-1z"/><path class="dx-dashboard-contrast-icon" d="M12 13c-4.8 6.8-8 0-8 0v6c0 .6.4 1 1 1h14c.6 0 1-.4 1-1v-6s-3.3-6.6-8 0z"/></svg>',
    'dx-dashboard-chart-series-high-low-close': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-high-low-close" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M9 7H7v13h2v-3h2v-2H9z"/><path class="dx-dashboard-contrast-icon" d="M15 14V4h-2v12h4v-2z"/></svg>',
    'dx-dashboard-chart-series-line': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-line" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M14 13L9 8l-5 5v3l5-5 5 5 6-6V7z"/></svg>',
    'dx-dashboard-chart-series-points': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-points" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><circle class="dx-dashboard-contrast-icon" cx="6" cy="18" r="2"/><circle class="dx-dashboard-contrast-icon" cx="18" cy="6" r="2"/><circle class="dx-dashboard-contrast-icon" cx="11" cy="9" r="2"/><circle class="dx-dashboard-contrast-icon" cx="13" cy="15" r="2"/></svg>',
    'dx-dashboard-chart-series-range-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-range-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M14 12L9 7l-5 5v6l5-5 5 5 6-6V6z"/></svg>',
    'dx-dashboard-chart-series-range-bar': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-range-bar" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M7 17H5c-.6 0-1-.4-1-1V8c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v8c0 .6-.4 1-1 1zM13 20h-2c-.6 0-1-.4-1-1v-7c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v7c0 .6-.4 1-1 1zM19 13h-2c-.6 0-1-.4-1-1V5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v7c0 .6-.4 1-1 1z"/></svg>',
    'dx-dashboard-chart-series-spline-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-spline-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M12 8.9c-4.8 6.8-8 0-8 0v8c0 .6.4 1 1 1h14c.6 0 1-.5 1-1v-8s-3.3-6.6-8 0z"/></svg>',
    'dx-dashboard-chart-series-spline': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-spline" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M8.2 16h-.3C5.5 16 4 12.5 4 12.4l1.5-.8c.3.6 1.2 2.4 2.4 2.4 1.5 0 2.4-1.2 3.3-2.5C12.9 9 14.2 8 16 8c2.5 0 3.9 3.4 4 3.5l-1.6.9c-.3-.6-.8-2.4-2.4-2.4-1.8 0-2.5 1.3-3.3 2.5-1.4 2.1-3 3.5-4.5 3.5z"/></svg>',
    'dx-dashboard-chart-series-stacked-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-stacked-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M9 10l-5 5v4c0 .6.4 1 1 1h14c.6 0 1-.4 1-1V9l-6 6-5-5z"/><path class="dx-dashboard-accent-icon" d="M14 10L9 5l-5 5v6l5-5 5 5 6-6V4z"/></svg>',
    'dx-dashboard-chart-series-stacked-bar': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-stacked-bar" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M14 15h-4V9c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v6zM8 17H4v-3c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v3zM20 12h-4V5c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v7z"/><path class="dx-dashboard-accent-icon" d="M13 20h-2c-.6 0-1-.4-1-1v-5h4v5c0 .6-.4 1-1 1zM19 20h-2c-.6 0-1-.4-1-1v-8h4v8c0 .6-.4 1-1 1zM7 20H5c-.6 0-1-.4-1-1v-3h4v3c0 .6-.4 1-1 1z"/></svg>',
    'dx-dashboard-chart-series-stacked-line': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-stacked-line" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M11 10l-6 6v3l6-6 6 6 2-2v-3l-2 2z"/><path class="dx-dashboard-accent-icon" d="M15 9l-4-4-6 6v3l6-6 4 4 4-4V5z"/></svg>',
    'dx-dashboard-chart-series-stacked-spline-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-stacked-spline-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M12 6.9c-4.8 6.8-8 0-8 0V14s3.2 6.4 8 0c4.7-6.3 8 0 8 0V6.9s-3.3-6.6-8 0z"/><path class="dx-dashboard-contrast-icon" d="M12 13c-4.7 6.5-8 0-8 0v6c0 .6.4 1 1 1h14c.6 0 1-.4 1-1v-6s-3.3-6.6-8 0z"/><g><path class="dx-dashboard-accent-icon" d="M12 6.9c-4.8 6.8-8 0-8 0V14s3.2 6.4 8 0c4.7-6.3 8 0 8 0V6.9s-3.3-6.6-8 0z"/><path class="dx-dashboard-contrast-icon" d="M12 13c-4.7 6.5-8 0-8 0v6c0 .6.4 1 1 1h14c.6 0 1-.4 1-1v-6s-3.3-6.6-8 0z"/></g></svg>',
    'dx-dashboard-chart-series-step-area': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-step-area" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M5 20h14c.6 0 1-.4 1-1V9h-4V4h-4v11H8v-3H4v7c0 .6.4 1 1 1z"/></svg>',
    'dx-dashboard-chart-series-step-line': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-step-line" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M12 4v14H8v-4H4v2h2v4h8V6h4v9h2V4z"/></svg>',
    'dx-dashboard-chart-series-stock': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-stock" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M10 7H8v3H6v2h2v8h2v-3h2v-2h-2z"/><path class="dx-dashboard-contrast-icon" d="M16 14V4h-4v2h2v10h4v-2z"/></svg>',
    'dx-dashboard-chart-series-weighted': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-chart-series-weighted" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><circle class="dx-dashboard-contrast-icon" cx="7" cy="17" r="2"/><circle class="dx-dashboard-contrast-icon" cx="12" cy="9" r="4"/><circle class="dx-dashboard-contrast-icon" cx="16.5" cy="15.5" r="2.5"/></svg>',
    'dx-dashboard-gauge-circular-full': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-circular-full" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M12 4c-4.4 0-8 3.6-8 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 14c-3.3 0-6-2.7-6-6s2.7-6 6-6 6 2.7 6 6-2.7 6-6 6z"/><path class="dx-dashboard-accent-icon" d="M12 4c-4.4 0-8 3.6-8 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 14c-3.3 0-6-2.7-6-6s2.7-6 6-6 6 2.7 6 6-2.7 6-6 6z"/><path class="dx-dashboard-contrast-icon" d="M12 10c-.3 0-.6.1-.8.2L5 4 4 5l6.2 6.2c-.1.2-.2.5-.2.8 0 1.1.9 2 2 2s2-.9 2-2-.9-2-2-2z"/></svg>',
    'dx-dashboard-gauge-circular-half': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-circular-half" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M12 9c3.3 0 6 2.7 6 6h2c0-4.4-3.6-8-8-8s-8 3.6-8 8h2c0-3.3 2.7-6 6-6z"/><path class="dx-dashboard-accent-icon" d="M12 9c3.3 0 6 2.7 6 6h2c0-4.4-3.6-8-8-8s-8 3.6-8 8h2c0-3.3 2.7-6 6-6z"/><path class="dx-dashboard-contrast-icon" d="M12 13c-.3 0-.6.1-.8.2L5 7 4 8l6.2 6.2c-.1.2-.2.5-.2.8 0 1.1.9 2 2 2s2-.9 2-2-.9-2-2-2z"/></svg>',
    'dx-dashboard-gauge-circular-left-quarter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-circular-left-quarter" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M6 17h2c0-5 4-9 9-9V6C10.9 6 6 10.9 6 17z"/><path class="dx-dashboard-contrast-icon" d="M16 14c-.3 0-.6.1-.8.2L8 7 7 8l7.2 7.2c-.1.2-.2.5-.2.8 0 1.1.9 2 2 2s2-.9 2-2-.9-2-2-2z"/></svg>',
    'dx-dashboard-gauge-circular-right-quarter': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-circular-right-quarter" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M18 17h-2c0-5-4-9-9-9V6c6.1 0 11 4.9 11 11z"/><path class="dx-dashboard-contrast-icon" d="M8 14c.3 0 .6.1.8.2L16 7l1 1-7.2 7.2c.1.2.2.5.2.8 0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2z"/></svg>',
    'dx-dashboard-gauge-circular-three-fourth': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-circular-three-fourth" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-accent-icon" d="M20 13c0-4.4-3.6-8-8-8s-8 3.6-8 8c0 2.2.9 4.2 2.4 5.6l1.4-1.4C6.7 16.1 6 14.7 6 13c0-3.3 2.7-6 6-6s6 2.7 6 6c0 1.7-.7 3.1-1.8 4.2l1.4 1.4c1.5-1.4 2.4-3.4 2.4-5.6z"/><path class="dx-dashboard-accent-icon" d="M20 13c0-4.4-3.6-8-8-8s-8 3.6-8 8c0 2.2.9 4.2 2.4 5.6l1.4-1.4C6.7 16.1 6 14.7 6 13c0-3.3 2.7-6 6-6s6 2.7 6 6c0 1.7-.7 3.1-1.8 4.2l1.4 1.4c1.5-1.4 2.4-3.4 2.4-5.6z"/><path class="dx-dashboard-contrast-icon" d="M12 11c-.3 0-.6.1-.8.2L5 5 4 6l6.2 6.2c-.1.2-.2.5-.2.8 0 1.1.9 2 2 2s2-.9 2-2-.9-2-2-2z"/></svg>',
    'dx-dashboard-gauge-linear-horizontal': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-linear-horizontal" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M4 10h16v4H4z"/><path class="dx-dashboard-accent-icon" d="M4 10h10v4H4z"/></svg>',
    'dx-dashboard-gauge-linear-vertical': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-gauge-linear-vertical" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M10 4h4v16h-4z"/><path class="dx-dashboard-accent-icon" d="M10 10h4v10h-4z"/></svg>',
    'dx-dashboard-grid-column-delta': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-grid-column-delta" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M12 4L4 20h16L12 4zm-1 6l4 8H7l4-8z"/></svg>',
    'dx-dashboard-grid-column-dimension': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-grid-column-dimension" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M20 17l-4-3v2H8V8h2L7 4 4 8h2v10h10v2z"/></svg>',
    'dx-dashboard-grid-column-hyperlink': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-grid-column-hyperlink" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M7.8 15l-.5-2.2H5.2L4.7 15H3l2.3-9h1.9l2.2 9H7.8zM6.4 8.6c0-.2-.1-.5-.1-1v-.2c-.1.6-.2.9-.2 1.1l-.6 2.9H7l-.6-2.8zM10.3 15V6h2.5c1.6 0 2.3.7 2.3 2.1 0 .5-.1.9-.4 1.3-.2.4-.6.6-1 .7.5.1.8.3 1.1.7.3.4.4.9.4 1.4 0 .8-.2 1.5-.6 2-.4.5-1 .7-1.8.7h-2.5zm1.6-7.5v2.2h.7c.3 0 .5-.1.7-.3s.3-.5.3-.8c0-.7-.4-1-1.1-1h-.6zm0 3.6v2.4h.8c.3 0 .6-.1.8-.3s.3-.5.3-.9-.1-.6-.3-.8c-.2-.2-.4-.3-.7-.3h-.9zM21 14.6c-.5.3-1 .4-1.6.4-1 0-1.8-.4-2.4-1.2-.6-.8-.9-1.8-.9-3.1 0-1.5.3-2.7.9-3.5S18.5 6 19.6 6c.5 0 1 .1 1.4.3v1.6c-.4-.3-.8-.5-1.3-.5-.6 0-1 .3-1.4.8-.3.6-.5 1.3-.5 2.3 0 .9.2 1.7.5 2.2.3.5.8.8 1.3.8s.9-.2 1.4-.5v1.6zM3 17h18v1H3z"/></svg>',
    'dx-dashboard-grid-column-measure': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-grid-column-measure" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M20 5H4l7 7-7 7h16v-2H9l5-5-5-5h11z"/></svg>',
    'dx-dashboard-grid-column-sparkline': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-grid-column-sparkline" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M20 7c-1.1 0-2 .9-2 2 0 .3.1.6.2.8l-3.4 3.4c-.2-.1-.5-.2-.8-.2s-.6.1-.8.2l-2.4-2.4c.1-.3.2-.5.2-.8 0-1.1-.9-2-2-2s-2 .9-2 2c0 .3.1.6.2.8l-2.4 2.4c-.2-.1-.5-.2-.8-.2-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2c0-.3-.1-.6-.2-.8l2.4-2.4c.2.1.5.2.8.2s.6-.1.8-.2l2.4 2.4c-.1.2-.2.5-.2.8 0 1.1.9 2 2 2s2-.9 2-2c0-.3-.1-.6-.2-.8l3.4-3.4c.3.1.5.2.8.2 1.1 0 2-.9 2-2s-.9-2-2-2z"/></svg>',
    'dx-dashboard-pie-donut': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-pie-donut" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M8 12c0-2.2 1.8-4 4-4V4c-4.4 0-8 3.6-8 8 0 2.2.9 4.2 2.3 5.7l2.8-2.8C8.4 14.1 8 13.1 8 12z"/><path class="dx-dashboard-accent-icon" d="M12 4v4c2.2 0 4 1.8 4 4s-1.8 4-4 4c-1.1 0-2.1-.4-2.8-1.2l-2.8 2.8C7.8 19.1 9.8 20 12 20c4.4 0 8-3.6 8-8s-3.6-8-8-8z"/></svg>',
    'dx-dashboard-pie-pie': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-pie-pie" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M12 4c-4.4 0-8 3.6-8 8 0 2.2.9 4.2 2.3 5.7L12 12V4z"/><path class="dx-dashboard-accent-icon" d="M12 4v8l-5.7 5.7C7.8 19.1 9.8 20 12 20c4.4 0 8-3.6 8-8s-3.6-8-8-8z"/></svg>',
    'dx-dashboard-sparkline-win-loss': '<svg data-bind="svgAttrs" data-iconId="dx-dashboard-sparkline-win-loss" version="1.1" xmlns="http://www.w3.org/2000/svg" " x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dx-dashboard-contrast-icon" d="M2 13v-2c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v2c0 .6-.4 1-1 1H3c-.6 0-1-.4-1-1zM7 13v-2c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v2c0 .6-.4 1-1 1H8c-.6 0-1-.4-1-1zM18 13v-2c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v2c0 .6-.4 1-1 1h-2c-.6 0-1-.4-1-1z"/><path class="dx-dashboard-accent-icon" d="M12 13v-2c0-.6.4-1 1-1h3c.6 0 1 .4 1 1v2c0 .6-.4 1-1 1h-3c-.6 0-1-.4-1-1z"/></svg>',
});

;// ./dist/designer/button-group-editor/_button-group.js



const _registerDxDashboardButtonGroup = () => {
    const componentName = 'dx-dashboard-button-group';
    const templateName = 'dx-dashboard-button-group-template';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                var options = {
                    keyExpr: 'value',
                    width: '100%',
                    items: external_ko_.unwrap(params.values).map(function (val) { return { value: val.value, text: (0,_default/* getLocalizationById */.Mu)(val.displayValue) }; }),
                    onItemClick: function (e) { params.value(e.itemData.value); },
                    disabled: params.disabled,
                    selectedItemKeys: [external_ko_.unwrap(params.value.peek())]
                };
                return options;
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};
const _registerDxDashboardCheckedButton = () => {
    const componentName = 'dx-dashboard-checked-button';
    const templateName = 'dx-dashboard-button-group-template';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                let key = 'key';
                var options = {
                    elementAttr: { class: params.icon ? 'dx-dashboard-button-with-icon' : undefined },
                    keyExpr: 'key',
                    width: '100%',
                    items: external_ko_.computed(() => {
                        var template = external_ko_.unwrap(params.template);
                        var icon = external_ko_.unwrap(params.icon);
                        if (!template && icon) {
                            template = `<!-- ko template: '${icon}' --><!-- /ko -->`;
                        }
                        return [{
                                key: key,
                                disabled: external_ko_.unwrap(params.disabled),
                                hint: external_ko_.unwrap(params.hint),
                                text: external_ko_.unwrap(params.text),
                                template: template
                            }];
                    }),
                    onItemClick: params.click,
                    disabled: params.disabled,
                    selectedItemKeys: external_ko_.computed(() => external_ko_.unwrap(params.isSelected) ? [key] : []),
                };
                if (params.isSelected === false) {
                    options.onSelectionChanged = (e) => {
                        e.component.option('selectedItemKeys', []);
                    };
                }
                return options;
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

;// ./dist/designer/color-scheme-editor-extension/internal/_color-tree-view-model.js



class ColorEntryTreeItem {
    constructor(value, uniqueKey, entry, editColor, entryComputedColor) {
        this.value = value;
        this.uniqueKey = uniqueKey;
        this.entry = entry;
        this.items = [];
        this.expanded = true;
        this.custom = false;
        if (editColor) {
            this.editColor = (_, ev) => {
                editColor(entry, ev);
            };
            this.custom = entry.custom;
        }
        var entryColor = !!editColor && entryComputedColor;
        this.color = !!entryColor ? entryColor.css : null;
    }
}
class ColorTreeViewModel {
    static construct(values, children, entry, editColor = () => { }, entryComputedColor) {
        var value = values.shift();
        var foundChild = children.filter(item => item.uniqueKey === value.id)[0];
        if (!foundChild && !!value) {
            foundChild = new ColorEntryTreeItem(value.displayValue, value.id, entry, values.length === 0 ? editColor : null, entryComputedColor);
            children.push(foundChild);
        }
        if (foundChild && values.length > 0) {
            ColorTreeViewModel.construct(values, foundChild.items, entry, editColor, entryComputedColor);
        }
    }
    constructor(params) {
        this.removeItem = (item) => {
            this.removeEntry(item.entry);
            this.selectedEntry(null);
        };
        this.selectedTreeItems = external_ko_.observable([]);
        this.onItemSelectionChanged = (e) => {
            this.selectedEntry(e.node.itemData.entry);
        };
        this.dataSource = external_ko_.computed(() => {
            var tree = [];
            params.dataSource().forEach(entry => {
                var plainValues = entry.dimensionKeys().map(dim => ({
                    displayValue: dim.displayText(),
                    id: dim.displayText()
                }));
                if (entry.measureKeys().length) {
                    plainValues.push({
                        displayValue: entry.measureKeys().map(m => m.displayText()).join(' | '),
                        id: entry.measureKeys().map(m => m._id).join(' | ')
                    });
                }
                let entryComputedColor = entry.paletteIndex() === null ? entry.color() : params.colorPalette()[entry.paletteIndex()];
                ColorTreeViewModel.construct(plainValues, tree, entry, external_ko_.unwrap(params.editColor), entryComputedColor);
            });
            return tree;
        });
        this.colorPickerModel = params.colorPickerModel;
        this.isTreeMode = external_ko_.computed(() => {
            return params.dataSource().length > 0 && (params.dataSource()[0].dimensionKeys().length + params.dataSource()[0].measureKeys().length) > 1;
        });
        this.allowModify = params.allowModify;
        this.selectedEntry = params.selectedEntry;
        this.addNewEntry = params.addNewEntry;
        this.removeEntry = external_ko_.unwrap(params.removeEntry);
        this.allowAddNewEntry = (0,_knockout_utils/* safeComputed */.Tq)({ colorSchemeEntries: params.dataSource }, (args) => this.allowModify && args.colorSchemeEntries.some(entry => entry.dimensionKeys().length > 0));
    }
}
const colorSchemeTreeViewEditor = (options) => context => ({
    template: args => colorSchemeTreeViewEditorTemplate(args, context, options)
});
const colorSchemeTreeViewEditorTemplate = (args, context, options) => {
    const div = document.createElement('div');
    div.classList.add('dx-dashboard-form-column-content-wrapper');
    let viewModel = new ColorTreeViewModel(options);
    external_ko_.applyBindingsToNode(div, { template: { name: 'dx-dashboard-colors-view', data: viewModel } }, context.bindingContext);
    return div;
};
const _registerDxDashboardColorsComponent = () => {
    const componentName = 'dx-dashboard-colors-component';
    const templateName = 'dx-dashboard-colors-view';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: ColorTreeViewModel,
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_style-settings-editor.js
var _style_settings_editor = __webpack_require__(6553);
// EXTERNAL MODULE: ./dist/model/index.metadata.js
var index_metadata = __webpack_require__(6185);
// EXTERNAL MODULE: ./dist/model/internal/_undo-engine-helper.js
var _undo_engine_helper = __webpack_require__(7899);
// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_style-settings-adapters.js
var _style_settings_adapters = __webpack_require__(6592);
// EXTERNAL MODULE: ./dist/designer/form-adapter/_form-adapter-editors.js + 1 modules
var _form_adapter_editors = __webpack_require__(1884);
;// ./dist/designer/conditional-formatting/custom-style-settings/_custom-appearance-dialog.js






class CustomAppearanceDialog {
    constructor(setAppearance, availableFontFamilies) {
        this.setAppearance = setAppearance;
        this.availableFontFamilies = availableFontFamilies;
        this.visible = external_ko_.observable(false);
        this.isMaterial = (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)());
        this.appearancePreview = external_ko_.observable(null);
        this.colorBox = (dataField, labelLocaleId) => ({
            dataField,
            label: {
                text: (0,_default/* getLocalizationById */.Mu)(labelLocaleId)
            },
            cssClass: 'dx-dashboard-appearance-layout-item',
            editorType: 'dxColorBox',
            editorOptions: {
                editAlphaChannel: true,
            }
        });
        this.buttonGroup = (args) => {
            const buttonGroupHolder = document.createElement('div');
            const options = {
                items: this.fontStyles,
                keyExpr: 'dataField',
                selectionMode: 'multiple',
                selectedItemKeys: this.appearancePreview().fontStyles,
                stylingMode: 'outlined',
                onSelectionChanged(e) {
                    args.component.updateData(args.dataField, e.component.option('selectedItemKeys'));
                }
            };
            new (external_DevExpress_ui_dxButtonGroup_default())(buttonGroupHolder, options);
            return buttonGroupHolder;
        };
        this.styleButtons = () => ({
            dataField: 'fontStyles',
            cssClass: 'dx-dashboard-appearance-item-wrapper dx-dashboard-appearance-layout-item',
            label: {
                visible: false,
            },
            template: this.buttonGroup
        });
        this.fontStyle = (type, labelLocaleId) => ({
            icon: type.toLocaleLowerCase(),
            hint: (0,_default/* getLocalizationById */.Mu)(labelLocaleId),
            dataField: type,
            elementAttr: {
                class: 'dx-dashboard-appearance-item-font-style-button'
            }
        });
        this.fontStyles = [
            this.fontStyle('Bold', 'DashboardStringId.FormatConditionAppearanceFontBold'),
            this.fontStyle('Italic', 'DashboardStringId.FormatConditionAppearanceFontItalic'),
            this.fontStyle('Underline', 'DashboardStringId.FormatConditionAppearanceFontUnderline')
        ];
        this.appearanceSettingsGroup = () => ({
            itemType: 'group',
            colCount: 3,
            cssClass: 'dx-dashboard-appearance-layout',
            items: [
                this.colorBox('backColor', 'DashboardWebStringId.ConditionalFormatting.Appearance.BackColor'),
                this.colorBox('foreColor', 'DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor'),
                this.styleButtons()
            ]
        });
        this.fontFamilyEditor = (fontFamilies) => (args) => {
            const listHolder = document.createElement('div');
            listHolder.classList.add('dx-dashboard-appearance-font-family-editor-list');
            listHolder.classList.add('dx-dashboard-appearance-bordered-item');
            listHolder.classList.add('dx-dashboard-form-open');
            const initialValue = (0,_form_adapter_editors/* getFieldValue */.GR)(args);
            const options = {
                dataSource: fontFamilies,
                selectionMode: 'single',
                searchEnabled: true,
                searchMode: 'contains',
                searchEditorOptions: {
                    placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.SearchFontFamilies')
                },
                disabled: args.editorOptions?.disabled || undefined,
                pageLoadMode: 'scrollBottom',
                selectedItems: [initialValue],
                onItemClick: (e) => args.component.updateData(args.dataField, e.itemData),
            };
            new (external_DevExpress_ui_dxList_default())(listHolder, options);
            return listHolder;
        };
        this.fontFamily = (fontFamilies) => ({
            dataField: 'fontFamily',
            label: {
                visible: false,
            },
            template: this.fontFamilyEditor(fontFamilies)
        });
        this.styledTextPreviewEditor = () => {
            const previewHolder = document.createElement('div');
            previewHolder.classList.add('dx-dashboard-text-preview');
            previewHolder.classList.add('dx-dashboard-appearance-bordered-item');
            previewHolder.textContent = 'Preview';
            if (this.appearancePreview().backColor)
                previewHolder.style.backgroundColor = this.appearancePreview().backColor;
            if (this.appearancePreview().foreColor)
                previewHolder.style.color = this.appearancePreview().foreColor;
            if (this.appearancePreview().fontFamily)
                previewHolder.style.fontFamily = this.appearancePreview().fontFamily;
            if (this.appearancePreview().fontStyles.indexOf('Italic') !== -1)
                previewHolder.style.fontStyle = 'italic';
            if (this.appearancePreview().fontStyles.indexOf('Bold') !== -1)
                previewHolder.style.fontWeight = 'bold';
            if (this.appearancePreview().fontStyles.indexOf('Underline') !== -1)
                previewHolder.style.textDecoration = 'underline';
            return previewHolder;
        };
        this.preview = {
            dataField: 'preview',
            label: {
                visible: false
            },
            template: this.styledTextPreviewEditor
        };
        this.buttonItems = external_ko_.observableArray([{
                toolbar: 'bottom', location: 'after', widget: 'dxButton', options: {
                    type: 'default',
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ConditionalFormatting.Save'), onClick: () => {
                        this.setAppearance(this.getValue());
                        this.visible(false);
                    }
                }
            }, {
                toolbar: 'bottom', location: 'after', widget: 'dxButton', options: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ButtonCancel'), onClick: () => this.visible(false)
                }
            }]);
        this.popupOptions = {
            toolbarItems: this.buttonItems,
            visible: this.visible,
            height: this.isMaterial ? '450px' : '470px',
            width: '750px',
            minWidth: '450px',
            maxWidth: '70%',
            showCloseButton: true,
            wrapperAttr: {
                class: 'dx-dropdowneditor-overlay'
            },
            title: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ConditionalFormatting.CustomStyleSettings'),
        };
        this.items = [
            this.appearanceSettingsGroup(),
            {
                itemType: 'group',
                cssClass: 'dx-dashboard-appearance-font-family-editor',
                items: [this.fontFamily(this.availableFontFamilies)]
            },
            {
                itemType: 'group',
                items: [this.preview]
            }
        ];
        this.formOptions = {
            formData: this.appearancePreview,
            items: this.items,
            height: '100%',
            labelLocation: 'top',
            showColonAfterLabel: false,
            onFieldDataChanged: (e) => {
                e.component.itemOption('preview', this.appearancePreview());
            }
        };
    }
    show(appearance) {
        const selectedStyles = appearance?.fontStyle?.split(',').filter(item => !!item).map(item => item.trim()) || [];
        this.appearancePreview({
            backColor: appearance?.backColor ?? '#FFFFFF',
            foreColor: appearance?.foreColor ?? '#000000',
            fontFamily: appearance?.fontFamily ?? null,
            fontStyles: selectedStyles
        });
        this.visible(true);
    }
    getValue() {
        const appearance = {
            backColor: this.appearancePreview().backColor || '#FFFFFF',
            foreColor: this.appearancePreview().foreColor || '#000000',
            fontFamily: this.appearancePreview().fontFamily,
            fontStyle: this.appearancePreview().fontStyles.length ? this.appearancePreview().fontStyles.join(', ') : null
        };
        return appearance;
    }
}

;// ./dist/designer/conditional-formatting/custom-style-settings/_popover-color-picker.js


class PopoverColorPicker {
    constructor(setColor) {
        this.setColor = setColor;
        this.color = external_ko_.observable('');
        this.visible = external_ko_.observable(false);
        this.buttonItems = external_ko_.observableArray([
            { toolbar: 'bottom', location: 'after', widget: 'dxButton', options: { text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ButtonConfirm'), onClick: () => {
                        this.setColor(this.color());
                        this.visible(false);
                    } } },
            { toolbar: 'bottom', location: 'after', widget: 'dxButton', options: { text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ButtonCancel'), onClick: () => this.visible(false) } }
        ]);
    }
    show(color) {
        this.color(color);
        this.visible(true);
    }
}

;// ./dist/designer/conditional-formatting/_style-settings-editor-item.js








class StyleSettingsEditorItem {
    constructor(args) {
        this._item = args.item;
        this._itemAdapter = (0,_style_settings_adapters/* styleSettingsAdapter */.o)(this._item);
        this._editorClickHandler = args.clickHandler;
        this._isSelected = args.isSelected;
        this._initialize({ isEmptyAllowed: args.isEmptyAllowed, isRange: args.isRange, isGradient: args.isGradient, restrictToColor: args.restrictToColor });
        this.colorPicker = new PopoverColorPicker((style) => {
            if (style) {
                this._itemAdapter.setCustomColor(style);
                this._editorClickHandler('SaveColor');
            }
        });
        if (!args.getAvailableFontFamilies) {
            args.getAvailableFontFamilies = () => external_ko_.computed(() => []);
        }
        this.customizeAppearanceDialog = new CustomAppearanceDialog((style) => {
            if (style) {
                (0,_undo_engine_helper/* callFuncWithUndoRedo */.dm)(() => {
                    this._itemAdapter.setCustomAppearance(style);
                    this._editorClickHandler('SaveAppearance');
                });
            }
        }, args.getAvailableFontFamilies());
    }
    clickHandlerCore(isRestrictToColor) {
        if (this._itemAdapter.hasCustomStyle() && (this._itemAdapter.isEmptyCustomStyle() || this._isSelected())) {
            this._showCustomStyleEditor(isRestrictToColor);
        }
        else {
            this._editorClickHandler('None');
        }
    }
    _showCustomStyleEditor(isRestrictToColor) {
        if (isRestrictToColor) {
            const color = this._itemAdapter.getCustomColor();
            this.colorPicker.show(color ? color : 'rgba(255,255,255,1)');
        }
        else {
            const appearance = this._itemAdapter.getCustomAppearance();
            this.customizeAppearanceDialog.show(appearance);
        }
        return {};
    }
    _initialize({ isEmptyAllowed, isRange, isGradient, restrictToColor }) {
        this.title = external_ko_.pureComputed(() => this._itemAdapter.getLocalizedCaption());
        this.cssStyles = external_ko_.pureComputed(() => this._itemAdapter.getCssStyles());
        this.cssClasses = external_ko_.pureComputed(() => {
            const classes = this._itemAdapter.getCssClasses(isEmptyAllowed, isRange, isGradient);
            if (this._isSelected() && !isRange)
                classes.push('dx-state-selected');
            return classes.join(' ');
        });
        this.dataLabel = external_ko_.pureComputed(() => {
            const isColor = this._item instanceof dist_model.ColorStyleSettings || this._item instanceof dist_model.AppearanceSettings && restrictToColor;
            const isColorNone = this._item instanceof dist_model.ColorStyleSettings && this._item.predefinedColor() === index_metadata.emptyStyleType
                || this._item instanceof dist_model.AppearanceSettings && this._item.appearanceType() === index_metadata.emptyStyleType;
            if (isColorNone || !isColor) {
                return this._itemAdapter.getLabelText(isRange, isGradient, restrictToColor);
            }
            return '';
        });
        this.isRangeStop = external_ko_.pureComputed(() => isRange && isGradient && this._itemAdapter.getPredefinedStyle() !== index_metadata.emptyStyleType);
        this.clickHandler = isRange ? undefined : () => this.clickHandlerCore(restrictToColor);
    }
}
const _registerDxDashboardStyleSettingsEditorItem = () => {
    const componentName = 'dx-dashboard-style-settings-editor-item';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: ({ args }) => {
                return new StyleSettingsEditorItem(external_ko_.unwrap(args));
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(componentName)
    });
};

// EXTERNAL MODULE: ./dist/designer/currency-selector/_currency-selector.js
var _currency_selector = __webpack_require__(3680);
// EXTERNAL MODULE: ./dist/designer/properties-controller/_properties-controller.js
var _properties_controller = __webpack_require__(4838);
;// ./dist/designer/items/_dashboard-item-menu-popover.js




const createPopoverOptionsGetterFunction = (menuItem, dashboardItemMenu) => (rootContainer) => {
    const viewerBoundary = rootContainer.querySelector('.dx-dashboard-layout-container');
    const itemMenuElement = rootContainer.querySelector('.dx-dashboard-item-menu-container.dx-state-selected .dx-dashboard-item-menu .dx-dashboard-' + menuItem.menuItemId + '-options-button');
    const itemMenuItemVisible = external_ko_.observable(true);
    const getHeight = () => viewerBoundary.clientHeight;
    let repaintComponentFunction = null;
    let resizeObserver = null;
    let intersectionObserver = null;
    const popoverVisible = external_ko_.pureComputed(() => {
        return menuItem.detailVisible() && itemMenuItemVisible();
    });
    return {
        target: itemMenuElement,
        container: rootContainer,
        visible: popoverVisible,
        position: {
            my: (0,_knockout_utils/* safeComputed */.Tq)({ isLeft: dashboardItemMenu.isLeft }, args => args.isLeft ? 'right' : 'left'),
            at: (0,_knockout_utils/* safeComputed */.Tq)({ isLeft: dashboardItemMenu.isLeft }, args => args.isLeft ? 'left' : 'right'),
            boundary: viewerBoundary,
            collision: 'flipfit',
            boundaryOffset: '0, 0',
            offset: (0,_knockout_utils/* safeComputed */.Tq)({ isLeft: dashboardItemMenu.isLeft }, arg => arg.isLeft ? '+10, 0' : '-10, 0')
        },
        height: getHeight(),
        width: external_ko_.unwrap(menuItem.panelWidth) + 2,
        hoverStateEnabled: false,
        onShown: (options) => {
            (0,_jquery_helpers/* $unwrap */.I1)(options.component._$content).classList.add('dx-state-hover');
        },
        hideOnOutsideClick: false,
        animation: { enabled: false },
        onInitialized: (args) => {
            let popupComponent = args.component;
            let setPopupHeightDebounce = (0,_utils/* debounce */.sg)(() => {
                popupComponent.option('height', getHeight());
            }, 1);
            resizeObserver = new ResizeObserver(entries => entries[0] && setPopupHeightDebounce());
            resizeObserver.observe(viewerBoundary);
            intersectionObserver = new IntersectionObserver(entries => {
                const lastEntry = entries[entries.length - 1];
                lastEntry && itemMenuItemVisible(lastEntry.isIntersecting);
            }, { root: viewerBoundary, rootMargin: '-36px' });
            intersectionObserver.observe(itemMenuElement);
            repaintComponentFunction = (0,_utils/* debounce */.sg)(() => {
                if (!menuItem.isDisposing) {
                    popupComponent.repaint();
                }
            }, 1);
            dashboardItemMenu.layoutController.subscribeOnScroll(repaintComponentFunction);
            dashboardItemMenu.subscribeLayoutItemRepaintRequest(repaintComponentFunction);
        },
        onDisposing: () => {
            menuItem.isDisposing = true;
            resizeObserver && resizeObserver.unobserve(viewerBoundary);
            intersectionObserver && intersectionObserver.unobserve(itemMenuElement);
            dashboardItemMenu.layoutController.unsubscribeOnScroll(repaintComponentFunction);
            dashboardItemMenu.unsubscribeLayoutItemRepaintRequest(repaintComponentFunction);
            popoverVisible.dispose();
        },
        hideOnParentScroll: false,
        wrapperAttr: (0,_knockout_utils/* safeComputed */.Tq)({ isLeft: dashboardItemMenu.isLeft }, args => {
            const classes = [
                'dx-dashboard-property-grid',
                'dx-disappearing-overlay',
                'dx-dashboard-context-menu-container',
                'dx-menu-position-' + (args.isLeft ? 'left' : 'right')
            ];
            if (menuItem.popoverClass)
                classes.push(menuItem.popoverClass);
            return {
                class: classes.join(' ')
            };
        })
    };
};

// EXTERNAL MODULE: ./dist/designer/items/_section-descriptors.js
var _section_descriptors = __webpack_require__(3374);
;// ./dist/designer/items/_dashboard-item-menu.js












var DashboardItemMenuSizes = {
    BindingPanelPanelWidth: (collapsed = false) => {
        if (collapsed) {
            return (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()) ? 300 : 220;
        }
        return (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()) ? 600 : 495;
    },
    OptionsPanelWidth: (content = false) => {
        if ((0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)())) {
            return content ? 300 : 298;
        }
        return 274;
    }
};
const createContextPopupMenuViewModel = (menuItem, dashboardItemMenu) => {
    return {
        menuButton: {
            icon: menuItem.icon,
            hint: (0,_default/* getLocalizationById */.Mu)(menuItem.hint || menuItem.title),
            cssClass: (0,_knockout_utils/* safeComputed */.Tq)({ detailVisible: menuItem.detailVisible }, args => {
                const classes = ['dx-dashboard-' + menuItem.menuItemId + '-options-button'];
                if (args.detailVisible)
                    classes.push('dx-state-selected');
                return classes.join(' ');
            }),
            clickHandler: () => dashboardItemMenu.menuItemClick(menuItem && menuItem.menuItemId),
        },
        menuPropertiesPanel: {
            title: (0,_default/* getLocalizationById */.Mu)(menuItem.title),
            panelContent: {
                view: menuItem.templateName,
                viewModel: {
                    title: (0,_default/* getLocalizationById */.Mu)(menuItem.title || menuItem.hint),
                    data: menuItem.customData,
                    isSecondaryPanelVisible: dashboardItemMenu.isSecondaryPanelVisible,
                    hideBindingPanel: dashboardItemMenu.hideBindingPanel,
                    hideBindingProperties: dashboardItemMenu.hideBindingProperties,
                    detailVisible: menuItem.detailVisible
                }
            },
            cssClasses: external_ko_.pureComputed(() => {
                return dashboardItemMenu.selectedItemSurface
                    && dashboardItemMenu.selectedItemSurface.propertiesController.mainModel() ? 'dx-visible-properties' : '';
            }),
            style: dashboardItemMenu.propertiesPanelStyle,
            detailVisible: menuItem.detailVisible,
            hidePanelAction: dashboardItemMenu.hideBindingPanel,
        },
        getPopoverOptions: createPopoverOptionsGetterFunction(menuItem, dashboardItemMenu)
    };
};
class DashboardItemMenu extends disposable_object/* DisposableObject */.I {
    constructor(layoutController, layoutItem, _positionCalculator, propertiesController, itemSurface) {
        super();
        this.layoutController = layoutController;
        this.layoutItem = layoutItem;
        this._positionCalculator = _positionCalculator;
        this.propertiesController = propertiesController;
        this.menuItemClick = (menuItemId) => {
            this.contextMenuItems().forEach(contextMenuItem => {
                if (contextMenuItem.menuItemId !== menuItemId) {
                    contextMenuItem.detailVisible(false);
                }
                else {
                    this.propertiesController.mainModel(null);
                    if (contextMenuItem.detailVisible.peek()) {
                        contextMenuItem.detailVisible(false);
                    }
                    else {
                        contextMenuItem.showMenu && contextMenuItem.showMenu();
                        contextMenuItem.detailVisible(true);
                    }
                }
            });
        };
        this.contextMenuItems = external_ko_.observableArray();
        this.contextMenuItemViewModels = (0,_knockout_utils/* safeComputed */.Tq)({ contextMenuItems: this.contextMenuItems }, (args) => args.contextMenuItems
            .sort((a, b) => (a.index || Number.MAX_VALUE) - (b.index || Number.MAX_VALUE))
            .map(item => createContextPopupMenuViewModel(item, this)));
        this.menuItemDetailVisible = external_ko_.pureComputed(() => this.contextMenuItems().some(contextMenuItem => contextMenuItem.detailVisible()));
        this.verticalPosition = external_ko_.observable();
        this.isLeft = external_ko_.observable();
        this.isCollapsed = external_ko_.observable(false);
        this.isCollapsedStateToggleVisible = external_ko_.observable(false);
        this._recalculatePosition = () => {
            if (!this._positionCalculator.element)
                return;
            this.verticalPosition(this._positionCalculator.calculateVPosition());
            this.isLeft(this._positionCalculator.calculateIsLeft());
        };
        this._recalculatePositionDebounced = (0,_utils/* debounce */.sg)(this._recalculatePosition, 1);
        this.hideBindingProperties = () => {
            if (this.propertiesController.secondaryModel() && this.isSecondaryPanelVisible()) {
                this.isSecondaryPanelVisible(false);
            }
            else {
                this.propertiesController.mainModel(null);
                if (this.contextMenuItems().filter(mi => mi.detailVisible() && mi.menuItemId !== 'item-binding-panel')[0]) {
                    this.hideBindingPanel();
                }
            }
        };
        this.hideBindingPanel = () => {
            this.propertiesController.secondaryModel(null);
            this.propertiesController.mainModel(null);
            this.menuItemClick(null);
        };
        this.isSecondaryPanelVisible = external_ko_.observable(false);
        this.__secondaryPanelVisibleTimeout = 0;
        this._repaintHandlers = [];
        this.selectedItemSurface = itemSurface;
        external_ko_.computed(() => {
            layoutController.itemInteractionInProgress(this.menuItemDetailVisible());
        });
        this._disposables.push(this.isSecondaryPanelVisible.subscribe((visibility) => {
            if (!visibility) {
                this.__secondaryPanelVisibleTimeout = window.setTimeout(() => {
                    this.propertiesController.secondaryModel(undefined);
                    this.__secondaryPanelVisibleTimeout = 0;
                }, 350);
            }
        }));
        this._disposables.push(this.propertiesController.secondaryModel.subscribe((model) => {
            this.isSecondaryPanelVisible(!!model);
            if (this.__secondaryPanelVisibleTimeout)
                clearTimeout(this.__secondaryPanelVisibleTimeout);
        }));
        this.propertiesPanelStyle = external_ko_.computed(() => {
            var visiblePanel = this.contextMenuItems().filter(contextMenuItem => contextMenuItem.detailVisible())[0], mainModel = this.propertiesController.mainModel();
            if (visiblePanel) {
                if (visiblePanel.menuItemId === 'item-binding-panel') {
                    return { width: DashboardItemMenuSizes.BindingPanelPanelWidth(!mainModel).toString() + 'px', marginLeft: '' };
                }
            }
            return { width: DashboardItemMenuSizes.OptionsPanelWidth(true).toString() + 'px', marginLeft: '0px' };
        });
        this._disposables.push(this.propertiesPanelStyle);
        this.subscribeLayoutItemRepaintRequest(this._recalculatePositionDebounced);
        this.toDispose(this.contextMenuItemViewModels.subscribe(() => this._recalculatePositionDebounced()));
        this.toDispose(this.layoutItem.isSelected.subscribe(() => this._recalculatePositionDebounced()));
        this.toDispose(this.isCollapsed.subscribe(() => this._recalculatePositionDebounced()));
        this.isLeft(this._positionCalculator.calculateIsLeft());
    }
    createViewModel() {
        return {
            isCollapsedStateToggleVisible: (0,_knockout_utils/* safeComputed */.Tq)({ isLeft: this.isLeft }, args => args.isLeft && this._positionCalculator.calculateIsLeftAndInside()),
            isCollapsed: this.isCollapsed,
            collapsedStateToggle: () => this.isCollapsed(!this.isCollapsed()),
            menuContainerCssClasses: (0,_knockout_utils/* safeComputed */.Tq)({
                isLeft: this.isLeft,
                isSelected: this.layoutItem.isSelected,
                verticalPosition: this.verticalPosition,
                isCollapsed: this.isCollapsed,
            }, args => {
                const classes = [];
                const isInnerMenu = args.isLeft && this._positionCalculator.calculateIsLeftAndInside();
                if (isInnerMenu) {
                    classes.push('dx-position-left-inside');
                }
                else if (args.isLeft) {
                    classes.push('dx-position-left');
                }
                args.isSelected && classes.push('dx-state-selected');
                args.verticalPosition === 'top' && classes.push('dx-dashboard-item-top');
                if (args.verticalPosition === 'bottom') {
                    args.isCollapsed && isInnerMenu ? classes.push('dx-dashboard-item-top') : classes.push('dx-dashboard-item-bottom');
                }
                return classes.join(' ');
            }),
            menuItemDetailVisible: this.menuItemDetailVisible,
            contextMenuItemViewModels: this.contextMenuItemViewModels,
            deleteCurrentItemAction: () => this.layoutController._selectedLayoutItem().delete(),
            deleteCurrentItemActionCaption: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Remove'),
        };
    }
    subscribeLayoutItemRepaintRequest(handler) {
        this.layoutItem.repaintCallbacks.add(handler);
        this._repaintHandlers.push(handler);
    }
    unsubscribeLayoutItemRepaintRequest(handler) {
        this.layoutItem.repaintCallbacks.remove(handler);
        this._repaintHandlers.splice(this._repaintHandlers.indexOf(handler), 1);
    }
    dispose() {
        super.dispose();
        this._repaintHandlers.forEach(handler => this.layoutItem.repaintCallbacks.remove(handler));
        this._repaintHandlers = [];
        this.selectedItemSurface && this.selectedItemSurface.dispose();
        if (this._positionCalculator) {
            this._positionCalculator.element = null;
            this._positionCalculator.layoutContainer = null;
        }
    }
}
const _registerDxDashboardItemMenu = () => {
    const componentName = 'dx-dashboard-item-menu';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function ({ layoutController, layoutItem, itemMenuViewModelContainer, notificationController }, componentInfo) {
                let positionCalculator = new ItemMenuPositionCalculator(componentInfo.element);
                let itemSurface = _section_descriptors/* surfaceItemsFactory */.ce.createSurfaceItem(layoutItem.viewModel.item(), layoutController.dashboardModel, layoutController.dataSourceBrowser, notificationController, layoutController.findExtension);
                let propertiesController = new _properties_controller/* PropertiesController */.C();
                itemSurface.propertiesController = propertiesController;
                let itemMenu = new DashboardItemMenu(layoutController, layoutItem, positionCalculator, propertiesController, itemSurface);
                itemMenuViewModelContainer(itemMenu);
                external_ko_.utils.domNodeDisposal.addDisposeCallback(componentInfo.element, function () {
                    itemMenu.dispose();
                    propertiesController.dispose();
                    if (positionCalculator) {
                        positionCalculator.element = null;
                        positionCalculator.layoutContainer = null;
                    }
                    itemMenuViewModelContainer(undefined);
                });
                return itemMenu.createViewModel();
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(componentName)
    });
};
class ItemMenuPositionCalculator {
    _isValidElement() {
        return this.element?.parentElement && this.layoutContainer;
    }
    constructor(element) {
        this.element = element;
        this.layoutContainer = (0,_jquery_helpers/* closest */.kp)(this.element, '.dx-dashboard-layout-container');
    }
    calculateIsLeft() {
        if (!this._isValidElement()) {
            return false;
        }
        var elementParentBounds = this.element.parentElement.getBoundingClientRect();
        var rootBounds = this.layoutContainer.getBoundingClientRect();
        var left = elementParentBounds.left, right = elementParentBounds.right, rootLeft = rootBounds.left, rootRight = rootBounds.right;
        return (rootRight - right < DashboardItemMenuSizes.BindingPanelPanelWidth() &&
            left - rootLeft > DashboardItemMenuSizes.BindingPanelPanelWidth()) || (rootRight - right < 50);
    }
    calculateVPosition() {
        let itemMenuElement = this.element.querySelector('.dx-dashboard-item-menu');
        let layoutItem = (0,_jquery_helpers/* closest */.kp)(this.element, '.dx-layout-item-wrapper');
        if (!this._isValidElement() || !layoutItem || !itemMenuElement) {
            return 'center';
        }
        var layoutItemBounds = layoutItem.getBoundingClientRect();
        var layoutRootBounds = this.layoutContainer.getBoundingClientRect();
        var itemMenuBounds = itemMenuElement.getBoundingClientRect();
        if (itemMenuBounds.height <= layoutItemBounds.height) {
            return 'center';
        }
        else {
            if (layoutItemBounds.top + layoutItemBounds.height - itemMenuBounds.height < layoutRootBounds.top) {
                return 'top';
            }
            else {
                return 'bottom';
            }
        }
    }
    calculateIsLeftAndInside() {
        if (!this._isValidElement()) {
            return false;
        }
        const elementParentBounds = this.element.parentElement.getBoundingClientRect();
        const layoutRootBounds = this.layoutContainer.getBoundingClientRect();
        return elementParentBounds.left - 50 < layoutRootBounds.left;
    }
}
var DISAPPEARING_EVENT_NAMESPACE = '.disappearing';
var findContainer = (element) => {
    return (0,_jquery_helpers/* closest */.kp)(element, '.dx-layout-item-wrapper').querySelector('.dx-layout-item-container');
};
external_ko_.bindingHandlers['menuVisibilitySubscription'] = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            (0,external_DevExpress_events_namespaceObject.off)(findContainer(element), DISAPPEARING_EVENT_NAMESPACE);
        });
    },
    update: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        let toggleClass = (state) => {
            const cssClass = 'dx-target-widget-hovered';
            let nodes = document.querySelectorAll('.dx-disappearing-overlay>.dx-overlay-content');
            for (let i = 0; i < nodes.length; i++) {
                if (state) {
                    nodes[i].classList.add(cssClass);
                }
                else {
                    nodes[i].classList.remove(cssClass);
                }
            }
        };
        valueAccessor().visible.subscribe((val) => {
            let container = findContainer(element);
            if (val) {
                (0,external_DevExpress_events_namespaceObject.on)(container, 'mouseenter' + DISAPPEARING_EVENT_NAMESPACE, () => { toggleClass(true); });
                (0,external_DevExpress_events_namespaceObject.on)(container, 'mouseleave' + DISAPPEARING_EVENT_NAMESPACE, () => { toggleClass(false); });
            }
            else {
                (0,external_DevExpress_events_namespaceObject.off)(container, DISAPPEARING_EVENT_NAMESPACE);
                toggleClass(false);
            }
        });
    }
};

// EXTERNAL MODULE: ./dist/designer/_display-name-provider.js
var _display_name_provider = __webpack_require__(7687);
// EXTERNAL MODULE: ./dist/designer/properties-controller/_accordion-tab.js
var _accordion_tab = __webpack_require__(110);
// EXTERNAL MODULE: ./dist/designer/items/binding-details/_data-item-surface.js
var _data_item_surface = __webpack_require__(1683);
;// ./dist/designer/items/binding-details/_data-item-container-surface.js
var _data_item_container_surface_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};








class DataItemContainerSurface {
    constructor(model, detailsPropertiesComposer, itemSurface, _removeDataItemContainer) {
        this.detailsPropertiesComposer = detailsPropertiesComposer;
        this.itemSurface = itemSurface;
        this._removeDataItemContainer = _removeDataItemContainer;
        this._disposables = [];
        this.propertiesTabs = external_ko_.observableArray([]);
        this.selectItem = (model, binding) => {
            if (model[binding.propertyName]._specifics.isAttribute &&
                this.model()._getBindingModel().some(bindingProp => this.model()[bindingProp.propertyName] !== model[binding.propertyName] && !this.model()[bindingProp.propertyName].dataItem()))
                return;
            var dataItemSurface = new _data_item_surface/* DataItemSurface */.z(model[binding.propertyName], binding, this.itemSurface.dashboardItem, this.itemSurface._dataSourceBrowser, this.itemSurface.propertiesController, false, binding.fieldConstraint);
            dataItemSurface.newItemCreated.add((link, newField) => {
                if (!this.model()._getBindingModel().some(bindingProp => (this.model()[bindingProp.propertyName] !== link) && this.model()[bindingProp.propertyName].dataItem())) {
                    this.dataFieldChoosed.fire(newField, link);
                }
            });
            this.itemSurface.propertiesController.secondaryModel({
                displayText: binding.emptyPlaceholder,
                data: dataItemSurface
            });
        };
        this.model = external_ko_.observable();
        this.containerType = external_ko_.observable();
        this.singleItemSurface = external_ko_.observable();
        this.dataFieldChoosed = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this.removeDataItem = (dataItemLink) => {
            this._removeDataItem(dataItemLink);
        };
        this.dataItemDisplayNameProvider = (dataItem) => {
            return (0,_display_name_provider/* getDataItemDisplayName */.F)(this.itemSurface._dataSourceBrowser, this.itemSurface.dashboardItem, dataItem);
        };
        if (model.itemType) {
            this.containerType(model._getContainerType());
        }
        var updatePropertiesTabs = (otherTabs) => {
            var promises = [];
            promises.push(this.itemSurface._dataSourceBrowser.getDataFieldsArray(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), '', _data_source_browser/* isNonCollectionDataField */.mG));
            this.model()._getBindingModel().forEach(b => {
                this.model()[b.propertyName].uniqueName() && promises.push(this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), this.model()[b.propertyName].dataItem().dataMember()));
            });
            (0,_jquery_helpers/* jqueryWhenArray */.wj)(promises).done((...fields) => {
                otherTabs = otherTabs.concat(this.detailsPropertiesComposer.composeTabs(this.model(), {
                    dashboardItem: this.itemSurface.dashboardItem,
                    containerType: this.containerType,
                    dataSourceBrowser: this.itemSurface._dataSourceBrowser
                }));
                this.propertiesTabs(otherTabs);
            });
        };
        this._disposables.push(this.model.subscribe(newModel => {
            if (!!this.singleItemSurface.peek()) {
                this.singleItemSurface.peek().dispose();
                this.singleItemSurface(null);
            }
            if (newModel._getBindingModel().length === 1) {
                var binding = newModel._getBindingModel()[0];
                var dataItemSurface = new _data_item_surface/* DataItemSurface */.z(newModel[binding.propertyName], binding, this.itemSurface.dashboardItem, this.itemSurface._dataSourceBrowser, this.itemSurface.propertiesController, false, binding.fieldConstraint);
                dataItemSurface.newItemCreated.add((link, newField) => {
                    this.dataFieldChoosed.fire(newField, link);
                });
                this.singleItemSurface(dataItemSurface);
                this._disposables.push(dataItemSurface.propertiesTabs.subscribe(newTabs => {
                    updatePropertiesTabs(dataItemSurface.propertiesTabs());
                }));
                updatePropertiesTabs(dataItemSurface.propertiesTabs());
            }
            else if (newModel._getBindingModel().length > 1) {
                updatePropertiesTabs([new _accordion_tab/* ItemGroupAccordionTab */.gL(_accordion_tab/* KnownTabs */.iq.DataItemsGroup, 'Data Items', this)]);
            }
            else {
                updatePropertiesTabs([]);
            }
        }));
        this.model(model);
        this._disposables.push({
            dispose: () => {
                this.dataFieldChoosed.empty();
            }
        });
    }
    _removeDataItem(dataItemLink) {
        var dataItem = dataItemLink.dataItem();
        if (!!dataItem) {
            dataItemLink.uniqueName(undefined);
            this.itemSurface.dashboardItem._removeDataItem(dataItem);
            if (!this.model()._getBindingModel().some(b => !!this.model()[b.propertyName].dataItem() && !this.model()[b.propertyName]._specifics.isAttribute)) {
                this.itemSurface.propertiesController.mainModel(null);
                this._removeDataItemContainer(this.model());
            }
        }
    }
    dataItemErrorFactory(dataItem) {
        var dataItemLinkErrorState = external_ko_.observable(false);
        this._disposables.push(external_ko_.computed(() => {
            if (!!dataItem && dataItem.dataMember()) {
                this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), dataItem.dataMember()).done((result) => {
                    dataItemLinkErrorState(!result);
                });
            }
        }));
        return dataItemLinkErrorState;
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}
_data_item_container_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DataItemContainerSurface.prototype, "_removeDataItem", null);
const _registerDxDashboardGroupDataItems = () => {
    const componentName = 'dx-dashboard-group-data-items';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: (params) => {
                var model = external_ko_.unwrap(params.model);
                var viewModel = {
                    dataItems: model._getBindingModel().map(binding => {
                        return {
                            binding: binding,
                            item: model[binding.propertyName],
                            placeholder: binding.emptyPlaceholder,
                            removeDataItem: (item) => {
                                params.holder.removeDataItem && params.holder.removeDataItem(item);
                            },
                            dataItemDisplayNameProvider: (dataItem) => {
                                return params.holder.dataItemDisplayNameProvider && params.holder.dataItemDisplayNameProvider(dataItem) || '';
                            },
                            click: () => {
                                params.holder.selectItem && params.holder.selectItem(model, binding) || '';
                            }
                        };
                    }),
                    holder: params.holder
                };
                return viewModel;
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(componentName)
    });
};

;// ./dist/designer/items/sections/_data-item-link.js



class DataItemLinkComponent {
    constructor(surface, $element, propertiesController, surfaceItemsFactory) {
        this.surface = surface;
        this.$element = $element;
        this.propertiesController = propertiesController;
        this.surfaceItemsFactory = surfaceItemsFactory;
    }
}
const _registerDxDashboardDataItemLink = () => {
    const componentName = 'dx-dashboard-data-item-link';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                if (params.propertiesController) {
                    params.selected = external_ko_.computed(() => (params.propertiesController.mainModel() && params.propertiesController.mainModel().data && external_ko_.unwrap(params.propertiesController.mainModel().data.model)) === (params.selectionTarget ? external_ko_.unwrap(params.selectionTarget) : external_ko_.unwrap(params.item)));
                }
                if (params.isEmpty === undefined) {
                    params.isEmpty = external_ko_.computed(() => {
                        return !(params.item && params.item.dataItem && params.item.dataItem() && params.item.dataItem().dataMember());
                    });
                }
                params.placeholder = (0,_default/* getLocalizationById */.Mu)(params.placeholder);
                params.selectedPlaceholder = (0,_default/* getLocalizationById */.Mu)(params.selectedPlaceholder);
                return params;
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(componentName)
    });
};

// EXTERNAL MODULE: ./dist/model/data-sources/_data-field.js
var _data_field = __webpack_require__(4270);
// EXTERNAL MODULE: ./dist/model/data-sources/ef-data-source.js
var ef_data_source = __webpack_require__(3052);
// EXTERNAL MODULE: ./dist/model/data-sources/federation-data-source.js
var federation_data_source = __webpack_require__(2878);
// EXTERNAL MODULE: ./dist/model/data-sources/metadata/_calculated-field.js
var _calculated_field = __webpack_require__(7582);
// EXTERNAL MODULE: ./dist/model/data-sources/mongodb-data-source.js + 1 modules
var mongodb_data_source = __webpack_require__(2896);
// EXTERNAL MODULE: ./dist/model/data-sources/sql-data-source.js
var sql_data_source = __webpack_require__(5709);
// EXTERNAL MODULE: ./dist/model/internal/_helper-classes.js
var _helper_classes = __webpack_require__(5792);
// EXTERNAL MODULE: ./dist/designer/expression-editor/_expression-editor-display-name-provider.js
var _expression_editor_display_name_provider = __webpack_require__(1339);
// EXTERNAL MODULE: ./dist/designer/expression-editor/_expression-editor-item-provider.js
var _expression_editor_item_provider = __webpack_require__(8928);
;// ./dist/designer/calc-field-editor/_calc-field-editor.js














class CalcFieldEditor {
    constructor(dataSourceBrowser) {
        this.dataSourceBrowser = dataSourceBrowser;
        this.viewModel = external_ko_.observable(null);
    }
    canAddCalculatedField(dataSourceName) {
        var dataSource = this.dataSourceBrowser.findDataSource(dataSourceName);
        if (dataSource && dataSource.hasCalculatedFields) {
            if (dataSource instanceof sql_data_source/* SqlDataSource */.w) {
                return dataSource.queries().length > 0;
            }
            else if (dataSource instanceof ef_data_source/* EFDataSource */.f) {
                return dataSource._tables().length > 0;
            }
            else if (dataSource instanceof federation_data_source/* FederationDataSource */.RC) {
                return dataSource.queries().length > 0;
            }
            else if (dataSource instanceof mongodb_data_source/* MongoDBDataSource */.u) {
                return dataSource.queries().length > 0;
            }
            return !!dataSource;
        }
        else {
            return false;
        }
    }
    showAddDialog(dataSourceName, dataMemberName) {
        var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        if (this.canAddCalculatedField) {
            var dataSourceInstance = this.dataSourceBrowser.findDataSource(dataSourceName);
            var newCalculatedFieldName = _helper_classes/* NameGenerator */.$A.generateName((0,_default/* getLocalizationById */.Mu)('DashboardStringId.NewCalculatedFieldNamePrefix') + ' ', dataSourceInstance.calculatedFields(), 'name', 1);
            var newCalculatedField = new calculated_field/* CalculatedField */.F({ '@Name': newCalculatedFieldName, '@DataMember': dataMemberName, '@DataType': 'Auto' });
            this.show(newCalculatedField, dataSourceName, dataMemberName).then(calcField => def.resolve(calcField), calcField => def.reject(calcField));
        }
        else {
            def.reject();
        }
        return def.promise();
    }
    showEditDialog(calculatedField, dataSourceName, dataMemberName) {
        return this.show(calculatedField, dataSourceName, dataMemberName);
    }
    removeCalcField(calculatedField, dataSourceName) {
        var dataSourceInstance = this.dataSourceBrowser.findDataSource(dataSourceName);
        var dataMemberName = calculatedField.dataMember();
        var pathInCache = [dataSourceName].concat(dataMemberName ? [dataMemberName] : []);
        this.dataSourceBrowser.clearFieldsCache(pathInCache.join('.'));
        dataSourceInstance.calculatedFields.remove(calculatedField);
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve(calculatedField).promise();
    }
    show(calculatedField, dataSourceName, dataMemberName) {
        var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        var pathInCache = [dataSourceName].concat(dataMemberName ? [dataMemberName] : []);
        this.viewModel(new CalcFieldEditorViewModel(calculatedField, this.dataSourceBrowser, dataSourceName, calcField => {
            let dsi = this.dataSourceBrowser.findDataSource(dataSourceName);
            if (dsi && dsi.calculatedFields.indexOf(calcField) === -1) {
                dsi.calculatedFields.push(calcField);
            }
            def.resolve(calcField);
        }, () => this.dataSourceBrowser.clearFieldsCache(pathInCache.join('.'))));
        return def.promise();
    }
}
class CalcFieldEditorViewModel {
    resizeAceEditor() {
        if (this.onResize())
            this.onResize()();
    }
    getKeyLocalizationPair(values) {
        return Object.keys(values).map(key => ({ value: key, displayValue: (0,_default/* getLocalizationById */.Mu)(values[key]) }));
    }
    constructor(calculatedField, dataSourceBrowser, dataSourceName, onSave, onBeforeSave) {
        this.toolbarItems = [];
        this.isCalcFieldNameValid = external_ko_.observable(true);
        this.popupVisible = external_ko_.observable(true);
        this.onResize = external_ko_.observable();
        var dataSource = dataSourceBrowser.findDataSource(dataSourceName);
        this.getInfo = () => {
            return [_base_metadata/* name */.UU, _calculated_field/* calculatedFieldType */.j, _calculated_field/* calcFieldExpressionEditable */.Oj];
        };
        this.nameValidationRules = [{
                type: 'required'
            }, {
                type: 'custom',
                validationCallback: (params) => {
                    var previousParams = false;
                    let dataSource = dataSourceBrowser.findDataSource(dataSourceName);
                    let dataMembers = [''];
                    if (dataSource instanceof sql_data_source/* SqlDataSource */.w) {
                        dataMembers = dataSource.queries().map(dm => dm.name());
                    }
                    else if (dataSource instanceof ef_data_source/* EFDataSource */.f) {
                        dataMembers = dataSource._tables().map(dm => dm.name());
                    }
                    else if (dataSource instanceof federation_data_source/* FederationDataSource */.RC) {
                        dataMembers = dataSource.queries().map(dm => dm.alias());
                    }
                    else if (dataSource instanceof mongodb_data_source/* MongoDBDataSource */.u) {
                        dataMembers = dataSource.queries().map(dm => dm._actualName());
                    }
                    let promises = dataMembers.map(dataMember => dataSourceBrowser.findDataField(dataSourceName, dataMember, params.value));
                    (0,_jquery_helpers/* jqueryWhen */.Rp)(...promises).done((...fields) => {
                        previousParams = true;
                        params.rule.isValid = fields.reduce((result, curField) => { return result && !curField; }, true);
                        params.validator.validate();
                    });
                    if (previousParams)
                        return params.rule.isValid;
                    return false;
                },
                message: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.CalculatedField.UniqueNameError')
            }];
        this.calculatedField = calculatedField;
        this.dataMember = external_ko_.observable(calculatedField.dataMember());
        this.fieldType = external_ko_.observable(calculatedField.fieldType());
        this.availableTypes = this.getKeyLocalizationPair(_calculated_field/* calculatedFieldType */.j.values);
        this.name = external_ko_.observable(calculatedField.name());
        this.expression = external_ko_.observable(calculatedField.expression());
        this.expressionEditable = {
            value: this.expression,
            path: external_ko_.observable(calculatedField.dataMember() ? [dataSourceName, calculatedField.dataMember()].join('.') : dataSourceName),
            fieldName: calculatedField.name,
            patchFieldName: (fieldPath) => (0,_data_source_browser/* patchCalcFieldPath */.xx)(dataSource, calculatedField, fieldPath),
            isValid: external_ko_.observable(true),
            customizeCategories: (sender, categories, dblclick) => {
                var treeList = categories[0].content.data.fields().treeListController;
                var putSelectionHandlerBase = treeList.putSelectionHandler;
                treeList.putSelectionHandler = (data, element) => {
                    if (!data.data.isList) {
                        putSelectionHandlerBase.call(treeList, data, element);
                    }
                };
            }
        };
        this.itemsProvider = new _expression_editor_item_provider/* ExpressionEditorItemsProvider */.v(dataSourceBrowser, dataSourceBrowser, dataSourceBrowser, dataSourceBrowser.parameters && dataSourceBrowser.parameters(), external_ko_.pureComputed(() => dataSourceName), calculatedField.dataMember);
        this.displayNameProvider = _expression_editor_display_name_provider/* ExpressionEditorDisplayNameProvider */.M.create(dataSourceBrowser, dataSourceBrowser, dataSourceName, calculatedField.dataMember());
        this.saveHandler = external_ko_.observable();
        var saveHandler = (sender) => {
            this.saveHandler()(() => {
                onBeforeSave && onBeforeSave();
                calculatedField.expression(this.expression());
                calculatedField.name(this.name());
                calculatedField.fieldType(this.fieldType());
                onSave && onSave(calculatedField);
                this.popupVisible(false);
            });
        };
        this.toolbarItems = [
            {
                toolbar: 'bottom', location: 'after', widget: 'dxButton', options: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DashboardMenuSave'),
                    onClick: saveHandler,
                    disabled: external_ko_.computed(() => !this.isCalcFieldNameValid()),
                    type: 'default'
                }
            },
            { toolbar: 'bottom', location: 'after', widget: 'dxButton', options: { text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Cancel'), onClick: () => this.popupVisible(false) } }
        ];
        this.popupVisible(true);
    }
}

// EXTERNAL MODULE: ./dist/designer/confirm-dialog/_confirm-dialog.js
var _confirm_dialog = __webpack_require__(8750);
;// ./dist/designer/ui-widgets/field-chooser/_field-chooser-surface.js













var commonSelectedFieldName;
var isListMode = external_ko_.observable(_utils/* LocalStorageHelper */.H$.getItem('dx-dashboard-field-chooser-is-list-mode') === 'true');
class FieldChooserItem {
    static getName(data) {
        return data.nodeType && data.nodeType() && data.nodeType().toLowerCase().indexOf('olap') !== -1 ? data.dataMember() : data.name();
    }
    constructor(data) {
        this.data = data;
    }
    get displayName() {
        return this.data.displayName();
    }
    get name() {
        return FieldChooserItem.getName(this.data);
    }
    get isHierarchy() {
        return this.data.nodeType && this.data.nodeType() === 'OlapHierarchy';
    }
    get isLeaf() {
        return this.data.isDataFieldNode();
    }
    get isGroup() {
        return !this.isLeaf && !this.isList;
    }
    get type() {
        return this.data.isDataFieldNode() ? this.data.fieldType() : '';
    }
    get normalizedType() {
        if (this.isList)
            return 'list';
        if (!this.isLeaf || this.type === undefined || this.data.nodeType && this.data.nodeType() === 'DataSource') {
            return '';
        }
        switch (this.type) {
            case 'Text':
                return 'string';
            case 'Integer':
                return 'integer';
            case 'Float':
            case 'Double':
            case 'Decimal':
                return 'float';
            case 'DateTime':
                return 'datetime';
            case 'Bool':
            case 'Boolean':
                return 'boolean';
        }
        return 'custom';
    }
    get isCalcField() {
        return this.data.nodeType && this.data.nodeType() === 'CalculatedDataField';
    }
    get isCorruptedCalcField() {
        return this.isCalcField && this.data.isCorruptedCalcField();
    }
    get isOlap() {
        return _data_field/* DataField */.J7.isOlap(this.data.dataMember());
    }
    get isOlapDimension() {
        return this.data.nodeType && this.data.nodeType() === 'OlapDimension';
    }
    get isOlapDimensionHierarchy() {
        return this.data.nodeType && this.data.nodeType() === 'OlapHierarchy';
    }
    get isOlapMeasure() {
        return this.data.nodeType && (this.data.nodeType() === 'OlapMeasure' || this.data.nodeType() === 'OlapMeasureFolder');
    }
    get isAggregate() {
        return this.data.isAggregate && this.data.isAggregate();
    }
    get isList() {
        return !(0,_data_source_browser/* isNonCollectionDataField */.mG)(this.data);
    }
    get disabled() {
        return this.isList;
    }
    get typeTooltip() {
        if (this.isList)
            return (0,_default/* getLocalizationById */.Mu)('DashboardStringId.MessageCollectionTypesNotSupported');
        if (this.isCorruptedCalcField)
            return (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.CalculatedField.Corrupted');
        return this.data.fieldType();
    }
}
class TreeViewFieldChooserItem extends FieldChooserItem {
    constructor(data, id, parentId) {
        super(data);
        this.data = data;
        this.id = id;
        this.parentId = parentId;
        this.selected = undefined;
    }
}
class FieldChooserList extends dist_model.DisposableObject {
    constructor(owner, path = '', pathParts, _selectedField) {
        super();
        this.owner = owner;
        this.path = path;
        this.pathParts = pathParts;
        this._selectedField = _selectedField;
        this._scrollAfterInitialize = false;
        this.itemClick = (args) => {
            var item = args.itemData;
            if (!item.isLeaf) {
                this.owner.slide(this, item);
            }
            else {
                commonSelectedFieldName = item.data && item.data.dataMember();
                if (!this._selectedField() || (this._selectedField().dataMember() !== item.data.dataMember()) || ((item.data['dataSourceName']))) {
                    this._selectedField(item.data);
                }
            }
        };
        this.onInitialized = (e) => {
            this.component = e.component;
        };
        this.onContentReady = () => {
            if (this._scrollAfterInitialize) {
                this.scrollToSelectedItem();
            }
        };
        this.items = external_ko_.observable();
        this.index = external_ko_.observable(0);
        this.ready = external_ko_.observable(false);
        this.selectedItemName = external_ko_.observable([undefined]);
        this.loading = external_ko_.observable(true);
        var fieldSelector = (field) => {
            if (field && ((field.dataMember() !== this.selectedItemName()[0]) || field['dataSourceName'])) {
                this.selectedItemName([field.dataMember()]);
            }
        };
        this.toDispose(_selectedField.subscribe(fieldSelector), {
            dispose: () => this.component = undefined
        });
        fieldSelector(_selectedField());
        this.reload();
        this.ancestors = pathParts && pathParts.length ? ['…'].concat(pathParts) : null;
    }
    reload() {
        this.items([]);
        var loadingTimeout = setTimeout(() => this.loading(true), 25);
        var { dataSource, dataMember, fieldPath } = this.owner.dataSourceBrowser.splitFullPath(this.path);
        this.owner.dataSourceBrowser.getDataFieldsArray(dataSource, dataMember, fieldPath, () => true).done(fields => {
            clearTimeout(loadingTimeout);
            this.items(fields
                .filter(field => !this.owner.filter || this.owner.filter(field))
                .map(field => new FieldChooserItem(field)));
            this.loading(false);
            this.scrollToSelectedItem();
        });
    }
    scrollToSelectedItem() {
        if (!this.component) {
            this._scrollAfterInitialize = true;
            return;
        }
        this._scrollAfterInitialize = false;
        var currentItemIndex = this.items().findIndex(x => x.name === this.selectedItemName()[0]);
        var pageIndex = Math.floor(currentItemIndex / 20);
        var _tryScrollToItem = () => {
            if (this.component['_dataSource'].pageIndex() >= pageIndex) {
                this.component.scrollToItem(currentItemIndex);
                return true;
            }
            return false;
        };
        if (_tryScrollToItem())
            return;
        for (var i = 0; i < pageIndex; i++) {
            this.component['_loadNextPage']().done(() => _tryScrollToItem());
        }
    }
}
class SliderController extends dist_model.DisposableObject {
    constructor(params) {
        super();
        this.lists = external_ko_.observableArray();
        this.isSliding = false;
        this.backClick = (pathItem, ancestors) => {
            if (!this.isSliding) {
                this.isSliding = true;
                var pathIndex = ancestors.length - 1 - ancestors.indexOf(pathItem);
                this.lists().forEach(list => list.index(list.index() + pathIndex));
                setTimeout(() => {
                    var removedLists = this.lists.splice(this.lists().length - pathIndex);
                    removedLists.forEach(x => x.dispose());
                    this.isSliding = false;
                }, FieldChooserController.TRANSITION_TIME);
            }
        };
        this.rootPath = params.startPath;
        this.dataSourceBrowser = params.dataSourceBrowser;
        this.filter = params.filter;
        this.selectedField = params.selectedField;
        this.lists([new FieldChooserList(this, this.rootPath(), [], this.selectedField)]);
        this.lists()[0].ready(true);
        this.toDispose({ dispose: () => this.lists().forEach(x => x.dispose()) });
    }
    slide(list, item) {
        if (!this.isSliding) {
            this.isSliding = true;
            var newList = new FieldChooserList(this, list.path === '' ? item.name : list.path + '.' + item.name, list.pathParts.concat([item.name]), this.selectedField);
            newList.index(1);
            this.lists.push(newList);
            setTimeout(() => {
                newList.ready(true);
                this.lists().forEach(list => list.index(list.index() - 1));
                setTimeout(() => {
                    this.isSliding = false;
                }, FieldChooserController.TRANSITION_TIME);
            }, 1);
        }
    }
}
SliderController.TRANSITION_TIME = 310;
class FieldChooserController extends SliderController {
    get dataSourceName() {
        var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(this.rootPath());
        return dataSource;
    }
    get canAddCalculatedField() {
        return this.calcFieldEditor.canAddCalculatedField(this.dataSourceName);
    }
    _navigateToSelection(selectedFieldName) {
        if (!selectedFieldName) {
            return;
        }
        var pathComponents = (this.rootPath() || '').split('.');
        var fieldChooserConstraint = (field) => { return !this.filter || this.filter(field); };
        this.dataSourceBrowser.findPathToFieldInTree(pathComponents.shift(), pathComponents.join('.'), selectedFieldName, fieldChooserConstraint)
            .done(fieldPath => {
            if (this.isListMode()) {
                if (fieldPath) {
                    if (this.lists().length === 1) {
                        this.lists()[0].ready(false);
                        var selectionList = fieldPath.split('.');
                        var currentPath = this.rootPath(), currentPathParts = [];
                        selectionList.forEach((pathItem, index) => {
                            currentPath = currentPath + '.' + pathItem;
                            if (this.dataSourceBrowser.isFolder(currentPath)) {
                                currentPathParts = currentPathParts.concat(pathItem);
                                var newList = new FieldChooserList(this, currentPath, currentPathParts, this.selectedField);
                                newList.index(index + 1);
                                this.lists.push(newList);
                            }
                        });
                    }
                    this.isSliding = true;
                    this.lists().forEach((list, index) => list.index(index - this.lists().length + 1));
                    setTimeout(() => {
                        this.lists().forEach(list => list.ready(true));
                        this.isSliding = false;
                    }, 1);
                }
                else {
                    this.isSliding = true;
                    this.lists().forEach((list, index) => list.index(index));
                    setTimeout(() => {
                        this.isSliding = false;
                        this.lists([this.lists()[0]]);
                        this.lists().forEach(list => list.ready(true));
                    }, SliderController.TRANSITION_TIME);
                }
            }
            else {
                this.treeViewInstanceResolver.then(treeViewInstance => {
                    if (fieldPath) {
                        var keys = fieldPath.split('.');
                        var nextNodeKey = this.rootPath(), num = 1;
                        while (keys.length) {
                            var keyparts = keys.splice(0, num);
                            var key = keyparts.join('.');
                            num++;
                            nextNodeKey = nextNodeKey + '.' + key;
                            treeViewInstance.expandItem(nextNodeKey);
                        }
                    }
                });
            }
        });
    }
    constructor(params) {
        super(params);
        this.addCalcField = () => {
            var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(this.rootPath());
            this.calcFieldEditor
                .showAddDialog(dataSource, dataMember)
                .then(cf => this.onCalcFieldSaveHandler(cf));
        };
        this.editCalcField = () => {
            var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(this.rootPath());
            var calcField = this.getCurrentCalcField();
            this.calcFieldEditor
                .showEditDialog(calcField, dataSource, dataMember)
                .then(cf => this.onCalcFieldSaveHandler(cf));
        };
        this.removeCalcField = () => {
            var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(this.rootPath());
            var calcField = this.getCurrentCalcField();
            this.calcFieldEditor
                .removeCalcField(calcField, dataSource)
                .then(cf => this.onCalcFieldSaveHandler(cf));
        };
        this._inappropriateCalcFieldConfirmation = new _confirm_dialog/* ConfirmDialogViewModel */.b();
        this.onCalcFieldSaveHandler = (calcField) => {
            var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(this.rootPath());
            let updateUI = () => {
                if (this.isListMode.peek()) {
                    let list = this.lists()[0];
                    list.reload();
                }
                else {
                    this.treeViewInstanceResolver.then(treeViewInstance => treeViewInstance.option('dataSource', treeViewInstance.option('dataSource')));
                }
            };
            updateUI();
            return this.dataSourceBrowser
                .findDataField(dataSource, dataMember, calcField.name())
                .then(field => {
                let deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                if (!this.filter || this.filter(field)) {
                    this.selectedField(field);
                    this._navigateToSelection(field.dataMember());
                    deferred.resolve();
                }
                else {
                    this._inappropriateCalcFieldConfirmation
                        .confirm((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.Warning'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.UnsupportedCalculatedField'), (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ButtonOK'))
                        .done(() => deferred.resolve({}))
                        .fail(() => deferred.reject());
                }
                return deferred.promise();
            })
                .then(updateUI);
        };
        this.getCurrentCalcField = () => {
            if (!this.selectedField())
                return null;
            var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(this.rootPath());
            var dataSourceInstance = this.dataSourceBrowser.findDataSource(dataSource);
            if (!dataSourceInstance.hasCalculatedFields)
                return null;
            return dataSourceInstance.calculatedFields().filter(cf => cf.name() == this.selectedField().name())[0];
        };
        this.isCalcFieldSelected = external_ko_.pureComputed(() => {
            return this.selectedField() && this.selectedField().nodeType && this.selectedField().nodeType() === 'CalculatedDataField';
        });
        this.isSearchMode = external_ko_.observable(false);
        this.searchString = external_ko_.observable().extend({ throttle: 300 });
        this.searchResults = external_ko_.observableArray();
        this.hasSearchResults = external_ko_.observable(false);
        this.searchButtonClick = (_, ev) => {
            var newValue = !this.isSearchMode();
            this.isSearchMode(newValue);
            if (newValue) {
                let textBoxContainer = ev.currentTarget.parentElement.parentElement.querySelector('.dx-textbox');
                let textBox = external_DevExpress_ui_dxTextBox_default().getInstance(textBoxContainer);
                setTimeout(() => {
                    textBox.focus();
                    textBox.reset();
                }, 100);
            }
            else {
                this.searchString(null);
            }
        };
        this.selectViaSearchResults = (data) => {
            var searchResultItem = data.itemData;
            if ((searchResultItem.item.data.dataMember != null) &&
                (!this.selectedField() || (searchResultItem.item.data.dataMember() !== this.selectedField().dataMember()))) {
                this.selectedField(searchResultItem.item.data);
            }
        };
        this.selectedSearchResult = external_ko_.computed(() => {
            return this.searchResults().filter(res => res.item.data.dataMember && this.selectedField() && res.item.data.dataMember() === this.selectedField().dataMember())[0];
        });
        this.isListMode = isListMode;
        this.setListMode = () => {
            isListMode(true);
            _utils/* LocalStorageHelper */.H$.setItem('dx-dashboard-field-chooser-is-list-mode', 'true');
            this.lists().forEach((list, index) => list.index.notifySubscribers());
        };
        this.setTreeMode = () => {
            isListMode(false);
            _utils/* LocalStorageHelper */.H$.setItem('dx-dashboard-field-chooser-is-list-mode', 'false');
        };
        this.hasGroups = external_ko_.computed(() => { return !this.lists()[0].items().every(item => item.isLeaf); });
        this.treeViewInstanceResolver = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        var selectedFieldName = this.selectedField() && this.selectedField().dataMember() || commonSelectedFieldName;
        this._navigateToSelection(selectedFieldName);
        if (!this.selectedField()) {
            var navigationSubscription = this.selectedField.subscribe(newSelection => {
                if (newSelection) {
                    this._navigateToSelection(newSelection.dataMember());
                    navigationSubscription.dispose();
                }
            });
        }
        this.searchString.subscribe(searchFor => {
            this.searchResults([]);
            this.hasSearchResults(false);
            if (!!searchFor) {
                this.dataSourceBrowser.fuzzyFindFields(this.rootPath(), searchFor).done(res => {
                    this.searchResults(res
                        .filter(item => item.field.isDataFieldNode() && (!this.filter || this.filter(item.field)))
                        .map(item => ({
                        path: this.dataSourceBrowser.splitFullPath(item.path).fieldPath,
                        item: new FieldChooserItem(item.field)
                    })));
                    this.hasSearchResults(true);
                });
            }
        });
        external_ko_.computed(() => {
            if (!this.hasGroups() && !this.isListMode.peek()) {
                this.isListMode(true);
            }
        });
        this.calcFieldEditor = new CalcFieldEditor(this.dataSourceBrowser);
    }
    get dataSourceTreeOptions() {
        return {
            dataSource: {
                load: (options) => {
                    var parentId = options.filter && options.filter[1] || this.rootPath();
                    var result = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                    var { dataSource, dataMember, fieldPath } = this.dataSourceBrowser.splitFullPath(parentId);
                    this.dataSourceBrowser.getDataFieldsArray(dataSource, dataMember, fieldPath, () => true).done(fields => {
                        var data = fields
                            .filter(field => !this.filter || this.filter(field))
                            .map(field => {
                            var name = FieldChooserItem.getName(field);
                            var item = new TreeViewFieldChooserItem(field, parentId + '.' + name, parentId === this.rootPath ? undefined : parentId);
                            item.selected = this.selectedField() && (field.dataMember() === this.selectedField().dataMember());
                            return item;
                        });
                        result.resolve(data);
                    });
                    return result.promise();
                },
            },
            rootValue: this.rootPath(),
            dataStructure: 'plain',
            keyExpr: 'id',
            parentIdExpr: 'parentId',
            hasItemsExpr: 'isGroup',
            showCheckBoxesMode: 'none',
            selectNodesRecursive: false,
            selectionMode: 'single',
            onItemClick: (args) => {
                let fieldChooserItem = args.itemData;
                var field = fieldChooserItem.data;
                if (field.isDataFieldNode()) {
                    args.component.selectItem(args.itemData);
                }
            },
            onItemSelectionChanged: (args) => {
                let fieldChooserItem = args.itemData;
                var field = fieldChooserItem.data;
                commonSelectedFieldName = field && field.dataMember();
                if (!this.selectedField() || (this.selectedField().dataMember() !== field.dataMember())) {
                    this.selectedField(field);
                }
            },
            virtualModeEnabled: true,
            onInitialized: (e) => this.treeViewInstanceResolver.resolve(e.component)
        };
    }
}
const _registerDxFieldChooser = () => {
    const componentName = 'dx-field-chooser';
    const templateName = 'dx-field-chooser-slider';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params) {
                return new FieldChooserController(params);
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

;// ./dist/designer/ui-widgets/field-chooser/_datasource-chooser-surface.js



class DataSourceChooserController extends SliderController {
    constructor(params) {
        super({ startPath: external_ko_.observable(''), dataSourceBrowser: params.dataSourceBrowser, selectedField: external_ko_.observable(), filter: undefined });
        this.toDispose(this.selectedField.subscribe(field => {
            params.dataSource(field && field['dataSourceName']);
            params.dataMember(field && field['dataMemberName']);
        }));
        var updatingWrapper = (func) => {
            this.lists()[0].ready(false);
            func();
            setTimeout(() => {
                this.lists().forEach(list => list.ready(true));
            }, 1);
        };
        var updateSelection = () => {
            if (params.dataSource() && params.dataMember()) {
                updatingWrapper(() => {
                    var newList = new FieldChooserList(this, params.dataSource(), [params.dataSource()], this.selectedField);
                    newList.index(1);
                    this.lists.push(newList);
                    this.lists().forEach((list, index) => list.index(index - this.lists().length + 1));
                });
            }
            this.selectedField({ dataMember: external_ko_.observable(params.dataMember() || params.dataSource()), dataSourceName: params.dataSource(), dataMemberName: params.dataMember() });
            if (params.dataSource() && !params.dataMember()) {
                this.lists()[0].scrollToSelectedItem();
            }
        };
        if (external_ko_.isSubscribable(params.active)) {
            this.toDispose(params.active.subscribe(newVal => {
                if (newVal) {
                    updateSelection();
                }
                else {
                    this.selectedField(undefined);
                    updatingWrapper(() => {
                        this.lists([this.lists()[0]]);
                        this.lists()[0].index(0);
                    });
                }
            }));
        }
        updateSelection();
    }
}
const _registerDxDatasourceChooser = () => {
    const componentName = 'dx-datasource-chooser';
    const templateName = 'dx-datasource-chooser-slider';
    if (external_ko_.components.isRegistered(componentName))
        return;
    external_ko_.components.register(componentName, {
        viewModel: {
            createViewModel: function (params, componentInfo) {
                var viewModel = new DataSourceChooserController(params);
                const disposeCallback = () => {
                    viewModel.dispose();
                    external_ko_.utils.domNodeDisposal.removeDisposeCallback(componentInfo.element, disposeCallback);
                };
                external_ko_.utils.domNodeDisposal.addDisposeCallback(componentInfo.element, disposeCallback);
                return viewModel;
            }
        },
        template: (0,external_DevExpress_Analytics_Utils_.getTemplate)(templateName)
    });
};

;// ./dist/common/_ko-components-helper.js

















const _registerKoComponents = () => {
    (0,_layout_item/* _registerDxLayoutItem */.U0)();
    _registerDashboardDockingLayout();
    _registerDxDashboardItemMenu();
    _registerDxDashboardLayoutGroup();
    _registerDxDashboardLayoutTabContainer();
    _registerDashboardLayoutTabs();
    _registerDashboardStandaloneItem();
    _registerDashboardMobileLayoutWidget();
    _registerDashboardTitle();
    _registerDxDashboardButtonGroup();
    _registerDxDashboardCheckedButton();
    _registerDxDashboardColorsComponent();
    _registerDxDashboardStyleSettingsEditorItem();
    (0,_style_settings_editor/* _registerDxDashboardStyleSettingsEditor */.C)();
    (0,_currency_selector/* _registerDxDashboardCurrencySelector */.PS)();
    _registerDxDashboardGroupDataItems();
    _registerDxDashboardDataItemLink();
    _registerDxDatasourceChooser();
    _registerDxFieldChooser();
};

// EXTERNAL MODULE: ./dist/common/internal/_options-manager.js
var _options_manager = __webpack_require__(4575);
;// ./dist/common/internal/_update-controller.js

class UpdateController {
    constructor(_actionMap, _mapActionByState) {
        this._actionMap = _actionMap;
        this._mapActionByState = _mapActionByState;
        this._locker = 0;
        this._actions = [];
    }
    beginUpdate() {
        this._locker++;
    }
    endUpdate() {
        if (this._locker > 0)
            this._locker--;
        this.commitUpdate();
    }
    commitUpdate() {
        if (this._locker === 0 && this._actions.length) {
            this.beginUpdate();
            let actions = this._actions;
            this._actions = [];
            while (actions.length) {
                actions = (0,_utils/* distinct */.dM)(actions
                    .map(action => this._mapActionByState(this.getControlState.bind(this), action))
                    .map(action => {
                    var masterAction = (this._actionMap[action].masterActions || []).filter(masterAction => actions.indexOf(masterAction) !== -1).pop();
                    return masterAction || action;
                }));
                const actualAction = actions.shift();
                actualAction && this._actionMap[actualAction].action();
            }
            this.endUpdate();
        }
    }
    addAction(actionName) {
        const actualAction = this._mapActionByState(this.getControlState.bind(this), actionName);
        this._actions.push(actualAction);
    }
    switchControlState(controlState) {
        this._state = controlState;
    }
    getControlState() {
        return this._state;
    }
}

;// ./dist/common/remote-service.js



function findGloballyDefinedMethod(...path) {
    return path.reduce((acc, item) => {
        if (acc)
            return acc[item];
        return undefined;
    }, window);
}
function _getFileName(contentDisposition) {
    const utf8FileNameRegex = /filename\*=UTF-8''(.*?)$/i;
    const fileNameRegex = /^attachment; filename=\"?(.*?)\"?$/;
    let fileName = 'downloaded file';
    if (utf8FileNameRegex.test(contentDisposition)) {
        fileName = utf8FileNameRegex.exec(contentDisposition)[1];
    }
    else if (fileNameRegex.test(contentDisposition)) {
        fileName = fileNameRegex.exec(contentDisposition)[1];
    }
    return decodeURIComponent(fileName);
}
class AjaxRemoteService {
    constructor(options = {}) {
        this.beforeSend = () => { };
        this.complete = () => { };
        this.headers = {};
        this._applyOptions(options);
    }
    _applyOptions(options = {}) {
        if (_utils/* type */.NW.isDefined(options.beforeSend)) {
            this.beforeSend = options.beforeSend;
        }
        else {
            this.beforeSend = () => { };
        }
        if (_utils/* type */.NW.isDefined(options.headers)) {
            this.headers = options.headers;
        }
        else {
            this.headers = {};
        }
        if (_utils/* type */.NW.isDefined(options.complete)) {
            this.complete = options.complete;
        }
        else {
            this.complete = () => { };
        }
    }
    getFromServer(url, data, queryOptions) {
        var obsoleteGetFromServer = findGloballyDefinedMethod('DevExpress', 'Dashboard', 'getFromServer');
        if (obsoleteGetFromServer) {
            console.warn('This method is obsolete. Please use **remoteService** option to customize HTTP requests.');
            return obsoleteGetFromServer(url, data, queryOptions);
        }
        return external_jQuery_.ajax({
            url: url,
            dataType: 'json',
            data: data,
            beforeSend: this.beforeSend,
            headers: this.headers,
            complete: this.complete,
            ...queryOptions
        });
    }
    postToServer(url, data) {
        var obsoletePostToServer = findGloballyDefinedMethod('DevExpress', 'Dashboard', 'postToServer');
        if (obsoletePostToServer) {
            console.warn('This method is obsolete. Please use **remoteService** option to customize HTTP requests.');
            return obsoletePostToServer(url, data);
        }
        return external_jQuery_.ajax({
            method: 'post',
            url: url,
            dataType: 'json',
            contentType: 'application/json',
            jsonp: false,
            data: data === null || data === undefined ? '' : JSON.stringify(data),
            beforeSend: this.beforeSend,
            headers: this.headers,
            complete: this.complete
        });
    }
    performPostback(url, args) {
        const parsedArgs = JSON.stringify(args);
        var obsoletePerformPostback = findGloballyDefinedMethod('DevExpress', 'Dashboard', 'performPostback');
        if (obsoletePerformPostback) {
            console.warn('This method is obsolete. Please use **remoteService** option to customize HTTP requests.');
            return obsoletePerformPostback(url, parsedArgs);
        }
        var $div = external_jQuery_.fn.constructor('<div>').appendTo('body');
        var $form = external_jQuery_.fn.constructor('<form>', {
            action: url,
            method: 'POST',
            target: '_blank'
        }).appendTo($div);
        var $input = external_jQuery_.fn.constructor('<input>', {
            id: 'dx-db-export-input-id',
            name: 'dx-db-export',
            type: 'hidden',
            value: encodeURIComponent(parsedArgs)
        }).appendTo($form);
        Object.keys(this.headers).forEach(headerName => {
            var $input = external_jQuery_.fn.constructor('<input>', {
                name: headerName,
                type: 'hidden',
                value: encodeURIComponent(this.headers[headerName])
            }).appendTo($form);
        });
        $form.submit();
        $div.remove();
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
    }
}
class FetchRemoteService {
    constructor(options = {}) {
        this.headers = {};
        this._executeRequest = (method, url, data, queryOptions, abortController) => {
            const responseDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            const response = this._fetch(method, url, data, queryOptions, abortController);
            response.then(async (response) => {
                let json;
                try {
                    json = await response.json();
                }
                catch (e) {
                    responseDeferred.reject(e.message);
                    return;
                }
                if (response.ok) {
                    responseDeferred.resolve(json);
                }
                else {
                    responseDeferred.reject(json.Message);
                }
            }, (error) => {
                responseDeferred.reject(error.message);
            });
            return responseDeferred.promise();
        };
        this._fetch = (method, url, data, queryOptions, abortController) => {
            const { cache, preparedUrl, body } = this._prepareParams(method, url, data, queryOptions);
            const settings = {
                method,
                cache,
                headers: {
                    'content-type': 'application/json',
                    ...this.headers
                },
                body,
                signal: abortController?.signal
            };
            this.beforeSend && this.beforeSend(settings);
            return fetch(preparedUrl, settings);
        };
        this._applyOptions(options);
    }
    _applyOptions(options = {}) {
        this.headers = {};
        if (_utils/* type */.NW.isDefined(options?.headers)) {
            this.headers = options.headers;
        }
        this.beforeSend = options?.beforeSend;
    }
    getFromServer(url, data, queryOptions, abortController) {
        return this._executeRequest('GET', url, data, queryOptions, abortController);
    }
    postToServer(url, data, abortController) {
        return this._executeRequest('POST', url, data, abortController);
    }
    async _performPostback(url, args, abortController) {
        const response = await this._fetch('POST', url, args, abortController);
        if (response.ok) {
            const blob = await response.blob();
            const contentDisposition = response.headers.get('Content-Disposition');
            const fileMetadata = {
                contentType: response.headers.get('Content-Type'),
                contentFilename: _getFileName(contentDisposition),
                url: URL.createObjectURL(blob)
            };
            const link = document.createElement('a');
            link.href = fileMetadata.url;
            link.rel = 'noreferrer noopener';
            link.download = fileMetadata.contentFilename;
            document.body.appendChild(link);
            link.click();
            link.remove();
            URL.revokeObjectURL(fileMetadata.url);
        }
        else {
            const json = await response.json();
            throw new Error(json.Message);
        }
    }
    performPostback(url, args, abortController) {
        const response = this._performPostback(url, args, abortController);
        const responseDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        response
            .then(() => {
            responseDeferred.resolve();
        }).catch((error) => {
            responseDeferred.reject(error.message);
        });
        return responseDeferred.promise();
    }
    _prepareParams(method, url, data, queryOptions) {
        let body = null;
        let preparedUrl = url;
        let cache = 'default';
        if (_utils/* type */.NW.isDefined(queryOptions?.cache) && !queryOptions.cache) {
            cache = 'no-store';
        }
        if (method === 'GET') {
            const queryParams = (0,_jquery_helpers/* jqueryQueryParam */.ql)(data);
            if (queryParams) {
                preparedUrl.includes('?') ? preparedUrl += `&${queryParams}` : preparedUrl += `?${queryParams}`;
            }
        }
        else if (method === 'POST') {
            body = data === null || data === undefined ? '' : JSON.stringify(data);
        }
        return { cache, preparedUrl, body };
    }
}

// EXTERNAL MODULE: ./dist/data/localization/_localization-initializer.js + 1 modules
var _localization_initializer = __webpack_require__(7228);
;// ./dist/common/resource-manager.js



class ResourceManager {
    static setLocalizationMessages(localizationMessages) {
        (0,_localization_initializer/* setLocalization */.E)(localizationMessages);
    }
    static embedBundledResources() {
    }
    static removeEmbeddedResources() {
    }
    static registerIcon(icon, id) {
        const html = typeof icon !== 'string' ? icon.outerHTML : icon;
        let imageId = id;
        if (!imageId) {
            const tmpElt = document.createElement('div');
            tmpElt.innerHTML = html;
            const svgElts = Array.from(tmpElt.querySelectorAll('svg'));
            if (svgElts.length !== 1) {
                console.error(`The icon can not consist of multiple SVG elements. Make sure that the icon is a single SVG element. The SVG element is '${html}'.`);
                return;
            }
            const svgId = svgElts[0].getAttribute('id');
            if (!svgId) {
                console.error(`The icon cannot be registered. Add the id attribute to the icon’s definition or pass the icon's id as the second parameter to the registerIcon method. The SVG element is '${html}'.`);
                return;
            }
            imageId = svgId;
        }
        external_DevExpress_Analytics_Widgets_Internal_.SvgTemplatesEngine.addTemplate(imageId, html);
    }
}
(0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
    target: ResourceManager,
    memberName: 'removeEmbededResources',
    oldMemberDisplayName: 'ResourceManager.removeEmbededResources',
    newMemberDisplayName: 'ResourceManager.removeEmbeddedResources',
    action: () => { }
});
(0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
    target: ResourceManager,
    memberName: 'embedBundledResources',
    oldMemberDisplayName: 'ResourceManager.embedBundledResources',
    warmMessage: 'The ResourceManager.embedBundledResources() method is obsolete. Remove the method call from your application. For more information, refer to the following breaking change document: https://supportcenter.devexpress.com/ticket/details/T1249022.',
    action: () => { }
});
(0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
    target: ResourceManager,
    memberName: 'removeEmbeddedResources',
    oldMemberDisplayName: 'ResourceManager.removeEmbeddedResources',
    warmMessage: 'The ResourceManager.removeEmbeddedResources() method is obsolete. Remove the method call from your application. For more information, refer to the following breaking change document: https://supportcenter.devexpress.com/ticket/details/T1249022.',
    action: () => { }
});

// EXTERNAL MODULE: ./dist/data/drill-through-data/_drill-through-data-wrapper.js
var _drill_through_data_wrapper = __webpack_require__(8015);
// EXTERNAL MODULE: ./dist/model/internal/_array-utils.js
var _array_utils = __webpack_require__(2972);
;// ./dist/common/data/_underlying-data-provider.js





class UnderlyingDataProvider {
    constructor(_serviceClient) {
        this._serviceClient = _serviceClient;
    }
    _getValidDataQueryParamsValues(values, dataDashboardItem) {
        var itemQueryParams = (0,_jquery_helpers/* deepExtend */.zw)({}, dataDashboardItem._getDataQueryParams());
        if (itemQueryParams.DrillDown) {
            var drillDownLen = itemQueryParams.DrillDown.length;
            var columnValuesLen = values.length;
            var visibleDimensionsCount = dataDashboardItem._getInteractivityAxisDimensionCount();
            var notInteractivityDimensionsCount = visibleDimensionsCount - dataDashboardItem._interactivityDimensions.length;
            var interactivityColumnsValues = columnValuesLen - notInteractivityDimensionsCount;
            if (drillDownLen > 0) {
                var stateToModelDiff = interactivityColumnsValues - drillDownLen - 1;
                if (stateToModelDiff < 0) {
                    itemQueryParams.DrillDown.splice(stateToModelDiff);
                }
            }
        }
        return itemQueryParams;
    }
    _getUnderlyingDataArgsAxisPoints(data, args) {
        var axisNames = data.getAxisNames(), axisPoints = args.axisPoints;
        if (!axisPoints) {
            axisPoints = [];
            axisNames.forEach(axisName => {
                var axis = data.getAxis(axisName), axisPoint = undefined;
                if (args.uniqueValuesByAxisName) {
                    var axisValues = args.uniqueValuesByAxisName[axisName];
                    if (axisValues)
                        axisPoint = axis.getPointByUniqueValues(axisValues.map(_utils/* unwrapSpecialNullValue */.rD));
                }
                if (args.valuesByAxisName) {
                    var axisValues = args.valuesByAxisName[axisName];
                    if (axisValues)
                        axisPoint = axis.getPointByValues(axisValues.map(_utils/* unwrapSpecialNullValue */.rD));
                }
                if (!axisPoint)
                    axisPoint = axis.getRootPoint();
                axisPoints.push(axisPoint);
            });
        }
        axisNames.forEach(axisName => {
            var points = axisPoints.map(axisPoint => {
                return axisPoint.getAxisName() === axisName;
            });
            if (points.length == 0) {
                axisPoints.push(data.getAxis(axisName).getRootPoint());
            }
        });
        return axisPoints;
    }
    requestUnderlyingData(dataDashboardItem, args) {
        let itemDataManager = dataDashboardItem._dataManager();
        if (!_utils/* type */.NW.isDefined(itemDataManager))
            throw Error((0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded'), dataDashboardItem.name()));
        var metaData = itemDataManager.getMetaData(), axisPoints = this._getUnderlyingDataArgsAxisPoints(dataDashboardItem._getItemData(), args), columnNames = args.dataMembers, pivotAreaValues = {};
        axisPoints.forEach((axisPoint) => {
            var name = axisPoint.getAxisName();
            pivotAreaValues[metaData.getPivotAreaByAxisName(name)] = (0,_date_utils/* toStringArray */.oU)(axisPoint.getUniquePath());
        });
        var isInteractivityByColumns = dataDashboardItem._itemInteractivityByColumnAxis();
        var columnValues = pivotAreaValues['Columns'];
        var rowValues = pivotAreaValues['Rows'];
        var itemQueryParams = this._getValidDataQueryParamsValues(isInteractivityByColumns ? columnValues : rowValues, dataDashboardItem);
        let promise = this._serviceClient.getUnderlyingData(dataDashboardItem.componentName(), columnValues, rowValues, columnNames, itemQueryParams);
        return promise.then((data) => {
            data.Data = data.Data.map(row => row = row.map(value => (0,_date_utils/* tryConvertToDateTime */.bt)(value)));
            return data;
        });
    }
}

;// ./dist/common/viewer/_viewer-api.js

















let viewerApiEventsNames = [
    'itemClick',
    'itemSelectionChanged',
    'itemWidgetCreated',
    'itemWidgetUpdating',
    'itemWidgetUpdated',
    'itemWidgetOptionsPrepared',
    'itemElementCustomColor',
    'itemVisualInteractivity',
    'itemMasterFilterStateChanged',
    'itemDrillDownStateChanged',
    'itemActionAvailabilityChanged',
    'itemCaptionToolbarUpdated',
    'dashboardTitleToolbarUpdated',
    'selectedTabPageChanged'
];
class ViewerApi extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this._viewerItems = {};
        this._dashboardDisposables = [];
        this._internalEvents = new _options_manager/* EventManager */.EU();
        this.title = external_ko_.observable(null);
        this._viewerItemCreated = (item, viewerItem) => {
            if (!!viewerItem) {
                if (item instanceof data_dashboard_item/* DataDashboardItem */.s) {
                    viewerItem.itemClick.add(this._raiseItemClick);
                    viewerItem.itemSelectionChanged.add(this._raiseItemSelectionChanged);
                    viewerItem.clearMasterFilter.add(this._raiseClearMasterFilter);
                }
                if (!!viewerItem['itemElementCustomColor']) {
                    viewerItem['itemElementCustomColor'].add(this._raiseItemElementCustomColor);
                }
                viewerItem.itemWidgetCreated.add(this._raiseItemWidgetCreated);
                viewerItem.itemWidgetUpdating.add(this._raiseItemWidgetUpdating);
                viewerItem.itemWidgetUpdated.add(this._raiseItemWidgetUpdated);
                viewerItem.itemWidgetOptionsPrepared.add(this._raiseItemWidgetOptionsPrepared);
                viewerItem.itemCaptionToolbarUpdated.add(this._raiseItemCaptionToolbarUpdated);
            }
            if (!this._viewerItems[item.componentName()]) {
                this._viewerItems[item.componentName()] = [];
            }
            if (this._viewerItems[item.componentName()].indexOf(viewerItem) === -1) {
                this._viewerItems[item.componentName()].push(viewerItem);
            }
        };
        this._viewerItemDispose = (item, viewerItem) => {
            if (!!viewerItem) {
                if (item instanceof data_dashboard_item/* DataDashboardItem */.s) {
                    viewerItem.itemClick.remove(this._raiseItemClick);
                    viewerItem.itemSelectionChanged.remove(this._raiseItemSelectionChanged);
                    viewerItem.clearMasterFilter.remove(this._raiseClearMasterFilter);
                }
                if (!!viewerItem['itemElementCustomColor']) {
                    viewerItem['itemElementCustomColor'].remove(this._raiseItemElementCustomColor);
                }
                viewerItem.itemWidgetCreated.remove(this._raiseItemWidgetCreated);
                viewerItem.itemWidgetUpdating.remove(this._raiseItemWidgetUpdating);
                viewerItem.itemWidgetUpdated.remove(this._raiseItemWidgetUpdated);
                viewerItem.itemCaptionToolbarUpdated.remove(this._raiseItemCaptionToolbarUpdated);
            }
            if (this._viewerItems[item.componentName()]) {
                var index = this._viewerItems[item.componentName()].indexOf(viewerItem);
                if (index > -1) {
                    this._viewerItems[item.componentName()].splice(index, 1);
                }
            }
        };
        this._beforeApplyViewerItemOptions = (item, options, isCreation, customInteractivityOptions) => {
            if (item instanceof data_dashboard_item/* DataDashboardItem */.s) {
                var isInteractivitySupported = item._isVisualInteractivitySupported();
                var isMasterFilter = item._isMasterFilter();
                var canPerformDrillDown = item._actions().indexOf(_common/* viewerActions */.qH.drillDown) !== -1;
                if (isInteractivitySupported && !isMasterFilter && !canPerformDrillDown) {
                    this._internalEvents.raise('itemVisualInteractivity', createItemInteractivityEventArgs(item, customInteractivityOptions));
                }
            }
        };
        this._raiseItemActionAvailabilityChanged = (item) => {
            this._internalEvents.raise('itemActionAvailabilityChanged', {
                itemName: item.componentName(),
                dashboardItem: item,
            });
        };
        this._raiseItemClick = (itemName, dataPoint) => {
            this._internalEvents.raise('itemClick', createItemClickEventArgs(this._getDataItem(itemName), dataPoint, this.requestUnderlyingData));
        };
        this._raiseItemSelectionChanged = (itemName, tuples) => {
            this._internalEvents.raise('itemSelectionChanged', createItemSelectionChangedEventArgs(this._getDataItem(itemName), tuples));
        };
        this._raiseItemWidgetCreated = (name, viewControl) => {
            let item = this._getItem(name);
            this._internalEvents.raise('itemWidgetCreated', createWidgetEventArgs(item, viewControl));
        };
        this._raiseItemWidgetUpdating = (name, viewControl) => {
            let item = this._getItem(name);
            this._internalEvents.raise('itemWidgetUpdating', createWidgetEventArgs(item, viewControl));
        };
        this._raiseItemWidgetUpdated = (name, viewControl) => {
            let item = this._getItem(name);
            this._internalEvents.raise('itemWidgetUpdated', createWidgetEventArgs(item, viewControl));
        };
        this._raiseItemWidgetOptionsPrepared = (name, options) => {
            let item = this._getItem(name);
            this._internalEvents.raise('itemWidgetOptionsPrepared', createWidgetOptionsEventArgs(item, options));
        };
        this._raiseItemCaptionToolbarUpdated = (name, options) => {
            let item = this._getItem(name);
            this._internalEvents.raise('itemCaptionToolbarUpdated', { itemName: name, dashboardItem: item, options: options });
        };
        this._raiseTitleToolbarUpdated = (options) => {
            this._internalEvents.raise('dashboardTitleToolbarUpdated', { dashboard: this.dashboardControl.dashboard(), options: options });
        };
        this._raiseItemElementCustomColor = (itemName, eventArgs) => {
            this._internalEvents.raise('itemElementCustomColor', createItemElementCustomColorEventArgs(this._getDataItem(itemName), eventArgs));
        };
        this._raiseItemVisualInteractivity = (itemName, interactivityOptions) => {
            this._internalEvents.raise('itemVisualInteractivity', createItemInteractivityEventArgs(this._getDataItem(itemName), interactivityOptions));
        };
        this._raiseClearMasterFilter = (itemName) => {
            var item = this._getItem(itemName);
            this._internalEvents.raise('itemMasterFilterStateChanged', {
                itemName: item.componentName(),
                dashboardItem: item,
                values: null
            });
        };
        this.requestUnderlyingData = (itemName, args, onCompleted) => {
            var dataDashboardItem = this._getDataItem(itemName);
            var raiseOnCompleted = (underlyingData) => {
                var drillThroughData = new _drill_through_data_wrapper/* DrillThroughDataWrapper */.K(underlyingData);
                drillThroughData.initialize();
                onCompleted(drillThroughData);
            };
            var provider = new UnderlyingDataProvider(this.dashboardControl._serviceClient());
            provider.requestUnderlyingData(dataDashboardItem, args)
                .done(raiseOnCompleted)
                .fail(request => {
                var errorMessage = NotificationController._getErrorTextFromResponse(request);
                if (!errorMessage) {
                    errorMessage = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToGetUnderlyingData');
                }
                raiseOnCompleted({ ErrorMessage: errorMessage });
            });
        };
        this.on = this._internalEvents.on;
        this.off = this._internalEvents.off;
        this.toDispose((0,_knockout_utils/* subscribeWithPrev */.SP)(this.title, (oldValue, newValue) => {
            if (oldValue) {
                oldValue.onUpdated.remove(this._raiseTitleToolbarUpdated);
            }
            if (newValue) {
                newValue.onUpdated.add(this._raiseTitleToolbarUpdated);
            }
        }));
        this.toDispose(external_ko_.computed(() => {
            var newDashboard = dashboardControl.dashboard();
            this._dashboardDisposables.forEach(d => d.dispose());
            this._dashboardDisposables = [];
            if (newDashboard) {
                newDashboard
                    .items()
                    .filter(item => item instanceof dist_model.TabContainerItem)
                    .forEach((tabContainer) => {
                    tabContainer._activePageChanged = (prevPageName, pageName) => {
                        this._raiseSelectedTabPageChanged(tabContainer.componentName(), prevPageName, pageName);
                    };
                });
                newDashboard._dataDashboardItems().forEach(item => {
                    var itemName = item.componentName.peek();
                    this._raiseItemActionAvailabilityChanged(item);
                    var disposables = [(0,_knockout_utils/* subscribeWithPrev */.SP)(item._actions, (prevActions, actions) => {
                            if (!(0,_array_utils/* arrayEquals */.ng)(prevActions, actions)) {
                                this._raiseItemActionAvailabilityChanged(item);
                            }
                        })];
                    disposables.push((0,_knockout_utils/* subscribeArrayChange */.w$)(item._drillDownValues, {
                        added: (v) => {
                            this._internalEvents.raise('itemDrillDownStateChanged', {
                                itemName: itemName,
                                dashboardItem: item,
                                action: 'Down',
                                values: item._drillDownValues()
                            });
                        },
                        deleted: (v) => {
                            this._internalEvents.raise('itemDrillDownStateChanged', {
                                itemName: itemName,
                                dashboardItem: item,
                                action: 'Up',
                                values: item._drillDownValues()
                            });
                        }
                    }));
                    disposables.push(item._actualSelectionValues.subscribe(newValue => {
                        this._internalEvents.raise('itemMasterFilterStateChanged', {
                            itemName: itemName,
                            dashboardItem: item,
                            values: newValue
                        });
                    }));
                    Array.prototype.push.apply(this._dashboardDisposables, disposables);
                });
            }
        }));
    }
    _checkIsRangeFilterItem(itemName) {
        var item = this._getDataItem(itemName);
        if (!(item instanceof range_filter_item/* RangeFilterItem */.P) && !(item instanceof date_filter_item/* DateFilterItem */.Y)) {
            throw new Error('Action is called for an unsupported dashboard item. This action can be performed only for Range Filter and Date Filter.');
        }
    }
    _raiseSelectedTabPageChanged(tabContainerName, prevPageName, pageName) {
        this._internalEvents.raise('selectedTabPageChanged', {
            tabContainerName: tabContainerName,
            selectedPage: pageName,
            previousPage: prevPageName
        });
    }
    start() {
        this.dashboardControl._dashboardContext.viewerItemCreated.add(this._viewerItemCreated);
        this.dashboardControl._dashboardContext.viewerItemDispose.add(this._viewerItemDispose);
        this.dashboardControl._dashboardContext.beforeApplyViewerItemOptions.add(this._beforeApplyViewerItemOptions);
    }
    stop() {
        this.dashboardControl._dashboardContext.viewerItemCreated.remove(this._viewerItemCreated);
        this.dashboardControl._dashboardContext.viewerItemDispose.remove(this._viewerItemDispose);
        this.dashboardControl._dashboardContext.beforeApplyViewerItemOptions.remove(this._beforeApplyViewerItemOptions);
    }
    _getItemCore(itemId, findItem) {
        let dashboard = this.dashboardControl.dashboard();
        if (dashboard) {
            var item = findItem(dashboard);
            if (item) {
                return item;
            }
            else {
                throw Error("The item with the '" + itemId + "' name does not exist");
            }
        }
        else {
            throw new Error('Cannot perform operation because the dashboard is not loaded');
        }
    }
    _getItem(itemId) {
        return this._getItemCore(itemId, dashboard => dashboard._allItems().filter(item => item.componentName() == itemId)[0]);
    }
    _getDataItem(itemName) {
        return this._getItemCore(itemName, dashboard => dashboard._findDataItem(itemName));
    }
    getCurrentRange(itemName) {
        this._checkIsRangeFilterItem(itemName);
        let item = this._getDataItem(itemName);
        let selection = item._actualSelectionValues() && item._actualSelectionValues()[0] || item._getEntireRange();
        return selection && selection.length > 0 ? {
            minimum: selection[0],
            maximum: selection[1]
        } : null;
    }
    getEntireRange(itemName) {
        this._checkIsRangeFilterItem(itemName);
        let entireRange = this._getDataItem(itemName)._getEntireRange();
        return entireRange.length > 0 ? {
            minimum: entireRange[0],
            maximum: entireRange[1]
        } : null;
    }
    setRange(itemName, range) {
        this._checkIsRangeFilterItem(itemName);
        this.setMasterFilter(itemName, [[range.minimum, range.maximum]]);
    }
    setPredefinedRange(itemName, dateTimePeriodName) {
        this._checkIsRangeFilterItem(itemName);
        let rangeFilter = this._getDataItem(itemName);
        let periods = rangeFilter.dateTimePeriods().filter(period => period.name() === dateTimePeriodName);
        if (periods.length === 0) {
            throw new Error("The predefined range with the '" + dateTimePeriodName + "' name does not exist");
        }
        rangeFilter._processItemSetPredefinedPeriod(dateTimePeriodName);
    }
    getAvailablePredefinedRanges(itemName) {
        this._checkIsRangeFilterItem(itemName);
        return this._getDataItem(itemName).dateTimePeriods().map(period => period.name());
    }
    getCurrentPredefinedRange(itemName) {
        this._checkIsRangeFilterItem(itemName);
        let period = this._getDataItem(itemName).currentSelectedDateTimePeriodName();
        return period ? period : '';
    }
    getCurrentSelection(itemName) {
        _helper_classes/* Guard */.wM.isNotFalsy(itemName, 'itemName');
        var itemData = this._getDataItem(itemName)._getItemData(), tuples = [], viewerItem = this._getViewerItem(itemName);
        var selectedTuples = viewerItem && viewerItem.getSelectedTuples() || null;
        if (selectedTuples) {
            tuples = selectedTuples.map(selectedTuple => itemData.createTuple(selectedTuple));
        }
        return tuples;
    }
    canSetMasterFilter(itemName) {
        return this._getDataItem(itemName)._actions().indexOf(_common/* viewerActions */.qH.setMasterFilter) !== -1;
    }
    canClearMasterFilter(itemName) {
        return this._getDataItem(itemName)._actions().indexOf(_common/* viewerActions */.qH.clearMasterFilter) !== -1;
    }
    canPerformDrillDown(itemName) {
        return this._getDataItem(itemName)._actions().indexOf(_common/* viewerActions */.qH.drillDown) !== -1;
    }
    canPerformDrillUp(itemName) {
        return this._getDataItem(itemName)._actions().indexOf(_common/* viewerActions */.qH.drillUp) !== -1;
    }
    getItemData(itemName) {
        return this._getDataItem(itemName)._getItemData();
    }
    getCurrentFilterValues(itemName) {
        return this._getDataItem(itemName)._getCurrentFilterValues();
    }
    getAvailableFilterValues(itemName) {
        return this._getDataItem(itemName)._getAvailableFilterValues(itemName);
    }
    getCurrentDrillDownValues(itemName) {
        return this._getDataItem(itemName)._getCurrentDrillDownValues();
    }
    getAvailableDrillDownValues(itemName) {
        return this._getDataItem(itemName)._getAvailableDrillDownValues(itemName);
    }
    setMasterFilter(itemName, values) {
        this._getDataItem(itemName)._performSetMasterFilter(values);
    }
    clearMasterFilter(itemName) {
        this._getDataItem(itemName)._performClearMasterFilter();
    }
    performDrillDown(itemName, value) {
        this._getDataItem(itemName)._performDrillDown(value);
    }
    performDrillUp(itemName) {
        this._getDataItem(itemName)._performDrillUp();
    }
    getAvailableActions(itemName) {
        return this._getDataItem(itemName)._getAvailableActions();
    }
    updateItemCaptionToolbar(itemName) {
        var dashboardItemNames = itemName ?
            this.dashboardControl.dashboard().findItem(itemName) && [itemName] || []
            :
                this.dashboardControl
                    .dashboard()
                    ._allItems()
                    .map((item) => item.componentName());
        if (itemName && dashboardItemNames.length === 0) {
            throw new Error("The item with the '" + itemName + "' name does not exist");
        }
        dashboardItemNames.forEach((itemName) => {
            this._viewerItems[itemName] && this._viewerItems[itemName].forEach(viewerItem => viewerItem.updateCaptionToolbar());
        });
    }
    updateDashboardTitleToolbar() {
        if (this.title()) {
            this.title().update();
        }
    }
    setSelectedTabPage(tabPageName) {
        let dashboard = this.dashboardControl.dashboard();
        if (dashboard) {
            let tabPage = findItemForApi(this.dashboardControl.dashboard(), tabPageName, dist_model.DashboardTabPage);
            let tabContainer = this._findParentTabContainer(tabPageName);
            if (tabContainer && tabPage)
                tabContainer._activeTabPage(tabPage);
        }
    }
    setSelectedTabPageIndex(tabContainerName, index) {
        let dashboard = this.dashboardControl.dashboard();
        if (dashboard) {
            let tabContainer = findItemForApi(this.dashboardControl.dashboard(), tabContainerName, dist_model.TabContainerItem);
            if (index < 0 || index > tabContainer.tabPages().length - 1) {
                throw Error(`The '${tabContainerName}' tab container does not contain a tab page with the following index: ${index}`);
            }
            let tabContainerLayoutItem = this.dashboardControl.dashboard().layout().findLayoutItem(tabContainer);
            if (tabContainerLayoutItem) {
                this.setSelectedTabPage(tabContainerLayoutItem.childNodes()[index].dashboardItem());
            }
        }
    }
    getSelectedTabPageIndex(tabContainerName) {
        let dashboard = this.dashboardControl.dashboard();
        if (dashboard) {
            let tabContainer = findItemForApi(this.dashboardControl.dashboard(), tabContainerName, dist_model.TabContainerItem);
            let tabContainerLayoutItem = this.dashboardControl.dashboard().layout().findLayoutItem(tabContainer);
            let activeTabPageLayoutItem = this.dashboardControl.dashboard().layout().findLayoutItem(tabContainer._activeTabPage());
            if (tabContainerLayoutItem && tabContainerLayoutItem) {
                return tabContainerLayoutItem.childNodes().indexOf(activeTabPageLayoutItem);
            }
        }
        return -1;
    }
    getSelectedTabPage(tabContainerName) {
        let dashboard = this.dashboardControl.dashboard();
        if (dashboard) {
            let tabContainer = findItemForApi(this.dashboardControl.dashboard(), tabContainerName, dist_model.TabContainerItem);
            return tabContainer._activeTabPage() ? tabContainer._activeTabPage().componentName() : '';
        }
        return '';
    }
    _findParentTabContainer(tabPageName) {
        let tabContainers = this.dashboardControl.dashboard().items().filter(item => item instanceof dist_model.TabContainerItem);
        let parentContainer;
        tabContainers.forEach((container) => {
            let pages = container.tabPages().filter(page => page.componentName() === tabPageName);
            if (pages.length > 0) {
                parentContainer = container;
            }
        });
        if (!parentContainer) {
            throw new Error("The tab container item with the page'" + tabPageName + "' name does not exist");
        }
        return parentContainer;
    }
    _getViewerItem(itemName) {
        var viewerItems = this._viewerItems[itemName] ? this._viewerItems[itemName].filter(viewer => viewer.hasWidget) : [];
        return viewerItems.length > 0 ? viewerItems[0] : undefined;
    }
}

;// ./dist/common/dashboard-control.js



































class DashboardControl {
    static _recursiveAsyncEval(sequence, cancellationToken, previousOptions, currentIndex = 0) {
        if (!previousOptions) {
            previousOptions = {
                surfaceLeft: 0
            };
        }
        var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        let sequenceActions = sequence[currentIndex];
        if (sequenceActions) {
            let actions = sequenceActions.map(sa => sa.cancelableAction);
            external_jQuery_.when(...actions.map(a => a(previousOptions, cancellationToken)))
                .done((...options) => {
                if (cancellationToken.canceled)
                    def.reject();
                else {
                    DashboardControl._recursiveAsyncEval(sequence, cancellationToken, (0,_helpers/* combineOptions */.sF)(previousOptions, options), currentIndex + 1)
                        .done((opts) => {
                        if (cancellationToken.canceled)
                            def.reject();
                        else
                            def.resolve(opts);
                    })
                        .fail(() => def.reject());
                }
            })
                .fail(() => def.reject());
        }
        else {
            if (cancellationToken.canceled)
                def.reject();
            else {
                if (cancellationToken.canceled)
                    def.reject();
                else
                    def.resolve(previousOptions);
            }
        }
        return def.promise();
    }
    get _updateHub() {
        return this._updateHubPrivate;
    }
    get encodeHtml() {
        return this.option('encodeHtml');
    }
    get showConfirmationOnBrowserClosing() { return this.option('showConfirmationOnBrowserClosing'); }
    get allowSwitchToDesigner() {
        return this._allowSwitchToDesigner;
    }
    get maximizedDashboardItemName() {
        var fullscreenItemProvider = this._getFullscreenItemProvider();
        return fullscreenItemProvider && fullscreenItemProvider.maximizedItemName || '';
    }
    get extensions() {
        return this._extensions();
    }
    get _classList() {
        if (this._surfaceTop() !== 0) {
            return 'dx-dashboard-surface-toolbar-visible';
        }
    }
    element() {
        return this._element;
    }
    on(eventName, eventHandler) {
        this._eventsStrategy.on(eventName, eventHandler);
    }
    off(eventName, eventHandler) {
        this._eventsStrategy.off(eventName, eventHandler);
    }
    _raiseEvent(eventName, eventArgs) {
        this._eventsStrategy.fireEvent(eventName, [eventArgs]);
        var optionName = (0,_options_manager/* getOptionNameByEvent */.Ks)(eventName);
        if (optionName) {
            let func = this.option(optionName);
            if (func) {
                func.call(this, eventArgs);
            }
        }
    }
    option(...args) {
        return this._options.option(...args);
    }
    _silent(...args) {
        return this._options.silent(...args);
    }
    resetOption(name) {
        this.beginUpdate();
        this._options.reset(name);
        this.endUpdate();
    }
    beginUpdate() {
        this._updateController.beginUpdate();
    }
    endUpdate() {
        this._updateController.endUpdate();
    }
    _getOptionValue(name, context) {
        const value = this.option(name);
        return value;
    }
    _getDefaultOptions() {
        return {
            limitVisibleDataMode: 'Designer',
            resizeByTimer: true,
            encodeHtml: true,
            useNeutralFilterMode: true,
            allowMaximizeItems: true,
            useCardLegacyLayout: false,
            showConfirmationOnBrowserClosing: true,
            workingMode: 'Designer',
            loadDefaultDashboard: true,
            dataRequestOptions: {},
            extensions: {}
        };
    }
    _getOptionsByReference() {
        return {};
    }
    _getDeprecatedOptions() {
        return {};
    }
    _notifyOptionChanged(option, value) {
        document.createElement;
        const name = option;
        const args = {
            name: name.split(/[.[]/)[0],
            fullName: name,
            value: value,
            component: this
        };
        this._optionChanged(args);
        this._raiseEvent('optionChanged', args);
    }
    _reinitializeDashboard() {
        if (this.dashboard()) {
            var dashboardState = this.getDashboardState();
            this.initializeDashboard(this.option('dashboardId'), this.dashboard().getJSON(), dashboardState && JSON.parse(this.getDashboardState()) || '');
        }
    }
    _getCebabCaseExtensionName(extensionName) {
        const index = Object.keys(control_options/* extensionNameMap */.RY).map(k => control_options/* extensionNameMap */.RY[k]).indexOf(extensionName);
        return index === -1 ? extensionName : Object.keys(control_options/* extensionNameMap */.RY)[index];
    }
    _getCamelCaseExtensionName(extensionName) {
        return control_options/* extensionNameMap */.RY[extensionName] || extensionName;
    }
    _optionChanging(name, value, previousValue) {
        switch (name) {
            case 'workingMode':
                if (this._updateController.getControlState() !== 'controlInitializing' && (previousValue === 'ViewerOnly' || value === 'ViewerOnly')) {
                    throw new Error(`Cannot switch to ${value} from ${previousValue} mode.`);
                }
                break;
        }
    }
    _optionChanged(args) {
        switch (args.name) {
            case 'dashboardId':
                if (this._updateController.getControlState() !== 'dashboardInitializing')
                    this._updateController.addAction('loadDashboard');
                break;
            case 'workingMode':
                if (this._updateController.getControlState() === 'controlInitializing') {
                    this.isDesignMode(args.value === 'Designer');
                }
                else {
                    if (args.value === 'Designer') {
                        this._switchToDesigner();
                    }
                    else {
                        this._switchToViewer();
                    }
                }
                break;
            case 'initialDashboardState':
                break;
            case 'useNeutralFilterMode':
                this._updateController.addAction('reinitializeDashboard');
                break;
            case 'useCardLegacyLayout':
                break;
            case 'resizeByTimer':
                this.resizeByTimer(args.value);
                break;
            case 'endpoint':
                break;
            case 'dataRequestOptions':
                this._updateController.addAction('reinitializeDashboard');
                break;
            case 'encodeHtml':
                this._updateController.addAction('reinitializeDashboard');
                break;
            case 'ajaxRemoteService':
            case 'fetchRemoteService':
                this._updateRemoteServiceOptions(args.name);
                break;
            case 'limitVisibleDataMode':
                this._updateController.addAction('reinitializeDashboard');
                break;
            case 'onInitializing':
            case 'onOptionChanged':
                break;
            case 'allowMaximizeItems':
                if (this._actualLayoutController()) {
                    this._actualLayoutController().allowMaximizeItems = args.value;
                }
                this._updateController.addAction('updateItemToolbars');
                break;
            case 'extensions':
                if (this._updateController.getControlState() !== 'controlInitializing') {
                    this._processExtensionsOption(args);
                }
                break;
            case 'onDashboardInitializing':
            case 'onDashboardInitialized':
            case 'onDashboardStateChanged':
            case 'onItemBeginUpdate':
            case 'onItemEndUpdate':
            case 'onDashboardBeginUpdate':
            case 'onDashboardEndUpdate':
            case 'showConfirmationOnBrowserClosing':
            case 'loadDefaultDashboard':
                break;
        }
        this._updateController.commitUpdate();
    }
    _updateRemoteServiceOptions(remoteServiceOptionsKey) {
        const remoteServiceOptions = this.option(remoteServiceOptionsKey);
        const remoteServiceType = remoteServiceOptionsKey === 'ajaxRemoteService' ? AjaxRemoteService : FetchRemoteService;
        const controlState = this._updateController.getControlState();
        const canChangeRemoteService = controlState === 'controlInitializing' || controlState === 'controlInitialized';
        if (this.remoteService && this.remoteService instanceof remoteServiceType) {
            if (canChangeRemoteService && !remoteServiceOptions) {
                this.remoteService = null;
            }
            else {
                this.remoteService._applyOptions(remoteServiceOptions);
            }
        }
        else if (canChangeRemoteService) {
            this.remoteService = this._remoteServiceFactory();
        }
    }
    _processExtensionsOption(args) {
        if (args.name === args.fullName && args.value === false) {
            this._unregisterExtensionCore(...this._extensions().map(extension => extension.name));
            return;
        }
        if (args.name === args.fullName && typeof args.value === 'object') {
            this._processExtensionsOptions(args.value);
            return;
        }
        else {
            const parts = args.fullName
                .split(/(?:\[|\]|\.)/)
                .filter(item => !!item.length);
            const extensionName = parts[1];
            let extensionOptionParts = parts.slice(2);
            this._processExtensionsOptions({
                [extensionName]: this._createExtensionOption(extensionOptionParts, args.value)
            });
        }
    }
    _createExtensionOption(parts, value) {
        if (parts.length === 0)
            return value;
        return parts.slice(0, parts.length - 1).reverse().reduce((acc, cur) => {
            return { [cur]: acc };
        }, {
            [parts[parts.length - 1]]: value
        });
    }
    _processExtensionsOptions(extensionsOptions) {
        Object.keys(extensionsOptions).forEach(key => {
            let extensionName = key;
            let extensionOptions = extensionsOptions[extensionName];
            if (extensionOptions === false) {
                this._unregisterExtensionCore(extensionName);
            }
            else if (typeof extensionOptions === 'object') {
                var extension = this.findExtension(extensionName);
                if (!extension) {
                    const extensionsFactory = { ...control_options/* defaultExtensions */.wf, ...control_options/* designerExtensions */.YS };
                    const extensionCreator = extensionsFactory[this._getCebabCaseExtensionName(extensionName)];
                    _utils/* type */.NW.isFunction(extensionCreator) && this.registerExtension(extensionCreator(this, extensionOptions));
                }
                else {
                    var optionsManager = extension && extension._optionsManager;
                    if (optionsManager) {
                        Object.keys(extensionOptions).forEach((optionName) => {
                            const extensionArgs = { name: optionName, fullName: optionName, value: extensionOptions[optionName] };
                            var extensionAction = optionsManager.optionChanged(extensionArgs);
                            if (extensionAction)
                                this._updateController.addAction(extensionAction);
                        });
                    }
                }
            }
        });
    }
    constructor(element, options = {}) {
        this._repaintRequest = (0,_jquery_helpers/* createJQueryCallbacks */.NG)();
        this._extensions = external_ko_.observableArray();
        this._serviceClient = external_ko_.observable();
        this._displayAllData = external_ko_.observable();
        this._isLoading = external_ko_.observable(false);
        this._perDashboardDisposables = [];
        this._layoutInfo = external_ko_.observable(null);
        this._layoutInfoProviderCollection = [];
        this._actualLayoutController = external_ko_.pureComputed(() => this._layoutInfo() && this._layoutInfo().layoutController());
        this._emptyControlTemplates = external_ko_.observableArray();
        this._surfaceLeft = external_ko_.observable(0);
        this._surfaceTop = external_ko_.observable(0);
        this.surfaceLeft = external_ko_.observable(0);
        this.surfaceTop = external_ko_.observable(0);
        this.isDesignMode = external_ko_.observable(true);
        this.dashboardContainer = external_ko_.observable();
        this.dashboard = external_ko_.computed(() => this.dashboardContainer() && this.dashboardContainer().dashboard || null);
        this.customTemplates = external_ko_.observableArray();
        this.getWidgetContainer = () => {
            if (!this._widgetContainer) {
                let wc = this._element.querySelector('.dx-dashboard-widget-container');
                if (wc) {
                    this._widgetContainer = wc;
                }
            }
            return this._widgetContainer;
        };
        this._updateController = new UpdateController({
            'updateItemToolbars': {
                action: () => {
                    if (this.dashboard()) {
                        this._viewerApi.updateItemCaptionToolbar();
                    }
                },
                masterActions: ['refreshData', 'reinitializeDashboard', 'loadDashboard']
            },
            'updateDashboardToolbar': {
                action: () => this._reinitializeDashboard(),
                masterActions: ['reinitializeDashboard', 'loadDashboard']
            },
            'refreshData': {
                action: () => this._reinitializeDashboard(),
                masterActions: ['reinitializeDashboard', 'loadDashboard']
            },
            'reinitializeDashboard': {
                action: () => this._reinitializeDashboard(),
                masterActions: ['loadDashboard']
            },
            'loadDashboard': {
                action: () => {
                    if (this.option('dashboardId')) {
                        this._loadDashboardCore(this.option('dashboardId'));
                    }
                    else {
                        this._unloadDashboardCore();
                    }
                }
            },
            'noop': {
                action: () => { },
                masterActions: ['updateItemToolbars', 'updateDashboardToolbar', 'refreshData', 'reinitializeDashboard', 'loadDashboard'],
            }
        }, (stateProvider, action) => {
            switch (stateProvider()) {
                case 'controlInitializing':
                    return 'noop';
                case 'controlInitialized':
                case 'dashboardLoading':
                case 'dashboardLoaded':
                case 'dashboardInitializing':
                    return action === 'loadDashboard' ? action : 'noop';
                case 'dashboardInitialized':
                    return action;
            }
        });
        this._workingModeChangeDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        (0,external_DevExpress_Analytics_Internal_._addLicenseTrigger)(options._licenseOptions);
        (0,external_DevExpress_Analytics_Internal_.useKoIntegration)();
        _initializeHtmlTemplates();
        _initializeSvgTemplates();
        _registerKoComponents();
        (0,_cssHelper/* createStylesElement */.Hp)(element, options.nonce);
        this._updateController.switchControlState('controlInitializing');
        this._element = element;
        this._controlOptions = this._getDefaultOptions();
        this._defaultControlOptions = this._getDefaultOptions();
        this._eventsStrategy = external_DevExpress_integration_namespaceObject.EventsStrategy.create(this, options.eventsStrategy);
        this._options = new external_DevExpress_integration_namespaceObject.Options(this._controlOptions, this._defaultControlOptions, this._getOptionsByReference(), this._getDeprecatedOptions());
        this._options.onChanging((name, previousValue, value) => this._optionChanging(name, value, previousValue));
        this._options.onChanged((name, value, previousValue) => this._notifyOptionChanged(name, value));
        this._options.onStartChange(() => this.beginUpdate());
        this._options.onEndChange(() => this.endUpdate());
        if (options.extensions) {
            for (let extensionName in options.extensions) {
                if (control_options/* extensionNameMap */.RY.hasOwnProperty(extensionName)) {
                    const newName = control_options/* extensionNameMap */.RY[extensionName];
                    if (newName !== extensionName) {
                        options.extensions[newName] = options.extensions[extensionName];
                        delete options.extensions[extensionName];
                    }
                }
            }
        }
        this.resizeByTimer = external_ko_.observable(this._defaultControlOptions.resizeByTimer);
        this.option(options);
        this._endpointCollection = this._unrollEndpointCollection(this.option());
        this.remoteService = this._remoteServiceFactory();
        legacy_settings/* LegacySettings */.l._useCardLegacyLayout = this.option('useCardLegacyLayout');
        this.surfaceLeft.subscribe(value => {
            this._surfaceLeft(value);
            this.repaint();
        });
        this.surfaceTop.subscribe(value => {
            this._surfaceTop(value);
            this.repaint();
        });
        this._dashboardContext = {
            beforeApplyViewerItemOptions: (0,_jquery_helpers/* createJQueryCallbacks */.NG)(),
            viewerItemCreated: (0,_jquery_helpers/* createJQueryCallbacks */.NG)(),
            viewerItemDispose: (0,_jquery_helpers/* createJQueryCallbacks */.NG)(),
            addContextToolbarItems: (0,_jquery_helpers/* createJQueryCallbacks */.NG)(),
            viewerItemCreator: {},
            refresh: (itemName) => this.refresh(itemName),
            useNeutralFilterMode: () => this.option('useNeutralFilterMode'),
            isDesignMode: this.isDesignMode,
            viewerItemsManager: null
        };
        this._dashboardContext.beforeApplyViewerItemOptions.add((item, itemOptions, isCreation) => {
            itemOptions.useNeutralFilterMode = this.option('useNeutralFilterMode');
            itemOptions.encodeHtml = this.encodeHtml;
        });
        this._externalTemplates = external_ko_.computed(() => {
            var result = [];
            this.customTemplates().forEach(template => {
                result.push(template);
            });
            this._extensions().forEach(extension => {
                if (extension['template']) {
                    if (typeof extension['template'] === 'string') {
                        result.push({
                            name: extension['template'],
                            data: extension
                        });
                    }
                    else {
                        result.push(extension['template']);
                    }
                }
            });
            return result;
        });
        this.notificationController = new NotificationController();
        this.isDesignMode.subscribe(isDesignMode => {
            this._validateWorkingMode();
        }, null, 'beforeChange');
        this.isDesignMode.subscribe(isDesignMode => {
            this._validateWorkingMode();
            this._initializeServiceClient(this.dashboardContainer());
        });
        this._allowSwitchToDesigner = this.option('workingMode') !== 'ViewerOnly';
        let extensionsToRegister = {};
        for (let name in control_options/* defaultExtensions */.wf) {
            extensionsToRegister[name] = control_options/* defaultExtensions */.wf[name];
        }
        if (this.allowSwitchToDesigner) {
            for (let name in control_options/* designerExtensions */.YS) {
                extensionsToRegister[name] = control_options/* designerExtensions */.YS[name];
            }
        }
        (0,external_DevExpress_Analytics_Internal_._setShowMessageFunc)((msg, type, displayTime, debugInfo) => { });
        this._dockingLayoutAdapter = new DockingLayoutAdapter(this);
        this._dockingLayoutAdapter.start();
        this._raiseEvent('initializing', { component: this });
        this._viewerApi = new ViewerApi(this);
        this._viewerApi.start();
        this._registerDefaultExtensions(extensionsToRegister, this.option('extensions'));
        this._registerKeyProcessing();
        this._isLoading.subscribe(isLoading => this.notificationController.suspended(isLoading));
        this._isLoading(true);
        this._updateController.switchControlState('controlInitialized');
        setTimeout(() => {
            if (!this.dashboard()) {
                this._loadInitialDashboard()
                    .done(() => {
                    var initialDashboardState = this.option('initialDashboardState');
                    if (initialDashboardState) {
                        this.dashboard().stateString = initialDashboardState;
                    }
                })
                    .always(() => { this._isLoading(false); });
            }
            else {
                this._isLoading(false);
            }
        }, 1);
        _defineDashboardControlObsoleteMethods(this);
        if (this.option('renderImmediately')) {
            this.render();
        }
    }
    _updateLayout() {
        var binders = this._layoutInfoProviderCollection;
        var binder = binders.filter(b => b.condition())[0];
        if (binder && (!this._layoutInfo() || binder.name !== this._layoutInfo().template.name)) {
            this._layoutInfo({
                template: {
                    name: binder.name,
                    data: binder.getViewModel(),
                },
                layoutController: binder.getLayoutController(),
            });
        }
    }
    get _colorSchemeCss() {
        return (0,_dx_devextreme_themes_integration/* getBaseColorScheme */.u)() === 'light' ? 'dx-color-scheme-light' : 'dx-color-scheme-dark';
    }
    repaint() {
        this._repaintRequest.fire();
    }
    render() {
        this._raiseEvent('beforeRender', { component: this });
        var openComment = document.createComment(" ko template: { name: 'dx-dashboard-control' } "), closingComment = document.createComment(' /ko ');
        this._element.appendChild(openComment);
        this._element.appendChild(closingComment);
        this._applyBindings(this._element);
    }
    maximizeDashboardItem(itemName) {
        if (this.dashboard()) {
            var dashboardItem = this.dashboard().findItem(itemName);
            if (dashboardItem) {
                var fullscreenItemProvider = this._getFullscreenItemProvider();
                if (fullscreenItemProvider) {
                    fullscreenItemProvider.maximizeItem(dashboardItem);
                }
            }
            else {
                throw Error("The item with the '" + itemName + "' name does not exist");
            }
        }
    }
    restoreDashboardItem() {
        var fullscreenItemProvider = this._getFullscreenItemProvider();
        fullscreenItemProvider && fullscreenItemProvider.restoreDownItem();
    }
    initializeDashboard(id, dashboardJson, initialState) {
        this._updateController.switchControlState('dashboardInitializing');
        if (this.option('dashboardId') !== id) {
            this.option('dashboardId', id);
        }
        this._unloadDashboardServices();
        var dashboard = new model_dashboard/* Dashboard */.x(dashboardJson);
        if (initialState) {
            dashboard._state(initialState);
        }
        let e = {
            component: this,
            dashboard: dashboard,
            dashboardId: id,
            ready: (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise()
        };
        this._raiseEvent('dashboardInitializing', e);
        if (dashboard.disposed)
            return;
        e.ready.done(() => {
            dashboard.items().forEach(item => item._useNeutralFilterMode(this.option('useNeutralFilterMode')));
            this._perDashboardDisposables.push((0,_knockout_utils/* subscribeArrayChange */.w$)(dashboard.items, {
                added: (newItem) => newItem._useNeutralFilterMode(this.option('useNeutralFilterMode'))
            }));
            var dashboardContainer = { id: id, dashboard: dashboard };
            this._initializeServiceClient(dashboardContainer);
            this._dataSourceBrowser = new _data_source_browser/* DataSourceBrowser */.wN(dashboard.dataSources, this.isDesignMode, dashboard.parameters, this._serviceClient, this._isLoading);
            this._dashboardContext.viewerItemsManager = new ViewerItemAdaptersManager();
            this._updateHubPrivate = new DashboardUpdateHub(dashboard, this.option('dataRequestOptions'), {
                getItemData: (item) => this._serviceClient().getItemData(item, isModeAllowsToReduceData()),
                getBatchItemData: (items) => this._serviceClient().getBatchItemData(items, isModeAllowsToReduceData()),
                getMapShapeFile: (item) => this._serviceClient().getMapShapeFile(item.componentName()),
                clearDimensionValuesCache: () => this._dataSourceBrowser?.clearDimensionValuesCache()
            }, () => this._actualLayoutController() && this._actualLayoutController().visibleItemsProvider || null);
            this._updateHubPrivate.dashboardBeginUpdate = () => this._raiseEvent('dashboardBeginUpdate', {
                component: this,
                dashboardId: this.dashboardContainer().id
            });
            this._updateHubPrivate.dashboardEndUpdate = () => this._raiseEvent('dashboardEndUpdate', {
                component: this,
                dashboardId: this.dashboardContainer().id
            });
            this._updateHubPrivate.itemBeginUpdate = (itemName) => this._raiseEvent('itemBeginUpdate', {
                component: this,
                dashboardId: this.dashboardContainer().id,
                itemName: itemName
            });
            this._updateHubPrivate.itemEndUpdate = (itemName) => this._raiseEvent('itemEndUpdate', {
                component: this,
                dashboardId: this.dashboardContainer().id,
                itemName: itemName
            });
            this.dashboardContainer(dashboardContainer);
            this.notificationController.reset();
            this._updateController.switchControlState('dashboardInitialized');
            this._raiseEvent('dashboardInitialized', {
                component: this,
                dashboardId: id,
                dashboard: dashboard
            });
            if (dashboard.disposed)
                return;
            this._raiseEvent('dashboardStateChanged', {
                component: this,
                dashboard: dashboard,
                dashboardId: id,
                stateString: dashboard.stateString
            });
            if (dashboard.disposed)
                return;
            let isModeAllowsToReduceData = () => {
                var limitMode = this.option('limitVisibleDataMode');
                return limitMode === 'DesignerAndViewer' || (this.isDesignMode() && limitMode === 'Designer');
            };
            this._updateHubPrivate.initialize();
            this._perDashboardDisposables.push(this.dashboard()._state.subscribe((_) => {
                this._raiseEvent('dashboardStateChanged', {
                    component: this,
                    dashboard: this.dashboard(),
                    dashboardId: this.dashboardContainer().id,
                    stateString: dashboard.stateString
                });
            }));
        }).fail(() => {
            this.notificationController.reset();
        });
    }
    requestDashboardList() {
        var urls = this._endpointCollection.dashboardUrls;
        if (urls) {
            return this.remoteService.getFromServer(urls.GetDashboardsAction, null, { cache: false })
                .fail(() => {
                this.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToLoadDashboards'));
            });
        }
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().reject().promise();
    }
    loadDashboard(dashboardId) {
        var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        if (this._dashboardLoadingDeferred) {
            this._dashboardLoadingDeferred.reject();
        }
        this._dashboardLoadingDeferred = def;
        if (this.option('dashboardId') === dashboardId) {
            this._loadDashboardCore(dashboardId);
        }
        else {
            this.option('dashboardId', dashboardId);
        }
        return def.promise();
    }
    _loadDashboardCore(dashboardId) {
        let isValidRequest = _helpers/* requestParamsValidator */.Ec.isValid({ dashboardId });
        var urls = this._endpointCollection && this._endpointCollection.dashboardUrls || null;
        if (urls && isValidRequest) {
            const prevDashboardState = this._updateController.getControlState();
            this._updateController.switchControlState('dashboardLoading');
            this.notificationController.showState((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.DashboardLoading'));
            return this.remoteService.getFromServer(urls.DashboardAction + '/' + encodeURIComponent(dashboardId), null, { cache: false })
                .done((result) => {
                (0,external_DevExpress_Analytics_Internal_._addLicenseTrigger)(result._licenseOptions);
                this._updateController.switchControlState('dashboardLoaded');
                if (this.option('dashboardId') === dashboardId) {
                    this.initializeDashboard(dashboardId, result.Dashboard, result.initialState);
                    this._dashboardLoadingDeferred && this._dashboardLoadingDeferred.resolve();
                }
            }).fail((val) => {
                this._updateController.switchControlState(prevDashboardState);
                this._dashboardLoadingDeferred && this._dashboardLoadingDeferred.reject();
                this.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToLoadDashboard') + dashboardId, val);
            });
        }
        this._dashboardLoadingDeferred && this._dashboardLoadingDeferred.reject();
        this.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToLoadDashboard') + String(dashboardId));
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().reject().promise();
    }
    unloadDashboard() {
        this.option('dashboardId', null);
    }
    _unloadDashboardCore() {
        this._unloadDashboardServices();
        this.dashboardContainer(null);
    }
    switchToViewer() {
        this.option('workingMode', 'Viewer');
    }
    _switchToViewer() {
        var actions = this.extensions
            .filter(extension => !!extension.designerToViewerAction)
            .map(extension => (0,_helpers/* toCancelableSequenceAction */.L1)(extension.designerToViewerAction))
            .sort((a, b) => a.orderNo - b.orderNo);
        let groups = (0,_utils/* groupByProperty */.WI)(actions, 'orderNo');
        this._workingModeChangeDeferred.reject();
        this._workingModeChangeDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        return DashboardControl._recursiveAsyncEval(groups, new _helpers/* CancellationToken */.XO(this._workingModeChangeDeferred), { surfaceLeft: this._surfaceLeft(), surfaceTop: this._surfaceTop() })
            .then(options => {
            this.surfaceLeft(options.surfaceLeft);
            this.surfaceTop(options.surfaceTop);
            this.isDesignMode(false);
            this._workingModeChangeDeferred.resolve();
        }, () => this.switchToDesigner());
    }
    switchToDesigner() {
        this.option('workingMode', 'Designer');
    }
    _switchToDesigner() {
        this._validateWorkingMode();
        var actions = this.extensions
            .filter(extension => !!extension.viewerToDesignerAction)
            .map(extension => (0,_helpers/* toCancelableSequenceAction */.L1)(extension.viewerToDesignerAction))
            .sort((a, b) => a.orderNo - b.orderNo);
        let groups = (0,_utils/* groupByProperty */.WI)(actions, 'orderNo');
        this._workingModeChangeDeferred.reject();
        this._workingModeChangeDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        return DashboardControl._recursiveAsyncEval(groups, new _helpers/* CancellationToken */.XO(this._workingModeChangeDeferred), { surfaceLeft: this._surfaceLeft(), surfaceTop: this._surfaceTop() })
            .then((options) => {
            this.surfaceLeft(options.surfaceLeft);
            this.surfaceTop(options.surfaceTop);
            this.isDesignMode(true);
            this._workingModeChangeDeferred.resolve();
        }, () => this.switchToViewer());
    }
    reloadData() {
        if (this.dashboard()) {
            this._serviceClient().markDataSourcesForReload().done((result) => {
                this.refresh();
            });
        }
    }
    refresh(args) {
        if (this.dashboard()) {
            var itemNames = [];
            if (!args) {
                itemNames = this.dashboard()._dataDashboardItems().map(item => item.componentName());
            }
            else if (typeof args === 'string') {
                itemNames = [args];
            }
            else if (Array.isArray(itemNames)) {
                itemNames = args;
            }
            else {
                throw Error('Invalid arguments');
            }
            this._updateHubPrivate.refreshItems(itemNames);
        }
    }
    getDashboardState() {
        var dashboard = this.dashboard();
        if (dashboard)
            return dashboard.stateString;
        return null;
    }
    setDashboardState(dashboardState) {
        var dashboard = this.dashboard();
        if (dashboard) {
            if (typeof dashboardState === 'string') {
                dashboard.stateString = dashboardState;
            }
            else {
                dashboard._state(dashboardState);
            }
        }
    }
    getDashboardId() {
        var dashboardContainer = this.dashboardContainer();
        if (dashboardContainer)
            return dashboardContainer.id;
        return null;
    }
    registerIcon(icon, id) {
        ResourceManager.registerIcon(icon, id);
    }
    registerExtension(...extensions) {
        extensions.forEach(extension => {
            if (this._canAddExtension(extension))
                this._registerExtensionCore(extension);
        });
    }
    _registerExtensionCore(extension) {
        const camelCaseExtensionName = this._getCamelCaseExtensionName(extension.name);
        const optionsManager = extension._optionsManager;
        if (optionsManager) {
            if (typeof this._controlOptions.extensions !== 'object') {
                this._controlOptions.extensions = {};
            }
            this._controlOptions.extensions[camelCaseExtensionName] = optionsManager.getInitialOptions();
            this._defaultControlOptions.extensions[camelCaseExtensionName] = optionsManager.getDefaultOptions();
        }
        else {
            this._controlOptions.extensions = this._controlOptions.extensions || {};
            this._controlOptions.extensions[camelCaseExtensionName] = {};
        }
        this._addExtension(extension);
        this._startExtension(extension);
    }
    findExtension(extensionName) {
        const camelName = this._getCamelCaseExtensionName(extensionName);
        return this._extensions().find(ext => ext.name === camelName);
    }
    unregisterExtension(...extensionNames) {
        extensionNames.forEach(name => {
            const camelName = this._getCamelCaseExtensionName(name);
            this.option(`extensions.${camelName}`, false);
            this._defaultControlOptions.extensions[camelName] = false;
        });
    }
    _unregisterExtensionCore(...extensionNames) {
        extensionNames.forEach(extensionName => {
            var extension = this.findExtension(extensionName);
            if (!!extension) {
                var customItemExtension = extension;
                if (customItemExtension.createViewerItem) {
                    this._dashboardContext.viewerItemCreator[extension.name] = undefined;
                }
                if (customItemExtension.metaData) {
                    delete serializable_model/* itemTypesMap */.Jh[extension.name];
                }
                extension.stop && extension.stop();
                this._extensions.remove(extension);
            }
        });
    }
    subscribeExtensionsChanged(handlers) {
        return (0,_knockout_utils/* subscribeArrayChange */.w$)(this._extensions, handlers);
    }
    dispose() {
        this._unloadDashboardCore();
        this._viewerApi.stop();
        this._dockingLayoutAdapter.dispose();
        external_jQuery_.fn.constructor(document).off('.dx-dshd');
        external_ko_.cleanNode(this._element);
        this._element.innerHTML = '';
    }
    _renderDashboardItem(element, dashboardItemName, isStandalone = true) {
        var openComment = document.createComment(" ko template: { name: 'dx-dashboard-standalone-item' } "), closingComment = document.createComment(' /ko ');
        element.appendChild(openComment);
        element.appendChild(closingComment);
        var dashboardItem = external_ko_.computed(() => this.dashboard() && this.dashboard().items().filter(i => i.componentName.peek() === dashboardItemName)[0]);
        this._applyBindings(element, {
            dashboardItem: dashboardItem,
            context: this._dashboardContext,
            sizeController: new SingleItemSizeController(element, this._repaintRequest),
            isStandalone: isStandalone
        });
    }
    _getFullscreenItemProvider() {
        return this._actualLayoutController() && this._actualLayoutController().fullscreenItemProvider;
    }
    _registerKeyProcessing() {
        _staticInitialize();
        var _ignoreKeyProcessing = () => {
            if (!this.isDesignMode() || !this._actualLayoutController()) {
                return true;
            }
            var activeElement = external_jQuery_.fn.constructor(document.activeElement);
            if (activeElement.is('textarea') || activeElement.is(':input') && (['password', 'text', 'number'].indexOf(activeElement.attr('type')) != -1)) {
                return true;
            }
            return false;
        };
        external_jQuery_.fn.constructor(document).on('keyup.dx-dshd', (e) => {
            if (_ignoreKeyProcessing()) {
                return;
            }
            if (this._dockingLayoutAdapter.processKeyEvent && this._dockingLayoutAdapter.processKeyEvent('keyup', e)) {
                return false;
            }
            var i;
            for (i = 0; i < this._extensions().length; i++) {
                var extension = this._extensions()[i];
                if (extension.processKeyEvent && extension.processKeyEvent('keyup', e)) {
                    return false;
                }
            }
        });
        external_jQuery_.fn.constructor(document).on('keydown.dx-dshd', (e) => {
            if (_ignoreKeyProcessing()) {
                return;
            }
            var i;
            for (i = 0; i < this._extensions().length; i++) {
                var extension = this._extensions()[i];
                if (extension.processKeyEvent && extension.processKeyEvent('keydown', e)) {
                    return false;
                }
            }
        });
    }
    _registerDefaultExtensions(extensions, extensionOptions = {}) {
        if (extensionOptions !== false) {
            for (let extensionName in extensions) {
                const camelName = this._getCamelCaseExtensionName(extensionName);
                let options = extensionOptions[camelName];
                if (options !== false) {
                    if (!!options && typeof options !== 'object') {
                        throw Error('Extension options ');
                    }
                    let extension = extensions[extensionName](this, options);
                    this._canAddExtension(extension) && this._addExtension(extension);
                    var optionsManager = extension._optionsManager;
                    this._controlOptions.extensions[camelName] = (0,_jquery_helpers/* deepExtend */.zw)({}, optionsManager && optionsManager.getInitialOptions(), options);
                    this._defaultControlOptions.extensions[camelName] = optionsManager && optionsManager.getDefaultOptions();
                }
            }
            if (typeof extensionOptions === 'object') {
                for (let extensionName in extensionOptions) {
                    const camelName = this._getCamelCaseExtensionName(extensionName);
                    let options = extensionOptions[camelName];
                    if (typeof options === 'function') {
                        let extensionCreator = options;
                        let extension = extensionCreator(this);
                        this._canAddExtension(extension) && this._addExtension(extension);
                        var optionsManager = extension._optionsManager;
                        this._controlOptions.extensions[camelName] = optionsManager && optionsManager.getInitialOptions();
                        this._defaultControlOptions.extensions[camelName] = optionsManager && optionsManager.getDefaultOptions();
                    }
                }
            }
        }
        this.extensions.forEach(extension => this._startExtension(extension));
    }
    _unrollEndpointCollection(options) {
        if (options['endpointCollection']) {
            return options['endpointCollection'];
        }
        else if (options.endpoint) {
            return {
                dashboardUrls: {
                    DashboardAction: options.endpoint + '/dashboards',
                    GetDashboardsAction: options.endpoint + '/dashboards'
                },
                dataSourceUrls: {
                    GetDataSourcesAction: options.endpoint + '/dataSources'
                },
                dataSourceWizardUrls: {
                    DataSourceWizardAction: options.endpoint + '/data/DataSourceWizardAction',
                    GetConnectionStringsAction: options.endpoint + '/data/GetConnectionStringsAction'
                },
                dataServiceUrls: {
                    ConvertItemAction: options.endpoint + '/data/ConvertItemAction',
                    DashboardItemGetAction: options.endpoint + '/data/DashboardItemGetAction',
                    DimensionFilterItemsAction: options.endpoint + '/data/DimensionFilterItemsAction',
                    DimensionFilterStringAction: options.endpoint + '/data/DimensionFilterStringAction',
                    DimensionUniqueValuesAction: options.endpoint + '/data/DimensionUniqueValuesAction',
                    FieldListAction: options.endpoint + '/data/FieldListAction',
                    GetColoringSchemeAction: options.endpoint + '/data/GetColoringSchemeAction',
                    GetDashboardPaletteAction: options.endpoint + '/data/GetDashboardPaletteAction',
                    GetMapShapeFileAction: options.endpoint + '/data/GetMapShapeFileAction',
                    GetUnderlyingDataAction: options.endpoint + '/data/GetUnderlyingDataAction',
                    MarkDataSourcesForReloadAction: options.endpoint + '/data/MarkDataSourcesForReloadAction',
                    ParameterValuesAction: options.endpoint + '/data/ParameterValuesAction',
                    PerformExportAction: options.endpoint + '/data/PerformExportAction',
                    DashboardItemBatchGetAction: options.endpoint + '/data/DashboardItemBatchGetAction',
                    GetAvailableFontFamiliesAction: options.endpoint + '/data/GetAvailableFontFamiliesAction'
                }
            };
        }
        else {
            return {};
        }
    }
    _loadInitialDashboard() {
        if (!!this.option('dashboardId')) {
            return this._loadDashboardCore(this.option('dashboardId'));
        }
        else if (!!this.option('initialDashboardId')) {
            return this.loadDashboard(this.option('initialDashboardId'));
        }
        else if (!!this.option('loadDefaultDashboard')) {
            var res = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            this.requestDashboardList()
                .done(items => {
                if (items[0]) {
                    this.loadDashboard(items[0].id)
                        .done(() => res.resolve())
                        .fail(() => res.reject());
                }
                else {
                    res.reject();
                }
            })
                .fail(() => {
                res.reject();
            });
            return res.promise();
        }
        else {
            return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
        }
    }
    _initializeServiceClient(dashboardContainer) {
        var serviceClient = this.isDesignMode() ?
            !this._validateWorkingMode() && new DesignerDataServiceClient(dashboardContainer, this.notificationController, this._endpointCollection.dataServiceUrls, this.remoteService) || null :
            new ViewerDataServiceClient(dashboardContainer, this.notificationController, this._endpointCollection.dataServiceUrls, this.remoteService);
        this._serviceClient(serviceClient);
    }
    _validateWorkingMode() {
        if (!this.allowSwitchToDesigner) {
            throw Error('Cannot switch to Designer from the ViewerOnly mode.');
        }
        return false;
    }
    _canAddExtension(extension) {
        if (!!this.findExtension(extension.name)) {
            console.error("The extension with the '" + extension.name + "' name is already registered.");
            return false;
        }
        return true;
    }
    _addExtension(extension) {
        this._extensions.push(extension);
        var customItemExtension = extension;
        if (customItemExtension.createViewerItem) {
            this._dashboardContext.viewerItemCreator[extension.name] = customItemExtension.createViewerItem;
        }
        if (customItemExtension.metaData) {
            serializable_model/* itemTypesMap */.Jh[extension.name] = (0,_jquery_helpers/* deepExtend */.zw)({
                type: custom_item/* CustomItem */.F,
                customItemType: extension.name,
            }, customItemExtension.metaData);
        }
    }
    _startExtension(extension) {
        extension.start && extension.start();
    }
    _unloadDashboardServices() {
        var dashboard = this.dashboard();
        this._perDashboardDisposables.forEach(d => d.dispose());
        this._perDashboardDisposables.splice(0, this._perDashboardDisposables.length);
        if (dashboard) {
            dashboard.dispose();
            this._dashboardContext.viewerItemsManager.dispose();
            if (this._updateHubPrivate) {
                this._updateHubPrivate.dispose();
                this._updateHubPrivate = null;
            }
            if (this._dataSourceBrowser) {
                this._dataSourceBrowser.dispose();
                this._dataSourceBrowser = null;
            }
        }
    }
    _applyBindings(element, additionalProperties) {
        var viewModel = {
            getWidgetContainer: this.getWidgetContainer,
            surfaceLeft: this._surfaceLeft,
            surfaceTop: this._surfaceTop,
            colorSchemeCss: this._colorSchemeCss,
            classList: () => this._classList,
            isDashboardLoaded: external_ko_.computed(() => !!this.dashboard()),
            layoutTemplate: (0,_knockout_utils/* safeComputed */.Tq)({ info: this._layoutInfo }, ({ info }) => info.template),
            externalTemplates: this._externalTemplates,
            emptyControlTemplates: this._emptyControlTemplates,
            notificationController: this.notificationController,
            isLoading: this._isLoading,
            getLocalizationById: _default/* getLocalizationById */.Mu,
            extend: _jquery_helpers/* extend */.X$,
            $unwrap: _jquery_helpers/* $unwrap */.I1,
            $: external_jQuery_,
            ko: external_ko_,
            ...additionalProperties
        };
        (0,external_DevExpress_Analytics_Internal_.appendStaticContextToRootViewModel)(viewModel);
        external_ko_.applyBindings(viewModel, element);
    }
    _remoteServiceFactory() {
        return this._createRemoteService({
            ajaxRemoteService: this.option('ajaxRemoteService'),
            fetchRemoteService: this.option('fetchRemoteService')
        });
    }
    _createRemoteService(option) {
        if (_utils/* type */.NW.isDefined(option.ajaxRemoteService) && _utils/* type */.NW.isDefined(option.fetchRemoteService)) {
            throw new Error('You cannot register more than one type of remote service. Use either ajaxRemoteService or fetchRemoteService.');
        }
        if (_utils/* type */.NW.isDefined(option.ajaxRemoteService)) {
            return new AjaxRemoteService(option.ajaxRemoteService);
        }
        return new FetchRemoteService(option.fetchRemoteService);
    }
}
external_ko_.bindingHandlers['element-height-change-provider'] = {
    init: (el, valueAccessor, allbindings, viewmodel, bindingcontext) => {
        var data = external_ko_.unwrap(valueAccessor());
        var recalculate = () => {
            setTimeout(() => {
                data.height((0,_jquery_helpers/* getHeight */.Oq)(el));
            }, 0);
        };
        data.model.subscribe(function () {
            recalculate();
        });
        recalculate();
    }
};
external_ko_.bindingHandlers['dxAttach2Model'] = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        var attachmentName = external_ko_.unwrap(valueAccessor());
        if (['getLookupDefaultValuesSelectBoxOptions', 'getLookupDefaultValueSelectBoxOptions', 'dataSourceBrowser'].indexOf(attachmentName) === -1) {
            throw 'non supported';
        }
        var findAttachment = (name) => {
            var context = bindingContext.$parents.filter((item) => { return item[name] !== undefined; })[0];
            if (context) {
                return context[name];
            }
            return null;
        }, attachment = findAttachment(attachmentName);
        if (attachment) {
            viewModel[attachmentName] = attachment;
        }
    }
};
function _staticInitialize() {
    external_DevExpress_ui_dxPopup_default().defaultOptions({
        options: {
            onInitialized: (e) => {
                const popup = e.component;
                popup.registerKeyHandler('escape', function (e) {
                    e.originalEvent.stopPropagation();
                    popup.hide();
                });
            }
        }
    });
}
function _defineDashboardControlObsoleteMethods(control) {
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'toolbox',
        oldMemberDisplayName: 'DashboardControl.toolbox',
        newMemberDisplayName: 'ToolboxExtension.toolboxGroups',
        action: () => {
            var toolboxExtension = control.findExtension('toolbox');
            if (toolboxExtension) {
                return toolboxExtension.toolboxGroups;
            }
            else {
                console.error('The ToolboxExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'toolbarItems',
        oldMemberDisplayName: 'DashboardControl.toolbarItems',
        newMemberDisplayName: 'ToolboxExtension.toolbarGroups',
        action: () => {
            var toolboxExtension = control.findExtension('toolbox');
            if (toolboxExtension) {
                return toolboxExtension.toolbarGroups;
            }
            else {
                console.error('The ToolboxExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'menuItems',
        oldMemberDisplayName: 'DashboardControl.menuItems',
        newMemberDisplayName: 'ToolboxExtension.menuItems',
        action: () => {
            var toolboxExtension = control.findExtension('toolbox');
            if (toolboxExtension) {
                return toolboxExtension.menuItems;
            }
            else {
                console.error('The ToolboxExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'menuVisible',
        oldMemberDisplayName: 'DashboardControl.menuVisible',
        newMemberDisplayName: 'ToolboxExtension.menuVisible',
        action: () => {
            var toolboxExtension = control.findExtension('toolbox');
            if (toolboxExtension) {
                return toolboxExtension.menuVisible;
            }
            else {
                console.error('The toolboxExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'selectMenuItem',
        oldMemberDisplayName: 'DashboardControl.selectMenuItem',
        newMemberDisplayName: 'ToolboxExtension.selectMenuItem',
        action: () => {
            var toolboxExtension = control.findExtension('toolbox');
            if (toolboxExtension) {
                return toolboxExtension.selectMenuItem;
            }
            else {
                console.error('The toolboxExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'undoEngine',
        oldMemberDisplayName: 'DashboardControl.undoEngine',
        newMemberDisplayName: 'UndoRedoExtension.undoEngine',
        action: () => {
            var undoEngineExtension = control.findExtension('undoRedo');
            if (undoEngineExtension) {
                return undoEngineExtension.undoEngine;
            }
            else {
                console.error('The UndoRedoExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: control,
        memberName: 'colorSchemeCss',
        warmMessage: 'The DashboardControl.colorSchemeCss is obsolete. Use the DevExpress.ui.themes.current method instead.',
        action: () => control._colorSchemeCss
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: control,
        memberName: 'saveDashboard',
        oldMemberDisplayName: 'DashboardControl.saveDashboard',
        newMemberDisplayName: 'SaveDashboardExtension.saveDashboard',
        action: () => {
            var saveDashboardExtension = control.findExtension('saveDashboard');
            if (saveDashboardExtension) {
                return saveDashboardExtension.saveDashboard();
            }
            else {
                console.error('The SaveDashboardExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: control,
        memberName: 'ensureDashboardSaved',
        oldMemberDisplayName: 'DashboardControl.ensureDashboardSaved',
        newMemberDisplayName: 'SaveDashboardExtension.ensureDashboardSaved',
        action: (action) => {
            var saveDashboardExtension = control.findExtension('saveDashboard');
            if (saveDashboardExtension) {
                return saveDashboardExtension.ensureDashboardSaved(action);
            }
            else {
                console.error('The SaveDashboardExtension could not be found.');
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: control,
        memberName: 'clearDesigner',
        oldMemberDisplayName: 'DashboardControl.clearDesigner',
        newMemberDisplayName: 'DashboardControl.unloadDashboard',
        action: () => control.unloadDashboard()
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: control,
        memberName: 'close',
        oldMemberDisplayName: 'DashboardControl.close',
        newMemberDisplayName: 'DashboardControl.unloadDashboard',
        action: () => control.unloadDashboard()
    });
}
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('template: { name: \'dx-dashboard-control\' }', function () {
    return {
        'template': function () {
            return { name: 'dx-dashboard-control' };
        }
    };
});
(0,external_DevExpress_Analytics_Widgets_Internal_.addToBindingsCache)('dxControlsDescendantBindings: true', function () {
    return {
        'dxControlsDescendantBindings': function () {
            return true;
        }
    };
});

;// ./dist/common/extensions/dashboard-panel-extension/dashboard-panel-extension.js











const dashboard_panel_extension_name = 'dashboardPanel';
const nameAlias = 'dashboard-panel';
class DashboardPanelExtension {
    get _templateName() {
        if (this._isMobile()) {
            return this.options.dashboardThumbnail ? 'dashboard-preview' : 'dashboard-card-view';
        }
        return 'dashboard-list-item';
    }
    constructor(dashboardControl, options = {}) {
        this.dashboardControl = dashboardControl;
        this.options = options;
        this.name = dashboard_panel_extension_name;
        this._iconBack = 'dx-dashboard-back';
        this._flexParent = 'dx-dashboard-flex-parent';
        this._dashboardsButton = 'dx-dashboard-back-button';
        this._dashboardTruncated = 'dx-dashboard-truncated';
        this._ellipsisText = 'dx-dashboard-ellipsis';
        this._itemTemplate = external_ko_.observable();
        this._isMobile = external_ko_.observable(false);
        this._disposables = [];
        this.panelWidth = 250;
        this.visible = external_ko_.observable(false);
        this.allowSwitchToDesigner = external_ko_.observable();
        this.selectedItemKeys = external_ko_.observableArray();
        this.availableDashboards = external_ko_.observableArray();
        this._actualPanelWidth = external_ko_.observable();
        this.showPanelAsync = (options) => {
            return this._showPanelAsync(options, _helpers/* CancellationToken */.XO.None);
        };
        this._showPanelAsync = (options, cancellationToken) => {
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            if (cancellationToken.canceled)
                def.reject();
            else {
                this.visible(true);
                this.updateDashboardsList();
                setTimeout(() => {
                    if (!cancellationToken.canceled) {
                        options.surfaceLeft = this.panelWidth;
                        def.resolve(options);
                    }
                    else {
                        def.reject();
                    }
                }, 500);
            }
            return def.promise();
        };
        this.hidePanelAsync = (options) => {
            return this._hidePanelAsync(options, _helpers/* CancellationToken */.XO.None);
        };
        this._hidePanelAsync = (options, cancellationToken) => {
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            if (cancellationToken.canceled)
                def.reject();
            else {
                this.visible(false);
                setTimeout(() => {
                    if (!cancellationToken.canceled) {
                        options.surfaceLeft = 0;
                        def.resolve(options);
                    }
                    else {
                        def.reject();
                    }
                }, 500);
            }
            return def.promise();
        };
        this.switchToViewer = () => {
            this.dashboardControl.switchToViewer();
        };
        this.switchToDesigner = () => {
            this.dashboardControl.switchToDesigner();
        };
        let cancelableDesignerToViewerAction = {
            orderNo: 60,
            action: this.showPanelAsync,
            cancelableAction: this._showPanelAsync
        };
        this.designerToViewerAction = cancelableDesignerToViewerAction;
        let cancelableViewerToDesignerAction = {
            orderNo: 20,
            action: this.hidePanelAsync,
            cancelableAction: this._hidePanelAsync
        };
        this.viewerToDesignerAction = cancelableViewerToDesignerAction;
    }
    start() {
        var mobileExtension = this.dashboardControl.findExtension('mobileLayout');
        this._isMobile(mobileExtension && mobileExtension.mobileLayoutEnabled());
        mobileExtension && this._disposables.push(mobileExtension.mobileLayoutEnabled.subscribe(() => {
            this.stop();
            this.start();
        }));
        if (this._isMobile())
            this.allowSwitchToDesigner(false);
        else if (this.allowSwitchToDesigner() === undefined) {
            this.allowSwitchToDesigner(this.dashboardControl.allowSwitchToDesigner);
        }
        this.visible(this._isMobile() ? false : !this.dashboardControl.isDesignMode());
        this._itemTemplate(this._templateName);
        if (this._isMobile()) {
            this._actualPanelWidth(external_jQuery_.fn.constructor(window).width());
            external_DevExpress_devices_default().on('orientationChanged', (e) => {
                this._actualPanelWidth(external_jQuery_.fn.constructor(window).width());
            });
        }
        else {
            this._actualPanelWidth(this.panelWidth);
        }
        this._customTemplate = this._getCustomTemplate();
        this.dashboardControl.customTemplates.push(this._customTemplate);
        this._disposables.push(this.dashboardControl.dashboardContainer.subscribe(dashboardContainer => {
            if (dashboardContainer) {
                this._validateSelection(dashboardContainer, this.availableDashboards());
            }
        }));
        if (this._isMobile()) {
            var api = this.dashboardControl.findExtension('viewerApi');
            api.on('dashboardTitleToolbarUpdated', (args) => {
                args.options.navigationItems.push({
                    name: dashboardToolbarItemNames.dashboardList,
                    type: 'button',
                    template: () => {
                        return external_jQuery_.fn.constructor('<div/>')
                            .addClass([this._flexParent, this._ellipsisText].join(' '))
                            .append((0,_utils/* getTemplate */.$F)(this._iconBack))
                            .append(external_jQuery_.fn.constructor('<div/>').text((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dashboards')).addClass([this._dashboardsButton, this._dashboardTruncated].join(' ')));
                    },
                    click: () => {
                        this.showPanelAsync({ surfaceLeft: this._actualPanelWidth() });
                    }
                });
            });
        }
        if (!this.dashboardControl.isDesignMode()) {
            this.dashboardControl.surfaceLeft(this._isMobile() ? 0 : this.panelWidth);
        }
        setTimeout(() => {
            this.updateDashboardsList();
        });
    }
    stop() {
        this.dashboardControl.surfaceLeft(0);
        this._disposables.forEach(d => d.dispose());
        this._disposables = [];
        this.dashboardControl.customTemplates.remove(this._customTemplate);
    }
    updateDashboardsList() {
        var dashboardContainer = this.dashboardControl.dashboardContainer();
        let options = this.options;
        this.dashboardControl.requestDashboardList().done((availableDashboards) => {
            this.availableDashboards(availableDashboards.map(dashboard => new PanelExtensionDashboardInfo(dashboard.id, dashboard.name, options.dashboardThumbnail ? (0,external_DevExpress_utils_string_.format)(options.dashboardThumbnail, dashboard.id) : undefined)));
            this._validateSelection(this.dashboardControl.dashboardContainer(), this.availableDashboards());
        });
    }
    _validateSelection(dashboardContainer, avaliableDashboards) {
        if (dashboardContainer) {
            var dashboardInfo = avaliableDashboards.filter(info => info.id === dashboardContainer.id)[0];
            if (dashboardInfo) {
                this.selectedItemKeys([dashboardInfo.id]);
            }
        }
    }
    _hidePanel() {
        if (this._isMobile()) {
            this.hidePanelAsync({ surfaceLeft: 0 });
        }
    }
    _getCustomTemplate() {
        var enableAnimation = external_ko_.observable(!this.visible());
        let listOptions = {
            noDataText: '',
            encodeNoDataText: true,
            keyExpr: 'id',
            selectionMode: 'single',
            itemTemplate: this._itemTemplate,
            activeStateEnabled: (0,external_DevExpress_ui_themes_.isMaterial)((0,external_DevExpress_ui_themes_.current)()),
            selectedItemKeys: this.selectedItemKeys,
            onItemClick: () => { this._hidePanel(); },
            searchEnabled: external_ko_.computed(() => this._isMobile()),
            searchExpr: ['id', 'name'],
            hoverStateEnabled: external_ko_.computed(() => !this._isMobile()),
            focusStateEnabled: false,
            searchEditorOptions: {
                placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Search')
            },
            onOptionChanged: (e) => {
                if (e.name === 'selectedItemKeys' && this.selectedItemKeys().length > 0) {
                    let selectedItem = this.availableDashboards().filter(item => item.id === this.selectedItemKeys()[0])[0];
                    e.component.scrollToItem(this.availableDashboards().indexOf(selectedItem));
                }
            },
            onSelectionChanged: (e) => {
                if (e.addedItems.length) {
                    var newDashboardId = e.addedItems[0].id;
                    if (!this.dashboardControl.dashboardContainer() || this.dashboardControl.dashboardContainer().id !== newDashboardId) {
                        this.dashboardControl.loadDashboard(newDashboardId);
                    }
                }
            },
        };
        if (this._isMobile()) {
            listOptions.dataSource = (this.availableDashboards);
        }
        else {
            listOptions.items = this.availableDashboards;
        }
        var resizeTimer;
        var prevContainerHeight;
        var getContainerHeight = (component) => (0,_jquery_helpers/* $unwrap */.I1)(component.option('container')).clientHeight;
        return {
            name: 'dx-dashboard-working-mode-extension',
            data: {
                panelWidth: this._actualPanelWidth,
                allowSwitchToDesigner: this.allowSwitchToDesigner,
                visible: this.visible,
                isMobile: this._isMobile,
                hidePanel: () => { this._hidePanel(); },
                switchToDesigner: this.switchToDesigner,
                switchToViewer: this.switchToViewer,
                listOptions: listOptions,
                enableAnimation: enableAnimation,
                onPopupInitialized: (e) => {
                    prevContainerHeight = getContainerHeight(e.component);
                    resizeTimer = setInterval(() => {
                        if (e.component.option('visible')) {
                            var currentContainerHeight = getContainerHeight(e.component);
                            if (currentContainerHeight !== prevContainerHeight) {
                                prevContainerHeight = currentContainerHeight;
                                e.component.repaint();
                            }
                        }
                    }, 300);
                },
                onPopupDisposing: (e) => {
                    clearTimeout(resizeTimer);
                }
            }
        };
    }
}
class PanelExtensionDashboardInfo {
    constructor(id, name, imageUrl) {
        this.id = id;
        this.name = name;
        this.imageUrl = imageUrl;
        this.hidden = external_ko_.observable(false);
    }
    hide() {
        this.hidden(true);
    }
}
control_options/* extensionNameMap */.RY[nameAlias] = dashboard_panel_extension_name;

;// ./dist/common/extensions/data-inspector-extension/data-inspector-extension.js












const data_inspector_extension_name = 'dataInspector';
const data_inspector_extension_nameAlias = 'data-inspector';
class DataInspectorExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl, options = {}) {
        super();
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._defaultOptions = {
            allowInspectAggregatedData: false,
            allowInspectRawData: false
        };
        this.name = data_inspector_extension_name;
        this._addContextToolbarItem = (toolbarOptions, dashboardItem) => {
            if ((this._optionsManager.get('allowInspectAggregatedData') || this._optionsManager.get('allowInspectRawData')) && dashboardItem instanceof dist_model.DataDashboardItem) {
                toolbarOptions.actionItems.push({
                    hint: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ActionShowDataInspector'),
                    icon: 'dx-dashboard-data-inspector',
                    name: dashboardToolbarItemNames.dataInspector,
                    type: 'button',
                    click: (e) => {
                        this._currentTargetElement = e;
                        this._viewModel.show(dashboardItem, this._optionsManager.get('allowInspectAggregatedData'), this._optionsManager.get('allowInspectRawData'));
                    }
                });
            }
        };
        this._optionsManager.initialize({
            extensionName: data_inspector_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: this._defaultOptions,
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => this._optionChanged(args)
        });
        this._dashboardControl = dashboardControl;
        this._viewModel = new DataInspectorViewModel({
            getContainer: () => DashboardLayoutModeHelper.isMobile ? window.document.body : dashboardControl.getWidgetContainer(),
            onGridContentReady: (e) => { this._optionsManager.raiseEvent('gridContentReady', e); },
            onGridInitialized: (e) => { this._optionsManager.raiseEvent('gridInitialized', e); },
            onDialogShowing: (e) => { this._optionsManager.raiseEvent('dialogShowing', e); },
            onDialogShown: (e) => { this._optionsManager.raiseEvent('dialogShown', e); },
            onDialogHidden: (e) => {
                const target = (0,_jquery_helpers/* $unwrap */.I1)(this._currentTargetElement);
                if (target) {
                    if (!target.hasAttribute('tabindex') || target.getAttribute('tabindex') === '-1') {
                        this._currentTargetElement = PopupMenuCreator.getParentWithTabIndex(this._currentTargetElement);
                    }
                    this._currentTargetElement && this._currentTargetElement.focus();
                }
                this._optionsManager.raiseEvent('dialogHidden', e);
            },
        });
        this.toDispose(this._viewModel);
        this.toDispose({ dispose: () => this._currentTargetElement = null });
        this._customTemplate = {
            name: 'dx-dashboard-data-inspector-extension',
            data: this._viewModel
        };
    }
    _optionChanged(args) {
        switch (args.name) {
            case 'allowInspectAggregatedData':
            case 'allowInspectRawData':
                this.hideDataInspector();
                return 'updateItemToolbars';
            default:
                return null;
        }
    }
    start() {
        this._dashboardControl.customTemplates.push(this._customTemplate);
        if (this._dashboardControl._serviceClient()) {
            this._viewModel.setUnderlyingDataProvider(new UnderlyingDataProvider(this._dashboardControl._serviceClient()));
        }
        this.toDispose(this._dashboardControl._serviceClient.subscribe(serviceClient => {
            this._viewModel.setUnderlyingDataProvider(new UnderlyingDataProvider(serviceClient));
        }));
        this._dashboardControl._dashboardContext.addContextToolbarItems.add(this._addContextToolbarItem);
    }
    stop() {
        this._dashboardControl.customTemplates.remove(this._customTemplate);
        this._dashboardControl._dashboardContext.addContextToolbarItems.remove(this._addContextToolbarItem);
    }
    showDataInspector(dashboardItemName, inspectedType) {
        var dashboard = this._dashboardControl.dashboard();
        if (dashboard) {
            var dashboardItem = findItemForApi(dashboard, dashboardItemName, dist_model.DataDashboardItem);
            this._viewModel.show(dashboardItem, this._optionsManager.get('allowInspectAggregatedData'), this._optionsManager.get('allowInspectRawData'), inspectedType);
        }
    }
    currentInspectedType() {
        return this._viewModel.visible() && this._viewModel.inspectedDataType() || null;
    }
    hideDataInspector() {
        this._viewModel.visible(false);
    }
}
control_options/* defaultExtensions */.wf[data_inspector_extension_nameAlias] = (dashboardControl, options) => new DataInspectorExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[data_inspector_extension_nameAlias] = data_inspector_extension_name;

;// ./dist/common/extensions/export-extension.js





const export_extension_name = 'dashboardExport';
const export_extension_nameAlias = 'dashboard-export';
class DashboardExportExtension {
    get allowExportDashboard() { return this._optionsManager.get('allowExportDashboard'); }
    set allowExportDashboard(value) { this._optionsManager.set('allowExportDashboard', value); }
    get allowExportDashboardItems() { return this._optionsManager.get('allowExportDashboardItems'); }
    set allowExportDashboardItems(value) { this._optionsManager.set('allowExportDashboardItems', value); }
    _initializeExportButton(localContext) {
        localContext.beforeApplyViewerItemOptions.add((item, options, isCreation) => {
            options.allowExport = this.allowExportDashboardItems;
            options.showExportDialog = (format, itemElement) => this._showExportDashboardItemDialog(item.componentName(), format, itemElement);
        });
    }
    _initializePrimaryExportItem(localContext) {
        this._initializeExportButton(localContext);
        localContext.viewerItemCreated.add((item, viewerItem) => {
            if (viewerItem.visualMode === 'caption') {
                this._exportInfoContoller.registerCaptionExportItem(item.componentName(), () => viewerItem.getInfo());
            }
            else {
                this._exportInfoContoller.registerPrimaryExportItem(item.componentName(), () => viewerItem.getInfo());
            }
        });
        localContext.viewerItemDispose.add((item, viewerItem) => {
            if (viewerItem.visualMode === 'caption') {
                this._exportInfoContoller.unregisterCaptionExportItem(item.componentName());
            }
            else {
                this._exportInfoContoller.unregisterPrimaryExportItem(item.componentName());
            }
        });
    }
    _initializeSecondaryExportItem(localContext) {
        this._initializeExportButton(localContext);
        localContext.viewerItemCreated.add((item, viewerItem) => {
            this._exportInfoContoller.registerSecondaryExportItem(item.componentName(), () => viewerItem.getInfo());
        });
        localContext.viewerItemDispose.add((item, viewerItem) => {
            this._exportInfoContoller.unregisterSecondaryExportItem(item.componentName());
        });
    }
    constructor(dashboardControl, options = {}) {
        this.dashboardControl = dashboardControl;
        this._exportInfoContoller = new ExportInfoManager();
        this.name = export_extension_name;
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        let defaultOptions = {
            allowExportDashboard: true,
            allowExportDashboardItems: true,
        };
        this._optionsManager.initialize({
            extensionName: export_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: defaultOptions,
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => this._optionChanged(args)
        });
        this._dialogBinder = new ExportDialogBinder({
            dashboard: dashboardControl.dashboard,
            serviceClient: dashboardControl._serviceClient,
            getContainer: () => DashboardLayoutModeHelper.isMobile ? window.document.body : dashboardControl.getWidgetContainer(),
            exportInfoProvider: this._exportInfoContoller,
            excelExportOptions: options.excelExportOptions,
            imageExportOptions: options.imageExportOptions,
            pdfExportOptions: options.pdfExportOptions,
            onExportDialogHidden: (e) => this._optionsManager.raiseEvent('exportDialogHidden', e),
            onExportDialogShowing: (e) => this._optionsManager.raiseEvent('exportDialogShowing', e),
            onExportDialogShown: (e) => this._optionsManager.raiseEvent('exportDialogShown', e)
        });
        defineObsoleteMethods(this);
    }
    _optionChanged(args) {
        switch (args.name) {
            case 'allowExportDashboard':
                return 'updateDashboardToolbar';
            case 'allowExportDashboardItems':
                return 'reinitializeDashboard';
            case 'pdfExportOptions':
            case 'imageExportOptions':
            case 'excelExportOptions':
            default:
                return null;
        }
    }
    start() {
        this._dialogBinderSubscription = this.dashboardControl.dashboard.subscribe(() => this._dialogBinder.reset());
    }
    stop() {
        this._dialogBinderSubscription.dispose();
        this._exportInfoContoller.dispose();
    }
    showExportDashboardDialog(format) {
        this._dialogBinder.showDashboardDialog(format);
    }
    showExportDashboardItemDialog(itemComponentName, format) {
        this._showExportDashboardItemDialog(itemComponentName, format);
    }
    _showExportDashboardItemDialog(itemComponentName, format, itemElement) {
        this._dialogBinder.showItemDialog(itemComponentName, format, itemElement);
    }
    hideExportDialog() {
        this._dialogBinder.hide();
    }
    getPdfExportOptions() {
        return this._dialogBinder.exportOptions.pdfExportOptions;
    }
    getImageExportOptions() {
        return this._dialogBinder.exportOptions.imageExportOptions;
    }
    getExcelExportOptions() {
        return this._dialogBinder.exportOptions.excelExportOptions;
    }
    setPdfExportOptions(options) {
        this._dialogBinder.exportOptions.setPdfOptions(options);
    }
    setImageExportOptions(options) {
        this._dialogBinder.exportOptions.setImageOptions(options);
    }
    setExcelExportOptions(options) {
        this._dialogBinder.exportOptions.setExcelOptions(options);
    }
    exportToPdf(options, fileName) {
        this._dialogBinder.exportDashboardTo('PDF', options, fileName);
    }
    exportToImage(options, fileName) {
        this._dialogBinder.exportDashboardTo('Image', options, fileName);
    }
    exportToExcel(options, fileName) {
        this._dialogBinder.exportDashboardTo('Excel', options, fileName);
    }
    exportDashboardItemToPdf(itemName, options, fileName) {
        this._dialogBinder.exportDashboardItemTo(itemName, 'PDF', options, fileName);
    }
    exportDashboardItemToImage(itemName, options, fileName) {
        this._dialogBinder.exportDashboardItemTo(itemName, 'Image', options, fileName);
    }
    exportDashboardItemToExcel(itemName, options, fileName) {
        this._dialogBinder.exportDashboardItemTo(itemName, 'Excel', options, fileName);
    }
    _getExportOptions() {
        return this._dialogBinder.exportOptions;
    }
    _setExportOptions(exportOptions) {
        this._dialogBinder.exportOptions.setOptions(exportOptions);
    }
}
control_options/* defaultExtensions */.wf[export_extension_nameAlias] = (dashboardControl, options) => new DashboardExportExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[export_extension_nameAlias] = export_extension_name;
function defineObsoleteMethods(extension) {
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'showDashboardDialog',
        oldMemberDisplayName: 'DashboardExportExtension.showDashboardDialog',
        newMemberDisplayName: 'DashboardExportExtension.showExportDashboardDialog',
        ignoreWarmMessage: true,
        action: (format) => extension.showExportDashboardDialog(format)
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'hide',
        oldMemberDisplayName: 'DashboardExportExtension.hide',
        newMemberDisplayName: 'DashboardExportExtension.hideExportDialog',
        ignoreWarmMessage: true,
        action: () => extension.hideExportDialog()
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'showItemDialog',
        oldMemberDisplayName: 'DashboardExportExtension.showItemDialog',
        newMemberDisplayName: 'DashboardExportExtension.showExportDashboardItemDialog',
        ignoreWarmMessage: true,
        action: (itemName, format) => extension.showExportDashboardItemDialog(itemName, format)
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'showDashboardExportDialog',
        oldMemberDisplayName: 'DashboardExportExtension.showDashboardExportDialog',
        newMemberDisplayName: 'DashboardExportExtension.showExportDashboardDialog',
        ignoreWarmMessage: true,
        action: (format) => extension.showExportDashboardDialog(format)
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'showItemExportDialog',
        oldMemberDisplayName: 'DashboardExportExtension.showItemExportDialog',
        newMemberDisplayName: 'DashboardExportExtension.showExportDashboardItemDialog',
        ignoreWarmMessage: true,
        action: (itemName, format) => extension.showExportDashboardItemDialog(itemName, format)
    });
    (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
        target: extension,
        memberName: 'documentOptions',
        oldMemberDisplayName: 'DashboardExportExtension.documentOptions',
        ignoreWarmMessage: true,
        action: function () {
            return extension._getExportOptions();
        }
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'getExportOptions',
        oldMemberDisplayName: 'DashboardExportExtension.getExportOptions',
        warmMessage: 'The DashboardExportExtension.getExportOptions method is obsolete.  Use the DashboardExportExtension.getPdfExportOptions, DashboardExportExtension.getImageExportOptions, or DashboardExportExtension.getExcelExportOptions method instead.',
        ignoreWarmMessage: true,
        action: () => { return extension._getExportOptions().convertToASPxClientDashboardExportOptions(); }
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'setExportOptions',
        oldMemberDisplayName: 'DashboardExportExtension.setExportOptions',
        warmMessage: 'The DashboardExportExtension.setExportOptions method is obsolete.  Use the DashboardExportExtension.setPdfExportOptions, DashboardExportExtension.setImageExportOptions, or DashboardExportExtension.setExcelExportOptions method instead.',
        ignoreWarmMessage: true,
        action: (options) => {
            let exportOptions = extension._getExportOptions().convertToExportOptions(options);
            extension._setExportOptions(exportOptions);
        }
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'exportDashboardTo',
        oldMemberDisplayName: 'DashboardExportExtension.exportDashboardTo',
        warmMessage: 'The DashboardExportExtension.exportDashboardTo method is obsolete.  Use the DashboardExportExtension.exportToPdf, DashboardExportExtension.exportToImage, or DashboardExportExtension.exportToExcel method instead.',
        ignoreWarmMessage: true,
        action: (format, options, fileName) => {
            if (format === 'PDF') {
                extension.exportToPdf(options, fileName);
            }
            else if (format === 'Image') {
                extension.exportToImage(options, fileName);
            }
            else if (format === 'Excel') {
                extension.exportToExcel(options, fileName);
            }
        }
    });
    (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
        target: extension,
        memberName: 'exportDashboardItemTo',
        oldMemberDisplayName: 'DashboardExportExtension.exportDashboardItemTo',
        warmMessage: 'The DashboardExportExtension.exportDashboardItemTo method is obsolete.  Use the DashboardExportExtension.exportDashboardItemToPdf, DashboardExportExtension.exportDashboardItemToImage, or DashboardExportExtension.exportDashboardItemToExcel method instead.',
        ignoreWarmMessage: true,
        action: (itemName, format, options, fileName) => {
            if (format === 'PDF') {
                extension.exportDashboardItemToPdf(itemName, options, fileName);
            }
            else if (format === 'Image') {
                extension.exportDashboardItemToImage(itemName, options, fileName);
            }
            else if (format === 'Excel') {
                extension.exportDashboardItemToExcel(itemName, options, fileName);
            }
        }
    });
}

;// ./dist/common/extensions/keyboard-navigation-extension.js


const INTERACTIVITY_MODE_CLASS = 'dx-dashboard-item-container-activated';
const DASHBOARD_ITEM_SELECTOR = '.dx-dashboard-item-container';
const DASHBOARD_ITEM_FULLSCREEN_SELECTOR = '.dx-dashboard-fullscreen-item';
var KeyboardMode;
(function (KeyboardMode) {
    KeyboardMode["Interactive"] = "Interactive";
    KeyboardMode["Navigation"] = "Navigation";
})(KeyboardMode || (KeyboardMode = {}));
const _nameAlias = 'keyboard-navigation';
const keyboard_navigation_extension_name = 'keyboardNavigation';
const _dxDashboardTabsAttribute = 'dx-dashboard-layout-tab-index';
const _dxDashboardTabsEllipsisButton = '.dx-dashboard-tab-button.dx-dashboard-toggle-menu-button';
const _focusableElementSelector = 'button:enabled, input:enabled, select:enabled, textarea:enabled, iframe, object, summary, embed, audio[controls], video[controls], [autofocus], [contenteditable], [href], [tabindex]:not([tabindex="-1"]), [role="button"].dx-buttongroup-item-content:not(.dx-buttongroup-first-item), .dx-dashboard-toolbar-preview';
class KeyboardNavigationExtension extends dist_model.DisposableObject {
    constructor(_dashboardControl) {
        super();
        this._dashboardControl = _dashboardControl;
        this.name = 'keyboardNavigation';
        this._keyboardMode = KeyboardMode.Navigation;
        this._handleFocusIn = (event) => {
            const focusedDashboardItem = this._getActiveDashboardItem();
            focusedDashboardItem && (this._activeDashboardItemElement = focusedDashboardItem);
        };
        this._handleKeyDown = (event) => {
            switch (event.key) {
                case 'Tab':
                    this._handleTabKeyDown(event);
                    break;
                case 'Enter':
                    this._handleEnterKeyDown(event);
                    break;
                case 'Escape':
                    this._handleEscapeKeyDown(event);
                    break;
                case 'ArrowLeft':
                    this._handleArrowLeft(event);
                    break;
                case 'ArrowRight':
                    this._handleArrowRight(event);
                    break;
                default:
                    break;
            }
        };
        this._handleTabKeyDown = (event) => {
            let dashboardItems = Array.from(this._dashboardControl
                ._widgetContainer
                .querySelectorAll(`${DASHBOARD_ITEM_SELECTOR}:not(.dx-dashboard-hidden-element)[tabindex]:not([tabindex="-1"])`));
            const currentFocusedDashboardItem = this._getActiveDashboardItem();
            if (!currentFocusedDashboardItem)
                return;
            let index = dashboardItems.indexOf(currentFocusedDashboardItem);
            let fullScreenItems = Array.from(this._dashboardControl._widgetContainer.querySelectorAll(`${DASHBOARD_ITEM_FULLSCREEN_SELECTOR}`));
            if (fullScreenItems.length > 0) {
                const fullScreenItem = fullScreenItems[0].children[0];
                if (index != -1 && currentFocusedDashboardItem !== fullScreenItem) {
                    this._keyboardMode = KeyboardMode.Navigation;
                    this._focusElementRecursive(fullScreenItem);
                    event.preventDefault();
                    return;
                }
                dashboardItems = fullScreenItems.map(element => element.children[0]);
                index = 0;
            }
            if (dashboardItems.find(item => item === document.activeElement)) {
                this._keyboardMode = KeyboardMode.Navigation;
            }
            if (index === -1) {
                if (event.shiftKey) {
                    if (this._keyboardMode === KeyboardMode.Interactive && !this._isTargetPopup(event.target))
                        return;
                    this._focusElementRecursive(dashboardItems[dashboardItems.length - 1]);
                    this._keyboardMode = KeyboardMode.Navigation;
                    event.preventDefault();
                }
                if (!this._isTargetPopup(event.target))
                    return;
            }
            const childTabStopElements = this._getDashboardItemTabStopElements();
            if (this._keyboardMode === KeyboardMode.Interactive) {
                if (childTabStopElements.length === 0) {
                    event.preventDefault();
                    return;
                }
            }
            if (event.shiftKey) {
                if (this._keyboardMode === KeyboardMode.Navigation) {
                    if (index === 0) {
                        if (childTabStopElements.find(e => e === document.activeElement)) {
                            this._focusElementRecursive(dashboardItems[0]);
                            event.preventDefault();
                        }
                        return;
                    }
                    this._focusElementRecursive(dashboardItems[index - 1]);
                    event.preventDefault();
                }
                if (this._keyboardMode === KeyboardMode.Interactive) {
                    if (document.activeElement === childTabStopElements[0]) {
                        childTabStopElements[childTabStopElements.length - 1].focus();
                        event.preventDefault();
                    }
                }
            }
            if (!event.shiftKey) {
                if (this._keyboardMode === KeyboardMode.Navigation) {
                    if (index === dashboardItems.length - 1) {
                        if (childTabStopElements.length > 0) {
                            childTabStopElements[childTabStopElements.length - 1].focus();
                        }
                        return;
                    }
                    this._focusElementRecursive(dashboardItems[index + 1]);
                    event.preventDefault();
                }
                if (this._keyboardMode === KeyboardMode.Interactive) {
                    if (document.activeElement === childTabStopElements[childTabStopElements.length - 1]) {
                        childTabStopElements[0].focus();
                        event.preventDefault();
                    }
                }
            }
        };
        this._handleEnterKeyDown = (event) => {
            if (!event.target)
                return;
            if (!document.contains(event.target)) {
                this._activeDashboardItemElement?.focus();
                this._keyboardMode = KeyboardMode.Navigation;
            }
            const target = event.target;
            if (this._keyboardMode === KeyboardMode.Interactive) {
                if (!this._getParentElement(target, 'dx-dashboard-caption-toolbar')) {
                    target.click();
                }
                if (target.classList.contains('dx-dashboard-toolbar-preview')) {
                    target.dispatchEvent(new MouseEvent('mouseenter'));
                }
                return;
            }
            this._keyboardMode = KeyboardMode.Interactive;
            this._activeDashboardItemElement = this._getActiveDashboardItem();
            this._applyActiveStyles();
            let topButtonsTarget = this._activeDashboardItemElement;
            if (topButtonsTarget?.parentElement.classList.contains('dx-dashboard-tab-content')) {
                topButtonsTarget = this._getParentElement(this._activeDashboardItemElement, 'dx-dashboard-item-container');
                this._activeDashboardItemElement.click();
            }
            topButtonsTarget?.dispatchEvent(new MouseEvent('mouseover'));
            topButtonsTarget?.dispatchEvent(new MouseEvent('mouseenter'));
            const childTabStopElements = this._getDashboardItemTabStopElements();
            const floatingPanelToolBarButtonSelector = 'dx-button-has-icon';
            childTabStopElements.sort((a, b) => {
                if (a.classList.contains(floatingPanelToolBarButtonSelector) && !b.classList.contains(floatingPanelToolBarButtonSelector))
                    return -1;
                if (b.classList.contains(floatingPanelToolBarButtonSelector) && !a.classList.contains(floatingPanelToolBarButtonSelector))
                    return 1;
                return 0;
            });
            if (childTabStopElements.find(childElement => childElement === document.activeElement))
                return;
            event.preventDefault();
            childTabStopElements.length > 0 && childTabStopElements[0].focus();
        };
        this._handleEscapeKeyDown = (event) => {
            if (this._keyboardMode === KeyboardMode.Navigation)
                return;
            this._keyboardMode = KeyboardMode.Navigation;
            if (!this._activeDashboardItemElement)
                return;
            event.stopPropagation();
            this._activeDashboardItemElement.querySelector('.dx-dashboard-caption-toolbar.dx-toolbar')?.dispatchEvent(new MouseEvent('mouseleave'));
            this._activeDashboardItemElement.focus();
            this._activeDashboardItemElement.classList.remove(INTERACTIVITY_MODE_CLASS);
            this._activeDashboardItemElement.dispatchEvent(new MouseEvent('mouseout'));
            this._activeDashboardItemElement = null;
        };
        this._handleArrowLeft = (event) => {
            if (!event.target)
                return;
            const target = event.target;
            if (target.hasAttribute(_dxDashboardTabsAttribute) || target.parentElement?.querySelector(_dxDashboardTabsEllipsisButton)) {
                this._handleTabsArrowKeys(event.target, 'ArrowLeft');
                event.preventDefault();
            }
        };
        this._handleArrowRight = (event) => {
            if (!event.target)
                return;
            const target = event.target;
            if (target.hasAttribute(_dxDashboardTabsAttribute) || target.parentElement?.querySelector(_dxDashboardTabsEllipsisButton)) {
                this._handleTabsArrowKeys(event.target, 'ArrowRight');
                event.preventDefault();
            }
        };
        this._applyActiveStyles = () => {
            const activeElement = this._activeDashboardItemElement;
            if (!activeElement)
                return;
            const blurHandler = (event) => {
                activeElement.removeEventListener('blur', blurHandler);
                activeElement.classList.remove(INTERACTIVITY_MODE_CLASS);
            };
            activeElement.addEventListener('blur', blurHandler);
            activeElement.classList.add(INTERACTIVITY_MODE_CLASS);
        };
        this.toDispose(_dashboardControl.isDesignMode.subscribe(designMode => {
            if (designMode) {
                this.stop();
            }
            else {
                this.start();
            }
        }));
    }
    _isVisible(element) {
        return !!element.offsetParent;
    }
    _filterVisibleElements(elements) {
        return elements.filter(element => this._isVisible(element));
    }
    _getDashboardItemTabStopElements() {
        this._activeDashboardItemElement?.querySelectorAll('.dx-scrollable-container').forEach(element => element.setAttribute('tabindex', '-1'));
        let childTabStopElements = this._filterVisibleElements(Array.from(this._activeDashboardItemElement?.querySelectorAll(_focusableElementSelector) ?? []));
        childTabStopElements = childTabStopElements.filter(element => !element.classList.contains('dx-dashboard-item-container'));
        childTabStopElements.forEach(element => this._ensureTabIndex(element));
        return childTabStopElements;
    }
    _getActiveDashboardItem() {
        return document.activeElement.closest(DASHBOARD_ITEM_SELECTOR);
    }
    _getParentElement(element, className) {
        let currentElement = element;
        while (currentElement) {
            currentElement = currentElement.parentElement;
            if (currentElement?.classList.contains(className)) {
                return currentElement;
            }
        }
    }
    _focusElementRecursive(element) {
        if (element.hasAttribute('tabindex') && element.getAttribute('tabindex') === '0') {
            element.focus();
        }
        else {
            var childrenWithTabIndexZero = element.querySelectorAll('[tabindex="0"]');
            if (childrenWithTabIndexZero.length > 0)
                childrenWithTabIndexZero[0].focus();
        }
    }
    _ensureTabIndex(element) {
        if (!element)
            return false;
        if (!element.hasAttribute('tabindex') || element.getAttribute('tabindex') === '-1') {
            element.setAttribute('tabindex', '0');
        }
        return true;
    }
    _focusElement(element) {
        if (this._ensureTabIndex(element)) {
            element.focus();
        }
    }
    _handleTabsArrowKeys(element, key) {
        if (!element)
            return;
        let currentTabIndex = parseInt(element.getAttribute(_dxDashboardTabsAttribute));
        let tabContainer = element.parentElement;
        while (tabContainer && !tabContainer.classList.contains('dx-dashboard-layout-tabs-container')) {
            tabContainer = tabContainer.parentElement;
        }
        if (!tabContainer)
            return;
        const tabs = Array.from(tabContainer.querySelectorAll(`[${_dxDashboardTabsAttribute}]:not(.dx-dashboard-hidden-element), ${_dxDashboardTabsEllipsisButton}`));
        const totalTabsCount = tabContainer.querySelectorAll(`[${_dxDashboardTabsAttribute}]`)?.length ?? 0;
        currentTabIndex = tabs.findIndex(element => element.getAttribute(_dxDashboardTabsAttribute) === `${currentTabIndex}`);
        const tabsEllipsisButton = tabContainer.querySelector(_dxDashboardTabsEllipsisButton);
        if (tabsEllipsisButton) {
            tabsEllipsisButton.setAttribute(_dxDashboardTabsAttribute, `${totalTabsCount}`);
        }
        else {
            element.setAttribute('tabindex', '-1');
        }
        if (key === 'ArrowLeft') {
            currentTabIndex === 0 ? this._focusElement(tabs[tabs.length - 1]) : this._focusElement(tabs[currentTabIndex - 1]);
        }
        if (key === 'ArrowRight') {
            currentTabIndex >= tabs.length - 1 ? this._focusElement(tabs[0]) : this._focusElement(tabs[currentTabIndex + 1]);
        }
    }
    start() {
        if (this._dashboardControl?.isDesignMode())
            return;
        const subscribeToEvents = () => {
            this._dashboardControl._widgetContainer?.addEventListener('keydown', this._handleKeyDown);
            this._dashboardControl._widgetContainer?.addEventListener('focusin', this._handleFocusIn);
        };
        if (this._dashboardControl.dashboard.peek()) {
            subscribeToEvents();
        }
        else {
            const subscription = this._dashboardControl.dashboard.subscribe((newDashboard) => {
                subscription.dispose();
                subscribeToEvents();
            });
        }
    }
    stop() {
        this._dashboardControl._widgetContainer?.removeEventListener('keydown', this._handleKeyDown);
        this._dashboardControl._widgetContainer?.removeEventListener('focusin', this._handleFocusIn);
    }
    dispose() {
        this.stop();
        super.dispose();
        this._activeDashboardItemElement = null;
    }
    _isTargetPopup(element) {
        if (!element)
            return false;
        if (element.classList.contains('dx-overlay-content'))
            return true;
        return this._isTargetPopup(element.parentElement);
    }
}
control_options/* defaultExtensions */.wf[_nameAlias] = (dashboardControl, options) => new KeyboardNavigationExtension(dashboardControl);
control_options/* extensionNameMap */.RY[_nameAlias] = keyboard_navigation_extension_name;

;// ./dist/common/extensions/parameter-dialog-extension.js









const parameter_dialog_extension_name = 'dashboardParameterDialog';
const parameter_dialog_extension_nameAlias = 'dashboard-parameter-dialog';
class DashboardParameterDialogExtension extends disposable_object/* DisposableObject */.I {
    get onShowing() {
        return this._onShowing;
    }
    set onShowing(value) {
        if (this._onShowing) {
            this.off('showing', this._onShowing);
        }
        this._onShowing = value;
        this.on('showing', value);
    }
    get onShown() {
        return this._onShown;
    }
    set onShown(value) {
        if (this._onShown) {
            this.off('shown', this._onShown);
        }
        this._onShown = value;
        this.on('shown', value);
    }
    get onHidden() {
        return this._onHidden;
    }
    set onHidden(value) {
        if (this._onHidden) {
            this.off('hidden', this._onHidden);
        }
        this._onHidden = value;
        this.on('hidden', value);
    }
    constructor(dashboardControl, options) {
        super();
        this._customDialogContent = [];
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this.name = parameter_dialog_extension_name;
        this._isLoading = false;
        this.showDialogButton = external_ko_.observable(true);
        this._updateViewModel = (dashboard) => {
            this._clear();
            if (!!dashboard) {
                this._viewModel = new ParameterDialogViewModel(dashboard.parameters, (parameterType, settings, forceRequest, tempParameterValues) => this._dashboardControl._dataSourceBrowser.getParameterValues(parameterType, settings, forceRequest, tempParameterValues));
                this._viewModel.parameterCollection.subscribe((newParamCollection) => {
                    const parameters = (this._viewModel.parameterCollection && this._viewModel.parameterCollection()._parameters) ?? [];
                    const newParameters = newParamCollection?._parameters ?? [];
                    if (this._shouldResetCustomDialogContent(parameters, newParameters)) {
                        this._clearContent();
                        this._customDialogContent.concat(this._parameterDialog)
                            .filter(dialog => dialog && dialog.setActualState)
                            .forEach(dialog => dialog.setActualState());
                    }
                });
            }
        };
        this._optionsManager.initialize({
            extensionName: parameter_dialog_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: {},
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => null
        });
        this._dashboardControl = dashboardControl;
        this._onShowing = this._optionsManager.getInitialOptions().onShowing || (() => { });
        this._onShown = this._optionsManager.getInitialOptions().onShown || (() => { });
        this._onHidden = this._optionsManager.getInitialOptions().onHidden || (() => { });
    }
    start() {
        if (this._dashboardControl.dashboard()) {
            this._updateViewModel(this._dashboardControl.dashboard());
            this._subscribeDynamicLookUpValuesLoaded();
        }
        this.toDispose(this._dashboardControl.dashboard.subscribe(newDashboard => this._updateViewModel(newDashboard)));
        this.toDispose(this._dashboardControl.dashboard.subscribe(() => this._subscribeDynamicLookUpValuesLoaded()));
        (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
            target: this,
            memberName: 'showDialog',
            oldMemberDisplayName: 'DashboardParameterDialogExtension.showDialog',
            newMemberDisplayName: 'DashboardParameterDialogExtension.show',
            action: () => this.show()
        });
        (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
            target: this,
            memberName: 'hideDialog',
            oldMemberDisplayName: 'DashboardParameterDialogExtension.hideDialog',
            newMemberDisplayName: 'DashboardParameterDialogExtension.hide',
            action: () => this.hide()
        });
    }
    stop() {
        this._clear();
        this.dispose();
    }
    show() {
        if (this._parameterDialog) {
            this._parameterDialog.dispose();
        }
        this._parameterDialog = this._createParameterDialog();
        this._parameterDialog.show();
    }
    hide() {
        this._isLoading = false;
        this._parameterDialog.hideLoadPanel();
        if (!!this._parameterDialog) {
            this._parameterDialog.hide();
        }
    }
    subscribeToContentChanges(callback) {
        return this._viewModel.parameterCollection.subscribe(callback);
    }
    getParameters() {
        return this._getParameters();
    }
    _getParameters() {
        if (!this._viewModel)
            throw 'Dashboard is not loaded';
        return this._viewModel.parameterCollection();
    }
    renderContent(element) {
        var customParameterDialog = this._createParameterDialog();
        this._customDialogContent.push(customParameterDialog);
        return customParameterDialog.generateContent((0,_jquery_helpers/* $unwrap */.I1)(element), () => {
            this._customDialogContent.splice(this._customDialogContent.indexOf(customParameterDialog), 1);
        });
    }
    updateCascadingParameters(parameterName, selectedValue, parameterEntitiesDict, isMasterParameter = true, parameterDialogExtension) {
        if (isMasterParameter && parameterDialogExtension._isLoading)
            return;
        let tempParameterValues = parameterDialogExtension._dashboardControl.dashboardContainer().dashboard._tempParameterValues;
        if (isMasterParameter && tempParameterValues[parameterName]?.toString() === selectedValue?.toString())
            return;
        parameterDialogExtension._isLoading = true;
        const parameterCollection = parameterDialogExtension._viewModel.parameterCollection.peek();
        const parameters = parameterCollection.getParameterList();
        const updatedParameterIndex = parameters.findIndex(parameter => parameter.getName() === parameterName);
        if (updatedParameterIndex < 0 || updatedParameterIndex === parameters.length - 1) {
            parameterDialogExtension._isLoading = false;
            parameterDialogExtension._parameterDialog?.hideLoadPanel();
            return;
        }
        if (isMasterParameter) {
            tempParameterValues = {};
            for (let i = 0; i <= updatedParameterIndex; ++i) {
                let paramName = parameters[i].getName();
                const parameterValue = parameterEntitiesDict[paramName]?.getValue();
                if (parameterValue)
                    tempParameterValues[paramName] = parameterValue;
            }
        }
        tempParameterValues[parameterName] = selectedValue;
        parameterDialogExtension._dashboardControl.dashboardContainer().dashboard._tempParameterValues = tempParameterValues;
        const currentParameter = parameters[updatedParameterIndex + 1];
        const currentParameterEntity = parameterEntitiesDict[currentParameter.getName()];
        const dynamicListLookUpSettings = currentParameter.dynamicListLookUpSettings && currentParameter.dynamicListLookUpSettings();
        let dynamicLookupValues;
        let invalidDynamicLookUpSettings = false;
        if (dynamicListLookUpSettings) {
            parameterDialogExtension._parameterDialog?.showLoadPanel();
            if (!dynamicListLookUpSettings.valueMemberName() && !dynamicListLookUpSettings.displayMemberName())
                invalidDynamicLookUpSettings = true;
            else
                dynamicLookupValues = parameterDialogExtension._viewModel._getParameterValuesCallback(currentParameter.originalType, dynamicListLookUpSettings, true, tempParameterValues);
        }
        const updateParameterValues = (newValue, parameterEntity) => {
            let prevLookUpValuesLength = parameterEntity.lookUpValues?.length ?? 0;
            parameterEntitiesDict[parameterEntity.name].setLookUpValues(newValue.map(value => {
                return {
                    getDisplayText: () => value.DisplayText,
                    getValue: () => value.Value
                };
            }));
            if (parameterEntity.allowMultiselect) {
                let newSelectedValues = [];
                if (parameterEntity.selectAllValues && prevLookUpValuesLength == newValue?.length) {
                    newSelectedValues = newValue.map(lookUpValue => lookUpValue.Value);
                }
                else {
                    const selectedValues = parameterEntity.getValue();
                    if (!selectedValues)
                        return;
                    newSelectedValues = selectedValues.filter(selectedValue => newValue.some(item => item.Value === selectedValue));
                }
                parameterEntity.setValue(newSelectedValues);
                tempParameterValues[parameterEntity.name] = newSelectedValues;
            }
            else {
                if (newValue.length) {
                    if (!newValue.some(lookUpValue => lookUpValue.Value === parameterEntity.getValue())) {
                        parameterEntity.allowNull ? parameterEntity.setValue(null) :
                            parameterEntity.setValue(newValue[0].Value);
                        tempParameterValues[parameterEntity.name] = newValue[0].Value;
                    }
                }
            }
        };
        const moveToNextParameter = () => parameterDialogExtension.updateCascadingParameters(currentParameterEntity.name, currentParameterEntity.getValue(), parameterEntitiesDict, false, parameterDialogExtension);
        if (!dynamicLookupValues || !currentParameterEntity || invalidDynamicLookUpSettings) {
            moveToNextParameter();
            return;
        }
        parameterDialogExtension._disposables.push(dynamicLookupValues.subscribe((value) => {
            updateParameterValues(value, currentParameterEntity);
            moveToNextParameter();
        }));
    }
    _createParameterDialog() {
        return new parametersDialog({
            parametersDialogContainer: DashboardLayoutModeHelper.isMobile ? window.document.body : this._dashboardControl.getWidgetContainer(),
            getParametersCollection: () => this._getParameters(),
            submitParameters: (newParameters) => {
                if (this._parameterDialog)
                    this._parameterDialog.hideLoadPanel();
                this._dashboardControl._dataSourceBrowser?.clearDimensionValuesCache();
                this._dashboardControl.dashboardContainer().dashboard._tempParameterValues = {};
                this._viewModel.setParameters(newParameters);
            },
            onShowing: (args) => this._optionsManager.raiseEvent('showing', args),
            onShown: (args) => this._optionsManager.raiseEvent('shown', args),
            onHidden: (args) => {
                this._optionsManager.raiseEvent('hidden', args);
                this._dashboardControl.dashboardContainer().dashboard._tempParameterValues = {};
            },
            updateCascadingParameters: (parameterName, selectedValue, parameterEntitiesDict, isMasterParameter = true) => this.updateCascadingParameters(parameterName, selectedValue, parameterEntitiesDict, isMasterParameter, this)
        });
    }
    _clearContent() {
        this._customDialogContent.forEach(dialog => dialog.dispose());
        this._customDialogContent = [];
    }
    _clear() {
        this._clearContent();
        if (this._parameterDialog) {
            this._parameterDialog.dispose();
            this._parameterDialog = undefined;
        }
        if (this._viewModel) {
            this._viewModel.dispose();
            this._viewModel = undefined;
        }
    }
    _subscribeDynamicLookUpValuesLoaded() {
        var dataSourceBrowser = this._dashboardControl._dataSourceBrowser;
        if (dataSourceBrowser) {
            dataSourceBrowser.dynamicLookUpValuesLoaded = (dynamicListLookUpSettings) => {
                this._dashboardControl
                    .dashboard()
                    .parameters()
                    .filter(param => {
                    return param.dynamicListLookUpSettings() && param.dynamicListLookUpSettings().equals(dynamicListLookUpSettings);
                })
                    .map(param => param.name())
                    .forEach(paramName => {
                    this._optionsManager.raiseEvent('dynamicLookUpValuesLoaded', { parameterName: paramName });
                });
            };
        }
    }
    _shouldResetCustomDialogContent(parameters, newParameters) {
        if (parameters.length !== newParameters.length)
            return true;
        for (const p of parameters) {
            const newParam = newParameters.find(np => np._name === p._name);
            if (!newParam || newParam._value !== p._value)
                return true;
        }
        return false;
    }
}
control_options/* defaultExtensions */.wf[parameter_dialog_extension_nameAlias] = (dashboardControl, options) => new DashboardParameterDialogExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[parameter_dialog_extension_nameAlias] = parameter_dialog_extension_name;

;// ./dist/common/extensions/url-state-extension.js



const url_state_extension_name = 'urlState';
const url_state_extension_nameAlias = 'url-state';
class UrlStateExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl, options = {}) {
        super();
        this._dashboardContaierSubscriptions = [];
        this._defaultOptions = {
            includeDashboardIdToUrl: false,
            includeDashboardStateToUrl: false
        };
        this.name = url_state_extension_name;
        this._options = { ...this._defaultOptions, ...options };
        this._dashboardControl = dashboardControl;
    }
    start() {
        this.toDispose(this._dashboardControl.dashboardContainer.subscribe(dashboardContainer => {
            this._dashboardContaierSubscriptions.forEach(disposable => disposable.dispose());
            this._dashboardContaierSubscriptions = [];
            this._processDashboardChanged(dashboardContainer);
        }));
        this.toDispose(this._dashboardControl.isDesignMode.subscribe(isDesignMode => {
            this._updateDashboardState();
        }));
        this._processDashboardChanged(this._dashboardControl.dashboardContainer());
    }
    stop() {
        this._dashboardContaierSubscriptions?.forEach(subscription => subscription?.dispose());
        this.dispose();
    }
    _processDashboardChanged(dashboardInfo) {
        if (dashboardInfo) {
            if (this._options.includeDashboardIdToUrl) {
                this._updateUrl('dashboardId', dashboardInfo.id);
            }
            this._updateDashboardState();
            if (!!dashboardInfo.dashboard) {
                this._dashboardContaierSubscriptions.push(dashboardInfo.dashboard._state.subscribe(_ => this._updateDashboardState()));
            }
        }
    }
    _updateDashboardState() {
        var dashboard = this._dashboardControl.dashboardContainer() && this._dashboardControl.dashboardContainer().dashboard || null;
        var state = dashboard && !this._dashboardControl.isDesignMode() ? dashboard.stateString : null;
        if (this._options.includeDashboardStateToUrl) {
            this._updateUrl('dashboardState', state);
        }
    }
    _updateUrl(key, value) {
        var newUrl = this._replaceValue(key, value);
        if (newUrl) {
            if (newUrl.length > ViewerDataServiceClient.maxQueryStringLength) {
                newUrl = this._replaceValue(key, null);
            }
            this._setUrl(newUrl);
        }
    }
    _replaceValue(key, value) {
        var uri = this._getUrl();
        var re = new RegExp('([?&])' + key + '=.*?(&|$)', 'i');
        var separator = uri.indexOf('?') !== -1 ? '&' : '?';
        var newParameterValue = value ? key + '=' + encodeURIComponent(value) : '';
        if (uri.match(re)) {
            var separator = !!newParameterValue ? '$1' : '';
            return uri.replace(re, separator + newParameterValue + '$2');
        }
        else if (!!newParameterValue) {
            return uri + separator + newParameterValue;
        }
        else {
            return uri;
        }
    }
    _getUrl() {
        return location.href;
    }
    _setUrl(url) {
        if (!url)
            url = location.pathname;
        history.replaceState({}, '', url);
    }
}
control_options/* defaultExtensions */.wf[url_state_extension_nameAlias] = (dashboardControl, options) => new UrlStateExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[url_state_extension_nameAlias] = url_state_extension_name;

;// ./dist/common/extensions/viewer-api-extension.js




const viewer_api_extension_name = 'viewerApi';
const viewer_api_extension_nameAlias = 'viewer-api';
class ViewerApiExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl, options = {}) {
        super();
        this.name = viewer_api_extension_name;
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this.requestUnderlyingData = (itemName, args, onCompleted) => {
            this._viewerApi.requestUnderlyingData(itemName, args, onCompleted);
        };
        this._viewerApi = dashboardControl._viewerApi;
        this._optionsManager.initialize({
            extensionName: viewer_api_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: {},
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => null
        });
    }
    start() {
        viewerApiEventsNames.forEach(eventName => {
            let handler = this['_on' + eventName] = (args) => this._optionsManager.raiseEvent(eventName, args);
            this._viewerApi.on(eventName, handler);
        });
    }
    stop() {
        viewerApiEventsNames.forEach(eventName => {
            let handler = this['_on' + eventName];
            this._viewerApi.off(eventName, handler);
        });
    }
    getCurrentRange(itemName) {
        return this._viewerApi.getCurrentRange(itemName);
    }
    getEntireRange(itemName) {
        return this._viewerApi.getEntireRange(itemName);
    }
    setRange(itemName, range) {
        this._viewerApi.setRange(itemName, range);
    }
    setPredefinedRange(itemName, dateTimePeriodName) {
        return this._viewerApi.setPredefinedRange(itemName, dateTimePeriodName);
    }
    getAvailablePredefinedRanges(itemName) {
        return this._viewerApi.getAvailablePredefinedRanges(itemName);
    }
    getCurrentPredefinedRange(itemName) {
        return this._viewerApi.getCurrentPredefinedRange(itemName);
    }
    getCurrentSelection(itemName) {
        return this._viewerApi.getCurrentSelection(itemName);
    }
    canSetMasterFilter(itemName) {
        return this._viewerApi.canSetMasterFilter(itemName);
    }
    canClearMasterFilter(itemName) {
        return this._viewerApi.canClearMasterFilter(itemName);
    }
    canPerformDrillDown(itemName) {
        return this._viewerApi.canPerformDrillDown(itemName);
    }
    canPerformDrillUp(itemName) {
        return this._viewerApi.canPerformDrillUp(itemName);
    }
    getItemData(itemName) {
        return this._viewerApi.getItemData(itemName);
    }
    getCurrentFilterValues(itemName) {
        return this._viewerApi.getCurrentFilterValues(itemName);
    }
    getAvailableFilterValues(itemName) {
        return this._viewerApi.getAvailableFilterValues(itemName);
    }
    getCurrentDrillDownValues(itemName) {
        return this._viewerApi.getCurrentDrillDownValues(itemName);
    }
    getAvailableDrillDownValues(itemName) {
        return this._viewerApi.getAvailableDrillDownValues(itemName);
    }
    setMasterFilter(itemName, values) {
        this._viewerApi.setMasterFilter(itemName, values);
    }
    clearMasterFilter(itemName) {
        this._viewerApi.clearMasterFilter(itemName);
    }
    performDrillDown(itemName, value) {
        this._viewerApi.performDrillDown(itemName, value);
    }
    performDrillUp(itemName) {
        this._viewerApi.performDrillUp(itemName);
    }
    getAvailableActions(itemName) {
        return this._viewerApi.getAvailableActions(itemName);
    }
    updateItemCaptionToolbar(itemName) {
        this._viewerApi.updateItemCaptionToolbar(itemName);
    }
    updateDashboardTitleToolbar() {
        this._viewerApi.updateDashboardTitleToolbar();
    }
    setSelectedTabPage(tabPageName) {
        this._viewerApi.setSelectedTabPage(tabPageName);
    }
    setSelectedTabPageIndex(tabContainerName, index) {
        this._viewerApi.setSelectedTabPageIndex(tabContainerName, index);
    }
    getSelectedTabPageIndex(tabContainerName) {
        return this._viewerApi.getSelectedTabPageIndex(tabContainerName);
    }
    getSelectedTabPage(tabContainerName) {
        return this._viewerApi.getSelectedTabPage(tabContainerName);
    }
}
control_options/* defaultExtensions */.wf[viewer_api_extension_nameAlias] = (dashboardControl, options) => new ViewerApiExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[viewer_api_extension_nameAlias] = viewer_api_extension_name;

;// ./dist/common/mobile-layout-extension/mobile-layout-extension.js








const mobile_layout_extension_name = 'mobileLayout';
const mobile_layout_extension_nameAlias = 'mobile-layout';
class MobileLayoutExtension {
    constructor(dashboardControl, options) {
        this.dashboardControl = dashboardControl;
        this.name = mobile_layout_extension_name;
        this._disposables = [];
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._mobileLayoutEnabledOption = external_ko_.observable();
        this._defaultOptions = {
            mobileLayoutEnabled: 'Auto'
        };
        this._mobileLayoutTemplateName = 'dx-dashboard-mobile-layout';
        this._dashboardList = [];
        this._optionsManager.initialize({
            extensionName: mobile_layout_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: this._defaultOptions,
            initOptions: options,
            optionChanged: (args) => this._optionChanged(args)
        });
        this.__initializeConfirmDialogComponent(external_DevExpress_ui_dialog_namespaceObject.confirm);
        this._mobileLayoutEnabledOption(this._optionsManager.get('mobileLayoutEnabled'));
        this._canMobileLayoutBeEnabled = (0,_knockout_utils/* safeComputed */.Tq)({ isDesignMode: this.dashboardControl.isDesignMode }, (args) => !args.isDesignMode);
        this._isMobileLayoutModeExpected = (0,_knockout_utils/* safeComputed */.Tq)({ mobileLayoutEnabled: this._mobileLayoutEnabledOption }, (args) => {
            if (args.mobileLayoutEnabled === 'Always') {
                return true;
            }
            else if (args.mobileLayoutEnabled === 'Never') {
                return false;
            }
            else {
                return external_DevExpress_devices_default().current().phone;
            }
        });
        this.mobileLayoutEnabled = (0,_knockout_utils/* safeComputed */.Tq)({
            canMobileLayoutBeEnabled: this._canMobileLayoutBeEnabled,
            isMobileLayoutModeExpected: this._isMobileLayoutModeExpected
        }, (args) => {
            if (args.canMobileLayoutBeEnabled) {
                return args.isMobileLayoutModeExpected;
            }
            else {
                return false;
            }
        });
    }
    _optionChanged(args) {
        switch (args.name) {
            case 'mobileLayoutEnabled':
                this._mobileLayoutEnabledOption(args.value);
                return 'reinitializeDashboard';
            default:
                return null;
        }
    }
    __initializeConfirmDialogComponent(component) {
        this._confirmDialogComponent = component;
    }
    start() {
        setTimeout(() => {
            if (this._isMobileLayoutModeExpected() && !this._canMobileLayoutBeEnabled()) {
                this._confirmDialogComponent((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.MobileLayout.SwitchToViewer'), '').then((res) => {
                    if (res) {
                        this.dashboardControl.switchToViewer();
                    }
                });
            }
        });
        var layoutController = (0,_knockout_utils/* safeComputed */.Tq)({
            dashboard: this.dashboardControl.dashboard,
            mobileLayoutEnabled: this.mobileLayoutEnabled
        }, (args) => {
            if (args.dashboard && args.mobileLayoutEnabled) {
                return new DashboardMobileLayoutController(args.dashboard, this.dashboardControl._dashboardContext, (name) => this.dashboardControl.findExtension(name), this.dashboardControl.encodeHtml, this.dashboardControl._viewerApi);
            }
            return null;
        });
        this._disposables.push(layoutController);
        this.dashboardControl._layoutInfoProviderCollection.splice(0, 0, {
            condition: () => this.mobileLayoutEnabled(),
            name: this._mobileLayoutTemplateName,
            getViewModel: () => (0,_knockout_utils/* safeComputed */.Tq)({ layoutController }, args => ({ componentArgs: args.layoutController })),
            getLayoutController: () => layoutController
        });
        this.dashboardControl._updateLayout();
        this._disposables.push(this.mobileLayoutEnabled.subscribe(_ => {
            this.dashboardControl._updateLayout();
        }));
    }
    stop() {
        this._disposables.forEach(d => d.dispose());
    }
}
control_options/* defaultExtensions */.wf[mobile_layout_extension_nameAlias] = (dashboardControl, options) => new MobileLayoutExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[mobile_layout_extension_nameAlias] = mobile_layout_extension_name;

;// ./dist/common/index.exports.js


















;// ./dist/viewer-parts/index.js










;// ./dist/common/index.js































































(0,external_DevExpress_Analytics_Internal_.useKoIntegration)();



// EXTERNAL MODULE: ./dist/designer/accordion-tab-options.js
var accordion_tab_options = __webpack_require__(914);
;// external "DevExpress.ui.dxValidator"
const external_DevExpress_ui_dxValidator_namespaceObject = DevExpress.ui.dxValidator;
var external_DevExpress_ui_dxValidator_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxValidator_namespaceObject);
;// ./dist/designer/toolbar-extension/_toolbar-extension.js
function createToolbarSeparator() {
    return {
        cssClass: 'dx-dashboard-toolbar-separator'
    };
}

;// ./dist/designer/extensions/layout-options-editor/_layout-options-editor.js









function getDimensionToolbarItems(caption, namePrefix) {
    const minDimensionValue = 100;
    const maxDimensionValue = 10000;
    const dimensionRangeRuleMessage = function () {
        const formatViewModel = {
            FormatType: 'Number',
            IncludeGroupSeparator: true,
        };
        const maxFormattedDimensionValue = (0,_formatter/* formatNumeric */.bH)(maxDimensionValue, formatViewModel);
        const minFormattedDimensionValue = (0,_formatter/* formatNumeric */.bH)(minDimensionValue, formatViewModel);
        return (0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError'), minFormattedDimensionValue, maxFormattedDimensionValue);
    }();
    let dimensionOptions;
    let numberBox;
    let numberBoxValidator;
    let buttonGroup;
    let dimensionNameElement = document.createElement('div');
    dimensionNameElement.innerText = caption;
    let pixelElement = document.createElement('div');
    pixelElement.innerText = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DesignerToolbar.Pixels');
    let valueSubscription;
    let buttonGroupModeSubscription;
    let textBoxModeSubscription;
    let pixelElementModeSubscription;
    let updateNumberBox = () => {
        if (numberBox) {
            if (dimensionOptions) {
                let updateNumberBoxText = (value) => {
                    if (numberBox.option('disabled') || !_utils/* type */.NW.isDefined(value))
                        numberBox.option('value', null);
                    else
                        numberBox.option('value', value);
                };
                let updateNumberBoxDisability = (mode) => {
                    numberBox.option('disabled', mode !== 'Fixed');
                    updateNumberBoxText(dimensionOptions.value());
                };
                updateNumberBoxDisability(dimensionOptions.mode());
                valueSubscription && valueSubscription.dispose();
                valueSubscription = dimensionOptions.value.subscribe(newValue => updateNumberBoxText(newValue));
                textBoxModeSubscription && textBoxModeSubscription.dispose();
                textBoxModeSubscription = dimensionOptions.mode.subscribe(newMode => updateNumberBoxDisability(newMode));
                numberBox.option('onValueChanged', (args) => {
                    if (dimensionOptions && dimensionOptions.mode() === 'Fixed' && numberBox.option('isValid'))
                        dimensionOptions.value(args.value && parseInt(args.value));
                });
            }
            else {
                numberBox.option('value', null);
                numberBox.option('disabled', true);
                numberBox.option('onValueChanged', (args) => { });
            }
        }
    };
    let updateButtonGroup = () => {
        buttonGroupModeSubscription && buttonGroupModeSubscription.dispose();
        if (buttonGroup) {
            if (dimensionOptions) {
                buttonGroup.option('disabled', false);
                let updateButtonGroupSelection = (value) => buttonGroup && buttonGroup.option('selectedItemKeys', value ? [value] : []);
                buttonGroupModeSubscription = dimensionOptions.mode.subscribe(newValue => updateButtonGroupSelection(newValue));
                buttonGroup.option('onSelectionChanged', (args) => {
                    if (args.addedItems && args.addedItems.length === 1 && dimensionOptions) {
                        let buttonType = args.addedItems[0].key;
                        dimensionOptions.mode(buttonType);
                    }
                });
                updateButtonGroupSelection(dimensionOptions.mode());
            }
            else {
                buttonGroup.option('disabled', true);
                buttonGroup.option('onSelectionChanged', (args) => { });
            }
        }
    };
    let updatePixelElement = () => {
        pixelElementModeSubscription && pixelElementModeSubscription.dispose();
        let updatePixelElementDisability = (mode) => {
            if (mode === 'Fixed')
                pixelElement.classList.remove('dx-dashboard-toolbar-disabled-label');
            else
                pixelElement.classList.add('dx-dashboard-toolbar-disabled-label');
        };
        if (dimensionOptions) {
            updatePixelElementDisability(dimensionOptions.mode());
            pixelElementModeSubscription = dimensionOptions.mode.subscribe(newMode => updatePixelElementDisability(newMode));
        }
        else {
            updatePixelElementDisability(null);
        }
    };
    let updateDimensionNameElement = () => {
        if (dimensionOptions)
            dimensionNameElement.classList.remove('dx-dashboard-toolbar-disabled-label');
        else
            dimensionNameElement.classList.add('dx-dashboard-toolbar-disabled-label');
    };
    let validateDimensionValue = (option) => {
        if (dimensionOptions && dimensionOptions.mode() === 'Fixed') {
            const newValue = option.value ? parseInt(option.value.toString()) : 0;
            const currentDimensionValue = dimensionOptions.value();
            const currentValue = currentDimensionValue ? parseInt(currentDimensionValue.toString()) : 0;
            if (currentValue !== newValue)
                return newValue >= minDimensionValue && newValue <= maxDimensionValue;
        }
        return true;
    };
    let items = [
        {
            name: namePrefix + 'Label',
            location: 'before',
            cssClass: 'dx-dashboard-toolbar-label',
            template: (data, index, element) => {
                updateDimensionNameElement();
                (0,_jquery_helpers/* $unwrap */.I1)(element).appendChild(dimensionNameElement);
            }
        },
        {
            name: namePrefix + 'ButtonGroup',
            location: 'before',
            cssClass: 'dx-dashboard-toolbar-button-group',
            widget: 'dxButtonGroup',
            options: {
                items: [
                    {
                        text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.LayoutDimensionModeAuto'),
                        key: 'Auto'
                    },
                    {
                        text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.LayoutDimensionModeFixed'),
                        key: 'Fixed'
                    }
                ],
                keyExpr: 'key',
                onInitialized: (args) => {
                    buttonGroup = args.component;
                    updateButtonGroup();
                },
                width: '100%',
                disabled: true
            }
        },
        {
            name: namePrefix + 'NumberBox',
            location: 'before',
            cssClass: 'dx-dashboard-toolbar-spinedit',
            template: (data, index, element) => {
                const widgetContainer = document.createElement('div');
                (0,_jquery_helpers/* $unwrap */.I1)(element).appendChild(widgetContainer);
                numberBox = new (external_DevExpress_ui_dxNumberBox_default())(widgetContainer, {
                    disabled: true,
                    showSpinButtons: true,
                    width: '100%',
                    min: 1,
                    step: 10,
                });
                numberBoxValidator = new (external_DevExpress_ui_dxValidator_default())(widgetContainer, {
                    validationRules: [{
                            type: 'custom',
                            validationCallback: validateDimensionValue,
                            message: dimensionRangeRuleMessage,
                        }],
                });
                updateNumberBox();
            }
        },
        {
            name: namePrefix + 'PixelLabel',
            location: 'before',
            cssClass: 'dx-dashboard-toolbar-pixel-label',
            template: (data, index, element) => {
                updatePixelElement();
                (0,_jquery_helpers/* $unwrap */.I1)(element).appendChild(pixelElement);
            }
        },
        { name: namePrefix + 'Separator', location: 'before', ...createToolbarSeparator() }
    ];
    return {
        items,
        assignModel: (options) => {
            dimensionOptions = options;
            updateDimensionNameElement();
            updateButtonGroup();
            updateNumberBox();
            updatePixelElement();
        },
        dispose: () => {
            numberBoxValidator && numberBoxValidator.dispose();
            valueSubscription && valueSubscription.dispose();
            buttonGroupModeSubscription && buttonGroupModeSubscription.dispose();
            textBoxModeSubscription && textBoxModeSubscription.dispose();
            pixelElementModeSubscription && pixelElementModeSubscription.dispose();
        }
    };
}
(0,external_DevExpress_Analytics_Widgets_Internal_.registerBaseBinding)('dxButtonGroup', 'options');

;// external "DevExpress.ui.dxForm"
const external_DevExpress_ui_dxForm_namespaceObject = DevExpress.ui.dxForm;
var external_DevExpress_ui_dxForm_default = /*#__PURE__*/__webpack_require__.n(external_DevExpress_ui_dxForm_namespaceObject);
;// ./dist/designer/form-adapter/_form-adapter.js





let twoWayUpdateInterval = 1;
function extractFormAdapterItem(serializableInfo) {
    if (serializableInfo.formAdapterItem) {
        return serializableInfo.formAdapterItem;
    }
    return mapEditor(serializableInfo);
}
function mapEditor(serializableInfo) {
    if (!serializableInfo.simpleFormAdapterItem) {
        return null;
    }
    switch (serializableInfo.simpleFormAdapterItem) {
        case 'dateBoxEditor':
            return (0,_form_adapter_editors/* dateBoxEditor */.fG)();
        case 'colorBoxEditor':
            return (0,_form_adapter_editors/* colorBoxEditor */.E9)();
        case 'numberBoxEditor':
            const editorOptions = serializableInfo.editorOptions;
            return (0,_form_adapter_editors/* numberBoxEditor */.kx)(editorOptions);
        case 'checkBoxEditor':
            return (0,_form_adapter_editors/* checkBoxEditor */.Lf)({ text: (0,_default/* getLocalizationById */.Mu)(serializableInfo.displayName) });
        case 'textBoxEditor':
            return (0,_form_adapter_editors/* textBoxEditor */.Cv)();
        case 'guidEditor':
            return (0,_form_adapter_editors/* guidEditor */.hC)();
        case 'selectBoxEditor':
            return (0,_form_adapter_editors/* selectBoxEditor */.Zn)(getEditorValues(serializableInfo));
        case 'onOffButtonGroupEditor':
            return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([{ value: true, displayValueId: 'DashboardWebStringId.ButtonOn' }, { value: false, displayValueId: 'DashboardWebStringId.ButtonOff' }]);
        case 'yesNoButtonGroupEditor':
            return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([{ value: true, displayValueId: 'DashboardWebStringId.ButtonYes' }, { value: false, displayValueId: 'DashboardWebStringId.ButtonNo' }]);
        case 'buttonGroupEditor':
            return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)(getEditorValues(serializableInfo));
        case 'discreteContinuousButtonGroupEditor':
            return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([{ value: true, displayValueId: 'DashboardWebStringId.ButtonDiscrete' }, { value: false, displayValueId: 'DashboardWebStringId.ButtonContinuous' }]);
        case 'listEditor':
            return (0,_form_adapter_editors/* listEditor */.yo)(getEditorValues(serializableInfo));
        default:
            throw new Error('Unsupported simple formAdapterItem type');
    }
}
function getFormAdapterItemOptions(serializationInfo, propertiesWrapper, bindingContext) {
    const dynamicEditor = propertiesWrapper.getDynamicEditor ? propertiesWrapper.getDynamicEditor(serializationInfo.propertyName) : null;
    const formAdapterItemProvider = dynamicEditor || serializationInfo;
    const formAdapterItem = extractFormAdapterItem(formAdapterItemProvider);
    const formAdapterContext = {
        bindingContext: bindingContext,
        widgetContainer: bindingContext.$root.getWidgetContainer()
    };
    return (typeof formAdapterItem === 'function') ? formAdapterItem(formAdapterContext) : formAdapterItem;
}
function getFormItems(target, context) {
    return target
        .getInfo()
        .map(serializationInfo => {
        if (serializationInfo.dxFormItem) {
            return serializationInfo.dxFormItem;
        }
        let formAdapterItemOptions = getFormAdapterItemOptions(serializationInfo, target, context);
        if (!formAdapterItemOptions) {
            return null;
        }
        return {
            dataField: serializationInfo.propertyName,
            name: serializationInfo.propertyName,
            label: {
                text: (0,_default/* getLocalizationById */.Mu)(serializationInfo.displayName),
                visible: !!serializationInfo.displayName,
                ...formAdapterItemOptions.label
            },
            visible: target.isPropertyVisible ? target.isPropertyVisible(serializationInfo.propertyName) : true,
            validationRules: [...(serializationInfo.validationRules || []), ...(formAdapterItemOptions.validationRules || [])],
            editorType: formAdapterItemOptions.editorType,
            template: formAdapterItemOptions.template,
            customEditorType: formAdapterItemOptions.customEditorType,
            editorOptions: {
                disabled: target.isPropertyDisabled ? target.isPropertyDisabled(serializationInfo.propertyName) : false,
                ...formAdapterItemOptions.editorOptions,
                ...serializationInfo.editorOptions,
            }
        };
    }).filter(i => !!i);
}
function getItemComparableOptions(propertyName, target, context) {
    const info = target.getInfo().filter(info => info.propertyName === propertyName)[0];
    const itemOptions = info && getFormAdapterItemOptions(info, target, context);
    return itemOptions && itemOptions.comparableEditorOptions || [];
}
function updateFormItemsCore(form, target, bindingContext, propertiesToForceUpdate = []) {
    form.beginUpdate();
    getFormItems(target, bindingContext).forEach(newItem => {
        const itemOptions = form.itemOption(newItem.dataField);
        if (itemOptions.visible !== newItem.visible) {
            form.itemOption(newItem.dataField, 'visible', newItem.visible);
        }
        if (itemOptions.editorOptions && newItem.editorOptions) {
            const isOptionsChanged = ['disabled', ...getItemComparableOptions(newItem.dataField, target, bindingContext)]
                .reduce((acc, prop) => acc || (newItem.editorOptions[prop] !== itemOptions.editorOptions[prop]), false);
            isOptionsChanged && form.itemOption(newItem.dataField, 'editorOptions', newItem.editorOptions);
        }
        if (itemOptions['customEditorType'] !== newItem['customEditorType'] || itemOptions.editorType !== newItem.editorType ||
            _utils/* type */.NW.isDefined(propertiesToForceUpdate) && propertiesToForceUpdate.filter(f => f === newItem.dataField).length > 0) {
            form.itemOption(newItem.dataField, newItem);
        }
    });
    form.endUpdate();
}
function transformValuesDictionary(values) {
    return Object.keys(values).map(k => ({ value: k, displayValueId: values[k] }));
}
function getEditorValues(propertyEditorInfo) {
    if (propertyEditorInfo.values) {
        let values = external_ko_.unwrap(propertyEditorInfo.values);
        return transformValuesDictionary(values);
    }
    else if (propertyEditorInfo.valuesArray)
        return propertyEditorInfo.valuesArray.map((val) => ({ value: val.value, displayValueId: val.displayValue }));
    return undefined;
}
external_ko_.bindingHandlers['dx-dashboard-form-adapter'] = {
    init: function (element, valueAccessor, _, __, bindingContext) {
        let subscriptions = [];
        const params = external_ko_.unwrap(valueAccessor());
        const target = external_ko_.unwrap(params.target);
        const onFormInitialized = external_ko_.unwrap(params.onFormInitialized);
        const updateFormItems = (form, propertiesToForceUpdate) => {
            updateFormItemsCore(form, target, bindingContext, propertiesToForceUpdate);
        };
        let twoWayTimeout;
        let twoWayPropsUpdated = [];
        const clearTwoWayTimeout = (propsToClear) => {
            twoWayPropsUpdated = twoWayPropsUpdated.filter(tw => propsToClear.filter(tc => tc === tw).length === 0);
            if (twoWayPropsUpdated.length === 0) {
                clearTimeout(twoWayTimeout);
                twoWayTimeout = null;
            }
        };
        const updateTwoWay = (prop) => {
            clearTimeout(twoWayTimeout);
            twoWayPropsUpdated.push(prop);
            twoWayTimeout = setTimeout(() => {
                let force = twoWayPropsUpdated;
                clearTwoWayTimeout(twoWayPropsUpdated);
                updateFormItems(form, force);
            }, twoWayUpdateInterval);
        };
        const form = new (external_DevExpress_ui_dxForm_default())(element, {
            formData: target,
            colCount: 1,
            labelLocation: 'top',
            showColonAfterLabel: false,
            items: getFormItems(target, bindingContext),
            onContentReady: (e) => {
                target.onContentReady && target.onContentReady(e);
            },
            onInitialized: (e) => {
                onFormInitialized && onFormInitialized(e);
                target.onInitialized && target.onInitialized(e);
            },
            onFieldDataChanged: (e) => {
                if (twoWayTimeout)
                    clearTwoWayTimeout([e.dataField]);
                updateFormItems(e.component);
                target.onFieldDataChanged && target.onFieldDataChanged(e);
            }
        });
        target.assignValidationPovider(form);
        target.getInfo()
            .filter(propInfo => propInfo.externalUpdateCallback)
            .forEach(propInfo => subscriptions.push(propInfo.externalUpdateCallback(({ forceValidate }) => {
            updateFormItems(form);
            if (forceValidate)
                form.validate();
        })));
        target.getInfo()
            .filter(propInfo => propInfo.isTwoWay)
            .forEach(propInfo => {
            let property = target[propInfo.propertyName];
            if (property && external_ko_.isObservable(property)) {
                subscriptions.push(property.subscribe(newValue => {
                    updateTwoWay(propInfo.propertyName);
                }));
            }
        });
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            target.assignValidationPovider(null);
            subscriptions.forEach(d => d.dispose());
            subscriptions = [];
        });
        return { controlsDescendantBindings: true };
    }
};

// EXTERNAL MODULE: ./dist/designer/items/properties-composers/_base-properties-composer.js
var _base_properties_composer = __webpack_require__(8518);
// EXTERNAL MODULE: ./dist/designer/items/properties-composers/_shared-composers.js
var _shared_composers = __webpack_require__(3451);
;// ./dist/designer/items/properties-composers/_shared-properties-composer.js



class SharedPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model, args) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model))
        ];
        return result;
    }
}

// EXTERNAL MODULE: ./dist/designer/items/surfaces/_base-item-surface.js
var _base_item_surface = __webpack_require__(8406);
;// ./dist/designer/items/surfaces/_group-item-surface.js



class GroupItemSurface extends _base_item_surface/* BaseItemSurface */.O {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser) {
        super();
    }
    getPropertiesComposer() {
        return new SharedPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Group', GroupItemSurface);

;// ./dist/designer/parameter-settings/_field-picker.js



class FieldListPicker {
    constructor(dataSourceBrowser, _value, model, disabled) {
        this.disabled = disabled;
        var self = this;
        this.treeListController = new DashboardTreeListFieldController(_value);
        this.pathToMembers = external_ko_.computed(() => [model.dataSource(), model.dataMember()].filter(item => !!item).join('.'));
        this.pathToMembers.subscribe(() => _value(null));
        this.displayValue = external_ko_.computed(() => {
            return !!_value() ? _value() : '';
        });
        this.value = external_ko_.computed({
            read: () => {
                return _value();
            },
            write: (val) => {
                if (!val) {
                    _value(null);
                }
            }
        });
        this.itemsProvider = new _expression_editor_item_provider/* ExpressionEditorItemsProvider */.v(dataSourceBrowser, dataSourceBrowser, dataSourceBrowser, dataSourceBrowser.parameters && dataSourceBrowser.parameters(), model.dataSource, model.dataMember);
    }
}
class DashboardTreeListFieldController extends external_DevExpress_Analytics_Widgets_Internal_.TreeListController {
    constructor(_value) {
        super();
        this._value = _value;
    }
    hasItems(item) {
        return item['hasItems'];
    }
    canSelect(value) {
        return !value.hasItems;
    }
    select(value) {
        this._value(value.data['field'].dataMember());
    }
}

// EXTERNAL MODULE: ./dist/designer/calculations/items/surfaces/_calculation-surface.js
var _calculation_surface = __webpack_require__(7343);
// EXTERNAL MODULE: ./dist/designer/calculations/_expression-editor.js
var _expression_editor = __webpack_require__(6318);
// EXTERNAL MODULE: ./dist/designer/calculations/_window-definition-editor.js
var _window_definition_editor = __webpack_require__(4548);
// EXTERNAL MODULE: ./dist/model/color.js
var color = __webpack_require__(5419);
// EXTERNAL MODULE: ./dist/model/colorization/color-scheme-entry.js
var color_scheme_entry = __webpack_require__(3578);
;// ./dist/designer/color-scheme-editor-extension/internal/_color-picker-model.js




class ColorPickerModel {
    constructor(colorSchemeModel, colorPalette) {
        this.colorSchemeModel = colorSchemeModel;
        this.colorPalette = colorPalette;
        this.target = external_ko_.observable();
        this.visible = external_ko_.observable();
        this.colorCss = external_ko_.observable('');
        this.confirm = () => {
            this.entry.paletteIndex(null);
            this.entry.color(color/* Color */.Q.fromRgbaString(this.colorCss()));
            if (this.entry instanceof color_scheme_entry/* AutoColorSchemeEntry */.k) {
                var newEntry = this.entry.clone();
                this.colorSchemeModel.updateEntry(this.entry, newEntry);
            }
            this.visible(false);
        };
        this.buttonItems = external_ko_.observableArray([
            { toolbar: 'bottom', location: 'after', widget: 'dxButton', options: { text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ButtonConfirm'), onClick: this.confirm } },
            { toolbar: 'bottom', location: 'after', widget: 'dxButton', options: { text: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ButtonCancel'), onClick: () => this.visible(false) } }
        ]);
    }
    init(entry, target) {
        this.entry = entry;
        let color = entry.paletteIndex() === null ? entry.color() : this.colorPalette()[entry.paletteIndex()];
        this.colorCss(color ? color.css : '');
        this.target(target);
        this.visible(true);
    }
}

// EXTERNAL MODULE: external "DevExpress.Analytics.Criteria"
var external_DevExpress_Analytics_Criteria_ = __webpack_require__(191);
// EXTERNAL MODULE: external "DevExpress.Analytics.Criteria.Utils"
var external_DevExpress_Analytics_Criteria_Utils_ = __webpack_require__(8248);
// EXTERNAL MODULE: ./dist/model/colorization/dimension-key.js
var dimension_key = __webpack_require__(7078);
// EXTERNAL MODULE: ./dist/model/colorization/measure-definition.js
var measure_definition = __webpack_require__(9272);
// EXTERNAL MODULE: ./dist/model/colorization/_dimension-definition.js
var _dimension_definition = __webpack_require__(1055);
// EXTERNAL MODULE: ./dist/model/data-item/calculations/calculation.js
var calculation = __webpack_require__(9795);
// EXTERNAL MODULE: ./dist/model/data-item/dimension.js
var data_item_dimension = __webpack_require__(3599);
// EXTERNAL MODULE: ./dist/model/data-item/window-definition/window-definition.js
var window_definition = __webpack_require__(6868);
// EXTERNAL MODULE: ./dist/model/internal/_expression-utils.js
var _expression_utils = __webpack_require__(1023);
;// ./dist/designer/color-scheme-editor-extension/internal/_color-scheme-entry-creator.js












class ColorSchemeEntryCreator {
    constructor() {
        this._entry = new color_scheme_entry/* ColorSchemeEntry */.r({});
    }
    static createMeasureKey(dataMember, summaryType) {
        var measureDefinition = new measure_definition/* MeasureDefinition */.C({ '@ItemType': 'Definition' });
        measureDefinition.dataMember(dataMember);
        measureDefinition.summaryType(summaryType);
        return measureDefinition;
    }
    static createMeasureDefinitionFromMeasure(measure, otherDataItems) {
        var measureDefinition = new measure_definition/* MeasureDefinition */.C({ '@ItemType': 'Definition' });
        var serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer();
        var calculationClone = new calculation/* Calculation */.S(serializer.serialize(measure.calculation));
        var windowDefinitionJson = serializer.serialize(measure.windowDefinition);
        var windowDefinitionClone = new window_definition/* WindowDefinition */.w(windowDefinitionJson);
        measureDefinition.dataMember(measure.dataMember());
        measureDefinition.summaryType(measure.summaryType());
        measureDefinition.calculation.calculation(calculationClone.calculation());
        measureDefinition.calculation.calculationType(calculationClone.calculationType());
        measureDefinition.expression(measure.expression());
        measureDefinition.windowDefinition.windowDefinition(windowDefinitionClone.windowDefinition());
        measureDefinition.windowDefinition.windowDefinitionType(windowDefinitionClone.windowDefinitionType());
        let filterString = measure.filterString();
        measureDefinition.filterString(filterString);
        if (filterString && otherDataItems && otherDataItems.length > 0) {
            let filterCriteria = (0,_expression_utils/* getFilterCriteria */.eg)(filterString);
            let dimensions = [];
            (0,external_DevExpress_Analytics_Criteria_Utils_.criteriaForEach)(filterCriteria, op => {
                if (op instanceof external_DevExpress_Analytics_Criteria_.OperandProperty) {
                    let prop = op;
                    let dataItem = otherDataItems.filter(di => di.uniqueName() === prop.propertyName)[0];
                    if (dataItem instanceof data_item_dimension/* Dimension */.f) {
                        dimensions.push(this.createDimensionDefinitionFromDimension(dataItem));
                    }
                }
            });
            measureDefinition.definitions(dimensions);
        }
        return measureDefinition;
    }
    static createDimensionDefinitionFromDimension(dimension) {
        var dimensionDefinition = new _dimension_definition/* DimensionDefinition */.M();
        dimensionDefinition.dataMember = dimension.dataMember;
        dimensionDefinition.dateTimeGroupInterval = dimension.dateTimeGroupInterval;
        return dimensionDefinition;
    }
    static createMeasureDefinitionCopy(measureKey) {
        var serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer();
        return new measure_definition/* MeasureDefinition */.C(serializer.serialize(measureKey));
    }
    static createDimensionKey(dataMember, groupInterval, valueType, value) {
        var dimensionKey = new dimension_key/* DimensionKey */.a({ '@ItemType': 'DimensionKey' });
        dimensionKey.definition = {
            dataMember: external_ko_.observable(dataMember),
            dateTimeGroupInterval: external_ko_.observable(groupInterval)
        };
        dimensionKey.value = {
            value: external_ko_.observable(value),
            type: external_ko_.observable(valueType)
        };
        return dimensionKey;
    }
    addColor(color) {
        this._entry.color(color);
        return this;
    }
    addItemComponentName(name) {
        this._entry.itemComponentName = name;
        return this;
    }
    addPaletteIndex(paletteIndex) {
        this._entry.paletteIndex(paletteIndex);
        return this;
    }
    addDataSourceName(dataSourceName) {
        this._entry.dataSource(dataSourceName);
        return this;
    }
    addDataMemberName(dataMember) {
        this._entry.dataMember(dataMember);
        return this;
    }
    addMeasureKey(dataMember, summaryType) {
        this._entry.measureKeys.push(ColorSchemeEntryCreator.createMeasureKey(dataMember, summaryType));
        return this;
    }
    addDimensionKey(dataMember, groupInterval, valueType, value) {
        this._entry.dimensionKeys.push(ColorSchemeEntryCreator.createDimensionKey(dataMember, groupInterval, valueType, value));
        return this;
    }
    getEntry() {
        return this._entry;
    }
}

;// ./dist/designer/color-scheme-editor-extension/internal/_color-scheme-model.js












var measureDefinitionEqual = (key1, key2) => key1._id === key2._id;
function combineEntries(auto, custom) {
    var customEntries = custom.slice();
    var result = [];
    var dimensionValuesEqual = (value1, value2) => value1.value() === value2.value();
    return auto.map(autoEntry => {
        var foundCustom = customEntries.filter(customEntry => {
            return customEntry.definition.equals(autoEntry.definition) &&
                (0,_array_utils/* compareArrays */.ww)(customEntry.dimensionKeys().map(key => key.value), autoEntry.dimensionKeys().map(key => key.value), dimensionValuesEqual) &&
                (0,_array_utils/* compareArrays */.ww)(customEntry.measureKeys(), autoEntry.measureKeys(), measureDefinitionEqual);
        })[0];
        !!foundCustom && customEntries.splice(customEntries.indexOf(foundCustom), 1);
        return foundCustom || autoEntry;
    }).concat(customEntries);
}
class ItemColorScheme extends disposable_object/* DisposableObject */.I {
    constructor(item, _requestColorSchemeDelegate, _updateHub) {
        super();
        this.generatedEntries = external_ko_.observableArray();
        this.componentName = '';
        this.name = '';
        if (item instanceof data_dashboard_item/* DataDashboardItem */.s) {
            this.componentName = item.componentName();
            this.name = item.name();
        }
        this.customEntries = item.colorScheme;
        this.allEntries = external_ko_.computed(() => {
            return combineEntries(this.generatedEntries(), this.customEntries());
        });
        this.toDispose(this.allEntries);
        var update = (0,_utils/* debounce */.sg)(() => {
            if (!this.disposed && !item.disposed) {
                _requestColorSchemeDelegate(this.componentName).done(scheme => {
                    var coloringSchemeEntries = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(scheme, (item) => new color_scheme_entry/* AutoColorSchemeEntry */.k(item, null, this.componentName, this.name))();
                    this.generatedEntries(coloringSchemeEntries);
                });
            }
        }, 10);
        this.toDispose(this.customEntries.subscribe(update));
        var dashboardItemUpdated = (args) => {
            if ((args.category !== _base_metadata/* PropertyCategory */.Sw.ViewModel && args.category !== _base_metadata/* PropertyCategory */.Sw.NoUpdate)
                && item._colorableItems().indexOf(args.item) !== -1) {
                update();
            }
        };
        var colorItemSubscription = item._colorableItems.subscribe(update);
        _updateHub.dashboardItemPropertyChanged.add(dashboardItemUpdated);
        this.toDispose({ dispose: () => {
                _updateHub.dashboardItemPropertyChanged.remove(dashboardItemUpdated);
                colorItemSubscription?.dispose();
            } });
        update();
    }
    dispose() {
        super.dispose();
    }
}
function contains(array, item) {
    return array.some(element => element === item);
}
class ColorSchemeModel extends external_DevExpress_Analytics_Utils_.Disposable {
    constructor(dashboard, _requestColorSchemeDelegate, _updateHub) {
        super();
        this.dashboard = dashboard;
        this._requestColorSchemeDelegate = _requestColorSchemeDelegate;
        this._updateHub = _updateHub;
        this.isSignatureAutogenerated = (definition) => this.itemColorSchemes[definition.componentName].generatedEntries().some(entry => entry.definition.equals(definition));
        this.removeEntry = (entry) => {
            this.getScheme(entry.definition.componentName).remove(entry);
            this.newEntry(null);
        };
        this.removeTable = (definition) => {
            var scheme = this.getScheme(definition.componentName);
            scheme.removeAll(scheme().filter(entry => entry.definition.equals(definition)));
        };
        this.initNewEntry = () => {
            var entryCreator = new ColorSchemeEntryCreator();
            var entryToClone = this.selectedSignatureEntries()[0];
            var defaultNames = this.generateDefaultNames(entryToClone);
            entryCreator.addItemComponentName(entryToClone.definition.componentName);
            entryCreator.addDataSourceName(entryToClone.definition.dataSource);
            entryCreator.addDataMemberName(entryToClone.definition.dataMember);
            entryToClone.dimensionKeys().map((key, index) => {
                entryCreator.addDimensionKey(key.definition.dataMember(), key.definition.dateTimeGroupInterval(), key.value.type(), defaultNames[index]);
            });
            entryCreator.addColor(color/* Color */.Q.fromArgb(1, 0, 0, 0));
            this.newEntry(entryCreator.getEntry());
        };
        this.updateEntry = (entry, editedEntry) => {
            var entries = this.getScheme(editedEntry.definition.componentName);
            var oldEntryIndex = entry instanceof color_scheme_entry/* AutoColorSchemeEntry */.k ? -1 : entries().indexOf(entry);
            if (oldEntryIndex >= 0) {
                entries.splice(oldEntryIndex, 1);
            }
            if (entries().indexOf(editedEntry) === -1) {
                entries.push(editedEntry);
            }
            this.newEntry(null);
        };
        this.getAvailableMeasureKeys = () => {
            var result = [];
            var definition = this.selectedSignatureEntries().length > 0 ? this.selectedSignatureEntries()[0].definition : null;
            var itemId = definition.componentName;
            var addMeasureDefinition = function (measureDefinition) {
                if (!result.some(definition => measureDefinitionEqual(definition, measureDefinition)))
                    result.push(measureDefinition);
            };
            var items = this.dashboard._dataDashboardItems().
                filter(item => (!!itemId ? item.componentName() === itemId : item._isGloballyColored) &&
                definition.equals(item._getColoringSignature()));
            if (items.length > 0) {
                items.forEach(item => {
                    item._measures.forEach(measure => {
                        if (item._isColoringEnabled(measure)) {
                            addMeasureDefinition(ColorSchemeEntryCreator.createMeasureDefinitionFromMeasure(measure, item.dataItems()));
                        }
                    });
                });
            }
            else {
                this.selectedSignatureEntries().forEach(entry => {
                    entry.measureKeys().forEach(measure => addMeasureDefinition(ColorSchemeEntryCreator.createMeasureDefinitionCopy(measure)));
                });
            }
            return result;
        };
        this.selectedSignatures = external_ko_.observable([]);
        this.itemColorSchemes = {};
        this.newEntry = external_ko_.observable();
        dashboard.addDisposable(this);
        this.itemColorSchemes[''] = new ItemColorScheme(dashboard, _requestColorSchemeDelegate, _updateHub);
        var localyColoredItems = external_ko_.computed(() => dashboard._dataDashboardItems().filter(item => item._isLocallyColored));
        localyColoredItems().forEach(item => this.createItemColorScheme(item));
        this.addDisposable((0,_knockout_utils/* subscribeWithPrev */.SP)(localyColoredItems, (oldValues, newValues) => {
            var deleted = oldValues
                .filter(oldValue => !newValues.some(element => element === oldValue))
                .forEach(item => {
                this.itemColorSchemes[item.componentName()].dispose();
                delete this.itemColorSchemes[item.componentName()];
            });
            var added = newValues
                .filter(newValue => !oldValues.some(element => element === newValue))
                .forEach(item => this.createItemColorScheme(item));
        }));
        this.addDisposable(localyColoredItems);
        this.addDisposable(this.allEntries = external_ko_.computed(() => {
            var result = [];
            external_jQuery_.each(this.itemColorSchemes, (componentName, scheme) => {
                result = result.concat(scheme.allEntries());
            });
            return result;
        }));
        this.addDisposable(this.availableSignatures = external_ko_.computed(() => {
            var result = [];
            this.allEntries().forEach(entry => {
                var definition = entry.definition;
                if (!result.some(resultDefinition => resultDefinition.equals(definition))) {
                    result.push(definition);
                }
            });
            return result;
        }));
        this.addDisposable(this.editableSignatures = external_ko_.computed(() => {
            return this.availableSignatures().filter(s => s.dataItems().length > 0);
        }));
        this.addDisposable(this.selectedSignatureEntries = external_ko_.pureComputed(() => {
            return this.allEntries().filter(entry => !!this.selectedSignatures().length && entry.definition.equals(this.selectedSignatures()[0])).concat(this.newEntry() ? [this.newEntry()] : []);
        }));
    }
    createItemColorScheme(item) {
        this.itemColorSchemes[item.componentName()] = new ItemColorScheme(item, this._requestColorSchemeDelegate, this._updateHub);
    }
    getScheme(componentName = '') {
        return this.itemColorSchemes[componentName].customEntries;
    }
    retainColorIndex(entry) {
        var newEntry = entry.clone();
        newEntry.color(null);
        newEntry.paletteIndex(entry.paletteIndex());
        this.getScheme(entry.definition.componentName).push(newEntry);
    }
    generateDefaultNames(newEntry) {
        var result = [];
        var entries = this.itemColorSchemes[newEntry.definition.componentName].allEntries().filter(entry => entry.definition.equals(newEntry.definition));
        var dimensionKeys = newEntry.dimensionKeys();
        var lastDimensionIndex = null;
        var isString = function (dimensionKey) {
            return dimensionKey.value.type() === 'System.String';
        };
        for (var i = dimensionKeys.length - 1; i >= 0; i--) {
            if (isString(dimensionKeys[i])) {
                lastDimensionIndex = i;
                break;
            }
        }
        if (lastDimensionIndex != null) {
            for (var i = 0; i < lastDimensionIndex; i++) {
                result.push(isString(dimensionKeys[i]) ? dimensionKeys[i].definition.dataMember() + '1' : null);
            }
            var lastDimensionPattern = dimensionKeys[lastDimensionIndex].definition.dataMember();
            var lastDimensionPostfix = 1;
            while (entries.some(entry => entry.dimensionKeys()[lastDimensionIndex].value.value() === lastDimensionPattern + (lastDimensionPostfix).toString())) {
                lastDimensionPostfix++;
            }
            result[lastDimensionIndex] = lastDimensionPattern + lastDimensionPostfix.toString();
        }
        return result;
    }
    isEntryAutogenerated(entry) {
        return this.itemColorSchemes[entry.definition.componentName].generatedEntries().some(generatedEntry => generatedEntry.equals(entry));
    }
}

// EXTERNAL MODULE: ./dist/designer/filtering/_item-filter-items-provider.js
var _item_filter_items_provider = __webpack_require__(3379);
;// ./dist/designer/color-scheme-editor-extension/internal/_entry-editor-model.js







class EntryEditorViewModel {
    constructor(colorPalette) {
        this.colorPalette = colorPalette;
        this.editEntry = (dataSourceBrowser, entry, colorByMeasures, availableMeasures, updateEntry, isAutoGenerated) => {
            this.invalidate();
            this.isAutogenerated(isAutoGenerated);
            this.updateEntry = updateEntry;
            this.hasMeasures(colorByMeasures);
            this.availableMeasures(availableMeasures);
            this.entryToEdit(entry.clone());
            this.subscribeObservables();
            if (colorByMeasures) {
                this.measuresValidationRules = [{
                        type: 'custom',
                        validationCallback: () => {
                            return this.measureKeys().length > 0;
                        },
                        message: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Colorization.ValidationSelectMeasure')
                    }];
            }
            var dimensionEditors = [];
            var promises = [];
            this.dimensionKeys().forEach(key => {
                promises.push(dataSourceBrowser
                    .findDataField(entry.definition.dataSource, entry.definition.dataMember, key.definition.dataMember())
                    .done(field => {
                    var type = field && (0,_item_filter_items_provider/* getRealDimensionType */.lY)(key.definition, field) || 'Unknown';
                    dimensionEditors.push({
                        dimensionKey: key,
                        valueType: type
                    });
                }));
            });
            (0,_jquery_helpers/* jqueryWhenArray */.wj)(promises).done((fields) => {
                this.dimensionEditors(dimensionEditors);
                this.visible(true);
            });
        };
        this.close = () => {
            this.visible(false);
            this.invalidate();
        };
        this.validate = () => {
            var validationGroup = external_DevExpress_validationEngine_default().getGroupConfig(this._validationGroupName);
            if (!!validationGroup && validationGroup.validate().isValid) {
                this.dimensionKeys().forEach((key, index) => this.entryToEdit().dimensionKeys()[index].value.value(key.value.value()));
                this.entryToEdit().measureKeys(this.measureKeys().map(key => ColorSchemeEntryCreator.createMeasureDefinitionCopy(key)));
                this.entryToEdit().paletteIndex(null);
                this.entryToEdit().color(color/* Color */.Q.fromRgbaString(this.color()));
                this.updateEntry(this.entryToEdit());
            }
        };
        this.invalidate = () => {
            this._subscriptions.forEach(s => s.dispose());
            this._subscriptions = [];
            this.entryToEdit(null);
            this.isAutogenerated(false);
            this.measuresValidationRules = [];
            this.dimensionKeys([]);
            this.measureKeys([]);
        };
        this.visible = external_ko_.observable(false);
        this.entryToEdit = external_ko_.observable();
        this.isAutogenerated = external_ko_.observable(false);
        this.hasMeasures = external_ko_.observable();
        this.availableMeasures = external_ko_.observableArray();
        this.measuresValidationRules = [];
        this.dimensionEditors = external_ko_.observableArray();
        this.dimensionKeys = external_ko_.observableArray();
        this.measureKeys = external_ko_.observableArray();
        this.selectedMeasuresIds = external_ko_.computed({
            read: () => {
                return this.measureKeys().map(md => md._id);
            },
            write: (selectedIds) => {
                this.measureKeys(this.availableMeasures().filter(md => selectedIds.some(id => id === md._id)));
            }
        });
        this.color = external_ko_.observable();
        this._subscriptions = [];
        this._validationGroupName = 'newEntry';
    }
    subscribeObservables() {
        this.entryToEdit().dimensionKeys().forEach(key => this.dimensionKeys.push(ColorSchemeEntryCreator.createDimensionKey(key.definition.dataMember(), key.definition.dateTimeGroupInterval(), key.value.type(), key.value.value())));
        this.measureKeys(this.entryToEdit().measureKeys().map(key => ColorSchemeEntryCreator.createMeasureDefinitionCopy(key)));
        let computedColor = this.entryToEdit().paletteIndex() === null ? this.entryToEdit().color() : this.colorPalette()[this.entryToEdit().paletteIndex()];
        this.color(computedColor ? computedColor.toHex() : '');
        this.dimensionKeys().forEach(key => {
            this._subscriptions.push(key.value.value.subscribe(this.validate));
        });
        this._subscriptions.push(this.measureKeys.subscribe(this.validate));
        this._subscriptions.push(this.color.subscribe(this.validate));
    }
}

// EXTERNAL MODULE: ./dist/designer/conditional-formatting/custom-style-settings/_conditional-formatting-custom-color-storage.js
var _conditional_formatting_custom_color_storage = __webpack_require__(7138);
// EXTERNAL MODULE: ./dist/model/data-item/measure.js
var measure = __webpack_require__(6779);
// EXTERNAL MODULE: ./dist/model/enums.js
var enums = __webpack_require__(4950);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-average.js
var format_condition_average = __webpack_require__(6826);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-expression.js
var format_condition_expression = __webpack_require__(6855);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/format-condition-top-bottom.js
var format_condition_top_bottom = __webpack_require__(8184);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-bar.js
var _format_condition_bar = __webpack_require__(4919);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-bar-options.js
var _format_condition_bar_options = __webpack_require__(6968);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-date-occuring.js
var _format_condition_date_occuring = __webpack_require__(3661);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-expression.js
var _format_condition_expression = __webpack_require__(5498);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-min-max-base.js
var _format_condition_min_max_base = __webpack_require__(9223);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-top-bottom.js
var _format_condition_top_bottom = __webpack_require__(5281);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/metadata/_format-condition-value.js
var _format_condition_value = __webpack_require__(6979);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/metadata/_format-condition-range-base.js
var _format_condition_range_base = __webpack_require__(1571);
// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/metadata/_format-condition-range-gradient.js
var _format_condition_range_gradient = __webpack_require__(9378);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_cells-item-format-rule.js
var _cells_item_format_rule = __webpack_require__(2807);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_dashboard-item-format-rule.js
var _dashboard_item_format_rule = __webpack_require__(7540);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_format-rules-common.js
var _format_rules_common = __webpack_require__(6744);
// EXTERNAL MODULE: ./dist/designer/filtering/_filter-utils.js
var _filter_utils = __webpack_require__(604);
// EXTERNAL MODULE: ./dist/designer/filtering/_item-filter-display-name-provider.js
var _item_filter_display_name_provider = __webpack_require__(633);
// EXTERNAL MODULE: ./dist/designer/form-adapter/_object-properties-wrapper.js
var _object_properties_wrapper = __webpack_require__(9113);
;// ./dist/designer/conditional-formatting/items/properties-composers/_shared-format-rule-properties-composer.js































class FormatRulePropertiesComposer {
    constructor(_options) {
        this._options = _options;
    }
    composeTabs(model, args) {
        const commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.FormatRuleCommon, 'DashboardWebStringId.AccordionTab.Common');
        const conditionTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.FormatRuleCondition, 'DashboardWebStringId.ConditionalFormatting.Condition');
        const miscTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.FormatRuleMisc, 'DashboardWebStringId.ConditionalFormatting.Miscellaneous');
        let additionalTabs = [];
        this._fillCommonFormatRuleCommonWrapper(commonTab, model, args.dashboardItem, args.dataSourceBrowser, args.requestRecalculation, args.specificTypeChanged);
        if (external_ko_.unwrap(model && model.condition)) {
            this._fillConditionWrapper(conditionTab, model, args.dashboardItem, args.dataSourceBrowser);
            additionalTabs = this._options.getAdditionalTabs && this._options.getAdditionalTabs(model, args.dashboardItem, args.dataSourceBrowser);
            this._fillMiscWrapper(miscTab, model, args.dashboardItem, args.dataSourceBrowser);
        }
        return [commonTab, conditionTab, ...(additionalTabs || []), miscTab].filter(tab => !!tab);
    }
    _fillCommonFormatRuleCommonWrapper(tab, formatRule, dashboardItem, dataSourceBrowser, requestRecalculation, specificTypeChanged) {
        let propertiesInfo = this._options.getCommonFormatRuleProperties(formatRule, dashboardItem, dataSourceBrowser, requestRecalculation);
        let disabledRules = {};
        const dataType = this._options.createDataTypeObservable(formatRule, dashboardItem, dataSourceBrowser);
        disabledRules[_cells_item_format_rule/* formatRuleDataItem */.zq.propertyName] = () => !!external_ko_.unwrap(formatRule.condition);
        disabledRules['typeChooser'] = function () { return !!external_ko_.unwrap(formatRule.condition); };
        let wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: formatRule,
            visibilityFilterRules: propertiesInfo.visibilityFilterRules,
            properties: propertiesInfo.properties,
            disabledFilterRules: { ...disabledRules, ...propertiesInfo.disabledFilterRules }
        });
        addConditionEditor(wrapper, dataType, formatRule, dashboardItem, requestRecalculation, specificTypeChanged, this._options.conditionTypeFilter);
        tab.tabModel(wrapper);
    }
    _fillConditionWrapper(tab, model, dashboardItem, dataSourceBrowser) {
        let p = [];
        let visibilityRules = {};
        visibilityRules[_format_condition_range_base/* rangeValueType */.dP.propertyName] = () => model.condition() && !model.condition().dateTimeGroupInterval();
        const isChartItem = dashboardItem instanceof dist_model.ChartItem || dashboardItem instanceof dist_model.ScatterChartItem;
        const isAppearanceItem = dashboardItem instanceof dist_model.GridItem
            || dashboardItem instanceof dist_model.PivotItem
            || dashboardItem instanceof dist_model.CardItem;
        const enableCustomStyles = isChartItem || isAppearanceItem;
        const restrictToColor = !isAppearanceItem;
        let simpleStylesAppearance = isChartItem ? 'RichColors' : 'Appearance';
        let barStylesAppearance = 'AllColors';
        let gradientStylesAppearance = 'GradientColors';
        let simpleStyleSettingsEditorOptions = {
            allowChangeViewMode: !isChartItem,
            appearanceMode: simpleStylesAppearance,
            isEmptyAllowed: false,
            enableCustomStyles,
            restrictToColor
        };
        let barStyleSettingsEditorOptions = {
            allowChangeViewMode: false,
            appearanceMode: barStylesAppearance,
            isEmptyAllowed: false,
            enableCustomStyles,
            restrictToColor: true
        };
        switch (model.condition() && model.condition().constructor) {
            case dist_model.FormatConditionValue:
                const { simpleFormAdapterItem, editorOptions } = _parameters_helper/* ParameterHelper */._.getEditorType(model.condition()[_format_condition_value/* formatConditionValue1 */.dR.propertyName].type());
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [{
                            container: _format_condition_value/* formatConditionValue1 */.dR,
                            properties: [
                                {
                                    simpleFormAdapterItem,
                                    editorOptions,
                                    displayName: 'DashboardStringId.ValueCaption',
                                    replacementPropertyName: 'value1_value',
                                    ..._format_rules_common/* complexValueValue */.VG
                                }
                            ]
                        }, {
                            container: _format_condition_value/* formatConditionValue2 */.Yc,
                            properties: [{
                                    simpleFormAdapterItem,
                                    editorOptions,
                                    displayName: 'DashboardStringId.Value2Caption',
                                    replacementPropertyName: 'value2_value',
                                    ..._format_rules_common/* complexValueValue */.VG
                                }]
                        },
                        {
                            ..._format_rules_common/* styleSettings */.v_,
                            formAdapterItem: (0,_form_adapter_editors/* styleSettingsEditor */._f)(simpleStyleSettingsEditorOptions),
                        },
                        _format_condition_value/* conditionInCondition */["in"],
                    ]
                });
                visibilityRules['value2_value'] =
                    [_format_condition_value/* conditionInCondition */["in"].propertyName, 'contains', 'Between'];
                visibilityRules[_format_condition_value/* conditionInCondition */["in"].propertyName] = () => false;
                break;
            case format_condition_top_bottom/* FormatConditionTopBottom */.Z:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        {
                            ..._format_rules_common/* styleSettings */.v_,
                            formAdapterItem: (0,_form_adapter_editors/* styleSettingsEditor */._f)(simpleStyleSettingsEditorOptions),
                        },
                        _format_condition_top_bottom/* rank */.Tm,
                        _format_condition_top_bottom/* _actualRankType */.iN
                    ]
                });
                break;
            case format_condition_average/* FormatConditionAverage */.O:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        {
                            ..._format_rules_common/* styleSettings */.v_,
                            formAdapterItem: (0,_form_adapter_editors/* styleSettingsEditor */._f)(simpleStyleSettingsEditorOptions),
                        },
                    ]
                });
                break;
            case dist_model.FormatConditionDateOccurring:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        {
                            ..._format_rules_common/* styleSettings */.v_,
                            formAdapterItem: (0,_form_adapter_editors/* styleSettingsEditor */._f)(simpleStyleSettingsEditorOptions),
                        },
                        { ..._format_condition_date_occuring/* dateType */.Ji,
                            formAdapterItem: (0,_form_adapter_editors/* flagsEnumTagBoxEditor */.nL)({
                                values: _format_condition_date_occuring/* baseDateTypeValues */.Ao.concat(legacy_settings/* LegacySettings */.l.showExtendedDateOccurringList ? _format_condition_date_occuring/* extendedDateTypeValues */.M : []),
                                enumDeclaration: enums/* FilterDateType */.fA
                            })
                        }
                    ]
                });
                break;
            case format_condition_expression/* FormatConditionExpression */.d:
                let expressionCondition = model.condition();
                let ruleExpressionEditorParams = {
                    fieldListProvider: external_ko_.observable(new _item_filter_items_provider/* ItemFilterItemsProvider */.Nk(dataSourceBrowser, dataSourceBrowser, dataSourceBrowser.parameters, dashboardItem, (di) => dashboardItem._conditionFormattingExpressionEditorFilter(di))),
                    options: (0,_filter_utils/* createItemFilterOptions */.uv)(expressionCondition.expression, expressionCondition, dataSourceBrowser, { text: 'Expression', localizationId: 'DashboardStringId.CommandFormatRuleExpression' }),
                    displayNameProvider: new _item_filter_display_name_provider/* ItemFilterDisplayNameProvider */.c(dashboardItem, dataSourceBrowser)
                };
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        {
                            ..._format_condition_expression/* formatConditionFilter */.d4,
                            formAdapterItem: (0,_form_adapter_editors/* filterEditor */.iP)(ruleExpressionEditorParams)
                        },
                        {
                            ..._format_rules_common/* styleSettings */.v_,
                            formAdapterItem: (0,_form_adapter_editors/* styleSettingsEditor */._f)(simpleStyleSettingsEditorOptions),
                        },
                    ]
                });
                break;
            case dist_model.FormatConditionBar:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        _format_condition_min_max_base/* minimumType */.Rt,
                        _format_condition_min_max_base/* formatConditionMinimum */.XF,
                        _format_condition_min_max_base/* maximumType */.xM,
                        _format_condition_min_max_base/* formatConditionMaximum */.nG,
                        _format_condition_bar/* barCurrentStyleSettingsType */.hE,
                        {
                            ..._format_condition_bar/* barCurrentStyleSettings */.dq,
                            formAdapterItem: (0,_form_adapter_editors/* styleSettingsEditor */._f)(barStyleSettingsEditorOptions),
                        },
                        {
                            container: _format_rules_common/* barOptions */.oD,
                            properties: [
                                _format_condition_bar_options/* allowNegativeAxis */.ak,
                                _format_condition_bar_options/* drawAxis */.it,
                                _format_condition_bar_options/* showBarOnly */.vE
                            ]
                        }
                    ]
                });
                visibilityRules[_format_condition_min_max_base/* formatConditionMinimum */.XF.propertyName] = [_format_condition_min_max_base/* minimumType */.Rt.propertyName, '<>', 'Automatic'];
                visibilityRules[_format_condition_min_max_base/* formatConditionMaximum */.nG.propertyName] = [_format_condition_min_max_base/* maximumType */.xM.propertyName, '<>', 'Automatic'];
                break;
            case dist_model.FormatConditionColorRangeBar:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        _format_condition_range_base/* rangeValueType */.dP,
                        { ..._format_condition_range_base/* rangeSet */.QY, formAdapterItem: (0,_form_adapter_editors/* ruleRangesEditor */.gP)({ condition: model.condition(), appearanceMode: barStylesAppearance, enableCustomStyles, restrictToColor: true }) },
                        {
                            container: _format_rules_common/* barOptions */.oD,
                            properties: [
                                _format_condition_bar_options/* allowNegativeAxis */.ak,
                                _format_condition_bar_options/* drawAxis */.it,
                                _format_condition_bar_options/* showBarOnly */.vE
                            ]
                        }
                    ]
                });
                break;
            case dist_model.FormatConditionGradientRangeBar:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        _format_condition_range_base/* rangeValueType */.dP,
                        _format_condition_range_gradient/* segmentNumber */.J,
                        { ..._format_condition_range_base/* rangeSet */.QY, formAdapterItem: (0,_form_adapter_editors/* ruleRangesEditor */.gP)({ condition: model.condition(), appearanceMode: gradientStylesAppearance, enableCustomStyles, restrictToColor: true }) },
                        {
                            container: _format_rules_common/* barOptions */.oD,
                            properties: [
                                _format_condition_bar_options/* allowNegativeAxis */.ak,
                                _format_condition_bar_options/* drawAxis */.it,
                                _format_condition_bar_options/* showBarOnly */.vE
                            ]
                        }
                    ]
                });
                break;
            case dist_model.FormatConditionRangeGradient:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        _format_condition_range_base/* rangeValueType */.dP,
                        _format_condition_range_gradient/* segmentNumber */.J,
                        { ..._format_condition_range_base/* rangeSet */.QY, formAdapterItem: (0,_form_adapter_editors/* ruleRangesEditor */.gP)({ condition: model.condition(), appearanceMode: gradientStylesAppearance, enableCustomStyles, restrictToColor }) },
                    ]
                });
                break;
            case dist_model.FormatConditionRangeSet:
                p.push({
                    container: _dashboard_item_format_rule/* condition */.uH,
                    properties: [
                        _format_condition_range_base/* rangeValueType */.dP,
                        { ..._format_condition_range_base/* rangeSet */.QY, formAdapterItem: (0,_form_adapter_editors/* ruleRangesEditor */.gP)({ condition: model.condition(), appearanceMode: simpleStylesAppearance, enableCustomStyles, restrictToColor }) },
                    ]
                });
                break;
            case undefined:
                break;
            default:
                throw new Error('Unsupported formatting rule condition');
        }
        var additionProperties = this._options.getConditionFormatRuleProperties(model, dashboardItem, dataSourceBrowser);
        let wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: p.concat(additionProperties.properties),
            visibilityFilterRules: { ...visibilityRules, ...additionProperties.visibilityFilterRules },
            disabledFilterRules: additionProperties.disabledFilterRules,
            dynamicEditorRules: additionProperties.dynamicEditorRules
        });
        tab.tabModel(wrapper);
    }
    _fillMiscWrapper(tab, model, dashboardItem, dataSourceBrowser) {
        let miscProperties = this._options.getMiscFormatRuleProperties(model, dashboardItem, dataSourceBrowser);
        let wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [
                _dashboard_item_format_rule/* enabled */.Sn,
                ...miscProperties.properties
            ],
            disabledFilterRules: miscProperties.disabledFilterRules,
            dynamicEditorRules: miscProperties.dynamicEditorRules,
            visibilityFilterRules: miscProperties.visibilityFilterRules
        });
        tab.tabModel(wrapper);
    }
}
function createDeltaDataTypeObservable(model, dashboardItem, dataSourceBrowser) {
    const dataType = external_ko_.observable(model.condition() && model.condition().dataType());
    let fillDataTypeForDelta = () => {
        let fillDataTypes = (measure) => {
            dataSourceBrowser.findDataField(dashboardItem.dataSource(), dashboardItem.dataMember(), measure.dataMember()).done(field => {
                let summaryType = measure.summaryType();
                if ((summaryType === 'Count') || (summaryType === 'CountDistinct')) {
                    dataType('Integer');
                    model.condition() && model.condition().dataType(dataType());
                }
                else if (['Sum', 'Average', 'StdDev', 'StdDevp', 'Var', 'VarP'].indexOf(summaryType) !== -1) {
                    dataType('Decimal');
                    model.condition() && model.condition().dataType(dataType());
                }
                else {
                    dataType(field.fieldType());
                    model.condition() && model.condition().dataType(dataType());
                }
            });
        };
        let kpiElement = dashboardItem.cards().filter(card => card._getDataId() === model.cardId())[0];
        let deltaValueType = model.deltaValueType();
        if (deltaValueType === 'ActualValue') {
            fillDataTypes(kpiElement.actualValue());
        }
        else if (deltaValueType === 'TargetValue') {
            fillDataTypes(kpiElement.targetValue());
        }
        else {
            dataType('Decimal');
            model.condition() && model.condition().dataType(dataType());
        }
    };
    fillDataTypeForDelta();
    model.cardId.subscribe(containerId => {
        fillDataTypeForDelta();
    });
    model.deltaValueType.subscribe(deltaValueTypeId => {
        fillDataTypeForDelta();
    });
    return { dataType: dataType, dateTimeGroupInterval: external_ko_.observable() };
}
function createDataTypeObservable(formatRule, dashboardItem, dataSourceBrowser) {
    const dataItemCalculateBy = dashboardItem.dataItems().filter(d => formatRule.dataItemName() === d.uniqueName())[0];
    const dateTimeGroupInterval = external_ko_.observable(dataItemCalculateBy instanceof data_item_dimension/* Dimension */.f ? dataItemCalculateBy.dateTimeGroupInterval() : undefined);
    const dataType = external_ko_.observable(formatRule.condition() && formatRule.condition().dataType());
    let fillDataType = uniqueName => dashboardItem
        .dataItems()
        .filter(dataItem => uniqueName === dataItem.uniqueName() && !!dataItem.dataMember())
        .map(dataItem => ({
        dataItem: dataItem,
        fieldPromise: dataSourceBrowser.findDataField(dashboardItem.dataSource(), dashboardItem.dataMember(), dataItem.dataMember())
    }))
        .forEach(d => d.fieldPromise.done(field => {
        let newDataType = field.fieldType();
        if (d.dataItem instanceof data_item_dimension/* Dimension */.f) {
            newDataType = (0,_item_filter_items_provider/* getRealDimensionType */.lY)(d.dataItem, field);
            dateTimeGroupInterval(field.fieldType() === 'DateTime' ? d.dataItem.dateTimeGroupInterval() : undefined);
            formatRule.condition() && formatRule.condition().dateTimeGroupInterval(dateTimeGroupInterval());
        }
        if (d.dataItem instanceof measure/* Measure */.t) {
            let summaryType = d.dataItem.summaryType();
            if ((summaryType === 'Count') || (summaryType === 'CountDistinct')) {
                newDataType = 'Integer';
            }
            else if (['Sum', 'Average', 'StdDev', 'StdDevp', 'let', 'letp'].indexOf(summaryType) !== -1) {
                newDataType = 'Decimal';
            }
        }
        dataType(newDataType);
        formatRule.condition() && formatRule.condition().dataType(dataType());
    }));
    if (!dataType() && formatRule.dataItemName())
        fillDataType(formatRule.dataItemName());
    formatRule.dataItemName.subscribe(fillDataType);
    return { dataType: dataType, dateTimeGroupInterval: dateTimeGroupInterval };
}
function addConditionEditor(wrapper, dataTypeInfo, formatRuleModel, dashboardItem, requestRecalculation, specificTypeChanged, conditionTypeFilter) {
    const originalConditionType = formatRuleModel._classId;
    const conditionType = external_ko_.observable(formatRuleModel._classId).extend({ notify: 'always' });
    const specificType = external_ko_.observable(formatRuleModel.condition() && formatRuleModel.condition().getSpecificType());
    wrapper.addProperty(external_ko_.observable(), {
        propertyName: 'typeChooser',
        displayName: 'DashboardWebStringId.ConditionType',
        formAdapterItem: (0,_form_adapter_editors/* conditionTypeEditor */.jU)({ dataType: dataTypeInfo.dataType, conditionType, specificType, filters: conditionTypeFilter })
    });
    specificType.subscribe((newSpecificType) => {
        let condition = formatRuleModel.condition(), newRule = !condition, changedConditionType = originalConditionType !== conditionType(), realConditionType = conditionType().split('_')[0];
        if (newRule || changedConditionType) {
            formatRuleModel._changeConditionType(realConditionType);
            condition = formatRuleModel.condition();
            condition.dataType(dataTypeInfo.dataType());
            condition.dateTimeGroupInterval(dataTypeInfo.dateTimeGroupInterval());
        }
        condition.setSpecificType(newSpecificType);
        if (newRule) {
            formatRuleModel.name(_helper_classes/* NameGenerator */.$A.generateName((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.FormatRule') + ' ', dashboardItem.formatRules(), 'name', 1));
        }
        if (newRule || changedConditionType) {
            requestRecalculation.fire();
        }
        specificTypeChanged();
    });
}
function getCommonCellsFormatRuleProperties(formatRule, getDataItems, getApplyToDataItems) {
    const dataItems = external_ko_.pureComputed(() => getDataItems().map((m) => ({ value: external_ko_.unwrap(m.uniqueName), displayValueId: external_ko_.unwrap(m.displayName) })));
    const applyToDataItems = external_ko_.pureComputed(() => getApplyToDataItems().map((m) => ({ value: external_ko_.unwrap(m.uniqueName), displayValueId: external_ko_.unwrap(m.displayName) })));
    if (!formatRule.dataItemName() && dataItems().length) {
        formatRule.dataItemName(external_ko_.unwrap(dataItems()[0].value));
    }
    const externalUpdateCallback = formUpdateHandler => (0,_knockout_utils/* safeSubscribe */.uQ)({
        dataItemName: formatRule.dataItemApplyToName,
        applyToDataItems
    }, () => formUpdateHandler({ forceValidate: true }));
    const getApplyToPlaceHolder = () => {
        const dataItemApplyToInfo = applyToDataItems().filter(item => item.value === formatRule.dataItemApplyToName())[0];
        return dataItemApplyToInfo && dataItemApplyToInfo.displayValueId;
    };
    const commonProperties = [];
    commonProperties.push({
        ..._cells_item_format_rule/* formatRuleDataItem */.zq,
        formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: dataItems }),
    });
    commonProperties.push({
        ..._cells_item_format_rule/* dataItemApplyTo */.L2,
        externalUpdateCallback,
        formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({
            values: applyToDataItems,
            additionalOptions: () => ({
                placeholder: getApplyToPlaceHolder()
            }),
            comparableEditorOptions: ['placeholder']
        }),
        validationRules: [{
                type: 'custom',
                message: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue'),
                reevaluate: true,
                validationCallback: (e) => {
                    const applyToDataItemsNames = applyToDataItems().map(di => di.value);
                    return !e.value && applyToDataItemsNames.indexOf(formatRule.dataItemName()) !== -1
                        || !!e.value && applyToDataItemsNames.indexOf(e.value) !== -1;
                }
            }]
    });
    return {
        properties: commonProperties
    };
}

// EXTERNAL MODULE: ./dist/model/format-rules/card-item-delta-format-rule.js
var card_item_delta_format_rule = __webpack_require__(8152);
// EXTERNAL MODULE: ./dist/model/format-rules/card-item-format-rule.js
var card_item_format_rule = __webpack_require__(8591);
// EXTERNAL MODULE: ./dist/model/format-rules/chart-item-format-rule.js
var chart_item_format_rule = __webpack_require__(8035);
// EXTERNAL MODULE: ./dist/model/format-rules/grid-item-format-rule.js
var grid_item_format_rule = __webpack_require__(3886);
// EXTERNAL MODULE: ./dist/model/format-rules/pivot-item-format-rule.js
var pivot_item_format_rule = __webpack_require__(8503);
// EXTERNAL MODULE: ./dist/model/format-rules/scatter-chart-item-format-rule.js
var scatter_chart_item_format_rule = __webpack_require__(7994);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_card-format-rule-row-element.js
var _card_format_rule_row_element = __webpack_require__(9850);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_card-item-delta-format-rule.js
var _card_item_delta_format_rule = __webpack_require__(4249);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_card-item-format-rule.js
var _card_item_format_rule = __webpack_require__(8290);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_card-item-format-rule-base.js + 1 modules
var _card_item_format_rule_base = __webpack_require__(2251);
// EXTERNAL MODULE: ./dist/model/items/card/metadata/_card-layout-template-element.js
var _card_layout_template_element = __webpack_require__(5854);
// EXTERNAL MODULE: ./dist/model/items/options/metadata/_delta-options.js
var _delta_options = __webpack_require__(82);
;// ./dist/designer/conditional-formatting/items/properties-composers/_card-item-format-rule-properties-composer.js















function getCardItemFormatRuleDataItems(dashboardItem) {
    return dashboardItem.seriesDimensions().concat(dashboardItem.hiddenMeasures());
}
function isDataItemFormatRuleAvaliable(dashboardItem) {
    return getCardItemFormatRuleDataItems(dashboardItem).length > 0;
}
function createCardItemFormatRulePropertiesComposer(selectedRuleContainer) {
    return new FormatRulePropertiesComposer({
        createDataTypeObservable: createDataTypeObservable,
        getCommonFormatRuleProperties: (formatRule, dashboardItem, dataSourceBrowser) => {
            let propertiesInfo = {
                properties: [],
                disabledFilterRules: {},
                dynamicEditorRules: {},
                visibilityFilterRules: {}
            };
            var dataItems = getCardItemFormatRuleDataItems(dashboardItem);
            let dataItemsDisplayText = external_ko_.pureComputed(() => dataItems.map(dataItem => {
                return {
                    value: dataItem.uniqueName(),
                    displayValueId: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, dashboardItem, dataItem)
                };
            }));
            if (!formatRule.dataItemName() && dataItems.length) {
                formatRule.dataItemName(dataItems[0].uniqueName());
            }
            propertiesInfo.properties.push({
                ..._card_item_format_rule/* cardItemformatRuleDataItem */.q,
                formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: dataItemsDisplayText }),
            });
            return getCommonCardFormatRuleProperties(formatRule, dashboardItem, propertiesInfo, selectedRuleContainer);
        },
        getMiscFormatRuleProperties: () => ({ properties: [] }),
        conditionTypeFilter: cardItemConditionTypeFilters,
        getConditionFormatRuleProperties: getConditionFormatRuleProperties,
    });
}
function cardItemDeltaFormatRuleCards(dashboardItem) {
    return dashboardItem.cards();
}
function isDeltaFormatRuleAvaliable(dashboardItem) {
    return cardItemDeltaFormatRuleCards(dashboardItem).length > 0;
}
function createCardItemDeltaFormatRulePropertiesComposer(selectedRuleContainer) {
    return new FormatRulePropertiesComposer({
        createDataTypeObservable: createDeltaDataTypeObservable,
        getCommonFormatRuleProperties: (formatRule, dashboardItem, dataSourceBrowser, requestRecalculation) => {
            let propertiesInfo = {
                properties: [],
                disabledFilterRules: {},
                dynamicEditorRules: {},
                visibilityFilterRules: {}
            };
            var card = cardItemDeltaFormatRuleCards(dashboardItem);
            let cardsDisplayText = external_ko_.pureComputed(() => card.map(card => {
                return {
                    value: card._getDataId(),
                    displayValueId: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, card)
                };
            }));
            if (!formatRule.cardId() && cardsDisplayText().length) {
                formatRule.cardId(cardsDisplayText()[0].value);
            }
            propertiesInfo.disabledFilterRules[_card_item_delta_format_rule/* cardId */.AY.propertyName] = _ => !!formatRule.condition();
            propertiesInfo.disabledFilterRules[_card_item_delta_format_rule/* deltaValueType */._z.propertyName] = _ => !!formatRule.condition();
            propertiesInfo.properties.push({
                ..._card_item_delta_format_rule/* cardId */.AY,
                formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: cardsDisplayText })
            });
            propertiesInfo.properties.push({
                ..._card_item_delta_format_rule/* deltaValueType */._z,
                simpleFormAdapterItem: 'selectBoxEditor',
                values: _delta_options/* deltaValueTypeMap */.k9,
            });
            propertiesInfo.properties.push({
                ..._card_item_delta_format_rule/* deltaValueType */._z,
                replacementPropertyName: 'fakeDeltaValueTypeActual',
                sourceObject: external_ko_.observable('ActualValue'),
                simpleFormAdapterItem: 'selectBoxEditor',
                values: { 'ActualValue': 'DashboardStringId.DeltaValueTypeActualValueCaption' },
            });
            propertiesInfo.properties.push({
                ..._card_item_delta_format_rule/* deltaValueType */._z,
                sourceObject: external_ko_.observable('TargetValue'),
                replacementPropertyName: 'fakeDeltaValueTypeTarget',
                simpleFormAdapterItem: 'selectBoxEditor',
                values: { 'TargetValue': 'DashboardStringId.DeltaValueTypeTargetValueCaption' },
            });
            const getActualCard = () => dashboardItem.cards().filter(card => card._getDataId() === formatRule.cardId())[0];
            const hasActualDataItem = () => !!getActualCard().actualValue();
            const hasTargetDataItem = () => !!getActualCard().targetValue();
            requestRecalculation.add(_ => {
                if (dashboardItem.formatRules.indexOf(formatRule) === -1) {
                    if (hasActualDataItem() && !hasTargetDataItem())
                        formatRule.deltaValueType('ActualValue');
                    else if (!hasActualDataItem() && hasTargetDataItem()) {
                        formatRule.deltaValueType('TargetValue');
                    }
                }
            });
            propertiesInfo.visibilityFilterRules[_card_item_delta_format_rule/* deltaValueType */._z.propertyName] = _ => hasActualDataItem() && hasTargetDataItem();
            propertiesInfo.visibilityFilterRules['fakeDeltaValueTypeActual'] = _ => hasActualDataItem() && !hasTargetDataItem();
            propertiesInfo.visibilityFilterRules['fakeDeltaValueTypeTarget'] = _ => !hasActualDataItem() && hasTargetDataItem();
            propertiesInfo.disabledFilterRules['fakeDeltaValueTypeActual'] = _ => true;
            propertiesInfo.disabledFilterRules['fakeDeltaValueTypeTarget'] = _ => true;
            return getCommonCardFormatRuleProperties(formatRule, dashboardItem, propertiesInfo, selectedRuleContainer);
        },
        getConditionFormatRuleProperties: getConditionFormatRuleProperties,
        getMiscFormatRuleProperties: () => ({ properties: [] }),
        conditionTypeFilter: cardItemConditionTypeFilters
    });
}
function getConditionFormatRuleProperties(formatRule, dashboardItem, dataSourceBrowser) {
    let layoutElementTypeValues = Object.keys(_card_layout_template_element/* cardFormatRuleLayoutElementValuesMap */.CY).map(key => {
        return { value: key, displayValue: (0,_default/* getLocalizationById */.Mu)(_card_layout_template_element/* cardFormatRuleLayoutElementValuesMap */.CY[key]) };
    });
    layoutElementTypeValues.push({ value: 'Dimension', displayValue: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.FormatRuleApplyToDimensionElement') });
    layoutElementTypeValues.push({ value: 'Text', displayValue: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.FormatRuleApplyToTextElement') });
    let textEditorValues = getAllApplyToTextElements(formatRule, dashboardItem);
    let dimensionEditorValues = dashboardItem.seriesDimensions().map(dimension => {
        return { value: dimension.uniqueName(), displayValue: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, dashboardItem, dimension) };
    });
    let visibilityFilterRules = {};
    visibilityFilterRules[_card_format_rule_row_element/* dimensionId */.A.propertyName] = (model) => model.elementTypeApplyTo() === 'Dimension';
    visibilityFilterRules[_card_format_rule_row_element/* textId */.re.propertyName] = (model) => model.elementTypeApplyTo() === 'Text';
    let properties = [{
            container: _card_item_format_rule_base/* cardLayoutElement */.NT,
            properties: [
                { ..._card_format_rule_row_element/* elementTypeApplyTo */.GO, valuesArray: layoutElementTypeValues },
                { ..._card_format_rule_row_element/* dimensionId */.A, valuesArray: dimensionEditorValues },
                { ..._card_format_rule_row_element/* textId */.re, valuesArray: textEditorValues }
            ]
        }];
    return {
        properties: properties,
        disabledFilterRules: {},
        dynamicEditorRules: {},
        visibilityFilterRules: visibilityFilterRules
    };
}
function getAllApplyToTextElements(formatRule, dashboardItem) {
    let isExpressionRule = formatRule.condition() instanceof dist_model.FormatConditionExpression;
    let isHiddenMeasureRule = formatRule instanceof card_item_format_rule/* CardItemFormatRule */.X && dashboardItem.hiddenMeasures().filter(measure => measure.uniqueName() === formatRule.dataItemName()).length > 0;
    let affectedCards = isExpressionRule || isHiddenMeasureRule ? dashboardItem.cards() : [(dashboardItem.cards()[dashboardItem._selectedElementIndex() || 0])];
    return affectedCards.map(card => getCardApplyToTextElements(card)).reduce((prev, curr) => [...prev, ...curr]);
}
function getCardApplyToTextElements(card) {
    let textElements = getCardRows(card).map(row => row.elements().filter(element => element instanceof dist_model.CardRowTextElement));
    if (textElements.length > 0) {
        return textElements.reduce((prev, current) => [...prev, ...current])
            .map(textElement => {
            return { value: textElement.text(), displayValue: textElement.text() };
        });
    }
    else
        return [];
}
function getCardRows(card) {
    let layoutTemplate = card.layoutTemplate();
    let layout = layoutTemplate ? layoutTemplate.layout : null;
    return layout ? layout.rows().filter(element => element instanceof dist_model.CardRow) : [];
}
let cardItemConditionTypeFilters = {
    conditionTypeFilter: (conditionTypePropertyName) => {
        return ['conditionBar', 'conditionColorRangeBar', 'conditionGradientRangeBar'].indexOf(conditionTypePropertyName) === -1;
    }
};
function getCommonCardFormatRuleProperties(formatRule, dashboardItem, calculatedByProperties, selectedRuleContainer) {
    let propertiesInfo = {
        properties: [],
        disabledFilterRules: {},
        dynamicEditorRules: {},
        visibilityFilterRules: {}
    };
    let selectedRuleType = external_ko_.observable(formatRule.itemType());
    selectedRuleType.subscribe(newSelectedContainer => {
        if (newSelectedContainer === 'CardItemFormatRule') {
            selectedRuleContainer(new card_item_format_rule/* CardItemFormatRule */.X());
        }
        else if (newSelectedContainer === 'CardItemDeltaFormatRule') {
            selectedRuleContainer(new card_item_delta_format_rule/* CardItemDeltaFormatRule */.z());
        }
    });
    propertiesInfo.properties.push({
        ..._base_metadata/* itemType */.YG,
        sourceObject: selectedRuleType,
        replacementPropertyName: 'selectedContainer',
        displayName: 'DashboardWebStringId.ConditionalFormatting.CalculatedBy',
        formAdapterItem: (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([
            {
                displayValueId: 'DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard',
                value: 'CardItemDeltaFormatRule'
            },
            {
                displayValueId: 'DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem',
                value: 'CardItemFormatRule'
            }
        ])
    });
    propertiesInfo.disabledFilterRules['selectedContainer'] = m => !!formatRule.condition() || !isDeltaFormatRuleAvaliable(dashboardItem) || !isDataItemFormatRuleAvaliable(dashboardItem);
    propertiesInfo.properties.push(...calculatedByProperties.properties);
    propertiesInfo.disabledFilterRules = { ...propertiesInfo.disabledFilterRules, ...calculatedByProperties.disabledFilterRules };
    propertiesInfo.dynamicEditorRules = { ...propertiesInfo.dynamicEditorRules, ...calculatedByProperties.dynamicEditorRules };
    propertiesInfo.visibilityFilterRules = { ...propertiesInfo.visibilityFilterRules, ...calculatedByProperties.visibilityFilterRules };
    return propertiesInfo;
}

// EXTERNAL MODULE: ./dist/model/format-rules/conditions/range/format-condition-range-base.js
var format_condition_range_base = __webpack_require__(3730);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_chart-item-format-rule.js
var _chart_item_format_rule = __webpack_require__(4784);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_chart-item-format-rule-base.js
var _chart_item_format_rule_base = __webpack_require__(2084);
// EXTERNAL MODULE: ./dist/model/internal/_chart-utils.js
var _chart_utils = __webpack_require__(2253);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-series.js
var chart_series = __webpack_require__(9508);
;// ./dist/designer/conditional-formatting/items/properties-composers/_chart-item-format-rule-properties-composer.js












function createChartItemFormatRulePropertiesComposer() {
    const opts = {
        conditionTypeFilter: chartFormatRuleConditionFilters,
        createDataTypeObservable: createDataTypeObservable,
        getCommonFormatRuleProperties: (model, dashboardItem, dataSourceBrowser, ruleAdded) => getCommonChartFormatRuleProperties(model, getDataItems(dashboardItem, dataSourceBrowser), (0,_chart_utils/* getChartApplyToDataItems */.Ye)(dashboardItem, dataSourceBrowser)),
        getConditionFormatRuleProperties: (model, dashboardItem, dataSourceBrowser) => ({
            properties: [_chart_item_format_rule/* applyToChartElement */.gi],
            visibilityFilterRules: {
                [_chart_item_format_rule/* applyToChartElement */.gi.propertyName]: _ => canChangeApplyToElement(dashboardItem, model)
            }
        }),
        getMiscFormatRuleProperties: () => ({ properties: [] }),
        getAdditionalTabs: (formatRule) => getChartFormatRuleLegendSettingsTab(formatRule),
    };
    return new FormatRulePropertiesComposer(opts);
}
function getCommonChartFormatRuleProperties(formatRule, getDataItems, getApplyToDataItems) {
    const dataItems = external_ko_.pureComputed(() => getDataItems().map((m) => ({ value: external_ko_.unwrap(m.uniqueName), displayValueId: external_ko_.unwrap(m.displayName) })));
    const applyToDataItems = external_ko_.pureComputed(() => getApplyToDataItems().map((m) => ({ value: external_ko_.unwrap(m.uniqueName), displayValueId: external_ko_.unwrap(m.displayName) })));
    if (!formatRule.dataItemName() && dataItems().length) {
        formatRule.dataItemName(external_ko_.unwrap(dataItems()[0].value));
    }
    const applyToDataItemsNames = applyToDataItems().map(di => external_ko_.unwrap(di.value));
    if (!formatRule.dataItemApplyToName() && applyToDataItemsNames.length) {
        formatRule.dataItemApplyToName(applyToDataItemsNames[0]);
    }
    const commonProperties = [];
    commonProperties.push({
        ..._chart_item_format_rule_base/* dataItemName */.ds,
        formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: dataItems })
    });
    commonProperties.push({
        ..._chart_item_format_rule/* dataItemApplyToName */.uU,
        formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: applyToDataItems })
    });
    return {
        properties: commonProperties
    };
}
function getDataItems(dashboardItem, dataSourceBrowser) {
    return () => []
        .concat(...(0,_chart_utils/* getChartCFSeries */["do"])(dashboardItem).map(s => s._measures), dashboardItem.arguments(), dashboardItem.seriesDimensions(), dashboardItem.hiddenMeasures())
        .map(dataItem => ({
        uniqueName: dataItem.uniqueName(),
        displayName: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, dashboardItem, dataItem)
    }));
}
function canChangeApplyToElement(chartItem, formatRule) {
    const unsupportedSimpleSeriesTypes = ['Bar', 'StackedBar', 'FullStackedBar', 'Point'];
    const unsupportedRangeSeriesTypes = ['SideBySideRangeBar'];
    const selectedSeries = chartItem
        .panes()
        .reduce((seriesCollection, pane) => [...seriesCollection, ...pane.series()], [])
        .filter(series => series._measures.some(measure => measure.uniqueName() === formatRule.dataItemApplyToName()))[0];
    return (selectedSeries instanceof chart_series/* SimpleSeries */.K9 && unsupportedSimpleSeriesTypes.indexOf(selectedSeries.seriesType()) === -1)
        || (selectedSeries instanceof chart_series/* RangeSeries */.lr && unsupportedRangeSeriesTypes.indexOf(selectedSeries.seriesType()) === -1);
}
const chartFormatRuleConditionFilters = {
    conditionTypeFilter: (name, subType) => {
        const disabledTypes = [{
                name: 'conditionBar'
            }, {
                name: 'conditionColorRangeBar'
            }, {
                name: 'conditionGradientRangeBar'
            }, {
                name: 'conditionRangeSet',
                subType: 'icons'
            }];
        return disabledTypes.filter(item => item.name === name && (!item.subType || item.subType === subType)).length === 0;
    },
    rangeGradientPredefinedTypeFilter: (type) => {
        var validTypes = [
            dist_model.FormatConditionRangeGradientPredefinedType.YellowGreen,
            dist_model.FormatConditionRangeGradientPredefinedType.GreenYellow,
            dist_model.FormatConditionRangeGradientPredefinedType.YellowRed,
            dist_model.FormatConditionRangeGradientPredefinedType.RedYellow,
            dist_model.FormatConditionRangeGradientPredefinedType.BlueRed,
            dist_model.FormatConditionRangeGradientPredefinedType.RedBlue,
            dist_model.FormatConditionRangeGradientPredefinedType.YellowBlue,
            dist_model.FormatConditionRangeGradientPredefinedType.BlueYellow,
            dist_model.FormatConditionRangeGradientPredefinedType.GreenBlue,
            dist_model.FormatConditionRangeGradientPredefinedType.BlueGreen,
            dist_model.FormatConditionRangeGradientPredefinedType.GreenYellowRed,
            dist_model.FormatConditionRangeGradientPredefinedType.RedYellowGreen,
            dist_model.FormatConditionRangeGradientPredefinedType.BlueYellowRed,
            dist_model.FormatConditionRangeGradientPredefinedType.RedYellowBlue,
            dist_model.FormatConditionRangeGradientPredefinedType.GreenYellowBlue,
            dist_model.FormatConditionRangeGradientPredefinedType.BlueYellowGreen
        ];
        return validTypes.indexOf(type) !== -1;
    },
    rangeSetPredefinedTypeFilter: (type) => {
        var validTypes = [
            dist_model.FormatConditionRangeSetPredefinedType.ColorsRedGreen,
            dist_model.FormatConditionRangeSetPredefinedType.ColorsRedGreenBlue,
            dist_model.FormatConditionRangeSetPredefinedType.ColorsRedYellowGreenBlue,
            dist_model.FormatConditionRangeSetPredefinedType.ColorsRedOrangeYellowGreenBlue
        ];
        return validTypes.indexOf(type) !== -1;
    }
};
function getChartFormatRuleLegendSettingsTab(formatRule) {
    const tab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.FormatRuleChartLegend, 'DashboardWebStringId.AccordionTab.ChartLegend');
    const wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
        model: formatRule,
        properties: [_chart_item_format_rule_base/* displayName */.QC, _chart_item_format_rule_base/* showInLegend */.iD],
        disabledFilterRules: {
            [_chart_item_format_rule_base/* showInLegend */.iD.propertyName]: _ => !(formatRule.displayName() || formatRule.condition() instanceof format_condition_range_base/* FormatConditionRangeBase */.L)
        },
        visibilityFilterRules: {
            [_chart_item_format_rule_base/* displayName */.QC.propertyName]: _ => !(formatRule.condition() instanceof format_condition_range_base/* FormatConditionRangeBase */.L)
        }
    });
    tab.tabModel(wrapper);
    return [tab];
}

// EXTERNAL MODULE: ./dist/model/items/grid/grid-columns.js
var grid_columns = __webpack_require__(9576);
;// ./dist/designer/conditional-formatting/items/properties-composers/_grid-item-format-rule-properties-composer.js






function createGridItemFormatRulePropertiesComposer() {
    return new FormatRulePropertiesComposer({
        createDataTypeObservable: createDataTypeObservable,
        getCommonFormatRuleProperties: (formatRule, dashboardItem, dataSourceBrowser) => {
            return getCommonCellsFormatRuleProperties(formatRule, grabDataItems(dashboardItem, dataSourceBrowser), grapApplyToItems(dashboardItem, dataSourceBrowser));
        },
        getConditionFormatRuleProperties: () => ({ properties: [] }),
        getMiscFormatRuleProperties: getMiscFormatRuleProperties
    });
}
function getMiscFormatRuleProperties(formatRule, dashboardItem, dataSourceBrowser) {
    let visibilityRules = {};
    visibilityRules[_cells_item_format_rule/* applyToRow */.a1.propertyName] = m => !formatRule.condition()._isApplyToRowColumnRestricted;
    return {
        properties: [_cells_item_format_rule/* applyToRow */.a1],
        visibilityFilterRules: visibilityRules
    };
}
function grabDataItems(dashboardItem, dataSourceBrowser) {
    return () => dashboardItem
        .columns()
        .filter(c => !(c instanceof grid_columns/* GridDeltaColumn */.d7) && !(c instanceof grid_columns/* GridSparklineColumn */.og))
        .map(c => ({
        uniqueName: c.actualDataItem.uniqueName(),
        displayName: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, c)
    }))
        .concat(dashboardItem
        .hiddenMeasures()
        .map(m => ({
        uniqueName: m.uniqueName(),
        displayName: (0,_default/* getLocalizationById */.Mu)(_section_descriptors/* SectionDescriptors */.g8.HiddenMeasures.title) + ' - ' + (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, dashboardItem, m)
    })));
}
function grapApplyToItems(dashboardItem, dataSourceBrowser) {
    return () => dashboardItem
        .columns()
        .filter(c => !(c instanceof grid_columns/* GridDeltaColumn */.d7))
        .map(c => {
        return {
            uniqueName: c.actualDataItem.uniqueName,
            displayName: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, c)
        };
    });
}

// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_pivot-item-format-rule.js
var _pivot_item_format_rule = __webpack_require__(9228);
// EXTERNAL MODULE: ./dist/model/format-rules/metadata/_pivot-item-format-rule-level.js
var _pivot_item_format_rule_level = __webpack_require__(6667);
;// ./dist/designer/conditional-formatting/items/properties-composers/_pivot-item-format-rule-properties-composer.js











function createPivotItemFormatRulePropertiesComposer() {
    return new FormatRulePropertiesComposer({
        createDataTypeObservable: createDataTypeObservable,
        getCommonFormatRuleProperties: (formatRule, dashboardItem, dataSourceBrowser) => {
            let info = getCommonCellsFormatRuleProperties(formatRule, _pivot_item_format_rule_properties_composer_grabDataItems(dashboardItem, dataSourceBrowser), _pivot_item_format_rule_properties_composer_grapApplyToItems(dashboardItem, dataSourceBrowser));
            if (!info.disabledFilterRules)
                info.disabledFilterRules = {};
            info.disabledFilterRules[_cells_item_format_rule/* dataItemApplyTo */.L2.propertyName] = (m) => {
                let pivot = dashboardItem;
                return !(pivot.values().filter(v => v.uniqueName() === m.dataItemName()).length
                    || pivot.hiddenMeasures().filter(v => v.uniqueName() === m.dataItemName()).length);
            };
            return info;
        },
        getConditionFormatRuleProperties: () => ({ properties: [] }),
        getMiscFormatRuleProperties: _pivot_item_format_rule_properties_composer_getMiscFormatRuleProperties
    });
}
function _pivot_item_format_rule_properties_composer_getMiscFormatRuleProperties(formatRule, pivot, dataSourceBrowser) {
    let visibilityRules = {};
    let properties = [];
    let intersectionLevelModeValuesObservable = external_ko_.observable(transformValuesDictionary(_pivot_item_format_rule/* intersectionLevelModeValues */.pJ));
    external_ko_.computed(() => {
        if ((formatRule.condition() instanceof dist_model.FormatConditionRangeBase && formatRule.condition().valueType() !== 'Number')
            || formatRule.condition() instanceof dist_model.FormatConditionTopBottom
            || formatRule.condition() instanceof dist_model.FormatConditionAverage) {
            intersectionLevelModeValuesObservable(transformValuesDictionary(_pivot_item_format_rule/* restrictedIntersectionLevelModeValues */.iU));
        }
        else {
            intersectionLevelModeValuesObservable(transformValuesDictionary(_pivot_item_format_rule/* intersectionLevelModeValues */.pJ));
        }
    });
    properties.push({ ..._pivot_item_format_rule/* intersectionLevelMode */.$h, formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: intersectionLevelModeValuesObservable }) });
    properties.push({
        container: _pivot_item_format_rule/* pivotLevel */.tZ,
        properties: [
            {
                valuesArray: [{ value: null, displayValue: '[Grand Total]' }].concat(pivot.columns().map(m => ({ value: m.uniqueName(), displayValue: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, pivot, m) }))),
                ..._pivot_item_format_rule_level/* pivotLevelColumn */.ts
            },
            {
                valuesArray: [{ value: null, displayValue: '[Grand Total]' }].concat(pivot.rows().map(m => ({ value: m.uniqueName(), displayValue: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, pivot, m) }))),
                ..._pivot_item_format_rule_level/* pivotLevelRow */.HT
            }
        ]
    });
    properties.push(_pivot_item_format_rule/* applyToColumn */.QF);
    properties.push(_cells_item_format_rule/* applyToRow */.a1);
    let isMeasure = !!pivot.values().filter(v => v.uniqueName() === formatRule.dataItemApplyToName()).length;
    visibilityRules[_cells_item_format_rule/* applyToRow */.a1.propertyName] = m => !formatRule.condition()._isApplyToRowColumnRestricted && isMeasure;
    visibilityRules[_pivot_item_format_rule/* applyToColumn */.QF.propertyName] = m => !formatRule.condition()._isApplyToRowColumnRestricted && isMeasure;
    visibilityRules[_pivot_item_format_rule_level/* pivotLevelColumn */.ts.propertyName] =
        [_pivot_item_format_rule/* intersectionLevelMode */.$h.propertyName, '=', 'SpecificLevel'];
    visibilityRules[_pivot_item_format_rule_level/* pivotLevelRow */.HT.propertyName] =
        [_pivot_item_format_rule/* intersectionLevelMode */.$h.propertyName, '=', 'SpecificLevel'];
    return {
        properties: properties,
        visibilityFilterRules: visibilityRules
    };
}
function _pivot_item_format_rule_properties_composer_grabDataItems(dashboardItem, dataSourceBrowser) {
    return () => _pivot_item_format_rule_properties_composer_grapApplyToItems(dashboardItem, dataSourceBrowser)()
        .concat(dashboardItem
        .hiddenMeasures()
        .map(m => ({
        uniqueName: m.uniqueName(),
        displayName: (0,_default/* getLocalizationById */.Mu)(_section_descriptors/* SectionDescriptors */.g8.HiddenMeasures.title) + ' - ' + (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, dashboardItem, m)
    })));
}
function _pivot_item_format_rule_properties_composer_grapApplyToItems(pivot, dataSourceBrowser) {
    return () => pivot.values().map(m => ({
        uniqueName: m.uniqueName(),
        displayName: (0,_default/* getLocalizationById */.Mu)(_section_descriptors/* SectionDescriptors */.g8.Values.title) + ' - ' + (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, pivot, m)
    })).concat(pivot.columns().map(d => ({
        uniqueName: d.uniqueName(),
        displayName: (0,_default/* getLocalizationById */.Mu)(_section_descriptors/* SectionDescriptors */.g8.Columns.title) + ' - ' + (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, pivot, d)
    }))).concat(pivot.rows().map(d => ({
        uniqueName: d.uniqueName(),
        displayName: (0,_default/* getLocalizationById */.Mu)(_section_descriptors/* SectionDescriptors */.g8.Rows.title) + ' - ' + (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, pivot, d)
    })));
}

;// ./dist/designer/conditional-formatting/items/properties-composers/_scatter-chart-item-format-rule-properties-composer.js






function createScatterChartItemFormatRulePropertiesComposer() {
    const opts = {
        conditionTypeFilter: chartFormatRuleConditionFilters,
        createDataTypeObservable: createDataTypeObservable,
        getCommonFormatRuleProperties: (formatRule, dashboardItem, dataSourceBrowser) => getCommonScatterChartFormatRuleProperties(formatRule, _scatter_chart_item_format_rule_properties_composer_getDataItems(dashboardItem, dataSourceBrowser)),
        getConditionFormatRuleProperties: (formatRule, dashboardItem, dataSourceBrowser) => ({ properties: [] }),
        getMiscFormatRuleProperties: () => ({ properties: [] }),
        getAdditionalTabs: (formatRule) => getChartFormatRuleLegendSettingsTab(formatRule),
    };
    return new FormatRulePropertiesComposer(opts);
}
function getCommonScatterChartFormatRuleProperties(formatRule, getDataItems) {
    const dataItems = external_ko_.pureComputed(() => getDataItems().map((m) => ({ value: external_ko_.unwrap(m.uniqueName), displayValueId: external_ko_.unwrap(m.displayName) })));
    if (!formatRule.dataItemName() && dataItems().length) {
        formatRule.dataItemName(external_ko_.unwrap(dataItems()[0].value));
    }
    return {
        properties: [{
                ..._chart_item_format_rule_base/* dataItemName */.ds,
                formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: dataItems })
            }]
    };
}
function _scatter_chart_item_format_rule_properties_composer_getDataItems(dashboardItem, dataSourceBrowser) {
    return () => [
        dashboardItem.axisXMeasure(),
        dashboardItem.axisYMeasure(),
        dashboardItem.weight(),
        ...dashboardItem.arguments(),
        ...dashboardItem.hiddenMeasures(),
    ]
        .filter(dataItem => !!dataItem)
        .map(dataItem => ({
        uniqueName: dataItem.uniqueName(),
        displayName: (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, dashboardItem, dataItem)
    }));
}

;// ./dist/designer/conditional-formatting/items/surfaces/_format-rule-surface.js












class FormatRuleSurface {
    constructor(model, dashboardItem, dataSourceBrowser, propertiesController) {
        this.model = model;
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
        this.propertiesController = propertiesController;
        this._disposables = [];
    }
    updatePropertiesTabs(requestRecalculation) {
        var composer = null;
        if (this.model() instanceof card_item_delta_format_rule/* CardItemDeltaFormatRule */.z) {
            composer = createCardItemDeltaFormatRulePropertiesComposer(this.model);
        }
        else if (this.model() instanceof card_item_format_rule/* CardItemFormatRule */.X) {
            composer = createCardItemFormatRulePropertiesComposer(this.model);
        }
        else if (this.model() instanceof grid_item_format_rule/* GridItemFormatRule */.D) {
            composer = createGridItemFormatRulePropertiesComposer();
        }
        else if (this.model() instanceof pivot_item_format_rule/* PivotItemFormatRule */.V) {
            composer = createPivotItemFormatRulePropertiesComposer();
        }
        else if (this.model() instanceof chart_item_format_rule/* ChartItemFormatRule */.X) {
            composer = createChartItemFormatRulePropertiesComposer();
        }
        else if (this.model() instanceof scatter_chart_item_format_rule/* ScatterChartItemFormatRule */.l) {
            composer = createScatterChartItemFormatRulePropertiesComposer();
        }
        var propertiesTabs = composer.composeTabs(this.model(), {
            dashboardItem: this.dashboardItem,
            dataSourceBrowser: this.dataSourceBrowser,
            requestRecalculation,
            specificTypeChanged: () => {
                this.propertiesController.secondarySelectedIndex(1);
            }
        });
        this.propertiesController.secondaryModel({
            displayText: this.model()._classCaption,
            data: {
                model: this.model(),
                propertiesTabs: external_ko_.observableArray(propertiesTabs)
            },
            containingCollection: this.dashboardItem.formatRules
        });
        if (this.model().condition()) {
            this.propertiesController.secondarySelectedIndex(1);
        }
    }
    startEditing(args) {
        args.createImmediately = false;
        this.updatePropertiesTabs(args.requestRecalculation);
        args.requestRecalculation.add(() => this.updatePropertiesTabs(args.requestRecalculation));
        this._disposables.push(this.model.subscribe(() => this.updatePropertiesTabs(args.requestRecalculation)));
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}

// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_condition-type-editor.js
var _condition_type_editor = __webpack_require__(4150);
// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_rule-ranges-editor.js
var _rule_ranges_editor = __webpack_require__(9025);
// EXTERNAL MODULE: ./dist/designer/conditional-formatting/_style-settings-palette.js
var _style_settings_palette = __webpack_require__(7125);
// EXTERNAL MODULE: ./dist/designer/currency-selector/_currencies.js
var _currencies = __webpack_require__(2460);
// EXTERNAL MODULE: ./dist/model/data-item/data-item.js
var data_item = __webpack_require__(1923);
// EXTERNAL MODULE: ./dist/model/data-sources/olap-data-source.js
var olap_data_source = __webpack_require__(6401);
;// ./dist/designer/data-source-browser/item-providers/_field-list-item-provider.js







class DataFieldViewModel {
    constructor(name, displayName, hasItems, specifics, field, isList, isCorruptedCalcField) {
        this.name = name;
        this.displayName = displayName;
        this.hasItems = hasItems;
        this.specifics = specifics;
        this.field = field;
        this.isList = isList;
        this.isCorruptedCalcField = isCorruptedCalcField;
        this.innerActions = external_ko_.observableArray();
    }
}
class FieldListItemProvider {
    constructor(_dataSourceBrowserViewModel, _getDataFieldArrayCallback, isFieldValid) {
        this._dataSourceBrowserViewModel = _dataSourceBrowserViewModel;
        this._getDataFieldArrayCallback = _getDataFieldArrayCallback;
        this.isFieldValid = isFieldValid;
        this.loading = external_ko_.observable(false);
        this._changeTrigger = external_ko_.observable(false);
    }
    triggerItemsChanged() {
        this._changeTrigger.valueHasMutated();
    }
    getItems(pathRequest) {
        var deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        var dataSource = this._dataSourceBrowserViewModel.selectedDataSource();
        this._changeTrigger();
        if (!!dataSource) {
            var { dataMember, fieldPath } = (0,_data_source_browser/* findDataMember */.um)(dataSource, pathRequest.path);
            this.loading(true);
            this._getDataFieldArrayCallback(dataSource.componentName(), dataMember, fieldPath).done(dataFields => {
                deferred.resolve(dataFields
                    .filter(field => !!field.dataMember())
                    .filter(field => !this.isFieldValid || this.isFieldValid(field))
                    .map(dataNode => {
                    var name = dataSource instanceof olap_data_source/* OlapDataSource */.u ? dataNode.dataMember() : dataNode.name();
                    var dataFieldViewModel = new DataFieldViewModel(name, external_ko_.unwrap(dataNode.displayName), !dataNode.isDataFieldNode(), data_item/* DataItem */.sO.typesMap[dataNode.fieldType()] || 'string', dataNode, !(0,_data_source_browser/* isNonCollectionDataField */.mG)(dataNode), dataNode.isCorruptedCalcField && dataNode.isCorruptedCalcField());
                    if (dataSource instanceof sql_data_source/* SqlDataSource */.w) {
                        let isSqlQueryNode = pathRequest.path.length === 0;
                        let query = dataSource.queries().filter(query => query.name() === dataNode.dataMember())[0];
                        if (this._dataSourceBrowserViewModel.canEditDataSource && query != null && isSqlQueryNode) {
                            if (this._dataSourceBrowserViewModel.canEditCustomSqlQueries || query.type() !== 'CustomSqlQuery') {
                                dataFieldViewModel.innerActions.push({
                                    click: () => {
                                        this._dataSourceBrowserViewModel.editQuery(dataNode.dataMember());
                                    },
                                    icon: 'dx-dashboard-ds-edit',
                                    style: 'dx-dashboard-datasource-field-icon-edit'
                                });
                            }
                            dataFieldViewModel.innerActions.push({
                                click: () => {
                                    this._dataSourceBrowserViewModel.removeQuery(dataNode.dataMember());
                                },
                                icon: 'dx-dashboard-remove-small',
                                style: 'dx-dashboard-datasource-field-icon-remove'
                            });
                        }
                    }
                    if (dataSource instanceof dist_model.FederationDataSource) {
                        let isQueryNode = pathRequest.path.length === 0;
                        let query = dataSource.queries().find(query => query.alias() === dataNode.dataMember());
                        if (this._dataSourceBrowserViewModel.canEditDataSource && query && isQueryNode) {
                            dataFieldViewModel.innerActions.push({
                                click: () => {
                                    this._dataSourceBrowserViewModel.editFederationQuery(dataNode.dataMember());
                                },
                                icon: 'dx-dashboard-ds-edit',
                                style: 'dx-dashboard-datasource-field-icon-edit'
                            });
                            dataFieldViewModel.innerActions.push({
                                click: () => {
                                    this._dataSourceBrowserViewModel.removeFederationQuery(dataNode.dataMember());
                                },
                                icon: 'dx-dashboard-remove-small',
                                style: 'dx-dashboard-datasource-field-icon-remove'
                            });
                        }
                    }
                    if (dataNode.nodeType() === 'CalculatedDataField') {
                        dataFieldViewModel.style = 'dx-dashboard-calculated-field';
                        var calcField = dataSource.calculatedFields().filter(calculatedField => calculatedField.name() === dataNode.dataMember())[0];
                        if (calcField) {
                            dataFieldViewModel.innerActions.push({
                                click: () => {
                                    this._dataSourceBrowserViewModel.editCalcField(calcField);
                                },
                                icon: 'dx-dashboard-ds-edit',
                                style: 'dx-dashboard-datasource-field-icon-edit'
                            });
                            dataFieldViewModel.innerActions.push({
                                click: () => {
                                    this._dataSourceBrowserViewModel.removeCalcField(calcField);
                                },
                                icon: 'dx-dashboard-remove-small',
                                style: 'dx-dashboard-datasource-field-icon-remove'
                            });
                        }
                    }
                    this.customizeDataFieldViewModel && this.customizeDataFieldViewModel(dataFieldViewModel);
                    return dataFieldViewModel;
                }));
            });
        }
        else {
            deferred.resolve([]);
        }
        deferred.always(() => {
            this.loading(false);
        });
        return deferred.promise();
    }
}

;// ./dist/designer/data-source-browser/_add-data-source-popup.js




class AddDataSourcePopup {
    constructor(accessibleDataSourcesExtension, dataSourceFilter, addDataSourcesCallback, popupVisible) {
        this.title = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.AddDataSource');
        this.toolbarItems = [];
        this.addButtonDisable = external_ko_.computed(() => { return accessibleDataSourcesExtension && accessibleDataSourcesExtension().selectedDataSources().length === 0; });
        this.template = accessibleDataSourcesExtension().templateName;
        this.bindingData = accessibleDataSourcesExtension().viewModel;
        this.dataSourcesFilter = dataSourceFilter;
        this.toolbarItems = [{
                toolbar: 'bottom',
                location: 'after',
                widget: 'dxButton',
                disabled: this.addButtonDisable,
                options: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.IncludeToTheDashboard'),
                    type: 'default',
                    onClick: () => {
                        addDataSourcesCallback(accessibleDataSourcesExtension().selectedDataSources().map(dataSource => {
                            return model_dashboard/* Dashboard */.x._createDataSource(new external_DevExpress_Analytics_Utils_.ModelSerializer({ useRefs: false }).serialize(dataSource), new external_DevExpress_Analytics_Utils_.ModelSerializer());
                        }));
                        popupVisible(false);
                    }
                }
            },
            {
                toolbar: 'bottom',
                location: 'after',
                widget: 'dxButton',
                options: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Cancel'),
                    onClick: () => { popupVisible(false); }
                }
            }];
    }
}

// EXTERNAL MODULE: external "DevExpress.Analytics.Widgets"
var external_DevExpress_Analytics_Widgets_ = __webpack_require__(2991);
// EXTERNAL MODULE: ./dist/model/data-sources/json-data-source.js + 1 modules
var json_data_source = __webpack_require__(9759);
// EXTERNAL MODULE: ./dist/model/index.internal.js
var model_index_internal = __webpack_require__(4421);
;// ./dist/designer/data-source-browser/rename-data-source-popup/_rename-data-source-viewmodel.js



class RenameDataSourceViewModel {
    constructor(dataSourceBrowser) {
        this.title = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.RenameDataSource');
        this.label = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.NewDataSourceName');
        this.isDataSourceNameValid = external_ko_.observable(true);
        this.popupVisible = external_ko_.observable(false);
        this.toolbarItems = [];
        this.dsName = external_ko_.observable('');
        this._dataSourceNameValid = (dsName) => {
            let otherDataSources = this._dataSourceBrowser._dataSources().filter(ds => ds.componentName() !== this._dataSource.componentName());
            return dsName && _helper_classes/* NameGenerator */.$A.isValidName(dsName, otherDataSources, 'name');
        };
        this._dataSourceBrowser = dataSourceBrowser;
        this.toolbarItems = [{
                toolbar: 'bottom',
                location: 'after',
                widget: 'dxButton',
                options: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Rename'),
                    type: 'default',
                    disabled: external_ko_.computed(() => !this.isDataSourceNameValid()),
                    onClick: () => {
                        this._dataSource.name(this.dsName());
                        this.popupVisible(false);
                    }
                }
            },
            {
                toolbar: 'bottom',
                location: 'after',
                widget: 'dxButton',
                options: {
                    text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Cancel'),
                    onClick: () => { this.popupVisible(false); }
                }
            }];
        this.nameValidationRules = [{
                type: 'required'
            }, {
                type: 'custom',
                validationCallback: (params) => {
                    return this._dataSourceNameValid(params.value);
                },
                message: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.DataSourceNameExistsMessage')
            }];
        this.nameTextBoxOptions = {
            value: this.dsName
        };
        this.nameValidatorOptions = {
            isValid: this.isDataSourceNameValid,
            validationRules: this.nameValidationRules
        };
    }
    show(dataSource) {
        this._dataSource = dataSource;
        this.dsName(dataSource.name());
        this.popupVisible(true);
    }
}

;// ./dist/designer/data-source-browser/rename-data-source-popup/_rename-data-source-popup.js

class RenameDataSourcePopup {
    constructor(dataSourceBrowser) {
        this._viewModel = new RenameDataSourceViewModel(dataSourceBrowser);
        this.template = {
            name: 'dx-dashboard-datasources-rename-popup',
            data: this._viewModel
        };
    }
    show(dataSource) {
        this._viewModel.show(dataSource);
    }
}

;// ./dist/designer/data-source-browser/_data-source-browser-viewmodel.js
var _data_source_browser_viewmodel_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


















class DataSourceBrowserViewModel extends disposable_object/* DisposableObject */.I {
    constructor(dataSourceBrowser, dataSourceWizardExtension, accessibleDataSourcesExtension, updateHub) {
        super();
        this.dataSourceBrowser = dataSourceBrowser;
        this.dataSourceWizardExtension = dataSourceWizardExtension;
        this.accessibleDataSourcesExtension = accessibleDataSourcesExtension;
        this.editDataSourceActions = external_ko_.observableArray();
        this.addDataSources = (dataSources) => {
            dataSources.forEach(dataSource => {
                if (!dataSource.name() || !_helper_classes/* NameGenerator */.$A.isValidName(dataSource.name(), this.dataSourceBrowser._dataSources(), 'name')) {
                    var prefix = !dataSource.name() ? (0,_default/* getLocalizationById */.Mu)(dataSource.getDisplayNamePrefix()) : dataSource.name();
                    dataSource.name(_helper_classes/* NameGenerator */.$A.generateName(prefix + ' ', this.dataSourceBrowser._dataSources(), 'name', 1));
                }
                this.dataSourceBrowser._dataSources.push(dataSource);
                this.selectedDataSource(dataSource);
            });
        };
        this.addQuery = () => {
            this.editQuery(null);
        };
        this.manageQueries = () => {
            this.manageFederationQueries();
        };
        this.dataSourceActions = external_ko_.observableArray();
        this.removeDataSource = (dataSource) => {
            this._removeDataSource(dataSource);
        };
        this.showRenameDataSourceForm = (dataSource) => {
            this.renameDataSourcePopup.show(dataSource);
        };
        this.usedDataSourcesExist = () => {
            return this.dataSourceBrowser._dataSources().length > 0;
        };
        this.availableDataSourcesExist = () => {
            return this.accessibleDataSourcesExtension() && this.accessibleDataSourcesExtension().dataSources().length > 0;
        };
        this.popupContent = external_ko_.observable();
        this.popupVisible = external_ko_.computed({
            read: () => {
                return !!this.popupContent();
            },
            write: (val) => {
                if (!val) {
                    this.popupContent(undefined);
                }
            }
        });
        this.addCalculatedField = () => {
            if (this.canAddCalculatedField) {
                var dataSource = this.selectedDataSource();
                var { dataMember, fieldPath } = (0,_data_source_browser/* findDataMember */.um)(dataSource, (0,_data_source_browser/* trimLeadingPathElement */.sG)(this.selectedPath(), dataSource.componentName()));
                if (!dataMember && dataSource.supportDataMembers) {
                    dataMember = (0,_data_source_browser/* getFirstDataMember */.Bi)(dataSource);
                }
                var pathInCache = [this.selectedDataSourceComponentName()].concat(dataMember ? [dataMember] : []);
                this.calcFieldEditor.showAddDialog(dataSource.componentName(), dataMember)
                    .then(calcField => {
                    var newCalculatedFieldPath = pathInCache.concat([calcField.name()]);
                    this.selectedPath(newCalculatedFieldPath.join('.'));
                });
            }
        };
        this.editCalcField = (field) => {
            this.calcFieldEditor.showEditDialog(field, this.selectedDataSourceComponentName(), field.dataMember());
        };
        this.removeCalcField = (field) => {
            this.calcFieldEditor.removeCalcField(field, this.selectedDataSource().componentName());
        };
        this.selectedPath = external_ko_.observable();
        this.selectedDataSource = external_ko_.observable();
        this.filterEditorModel = external_ko_.computed(() => {
            if (this.selectedDataSource() && this.selectedDataSource().hasFilter) {
                var filterString = this.selectedDataSource().filter;
                var options = (0,_filter_utils/* createItemFilterOptions */.uv)(filterString, undefined, this.dataSourceBrowser);
                options().path(this.selectedDataSource().componentName());
                var filterEditorItemsProvider = new _expression_editor_item_provider/* ExpressionEditorItemsProvider */.v(this.dataSourceBrowser, this.dataSourceBrowser, this.dataSourceBrowser, this.dataSourceBrowser.parameters(), this.selectedDataSource().componentName, external_ko_.observable(''), (field) => !field.isAggregate());
                return new external_DevExpress_Analytics_Widgets_.FilterEditor(options, external_ko_.observable(filterEditorItemsProvider));
            }
            return null;
        });
        this.editFilter = () => {
            this.filterEditorModel() && this.filterEditorModel().popupVisible(true);
        };
        this.calcFieldEditor = new CalcFieldEditor(this.dataSourceBrowser);
        this.renameDataSourcePopup = new RenameDataSourcePopup(this.dataSourceBrowser);
        if (dataSourceBrowser._dataSources().length > 0) {
            this.selectedDataSource(dataSourceBrowser._dataSources()[0]);
        }
        this.selectedDataSourceComponentName = external_ko_.computed(() => {
            return this.selectedDataSource() && this.selectedDataSource().componentName() || '';
        });
        this.allowAddQuery = external_ko_.computed(() => {
            return this.selectedDataSource() instanceof sql_data_source/* SqlDataSource */.w;
        });
        this.allowManageQueries = external_ko_.computed(() => {
            return this.selectedDataSource() instanceof dist_model.FederationDataSource;
        });
        this.allowEditDataSource = external_ko_.computed(() => {
            return this.selectedDataSource() instanceof json_data_source/* JsonDataSource */.G;
        });
        this.toDispose(this.allowAddQuery);
        this.toDispose(this.allowManageQueries);
        this.toDispose(this.allowEditDataSource);
        this.toDispose(updateHub.dataSourcePropertyChanged.add((args) => this._onDataSourcePropertyChanged(args)));
        this.toDispose(this.selectedDataSource.subscribe(dataSource => {
            this.selectedPath('');
            if (dataSource instanceof sql_data_source/* SqlDataSource */.w) {
                let sqlDataSource = dataSource;
                if (sqlDataSource.queries().length > 0)
                    this._expandQuery(sqlDataSource, sqlDataSource.queries()[0].name());
            }
        }));
        if (this.accessibleDataSourcesExtension()) {
            this.dataSourceActions.push({
                click: () => this.showAddDataSourceForm(),
                text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Add'),
                disabled: external_ko_.computed(() => false)
            });
        }
        this.editDataSourceActions.push({
            click: () => this.addCalculatedField(),
            text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.AddCalculatedField'),
            visible: external_ko_.computed(() => this.canAddCalculatedField)
        });
        if (this.canEditDataSource) {
            this.editDataSourceActions.push({
                click: () => this.addQuery(),
                text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.AddQuery'),
                visible: external_ko_.computed(() => this.allowAddQuery())
            });
            this.editDataSourceActions.push({
                click: () => this.editDataSource(),
                text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Edit'),
                visible: external_ko_.computed(() => this.allowEditDataSource())
            });
            this.editDataSourceActions.push({
                click: () => this.manageQueries(),
                text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.ManageQueries'),
                visible: external_ko_.computed(() => this.allowManageQueries())
            });
        }
        this.editDataSourceActions.push({
            click: () => this.editFilter(),
            text: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.Filter'),
            visible: external_ko_.computed(() => this.filterEditorModel() !== null)
        });
        this.dataSourceTreeListViewModel = new DataSourceTreeListViewModel(this);
    }
    _expandQuery(dataSource, queryName) {
        this.dataSourceBrowser.getDataFieldsArray(dataSource.componentName(), queryName, '', _data_source_browser/* isNonCollectionDataField */.mG).done(dataFields => {
            if (dataFields.length > 0) {
                this.selectedPath([dataSource.componentName(), queryName, dataFields[0].name()].join('.'));
            }
        });
    }
    get canEditDataSource() {
        return !!this.dataSourceWizardExtension();
    }
    get canEditCustomSqlQueries() {
        return this.dataSourceWizardExtension() && this.dataSourceWizardExtension().isCustomSqlEnabled || false;
    }
    refreshFieldList() {
        this.dataSourceBrowser.clearFieldsCache(this.selectedDataSourceComponentName());
        this.dataSourceBrowser.initDataSource(this.selectedDataSource());
        this.dataSourceTreeListViewModel.triggerItemsChanged();
    }
    showAddDataSourceForm() {
        this.popupContent(new AddDataSourcePopup(this.accessibleDataSourcesExtension, (ds) => !ds.componentName() || _helper_classes/* NameGenerator */.$A.isValidName(ds.componentName(), this.dataSourceBrowser._dataSources(), 'componentName'), this.addDataSources, this.popupVisible));
    }
    editQuery(queryName) {
        if (this.canEditDataSource) {
            this.dataSourceWizardExtension().showSqlQueryEditingDialog(this.selectedDataSource(), queryName);
        }
    }
    editFederationQuery(queryName) {
        if (this.canEditDataSource) {
            this.dataSourceWizardExtension().showFederationQueryEditingDialog(this.selectedDataSource(), queryName);
        }
    }
    manageFederationQueries() {
        if (this.canEditDataSource) {
            this.dataSourceWizardExtension().showManageFederationQueriesDialog(this.selectedDataSource());
        }
    }
    removeQuery(queryName) {
        var sqlDataSource = this.selectedDataSource();
        if (sqlDataSource) {
            var queryToRemove = sqlDataSource.queries().filter(query => query.name() === queryName)[0];
            if (queryToRemove) {
                sqlDataSource.queries.remove(queryToRemove);
                sqlDataSource.calculatedFields.remove(calcField => calcField.dataMember() === queryName);
            }
        }
    }
    removeFederationQuery(queryName) {
        let federationDataSource = this.selectedDataSource();
        if (federationDataSource) {
            let queryToRemove = federationDataSource.queries().find(query => query.alias() === queryName);
            if (queryToRemove) {
                federationDataSource.queries.remove(queryToRemove);
                federationDataSource.calculatedFields.remove(calcField => calcField.dataMember() === queryName);
            }
        }
    }
    editDataSource() {
        if (this.canEditDataSource) {
            var selectedDataSource = this.selectedDataSource();
            if (selectedDataSource instanceof json_data_source/* JsonDataSource */.G)
                this.dataSourceWizardExtension()._showEditJsonDataSourceDialog(selectedDataSource);
        }
    }
    _removeDataSource(dataSource) {
        this.selectedDataSource(null);
        this.dataSourceBrowser.removeDataSource(dataSource);
        if (this.dataSourceBrowser._dataSources().length > 0) {
            this.selectedDataSource(this.dataSourceBrowser._dataSources()[0]);
        }
    }
    get canAddCalculatedField() {
        return this.calcFieldEditor.canAddCalculatedField(this.selectedDataSourceComponentName());
    }
    _onDataSourcePropertyChanged(args) {
        if (!args.propertyName)
            this.refreshFieldList();
        else {
            if (args.dataSource instanceof sql_data_source/* SqlDataSource */.w) {
                let sqlDataSource = args.dataSource;
                switch (args.propertyName) {
                    case 'queries':
                        if (args.status === 'added') {
                            let queryName = args.model.name();
                            this._expandQuery(sqlDataSource, queryName);
                            this.refreshFieldList();
                        }
                        else if (args.status === 'deleted') {
                            this.refreshFieldList();
                        }
                }
            }
            else if (args.dataSource instanceof json_data_source/* JsonDataSource */.G) {
                switch (args.propertyName) {
                    case 'rootElement':
                    case 'schema':
                        this.refreshFieldList();
                        break;
                }
            }
            else if (args.dataSource instanceof dist_model.FederationDataSource) {
                let federationDataSource = args.dataSource;
                switch (args.propertyName) {
                    case 'queries':
                        if (args.status === 'added') {
                            let queryName = args.model.alias();
                            this._expandQuery(federationDataSource, queryName);
                            this.refreshFieldList();
                        }
                        else if (args.status === 'deleted') {
                            this.refreshFieldList();
                        }
                }
            }
            if (args.dataSource.hasCalculatedFields) {
                switch (args.propertyName) {
                    case 'fieldType':
                    case 'expression':
                        this.refreshFieldList();
                        break;
                    case 'calculatedFields':
                        if (args.status === 'added' || args.status === 'deleted')
                            this.refreshFieldList();
                        break;
                }
            }
        }
    }
}
_data_source_browser_viewmodel_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DataSourceBrowserViewModel.prototype, "_removeDataSource", null);
class DataSourceTreeListViewModel {
    constructor(dataSourceBrowserViewModel) {
        this.treeListEditorOption = external_ko_.observable();
        (0,model_index_internal.subscribeAndPerform)(dataSourceBrowserViewModel.selectedDataSource, (newDataSource) => {
            if (newDataSource) {
                let getFieldsCallback = (dataSourceName, dataMember, fieldPath) => dataSourceBrowserViewModel.dataSourceBrowser.getDataFieldsArray(dataSourceName, dataMember, fieldPath, () => true);
                this._itemsProvider = new FieldListItemProvider(dataSourceBrowserViewModel, getFieldsCallback);
                this.treeListEditorOption({
                    itemsProvider: this._itemsProvider,
                    treeListController: new DashboardTreeListController(),
                    selectedPath: dataSourceBrowserViewModel.selectedPath,
                    templateName: 'dx-dashboard-treelist-item-template',
                    path: external_ko_.observable(dataSourceBrowserViewModel.selectedDataSourceComponentName())
                });
            }
            else {
                this.treeListEditorOption(null);
            }
        });
    }
    triggerItemsChanged() {
        this._itemsProvider && this._itemsProvider.triggerItemsChanged();
    }
}
class DashboardTreeListController extends external_DevExpress_Analytics_Widgets_Internal_.TreeListController {
    hasItems(item) {
        return item['hasItems'];
    }
    canSelect(value) {
        return !value.data.isList;
    }
}

;// external "DevExpress.Analytics.Wizard"
const external_DevExpress_Analytics_Wizard_namespaceObject = DevExpress.Analytics.Wizard;
// EXTERNAL MODULE: external "DevExpress.QueryBuilder.Utils"
var external_DevExpress_QueryBuilder_Utils_ = __webpack_require__(592);
;// ./dist/designer/data-source-wizard/models/_data-source-wizard-model.js




class DashboardRequestWrapper extends external_DevExpress_QueryBuilder_Utils_.RequestWrapper {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
    }
    _sendRequest(settings) {
        return this.sendRequest(settings.action, settings.arg);
    }
    sendRequest(action, arg) {
        var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        this.dashboardControl.remoteService.postToServer(this.dashboardControl._endpointCollection.dataSourceWizardUrls.DataSourceWizardAction, {
            actionKey: action,
            arg: arg
        }).done(data => {
            if (data.success) {
                def.resolve(data.result);
            }
            else {
                let errorText = data.error;
                this.dashboardControl.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.ErrorHasOccuredOn'), errorText);
                def.reject(errorText);
            }
        }).fail(request => {
            this.dashboardControl.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.ErrorHasOccuredOn'), request);
            def.reject();
        });
        return def.promise();
    }
}
class DashboardDataSourceWizardOptions extends external_DevExpress_Analytics_Wizard_namespaceObject._DataSourceWizardOptions {
    constructor() {
        super();
        this.connectionStrings = {
            ...this.connectionStrings,
            olap: []
        };
        this.wizardSettings = {
            ...this.wizardSettings,
            enableOlapDataSource: false
        };
    }
}
class DashboardMultiQueryDataSourceWizardOptions extends external_DevExpress_Analytics_Wizard_namespaceObject._MultiQueryDataSourceWizardOptions {
    constructor() {
        super();
        this.connectionStrings = {
            ...this.connectionStrings,
            olap: []
        };
        this.wizardSettings = {
            ...this.wizardSettings,
            enableOlapDataSource: false
        };
    }
}

;// ./dist/designer/data-source-wizard/pages/_choose-json-schema-page.js

let JsonDataSourceWizardSettings = {
    allowObjectPropertiesAsRoot: true
};
function _registerChooseJsonSchemaPage(factory, requestWrapper, parameters) {
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseJsonSchemaPage)(factory, requestWrapper);
    var chooseJsonSchemaPageMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseJsonSchemaPage);
    chooseJsonSchemaPageMeta.create = () => new external_DevExpress_Analytics_Wizard_namespaceObject.ChooseJsonSchemaPage(requestWrapper, JsonDataSourceWizardSettings.allowObjectPropertiesAsRoot, {
        getParameters: () => parameters().map(parameter => {
            return {
                value: parameter.defaultValue(),
                name: parameter.name()
            };
        })
    });
}

// EXTERNAL MODULE: external "DevExpress.Analytics.Data"
var external_DevExpress_Analytics_Data_ = __webpack_require__(546);
;// external "DevExpress.Analytics.Wizard.Internal"
const external_DevExpress_Analytics_Wizard_Internal_namespaceObject = DevExpress.Analytics.Wizard.Internal;
;// ./dist/designer/_helpers.js



function createDataMemberInfo(field, dataSource) {
    let dataMemberInfo = {
        name: dataSource instanceof olap_data_source/* OlapDataSource */.u ? field.dataMember() : field.name(),
        displayName: external_ko_.unwrap(field.displayName),
        isList: !field.isDataFieldNode(),
        specifics: field.isDataFieldNode() ? field.fieldType && data_item/* DataItem */.sO.typesMap[field.fieldType()] || 'Default' :
            field.isDataSourceNode && field.isDataSourceNode() ||
                field.isDataTableNode && field.isDataTableNode() ||
                field.isExpressionsNode && field.isExpressionsNode() ||
                field.isList && field.isList() ? 'List' :
                'Default',
    };
    return {
        ...dataMemberInfo,
        hasItems: !field.isDataFieldNode(),
        field: field,
    };
}

;// ./dist/designer/data-source-wizard/pages/_field-list-provider.js





function getFieldList(pathRequest, dataFieldsProvider, dataSourceProvider, filterDelegate = (field) => true) {
    _helper_classes/* Guard */.wM.requires(_utils/* type */.NW.isDefined(pathRequest));
    _helper_classes/* Guard */.wM.requires(_utils/* type */.NW.isDefined(dataFieldsProvider));
    _helper_classes/* Guard */.wM.requires(_utils/* type */.NW.isDefined(dataSourceProvider));
    let pathParts;
    let dataSourceComponentName;
    if (pathRequest.ref || pathRequest.id) {
        dataSourceComponentName = pathRequest.ref || pathRequest.id;
        pathParts = [dataSourceComponentName].concat(pathRequest.path ? pathRequest.path.split('.') : []);
    }
    else if (pathRequest.pathParts && pathRequest.pathParts.length > 0) {
        pathParts = pathRequest.pathParts;
        dataSourceComponentName = pathParts[0];
    }
    else {
        pathParts = pathRequest.fullPath ? pathRequest.fullPath.split('.') : [];
        dataSourceComponentName = pathParts[0];
    }
    let dataSource = dataSourceProvider.findDataSource(dataSourceComponentName);
    if (!dataSource)
        throw new Error(`The '${dataSourceComponentName}' DataSource cannot be found.`);
    let dataMember;
    let fieldPath;
    if (dataSource.supportDataMembers) {
        dataMember = pathParts[1] || '';
        fieldPath = pathParts.slice(2).join('.');
    }
    else {
        dataMember = '';
        fieldPath = pathParts.slice(1).join('.');
    }
    let deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
    dataFieldsProvider
        .getDataFieldsArray(dataSourceComponentName, dataMember, fieldPath, filterDelegate)
        .done(dataFields => {
        let items = dataFields.map(field => createDataMemberInfo(field, dataSource));
        deferred.resolve(items);
    });
    return deferred.promise();
}
class FlatteningDataFieldsProviderWrapper {
    constructor(basic, shouldFlatten = (field) => false) {
        _helper_classes/* Guard */.wM.isNotFalsy(basic, 'The basic fields provider for a flattening fields provider');
        this._basic = basic;
        this._shouldFlatten = shouldFlatten;
    }
    findDataField(dataSourceName, dataMemberName, fullFieldName, hasGroupSeparator) {
        throw new Error('The method is not implemented.');
    }
    getDataFieldsArray(dataSourceName, dataMember, fieldPath, filterDelegate) {
        let deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        let flattenPromises = [];
        let notFlattened = [];
        this._basic.getDataFieldsArray(dataSourceName, dataMember, fieldPath, filterDelegate)
            .done(dataFields => {
            dataFields.forEach(field => {
                if (this._shouldFlatten(field)) {
                    if (field.isDataSourceNode && field.isDataSourceNode())
                        throw new Error('Flattening of the datasource and query nodes is not supported.');
                    let flattenDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                    flattenPromises.push(flattenDeferred.promise());
                    let fieldName = field.dataMember ? external_ko_.unwrap(field.dataMember) : '';
                    let newDataMember = dataMember || '';
                    let newFieldPath = fieldPath ? (fieldPath + '.' + fieldName) : fieldName;
                    this.getDataFieldsArray(dataSourceName, newDataMember, newFieldPath, filterDelegate)
                        .done(fields => flattenDeferred.resolve(fields))
                        .fail(() => flattenDeferred.reject());
                }
                else {
                    notFlattened.push(field);
                }
            });
            if (flattenPromises.length > 0)
                (0,_jquery_helpers/* jqueryWhenArray */.wj)(flattenPromises).done((...flattenedDataFieldsArrays) => {
                    let flattenedDataFields = flattenedDataFieldsArrays.reduce((acc, items) => acc.concat(items), []);
                    deferred.resolve(notFlattened.concat(flattenedDataFields));
                })
                    .fail(() => deferred.reject());
            else
                deferred.resolve(notFlattened);
        });
        return deferred.promise();
    }
}

;// ./dist/designer/data-source-wizard/_helpers.js













function getDataSourceInfo(dataSource) {
    let dataSourceInfo = {
        name: dataSource.name(),
        data: null,
        id: dataSource.componentName(),
        isSqlDataSource: dataSource instanceof dist_model.SqlDataSource,
        isJsonDataSource: dataSource instanceof json_data_source/* JsonDataSource */.G,
        isObjectDataSource: dataSource instanceof dist_model.ObjectDataSource,
        isFederationDataSource: dataSource instanceof dist_model.FederationDataSource,
        isListType: !dataSource.supportDataMembers,
        isSupportQueries: dataSource.supportDataMembers
    };
    return {
        ...dataSourceInfo,
        componentName: dataSource.componentName(),
    };
}
function createNewFederationDataSource(federationWizardModel, usedDataSources) {
    let analyticsDataSource = (0,external_DevExpress_Analytics_Wizard_namespaceObject._restoreFederationDataSourceFromState)(federationWizardModel, usedDataSources);
    let federationDataSource = toFederationDataSource(analyticsDataSource, usedDataSources());
    federationDataSource.name((0,_default/* getLocalizationById */.Mu)('DashboardStringId.DefaultFederationDataSourceName'));
    return federationDataSource;
}
function toFederationDataSource(analyticsDataSource, usedDataSources) {
    let federationDataSource = new dist_model.FederationDataSource({ '@ItemType': 'FederationDataSource' }, new external_DevExpress_Analytics_Utils_.ModelSerializer());
    analyticsDataSource.sources().forEach(analyticsSource => {
        let source = toFederationSource(analyticsSource, usedDataSources);
        federationDataSource.sources.push(source);
    });
    analyticsDataSource.queries().forEach(analyticsQuery => {
        let query = toSameSourcesFederationQuery(analyticsQuery);
        federationDataSource.queries.push(query);
    });
    return federationDataSource;
}
function toFederationSource(analyticsSource, usedDataSources) {
    let source = new dist_model.Source({ '@ItemType': 'Source' });
    source.name(analyticsSource.sourceName());
    source.dataMember(analyticsSource.dataMember() || '');
    let dataSourceInfoName = getDataSourceName(analyticsSource.sourceName(), analyticsSource.dataMember());
    let dataSourceInfo = usedDataSources.find(dsInfo => dsInfo.name === dataSourceInfoName);
    if (!dataSourceInfo)
        throw new Error(`The dashboard DataSource for SourceName '${analyticsSource.sourceName()}' is not found.`);
    source.dataSource(dataSourceInfo.componentName);
    return source;
}
function getDataSourceName(analyticsSourceName, analyticsDataMember) {
    return analyticsSourceName && analyticsDataMember ? analyticsSourceName.slice(0, -(analyticsDataMember.length + 1)) : analyticsSourceName;
}
function addSourceIfNotExists(analyticsSource, dashboardFederationDataSource, usedDataSources) {
    let existingSource = dashboardFederationDataSource.sources().find(s => s.name() === analyticsSource.sourceName());
    if (existingSource === undefined) {
        let newSource = toFederationSource(analyticsSource, usedDataSources);
        dashboardFederationDataSource.sources.push(newSource);
    }
}
function toSameSourcesFederationQuery(analyticsQuery) {
    let analyticsQueryJson = new external_DevExpress_Analytics_Utils_.ModelSerializer().serialize(analyticsQuery);
    return new dist_model.QueryNode(analyticsQueryJson);
}
function toAnalyticsFederationDataSource(federationDataSource, usedDataSources, dataSourceBrowser) {
    let observableDataSourceInfos = external_ko_.observableArray(usedDataSources);
    let fieldListProvider = new external_DevExpress_Analytics_Internal_.FieldListProvider(pathRequest => getFederationFieldList(pathRequest, dataSourceBrowser), observableDataSourceInfos, [new external_DevExpress_Analytics_Wizard_Internal_namespaceObject.FederationDataSourceItemsExtender(observableDataSourceInfos)], true);
    let analyticsFederationDataSource = new FederationDataSourceAnalyticsWrapper(federationDataSource.sources(), observableDataSourceInfos, fieldListProvider);
    analyticsFederationDataSource.name(federationDataSource.name());
    federationDataSource.sources().forEach(source => {
        let analyticsSource = toAnalyticsFederationSource(source);
        analyticsFederationDataSource.sources.push(analyticsSource);
    });
    federationDataSource.queries().forEach(query => {
        let analyticsQuery = toSameSourcesAnalyticsFederationQuery(query, analyticsFederationDataSource);
        analyticsFederationDataSource.queries.push(analyticsQuery);
    });
    return analyticsFederationDataSource;
}
function toAnalyticsFederationSource(source) {
    let analyticsSource = new external_DevExpress_Analytics_Data_.FederationSource({});
    analyticsSource.dataMember(source.dataMember());
    analyticsSource.sourceName(source.name());
    return analyticsSource;
}
let initialQueryAliasSymbol = '__initialQuery';
function toSameSourcesAnalyticsFederationQuery(query, analyticsFederationDataSource) {
    let queryJson = new external_DevExpress_Analytics_Utils_.ModelSerializer().serialize(query);
    let analyticsQuery = analyticsFederationDataSource.createQuery(queryJson);
    analyticsQuery[initialQueryAliasSymbol] = query.alias();
    return analyticsQuery;
}
function addOrUpdateQuery(dashboard, federationDataSource, index, newQuery) {
    _helper_classes/* Guard */.wM.isNotFalsy(newQuery, "'newQuery'");
    _helper_classes/* Guard */.wM.requires(!federationDataSource.queries().some((q, i) => i !== index && q === newQuery));
    let oldQuery = federationDataSource.queries()[index];
    if (oldQuery === newQuery)
        return;
    if (oldQuery)
        federationDataSource.queries.splice(index, 1, newQuery);
    else
        federationDataSource.queries.push(newQuery);
    let nameIndex = 1;
    let baseAlias = newQuery.alias();
    let newQueryAlias = baseAlias;
    while (federationDataSource.queries().find((q, i) => i !== index && q.alias() === newQueryAlias) !== undefined) {
        newQueryAlias = baseAlias + ' ' + nameIndex++;
    }
    newQuery.alias(newQueryAlias);
    if (oldQuery && newQuery.alias() !== oldQuery.alias()) {
        renameDataMember(dashboard, federationDataSource, oldQuery.alias(), newQuery.alias());
    }
}
function createDataSourceInfos(dashboardDataSources) {
    let dataSourceInfos = dashboardDataSources.map(ds => getDataSourceInfo(ds));
    let dataSourceInfosByName = new Map();
    for (let info of dataSourceInfos) {
        let inDict = dataSourceInfosByName.get(info.name);
        if (inDict !== undefined)
            inDict.push(info);
        else
            dataSourceInfosByName.set(info.name, [info]);
    }
    dataSourceInfosByName.forEach((infos, name) => {
        for (let i = 1; i < infos.length; i++)
            infos[i].name = name + ' ' + i;
    });
    return dataSourceInfos.map(info => {
        return {
            ...info,
            id: info.componentName,
        };
    });
}
function createWizardSettings(publicSettings) {
    return {
        enableSqlDataSource: publicSettings && _utils/* type */.NW.isDefined(publicSettings.enableSqlDataSource) ? publicSettings.enableSqlDataSource : true,
        enableJsonDataSource: publicSettings && _utils/* type */.NW.isDefined(publicSettings.enableJsonDataSource) ? publicSettings.enableJsonDataSource : true,
        enableObjectDataSource: false,
        enableFederationDataSource: publicSettings && _utils/* type */.NW.isDefined(publicSettings.enableFederationDataSource) ? publicSettings.enableFederationDataSource : true,
        enableOlapDataSource: publicSettings && _utils/* type */.NW.isDefined(publicSettings.enableOlapDataSource) ? publicSettings.enableOlapDataSource : true,
    };
}
function getFederationFieldList(pathRequest, dataSourceBrowser) {
    return getFieldList(pathRequest, new FlatteningDataFieldsProviderWrapper(dataSourceBrowser, field => field && (field.isDataTableNode && field.isDataTableNode() || field.isExpressionsNode && field.isExpressionsNode())), new FederationDataSourceProviderWrapper(dataSourceBrowser), field => field && field.nodeType() !== 'CalculatedDataField');
}
class FederationDataSourceProviderWrapper {
    constructor(basic) {
        this._basic = basic;
    }
    findDataSource(name) {
        let basicDataSource = this._basic.findDataSource(name);
        return basicDataSource && basicDataSource._isFederationDataProvider ? basicDataSource : undefined;
    }
}
class FederationDataSourceAnalyticsWrapper extends external_DevExpress_Analytics_Data_.FederationDataSource {
    constructor(sources, dataSources, fieldListProvider) {
        super({}, dataSources, fieldListProvider, new external_DevExpress_Analytics_Utils_.ModelSerializer());
        this._sources = sources;
        this._dataSources = dataSources();
    }
    getQueryNameFromPath(pathParts) {
        if (!pathParts)
            return '';
        _helper_classes/* Guard */.wM.requires(!!pathParts && !!pathParts.length);
        let dataSourceInfo = this._dataSources.find(x => x.ref == pathParts[0] || x.id == pathParts[0]);
        if (dataSourceInfo === undefined)
            throw new Error(`The dataSource for path '${pathParts.join('.')}' cannot be found.`);
        let sameDataSourceSources = this._sources.filter(s => s.dataSource() === dataSourceInfo.componentName);
        if (!sameDataSourceSources || sameDataSourceSources.length === 0)
            return super.getQueryNameFromPath(pathParts);
        if (sameDataSourceSources.length === 1) {
            return sameDataSourceSources[0].name();
        }
        else {
            let dataMember = pathParts.slice(1).join('.');
            let source = sameDataSourceSources.find(s => s.dataMember() === dataMember);
            if (source === undefined)
                return super.getQueryNameFromPath(pathParts);
            return source.name();
        }
    }
    getPathFromQueryName(sourceName) {
        let source = this._sources.find(s => s.name() === sourceName);
        if (source === undefined)
            return super.getPathFromQueryName(sourceName);
        return getPath(source);
    }
    createQuery(queryJson) {
        let query = super.createQuery(queryJson);
        if (query.queryType() === external_DevExpress_QueryBuilder_Utils_.FederationQueryType[external_DevExpress_QueryBuilder_Utils_.FederationQueryType.UnionNode]) {
            query.getQueryNameFromPath = (path) => this.getQueryNameFromPath(path);
            query.getPathFromQueryName = (sourceName) => this.getPathFromQueryName(sourceName);
        }
        return query;
    }
}
function getPath(source) {
    _helper_classes/* Guard */.wM.isNotFalsy(source, 'source');
    return [source.dataSource()].concat(!!source.dataMember() ? [source.dataMember()] : []);
}
function renameDataMember(dashboard, dataSource, oldDataMember, newDataMember) {
    dashboard.items()
        .filter(item => item instanceof dist_model.DataDashboardItem
        && item.dataSource() === dataSource.componentName()
        && item.dataMember() === oldDataMember)
        .forEach((item) => {
        item.dataMember(newDataMember);
    });
    dataSource.calculatedFields()
        .filter(calcField => calcField.dataMember() === oldDataMember)
        .forEach(calcField => calcField.dataMember(newDataMember));
    dashboard.parameters()
        .map(parameter => parameter.dynamicListLookUpSettings())
        .filter(lookUpSettings => !!lookUpSettings
        && lookUpSettings.dataSource() === dataSource.componentName()
        && lookUpSettings.dataMember() === oldDataMember)
        .forEach(lookUpSettings => lookUpSettings.dataMember(newDataMember));
    dashboard.colorScheme()
        .filter(entry => entry.dataMember() === oldDataMember)
        .forEach(entry => entry.dataMember(newDataMember));
    dashboard.items()
        .filter(item => item instanceof dist_model.DataDashboardItem)
        .map((item) => item.colorScheme())
        .forEach(colorScheme => colorScheme
        .filter(entry => entry.dataMember() === oldDataMember)
        .forEach(entry => entry.dataMember(newDataMember)));
}

;// ./dist/designer/data-source-wizard/pages/_parameters-item-provider.js



class ParametersItemProvider {
    constructor(dashboardParameters = []) {
        this.dashboardParameters = dashboardParameters;
    }
    getItems(pathRequest) {
        var items = [], fullPath = pathRequest.fullPath && pathRequest.fullPath.toLowerCase() || '';
        if (fullPath === '') {
            items = [{
                    displayName: (0,index_internal.getLocalizationById)('DashboardWebStringId.DashboardParameters'),
                    name: 'Parameters',
                    isList: true,
                    specifics: 'parameters'
                }];
        }
        else if (fullPath === 'parameters') {
            items = this.dashboardParameters.map(parameter => {
                return {
                    displayName: parameter.name(),
                    name: parameter.name(),
                    isList: false,
                    specifics: data_item/* DataItem */.sO.typesMap[parameter.type().replace('System.', '')]
                };
            });
        }
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve(items).promise();
    }
}

;// ./dist/designer/data-source-wizard/pages/_create-query-page.js


function createQueryPageCallback(requestWrapper, parameters, dataSourceBrowser, customQueriesPreset = undefined) {
    return {
        customQueriesPreset: customQueriesPreset,
        customizeQBInitData: (initData) => {
            initData.parametersItemsProvider = new ParametersItemProvider(parameters());
            initData.requestWrapper = requestWrapper;
            return initData;
        },
        selectStatement: (connection, query) => requestWrapper.getSelectStatement(connection, query),
        getItemsProviderCallback: () => new ParametersItemProvider(parameters()),
        fieldListsCallback: (pathRequest, dataSourceInfo) => getFederationFieldList(pathRequest, dataSourceBrowser),
    };
}

;// ./dist/designer/data-source-wizard/models/data-source-wizard-model.js

const OlapDataSourceType = 3099;
function ToDataSourceTypeNumber(dashboardType) {
    switch (dashboardType) {
        case 'Sql': return external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Sql;
        case 'Json': return external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Json;
        case 'Olap': return OlapDataSourceType;
        case 'Federation': return external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Federation;
    }
}
function ToDashboardDataSourceType(typeNumber) {
    switch (typeNumber) {
        case external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Sql: return 'Sql';
        case external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Json: return 'Json';
        case OlapDataSourceType: return 'Olap';
        case external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Federation: return 'Federation';
    }
    throw new Error('Unknown datasource type number: ' + typeNumber);
}

;// ./dist/designer/data-source-wizard/pages/page-id.js
const DataSourceWizardPageId = {
    ChooseDataSourceTypePage: 'dashboardChooseDataSourceTypePageId'
};
const OlapDataSourceWizardPageId = {
    ChooseConnectionPage: 'dashboardChooseOlapConnectionStringPageId'
};

;// ./dist/designer/data-source-wizard/pages/choose-data-source-type-page.js







const _OlapSvgIconTemplate = '<svg version="1.1" data-bind="svgAttrs" x="0px" y="0px" viewBox="0 0 96 96" xml:space="preserve"><g id="Layer_1"><g class="dxrd-svg-st1">	<ellipse class="dxrd-svg-black" cx="44" cy="19.5" rx="26" ry="7.5"/></g><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M46,52.7v-0.2L70,40V21.4c0,4.2-11.6,7.6-26,7.6s-26-3.4-26-7.6v45c0,4.2,11.6,7.6,26,7.6c0.7,0,1.3,0,2,0 V52.7z"/></g><g class="dxrd-svg-st0"><polygon class="dxrd-svg-blue" points="48,56 69,67 69,91 48,80"/></g><polygon class="dxrd-svg-blue" points="92,56 71,67 71,91 92,80"/><g class="dxrd-svg-st2"><polygon class="dxrd-svg-blue" points="70,42.2 48,53.7 70,65.3 92,53.7"/></g></g><g id="Layer_2"></g></svg>';
class DashboardChooseDataSourceTypePage extends external_DevExpress_Analytics_Wizard_namespaceObject.ChooseDataSourceTypePage {
    constructor(wizardOptions, customTemplates) {
        super(wizardOptions);
        this._confirmDialogViewModel = new _confirm_dialog/* ConfirmDialogViewModel */.b();
        this._confirmDialogCustomTemplate = {
            name: 'dx-dashboard-confirm-dialog',
            data: this._confirmDialogViewModel
        };
        ResourceManager.registerIcon(_OlapSvgIconTemplate, 'dx-dashboard-svg-wizard-OlapDataSource');
        this.connectionStrings = wizardOptions.connectionStrings;
        this._dataSources = wizardOptions.dataSources && wizardOptions.dataSources() || [];
        this._customTemplates = customTemplates;
        customTemplates.push(this._confirmDialogCustomTemplate);
    }
    _createTypeItems() {
        let typeItems = [];
        let wizardSettings = this._dataSourceTypeOptions.wizardSettings;
        if (wizardSettings.enableSqlDataSource) {
            typeItems.push(new external_DevExpress_Analytics_Wizard_namespaceObject.TypeItem('Database', 'DataAccessUIStringId.DSTypeSql', 'sqldatasource', 'dxrd-svg-wizard-SqlDataSource', ToDataSourceTypeNumber('Sql')));
        }
        if (wizardSettings.enableJsonDataSource) {
            typeItems.push(new external_DevExpress_Analytics_Wizard_namespaceObject.TypeItem('JSON', 'DataAccessUIStringId.DSTypeJson', 'jsondatasource', 'dxrd-svg-wizard-JsonDataSource', ToDataSourceTypeNumber('Json')));
        }
        if (wizardSettings.enableOlapDataSource) {
            typeItems.push(new external_DevExpress_Analytics_Wizard_namespaceObject.TypeItem('OLAP Data Source', 'DashboardStringId.DefaultOlapDataSourceName', 'olapdatasource', 'dx-dashboard-svg-wizard-OlapDataSource', ToDataSourceTypeNumber('Olap')));
        }
        if (wizardSettings.enableFederationDataSource) {
            typeItems.push(new external_DevExpress_Analytics_Wizard_namespaceObject.TypeItem('Data Federation', 'DataAccessUIStringId.DSTypeFederation', 'federationdatasource', 'dxrd-svg-wizard-FederationDataSource', ToDataSourceTypeNumber('Federation')));
        }
        return typeItems;
    }
    commit() {
        if (this.selectedItem().type === external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceType.Federation) {
            if (!this._dataSources || this._dataSources.length === 0) {
                let def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                this._confirmDialogViewModel.confirm((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.DashboardDataSourceWizard'), (0,_default/* getLocalizationById */.Mu)('DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage'), (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ButtonOK')).always(() => def.reject());
                return def.promise();
            }
        }
        return super.commit();
    }
    dispose() {
        this._customTemplates.remove(this._confirmDialogCustomTemplate);
        super.dispose();
    }
}
function _registerChooseDataSourceTypePage(factory, wizardOptions, customTemplates) {
    let chooseDataSourceTypePageMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceWizardPageId.ChooseDataSourceTypePage);
    if (!chooseDataSourceTypePageMeta) {
        (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseDataSourceTypePage)(factory, wizardOptions);
        chooseDataSourceTypePageMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceWizardPageId.ChooseDataSourceTypePage);
        factory.unregisterMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.DataSourceWizardPageId.ChooseDataSourceTypePage);
    }
    factory.registerMetadata(DataSourceWizardPageId.ChooseDataSourceTypePage, {
        setState: (data, state) => {
            state.dataSourceType = data.dataSourceType;
        },
        getState: (state) => {
            return state;
        },
        resetState: (state, defaultState) => {
            state.dataSourceType = defaultState.dataSourceType;
        },
        create: () => new DashboardChooseDataSourceTypePage(wizardOptions, customTemplates),
        description: chooseDataSourceTypePageMeta.description,
        template: chooseDataSourceTypePageMeta.template
    });
}

;// ./dist/designer/data-source-wizard/pages/choose-olap-connection-string-page.js




class DashboardChooseOlapConnectionStringPage extends external_DevExpress_Analytics_Wizard_namespaceObject.WizardPageBase {
    constructor(connectionStrings) {
        super();
        this._selectedConnectionString = external_ko_.observableArray([]);
        this._connectionStrings = connectionStrings;
        this._disposables.push(this._selectedConnectionString.subscribe(() => this._onChange()));
    }
    canNext() {
        return false;
    }
    canFinish() {
        return this._selectedConnectionString().length !== 0;
    }
    commit() {
        var deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        if (this._selectedConnectionString()[0]) {
            deferred.resolve({
                connectionName: this._selectedConnectionString()[0].name
            });
        }
        else {
            deferred.resolve();
        }
        return deferred.promise();
    }
    initialize(state) {
        if (this._connectionStrings && this._connectionStrings.length === 1) {
            this._selectedConnectionString([this._connectionStrings[0]]);
        }
        else if (this._connectionStrings && this._connectionStrings.length > 0) {
            let matchingStrings = this._connectionStrings.filter(c => c.name == state.connectionName);
            var selectedString = matchingStrings.length > 0 ? matchingStrings[0] : this._connectionStrings[0];
            this._selectedConnectionString(selectedString ? [selectedString] : []);
        }
        else {
            this._selectedConnectionString([]);
        }
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
    }
}
function _registerOlapConnectionStringsPage(factory, connectionStrings) {
    let sqlConnectionStringsMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ChooseConnectionPage);
    if (!sqlConnectionStringsMeta) {
        (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseSqlConnectionPage)(factory, undefined);
        sqlConnectionStringsMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ChooseConnectionPage);
        factory.unregisterMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ChooseConnectionPage);
    }
    factory.registerMetadata(OlapDataSourceWizardPageId.ChooseConnectionPage, {
        create: () => {
            return new DashboardChooseOlapConnectionStringPage(connectionStrings);
        },
        setState: (result, state) => {
            state.connectionName = result.connectionName;
        },
        getState: (state) => {
            return state.olapDataSourceWizard;
        },
        resetState: (state, defaultState) => {
            state.connectionName = defaultState.connectionName;
        },
        template: sqlConnectionStringsMeta.template,
        description: sqlConnectionStringsMeta.description
    });
}

;// ./dist/designer/data-source-wizard/pages/federated-query-configure-page.js

function _registerFederatedQueryConfigurePage(factory, wizardOptions) {
    let analyticsMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.FederationDataSourceWizardPageId.FederatedQueryConfigurePage);
    if (!analyticsMeta) {
        (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerFederatedQueryConfigurePage)(factory, wizardOptions);
        analyticsMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.FederationDataSourceWizardPageId.FederatedQueryConfigurePage);
    }
    let dashboardMeta = { ...analyticsMeta };
    let analyticsMetaCreate = analyticsMeta.create;
    dashboardMeta.create = () => {
        let page = analyticsMetaCreate();
        page.canNext = () => false;
        return page;
    };
    factory.unregisterMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.FederationDataSourceWizardPageId.FederatedQueryConfigurePage);
    factory.registerMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.FederationDataSourceWizardPageId.FederatedQueryConfigurePage, dashboardMeta);
}

;// ./dist/designer/data-source-wizard/wizards/_data-source-wizard-page-iterator.js


class DataSourceWizardPageIteratorBase extends external_DevExpress_Analytics_Wizard_namespaceObject.PageIterator {
    getInitialPage() {
        return DataSourceWizardPageId.ChooseDataSourceTypePage;
    }
    getNextPageId(pageId) {
        if (!pageId) {
            return this.getInitialPage();
        }
        else {
            let currentState = this._getCurrentState();
            switch (pageId) {
                case DataSourceWizardPageId.ChooseDataSourceTypePage:
                    switch (currentState.dashboardDataSourceType) {
                        case 'Sql':
                            return external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ChooseConnectionPage;
                        case 'Olap':
                            return OlapDataSourceWizardPageId.ChooseConnectionPage;
                        case 'Json':
                            return external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseConnectionPage;
                        case 'Federation':
                            return external_DevExpress_Analytics_Wizard_namespaceObject.FederationDataSourceWizardPageId.FederatedQueryConfigurePage;
                        default:
                            throw new Error('Unknown datasource type.');
                    }
                case external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ChooseConnectionPage:
                    return this.getConfigureQueryPage();
                case external_DevExpress_Analytics_Wizard_namespaceObject.ObjectDataSourceWizardPageId.ChooseTypesPage:
                    return external_DevExpress_Analytics_Wizard_namespaceObject.ObjectDataSourceWizardPageId.ChooseDataMembersPage;
                case external_DevExpress_Analytics_Wizard_namespaceObject.ObjectDataSourceWizardPageId.ChooseDataMembersPage:
                    return external_DevExpress_Analytics_Wizard_namespaceObject.ObjectDataSourceWizardPageId.ConfigureParametersPage;
                case this.getConfigureQueryPage():
                    return this.getConfigureSqlParametersPage();
                case external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseConnectionPage:
                    if (currentState.jsonDataSourceWizard.connectionName) {
                        return external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseJsonSchemaPage;
                    }
                    else {
                        return external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseJsonSourcePage;
                    }
                case external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseJsonSourcePage:
                    return external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseJsonSchemaPage;
            }
        }
    }
    getConfigureQueryPage() {
        return external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ConfigureQueryPage;
    }
    getConfigureSqlParametersPage() {
        return external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ConfigureParametersPage;
    }
    getConfigureObjectParametersPage() {
        return external_DevExpress_Analytics_Wizard_namespaceObject.ObjectDataSourceWizardPageId.ConfigureParametersPage;
    }
}

;// ./dist/designer/data-source-wizard/wizards/_data-source-wizard.js













class CreateNewDataSourceWizardIterator extends DataSourceWizardPageIteratorBase {
    constructor(factory, stateManager) {
        super(factory, stateManager);
    }
}
class EditQueryWizardIterator extends DataSourceWizardPageIteratorBase {
    constructor(factory, stateManager) {
        super(factory, stateManager);
    }
    getInitialPage() {
        return external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.ConfigureQueryPage;
    }
}
class DashboardDataSourceWizardBase extends external_DevExpress_Analytics_Wizard_namespaceObject.PopupWizard {
    constructor(factory) {
        super(factory);
    }
}
class DashboardDataSourceWizard extends DashboardDataSourceWizardBase {
    get options() {
        return this._options;
    }
    constructor(factory, options) {
        super(factory);
        this.title = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.DashboardDataSourceWizard');
        this._container = (element) => element.closest('.dx-dashboard-widget-container');
        this._extendCssClass = 'dxrd-sqldatasource-wizard';
        this._options = options;
    }
}
class DashboardDataSourceWizardState {
    constructor() {
        this.sqlDataSourceWizard = {};
        this.jsonDataSourceWizard = {};
        this.olapDataSourceWizard = {};
        this.objectDataSourceWizard = {};
        this.federationDataSourceWizard = {};
    }
    get dashboardDataSourceType() {
        return this.dataSourceType && ToDashboardDataSourceType(this.dataSourceType) || undefined;
    }
    set dashboardDataSourceType(value) {
        this.dataSourceType = ToDataSourceTypeNumber(value);
    }
}
function createDashboardDataSourceWizard(requestWrapper, parameters, disableCustomSql, allowCreateNewJsonConnection, wizardSettings, dashboardConnectionStrings, dataSources, dataSourceBrowser, customTemplates) {
    var factory = new external_DevExpress_Analytics_Wizard_namespaceObject.PageFactory();
    var wizardOptions = new DashboardDataSourceWizardOptions();
    wizardOptions.callbacks = createQueryPageCallback(requestWrapper, parameters, dataSourceBrowser);
    wizardOptions.disableCustomSql = disableCustomSql;
    wizardOptions.requestWrapper = requestWrapper;
    wizardOptions.wizardSettings = createWizardSettings(wizardSettings);
    wizardOptions.allowCreateNewJsonConnection = allowCreateNewJsonConnection || false;
    wizardOptions.connectionStrings = dashboardConnectionStrings;
    wizardOptions.dataSources = external_ko_.pureComputed(() => dataSources);
    _registerChooseDataSourceTypePage(factory, wizardOptions, customTemplates);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseSqlConnectionPage)(factory, dashboardConnectionStrings.sql);
    _registerOlapConnectionStringsPage(factory, dashboardConnectionStrings.olap);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseJsonConnectionPage)(factory, wizardOptions);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerConfigureQueryPage)(factory, wizardOptions);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerConfigureParametersPage)(factory, requestWrapper);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseJsonSourcePage)(factory, requestWrapper, () => new ParametersItemProvider(parameters()));
    _registerChooseJsonSchemaPage(factory, requestWrapper, parameters);
    _registerFederatedQueryConfigurePage(factory, wizardOptions);
    return new DashboardDataSourceWizard(factory, wizardOptions);
}

;// ./dist/designer/data-source-wizard/wizards/_multi-query-data-source-wizard.js











class DashboardMultiQueryWizardIterator extends DataSourceWizardPageIteratorBase {
    getInitialPage() {
        return super.getInitialPage();
    }
    getConfigureQueryPage() {
        return external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.MultiQueryConfigurePage;
    }
    getConfigureSqlParametersPage() {
        return external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.MultiQueryConfigureParametersPage;
    }
}
class DashboardMultiQueryDataSourceWizard extends DashboardDataSourceWizardBase {
    get options() {
        return this._options;
    }
    constructor(pageFactory, options) {
        super(pageFactory);
        this._extendCssClass = 'dxrd-multiqueries-sqldatasource-wizard';
        this.height(443);
        this._options = options;
    }
}
function createDashboardMultiQueryWizard(requestWrapper, parameters, disableCustomSql, allowCreateNewJsonConnection, wizardSettings, dashboardConnectionStrings, dataSources, dataSourceBrowser, customTemplates) {
    var factory = new external_DevExpress_Analytics_Wizard_namespaceObject.PageFactory();
    var wizardOptions = new DashboardMultiQueryDataSourceWizardOptions();
    wizardOptions.callbacks = createQueryPageCallback(requestWrapper, parameters, dataSourceBrowser, DashboardMultiQueryDataSourceWizard.customQueriesPreset);
    wizardOptions.disableCustomSql = disableCustomSql;
    wizardOptions.requestWrapper = requestWrapper;
    wizardOptions.wizardSettings = createWizardSettings(wizardSettings);
    wizardOptions.allowCreateNewJsonConnection = allowCreateNewJsonConnection || false;
    wizardOptions.connectionStrings = dashboardConnectionStrings;
    wizardOptions.dataSources = external_ko_.pureComputed(() => dataSources);
    _registerChooseDataSourceTypePage(factory, wizardOptions, customTemplates);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseSqlConnectionPage)(factory, dashboardConnectionStrings.sql);
    _registerOlapConnectionStringsPage(factory, dashboardConnectionStrings.olap);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerMultiQueryConfigurePage)(factory, wizardOptions);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerMultiQueryConfigureParametersPage)(factory, requestWrapper);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseJsonConnectionPage)(factory, wizardOptions);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerChooseJsonSourcePage)(factory, requestWrapper, () => new ParametersItemProvider(parameters()));
    _registerChooseJsonSchemaPage(factory, requestWrapper, parameters);
    (0,external_DevExpress_Analytics_Wizard_namespaceObject._registerFederatedQueryConfigurePage)(factory, wizardOptions);
    var multiQueryConfigurePageMeta = factory.getMetadata(external_DevExpress_Analytics_Wizard_namespaceObject.SqlDataSourceWizardPageId.MultiQueryConfigurePage);
    multiQueryConfigurePageMeta.canNext = (page) => page._hasParametersToEdit();
    return new DashboardMultiQueryDataSourceWizard(factory, wizardOptions);
}

// EXTERNAL MODULE: ./dist/designer/expression-editor/_expression-editor.js
var expression_editor_expression_editor = __webpack_require__(8798);
// EXTERNAL MODULE: ./dist/designer/expression-editor/_expression-editor-functions.js
var _expression_editor_functions = __webpack_require__(8914);
// EXTERNAL MODULE: ./dist/designer/expression-editor/_filter-expression-editor.js
var _filter_expression_editor = __webpack_require__(7395);
// EXTERNAL MODULE: ./dist/designer/expression-editor/_flat-item-provider-wrapper.js
var _flat_item_provider_wrapper = __webpack_require__(5143);
// EXTERNAL MODULE: ./dist/designer/filtering/simple-filter-editor/_simple-filter-editor.js + 2 modules
var _simple_filter_editor = __webpack_require__(499);
// EXTERNAL MODULE: ./dist/model/items/data-item-container.js
var data_item_container = __webpack_require__(6465);
;// ./dist/designer/items/binding-details/_data-item-container-seed.js





class DataItemContainerSeed extends data_item_container/* DataItemContainer */.L {
    _getDataId() {
        return null;
    }
    constructor(dataItemProvider, dataItemType, _fieldConstraint) {
        super();
        this.dataItemType = dataItemType;
        this._fieldConstraint = _fieldConstraint;
        this.name = external_ko_.observable('NewContainer');
        this.dataLink = new dist_model.DataItemLink(dataItemProvider);
        this.dataLink.itemType('Seed');
    }
    _getContainerType() {
        return 'Stub';
    }
    _getBindingModel() {
        return [{
                propertyName: 'dataLink',
                dataItemType: this.dataItemType,
                emptyPlaceholder: 'Data',
                selectedPlaceholder: 'Configure Data',
                fieldConstraint: this._fieldConstraint
            }];
    }
    grow(dataItemProvider, bindingProperty, dataField) {
        var containerModels = [];
        if (!(0,_data_field/* IsOlapHierarchyField */.Q0)(dataField)) {
            var cm = bindingProperty.creator(undefined, dataField);
            var dataItem = dataItemProvider._createDataItem(dataField, cm._getBindingModel()[0]);
            let newDataItemBinding = cm._getBindingModel()[0];
            cm[newDataItemBinding.propertyName].uniqueName(dataItem.uniqueName());
            containerModels.push(cm);
        }
        else {
            dataField.groupDataItems.forEach(groupItem => {
                var cm = bindingProperty.creator(undefined, groupItem);
                var dataItem = dataItemProvider._createDataItem(groupItem, cm._getBindingModel()[0]);
                dataItem.groupIndex(dataField.groupIndex());
                let newDataItemBinding = cm._getBindingModel()[0];
                cm[newDataItemBinding.propertyName].uniqueName(dataItem.uniqueName());
                containerModels.push(cm);
            });
        }
        return containerModels;
    }
    _getInfoCore() {
        return [_base_metadata/* itemType */.YG, _base_metadata/* name */.UU];
    }
    _getDefaultItemType() {
        return 'Stub';
    }
}

// EXTERNAL MODULE: ./dist/designer/items/container-type-selector/_container-type-selector.js
var _container_type_selector = __webpack_require__(5715);
// EXTERNAL MODULE: ./dist/model/items/metadata/_bound-image-item.js
var _bound_image_item = __webpack_require__(3532);
// EXTERNAL MODULE: ./dist/model/items/metadata/_image-item.js
var _image_item = __webpack_require__(3947);
;// ./dist/designer/items/properties-composers/_bound-image-item-properties-composer.js





class BoundImageItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var specificDisabledRules = {};
        specificDisabledRules[_bound_image_item/* uriPattern */.Ph.propertyName] = [_bound_image_item/* dataBindingMode */.No.propertyName, '<>', 'Uri'];
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.ImageOptions', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [
                _bound_image_item/* dataBindingMode */.No,
                _bound_image_item/* uriPattern */.Ph,
                _image_item/* sizeMode */.xP,
                _image_item/* horizontalAlignment */.sE,
                _image_item/* verticalAlignment */.Ev,
            ], specificDisabledRules))
        ];
        return result;
    }
}

// EXTERNAL MODULE: ./dist/model/items/map/metadata/_geo-point-map-item-base.js
var _geo_point_map_item_base = __webpack_require__(2248);
// EXTERNAL MODULE: ./dist/model/items/map/metadata/_map-item.js
var _map_item = __webpack_require__(7069);
;// ./dist/designer/items/properties-composers/_bubble-map-item-properties-composer.js






class BubleMapItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model, args) {
        var commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common');
        external_ko_.computed(() => {
            commonTab.tabModel(_shared_composers/* SharedComposers */.d.getCommonMapWrapper(model, args.propertiesController, [
                _map_item/* lockNavigation */.We,
                _geo_point_map_item_base/* enableClustering */.Sg,
                _shared_composers/* SharedComposers */.d.getShapeTitleSerializationInfo(model)
            ]));
        });
        return [
            commonTab,
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ColorLegend, 'DashboardWebStringId.AccordionTab.MapLegend', _shared_composers/* SharedComposers */.d.getColorLegendWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.WeightedLegend, 'DashboardWebStringId.AccordionTab.WeightedLegend', _shared_composers/* SharedComposers */.d.getWeightedLegendWrapper(model))
        ];
    }
}

// EXTERNAL MODULE: ./dist/designer/items/properties-composers/_calculation-properties-composer.js
var _calculation_properties_composer = __webpack_require__(3915);
// EXTERNAL MODULE: ./dist/model/items/card/card.js
var card_card = __webpack_require__(9818);
// EXTERNAL MODULE: ./dist/model/items/card/card-layout-template.js
var card_layout_template = __webpack_require__(1360);
// EXTERNAL MODULE: ./dist/model/items/card/metadata/_card.js
var _card = __webpack_require__(2369);
// EXTERNAL MODULE: ./dist/model/items/card/metadata/_card-row.js
var _card_row = __webpack_require__(9220);
// EXTERNAL MODULE: ./dist/model/items/metadata/_data-dashboard-item.js
var _data_dashboard_item = __webpack_require__(6157);
// EXTERNAL MODULE: ./dist/model/items/options/metadata/_sparkline-options.js
var _sparkline_options = __webpack_require__(1807);
;// ./dist/designer/items/properties-composers/_card-element-properties-composer.js
var _card_element_properties_composer_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


















class CardElementPropertiesComposer extends _base_properties_composer/* DataItemContainerPropertiesComposer */.WZ {
    constructor(customizeHandler, editTemplateHandler = (model) => { }, editFormat = (model) => { }, applyTemplateToAllCards = (template) => { }, editRuleHandler = () => { }) {
        super(customizeHandler);
        this.editTemplateHandler = editTemplateHandler;
        this.editFormat = editFormat;
        this.applyTemplateToAllCards = applyTemplateToAllCards;
        this.editRuleHandler = editRuleHandler;
    }
    _composeTabsCore(model, args) {
        var commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Options', this.getCommonWrapper(model, args.dashboardItem, args.dataSourceBrowser)), deltaTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaOptions, 'DashboardWebStringId.Grid.DeltaOptions'), sparklineTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.SparklineOptions, 'DashboardWebStringId.Card.SparklineOptions', this.getSparklineWrapper(model)), templatesTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.CardTemplates, 'DashboardWebStringId.CardLayout.Editor.CardLayout'), deltaFormatsTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaFormats, 'DashboardWebStringId.CardLayout.Editor.FormatOptions'), conditionalFormattingTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting'), result = [commonTab, templatesTab, deltaTab, sparklineTab, deltaFormatsTab, conditionalFormattingTab];
        if (model instanceof card_card/* Card */.Z) {
            external_ko_.computed(() => {
                deltaTab.tabModel(_shared_composers/* SharedComposers */.d.getDeltaOptionsWrapper(model._isTypeEmpty() ? model.deltaOptions : model.cardDeltaOptions));
            });
            conditionalFormattingTab.tabModel(this.getFormatRulesWrapper(model, args.dashboardItem));
            this.fillTemplatesTab(templatesTab, model);
            deltaFormatsTab.tabModel(_shared_composers/* SharedComposers */.d.getDeltaFormatsOptionsWrapper(model, this.editFormat));
        }
        return result;
    }
    getCommonWrapper(model, dashboardItem, dataSourceBrowser) {
        var properties = [
            { editorOptions: { placeholder: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, model) }, ..._base_metadata/* name */.UU }
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: null
        });
    }
    getSparklineWrapper(model) {
        var properties = _shared_composers/* SharedComposers */.d.getSparklineOptionsProperties();
        var disabledRules = {};
        disabledRules[_sparkline_options/* viewType */.mE.propertyName] = [_card/* showSparkline */.l5.propertyName, '=', false];
        disabledRules[_sparkline_options/* highlightMinMaxPoints */.gk.propertyName] = [_card/* showSparkline */.l5.propertyName, '=', false];
        disabledRules[_sparkline_options/* highlightStartEndPoints */.nR.propertyName] = [_card/* showSparkline */.l5.propertyName, '=', false];
        var visibilityRules = {};
        visibilityRules[_card/* showSparkline */.l5.propertyName] = () => model._isTypeEmpty();
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [
                _card/* showSparkline */.l5,
                {
                    container: _card_row/* cardSparklineRowOptions */.wn,
                    properties: properties
                }
            ],
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibilityRules
        });
    }
    fillTemplatesTab(tab, card) {
        var availableTemplates = external_ko_.computed(() => this.getAvailableTemplates(card));
        var selectedTemplate = external_ko_.computed({
            read: () => {
                return card.layoutTemplate();
            },
            write: (newTemplate) => {
                this.switchTemplate(card, newTemplate);
            }
        });
        const singleChoiceEditorOptions = {
            propertyName: 'title',
            dataSource: availableTemplates(),
            enableEditItem: (item) => !(item instanceof card_layout_template/* CardEmptyLayoutTemplate */.wb),
            editItemHandler: this.editTemplateHandler,
            customToolbarItems: [{
                    name: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.CardLayout.ApplyToAllCards'),
                    icon: 'dx-dashboard-template-to-all-cards',
                    action: () => { this.applyTemplateToAllCards(selectedTemplate()); }
                }],
        };
        tab.tabModel(new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: { layoutTemplates: selectedTemplate },
            properties: [{
                    formAdapterItem: (0,_form_adapter_editors/* editableListEditor */.G)(singleChoiceEditorOptions),
                    propertyName: 'layoutTemplates'
                }]
        }));
    }
    switchTemplate(card, newTemplate) {
        var templateChanged = (newTemplate) => {
            return card.layoutTemplate().getType() !== newTemplate.getType();
        };
        if (templateChanged(newTemplate)) {
            card._setTemplateSwitchingOptions(newTemplate);
        }
    }
    getAvailableTemplates(card) {
        var result = [];
        var currentTemplateAdded = false;
        var currentTemplate = card.layoutTemplate();
        var addTemplate = (templateClass) => {
            var templateInstance = new templateClass();
            if (templateInstance.getType() === currentTemplate.getType()) {
                result.push(currentTemplate);
                currentTemplateAdded = true;
            }
            else {
                templateInstance._resetToDefaults();
                result.push(templateInstance);
            }
        };
        addTemplate(card_layout_template/* CardStretchedLayoutTemplate */.jX);
        addTemplate(card_layout_template/* CardCenteredLayoutTemplate */.fS);
        addTemplate(card_layout_template/* CardCompactLayoutTemplate */.cT);
        addTemplate(card_layout_template/* CardLightweightLayoutTemplate */.b9);
        if (!currentTemplateAdded) {
            result.push(currentTemplate);
        }
        return result;
    }
    getFormatRulesWrapper(model, dashboardItem) {
        var collectionEditorOptions = {
            propertyName: _dashboard_item_format_rule/* classCaption */.HI.propertyName,
            createNewItemHandler: () => {
                var rule = new card_item_delta_format_rule/* CardItemDeltaFormatRule */.z();
                rule.cardId(model._getDataId());
                return rule;
            },
            editItemHandler: this.editRuleHandler,
            visibleItemsFilter: (rule) => (rule instanceof card_item_delta_format_rule/* CardItemDeltaFormatRule */.z) && rule.cardId() === model._getDataId(),
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: dashboardItem,
            properties: [{
                    ..._data_dashboard_item/* formatRules */.Hv,
                    formAdapterItem: (0,_form_adapter_editors/* collectionEditor */.oL)(collectionEditorOptions)
                }]
        });
    }
}
_card_element_properties_composer_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], CardElementPropertiesComposer.prototype, "switchTemplate", null);

// EXTERNAL MODULE: ./dist/designer/items/properties-composers/_data-item-properties-composer.js
var _data_item_properties_composer = __webpack_require__(4453);
;// ./dist/designer/items/properties-composers/_card-item-properties-composer.js







class CardItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler, editRuleHandler) {
        super(customizeHandler);
        this.editRuleHandler = editRuleHandler;
    }
    _composeTabsCore(model, args) {
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ContentArrangement, 'DashboardWebStringId.AccordionTab.Layout', _shared_composers/* SharedComposers */.d.getContentArrangementWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(model, () => !isDeltaFormatRuleAvaliable(model) ? new card_item_format_rule/* CardItemFormatRule */.X() : new card_item_delta_format_rule/* CardItemDeltaFormatRule */.z(), () => true, this.editRuleHandler))
        ];
    }
}

// EXTERNAL MODULE: ./dist/model/items/card/metadata/_card-layout.js
var _card_layout = __webpack_require__(4432);
// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_collection-editor-viewmodel-base.js
var _collection_editor_viewmodel_base = __webpack_require__(708);
;// ./dist/designer/items/properties-composers/_card-layout-template-properties-composer.js
var _card_layout_template_properties_composer_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};











class CardTemplatePropertiesComposer {
    composeTabs(model, args) {
        if (args.applyTemplateToAllCards === undefined)
            args.applyTemplateToAllCards = (template) => { };
        var layoutsTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.CardTemplateSettings, 'DashboardWebStringId.CardLayout.LayoutOptions');
        this.fillLayoutsTab(layoutsTab, model, args.dimensionNames, args.applyTemplateToAllCards);
        return [layoutsTab];
    }
    fillLayoutsTab(tab, template, dimensionNames, applyTemplateToAllCards) {
        const refreshCallback = new _collection_editor_viewmodel_base/* CollectionEditorRefreshCallback */.y();
        const propertiesList = template._collectProperties(dimensionNames);
        const subscriptions = propertiesList.map(item => (0,_knockout_utils/* safeSubscribe */.uQ)({ checked: item.checked, selectedItem: item.selectedItem || (() => { }) }, () => refreshCallback.refresh()));
        const collectionEditorOptions = {
            dataFields: ['checked', 'title', 'selectedItem', 'lookupDataSource'],
            isToolbarVisible: false,
            gridColumns: [{
                    dataField: 'checked',
                    dataType: 'boolean',
                    width: 40,
                }, {
                    dataField: 'selectedItem',
                    calculateDisplayValue: (rowData) => rowData.title,
                    lookup: {
                        displayExpr: 'displayText',
                        valueExpr: 'key',
                    },
                }],
            customizeInlineEditor: (e) => {
                e.editorOptions.dataSource = e.row.data.lookupDataSource;
                if (e.dataField === 'selectedItem') {
                    var oldValueChanged = e.editorOptions.onValueChanged;
                    e.editorOptions.onValueChanged = function (ee) {
                        oldValueChanged.call(ee.component, ee);
                        setTimeout(() => e.component.saveEditData());
                    };
                }
            },
            customizeCell: (e) => {
                if (!e.isEditing && e.column.dataField === 'selectedItem' && !!e.data.lookupDataSource) {
                    const div = document.createElement('div');
                    div.append((0,_utils/* getSvgElementByTemplate */.aZ)('dx-dashboard-ce-edit'));
                    div.classList.add('custom-edit-icon');
                    div.classList.add('dx-dashboard-editable-cell');
                    (0,_jquery_helpers/* $unwrap */.I1)(e.cellElement).appendChild(div);
                }
            },
            enableEditItem: (selectedItem, e) => {
                if (e.column.dataField === 'selectedItem')
                    return !!e.data.lookupDataSource;
                return true;
            },
            forceRefreshCallback: refreshCallback,
        };
        tab.tabModel(new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: {
                minWidth: template.minWidth,
                maxWidth: template.maxWidth,
                templateProperties: external_ko_.observableArray(propertiesList),
                buttonsFakeProperty: {},
            },
            properties: [
                {
                    ..._card_layout/* minWidth */.bV,
                    formAdapterItem: (0,_form_adapter_editors/* numberBoxEditor */.kx)({ min: 1, format: '0#' }),
                },
                {
                    ..._card_layout/* maxWidth */.JX,
                    formAdapterItem: (0,_form_adapter_editors/* nullableNumberBoxEditor */.pJ)({ defaultValue: 200, editorOptions: { min: 1, format: '0#' } }),
                },
                {
                    formAdapterItem: (0,_form_adapter_editors/* inlineEditCollectionEditor */.JI)(collectionEditorOptions),
                    propertyName: 'templateProperties',
                }, {
                    propertyName: 'buttonsFakeProperty',
                    formAdapterItem: (0,_form_adapter_editors/* actionButtons */.uu)([
                        {
                            text: (0,external_DevExpress_Analytics_Internal_.localize)('DashboardWebStringId.CardLayout.ResetTemplate'),
                            onClick: () => this.resetTemplate(template),
                            elementAttr: { class: 'dx-dashboard-card-template-reset-button' }
                        },
                        {
                            text: (0,external_DevExpress_Analytics_Internal_.localize)('DashboardWebStringId.CardLayout.ApplyToAllCards'),
                            onClick: () => applyTemplateToAllCards(template),
                            elementAttr: { class: 'dx-dashboard-card-template-apply-all-button' }
                        }
                    ]),
                }
            ],
            disposableModelSubscriptions: subscriptions,
        }));
    }
    resetTemplate(template) {
        template._resetToDefaults();
    }
}
_card_layout_template_properties_composer_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], CardTemplatePropertiesComposer.prototype, "resetTemplate", null);

// EXTERNAL MODULE: ./dist/model/items/chart/metadata/_chart-axis.js
var _chart_axis = __webpack_require__(1548);
// EXTERNAL MODULE: ./dist/model/items/chart/metadata/_chart-item.js
var _chart_item = __webpack_require__(8533);
// EXTERNAL MODULE: ./dist/model/items/chart/metadata/_chart-indicators.js
var _chart_indicators = __webpack_require__(7576);
// EXTERNAL MODULE: ./dist/model/items/chart/metadata/_chart-pane.js
var _chart_pane = __webpack_require__(164);
;// ./dist/designer/items/properties-composers/_chart-indicators-properties-composer.js










function updateValueLevelIems(model, dashboardItem) {
    const currentValueLevel = model.valueLevel();
    const valueLevelIems = (0,_chart_utils/* getAvailableValueLevels */.k$)(model.value.peek(), dashboardItem);
    if (valueLevelIems.length && (!currentValueLevel || valueLevelIems.filter(item => item.value === currentValueLevel).length === 0)) {
        model.valueLevel(valueLevelIems[0].value);
    }
    return valueLevelIems || [];
}
function updateDisplayName(model, dashboardItem, dataSourceBrowser) {
    let seriesDataId = model.value();
    let legendText = model.legendText();
    if (legendText || seriesDataId) {
        let displayName = legendText;
        if (!displayName && seriesDataId) {
            displayName = (0,_chart_utils/* getIndicatorDisplayNameFromSeries */.Ws)(model, dashboardItem, dataSourceBrowser);
        }
        model.displayName(displayName);
    }
}
class ChartIndicatorPropertiesComposer {
    static getIndicatorsWrapper(model, createIndicatorDelegate, editHandler) {
        const subscriptions = [];
        const refreshCallback = new _collection_editor_viewmodel_base/* CollectionEditorRefreshCallback */.y();
        subscriptions.push((0,_knockout_utils/* subscribeToArrayItemProperties */.Ro)(model.indicators, (indicator) => indicator.name.subscribe(() => refreshCallback.refresh())));
        var collectionEditorOptions = {
            createNewItemHandler: createIndicatorDelegate,
            propertyName: _chart_pane/* chartPaneName */.Wh.propertyName,
            editItemHandler: editHandler,
            visibleItemsFilter: () => true,
            forceRefreshCallback: refreshCallback
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [{
                    ..._chart_item/* chartIndicators */.vH,
                    formAdapterItem: (0,_form_adapter_editors/* collectionEditor */.oL)(collectionEditorOptions),
                }],
            disposableModelSubscriptions: subscriptions
        });
    }
    static getIndicatorPropertiesWrapper(model, dashboardItem, dataSourceBrowser, requestRecalculation, findExtension) {
        const disposables = [];
        const seriesDataItems = external_ko_.pureComputed(() => {
            const chartSeries = (0,_chart_utils/* getChartApplyToDataItems */.Ye)(dashboardItem, dataSourceBrowser, _chart_utils/* getChartSeries */.cJ)();
            return chartSeries.map((m) => ({ value: external_ko_.unwrap(m.uniqueName), displayValueId: external_ko_.unwrap(m.displayName) }));
        });
        const seriesDataItemNames = seriesDataItems().map(dataItem => external_ko_.unwrap(dataItem.value));
        if (!model.value() && seriesDataItemNames.length) {
            model.value(seriesDataItemNames[0]);
        }
        const valueLevelItems = external_ko_.pureComputed(() => {
            const seriesDataId = model.value();
            if (seriesDataId) {
                return updateValueLevelIems(model, dashboardItem);
            }
            return [];
        });
        if (model.value()) {
            updateValueLevelIems(model, dashboardItem);
            setTimeout(() => {
                requestRecalculation.fire();
            });
        }
        disposables.push(seriesDataItems, valueLevelItems);
        disposables.push((0,_knockout_utils/* safeSubscribe */.uQ)({
            seriesDataId: model.value,
            legendText: model.legendText,
            itemType: model.itemType
        }, () => updateDisplayName(model, dashboardItem, dataSourceBrowser)));
        disposables.push((0,_knockout_utils/* safeSubscribe */.uQ)({
            typeName: model._typeName
        }, () => model._updateItemType()));
        const seriesDataIdProperty = {
            ..._chart_indicators/* chartIndicatorValue */.LD,
            formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: seriesDataItems })
        };
        const valueLevelProperty = {
            ..._chart_indicators/* chartIndicatorValueLevel */.FA,
            formAdapterItem: (0,_form_adapter_editors/* dynamicSelectBoxEditor */.uf)({ values: valueLevelItems })
        };
        const thickness = {
            ..._chart_indicators/* chartIndicatorThickness */.uJ,
            formAdapterItem: (0,_form_adapter_editors/* numberBoxEditor */.kx)({ min: 1, format: '#' })
        };
        const customTypeMap = {};
        const indicatorsExtension = findExtension('chartIndicators');
        indicatorsExtension?.customChartIndicators?.forEach(indicatorType => {
            customTypeMap[indicatorType.type] = indicatorType.displayName;
        });
        const type = {
            ..._chart_indicators/* chartIndicatorType */.Gu,
            propertyName: '_typeName',
            values: (0,_jquery_helpers/* extend */.X$)({}, _chart_indicators/* chartIndicatorType */.Gu.values, customTypeMap)
        };
        const properties = [
            _chart_pane/* chartPaneName */.Wh, type, seriesDataIdProperty, valueLevelProperty,
            _chart_indicators/* chartIndicatorValueLevel */.FA, _chart_indicators/* chartIndicatorShowInLegend */.Py,
            _chart_indicators/* chartIndicatorLegendText */.qH, _chart_indicators/* chartIndicatorDashStyle */.lm,
            _chart_indicators/* chartIndicatorColor */.b_, thickness, _chart_indicators/* chartIndicatorVisible */.Qk
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: {},
            visibilityFilterRules: {},
            disposableModelSubscriptions: disposables
        });
    }
}

;// ./dist/designer/items/properties-composers/_chart-item-properties-composer.js











class ChartItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(options) {
        super(options.customizeHandler);
        this.options = options;
    }
    _getAxisXTabModel(model, dataSourceBrowser, argumentDataField) {
        var groupInterval = model.arguments()[0] ? model.arguments()[0].dateTimeGroupInterval() : 'None';
        var isOlap = argumentDataField && _data_field/* DataField */.J7.isOlap(argumentDataField.dataMember());
        return _shared_composers/* SharedComposers */.d.getAxisWrapper(model.axisX, external_ko_.pureComputed(() => {
            var argumentsNumber = model.arguments().length;
            if (!argumentsNumber) {
                return '';
            }
            else if (argumentsNumber === 1) {
                return model.arguments()[0] && (0,_display_name_provider/* getDataItemDisplayName */.F)(dataSourceBrowser, model, model.arguments()[0]);
            }
            else
                return 'Arguments';
        }), null, _data_field/* DataField */.J7.isDateTime(argumentDataField) && !isOlap, _data_field/* DataField */.J7.isNumeric(argumentDataField) && !isOlap, groupInterval);
    }
    _composeTabsCore(model, args) {
        let argumentDataField = external_ko_.observable();
        if (model.arguments().length == 1) {
            var dimension = model.arguments()[0];
            args.dataSourceBrowser.findDataField(model.dataSource(), model.dataMember(), dimension.dataMember()).done(dataField => {
                argumentDataField(dataField);
            });
        }
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [_chart_item/* chartRotated */.GA])),
        ];
        var axisXTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.AxisX, 'DashboardWebStringId.Chart.AxisX');
        axisXTab.tabModel(this._getAxisXTabModel(model, args.dataSourceBrowser, argumentDataField()));
        argumentDataField.subscribe(dataField => { axisXTab.tabModel(this._getAxisXTabModel(model, args.dataSourceBrowser, dataField)); });
        result.push(axisXTab);
        if (model) {
            model.panes().forEach((pane) => {
                var numberPostfix = model.panes().length === 1 ? '' : ' (' + pane.name() + ')';
                result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.AxisY + numberPostfix, (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Chart.AxisY') + numberPostfix, _shared_composers/* SharedComposers */.d.getAxisWrapper(pane.primaryAxisY, external_ko_.pureComputed(() => {
                    var series = pane.series().filter(s => !s.plotOnSecondaryAxis());
                    if (!series.length) {
                        return '';
                    }
                    var dataItems = series.reduce((array, singleSeries) => {
                        return array.concat(singleSeries
                            ._getBindingModel()
                            .map(b => singleSeries[b.propertyName])
                            .filter(dil => !!dil.dataItem())
                            .map(dil => dil.dataItem()));
                    }, []);
                    if (dataItems.length === 1) {
                        return (0,_display_name_provider/* getDataItemDisplayName */.F)(args.dataSourceBrowser, model, dataItems[0]);
                    }
                    else
                        return 'Values';
                }), _chart_axis/* chartAlwaysShowZeroLevel */.jR)));
                if (pane.series().filter(s => s.plotOnSecondaryAxis()).length > 0) {
                    result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.AxisY + 'secondary' + numberPostfix, (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Chart.AxisYSecondary') + numberPostfix, _shared_composers/* SharedComposers */.d.getAxisWrapper(pane.secondaryAxisY, external_ko_.pureComputed(() => {
                        var series = pane.series().filter(s => s.plotOnSecondaryAxis());
                        if (!series.length) {
                            return '';
                        }
                        else if (series.length === 1) {
                            return (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(args.dataSourceBrowser, model, series[0]);
                        }
                        else
                            return 'Values';
                    }), _chart_axis/* chartAlwaysShowZeroLevel */.jR)));
                }
            });
        }
        result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Legend, 'DashboardWebStringId.AccordionTab.ChartLegend', _shared_composers/* SharedComposers */.d.getLegendWrapper(model)));
        result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(model, () => this.options.createCFRuleDelegate(), () => true, this.options.editCFRuleHandler)));
        result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Indicators, 'DashboardWebStringId.Chart.Indicators', ChartIndicatorPropertiesComposer.getIndicatorsWrapper(model, () => this.options.createIndicatorDelegate(), this.options.editChartIndicatorHandler)));
        return result;
    }
}

// EXTERNAL MODULE: ./dist/data/data-controllers/_chart-data-controller-proto.js
var _chart_data_controller_proto = __webpack_require__(6224);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-series-creator.js
var chart_series_creator = __webpack_require__(8285);
// EXTERNAL MODULE: ./dist/model/items/chart/metadata/_chart-series.js
var _chart_series = __webpack_require__(7011);
// EXTERNAL MODULE: ./dist/model/items/options/metadata/_dashboard-item-coloring-options.js
var _dashboard_item_coloring_options = __webpack_require__(3986);
;// ./dist/designer/items/properties-composers/_chart-series-properties-composer.js













class ChartSeriesPropertiesComposer extends _base_properties_composer/* DataItemContainerPropertiesComposer */.WZ {
    constructor(customizeHandler, _containerTypesMap = chart_series_creator/* ChartSeriesCreator */.o.chartSeriesViewTypesMap, _allowConfigurePointLabels = true, _allowSecondaryAxis = true, _editCFRuleHandler, _createCFRuleDelegate) {
        super(customizeHandler);
        this._containerTypesMap = _containerTypesMap;
        this._allowConfigurePointLabels = _allowConfigurePointLabels;
        this._allowSecondaryAxis = _allowSecondaryAxis;
        this._editCFRuleHandler = _editCFRuleHandler;
        this._createCFRuleDelegate = _createCFRuleDelegate;
    }
    _composeTabsCore(model, args) {
        var typeTab = new _accordion_tab/* TypeAccordionTab */.__(_accordion_tab/* KnownTabs */.iq.Type, 'DashboardWebStringId.Type'), commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Options'), pointLabelsTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.PointLabels, 'DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions'), coloringTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ColoringOptions, 'DashboardWebStringId.ColoringOptions'), conditionalFormattingTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting'), result = [typeTab, commonTab, coloringTab, pointLabelsTab, conditionalFormattingTab];
        this._fillSeriesTypeWrapper(typeTab, model, args.containerType);
        this._fillSeriesGeneralTab(commonTab, model, args.dashboardItem, args.dataSourceBrowser);
        this._fillConditionalFormattingTab(conditionalFormattingTab, model, args.dashboardItem, args.dataSourceBrowser);
        if (model && model[_chart_series/* plotOnSecondaryAxis */.wK.propertyName]) {
            coloringTab.tabModel(new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
                model: args.dashboardItem.coloringOptions,
                properties: [_dashboard_item_coloring_options/* measuresColoringMode */.OH]
            }));
        }
        if (this._allowConfigurePointLabels) {
            pointLabelsTab.tabModel(_shared_composers/* SharedComposers */.d.getLabelsWrapper(model));
        }
        return result;
    }
    _fillSeriesTypeWrapper(tab, model, containerType) {
        if (model) {
            var hightlightedTypes = [
                'Bar',
                'StackedBar',
                'Point',
                'Line',
                'Area',
                'RangeArea'
            ];
            tab.tabModel(new _container_type_selector/* ContainerTypeSelector */.z(this._containerTypesMap, containerType, chart_series_creator/* ChartSeriesCreator */.o.chartSeriesGroupLocalization, hightlightedTypes));
        }
    }
    _showPointMarkersVisible(model) {
        return (model instanceof chart_series/* RangeSeries */.lr || model instanceof chart_series/* SimpleSeries */.K9) && _chart_data_controller_proto/* allowedTypesForShowPointMarkers */.z.indexOf(model.seriesType()) !== -1;
    }
    _showIgnoreEmptyPointsVisible(model) {
        var stackedTypes = ['FullStackedLine', 'StackedSplineArea', 'FullStackedSplineArea', 'StackedArea', 'FullStackedArea'];
        if (model instanceof chart_series/* SimpleSeries */.K9 && stackedTypes.indexOf(model.seriesType()) !== -1)
            return true;
        else
            return this._showPointMarkersVisible(model);
    }
    _fillSeriesGeneralTab(tab, model, dashboardItem, dataSourceBrowser) {
        if (model) {
            var properties = [
                { editorOptions: { placeholder: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, model) }, ..._base_metadata/* name */.UU },
                _chart_series/* plotOnSecondaryAxis */.wK,
                _chart_series/* ignoreEmptyPoints */.Zx,
                _chart_series/* showPointMarkers */.fT
            ];
            var visibilityFilterRules = {};
            visibilityFilterRules[_chart_series/* ignoreEmptyPoints */.Zx.propertyName] = (propertiesWrapper) => this._showIgnoreEmptyPointsVisible(propertiesWrapper.model);
            visibilityFilterRules[_chart_series/* showPointMarkers */.fT.propertyName] = (propertiesWrapper) => this._showPointMarkersVisible(propertiesWrapper.model);
            visibilityFilterRules[_chart_series/* plotOnSecondaryAxis */.wK.propertyName] = (propertiesWrapper) => this._allowSecondaryAxis;
            tab.tabModel(new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
                model: model,
                properties: properties,
                visibilityFilterRules: visibilityFilterRules
            }));
        }
    }
    _fillConditionalFormattingTab(tab, series, dashboardItem, dataSourceBrowser) {
        if (!series._isConditionalFormattingSupported)
            return;
        const cfRuleCreator = () => {
            const cfRule = this._createCFRuleDelegate();
            cfRule.dataItemName(series._getDataId());
            cfRule.dataItemApplyToName(series._getDataId());
            return cfRule;
        };
        const cfRuleFilter = (cfRule) => {
            const seriesDataItemNames = series._measures
                .map(measure => measure.uniqueName())
                .filter(name => !!name);
            return seriesDataItemNames.indexOf(cfRule.dataItemName()) !== -1
                || seriesDataItemNames.indexOf(cfRule.dataItemApplyToName()) !== -1;
        };
        tab.tabModel(_data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(dashboardItem, cfRuleCreator, cfRuleFilter, this._editCFRuleHandler));
    }
}

// EXTERNAL MODULE: ./dist/model/items/map/chorolpeth-map.js
var chorolpeth_map = __webpack_require__(2953);
// EXTERNAL MODULE: ./dist/model/items/map/chorolpeth-map-item.js
var chorolpeth_map_item = __webpack_require__(1053);
// EXTERNAL MODULE: ./dist/model/items/map/metadata/_chorolpeth-map.js
var _chorolpeth_map = __webpack_require__(7766);
;// ./dist/designer/items/properties-composers/_choropleth-map-element-properties-composer.js









class ChoroplethMapElementPropertiesComposer extends _base_properties_composer/* DataItemContainerPropertiesComposer */.WZ {
    constructor(customizeHandler, editDeltaFormatHandler = (model) => { }) {
        super(customizeHandler);
        this.editDeltaFormatHandler = editDeltaFormatHandler;
    }
    _composeTabsCore(model, args) {
        var typeTab = new _accordion_tab/* TypeAccordionTab */.__(_accordion_tab/* KnownTabs */.iq.Type, 'DashboardWebStringId.Map.WeightedLegendType', this.getMapTypeWrapper(model, args.containerType)), commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Options', new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [
                _base_metadata/* name */.UU,
                _chorolpeth_map/* valueName */.XJ,
                _chorolpeth_map/* actualValueName */.td,
                _chorolpeth_map/* deltaName */.IQ
            ]
        })), result = [typeTab, commonTab];
        if (model instanceof chorolpeth_map/* DeltaMap */.fB) {
            result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaOptions, 'DashboardWebStringId.Grid.DeltaOptions', _shared_composers/* SharedComposers */.d.getDeltaOptionsWrapper(model.deltaOptions)));
            result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaFormats, 'DashboardWebStringId.CardLayout.Editor.FormatOptions', _shared_composers/* SharedComposers */.d.getDeltaFormatsOptionsWrapper(model, this.editDeltaFormatHandler)));
        }
        return result;
    }
    getMapTypeWrapper(model, containerType) {
        if (model) {
            return new _container_type_selector/* ContainerTypeSelector */.z(chorolpeth_map_item/* ChoroplethMapItem */.a.choroplethMapTypesMap, containerType);
        }
        return null;
    }
}

// EXTERNAL MODULE: ./dist/model/items/map/metadata/_chorolpeth-map-item.js
var _chorolpeth_map_item = __webpack_require__(6476);
;// ./dist/designer/items/properties-composers/_choropleth-map-item-properties-composer.js






class ChoroplethMapItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model, args) {
        const commonTabWrapper = _shared_composers/* SharedComposers */.d.getCommonMapWrapper(model, args.propertiesController, [
            _shared_composers/* SharedComposers */.d.getAttributeNamesSerializationInfo(model, _chorolpeth_map_item/* attributeName */.CK, false),
            _map_item/* lockNavigation */.We
        ]);
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', commonTabWrapper),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ShapeLabels, 'DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute', this.getShapeLabelsWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ColorLegend, 'DashboardWebStringId.AccordionTab.MapLegend', _shared_composers/* SharedComposers */.d.getColorLegendWrapper(model))
        ];
    }
    getShapeLabelsWrapper(model) {
        var properties = [
            _shared_composers/* SharedComposers */.d.getShapeTitleSerializationInfo(model),
            _shared_composers/* SharedComposers */.d.getAttributeNamesSerializationInfo(model, _chorolpeth_map_item/* tooltipAttributeName */.rC, true, 'DashboardWebStringId.Map.UseBindingAttribute'),
            _chorolpeth_map_item/* includeSummaryValueToShapeTitle */.QE
        ];
        var disabledRules = {};
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules
        });
    }
}

// EXTERNAL MODULE: ./dist/model/items/range-filter/metadata/_date-time-period.js
var _date_time_period = __webpack_require__(3359);
// EXTERNAL MODULE: ./dist/model/items/range-filter/metadata/_limit-container.js
var _limit_container = __webpack_require__(414);
// EXTERNAL MODULE: ./dist/model/items/range-filter/metadata/_period-limit.js
var _period_limit = __webpack_require__(208);
;// ./dist/designer/items/properties-composers/_custom-range-properties-composer.js










class CustomRangePropertiesComposer {
    composeTabs(model, args) {
        var commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', this.getCommonWrapper(model, args.argument, args.rangeFilterItem));
        return [commonTab];
    }
    getCommonWrapper(model, argument, rangeFilterItem) {
        var p = [], visibilityRules = {}, dateOnly = ['Year', 'MonthYear', 'QuarterYear', 'DayMonthYear'].indexOf(argument.dateTimeGroupInterval()) !== -1;
        p.push({
            ..._base_metadata/* name */.UU,
            validateBeforeSet: true,
            validationRules: [
                {
                    type: 'custom',
                    validationCallback: (options) => { return !rangeFilterItem.dateTimePeriods().filter(period => period.name() === options.value)[0]; },
                    message: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.UniqueNameValidationMessage')
                }
            ]
        });
        p.push({
            container: _date_time_period/* startLimit */.iP,
            properties: [{
                    displayName: 'DashboardWebStringId.RangeFilter.StartMode',
                    replacementPropertyName: 'start_mode',
                    ..._date_time_period/* mode */.Mq
                },
                {
                    displayName: 'DashboardWebStringId.RangeFilter.StartIntervalAndOffset',
                    replacementPropertyName: 'start_flow_options',
                    ..._limit_container/* flowDateTimePeriodLimitProperty */.Ju,
                    formAdapterItem: (0,_form_adapter_editors/* flowModeSettingsEditor */.Or)()
                },
                {
                    container: _limit_container/* fixedDateTimePeriodLimitProperty */.JU,
                    properties: [{
                            displayName: 'DashboardWebStringId.RangeFilter.StartDate',
                            replacementPropertyName: 'start_date',
                            editorOptions: {
                                type: dateOnly ? 'date' : 'datetime'
                            },
                            ..._period_limit/* date */.p6
                        }]
                }]
        });
        visibilityRules['start_date'] = ['start_mode', '=', 'Fixed'];
        visibilityRules['start_flow_options'] = ['start_mode', '=', 'Flow'];
        p.push({
            container: _date_time_period/* endLimit */.Lz,
            properties: [{
                    displayName: 'DashboardWebStringId.RangeFilter.EndMode',
                    replacementPropertyName: 'end_mode',
                    ..._date_time_period/* mode */.Mq
                },
                {
                    displayName: 'DashboardWebStringId.RangeFilter.EndIntervalAndOffset',
                    replacementPropertyName: 'end_flow_options',
                    ..._limit_container/* flowDateTimePeriodLimitProperty */.Ju,
                    formAdapterItem: (0,_form_adapter_editors/* flowModeSettingsEditor */.Or)()
                },
                {
                    container: _limit_container/* fixedDateTimePeriodLimitProperty */.JU,
                    properties: [{
                            displayName: 'DashboardWebStringId.RangeFilter.EndDate',
                            replacementPropertyName: 'end_date',
                            editorOptions: {
                                type: dateOnly ? 'date' : 'datetime'
                            },
                            ..._period_limit/* date */.p6
                        }]
                }]
        });
        visibilityRules['end_date'] = ['end_mode', '=', 'Fixed'];
        visibilityRules['end_flow_options'] = ['end_mode', '=', 'Flow'];
        p.push({
            propertyName: 'dateSampleFakeProperty',
            formAdapterItem: (0,_form_adapter_editors/* textPreviewEditor */.ln)({ target: model._getPeriodTextValue }),
        });
        p.push({
            propertyName: 'buttonsFakeProperty',
            formAdapterItem: (0,_form_adapter_editors/* actionButtons */.uu)([
                {
                    text: (0,external_DevExpress_Analytics_Internal_.localize)('DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod'),
                    onClick: () => rangeFilterItem.defaultDateTimePeriodName(model.name()),
                    visible: external_ko_.computed(() => rangeFilterItem.defaultDateTimePeriodName() !== model.name())
                },
                {
                    text: (0,external_DevExpress_Analytics_Internal_.localize)('DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod'),
                    onClick: () => rangeFilterItem.defaultDateTimePeriodName(null),
                    visible: external_ko_.computed(() => rangeFilterItem.defaultDateTimePeriodName() === model.name())
                }
            ]),
        });
        var wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: p,
            visibilityFilterRules: visibilityRules,
            modelExtention: { buttonsFakeProperty: {}, dateSampleFakeProperty: {} }
        });
        return wrapper;
    }
}

// EXTERNAL MODULE: ./dist/model/items/filter-items/metadata/_date-filter-item.js
var _date_filter_item = __webpack_require__(1187);
;// ./dist/designer/items/properties-composers/_date-filter-item-properties-composer.js






class DateFilterItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler, editRuleHandler) {
        super(customizeHandler);
        this.editRuleHandler = editRuleHandler;
    }
    _composeTabsCore(model, args) {
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [], {})),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Layout, 'DashboardWebStringId.AccordionTab.Layout', this.getLayoutWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.CustomRanges, 'DashboardWebStringId.RangeFilter.CustomPeriods', _shared_composers/* SharedComposers */.d.getCustomRangesWrapper(model, this.editRuleHandler, args.dataSourceBrowser, model.dimension))
        ];
    }
    getLayoutWrapper(model) {
        var properties = [
            _date_filter_item/* filterType */.Lm,
            _date_filter_item/* arrangementMode */.gz,
            _date_filter_item/* datePickerLocation */.yQ,
            _date_filter_item/* displayTextPattern */.S0
        ];
        _date_filter_item/* displayTextPattern */.S0.editorOptions['placeholder'] = (0,_default/* getLocalizationById */.Mu)(_date_filter_item/* displayTextPattern */.S0.editorOptions['placeholder']);
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
}

// EXTERNAL MODULE: ./dist/model/items/filter-items/list-box-item.js
var list_box_item = __webpack_require__(4907);
// EXTERNAL MODULE: ./dist/model/items/filter-items/metadata/_combo-box-item.js
var _combo_box_item = __webpack_require__(5842);
// EXTERNAL MODULE: ./dist/model/items/filter-items/metadata/_filter-element-item-base.js
var _filter_element_item_base = __webpack_require__(641);
// EXTERNAL MODULE: ./dist/model/items/filter-items/metadata/_list-box-item.js
var _list_box_item = __webpack_require__(5746);
// EXTERNAL MODULE: ./dist/model/items/filter-items/metadata/_tree-view-item.js
var _tree_view_item = __webpack_require__(4730);
;// ./dist/designer/items/properties-composers/_filter-item-properties-composer.js









class FilterItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var disabledRules = {};
        disabledRules[_filter_element_item_base/* showAllValue */.ob.propertyName] = (args) => {
            var model = args.model;
            if (model instanceof list_box_item/* ListBoxItem */.n) {
                return model.listBoxType() === 'Checked';
            }
            if (model instanceof combo_box_item/* ComboBoxItem */.x) {
                return model.comboBoxType() === 'Checked';
            }
            return false;
        };
        var showAllValuePropertyInfo = _filter_element_item_base/* showAllValue */.ob;
        if (model._useNeutralFilterMode()) {
            showAllValuePropertyInfo.displayName = 'DashboardWebStringId.FilterItem.AllowEmptyFilter';
        }
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [
                _combo_box_item/* comboBoxType */.q,
                _list_box_item/* listBoxType */.k,
                _filter_element_item_base/* showAllValue */.ob,
                _tree_view_item/* autoExpand */.C,
                _filter_element_item_base/* enableSearch */.ST
            ], disabledRules))
        ];
        return result;
    }
}

// EXTERNAL MODULE: ./dist/model/items/gauge/gauge.js
var gauge = __webpack_require__(4528);
// EXTERNAL MODULE: ./dist/model/items/gauge/metadata/_gauge.js
var _gauge = __webpack_require__(741);
;// ./dist/designer/items/properties-composers/_gauge-element-properties-composer.js










class GaugeElementPropertiesComposer extends _base_properties_composer/* DataItemContainerPropertiesComposer */.WZ {
    constructor(customizeHandler, editFormatHandler = (model) => { }) {
        super(customizeHandler);
        this.editFormatHandler = editFormatHandler;
    }
    _composeTabsCore(model, args) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Options', this.getCommonWrapper(model, args.dashboardItem, args.dataSourceBrowser)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ScaleOptions, 'DashboardWebStringId.Gauge.ScaleOptions', this.getScaleWrapper(model))
        ];
        if (model instanceof gauge/* Gauge */._) {
            result.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaOptions, 'DashboardWebStringId.Grid.DeltaOptions', _shared_composers/* SharedComposers */.d.getDeltaOptionsWrapper(model.deltaOptions)));
            var wrapper = _shared_composers/* SharedComposers */.d.getDeltaFormatsOptionsWrapper(model, this.editFormatHandler, { title: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.GaugeScaleLabelFormatCaption'), numericFormat: model.scaleLabelNumericFormat });
            var formatsTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.NumericFormat, 'DashboardWebStringId.CardLayout.Editor.FormatOptions', wrapper);
            result.push(formatsTab);
        }
        return result;
    }
    getCommonWrapper(model, dashboardItem, dataSourceBrowser) {
        var properties = [
            { editorOptions: { placeholder: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, model) }, ..._base_metadata/* name */.UU },
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: null
        });
    }
    getScaleWrapper(model) {
        var disabledRules = {};
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [
                {
                    ..._gauge/* minimum */.Bp,
                    formAdapterItem: (0,_form_adapter_editors/* nullableNumberBoxEditor */.pJ)({}),
                },
                {
                    ..._gauge/* maximum */.Ph,
                    formAdapterItem: (0,_form_adapter_editors/* nullableNumberBoxEditor */.pJ)({}),
                }
            ],
            disabledFilterRules: disabledRules
        });
    }
}

// EXTERNAL MODULE: ./dist/model/items/gauge/metadata/_gauge-item.js
var _gauge_item = __webpack_require__(8257);
;// ./dist/designer/items/properties-composers/_gauge-item-properties-composer.js





class GaugeItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var result = [
            new _accordion_tab/* StyleAccordionTab */.zu(_accordion_tab/* KnownTabs */.iq.Type, 'DashboardWebStringId.Type', this.getTypeWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [
                _gauge_item/* showGaugeCaptions */.wD
            ])),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Layout', _shared_composers/* SharedComposers */.d.getContentArrangementWrapper(model))
        ];
        return result;
    }
    getTypeWrapper(model) {
        return new _container_type_selector/* ContainerTypeSelector */.z({
            'CircularFull': { displayName: 'DashboardWebStringId.Gauge.Type.FullQuarterGauge', icon: 'dx-dashboard-gauge-circular-full', group: 'Circular' },
            'CircularHalf': { displayName: 'DashboardWebStringId.Gauge.Type.HalfCircular', icon: 'dx-dashboard-gauge-circular-half', group: 'Circular' },
            'CircularQuarterLeft': { displayName: 'DashboardWebStringId.Gauge.Type.LeftQuarterCircular', icon: 'dx-dashboard-gauge-circular-left-quarter', group: 'Circular' },
            'CircularQuarterRight': { displayName: 'DashboardWebStringId.Gauge.Type.RightQuarterCircular', icon: 'dx-dashboard-gauge-circular-right-quarter', group: 'Circular' },
            'CircularThreeFourth': { displayName: 'DashboardWebStringId.Gauge.Type.ThreeFourthCircular', icon: 'dx-dashboard-gauge-circular-three-fourth', group: 'Circular' },
            'LinearHorizontal': { displayName: 'DashboardWebStringId.Gauge.Type.LinearHorizontal', icon: 'dx-dashboard-gauge-linear-horizontal', group: 'Linear' },
            'LinearVertical': { displayName: 'DashboardWebStringId.Gauge.Type.LinearVertical', icon: 'dx-dashboard-gauge-linear-vertical', group: 'Linear' }
        }, model.viewType);
    }
}

;// ./dist/designer/items/properties-composers/_geopoint-map-item-properties-composer.js





class GeoPointMapItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model, args) {
        var tabModel = _shared_composers/* SharedComposers */.d.getCommonMapWrapper(model, args.propertiesController, [
            _map_item/* lockNavigation */.We,
            _geo_point_map_item_base/* enableClustering */.Sg,
            _shared_composers/* SharedComposers */.d.getShapeTitleSerializationInfo(model)
        ]);
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', tabModel)
        ];
    }
}

// EXTERNAL MODULE: ./dist/model/items/grid/grid-column-total.js
var grid_column_total = __webpack_require__(5046);
// EXTERNAL MODULE: ./dist/model/items/grid/metadata/_grid-columns.js
var _grid_columns = __webpack_require__(6955);
;// ./dist/designer/items/properties-composers/_grid-column-properties-composer.js




















class GridColumnPropertiesComposer extends _base_properties_composer/* DataItemContainerPropertiesComposer */.WZ {
    constructor(customizeHandler, editRuleHandler, editDeltaFormatHandler = (model) => { }) {
        super(customizeHandler);
        this.editRuleHandler = editRuleHandler;
        this.editDeltaFormatHandler = editDeltaFormatHandler;
    }
    _composeTabsCore(model, args) {
        var columnWidthTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Grid.ColumnWidth'), deltaTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaOptions, 'DashboardWebStringId.Grid.DeltaOptions'), deltaFormatsTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DeltaFormats, 'DashboardWebStringId.CardLayout.Editor.FormatOptions'), sparklineTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.SparklineOptions, 'DashboardWebStringId.Card.SparklineOptions'), conditionalFormattingTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting'), totalTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Totals, 'DashboardWebStringId.AccordionTab.ShowTotals');
        let gridItem = args.dashboardItem;
        let result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Options', this.getColumnWrapper(model, args.dashboardItem, args.dataSourceBrowser)),
            columnWidthTab,
            deltaTab,
            sparklineTab,
            totalTab,
            conditionalFormattingTab,
            deltaFormatsTab
        ];
        let isOlap = model.actualDataItem ? _data_field/* DataField */.J7.isOlap(model.actualDataItem.dataMember()) : false;
        if (!isOlap || args.containerType() !== 'GridDimensionColumn')
            result.unshift(new _accordion_tab/* TypeAccordionTab */.__(_accordion_tab/* KnownTabs */.iq.Type, 'DashboardWebStringId.Type', this.getColumnTypeWrapper(model, args.containerType)));
        if (gridItem.gridOptions.columnWidthMode() === 'Manual') {
            columnWidthTab.tabModel(this.getWidthWrapper(model));
        }
        if (model instanceof grid_columns/* GridDeltaColumn */.d7) {
            deltaTab.tabModel(this.getDeltaWrapper(model));
            deltaFormatsTab.tabModel(_shared_composers/* SharedComposers */.d.getDeltaFormatsOptionsWrapper(model, this.editDeltaFormatHandler));
        }
        if (model instanceof grid_columns/* GridSparklineColumn */.og) {
            sparklineTab.tabModel(this.getSparklineWrapper(model));
        }
        if ((model instanceof grid_columns/* GridDimensionColumn */.nJ) || (model instanceof grid_columns/* GridMeasureColumn */.rV)) {
            conditionalFormattingTab.tabModel(this.getFormatRulesWrapper(model, gridItem));
        }
        if (model instanceof grid_columns/* GridColumn */.Hy) {
            totalTab.tabModel(this.getTotalsWrapper(model, args.dashboardItem));
        }
        return result;
    }
    getColumnTypeWrapper(model, containerType) {
        if (model) {
            var properties = [
                _grid_columns/* columnType */.DW
            ];
            let isOlap = model.actualDataItem ? _data_field/* DataField */.J7.isOlap(model.actualDataItem.dataMember()) : undefined;
            let buttonTypes;
            if (!isOlap)
                buttonTypes = grid_item/* GridItem */.E._gridColumnTypesMap;
            else {
                buttonTypes = { ...grid_item/* GridItem */.E._gridColumnTypesMap };
                delete buttonTypes['GridDimensionColumn'];
            }
            return new _container_type_selector/* ContainerTypeSelector */.z(buttonTypes, containerType);
        }
        return null;
    }
    getColumnWrapper(model, dashboardItem, dataSourceBrowser) {
        var properties = [{ editorOptions: { placeholder: (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(dataSourceBrowser, dashboardItem, model) }, ..._base_metadata/* name */.UU }];
        var disabledRules = {};
        var visibilityRules = {};
        if (model instanceof grid_columns/* GridDimensionColumn */.nJ) {
            properties.push(_grid_columns/* dimensionDisplayMode */.Su);
            visibilityRules[_grid_columns/* dimensionDisplayMode */.Su.propertyName] = () => {
                var result = false;
                if (model.dimension()) {
                    dataSourceBrowser
                        .findDataField(dashboardItem.dataSource(), dashboardItem.dataMember(), model.dimension().dataMember())
                        .done(dataField => {
                        result = dataField && dataField.fieldType() === 'Custom';
                    });
                }
                return result;
            };
        }
        if (model instanceof grid_columns/* GridMeasureColumn */.rV) {
            properties.push(_grid_columns/* displayMode */.sw);
            properties.push(_grid_columns/* alwaysShowZeroLevel */.ZD);
            disabledRules[_grid_columns/* alwaysShowZeroLevel */.ZD.propertyName] = [_grid_columns/* displayMode */.sw.propertyName, '<>', 'Bar'];
        }
        if (model instanceof grid_columns/* GridHyperlinkColumn */.xl) {
            _grid_columns/* gridColumnUriPattern */.XW.validationRules.forEach(rule => { if (rule.message) {
                rule.message = (0,_default/* getLocalizationById */.Mu)(rule.message);
            } });
            properties.push(_grid_columns/* gridColumnUriPattern */.XW);
        }
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibilityRules
        });
    }
    getWidthWrapper(model) {
        var properties = [
            _grid_columns/* widthType */.zA,
            _grid_columns/* fixedWidth */.$2,
            _grid_columns/* columnWeight */.hZ,
        ];
        var disabledRules = {};
        disabledRules[_grid_columns/* fixedWidth */.$2.propertyName] = [_grid_columns/* widthType */.zA.propertyName, '<>', 'FixedWidth'];
        disabledRules[_grid_columns/* columnWeight */.hZ.propertyName] = [_grid_columns/* widthType */.zA.propertyName, '<>', 'Weight'];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules
        });
    }
    getTotalsWrapper(model, p) {
        var collectionEditorOptions = {
            dataFields: [grid_column_total/* _totalTypeTemplate */.kk.propertyName],
            noDataText: 'DashboardWebStringId.CollectionEditor.Totals.NoItems',
            gridColumns: [{
                    dataField: grid_column_total/* _totalTypeTemplate */.kk.propertyName,
                    calculateDisplayValue: (rowData) => grid_column_total/* GridColumnTotal */.RH.getDisplayValue(rowData.totalType),
                    lookup: {
                        displayExpr: 'displayValue',
                        valueExpr: 'value'
                    }
                }],
            customizeInlineEditor: (e) => {
                const totalTypes = external_ko_.pureComputed(() => model._getAvailableTotalTypes(p).map(totalType => {
                    return { value: totalType.value, displayValue: (0,_default/* getLocalizationById */.Mu)(totalType.displayValue) };
                }));
                const { dataSource, dispose: dataSourceDispose } = (0,_knockout_utils/* createObservableDataSource */.hO)({ totalTypes }, arg => arg.totalTypes);
                e.editorOptions.dataSource = dataSource;
                e.editorOptions.onDisposing = () => {
                    dataSourceDispose();
                    totalTypes.dispose();
                };
            },
            createNewItemHandler: () => new grid_column_total/* GridColumnTotal */.RH({}),
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [{
                    ..._grid_columns/* totalsTemplate */.OI,
                    formAdapterItem: (0,_form_adapter_editors/* inlineEditCollectionEditor */.JI)(collectionEditorOptions)
                }],
            summary: external_ko_.computed(() => model.totals().length ? 'DashboardWebStringId.ButtonOn' : '')
        });
    }
    getDeltaWrapper(model) {
        var properties = [
            _grid_columns/* displayMode */.sw,
            _grid_columns/* alwaysShowZeroLevel */.ZD,
            {
                container: _grid_columns/* gridColumnDeltaOptions */.$S,
                properties: _delta_options/* deltaOptionsSerializationsInfo */.KW
            }
        ];
        var visibleRules = {};
        visibleRules[_grid_columns/* alwaysShowZeroLevel */.ZD.propertyName] = [_grid_columns/* displayMode */.sw.propertyName, '=', 'Bar'];
        _delta_options/* deltaOptionsSerializationsInfo */.KW.forEach(opt => {
            visibleRules[opt.propertyName] = [_grid_columns/* displayMode */.sw.propertyName, '=', 'Value'];
        });
        var disabledRules = {};
        disabledRules[_delta_options/* resultIndicationThresholdType */.bx.propertyName] = (deltaOptions) => deltaOptions.resultIndicationMode() === 'NoIndication';
        disabledRules[_delta_options/* resultIndicationThreshold */.pE.propertyName] = (deltaOptions) => deltaOptions.resultIndicationMode() === 'NoIndication';
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules,
            visibilityFilterRules: visibleRules
        });
    }
    getSparklineWrapper(model) {
        var properties = [
            _grid_columns/* showStartEndValues */.bW,
            {
                container: _grid_columns/* sparklineOptions */.AK,
                properties: _shared_composers/* SharedComposers */.d.getSparklineOptionsProperties()
            }
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
    getFormatRulesWrapper(model, dashboardItem) {
        var collectionEditorOptions = {
            propertyName: _dashboard_item_format_rule/* classCaption */.HI.propertyName,
            createNewItemHandler: () => data_dashboard_item/* DataDashboardItem */.s._createFormatRule(null, {
                '@ItemType': 'GridItemFormatRule',
                '@DataItem': model.actualDataItem && model.actualDataItem.uniqueName() || undefined,
                '@DataItemApplyTo': model.actualDataItem && model.actualDataItem.uniqueName() || undefined
            }),
            editItemHandler: this.editRuleHandler,
            visibleItemsFilter: (rule) => {
                let uniqueName = model.actualDataItem && model.actualDataItem.uniqueName() || undefined;
                return rule.dataItemName() === uniqueName || rule.dataItemApplyToName() === uniqueName;
            },
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: dashboardItem,
            properties: [{
                    ..._data_dashboard_item/* formatRules */.Hv,
                    formAdapterItem: (0,_form_adapter_editors/* collectionEditor */.oL)(collectionEditorOptions)
                }]
        });
    }
}

// EXTERNAL MODULE: ./dist/model/items/grid/metadata/_grid-column-filter-options.js
var _grid_column_filter_options = __webpack_require__(6392);
// EXTERNAL MODULE: ./dist/model/items/grid/metadata/_grid-options.js
var _grid_options = __webpack_require__(4614);
;// ./dist/designer/items/properties-composers/_grid-item-properties-composer.js










class GridItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler, editRuleHandler, dataSourceBrowser) {
        super(customizeHandler);
        this.editRuleHandler = editRuleHandler;
        this.dataSourceBrowser = dataSourceBrowser;
    }
    _composeTabsCore(model, args) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Layout, 'DashboardWebStringId.AccordionTab.Layout', this.getLayoutWrapper(model.gridOptions)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.GridColumnFilter, 'DashboardWebStringId.Grid.GridColumnFilter', this.getColumnFilterWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', this.getFormatRulesWrapper(model, args.dataSourceBrowser))
        ];
        return result;
    }
    getColumnFilterWrapper(model) {
        const disabledRules = {};
        const dataSource = this.dataSourceBrowser.findDataSource(model.dataSource());
        const isUpdateTotalsDisabled = () => !dataSource || dataSource.itemType() === 'OLAPDataSource';
        disabledRules[_grid_column_filter_options/* updateTotals */.Hk.propertyName] = isUpdateTotalsDisabled;
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model.columnFilterOptions,
            properties: [
                _grid_column_filter_options/* showFilterRow */.sE,
                _grid_column_filter_options/* updateTotals */.Hk
            ],
            disabledFilterRules: disabledRules
        });
    }
    getLayoutWrapper(model) {
        var properties = [
            _grid_options/* showHorizontalLines */.th,
            _grid_options/* showVerticalLines */.Ll,
            _grid_options/* enableBandedRows */.Zi,
            _grid_options/* showColumnHeaders */.um,
            _grid_options/* wordWrap */.Zw,
            _grid_options/* columnWidthMode */.ix
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
    getFormatRulesWrapper(model, dataSourceBrowser) {
        const collectionEditorOptions = {
            propertyName: _dashboard_item_format_rule/* classCaption */.HI.propertyName,
            createNewItemHandler: () => data_dashboard_item/* DataDashboardItem */.s._createFormatRule(null, { '@ItemType': 'GridItemFormatRule' }),
            editItemHandler: this.editRuleHandler
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [{
                    ..._data_dashboard_item/* formatRules */.Hv,
                    formAdapterItem: (0,_form_adapter_editors/* collectionEditor */.oL)(collectionEditorOptions)
                }]
        });
    }
}

;// ./dist/designer/items/properties-composers/_image-item-properties-composer.js





class ImageItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model, args) {
        let visibilityRules = {};
        visibilityRules[_image_item/* image64 */.kH.propertyName] = (m) => m.imageType() == 'embedded';
        visibilityRules[_image_item/* urlPath */.Lx.propertyName] = (m) => m.imageType() == 'linked';
        let specificProperties = [
            _image_item/* sizeMode */.xP,
            _image_item/* horizontalAlignment */.sE,
            _image_item/* verticalAlignment */.Ev,
            _image_item/* imageType */.wm,
            _image_item/* urlPath */.Lx,
            {
                ..._image_item/* image64 */.kH,
                formAdapterItem: (0,_form_adapter_editors/* filePickerEditor */.Ip)({ placeholderId: 'Image', accept: 'image/*', type: 'img' })
            }
        ];
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.ImageOptions', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, specificProperties, {}, visibilityRules))
        ];
    }
}

// EXTERNAL MODULE: ./dist/designer/items/properties-composers/_map-custom-shapefile-properties-composer.js
var _map_custom_shapefile_properties_composer = __webpack_require__(955);
// EXTERNAL MODULE: ./dist/model/items/pie/metadata/_pie-item.js
var _pie_item = __webpack_require__(861);
;// ./dist/designer/items/properties-composers/_pie-item-properties-composer.js






class PieItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var result = [
            new _accordion_tab/* StyleAccordionTab */.zu(_accordion_tab/* KnownTabs */.iq.Type, 'DashboardWebStringId.Type', this.getTypeWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [_pie_item/* showPieCaptions */.Ng])),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ContentArrangement, 'DashboardWebStringId.AccordionTab.Layout', _shared_composers/* SharedComposers */.d.getContentArrangementWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Labels, 'DashboardWebStringId.AccordionTab.Labels', this.getLabelsWrapper(model))
        ];
        return result;
    }
    getTypeWrapper(model) {
        return new _container_type_selector/* ContainerTypeSelector */.z({
            'Pie': {
                displayName: 'DashboardWebStringId.Pie',
                icon: 'dx-dashboard-pie-pie',
                group: undefined
            },
            'Donut': {
                displayName: 'DashboardWebStringId.Pie.Donut',
                icon: 'dx-dashboard-pie-donut',
                group: undefined
            }
        }, model.pieType);
    }
    getLabelsWrapper(model) {
        var properties = [
            _pie_item/* labelContentType */.IA,
            _pie_item/* tooltipContentType */.dE,
            _pie_item/* labelPosition */["in"],
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
}

// EXTERNAL MODULE: ./dist/model/items/map/metadata/_pie-map-item.js
var _pie_map_item = __webpack_require__(4384);
;// ./dist/designer/items/properties-composers/_pie-map-item-properties-composer.js







class PieMapItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model, args) {
        var commonTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common');
        external_ko_.computed(() => {
            commonTab.tabModel(_shared_composers/* SharedComposers */.d.getCommonMapWrapper(model, args.propertiesController, [
                _map_item/* lockNavigation */.We,
                _geo_point_map_item_base/* enableClustering */.Sg,
                _shared_composers/* SharedComposers */.d.getShapeTitleSerializationInfo(model),
                _pie_map_item/* isWeighted */.y0
            ]));
        });
        return [
            commonTab,
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ColorLegend, 'DashboardWebStringId.AccordionTab.MapLegend', _shared_composers/* SharedComposers */.d.getColorLegendWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.WeightedLegend, 'DashboardWebStringId.AccordionTab.WeightedLegend', _shared_composers/* SharedComposers */.d.getWeightedLegendWrapper(model))
        ];
    }
}

// EXTERNAL MODULE: ./dist/model/items/pivot/metadata/_pivot-item.js
var _pivot_item = __webpack_require__(1069);
;// ./dist/designer/items/properties-composers/_pivot-item-properties-composer.js









class PivotItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler, editRuleHandler) {
        super(customizeHandler);
        this.editRuleHandler = editRuleHandler;
    }
    _composeTabsCore(model, args) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DataLayout, 'DashboardWebStringId.AccordionTab.Layout', this.getLayoutDataWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.DataLayout, 'DashboardWebStringId.AccordionTab.PivotInitialState', this.getInitialStateDataWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', PivotItemPropertiesComposer.getFormatRulesWrapper(model, args.dataSourceBrowser, this.editRuleHandler))
        ];
        return result;
    }
    static getFormatRulesWrapper(model, dataSourceBrowser, editHandler) {
        const collectionEditorOptions = {
            propertyName: _dashboard_item_format_rule/* classCaption */.HI.propertyName,
            createNewItemHandler: () => data_dashboard_item/* DataDashboardItem */.s._createFormatRule(null, { '@ItemType': 'PivotItemFormatRule' }),
            editItemHandler: editHandler
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: [{
                    ..._data_dashboard_item/* formatRules */.Hv,
                    formAdapterItem: (0,_form_adapter_editors/* collectionEditor */.oL)(collectionEditorOptions)
                }]
        });
    }
    getLayoutDataWrapper(model) {
        var properties = [
            _pivot_item/* layoutType */.RF,
            _pivot_item/* showColumnTotals */.Tf,
            _pivot_item/* showRowTotals */.z4,
            _pivot_item/* showColumnGrandTotals */.vO,
            _pivot_item/* showRowGrandTotals */.xM,
            _pivot_item/* columnTotalsPosition */.Jd,
            _pivot_item/* rowTotalsPosition */.Br,
            _pivot_item/* valuesPosition */.au
        ];
        var disabledRules = {};
        disabledRules[_pivot_item/* rowTotalsPosition */.Br.propertyName] = (m) => { return model.layoutType() === 'Compact'; };
        disabledRules[_pivot_item/* showRowTotals */.z4.propertyName] = (m) => { return model.layoutType() === 'Compact'; };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules
        });
    }
    getInitialStateDataWrapper(model) {
        var properties = [
            _pivot_item/* autoExpandColumnGroups */.aG,
            _pivot_item/* autoExpandRowGroups */.IG
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
}

;// ./dist/designer/items/properties-composers/_range-filter-item-properties-composer.js



class RangeFilterItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler, editRuleHandler) {
        super(customizeHandler);
        this.editRuleHandler = editRuleHandler;
    }
    _composeTabsCore(model, args) {
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.CustomRanges, 'DashboardWebStringId.RangeFilter.CustomPeriods', _shared_composers/* SharedComposers */.d.getCustomRangesWrapper(model, this.editRuleHandler, args.dataSourceBrowser, model.argument))
        ];
    }
}

;// ./dist/designer/items/properties-composers/_scatter-chart-item-properties-composer.js








class ScatterChartItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler, editCFRuleHandler, createCFRuleDelegate) {
        super(customizeHandler);
        this.editCFRuleHandler = editCFRuleHandler;
        this.createCFRuleDelegate = createCFRuleDelegate;
    }
    _composeTabsCore(model, args) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, [_chart_item/* chartRotated */.GA])),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.AxisX, 'DashboardWebStringId.Chart.AxisX', _shared_composers/* SharedComposers */.d.getAxisWrapper(model.axisX, external_ko_.pureComputed(() => {
                return model.axisXMeasure() && (0,_display_name_provider/* getDataItemDisplayName */.F)(args.dataSourceBrowser, model, model.axisXMeasure());
            }), null)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.AxisY, 'DashboardWebStringId.Chart.AxisY', _shared_composers/* SharedComposers */.d.getAxisWrapper(model.axisY, external_ko_.pureComputed(() => {
                return model.axisYMeasure() && (0,_display_name_provider/* getDataItemDisplayName */.F)(args.dataSourceBrowser, model, model.axisYMeasure());
            }), _chart_axis/* alwaysShowZeroLevelScatter */.Zx)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Labels, 'DashboardWebStringId.AccordionTab.Labels', _shared_composers/* SharedComposers */.d.getLabelsWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Legend, 'DashboardWebStringId.AccordionTab.ChartLegend', _shared_composers/* SharedComposers */.d.getLegendWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(model, () => this.createCFRuleDelegate(), () => true, this.editCFRuleHandler))
        ];
        return result;
    }
}

// EXTERNAL MODULE: ./dist/model/layout/metadata/_dashboard-layout-node.js
var _dashboard_layout_node = __webpack_require__(1910);
;// ./dist/designer/items/properties-composers/_tab-container-item-properties-composer.js








class TabContainerItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(editTabPageHandler) {
        super(() => { });
        this.editTabPageHandler = editTabPageHandler;
    }
    _composeTabsCore() { }
    composeTabs(tabContainer, args) {
        let tabContainerLayoutItem = args.dashboard.layout().findLayoutItem(tabContainer);
        if (!tabContainerLayoutItem) {
            return [];
        }
        const customItemTemplate = (itemData, itemIndex, itemElement) => {
            const item = external_ko_.unwrap(itemData.item);
            const div = document.createElement('div');
            div.innerText = item && args.dashboard._getDisplayDashboardItem(item).name() || '';
            div.style.fontWeight = tabContainer._activeTabPage() === item ? '800' : 'normal';
            itemElement.appendChild(div);
            return div;
        };
        const refreshCallback = new _collection_editor_viewmodel_base/* CollectionEditorRefreshCallback */.y();
        const subscriptions = [];
        subscriptions.push((0,_knockout_utils/* safeSubscribe */.uQ)({ activeTabPage: tabContainer._activeTabPage }, _ => refreshCallback.refresh()));
        subscriptions.push((0,_knockout_utils/* subscribeToArrayItemProperties */.Ro)(tabContainerLayoutItem.childNodes, (node) => {
            const tabPage = node.item;
            return tabPage && [tabPage.showItemAsTabPage, tabPage.name].map(s => s.subscribe(() => refreshCallback.refresh()));
        }));
        const collectionEditorOptions = {
            createNewItemHandler: () => tabContainerLayoutItem._createTabPage(),
            editItemHandler: (layoutItem, args) => this.editTabPageHandler(layoutItem.item, args),
            removeItemHandler: (layoutItem) => layoutItem._createViewModel().delete(),
            enableRemoveItem: () => tabContainerLayoutItem.childNodes().length > 1,
            reorderItemsHandler: (layoutItem, direction) => {
                let prevActiveTab = tabContainer._activeTabPage();
                var index = tabContainerLayoutItem.childNodes().indexOf(layoutItem);
                tabContainerLayoutItem.childNodes.splice(index, 1);
                tabContainerLayoutItem.childNodes.splice(index + (direction === 'up' ? -1 : 1), 0, layoutItem);
                if (prevActiveTab !== tabContainer._activeTabPage()) {
                    tabContainer._activeTabPage(prevActiveTab);
                }
            },
            customTemplate: customItemTemplate,
            forceRefreshCallback: refreshCallback,
        };
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.TabContainer, 'DashboardStringId.DefaultNameTabContainerItem', new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
                model: tabContainerLayoutItem,
                properties: [
                    {
                        ..._dashboard_layout_node/* layoutItemsSerializable */.SD,
                        displayName: 'DashboardWebStringId.TabPages',
                        formAdapterItem: (0,_form_adapter_editors/* collectionEditor */.oL)(collectionEditorOptions)
                    }
                ],
                disposableModelSubscriptions: subscriptions,
            }))
        ];
    }
}

// EXTERNAL MODULE: ./dist/designer/items/properties-composers/_textbox-item-properties-composer.js
var _textbox_item_properties_composer = __webpack_require__(3483);
// EXTERNAL MODULE: ./dist/model/data-item/metadata/_dimension.js
var _dimension = __webpack_require__(7618);
// EXTERNAL MODULE: ./dist/model/items/treemap/metadata/_treemap-item.js
var _treemap_item = __webpack_require__(9077);
;// ./dist/designer/items/properties-composers/_treemap-item-properties-composer.js






class TreemapItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(model) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Layout, 'DashboardWebStringId.AccordionTab.Layout', this.getLayoutWrapper(model)),
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Labels, 'DashboardWebStringId.AccordionTab.Labels', this.getLabelsWrapper(model))
        ];
        return result;
    }
    getLayoutWrapper(model) {
        var properties = [
            _treemap_item/* layoutAlgorithm */.CC,
            _treemap_item/* layoutDirection */._M
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
    getLabelsWrapper(model) {
        var properties = [
            _treemap_item/* tilesLabelContentType */.B4,
            _treemap_item/* tilesTooltipContentType */.Yg,
            _treemap_item/* groupsLabelContentType */.ab,
            _treemap_item/* groupsTooltipContentType */.tQ
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties
        });
    }
    static getTileOptionsTab(model, dataItem) {
        return new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.TileOptions, 'DashboardWebStringId.TileOptions', TreemapItemPropertiesComposer.getTileOptionsWrapper(model, dataItem));
    }
    static getTileOptionsWrapper(model, dataItem) {
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: dataItem,
            properties: [_dimension/* groupChildValues */.ID]
        });
    }
}

// EXTERNAL MODULE: ./dist/designer/items/sections/_data-item-collection-surface.js
var _data_item_collection_surface = __webpack_require__(1754);
;// ./dist/model/items/_binding-model.js
let _areTheSameBindingProviders = ((a, b) => {
    var bindingsA = a._getBindingModel(), bindingsB = b._getBindingModel();
    if (!bindingsA || !bindingsB)
        return false;
    return (bindingsA
        .filter((binding, index) => bindingsB.some(anotherBinding => anotherBinding.propertyName === binding.propertyName))[1]);
});

;// ./dist/designer/items/sections/_data-item-container-collection-surface.js
var _data_item_container_collection_surface_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










class DataItemContainerCollectionSurface {
    constructor(itemSurface, holder, sectionInfo, warning) {
        this.itemSurface = itemSurface;
        this.holder = holder;
        this.sectionInfo = sectionInfo;
        this.warning = warning;
        this._disposables = [];
        this.supportGroups = true;
        this.addDataItemContainerClick = () => {
            var dataItemContainer = new DataItemContainerSeed(this.itemSurface.dashboardItem, this.sectionInfo.bindingProperty.dataItemType, this.sectionInfo.bindingProperty.fieldConstraint);
            this.selectContainerSample(dataItemContainer);
        };
        this.selectContainerSample = (dataItemContainer) => {
            this.newContainerSample(dataItemContainer);
            var newContainerSurface = new DataItemContainerSurface(dataItemContainer, this.sectionInfo.detailsPropertiesComposer, this.itemSurface, this.removeDataItem);
            newContainerSurface.dataFieldChoosed.add((dataField) => {
                this._chooseDataField(dataField, newContainerSurface);
            });
            this._disposables.push(newContainerSurface.containerType.subscribe(containerType => {
                var newContainer = this.sectionInfo.bindingProperty.creator(containerType);
                this.selectContainerSample(newContainer);
            }));
            this.itemSurface.propertiesController.mainModel({
                data: newContainerSurface,
                containingCollection: this.items
            });
        };
        this.removeDataItem = (container) => {
            this._removeDataItem(container);
        };
        this.dataItemDisplayNameProvider = (dataItem) => {
            return (0,_display_name_provider/* getDataItemDisplayName */.F)(this.itemSurface._dataSourceBrowser, this.itemSurface.dashboardItem, dataItem);
        };
        this.getDisplayName = (object) => {
            return (0,_display_name_provider/* getDataItemContainerDisplayName */.A)(this.itemSurface._dataSourceBrowser, this.itemSurface.dashboardItem, object);
        };
        this.selectDataItemContainer = (container) => {
            var surface = new DataItemContainerSurface(container, this.sectionInfo.detailsPropertiesComposer, this.itemSurface, this.removeDataItem);
            surface.dataFieldChoosed.add((dataField, link) => {
                if (link) {
                    var newContainer = this.sectionInfo.bindingProperty.creator('', dataField);
                    var binding = newContainer._getBindingModel()[0];
                    newContainer[binding.propertyName].uniqueName(link.uniqueName());
                    var prevContainers = this.items().filter(item => {
                        var bindingProperty = item[binding.propertyName];
                        if (!!bindingProperty) {
                            return bindingProperty.dataItem().groupIndex && bindingProperty.dataItem().groupIndex() === link.dataItem().groupIndex();
                        }
                        return false;
                    });
                    this.items.splice(this.items().indexOf(prevContainers[prevContainers.length - 1]) + 1, 0, newContainer);
                }
            });
            this._disposables.push(surface.containerType.subscribe(containerType => {
                this._processChangeContainerType(containerType, container, surface);
            }));
            this.itemSurface.propertiesController.mainModel({
                data: surface,
                containingCollection: this.items
            });
        };
        this.newContainerSample = external_ko_.observable();
        this.template = 'dx-dashboard-data-item-container-collection';
        this.groups = external_ko_.computed(() => {
            var result = [], position = 0;
            this.items().forEach(dataItemContainer => {
                var dataItem = dataItemContainer[dataItemContainer._getBindingModel()[0].propertyName].dataItem();
                if (dataItem instanceof data_item_dimension/* Dimension */.f && (0,_data_field/* IsOlapHierarchyField */.Q0)(dataItem)) {
                    var dimension = dataItem;
                    var group = result.filter(group => group.groupIndex === dimension.groupIndex())[0];
                    if (!group) {
                        group = {
                            groupIndex: dimension.groupIndex(),
                            items: [],
                            position: position++
                        };
                        result.push(group);
                    }
                    group.items.push(dataItemContainer);
                }
                else {
                    result.push({
                        groupIndex: undefined,
                        items: [dataItemContainer],
                        position: position++
                    });
                }
            });
            return result;
        });
        this._disposables.push(this.groups);
    }
    get items() {
        return this.holder[this.sectionInfo.bindingProperty.propertyName];
    }
    _chooseDataField(dataField, newContainerSurface) {
        var containerModel = [newContainerSurface.model()];
        if (containerModel[0] instanceof DataItemContainerSeed) {
            containerModel = containerModel[0].grow(this.itemSurface.dashboardItem, this.sectionInfo.bindingProperty, dataField);
        }
        this.items.push.apply(this.items, containerModel);
        this.newContainerSample(undefined);
        this.selectDataItemContainer(containerModel[0]);
    }
    _removeDataItem(container) {
        this.groups().forEach(group => {
            if (!!group.items.filter(item => item === container)[0]) {
                group.items.forEach((item) => {
                    this.items.remove(item);
                    item._getBindingModel().forEach(binding => {
                        var dataItem = item[binding.propertyName].dataItem();
                        if (!!dataItem) {
                            this.itemSurface.dashboardItem._removeDataItem(dataItem, true);
                        }
                    });
                });
            }
        });
    }
    _processChangeContainer(newContainer, transfers, container, surface) {
        var position = this.items().indexOf(surface.model());
        transfers.forEach(transfer => {
            let link = newContainer[transfer.newBinding.propertyName];
            this.itemSurface.dashboardItem._updateDataItem(transfer.dataItem, transfer.newBinding, transfer.dataField, link._specifics.acceptableShapingType);
            link.uniqueName(transfer.dataItem.uniqueName());
            this.items.splice(position, 1, newContainer);
            link.dataItem().grabFrom(transfer.dataItem);
        });
        this.selectDataItemContainer(newContainer);
    }
    getCompatibleTransfers(container, newContainer) {
        if (_areTheSameBindingProviders(container, newContainer)) {
            return newContainer
                ._getBindingModel()
                .map(binding => {
                var filledBinding = container._getBindingModel().filter(b => b.propertyName === binding.propertyName)[0];
                if (!filledBinding)
                    return;
                if (!container[filledBinding.propertyName].uniqueName()) {
                    return;
                }
                var dataItem = container[filledBinding.propertyName].dataItem();
                var transferInfo = {
                    filledBinding: filledBinding,
                    dataItem: dataItem,
                    newBinding: binding,
                    dataField: null,
                    promise: this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), dataItem.dataMember())
                };
                transferInfo.promise.done(field => {
                    transferInfo.dataField = field;
                });
                return transferInfo;
            })
                .filter(t => !!t);
        }
        return [];
    }
    _processChangeContainerType(containerType, container, surface) {
        var newContainer = this.sectionInfo.bindingProperty.creator(containerType);
        if (!!newContainer.grabFrom) {
            newContainer.grabFrom(container);
        }
        var transfers = this.getCompatibleTransfers(container, newContainer);
        if (transfers.length === 0) {
            let filledBinding = container._getBindingModel().filter(b => !!container[b.propertyName].uniqueName())[0];
            let dataItem = container[filledBinding.propertyName].dataItem();
            let binding = newContainer._getBindingModel()[0];
            let transferInfo = {
                filledBinding: filledBinding,
                dataItem: dataItem,
                newBinding: binding,
                dataField: null,
                promise: this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), dataItem.dataMember())
            };
            transferInfo.promise.done(field => {
                transferInfo.dataField = field;
            });
            transfers.push(transferInfo);
        }
        (0,_jquery_helpers/* jqueryWhenArray */.wj)(transfers.map(t => t.promise)).done(() => this._processChangeContainer(newContainer, transfers, container, surface));
    }
    relocateItem(item, placeholderIndex) {
        var dataItem;
        if (item instanceof data_item/* DataItemLink */.Kz) {
            dataItem = item.dataItem();
        }
        else if (item['_getBindingModel']) {
            this.items.splice(placeholderIndex, 0, item);
            return;
        }
        this.itemSurface
            ._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), dataItem.dataMember())
            .done((dataField) => {
            let newContainer = this.sectionInfo.bindingProperty.creator(undefined, dataField, dataItem);
            let binding = newContainer._getBindingModel()[0];
            let link = newContainer[binding.propertyName];
            this.itemSurface.dashboardItem._updateDataItem(dataItem, binding, dataField, link._specifics.acceptableShapingType);
            link.uniqueName(dataItem.uniqueName());
            link.dataItem().grabFrom(dataItem);
            this.items.splice(placeholderIndex, 0, newContainer);
        });
    }
    isOlap() {
        var filledLink = this
            .items()
            .reduce((links, container) => links.concat(container._getBindingModel().map(bm => container[bm.propertyName])), [])
            .filter(dil => dil.dataItem())[0];
        return _data_field/* DataField */.J7.isOlap(filledLink.dataItem().dataMember());
    }
    errorFactory(container) {
        var errorState = external_ko_.observable(false);
        var fieldPromises = [];
        container
            ._getBindingModel()
            .filter(binding => container[binding.propertyName].dataItem())
            .forEach(binding => {
            fieldPromises.push(this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), container[binding.propertyName].dataItem().dataMember()));
        });
        let isCorruptedDataField = (field) => !field || field.isCorruptedCalcField && field.isCorruptedCalcField();
        (0,_jquery_helpers/* jqueryWhenArray */.wj)(fieldPromises).done((...fields) => {
            errorState(fields.filter(f => isCorruptedDataField(f)).length > 0);
        });
        return errorState;
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}
_data_item_container_collection_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DataItemContainerCollectionSurface.prototype, "_chooseDataField", null);
_data_item_container_collection_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DataItemContainerCollectionSurface.prototype, "_removeDataItem", null);
_data_item_container_collection_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DataItemContainerCollectionSurface.prototype, "_processChangeContainer", null);
_data_item_container_collection_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DataItemContainerCollectionSurface.prototype, "relocateItem", null);

;// ./dist/designer/items/sections/_single-data-item-surface.js
var _single_data_item_surface_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






class SingleDataItemSurface {
    constructor(options) {
        this._disposables = [];
        this.supportGroups = false;
        this.removeDataItem = () => {
            this._removeDataItem();
        };
        this.dataItemDisplayNameProvider = (dataItem) => {
            return (0,_display_name_provider/* getDataItemDisplayName */.F)(this.itemSurface._dataSourceBrowser, this.itemSurface.dashboardItem, dataItem);
        };
        this.selectDataItem = () => {
            this.dataItemSurface(new _data_item_surface/* DataItemSurface */.z(this.dataItemLink, this.sectionInfo.bindingProperty, this.itemSurface.dashboardItem, this.itemSurface._dataSourceBrowser, this.itemSurface.propertiesController, true, this.fieldConstraint, this.extendTabsHandler));
            this.dataItemSurface().newItemCreated.add((model) => {
                this.selectDataItem();
            });
            this.itemSurface.propertiesController.mainModel({
                data: this.dataItemSurface()
            });
        };
        this.dataItemSurface = external_ko_.observable();
        this.items = external_ko_.observableArray([]);
        this.template = 'dx-dashboard-data-item-single';
        this.itemSurface = options.itemSurface;
        this.sectionInfo = options.sectionInfo;
        this.warning = options.warning;
        this.fieldConstraint = options.fieldConstraint;
        this.extendTabsHandler = options.extendTabsHandler;
        this.dataItemLink = this.itemSurface.dashboardItem[this.sectionInfo.bindingProperty.propertyName];
        this._disposables.push(external_ko_.computed(() => {
            if (this.dataItemLink.uniqueName()) {
                this.items([this.dataItemLink]);
            }
        }));
        this._disposables.push(this.items.subscribe((newValue) => {
            if (!newValue.length) {
                this.dataItemLink.uniqueName(undefined);
            }
        }));
    }
    _removeDataItem() {
        if (!!this.dataItemLink.dataItem()) {
            this.itemSurface.propertiesController.mainModel(null);
            var dataItem = this.dataItemLink.dataItem();
            this.dataItemLink.uniqueName(undefined);
            this.itemSurface.dashboardItem._removeDataItem(dataItem);
        }
    }
    relocateItem(item, placeholderIndex) {
        var dataItem;
        if (item instanceof data_item/* DataItemLink */.Kz) {
            dataItem = item.dataItem();
        }
        else if (item['_getBindingModel']) {
            var x = item;
            var filledBinding = x._getBindingModel().filter(b => !!item[b.propertyName].uniqueName())[0];
            dataItem = item[filledBinding.propertyName].dataItem();
        }
        this.itemSurface
            ._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), dataItem.dataMember())
            .done((dataField) => {
            var newDataItem = this.itemSurface.dashboardItem._createDataItem(dataField, this.sectionInfo.bindingProperty);
            newDataItem.grabFrom(dataItem);
            this.itemSurface.dashboardItem._removeDataItem(dataItem);
            this.dataItemLink.dataItem(newDataItem);
        });
    }
    isOlap() {
        return _data_field/* DataField */.J7.isOlap(this.dataItemLink.dataItem() && this.dataItemLink.dataItem().dataMember());
    }
    errorFactory(link) {
        var linkErrorState = external_ko_.observable(false);
        if (link.dataItem()) {
            this.itemSurface._dataSourceBrowser.findDataField(this.itemSurface.dashboardItem.dataSource(), this.itemSurface.dashboardItem.dataMember(), link.dataItem().dataMember()).done((result) => {
                linkErrorState(!result);
            });
        }
        return linkErrorState;
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}
_single_data_item_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], SingleDataItemSurface.prototype, "_removeDataItem", null);
_single_data_item_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], SingleDataItemSurface.prototype, "relocateItem", null);

;// ./dist/designer/items/surfaces/_bound-image-item-surface.js





class BoundImageItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: {
                title: 'DashboardWebStringId.Binding.Attribute',
                bindingProperty: {
                    propertyName: _bound_image_item/* imageItem */.hY.propertyName,
                    dataItemType: 'Dimension',
                    emptyPlaceholder: 'DashboardWebStringId.Binding.SetAttribute',
                    selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureAttribute'
                }
            }
        }));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new BoundImageItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('BoundImage', BoundImageItemSurface);

;// ./dist/designer/items/surfaces/_bubble-map-item-surface.js







class BubbleMapItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Latitude,
            fieldConstraint: field => _data_field/* DataField */.J7.isNumeric(field),
            warning: external_ko_.computed(() => !this.dashboardItem.latitude() && !!(this.dashboardItem.longitude() || this.dashboardItem.weight() || this.dashboardItem.color() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Longitude,
            fieldConstraint: field => _data_field/* DataField */.J7.isNumeric(field),
            warning: external_ko_.computed(() => !this.dashboardItem.longitude() && !!(this.dashboardItem.latitude() || this.dashboardItem.weight() || this.dashboardItem.color() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new SingleDataItemSurface({ itemSurface: this, sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Weight }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Color,
            warning: external_ko_.computed(() => !this.dashboardItem.color() && !!(this.dashboardItem.latitude() || this.dashboardItem.longitude() || this.dashboardItem.weight() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipDimensions));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipMeasures));
    }
    getPropertiesComposer() {
        return new BubleMapItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('BubbleMap', BubbleMapItemSurface);

// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_collection-editor-viewmodel.js
var _collection_editor_viewmodel = __webpack_require__(5584);
;// ./dist/designer/items/surfaces/_delta-numeric-format-surface.js



class DeltaNumericFormatSurface {
    constructor(model, propertiesController) {
        this.model = model;
        this.propertiesController = propertiesController;
        this._disposables = [];
        this.propertiesTabs = external_ko_.observableArray([]);
    }
    updatePropertiesTabs() {
        this.propertiesTabs([new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.NumericFormat, this.model.title, _shared_composers/* SharedComposers */.d.getNumericFormatWrapper(this.model.numericFormat))
        ]);
        this.propertiesController.secondaryModel({
            displayText: this.model.title,
            data: this
        });
    }
    startEditing(args) {
        args.createImmediately = false;
        this.updatePropertiesTabs();
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}

;// ./dist/designer/items/surfaces/_edit-card-template-surface.js


class EditCardTemplateSurface {
    constructor(model, propertiesController, dimensionNames, applyTemplateToAllCards = (template) => { }) {
        this.model = model;
        this.propertiesController = propertiesController;
        this.dimensionNames = dimensionNames;
        this.applyTemplateToAllCards = applyTemplateToAllCards;
        this._disposables = [];
        this.propertiesTabs = external_ko_.observableArray([]);
    }
    updatePropertiesTabs() {
        var composer = new CardTemplatePropertiesComposer();
        var tabs = composer.composeTabs(this.model, {
            dimensionNames: this.dimensionNames,
            applyTemplateToAllCards: this.applyTemplateToAllCards
        });
        this.propertiesTabs(tabs);
        this.propertiesController.secondaryModel({
            displayText: this.model.title,
            data: this
        });
    }
    startEditing(args) {
        args.createImmediately = false;
        this.updatePropertiesTabs();
    }
    dispose() {
        this._disposables.forEach((d) => {
            d.dispose();
        });
    }
}

;// ./dist/designer/items/surfaces/_card-item-surface.js
var _card_item_surface_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





















class CardItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    addConditionalFormattingOptions(tabs, dataItem) {
        if (dataItem && dataItem.uniqueName()) {
            tabs.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(this.dashboardItem, () => {
                let rule = new card_item_format_rule/* CardItemFormatRule */.X();
                rule.dataItemName(dataItem.uniqueName());
                return rule;
            }, (rule) => {
                if (rule instanceof card_item_format_rule/* CardItemFormatRule */.X) {
                    return rule.dataItemName() === dataItem.uniqueName();
                }
                return false;
            }, this._editRuleHandler)));
        }
    }
    extendHiddenMeasuresTabs(tabs, model) {
        this.addConditionalFormattingOptions(tabs, model);
    }
    fillSections() {
        var applyTemplateToAllCards = (template) => {
            this.applyLayoutTemplateToAllCards(template);
        };
        var sectionInfo = {
            title: 'DashboardWebStringId.Binding.Cards',
            bindingProperty: {
                propertyName: 'cards',
                groupName: 'Card',
                emptyPlaceholder: 'DashboardWebStringId.Binding.AddCard',
                selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureCard',
                creator: (itemType = 'Card') => {
                    var card = new card_card/* Card */.Z(this.dashboardItem, { '@ItemType': itemType });
                    var defaultTemplate;
                    if (legacy_settings/* LegacySettings */.l._useCardLegacyLayout) {
                        defaultTemplate = new card_layout_template/* CardEmptyLayoutTemplate */.wb();
                    }
                    else {
                        defaultTemplate = new card_layout_template/* CardStretchedLayoutTemplate */.jX();
                        defaultTemplate._resetToDefaults();
                    }
                    card.layoutTemplate(defaultTemplate);
                    return card;
                },
                dataItemType: 'Measure',
                fieldConstraint: (dataField) => !_data_field/* DataField */.J7.isMeasure(dataField) || _data_field/* DataField */.J7.isNumeric(dataField)
            },
            detailsPropertiesComposer: new CardElementPropertiesComposer(this._dataItemContainerCustomization, (model) => {
                var surface = new EditCardTemplateSurface(model, this.propertiesController, this.dashboardItem.seriesDimensions().map(dim => (0,_display_name_provider/* getDataItemDisplayName */.F)(this._dataSourceBrowser, this.dashboardItem, dim)), applyTemplateToAllCards);
                surface.startEditing(new _collection_editor_viewmodel/* CollectionEditorEditItemArguments */.$());
            }, (model) => {
                var surface = new DeltaNumericFormatSurface(model, this.propertiesController);
                surface.startEditing(new _collection_editor_viewmodel/* CollectionEditorEditItemArguments */.$());
            }, applyTemplateToAllCards, (selection, args, container) => {
                var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
                surface.startEditing(args);
            })
        };
        this.dataSections.push(new DataItemContainerCollectionSurface(this, this.dashboardItem, sectionInfo, external_ko_.computed(() => !this.dashboardItem.cards().length && (!!this.dashboardItem.seriesDimensions().length || (!!this.dashboardItem.sparklineArgument() && !!this.dashboardItem.sparklineArgument().uniqueName())))));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.SeriesDimension, this.addConditionalFormattingOptions.bind(this)));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.SparklineArgument,
            fieldConstraint: (dataField) => {
                return _data_field/* DataField */.J7.isContinous(dataField);
            }
        }));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
        this._editRuleHandler = (selection, args, container) => {
            var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
            surface.startEditing(args);
        };
    }
    getPropertiesComposer() {
        return new CardItemPropertiesComposer(this._dashboardItemCustomization, this._editRuleHandler);
    }
    applyLayoutTemplateToAllCards(template) {
        this.dashboardItem.cards().forEach(card => {
            if (external_ko_.unwrap(card.layoutTemplate) !== external_ko_.unwrap(template)) {
                card.layoutTemplate(template.clone());
            }
        });
    }
}
_card_item_surface_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], CardItemSurface.prototype, "applyLayoutTemplateToAllCards", null);
_section_descriptors/* surfaceItemsFactory */.ce.register('Card', CardItemSurface);

// EXTERNAL MODULE: ./dist/model/items/chart/chart-indicator.js + 1 modules
var chart_indicator = __webpack_require__(5200);
// EXTERNAL MODULE: ./dist/model/items/chart/chart-pane.js
var chart_pane = __webpack_require__(7111);
;// ./dist/designer/items/surfaces/_indicator-item-surface.js



class IndicatorSurface {
    constructor(model, dashboardItem, dataSourceBrowser, propertiesController) {
        this.model = model;
        this.dashboardItem = dashboardItem;
        this.dataSourceBrowser = dataSourceBrowser;
        this.propertiesController = propertiesController;
    }
    updatePropertiesTabs(requestRecalculation, findExtension) {
        var propertiesTabs = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.IndicatorSettings, 'DashboardWebStringId.Chart.IndicatorSettings', ChartIndicatorPropertiesComposer.getIndicatorPropertiesWrapper(this.model(), this.dashboardItem, this.dataSourceBrowser, requestRecalculation, findExtension))
        ];
        this.propertiesController.secondaryModel({
            displayText: this.model().name,
            data: {
                model: this.model(),
                propertiesTabs: external_ko_.observableArray(propertiesTabs)
            },
            containingCollection: this.dashboardItem.indicators
        });
    }
    startEditing(args, findExtension) {
        args.createImmediately = false;
        this.updatePropertiesTabs(args.requestRecalculation, findExtension);
    }
}

;// ./dist/designer/items/surfaces/_chart-item-surface.js


















class ChartItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    editCFRuleRuleHandler(item, args, container) {
        var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
        surface.startEditing(args);
    }
    createCFRuleDelegate() {
        return new chart_item_format_rule/* ChartItemFormatRule */.X();
    }
    editChartIndicatorHandler(item, args, container) {
        var surface = new IndicatorSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
        surface.startEditing(args, this.findExtension);
    }
    createChartIndicatorDelegate() {
        return chart_indicator/* ChartIndicator */.k._createNew(this.dashboardItem, this._dataSourceBrowser);
    }
    addConditionalFormattingOptions(tabs, dataItem) {
        const dataItemName = dataItem && dataItem.uniqueName();
        if (!dataItemName)
            return;
        const createRule = () => {
            const cfRule = this.createCFRuleDelegate();
            cfRule.dataItemName(dataItemName);
            const dataItemApplyTo = (0,_chart_utils/* getChartApplyToDataItems */.Ye)(this.dashboardItem, this._dataSourceBrowser)()[0];
            dataItemApplyTo && cfRule.dataItemApplyToName(external_ko_.unwrap(dataItemApplyTo.uniqueName));
            return cfRule;
        };
        tabs.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(this.dashboardItem, createRule, (cfRule) => cfRule.dataItemName() === dataItemName, this.editCFRuleRuleHandler.bind(this))));
    }
    extendHiddenMeasuresTabs(tabs, model) {
        this.addConditionalFormattingOptions(tabs, model);
    }
    fillSections() {
        var createPaneSection = (pane, index) => {
            var numberPostfix = this.dashboardItem.panes().length === 1 ? '' : ' (' + pane.name() + ')', sectionsBeforePanes = 1;
            var sectionInfo = {
                title: (0,_default/* formatLocalizable */.QI)('DashboardWebStringId.Binding.ValuesPattern', numberPostfix),
                bindingProperty: {
                    propertyName: 'series',
                    groupName: 'Series',
                    dataItemType: 'Measure',
                    emptyPlaceholder: 'DashboardWebStringId.Binding.AddValues',
                    selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureValues',
                    creator: (itemType = 'Bar') => {
                        return pane.createSeriesByViewType(itemType);
                    },
                    containersMap: chart_series_creator/* ChartSeriesCreator */.o.chartSeriesViewTypesMap
                },
                actions: undefined,
                detailsPropertiesComposer: new ChartSeriesPropertiesComposer(this._dataItemContainerCustomization, chart_series_creator/* ChartSeriesCreator */.o.chartSeriesViewTypesMap, true, true, this.editCFRuleRuleHandler.bind(this), this.createCFRuleDelegate)
            };
            if (index > 0) {
                sectionInfo.actions = [{
                        title: 'DashboardWebStringId.Binding.RemovePane',
                        icon: 'dx-dashboard-remove-small',
                        action: () => {
                            this.dashboardItem.panes.remove(pane);
                            return false;
                        }
                    }];
            }
            this.dataSections.splice(index + sectionsBeforePanes, 0, new DataItemContainerCollectionSurface(this, pane, sectionInfo, external_ko_.computed(() => (this.dashboardItem.arguments().length > 0 || this.dashboardItem.seriesDimensions().length > 0) && this.dashboardItem.panes().every(p => p.series().length === 0))));
        };
        this.dataSections.push({
            template: 'dx-dashboard-add-pane-section',
            addPane: () => {
                var pane = new chart_pane/* ChartPane */.X(this.dashboardItem, { '@Name': _helper_classes/* NameGenerator */.$A.generateName((0,_default/* getLocalizationById */.Mu)('DashboardStringId.DefaultNameChartPane') + ' ', this.dashboardItem.panes(), 'name', 1), '@ItemType': 'Pane' });
                this.dashboardItem.panes.push(pane);
            },
            dispose: () => { }
        });
        this._disposables.push(external_ko_.computed(() => {
            var newPanes = this.dashboardItem.panes();
            let lastPaneSectionIndex = 1;
            for (; lastPaneSectionIndex < this.dataSections().length; lastPaneSectionIndex++) {
                if (!(this.dataSections()[lastPaneSectionIndex] instanceof DataItemContainerCollectionSurface)) {
                    break;
                }
            }
            this.dataSections.splice(1, lastPaneSectionIndex - 1);
            this.dashboardItem.panes().forEach((pane, index) => {
                createPaneSection(pane, index);
            });
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Arguments, this.addConditionalFormattingOptions.bind(this)));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.SeriesDimension, this.addConditionalFormattingOptions.bind(this)));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController, findExtension) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController, findExtension);
    }
    getPropertiesComposer() {
        return new ChartItemPropertiesComposer({
            customizeHandler: this._dashboardItemCustomization,
            editCFRuleHandler: this.editCFRuleRuleHandler.bind(this),
            createCFRuleDelegate: this.createCFRuleDelegate,
            editChartIndicatorHandler: this.editChartIndicatorHandler.bind(this),
            createIndicatorDelegate: this.createChartIndicatorDelegate.bind(this)
        });
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Chart', ChartItemSurface);

;// ./dist/designer/items/surfaces/_chorolpeth-map-item-surface.js












class ChoroplethMapItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.AttributeDimension,
            fieldConstraint: (field) => _data_field/* DataField */.J7.isNumeric(field) || field.fieldType() === 'Bool' || field.fieldType() === 'Text',
            warning: external_ko_.computed(() => !this.dashboardItem.attributeDimension() && !!(this.dashboardItem.maps().length || this.dashboardItem.tooltipMeasures().length))
        }));
        var sectionInfo = {
            title: 'DashboardWebStringId.Binding.Maps',
            bindingProperty: {
                propertyName: 'maps',
                emptyPlaceholder: 'DashboardWebStringId.Binding.AddMap',
                selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureMap',
                creator: (itemType = 'ValueMap') => {
                    return this.dashboardItem._createMap({ '@ItemType': itemType });
                },
                containersMap: chorolpeth_map_item/* ChoroplethMapItem */.a.choroplethMapTypesMap,
                dataItemType: 'Measure'
            },
            detailsPropertiesComposer: new ChoroplethMapElementPropertiesComposer(this._dataItemContainerCustomization, (model) => {
                var surface = new DeltaNumericFormatSurface(model, this.propertiesController);
                surface.startEditing(new _collection_editor_viewmodel/* CollectionEditorEditItemArguments */.$());
            })
        };
        this.dataSections.push(new DataItemContainerCollectionSurface(this, this.dashboardItem, sectionInfo, external_ko_.computed(() => !this.dashboardItem.maps().length && !!(this.dashboardItem.attributeDimension() || this.dashboardItem.tooltipMeasures().length))));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipMeasures));
    }
    getPropertiesComposer() {
        return new ChoroplethMapItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('ChoroplethMap', ChoroplethMapItemSurface);

// EXTERNAL MODULE: ./dist/model/metadata/_custom-item-metadata.js
var _custom_item_metadata = __webpack_require__(2124);
;// ./dist/designer/items/surfaces/_custom-item-properties-composer-helper.js







const imageEditor = () => {
    return {
        template: (args) => {
            var div = document.createElement('div');
            new external_DevExpress_Analytics_Widgets_Internal_.dxFileImagePicker(div, {
                placeholderId: 'Image',
                accept: 'image/*',
                type: 'img',
                value: (0,_form_adapter_editors/* getFieldValue */.GR)(args),
                onValueChanged: (e) => {
                    args.component.updateData(args.dataField, e.value);
                }
            });
            return div;
        }
    };
};
const radioGroupEditor = (values) => ({
    editorType: 'dxRadioGroup',
    editorOptions: {
        dataSource: values,
        valueExpr: 'value',
        displayExpr: 'displayValueId',
    }
});
class CustomItemPropertiesComposerHelper {
    static _getEditorValues(serializableInfo) {
        if (serializableInfo.values) {
            let values = external_DevExpress_Analytics_Internal_.koUtils.unwrap(serializableInfo.values);
            return Object.keys(values).map(k => ({ value: k, displayValueId: values[k] }));
        }
        else if (serializableInfo.valuesArray)
            return serializableInfo.valuesArray.map((val) => ({ value: val.value, displayValueId: val.displayValue }));
        return undefined;
    }
    static _mapEditor(serializableInfo) {
        if (!serializableInfo.editor) {
            return null;
        }
        switch (serializableInfo.editor) {
            case _custom_item_metadata/* editorTemplates */.p.date:
                return (0,_form_adapter_editors/* dateBoxEditor */.fG)();
            case _custom_item_metadata/* editorTemplates */.p.numeric:
                return (0,_form_adapter_editors/* numberBoxEditor */.kx)();
            case _custom_item_metadata/* editorTemplates */.p.checkBox:
                return (0,_form_adapter_editors/* checkBoxEditor */.Lf)({ text: (0,_default/* getLocalizationById */.Mu)(serializableInfo.displayName) });
            case _custom_item_metadata/* editorTemplates */.p.text:
                return (0,_form_adapter_editors/* textBoxEditor */.Cv)();
            case _custom_item_metadata/* editorTemplates */.p.combobox:
                return (0,_form_adapter_editors/* selectBoxEditor */.Zn)(CustomItemPropertiesComposerHelper._getEditorValues(serializableInfo));
            case _custom_item_metadata/* editorTemplates */.p.bool:
                return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([{ value: true, displayValueId: 'DashboardWebStringId.ButtonOn' }, { value: false, displayValueId: 'DashboardWebStringId.ButtonOff' }]);
            case _custom_item_metadata/* editorTemplates */.p.boolYesNo:
                return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([{ value: true, displayValueId: 'DashboardWebStringId.ButtonYes' }, { value: false, displayValueId: 'DashboardWebStringId.ButtonNo' }]);
            case _custom_item_metadata/* editorTemplates */.p.buttonGroup:
                return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)(CustomItemPropertiesComposerHelper._getEditorValues(serializableInfo));
            case _custom_item_metadata/* editorTemplates */.p.boolVisibleHidden:
                return (0,_form_adapter_editors/* buttonGroupEditor */.Vo)([{ value: true, displayValueId: 'DashboardWebStringId.ButtonVisible' }, { value: false, displayValueId: 'DashboardWebStringId.ButtonHidden' }]);
            case _custom_item_metadata/* editorTemplates */.p.list:
                return (0,_form_adapter_editors/* listEditor */.yo)(CustomItemPropertiesComposerHelper._getEditorValues(serializableInfo));
            case _custom_item_metadata/* editorTemplates */.p.radioGroup:
                return radioGroupEditor(CustomItemPropertiesComposerHelper._getEditorValues(serializableInfo));
            case _custom_item_metadata/* editorTemplates */.p.image:
                return imageEditor();
            default:
                let template = serializableInfo.editor.header || serializableInfo.editor.custom;
                return (context) => ({
                    customEditorType: template,
                    template: (args, itemElement) => {
                        let element = itemElement;
                        let info = serializableInfo;
                        var editor = new external_DevExpress_Analytics_Widgets_.Editor(info, 0);
                        editor._set('_model', args.component.option('formData'));
                        external_ko_.applyBindingsToNode(element, { template: { name: template, data: editor } }, context.bindingContext);
                    }
                });
        }
    }
    static convertToDashboardSerializationInfo(property) {
        return {
            propertyName: property.propertyName,
            formAdapterItem: {
                ...CustomItemPropertiesComposerHelper._mapEditor(property),
                label: {
                    text: (0,_default/* getLocalizationById */.Mu)(property.displayName),
                    visible: !!property.displayName,
                },
                validationRules: property.validationRules || [],
            },
            editorOptions: property.editorOptions,
        };
    }
}

;// ./dist/designer/items/surfaces/_custom-item-surface.js













class CustomItemPropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _mapLegacyPropertiesToTabs(model) {
        const propertiesByTabs = model.legacyCustomProperties && model.legacyCustomProperties.reduce((acc, property) => {
            const tabName = property.sectionName || _accordion_tab/* KnownTabs */.iq.Common;
            acc[tabName] = acc[tabName] || [];
            acc[tabName].push(CustomItemPropertiesComposerHelper.convertToDashboardSerializationInfo(property));
            return acc;
        }, {});
        const specificProperties = propertiesByTabs[_accordion_tab/* KnownTabs */.iq.Common] ? [
            {
                container: { propertyName: 'customProperties' },
                properties: propertiesByTabs[_accordion_tab/* KnownTabs */.iq.Common] || []
            }
        ] : [];
        return [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model, specificProperties)),
            ...Object.keys(propertiesByTabs)
                .filter(tabName => tabName !== _accordion_tab/* KnownTabs */.iq.Common)
                .map(tabName => new _accordion_tab/* AccordionTab */.gV(tabName, tabName, new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
                model: model.customProperties,
                properties: propertiesByTabs[tabName]
            })))
        ];
    }
    _composeTabsCore(model) {
        if (model._optionsPanelSections) {
            return [
                new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.AccordionTab.Common', _shared_composers/* SharedComposers */.d.getCommonWrapper(model)),
                ...model._optionsPanelSections.reduce((tabs, section) => {
                    (0,accordion_tab_options/* _customizeTabs */.t)(tabs, section, model);
                    return tabs;
                }, [])
            ];
        }
        else {
            return this._mapLegacyPropertiesToTabs(model);
        }
    }
}
class CustomItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    get showDefaultSections() {
        return this.dashboardItem.customBindings.length > 0;
    }
    fillSections() {
        var format = (localizationId, arg1) => (0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)(localizationId), (0,_default/* getLocalizationById */.Mu)(arg1));
        this.dashboardItem.customBindings.forEach(binding => {
            var sectionInfo = {
                title: binding.displayName,
                bindingProperty: {
                    propertyName: custom_item/* CustomItem */.F._getBindingLinkName(binding.propertyName),
                    dataItemType: binding.dataItemType,
                    emptyPlaceholder: binding.emptyPlaceholder || format('DashboardWebStringId.Binding.DefaultEmptyPlaceholder', binding.displayName),
                    selectedPlaceholder: binding.selectedPlaceholder || format('DashboardWebStringId.Binding.DefaultSelectedPlaceholder', binding.displayName)
                }
            };
            if (binding.array) {
                this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, sectionInfo));
            }
            else {
                this.dataSections.push(new SingleDataItemSurface({
                    itemSurface: this,
                    sectionInfo: sectionInfo,
                    fieldConstraint: (dataField) => {
                        return !binding.constraints || !binding.constraints.allowedTypes || binding.constraints.allowedTypes.indexOf(dataField.fieldType()) >= 0;
                    }
                }));
            }
        });
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new CustomItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('CustomItem', CustomItemSurface);

;// ./dist/designer/items/surfaces/_date-filter-item-surface.js








class DateFilterItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: {
                title: 'DashboardStringId.DescriptionItemDimension',
                bindingProperty: {
                    propertyName: _date_filter_item/* dateFilterDimension */.$R.propertyName,
                    dataItemType: 'Dimension',
                    emptyPlaceholder: 'DashboardStringId.DescriptionItemDimension',
                    selectedPlaceholder: 'DashboardStringId.DescriptionItemDimension'
                }
            },
            fieldConstraint: (dataField) => _data_field/* DataField */.J7.isDateTime(dataField)
        }));
    }
    getPropertiesComposer() {
        return new DateFilterItemPropertiesComposer(this._dashboardItemCustomization, (model) => {
            var composer = new CustomRangePropertiesComposer();
            var tabs = composer.composeTabs(model, {
                argument: this.dashboardItem.dimension(),
                rangeFilterItem: this.dashboardItem
            });
            this.propertiesController.secondaryModel({
                displayText: model.name,
                data: {
                    model: model,
                    propertiesTabs: external_ko_.observableArray(tabs)
                },
                containingCollection: this.dashboardItem.dateTimePeriods
            });
        });
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('DateFilter', DateFilterItemSurface);

;// ./dist/designer/items/surfaces/_filter-item-surface.js




class FilterItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    fillSections() {
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.FilterDimensions));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new FilterItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('ComboBox', FilterItemSurface);
_section_descriptors/* surfaceItemsFactory */.ce.register('ListBox', FilterItemSurface);
_section_descriptors/* surfaceItemsFactory */.ce.register('TreeView', FilterItemSurface);

;// ./dist/designer/items/surfaces/_gauge-item-surface.js










class GaugeItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    fillSections() {
        var sectionInfo = {
            title: 'DashboardWebStringId.Binding.Gauges',
            bindingProperty: {
                propertyName: 'gauges',
                emptyPlaceholder: 'DashboardWebStringId.Binding.AddGauge',
                selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureGauge',
                creator: (itemType = 'GaugeElement') => {
                    return new gauge/* Gauge */._(this.dashboardItem, { '@ItemType': itemType });
                },
                dataItemType: 'Measure'
            },
            detailsPropertiesComposer: new GaugeElementPropertiesComposer(this._dataItemContainerCustomization, (model) => {
                var surface = new DeltaNumericFormatSurface(model, this.propertiesController);
                surface.startEditing(new _collection_editor_viewmodel/* CollectionEditorEditItemArguments */.$());
            })
        };
        this.dataSections.push(new DataItemContainerCollectionSurface(this, this.dashboardItem, sectionInfo, external_ko_.computed(() => !this.dashboardItem.gauges().length && !!this.dashboardItem.seriesDimensions().length)));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.SeriesDimension));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new GaugeItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Gauge', GaugeItemSurface);

;// ./dist/designer/items/surfaces/_geo-point-map-item-surface.js







class GeoPointItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Latitude,
            fieldConstraint: field => _data_field/* DataField */.J7.isNumeric(field),
            warning: external_ko_.computed(() => !this.dashboardItem.latitude() && !!(this.dashboardItem.longitude() || this.dashboardItem.value() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Longitude,
            fieldConstraint: field => _data_field/* DataField */.J7.isNumeric(field),
            warning: external_ko_.computed(() => !this.dashboardItem.longitude() && !!(this.dashboardItem.latitude() || this.dashboardItem.value() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Value,
            warning: external_ko_.computed(() => !this.dashboardItem.value() && !!(this.dashboardItem.latitude() || this.dashboardItem.longitude() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipDimensions));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipMeasures));
    }
    getPropertiesComposer() {
        return new GeoPointMapItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('GeoPointMap', GeoPointItemSurface);

// EXTERNAL MODULE: ./dist/model/items/grid/metadata/_grid-item.js + 1 modules
var _grid_item = __webpack_require__(8096);
;// ./dist/designer/items/surfaces/_grid-item-surface.js


















class GridItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    addConditionalFormattingOptions(tabs, dataItem) {
        if (dataItem && dataItem.uniqueName()) {
            var editRuleHandler = (selection, args, container) => {
                var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
                surface.startEditing(args);
            };
            var dataItemApplyTo = dataItem;
            if (dataItemApplyTo instanceof measure/* Measure */.t && this.dashboardItem.hiddenMeasures().indexOf(dataItemApplyTo) !== -1) {
                var valueApplyTo = this.dashboardItem.columns().filter(column => !(column instanceof grid_columns/* GridDeltaColumn */.d7))[0];
                dataItemApplyTo = valueApplyTo && valueApplyTo.actualDataItem;
            }
            tabs.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(this.dashboardItem, _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getCellFormatRuleCreator(dataItem, dataItemApplyTo, 'GridItemFormatRule'), _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getCellFormatRuleFilter(dataItem), editRuleHandler)));
        }
    }
    extendHiddenMeasuresTabs(tabs, model) {
        this.addConditionalFormattingOptions(tabs, model);
    }
    fillSections() {
        var editRuleHandler = (selection, args, container) => {
            var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
            surface.startEditing(args);
        };
        this.editRuleHandler = editRuleHandler;
        var editDeltaFormatHandler = (model) => {
            var surface = new DeltaNumericFormatSurface(model, this.propertiesController);
            surface.startEditing(new _collection_editor_viewmodel/* CollectionEditorEditItemArguments */.$());
        };
        var sectionInfo = {
            title: 'DashboardWebStringId.Binding.Columns',
            bindingProperty: {
                propertyName: _grid_item/* gridColumns */.cb.propertyName,
                emptyPlaceholder: 'DashboardWebStringId.Binding.AddColumn',
                selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureColumn',
                groupName: 'Column',
                creator: (itemType, dataField, existingDataItem) => {
                    if (!itemType) {
                        var dimensionDisplayMode = null;
                        if (existingDataItem) {
                            if (existingDataItem instanceof data_item_dimension/* Dimension */.f) {
                                itemType = 'GridDimensionColumn';
                            }
                            else if (existingDataItem instanceof measure/* Measure */.t) {
                                itemType = 'GridMeasureColumn';
                            }
                        }
                        else if (_data_field/* DataField */.J7.isMeasure(dataField)) {
                            itemType = 'GridMeasureColumn';
                        }
                        else {
                            itemType = 'GridDimensionColumn';
                            if (dataField.fieldType() === 'Custom') {
                                dimensionDisplayMode = 'Image';
                            }
                        }
                    }
                    var columnJson = { '@ItemType': itemType };
                    if (dimensionDisplayMode) {
                        columnJson['@DisplayMode'] = dimensionDisplayMode;
                    }
                    return this.dashboardItem._createGridColumn(columnJson);
                },
                containersMap: grid_item/* GridItem */.E._gridColumnTypesMap,
                dataItemType: undefined
            },
            detailsPropertiesComposer: new GridColumnPropertiesComposer(this._dataItemContainerCustomization, editRuleHandler, editDeltaFormatHandler)
        };
        this.dataSections.push(new DataItemContainerCollectionSurface(this, this.dashboardItem, sectionInfo, external_ko_.computed(() => this.dashboardItem.columns().length === 0 && !!this.dashboardItem.sparklineArgument() && !!this.dashboardItem.sparklineArgument().uniqueName())));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.SparklineArgument,
            warning: external_ko_.computed(() => {
                return !(this.dashboardItem.sparklineArgument() && this.dashboardItem.sparklineArgument().uniqueName())
                    && this.dashboardItem.columns().some((column) => column.itemType() === 'GridSparklineColumn');
            }),
            fieldConstraint: (dataField) => {
                return _data_field/* DataField */.J7.isContinous(dataField);
            }
        }));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new GridItemPropertiesComposer(this._dashboardItemCustomization, this.editRuleHandler, this.dataSourceBrowser);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Grid', GridItemSurface);

;// ./dist/designer/items/surfaces/_image-item-surface.js



class ImageItemSurface extends _base_item_surface/* BaseItemSurface */.O {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser) {
        super();
    }
    getPropertiesComposer() {
        return new ImageItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Image', ImageItemSurface);

// EXTERNAL MODULE: ./dist/designer/items/surfaces/_map-custom-shapefile-surface.js
var _map_custom_shapefile_surface = __webpack_require__(5573);
;// ./dist/designer/items/surfaces/_pie-item-surface.js





class PieItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    fillSections() {
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Values, undefined, external_ko_.computed(() => (this.dashboardItem.arguments().length > 0 || this.dashboardItem.seriesDimensions().length > 0) && this.dashboardItem.values().length === 0)));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Arguments));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.SeriesDimension));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new PieItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Pie', PieItemSurface);

;// ./dist/designer/items/surfaces/_pie-map-item-surface.js







class PieMapItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Latitude,
            fieldConstraint: field => _data_field/* DataField */.J7.isNumeric(field),
            warning: external_ko_.computed(() => !this.dashboardItem.latitude() && !!(this.dashboardItem.longitude() || this.dashboardItem.values().length || this.dashboardItem.argument() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Longitude,
            fieldConstraint: field => _data_field/* DataField */.J7.isNumeric(field),
            warning: external_ko_.computed(() => !this.dashboardItem.longitude() && !!(this.dashboardItem.latitude() || this.dashboardItem.values().length || this.dashboardItem.argument() || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Values));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Argument,
            warning: external_ko_.computed(() => !this.dashboardItem.argument() && !!(this.dashboardItem.latitude() || this.dashboardItem.longitude() || this.dashboardItem.values().length || this.dashboardItem.tooltipDimensions().length || this.dashboardItem.tooltipMeasures().length))
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipDimensions));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.TooltipMeasures));
    }
    getPropertiesComposer() {
        return new PieMapItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('PieMap', PieMapItemSurface);

;// ./dist/designer/items/surfaces/_pivot-item-surface.js








class PivotItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    addConditionalFormattingOptions(tabs, dataItem) {
        if (dataItem && dataItem.uniqueName()) {
            var editRuleHandler = (selection, args, container) => {
                var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
                surface.startEditing(args);
            };
            var dataItemApplyTo = dataItem;
            if (dataItemApplyTo instanceof measure/* Measure */.t && this.dashboardItem.hiddenMeasures().indexOf(dataItemApplyTo) !== -1) {
                dataItemApplyTo = this.dashboardItem.values()[0];
            }
            tabs.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(this.dashboardItem, _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getCellFormatRuleCreator(dataItem, dataItemApplyTo, 'PivotItemFormatRule'), _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getCellFormatRuleFilter(dataItem), editRuleHandler)));
        }
    }
    extendHiddenMeasuresTabs(tabs, model) {
        this.addConditionalFormattingOptions(tabs, model);
    }
    fillSections() {
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Values, this.addConditionalFormattingOptions.bind(this)));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Columns, this.addConditionalFormattingOptions.bind(this)));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Rows, this.addConditionalFormattingOptions.bind(this)));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        var editRuleHandler = (selection, args, container) => {
            var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
            surface.startEditing(args);
        };
        return new PivotItemPropertiesComposer(this._dashboardItemCustomization, editRuleHandler);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Pivot', PivotItemSurface);

;// ./dist/designer/items/properties-composers/_range-series-properties-composer.js


class RangeSeriesPropertiesComposer extends ChartSeriesPropertiesComposer {
    constructor(customizeHandler) {
        super(customizeHandler, range_filter_item/* RangeFilterItem */.P.rangeSeriesViewTypesMap, false, false);
    }
    _showIgnoreEmptyPointsVisible(model) {
        return false;
    }
    _fillConditionalFormattingTab() { }
}

;// ./dist/designer/items/surfaces/_range-filter-item-surface.js












class RangeFilterItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    fillSections() {
        var creator = chart_series_creator/* ChartSeriesCreator */.o.getSeriesCreator(this.dashboardItem);
        var sectionInfo = {
            title: 'DashboardWebStringId.Binding.Values',
            bindingProperty: {
                propertyName: 'series',
                emptyPlaceholder: 'DashboardWebStringId.Binding.AddValue',
                selectedPlaceholder: 'DashboardWebStringId.Binding.ConfigureValue',
                creator: (itemType = 'Line') => {
                    return creator(itemType);
                },
                containersMap: range_filter_item/* RangeFilterItem */.P.rangeSeriesViewTypesMap,
                dataItemType: 'Measure'
            },
            detailsPropertiesComposer: new RangeSeriesPropertiesComposer(this._dataItemContainerCustomization)
        };
        this.dataSections.push(new DataItemContainerCollectionSurface(this, this.dashboardItem, sectionInfo, external_ko_.computed(() => !this.dashboardItem.series().length && (!!this.dashboardItem.argument() || !!this.dashboardItem.seriesDimensions().length))));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.SingleArgument,
            fieldConstraint: (dataField) => _data_field/* DataField */.J7.isContinous(dataField) && !_data_field/* DataField */.J7.isOlapHierarchy(dataField),
            warning: external_ko_.computed(() => (!!this.dashboardItem.series().length || !!this.dashboardItem.seriesDimensions().length) && !this.dashboardItem.argument())
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.SeriesDimension));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new RangeFilterItemPropertiesComposer(this._dashboardItemCustomization, (model) => {
            var composer = new CustomRangePropertiesComposer();
            var tabs = composer.composeTabs(model, {
                argument: this.dashboardItem.argument(),
                rangeFilterItem: this.dashboardItem
            });
            this.propertiesController.secondaryModel({
                displayText: model.name,
                data: {
                    model: model,
                    propertiesTabs: external_ko_.observableArray(tabs)
                },
                containingCollection: this.dashboardItem.dateTimePeriods
            });
        });
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('RangeFilter', RangeFilterItemSurface);

;// ./dist/designer/items/surfaces/_scatter-chart-item-surface.js










class ScatterChartItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    fillSections() {
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.AxisXMeasure,
            warning: external_ko_.computed(() => !this.dashboardItem.axisXMeasure() && (!!this.dashboardItem.arguments().length || !!this.dashboardItem.weight() || !!this.dashboardItem.axisYMeasure())),
            extendTabsHandler: this.addConditionalFormattingOptions.bind(this),
        }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.AxisYMeasure,
            warning: external_ko_.computed(() => !this.dashboardItem.axisYMeasure() && (!!this.dashboardItem.arguments().length || !!this.dashboardItem.weight() || !!this.dashboardItem.axisXMeasure())),
            extendTabsHandler: this.addConditionalFormattingOptions.bind(this),
        }));
        this.dataSections.push(new SingleDataItemSurface({
            itemSurface: this,
            sectionInfo: _section_descriptors/* SectionDescriptors */.g8.Weight,
            extendTabsHandler: this.addConditionalFormattingOptions.bind(this),
        }));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Arguments, this.addConditionalFormattingOptions.bind(this), external_ko_.computed(() => !!this.dashboardItem.weight() && !this.dashboardItem.arguments().length)));
    }
    getPropertiesComposer() {
        return new ScatterChartItemPropertiesComposer(this._dashboardItemCustomization, this.editCFRuleRuleHandler.bind(this), this.createCFRuleDelegate.bind(this));
    }
    editCFRuleRuleHandler(item, args, container) {
        var surface = new FormatRuleSurface(container, this.dashboardItem, this._dataSourceBrowser, this.propertiesController);
        surface.startEditing(args);
    }
    createCFRuleDelegate() {
        return new scatter_chart_item_format_rule/* ScatterChartItemFormatRule */.l();
    }
    addConditionalFormattingOptions(tabs, dataItem) {
        const dataItemName = dataItem && dataItem.uniqueName();
        if (!dataItemName)
            return;
        const createRule = () => {
            const cfRule = this.createCFRuleDelegate();
            cfRule.dataItemName(dataItemName);
            return cfRule;
        };
        tabs.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ConditionalFormatting, 'DashboardWebStringId.ConditionalFormatting', _data_item_properties_composer/* DataItemsPropertiesComposer */.Q.getFormatRulesWrapper(this.dashboardItem, createRule, (cfRule) => cfRule.dataItemName() === dataItemName, this.editCFRuleRuleHandler.bind(this))));
    }
    extendHiddenMeasuresTabs(tabs, model) {
        this.addConditionalFormattingOptions(tabs, model);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('ScatterChart', ScatterChartItemSurface);

// EXTERNAL MODULE: ./dist/model/items/options/metadata/_interactivity-options.js
var _interactivity_options = __webpack_require__(2591);
// EXTERNAL MODULE: ./dist/model/items/tab-container-item/metadata/_dashboard-tab-page.js
var _dashboard_tab_page = __webpack_require__(2570);
;// ./dist/designer/items/properties-composers/_tab-page-properties-composer.js







class DashboardTabPagePropertiesComposer extends _base_properties_composer/* DashboardItemPropertiesComposer */.$C {
    constructor(customizeHandler) {
        super(customizeHandler);
    }
    _composeTabsCore(tabPage, args) {
        const objectPropertiesWrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: tabPage,
            properties: [
                _base_metadata/* name_ViewModel */.xN,
                _dashboard_tab_page/* showItemAsTabPage */.T,
                {
                    container: dist_model._tabItemInteractivityOptions,
                    properties: [
                        _interactivity_options/* isMasterFilterDefaultTrue */.gu,
                        _interactivity_options/* ignoreMasterFiltersDefaultFalse */.ym
                    ]
                }
            ]
        });
        return [new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Common, 'DashboardWebStringId.Options', objectPropertiesWrapper)];
    }
}

;// ./dist/designer/items/surfaces/_tab-container-item-surface.js





class TabContainerItemSurface extends _base_item_surface/* BaseItemSurface */.O {
    constructor(dashboardItem, _dashboardModel, dataSourceBrowser) {
        super();
        this.dashboardItem = dashboardItem;
        this._dashboardModel = _dashboardModel;
    }
    getPropertiesComposer() {
        const editTabPageHandler = (tabPage, args) => {
            const composer = new DashboardTabPagePropertiesComposer(this._dashboardItemCustomization);
            const tabs = composer.composeTabs(tabPage);
            this.propertiesController.secondaryModel({
                displayText: external_ko_.pureComputed(() => this._dashboardModel._getDisplayDashboardItem(tabPage).name()),
                data: {
                    model: tabPage,
                    propertiesTabs: external_ko_.observableArray(tabs)
                },
                containingCollection: this.dashboardItem.tabPages
            });
        };
        return new TabContainerItemPropertiesComposer(editTabPageHandler);
    }
    dispose() {
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('TabContainer', TabContainerItemSurface);

// EXTERNAL MODULE: ./dist/designer/items/surfaces/_textbox-item-surface.js
var _textbox_item_surface = __webpack_require__(645);
;// ./dist/designer/items/surfaces/_treemap-item-surface.js





class TreemapItemSurface extends _base_item_surface/* DataDashboardItemSurface */.r {
    fillSections() {
        var addTileOptions = (tabs, dataItem) => {
            if (dataItem && dataItem.uniqueName()) {
                let argument = this.dashboardItem.arguments().filter(d => d.uniqueName() === dataItem.uniqueName())[0];
                if (this.dashboardItem.arguments().indexOf(argument) !== this.dashboardItem.arguments().length - 1) {
                    tabs.push(TreemapItemPropertiesComposer.getTileOptionsTab(this.dashboardItem, dataItem));
                }
            }
        };
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Values, undefined, external_ko_.computed(() => !this.dashboardItem.values().length && !!this.dashboardItem.arguments().length)));
        this.dataSections.push(new _data_item_collection_surface/* DataItemCollectionSurface */.N(this, _section_descriptors/* SectionDescriptors */.g8.Arguments, addTileOptions));
    }
    constructor(dashboardItem, dashboardModel, dataSourceBrowser, notificationController) {
        super(dashboardItem, dashboardModel, dataSourceBrowser, notificationController);
    }
    getPropertiesComposer() {
        return new TreemapItemPropertiesComposer(this._dashboardItemCustomization);
    }
}
_section_descriptors/* surfaceItemsFactory */.ce.register('Treemap', TreemapItemSurface);

;// ./dist/designer/items/_data-item-draggable.js
var _data_item_draggable_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




class DragProcessor {
    constructor(rootElement) {
        this.rootElement = rootElement;
        this.CSS_DRAG_IN_PROGRESS = 'dx-dashboard-collection-drag';
        this.CSS_HIGHLIGHT_PLACEHOLDER = 'dx-state-hovered';
        this.COLLECTION_SELECTOR = '.dx-dashboard-collection';
        this.TARGET_SELECTOR = '.dx-dashboard-drop-target';
        this.EVENT_NAMESPACE = '.dragInGroup';
        this.currentDrag = null;
        this.state = 'pending';
        this.setDataItemsPositions = (sourceCollectionRoot) => {
            var elementData = external_ko_.dataFor(sourceCollectionRoot);
            external_jQuery_.fn.constructor(sourceCollectionRoot).find('.dx-dashboard-data-item').each((index, item) => {
                if (elementData.supportGroups) {
                    var groupHolder = external_ko_.contextFor(item).$parents[1], groupSize = groupHolder.items === undefined
                        ? 1
                        : groupHolder.items.length, firstItemInGroup = groupHolder.items ? groupHolder.items[0] : external_ko_.dataFor(item);
                    item.setAttribute('data-position', (groupHolder.position === undefined
                        ? elementData['groups'] ? elementData['groups']().length : 0
                        : groupHolder.position).toString());
                    item.setAttribute('data-array-position', elementData.items().indexOf(firstItemInGroup).toString());
                    item.setAttribute('data-group-size', groupSize.toString());
                }
                else {
                    item.setAttribute('data-position', '0');
                    item.setAttribute('data-array-position', '0');
                    item.setAttribute('data-group-size', '0');
                }
            });
            this.currentDrag.itemPosition = Number(this.currentDrag.itemElement.getAttribute('data-position'));
            var isOlap = this.currentDrag.sourceCollection.isOlap();
            external_jQuery_.fn.constructor(this.rootElement).find(this.COLLECTION_SELECTOR).each((_, collectionElement) => {
                var isOtherCollection = external_ko_.dataFor(collectionElement) !== external_ko_.dataFor(sourceCollectionRoot);
                var arrayPosition = 0;
                external_jQuery_.fn.constructor(collectionElement).find(this.TARGET_SELECTOR).each((index, dragTargetElement) => {
                    var elementData = external_ko_.dataFor(dragTargetElement), elementContext = external_ko_.contextFor(dragTargetElement), groupSize = (elementData.items && elementData.items.length) || 0;
                    dragTargetElement.setAttribute('data-position', index.toString());
                    dragTargetElement.setAttribute('data-array-position', arrayPosition.toString());
                    arrayPosition += groupSize;
                    var result = isOtherCollection
                        ? !isOlap
                        : this.checkItemIsDraggableToPosition(this.currentDrag.itemPosition, index);
                    external_jQuery_.fn.constructor(dragTargetElement).toggleClass('dx-state-active', result);
                });
            });
        };
        this.processHtmlDragEvent = () => {
            this.currentDrag.originalEvent.dataTransfer.effectAllowed = 'move';
            this.currentDrag.originalEvent.dataTransfer.setData('text', this.currentDrag.itemPosition.toString());
            let itemElement = this.currentDrag.itemElement;
            var groupElement = external_jQuery_.fn.constructor(itemElement).parents('.dx-dashboard-hierarchical-group')[0], uiFeedbackElement = groupElement || itemElement;
            var crt = uiFeedbackElement.cloneNode(true);
            crt.style.position = 'absolute';
            crt.style.top = '-100000px';
            crt.style.right = '-100000px';
            crt.className = crt.className + ' dx-dashboard-cloned-copy';
            crt.style.width = external_jQuery_.fn.constructor(itemElement).width() + 'px';
            this.currentDrag.clonedElement = crt;
            var container = external_jQuery_.fn.constructor(uiFeedbackElement).parents('.dx-dashboard-property-grid')[0];
            if (container)
                container.appendChild(crt);
            var event = this.currentDrag.originalEvent;
            if (event.dataTransfer['setDragImage']) {
                event.dataTransfer.setDragImage(crt, event.offsetX === undefined ? event.layerX : event.offsetX, event.offsetY === undefined ? event.layerY : event.offsetY);
            }
        };
        this.finishDrag = () => {
            (0,external_DevExpress_events_namespaceObject.off)(this.rootElement, this.EVENT_NAMESPACE);
            external_jQuery_.fn.constructor(document).off(this.EVENT_NAMESPACE);
            this.rootElement.classList.remove(this.CSS_DRAG_IN_PROGRESS);
            external_jQuery_.fn.constructor(this.rootElement).parents('.dx-overlay-content').removeClass(this.CSS_DRAG_IN_PROGRESS).addClass('dx-state-hover');
            external_jQuery_.fn.constructor(this.rootElement).find(this.TARGET_SELECTOR).removeClass(this.CSS_HIGHLIGHT_PLACEHOLDER);
            this.currentDrag.itemElement.classList.remove('dx-dashboard-drag-in-progress');
            var clonedElement = this.currentDrag.clonedElement;
            if (clonedElement && clonedElement.parentNode) {
                clonedElement.parentNode.removeChild(clonedElement);
            }
            this.currentDrag.clonedElement = null;
            this.state = 'pending';
        };
    }
    startDrag(ev) {
        this.currentDrag = {
            originalEvent: ev.originalEvent,
            itemPosition: -1,
            clonedElement: null,
            itemElement: ev.originalEvent.target,
            sourceCollection: external_ko_.dataFor(external_jQuery_.fn.constructor(ev.target).parents(this.COLLECTION_SELECTOR)[0])
        };
        let sourceCollectionElement = external_jQuery_.fn.constructor(this.currentDrag.originalEvent.target).parents(this.COLLECTION_SELECTOR).get(0);
        this.state = 'dragging';
        this.rootElement.classList.add(this.CSS_DRAG_IN_PROGRESS);
        external_jQuery_.fn.constructor(this.rootElement).parents('.dx-overlay-content').addClass(this.CSS_DRAG_IN_PROGRESS);
        this.setDataItemsPositions(sourceCollectionElement);
        this.processHtmlDragEvent();
        this.currentDrag.itemElement.classList.add('dx-dashboard-drag-in-progress');
        (0,external_DevExpress_events_namespaceObject.on)(this.rootElement, 'dragover' + this.EVENT_NAMESPACE, this.TARGET_SELECTOR, {}, (ev) => {
            var originalEvent = ev.originalEvent, targetItem = external_ko_.dataFor(originalEvent.target), position = Number(ev.currentTarget.getAttribute('data-position'));
            if (originalEvent.target.parentNode['className'].indexOf('dx-state-active') !== -1) {
                ev.currentTarget.classList.add(this.CSS_HIGHLIGHT_PLACEHOLDER);
                originalEvent.dataTransfer.dropEffect = 'move';
            }
            else {
                originalEvent.dataTransfer.dropEffect = 'none';
            }
            return false;
        });
        (0,external_DevExpress_events_namespaceObject.on)(this.rootElement, 'dragleave' + this.EVENT_NAMESPACE, this.TARGET_SELECTOR, {}, (ev) => {
            ev.currentTarget.classList.remove(this.CSS_HIGHLIGHT_PLACEHOLDER);
        });
        (0,external_DevExpress_events_namespaceObject.on)(this.rootElement, 'drop' + this.EVENT_NAMESPACE, this.TARGET_SELECTOR, {}, (ev) => {
            var sourceCollection = this.currentDrag.sourceCollection, targetCollection = external_ko_.dataFor(external_jQuery_.fn.constructor(ev.target).parents(this.COLLECTION_SELECTOR)[0]), originalPosition = Number(this.currentDrag.itemElement.getAttribute('data-array-position')), newPosition = Number(ev.currentTarget.getAttribute('data-array-position')), groupSize = Number(this.currentDrag.itemElement.getAttribute('data-group-size'));
            this.interchange(sourceCollection.items, targetCollection !== sourceCollection ? targetCollection : null, originalPosition, newPosition, groupSize);
            this.finishDrag();
            return false;
        });
        (0,external_DevExpress_events_namespaceObject.on)(document, 'dragend' + this.EVENT_NAMESPACE, () => {
            this.finishDrag();
        });
        return true;
    }
    checkItemIsDraggableToPosition(itemIndex, placeholderIndex) {
        return (placeholderIndex < itemIndex) || (placeholderIndex > itemIndex + 1);
    }
    interchange(items, newOwner, sourceIndex, placeholderIndex, groupSize) {
        if (!groupSize) {
            groupSize = 1;
        }
        if (null === newOwner) {
            if (placeholderIndex > sourceIndex) {
                placeholderIndex--;
                for (var i = 0; i < groupSize; i++) {
                    var item = items()[sourceIndex];
                    items.remove(item);
                    items.splice(placeholderIndex, 0, item);
                }
            }
            else {
                for (var i = 0; i < groupSize; i++) {
                    var item = items()[sourceIndex + i];
                    items.remove(item);
                    items.splice(placeholderIndex + i, 0, item);
                }
            }
        }
        else {
            for (var i = 0; i < groupSize; i++) {
                item = items()[sourceIndex];
                newOwner.relocateItem(item, placeholderIndex + i);
                items.remove(item);
            }
        }
    }
}
_data_item_draggable_decorate([
    _undo_engine_helper/* wrapWithUndoRedo */.JZ
], DragProcessor.prototype, "interchange", null);
external_ko_.bindingHandlers['dx-dashboard-container-draggable'] = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        let processor = new DragProcessor(element);
        (0,external_DevExpress_events_namespaceObject.on)(element, 'dragstart', (ev) => {
            processor.startDrag(ev);
        });
        external_ko_.utils.domNodeDisposal.addDisposeCallback(element, function () {
            processor.currentDrag = null;
        });
    }
};

// EXTERNAL MODULE: ./dist/model/items/bound-image-item.js
var bound_image_item = __webpack_require__(1383);
// EXTERNAL MODULE: ./dist/model/items/text-box-item.js
var text_box_item = __webpack_require__(8502);
;// ./dist/designer/items/_interactivity-properties-composer.js







class InteractivityPropertiesComposer {
    constructor(propertiesController) {
        this.propertiesController = propertiesController;
    }
    composeTabs(model) {
        var result = [
            new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.Interactivity, 'DashboardWebStringId.InteractivityOptions')
        ];
        var properties = [{
                container: _interactivity_options/* commonInteractivityOptions */.$4,
                properties: [
                    _interactivity_options/* isMasterFilterDefaultFalse */.rH,
                    _interactivity_options/* masterFilterMode */.u3,
                    _interactivity_options/* isDrillDownEnabled */.ht,
                    _interactivity_options/* targetDimensions */.Jc,
                    _interactivity_options/* ignoreMasterFiltersDefaultFalse */.ym
                ]
            }];
        if (!((model instanceof pivot_item/* PivotItem */.y) || (model instanceof bound_image_item/* BoundImageItem */.Z) || (model instanceof text_box_item/* TextBoxItem */.O))) {
            properties.push(_data_dashboard_item/* isMasterFilterCrossDataSource */.os);
        }
        var disabledRules = {};
        disabledRules[_data_dashboard_item/* isMasterFilterCrossDataSource */.os.propertyName] = [_interactivity_options/* masterFilterMode */.u3.propertyName, '=', 'None'];
        if (model.interactivityOptions.targetDimensions) {
            model.interactivityOptions.targetDimensions.subscribe((newTargetDimension) => {
                if (newTargetDimension === 'Points') {
                    model.interactivityOptions.isDrillDownEnabled(false);
                }
            });
            disabledRules[_interactivity_options/* isDrillDownEnabled */.ht.propertyName] = [_interactivity_options/* targetDimensions */.Jc.propertyName, '=', 'Points'];
        }
        result[0].tabModel(new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: model,
            properties: properties,
            disabledFilterRules: disabledRules
        }));
        return result;
    }
}

// EXTERNAL MODULE: ./dist/model/parameters/look-up-value.js
var look_up_value = __webpack_require__(5690);
;// ./dist/designer/parameter-settings/_lookup-values-editors.js








const singleLookupValueEditor = options => context => {
    return {
        editorType: 'dxSelectBox',
        editorOptions: getLookupValueEditorOptions(options.parameter, options.dataSourceBrowser, context.widgetContainer)
    };
};
const multipleLookupValueEditor = options => context => {
    return {
        template: (args) => {
            var div = document.createElement('div');
            new (external_DevExpress_ui_dxTagBox_default())(div, { ...args.editorOptions, ...getLookupValuesEditorOptions(options.parameter, options.dataSourceBrowser, context.widgetContainer) });
            return div;
        }
    };
};
function getLookupValueEditorOptions(parameter, dataSourceBrowser, container) {
    let items = external_ko_.observable([]);
    let dataSource = new (external_DevExpress_data_DataSource_default())({
        store: getSortableCustomStorage(items, 'DisplayText'),
        paginate: true,
        pageSize: 100
    });
    const subscribeDataSource = (e) => {
        const disposables = e.component.__DX_DASHBOARD_DISPOSABLES = (e.component.__DX_DASHBOARD_DISPOSABLES || []);
        disposables.push(external_ko_.computed(() => {
            if (!!parameter.staticListLookUpSettings()) {
                items(parameter.staticListLookUpSettings().values().filter(lookUpValue => !!lookUpValue.value()).map(lookUpValue => { return { Value: lookUpValue.value(), DisplayText: lookUpValue.value() }; }));
            }
            else if (!!parameter.dynamicListLookUpSettings()) {
                const type = parameter.type();
                const dynamicListLookUpSettings = parameter.dynamicListLookUpSettings();
                const parameterValues = dataSourceBrowser.getParameterValues(type, dynamicListLookUpSettings);
                const values = parameterValues();
                if (values.length === 0) {
                    parameterValues.subscribe(newValues => items(newValues));
                }
                else {
                    const converter = model_index_internal.ParameterHelper.getTypeConverter(type);
                    converter && values.forEach(x => {
                        x.Value = converter(x.Value);
                        const valueMemberName = dynamicListLookUpSettings.valueMemberName();
                        const displayMemberName = dynamicListLookUpSettings.displayMemberName();
                        if (valueMemberName === displayMemberName || displayMemberName === null) {
                            x.DisplayText = x.Value;
                        }
                    });
                    items(values);
                }
            }
        }));
        disposables.push(items.subscribe(newItems => {
            dataSource.reload();
        }));
    };
    return {
        dataSource: dataSource,
        searchEnabled: true,
        valueExpr: 'Value',
        searchExpr: ['Value', 'DisplayText'],
        displayExpr: 'DisplayText',
        noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
        placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ParametersSelectorText'),
        encodeNoDataText: true,
        showClearButton: true,
        multiline: true,
        showSelectionControls: true,
        dropDownOptions: {
            container: container
        },
        onInitialized: subscribeDataSource,
        onDisposing: (e) => {
            (e.component.__DX_DASHBOARD_DISPOSABLES || []).forEach(d => d && d.dispose());
            e.component.__DX_DASHBOARD_DISPOSABLES = [];
        }
    };
}
function getLookupValuesEditorOptions(parameter, dataSourceBrowser, container) {
    return {
        ...getLookupValueEditorOptions(parameter, dataSourceBrowser, container),
        value: parameter._valuesOfDefaultValues.peek(),
        onValueChanged: (e) => {
            parameter.defaultValues((e.value || []).map(val => {
                let lookUpValue = new look_up_value/* LookUpValue */.Q();
                lookUpValue.value(val);
                return lookUpValue;
            }));
        }
    };
}
function getSortableCustomStorage(getItems, sortPropertyName) {
    return new (external_DevExpress_data_CustomStore_default())({
        load: (options) => {
            var result = [].concat(_sortItems(getItems(), sortPropertyName));
            if (options.take)
                result = result.splice(options.skip, options.take);
            return (0,_jquery_helpers/* $promiseAdapter */.fy)((0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve(result).promise());
        },
        loadMode: 'raw'
    });
}
function _sortItems(items, sortPropertyName) {
    return items.sort((a, b) => {
        var propA = external_ko_.unwrap(a[sortPropertyName]), propB = external_ko_.unwrap(b[sortPropertyName]);
        if (propA && propB) {
            var diff = propA - propB;
            if (!isNaN(diff))
                return diff;
            propA = propA.toLowerCase ? propA.toLowerCase() : propA;
            propB = propB.toLowerCase ? propB.toLowerCase() : propB;
            return (propA < propB) ? -1 : (propA > propB) ? 1 : 0;
        }
    });
}

// EXTERNAL MODULE: ./dist/model/parameters/metadata/_dynamic-list-lookup-settings.js
var _dynamic_list_lookup_settings = __webpack_require__(623);
// EXTERNAL MODULE: ./dist/model/parameters/metadata/_parameter.js
var _parameter = __webpack_require__(1843);
// EXTERNAL MODULE: ./dist/model/parameters/metadata/_static-list-lookup-settings.js
var _static_list_lookup_settings = __webpack_require__(4780);
;// ./dist/designer/parameter-settings/_parameter-editor-viewmodel.js















class ParameterEditorViewModel extends disposable_object/* DisposableObject */.I {
    get dataSourceBrowser() {
        return this._dataSourceBrowserGetter ? this._dataSourceBrowserGetter() : undefined;
    }
    constructor(parameter, _dataSourceBrowserGetter, isNameValid) {
        super();
        this.parameter = parameter;
        this._dataSourceBrowserGetter = _dataSourceBrowserGetter;
        this.commonParameterSettings = this._getCommonParameterSettingsWrapper(parameter, isNameValid);
        this.lookUpParameterType = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: parameter,
            properties: [{ ..._parameter/* lookUpSourceType */.yJ, simpleFormAdapterItem: 'selectBoxEditor' }]
        });
        this.staticListLookUpSettings = (0,_knockout_utils/* safeComputed */.Tq)({ staticListLookUpSettings: parameter.staticListLookUpSettings, type: this.parameter.type }, (args) => {
            if (args.staticListLookUpSettings) {
                return this._getStaticListLookUpSettingsWrapper(args.staticListLookUpSettings, args.type);
            }
            return null;
        });
        this.dynamicListLookUpSettings = (0,_knockout_utils/* safeComputed */.Tq)({ dynamicListLookUpSettings: parameter.dynamicListLookUpSettings }, (args) => {
            if (args.dynamicListLookUpSettings) {
                return this._getDynamicListLookUpSettingsWrapper(args.dynamicListLookUpSettings);
            }
            return null;
        });
    }
    _getStaticListLookUpSettingsWrapper(staticListLookUpSettings, parameterType) {
        const editorOptions = {
            dataFields: [_static_list_lookup_settings/* lookUpValue */.mk.propertyName],
            noDataText: 'DashboardWebStringId.CollectionEditor.Parameters.NoItems',
            gridColumns: [{
                    dataField: _static_list_lookup_settings/* lookUpValue */.mk.propertyName,
                    ...getGridEditorSettings(parameterType),
                }],
            createNewItemHandler: () => {
                var newLookUpValue = new look_up_value/* LookUpValue */.Q({});
                newLookUpValue.valueType(parameterType);
                return newLookUpValue;
            },
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: staticListLookUpSettings,
            properties: [{
                    ..._static_list_lookup_settings/* lookUpvalues */.dq,
                    formAdapterItem: (0,_form_adapter_editors/* inlineEditCollectionEditor */.JI)(editorOptions),
                }]
        });
    }
    _getDynamicListLookUpSettingsWrapper(dynamicListLookUpSettings) {
        var isDataSourceAndDataMemberSet = (model) => {
            if (model) {
                let isDataSourceSet = !!model.dataSource();
                let dataMemberSupported = this.dataSourceBrowser.dataMembersSupported(model);
                let isDataMemberSet = true;
                if (dataMemberSupported) {
                    isDataMemberSet = !!model.dataMember();
                }
                return isDataSourceSet && isDataMemberSet;
            }
            return false;
        };
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: dynamicListLookUpSettings,
            properties: [
                {
                    ..._dynamic_list_lookup_settings/* _dataSourceNameSerialization */.cF,
                    formAdapterItem: dataSourceChooserEditor(this.dataSourceBrowser)
                },
                {
                    ..._dynamic_list_lookup_settings/* _dataMemberSerialization */.ee,
                    formAdapterItem: dataMemberChooserEditor({ dataSourceBrowser: this.dataSourceBrowser, dynamicListLookUpSettings })
                },
                {
                    ..._dynamic_list_lookup_settings/* valueMemberSerialization */.Gi,
                    formAdapterItem: fieldChooserEditor({ dataSourceBrowser: this.dataSourceBrowser, dynamicListLookUpSettings })
                },
                {
                    ..._dynamic_list_lookup_settings/* displayMemberSerialization */.n3,
                    formAdapterItem: fieldChooserEditor({ dataSourceBrowser: this.dataSourceBrowser, dynamicListLookUpSettings })
                },
                {
                    ..._dynamic_list_lookup_settings/* sortByMember */.aX,
                    formAdapterItem: fieldChooserEditor({ dataSourceBrowser: this.dataSourceBrowser, dynamicListLookUpSettings })
                },
                _dynamic_list_lookup_settings/* sortOrder */.T6
            ],
            disabledFilterRules: {
                [_dynamic_list_lookup_settings/* _dataMemberSerialization */.ee.propertyName]: () => !this.dataSourceBrowser.dataMembersSupported(dynamicListLookUpSettings),
                [_dynamic_list_lookup_settings/* valueMemberSerialization */.Gi.propertyName]: () => !isDataSourceAndDataMemberSet(dynamicListLookUpSettings),
                [_dynamic_list_lookup_settings/* displayMemberSerialization */.n3.propertyName]: () => !isDataSourceAndDataMemberSet(dynamicListLookUpSettings),
                [_dynamic_list_lookup_settings/* sortByMember */.aX.propertyName]: () => !isDataSourceAndDataMemberSet(dynamicListLookUpSettings)
            }
        });
    }
    _getCommonParameterSettingsWrapper(parameter, isNameValid) {
        var propertyInfos = [
            {
                ..._parameter/* parameterName */.xd,
                validateBeforeSet: true,
                validationRules: [
                    {
                        type: 'custom',
                        validationCallback: (options) => { return isNameValid(options.value); },
                        message: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Parameters.ParameterNameShouldBeUnique')
                    },
                    ..._parameter/* parameterName */.xd.validationRules
                ]
            },
            _parameter/* description */.h_,
            _parameter/* parameterVisible */.KJ,
            _parameter/* allowNull */.Hu,
            _parameter/* allowMultiselect */.re,
            _parameter/* parameterTypePropertyGrid */.x,
            {
                ..._parameter/* defaultValue */.Jh,
                externalUpdateCallback: updateHandler => (0,_knockout_utils/* safeSubscribe */.uQ)({
                    lookupSourceType: parameter.lookUpSourceType,
                    allowMultiselect: parameter.allowMultiselect
                }, () => updateHandler({ forceValidate: false }))
            },
            {
                ..._parameter/* defaultValues */.gH,
                validateBeforeSet: true,
                formAdapterItem: multipleLookupValueEditor({ parameter, dataSourceBrowser: this.dataSourceBrowser })
            },
            _parameter/* selectAllValues */.rm,
            _parameter/* lookUpSourceType */.yJ
        ];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: parameter,
            properties: propertyInfos,
            visibilityFilterRules: {
                [_parameter/* defaultValue */.Jh.propertyName]: (model) => !model.allowMultiselect(),
                [_parameter/* defaultValues */.gH.propertyName]: (model) => !!model.allowMultiselect(),
                [_parameter/* selectAllValues */.rm.propertyName]: (model) => !!model.allowMultiselect()
            },
            disabledFilterRules: {
                [_parameter/* allowMultiselect */.re.propertyName]: ['lookUpSourceType', '=', 'None'],
                [_parameter/* defaultValues */.gH.propertyName]: (model) => !!model.selectAllValues()
            },
            dynamicEditorRules: {
                [_parameter/* defaultValue */.Jh.propertyName]: (model) => {
                    if (model.lookUpSourceType() !== 'None') {
                        return { formAdapterItem: singleLookupValueEditor({ parameter, dataSourceBrowser: this.dataSourceBrowser }) };
                    }
                    const { simpleFormAdapterItem, editorOptions } = _parameters_helper/* ParameterHelper */._.getEditorType(model.type());
                    return {
                        simpleFormAdapterItem,
                        editorOptions,
                    };
                }
            }
        });
    }
}
const dataSourceChooserEditor = dataSourceBrowser => {
    return (0,_form_adapter_editors/* observableSelectBoxEditor */.i6)({
        observables: {
            dashboardDataSources: dataSourceBrowser._dataSources
        },
        load: (args) => {
            return args.dashboardDataSources.map(ds => {
                return {
                    value: ds.componentName(),
                    displayValue: ds.name()
                };
            });
        },
        additionalOptions: () => {
            return {
                placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ParametersSelectorText'),
                noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay')
            };
        }
    });
};
const dataMemberChooserEditor = options => {
    return (0,_form_adapter_editors/* observableSelectBoxEditor */.i6)({
        observables: {
            dashboardDataSources: options.dataSourceBrowser._dataSources,
            selectedDashboardDataSource: options.dynamicListLookUpSettings.dataSource,
        },
        load: (args) => {
            var dataSource = args.dashboardDataSources.filter(ds => ds.componentName() === args.selectedDashboardDataSource)[0];
            if (dataSource && dataSource.supportDataMembers) {
                return (0,_jquery_helpers/* $promiseAdapter */.fy)(options.dataSourceBrowser.getDataFieldsArray(args.selectedDashboardDataSource, '', '', _data_source_browser/* isNonCollectionDataField */.mG)
                    .then((members) => {
                    return members.map(member => { return { value: member.dataMember(), displayValue: member.dataMember() }; });
                }));
            }
            else {
                return [];
            }
        },
        additionalOptions: () => {
            return {
                placeholder: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.ParametersSelectorText'),
                noDataText: (0,_default/* getLocalizationById */.Mu)('DashboardStringId.FilterElementNoDataToDisplay'),
            };
        }
    });
};
const fieldChooserEditor = options => context => {
    return {
        template: (args, itemElement) => {
            const element = (0,_jquery_helpers/* $unwrap */.I1)(itemElement);
            element.classList.add('dx-dashboard-field-picker');
            var value = external_ko_.observable((0,_form_adapter_editors/* getFieldValue */.GR)(args));
            value.subscribe(newValue => {
                args.component.updateData(args.dataField, newValue);
            });
            let model = new FieldListPicker(options.dataSourceBrowser, value, options.dynamicListLookUpSettings, args.editorOptions.disabled);
            external_ko_.applyBindingsToNode(element, { template: { name: 'dx-dashboard-field-picker', data: model } }, context.bindingContext);
        }
    };
};
function getGridEditorSettings(typeString) {
    switch (typeString) {
        case 'System.Guid':
            return {
                dataType: 'string',
                editorOptions: {
                    mask: 'xxxxxxxx-xxxx-xxxx-xxxxxxxxxxxx',
                    maskRules: {
                        'x': /[0-9a-fA-F]/,
                    },
                    useMaskedValue: true,
                },
            };
        case 'System.SByte':
        case 'System.Int64':
        case 'System.Int32':
        case 'System.Int16':
        case 'System.Byte':
        case 'System.UInt16':
        case 'System.UInt32':
        case 'System.UInt64':
            return {
                dataType: 'number',
                editorOptions: {
                    showSpinButtons: true,
                    format: '0#',
                },
            };
        case 'System.Single':
        case 'System.Double':
        case 'System.Decimal':
            return {
                dataType: 'number',
                editorOptions: {
                    showSpinButtons: true,
                },
            };
        case 'System.DateTime':
            return {
                dataType: 'datetime'
            };
        case 'System.Boolean':
            return {
                dataType: 'boolean'
            };
        default:
        case 'System.String':
            return {
                dataType: 'string'
            };
    }
}

;// ./dist/designer/parameter-settings/_parameter-list-editor-viewmodel.js






class ParameterListEditorViewModel extends disposable_object/* DisposableObject */.I {
    constructor(dashboard, _dataSourceBrowserGetter) {
        super();
        this.dashboard = dashboard;
        this._dataSourceBrowserGetter = _dataSourceBrowserGetter;
        this.selectedParameters = external_ko_.observable([]);
        this.selectedParameter = external_ko_.computed(() => {
            return this.selectedParameters()[0];
        });
        this.parameterEditorViewModel = external_ko_.observable(null);
        this.allowReordering = external_ko_.observable(false);
        this.toggleReordering = () => {
            this.allowReordering(!this.allowReordering());
        };
        this.addParameter = () => {
            var name = _helper_classes/* NameGenerator */.$A.generateName((0,_default/* getLocalizationById */.Mu)('DashboardStringId.NewParameterNamePrefix'), this.dashboard().parameters(), 'name', 1), param = new parameter/* Parameter */.k({ '@Name': name });
            this.dashboard().parameters.push(param);
            this.selectedParameters([param]);
        };
        this.removeParameter = () => {
            this.dashboard().parameters.remove(this.selectedParameter());
            this.selectedParameters([this.dashboard().parameters()[0]]);
        };
        this.reorderParameters = (e) => {
            let reorder = (array, from, to) => {
                var innerArray = array();
                innerArray.splice(to, 0, innerArray.splice(from, 1)[0]);
                array(innerArray);
            };
            reorder(this.dashboard().parameters, e.fromIndex, e.toIndex);
            this.selectedParameters([this.dashboard().parameters()[e.toIndex]]);
        };
        this.selectedParameter.subscribe((sp) => {
            if (sp) {
                let isNameValid = (name) => {
                    return this.dashboard().parameters().filter(p => p !== sp && p.name() === name).length === 0;
                };
                this.parameterEditorViewModel(new ParameterEditorViewModel(sp, _dataSourceBrowserGetter, isNameValid));
            }
            else {
                this.parameterEditorViewModel(undefined);
            }
        });
        this.toDispose(this.selectedParameter);
    }
    initialize() {
        var setDefaultSelectedParameter = dashboard => {
            if (dashboard && dashboard.parameters.peek().length > 0) {
                this.selectedParameters([dashboard.parameters.peek()[0]]);
            }
            else {
                this.selectedParameters([]);
            }
        };
        this.toDispose(this.dashboard.subscribe(setDefaultSelectedParameter));
        setDefaultSelectedParameter(this.dashboard.peek());
    }
}

;// ./dist/designer/toolbox-extension/_toolbox-extension.js
let toolboxConstants = {
    menuTitleHeight: 51,
    leftPanelWidth: 81,
};

;// ./dist/designer/toolbox-extension/_toolbox-view-model.js






class ToolboxViewModel {
    constructor(menuVisible, _defaultMenuItemData, _menuItems, _toolboxGroups, _toolbarGroups, _layoutDragController) {
        this._defaultMenuItemData = _defaultMenuItemData;
        this._menuItems = _menuItems;
        this._toolboxGroups = _toolboxGroups;
        this._toolbarGroups = _toolbarGroups;
        this._layoutDragController = _layoutDragController;
        this.toolbarHeight = external_ko_.observable(0);
        this.settingsForm = external_ko_.observable();
        this.toggleMenu = () => {
            this.settingsFormVisible(false);
            this.settingsForm(null);
            this.menuVisible(!this.menuVisible());
        };
        this.closeMenu = () => {
            if (this.menuVisible()) {
                this.toggleMenu();
            }
        };
        this.showMenu = () => {
            if (!this.menuVisible()) {
                this.toggleMenu();
            }
        };
        this.menuItemClick = (menuItem) => {
            menuItem.click && menuItem.click();
            if (menuItem.template) {
                this.settingsForm({
                    title: menuItem.title.replace('…', ''),
                    template: menuItem.template,
                    data: !!menuItem.data ? menuItem.data : this._defaultMenuItemData
                });
                this._menuItems().forEach(item => item.selected(item === menuItem));
            }
        };
        this.menuVisible = external_ko_.observable(false);
        this.designerPanelLeft = external_ko_.observable(menuVisible ? 0 : -toolboxConstants.leftPanelWidth);
        this.menuItemsSorted = external_ko_.pureComputed(() => {
            return this._menuItems().sort((a, b) => (a.index || Number.MAX_VALUE) - (b.index || Number.MAX_VALUE));
        });
        this.toolboxGroupsSorted = external_ko_.pureComputed(() => {
            return this._toolboxGroups().sort((a, b) => (a.index || Number.MAX_VALUE) - (b.index || Number.MAX_VALUE));
        });
        this.toolbarGroupsSorted = external_ko_.pureComputed(() => {
            return this._toolbarGroups().sort((a, b) => (a.index || Number.MAX_VALUE) - (b.index || Number.MAX_VALUE));
        });
        this.settingsFormVisible = external_ko_.computed({
            read: () => this.menuVisible() && this._menuItems().some(contextMenuItem => contextMenuItem.selected()),
            write: val => this._menuItems().forEach(item => item.selected(val))
        });
    }
    initDragEvents(itemType) {
        let subscription = null;
        return {
            onInitialize: (args) => {
                let controller = this._layoutDragController();
                controller && controller.initExternalElement(args.element, new ToolboxItemDragItemInfo(itemType));
                subscription = (0,model_index_internal.subscribeWithPrev)(this._layoutDragController, (prevValue, newValue) => {
                    prevValue && prevValue.cleanExternalElement(args.element);
                    newValue && newValue.initExternalElement(args.element, new ToolboxItemDragItemInfo(itemType));
                });
            },
            onDisposing: (args) => {
                let controller = this._layoutDragController();
                controller && controller.cleanExternalElement(args.element);
                subscription && subscription.dispose();
            }
        };
    }
    processKeyEvent(keyEventType, eventArgs) {
        if (keyEventType === 'keyup') {
            if (eventArgs.altKey) {
                var menuItem = this._menuItems().filter(item => item.hotKey === eventArgs.keyCode)[0];
                if (menuItem) {
                    setTimeout(() => {
                        setTimeout(() => this.menuItemClick(menuItem), this.menuVisible() ? 10 : 250);
                        this.menuVisible(true);
                    }, 1);
                    return true;
                }
            }
        }
        else if (keyEventType === 'keydown') {
            if (eventArgs.keyCode === KeyCodes.Esc && this.menuVisible()) {
                this.closeMenu();
                return true;
            }
            else if (eventArgs.altKey && this._menuItems().map(menuItem => menuItem.hotKey).indexOf(eventArgs.keyCode) !== -1) {
                eventArgs.preventDefault();
                return true;
            }
        }
        return false;
    }
    showDesignerPanel() {
        this.designerPanelLeft(0);
    }
    hideDesignerPanel() {
        this.designerPanelLeft(-toolboxConstants.leftPanelWidth);
    }
}
class ToolboxItemDragItemInfo extends DashboardDragItemInfo {
    constructor(_itemType) {
        super();
        this._itemType = _itemType;
    }
    canDrop(layoutItem) {
        return layoutItem.canAttach((0,_dashboard_item_helper/* getItemJson */.Mi)(this._itemType));
    }
    drop(dragOverState) {
        dragOverState.targetItem.create((0,_dashboard_item_helper/* getItemJson */.Mi)(this._itemType), dragOverState.hoverLocation, dragOverState.targetItemBehavior);
    }
    dragStart() { }
    dragEnd() { }
}

// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_editable-list-editor-viewmodel.js
var _editable_list_editor_viewmodel = __webpack_require__(6365);
// EXTERNAL MODULE: ./dist/designer/ui-widgets/collection-editor/_inline-edit-collection-editor-viewmodel.js
var _inline_edit_collection_editor_viewmodel = __webpack_require__(5621);
// EXTERNAL MODULE: ./dist/designer/_dx-designer-integration.js
var _dx_designer_integration = __webpack_require__(8042);
;// ./dist/designer/index.internal.js
















































































































































// EXTERNAL MODULE: ./dist/model/items/options/metadata/_coloring-options.js
var _coloring_options = __webpack_require__(1965);
;// ./dist/designer/toolbox-extension/toolbox-items.js

var leftPanelWidth = 81;
class DashboardMenuItem {
    constructor(id, title, index, hotKey, click) {
        this.id = id;
        this.title = title;
        this.click = click;
        this.hotKey = hotKey;
        this.index = index;
        this.selected = external_ko_.observable(false);
        this.disabled = external_ko_.observable(false);
    }
}
class DashboardToolboxItem {
    constructor(name, click, icon, title, type) {
        this.name = name;
        this.click = click;
        this.icon = icon;
        this.title = title;
        this.type = type;
        this.disabled = external_ko_.observable(false);
    }
}
class DashboardToolbarItem {
    constructor(name, click, icon, title) {
        this.name = name;
        this.click = click;
        this.icon = icon;
        this.title = title;
        this.disabled = external_ko_.observable(false);
    }
}
class DashboardToolboxGroup {
    constructor(name, title, index, ...items) {
        this.name = name;
        this.title = title;
        this.index = index;
        this.items = external_ko_.observableArray(items);
    }
}
class DashboardToolbarGroup {
    constructor(name, title, index, ...items) {
        this.name = name;
        this.title = title;
        this.index = index;
        this.items = external_ko_.observableArray(items);
    }
}

;// ./dist/designer/color-scheme-editor-extension/color-scheme-editor-extension.js
















const color_scheme_editor_extension_name = 'dashboardColorSchemeEditor';
const color_scheme_editor_extension_nameAlias = 'dashboard-color-scheme-editor';
class DashboardColorSchemeEditorExtension {
    static _isColoringSupported(item) {
        return !!item['coloringOptions'];
    }
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = color_scheme_editor_extension_name;
        this._subscriptions = [];
        this.selected = external_ko_.observable(false);
        this._colorSchemeModel = external_ko_.observable();
        this._colorPalette = external_ko_.observableArray();
        this._entryEditorModel = new EntryEditorViewModel(this._colorPalette);
        this._colorPickerModel = external_ko_.computed(() => new ColorPickerModel(this._colorSchemeModel(), this._colorPalette));
        this._selectedEntry = external_ko_.observable();
        this._createNewEntry = () => {
            this._colorSchemeModel().initNewEntry();
            this._entryEditorModel.editEntry(this.dataSourceBrowserExtension._dataSourceBrowserViewModel().dataSourceBrowser, this._colorSchemeModel().newEntry(), this._colorSchemeModel().selectedSignatures()[0].colorByMeasures, this._colorSchemeModel().getAvailableMeasureKeys(), editedEntry => this._colorSchemeModel().updateEntry(undefined, editedEntry), false);
        };
        this._menuItem = new DashboardMenuItem(color_scheme_editor_extension_nameAlias, 'DashboardWebStringId.DashboardMenuColorScheme', 250, 0);
        this._menuItem.template = 'dx-dashboard-form-color-scheme';
        this._menuItem.data = {
            colorSchemeModel: this._colorSchemeModel,
            selectedEntry: this._selectedEntry,
            entryEditorModel: this._entryEditorModel,
            colorPickerModel: this._colorPickerModel,
            createNewEntry: this._createNewEntry,
            colorPalette: this._colorPalette,
            getDataSourceName: (dataSourceId) => {
                if (this.dashboardControl.dashboard() && this.dashboardControl.dashboard().dataSources()) {
                    let dataSource = this.dashboardControl.dashboard().dataSources().filter(dataSource => dataSource.componentName() === dataSourceId)[0];
                    if (dataSource)
                        return dataSource.name();
                }
                return dataSourceId;
            }
        };
        this._menuItem.disabled = external_ko_.computed(() => !dashboardControl.dashboard());
    }
    _updateExtensionModel() {
        if (!!this.dashboardControl.dashboard() && this.dashboardControl.isDesignMode()) {
            !!this.dashboardControl._serviceClient() && this.dashboardControl._serviceClient().getDashboardPalette().done(palette => {
                this._colorPalette((0,external_DevExpress_Analytics_Utils_.deserializeArray)(palette, (colorModel) => new color/* Color */.Q(colorModel['#text']))());
            });
            this._colorSchemeModel(new ColorSchemeModel(this.dashboardControl.dashboard(), this.dashboardControl._serviceClient() && this.dashboardControl._serviceClient().getColoringScheme || null, this.dashboardControl._updateHub));
        }
        else {
            this._colorSchemeModel(null);
        }
    }
    start() {
        this._propertiesPanelExtension = this.dashboardControl.findExtension('itemOptionsPanel');
        this.dataSourceBrowserExtension = this.dashboardControl.findExtension('dataSourceBrowser');
        var toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.push(this._menuItem);
        }
        this._subscriptions.push(this.dashboardControl.dashboard.subscribe(this._updateExtensionModel, this));
        this._subscriptions.push(this.dashboardControl.isDesignMode.subscribe(this._updateExtensionModel, this));
        this._subscriptions.push(this._selectedEntry.subscribe((entry) => {
            if (entry == null) {
                this._entryEditorModel.close();
            }
            else {
                this._entryEditorModel.editEntry(this.dataSourceBrowserExtension._dataSourceBrowserViewModel().dataSourceBrowser, entry, this._colorSchemeModel().selectedSignatures()[0].colorByMeasures, this._colorSchemeModel().getAvailableMeasureKeys(), editedEntry => this._colorSchemeModel().updateEntry(entry, editedEntry), this._colorSchemeModel().isEntryAutogenerated(entry));
            }
        }));
        this._subscriptions.push(external_ko_.computed(() => {
            var model = this._colorSchemeModel();
            if (model) {
                this._subscriptions.push(model.selectedSignatures.subscribe(v => {
                    this._entryEditorModel.close();
                    model.newEntry(null);
                }));
            }
        }));
        var oldColoringComputed = null;
        if (!!this._propertiesPanelExtension) {
            this._subscriptions.push(this._propertiesPanelExtension._subscribeTabsChanged(tabs => {
                oldColoringComputed && oldColoringComputed.dispose();
                var item = this.dashboardControl._actualLayoutController() && this.dashboardControl._actualLayoutController().selectedDashboardItem() || null;
                if (item && DashboardColorSchemeEditorExtension._isColoringSupported(item)) {
                    var coloringTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ColoringOptions, 'DashboardWebStringId.ColoringOptions');
                    tabs.push(coloringTab);
                    oldColoringComputed = external_ko_.computed(() => {
                        coloringTab.tabModel(this._getColoringWrapper(item));
                    });
                    this._subscriptions.push(oldColoringComputed);
                    tabs.push(new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ColorScheme, 'DashboardWebStringId.DashboardMenuColorScheme', this._getColorSchemeWrapper(item)));
                }
            }));
        }
        this._updateExtensionModel();
    }
    stop() {
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
        var toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.remove(this._menuItem);
        }
    }
    _getColorSchemeWrapper(model) {
        var selectedSignaturesComputed = external_ko_.computed(() => {
            if (!!this._colorSchemeModel())
                this._colorSchemeModel().selectedSignatures([model._getColoringSignatureOnCurrentDrillDownLevel()]);
        });
        model.isDisposed && this._subscriptions.push(model.isDisposed.subscribe(modelDisposed => {
            if (modelDisposed)
                selectedSignaturesComputed?.dispose();
        }));
        this._subscriptions.push(selectedSignaturesComputed);
        var artificialModel = {
            colorSchemeModel: this._colorSchemeModel(),
            coloringOptions: model.coloringOptions
        };
        var properties = [{
                propertyName: 'colorSchemeModel',
                formAdapterItem: colorSchemeTreeViewEditor({
                    dataSource: this._colorSchemeModel().selectedSignatureEntries,
                    editColor: (entry, event) => {
                        this._colorPickerModel().init(entry, event.target);
                    },
                    colorPalette: this._colorPalette,
                    colorPickerModel: this._colorPickerModel,
                }),
            }, {
                container: _coloring_options/* coloringOptions */.k,
                properties: [_dashboard_item_coloring_options/* useGlobalColors */.N3]
            }];
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: artificialModel,
            properties: properties
        });
    }
    _getColoringWrapper(model) {
        var allColorsModel = {
            measuresColoringMode: model.coloringOptions.measuresColoringMode,
            getInfo: () => []
        };
        var properties = [];
        var addColoringOptions = (item, arr, prefixId) => {
            var prefix = (0,_default/* getLocalizationById */.Mu)(prefixId);
            arr.forEach(arg => {
                if (arg.dataItem()) {
                    allColorsModel[arg.uniqueName()] = arg.dataItem().coloringMode;
                    properties.push({
                        propertyName: arg.uniqueName(),
                        displayName: prefix + ' - ' + (0,_display_name_provider/* getDataItemDisplayName */.F)(this.dashboardControl._dataSourceBrowser, item, arg.dataItem()),
                        simpleFormAdapterItem: 'buttonGroupEditor',
                        values: _dimension/* coloringMode */.z4.values
                    });
                }
            });
        };
        var addItemColoringOptions = (itemsInfo) => {
            itemsInfo.forEach(itemInfo => addColoringOptions(model, itemInfo.items, itemInfo.prefixId));
        };
        addItemColoringOptions(model._getColorizableDataItemsInfo());
        if (model._canColorByMeasures) {
            properties.push(_dashboard_item_coloring_options/* measuresColoringMode */.OH);
        }
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: allColorsModel,
            properties: properties
        });
    }
}
control_options/* designerExtensions */.YS[color_scheme_editor_extension_nameAlias] = (dashboardControl, options) => new DashboardColorSchemeEditorExtension(dashboardControl);
control_options/* extensionNameMap */.RY[color_scheme_editor_extension_nameAlias] = color_scheme_editor_extension_name;

;// ./dist/designer/currency-selector/dashboard-currency-editor-extension.js



const dashboard_currency_editor_extension_name = 'dashboardCurrencyEditor';
const dashboard_currency_editor_extension_nameAlias = 'dashboard-currency-editor';
class DashboardCurrencyEditorExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = dashboard_currency_editor_extension_name;
        this._menuItem = new DashboardMenuItem(dashboard_currency_editor_extension_nameAlias, 'DashboardWebStringId.DashboardMenuCurrency', 230, 67);
        this._menuItem.template = 'dx-dashboard-form-currency-settings';
        this._menuItem.data = dashboardControl;
        this._menuItem.disabled = external_ko_.computed(() => !this.dashboardControl.dashboard());
    }
    start() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.push(this._menuItem);
        }
    }
    stop() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.remove(this._menuItem);
        }
    }
}
control_options/* designerExtensions */.YS[dashboard_currency_editor_extension_nameAlias] = (dashboardControl, options) => new DashboardCurrencyEditorExtension(dashboardControl);
control_options/* extensionNameMap */.RY[dashboard_currency_editor_extension_nameAlias] = dashboard_currency_editor_extension_name;

;// ./dist/designer/data-source-browser/data-source-browser-extension.js





const data_source_browser_extension_name = 'dataSourceBrowser';
const data_source_browser_extension_nameAlias = 'data-source-browser';
class DataSourceBrowserExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = data_source_browser_extension_name;
        this._perDashboardSubscription = [];
        this._dataSourceBrowserViewModel = external_ko_.observable();
        this._menuItem = new DashboardMenuItem(data_source_browser_extension_nameAlias, 'DashboardWebStringId.DashboardMenuDataSources', 210, 65);
        this._menuItem.template = 'dx-dashboard-form-datasource-browser';
        this._menuItem.data = this._dataSourceBrowserViewModel;
        this._menuItem.disabled = external_ko_.computed(() => !this.dashboardControl.dashboard());
        (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
            target: this,
            memberName: 'dataSourceBrowserViewModel',
            oldMemberDisplayName: 'dataSourceBrowserViewModel',
            action: () => this._dataSourceBrowserViewModel
        });
    }
    _disposePerDashboardSubcriptions() {
        this._perDashboardSubscription.forEach(s => s.dispose());
        this._perDashboardSubscription = [];
    }
    _updateExtensionModel(dashboard) {
        this._disposePerDashboardSubcriptions();
        if (!!dashboard) {
            var dataSourceWizardExtension = external_ko_.computed(() => (this.dashboardControl.findExtension('dataSourceWizard')));
            var accessibleDataSourcesExtension = external_ko_.computed(() => (this.dashboardControl.findExtension('availableDataSources')));
            var viewModel = new DataSourceBrowserViewModel(this.dashboardControl._dataSourceBrowser, dataSourceWizardExtension, accessibleDataSourcesExtension, this.dashboardControl._updateHub);
            this._perDashboardSubscription.push(dataSourceWizardExtension);
            this._perDashboardSubscription.push(accessibleDataSourcesExtension);
            this._perDashboardSubscription.push(viewModel);
            this._dataSourceBrowserViewModel(viewModel);
        }
        else {
            this._dataSourceBrowserViewModel(null);
        }
    }
    start() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.push(this._menuItem);
        }
        this._subscription = this.dashboardControl.dashboard.subscribe(this._updateExtensionModel, this);
        this._updateExtensionModel(this.dashboardControl.dashboard());
    }
    stop() {
        this._disposePerDashboardSubcriptions();
        if (this._subscription) {
            this._subscription.dispose();
            this._subscription = undefined;
        }
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.remove(this._menuItem);
        }
    }
}
control_options/* designerExtensions */.YS[data_source_browser_extension_nameAlias] = (dashboardControl, options) => new DataSourceBrowserExtension(dashboardControl);
control_options/* extensionNameMap */.RY[data_source_browser_extension_nameAlias] = data_source_browser_extension_name;

;// external "DevExpress.QueryBuilder.Widgets.Internal"
const external_DevExpress_QueryBuilder_Widgets_Internal_namespaceObject = DevExpress.QueryBuilder.Widgets.Internal;
;// ./dist/designer/data-source-wizard/wizards/_edit-json-data-source-wizard.js



class EditJsonDataSourceWizardIterator extends external_DevExpress_Analytics_Wizard_namespaceObject.PageIterator {
    constructor(factory, stateManager) {
        super(factory, stateManager);
    }
    getNextPageId(pageId) {
        return external_DevExpress_Analytics_Wizard_namespaceObject.JsonDataSourceWizardPageId.ChooseJsonSchemaPage;
    }
}
class EditJsonDataSourceWizard extends external_DevExpress_Analytics_Wizard_namespaceObject.PopupWizard {
    constructor() {
        super(...arguments);
        this.title = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.DashboardDataSourceWizard');
        this._container = (element) => {
            return element.closest('.dx-dashboard-widget-container');
        };
        this._extendCssClass = 'dxrd-sqldatasource-wizard';
    }
}
function createEditJsonDataSourceWizard(requestWrapper, parameters) {
    var factory = new external_DevExpress_Analytics_Wizard_namespaceObject.PageFactory();
    _registerChooseJsonSchemaPage(factory, requestWrapper, parameters);
    return new EditJsonDataSourceWizard(factory);
}

;// ./dist/designer/data-source-wizard/data-source-wizard-extension.js





















const data_source_wizard_extension_name = 'dataSourceWizard';
const data_source_wizard_extension_nameAlias = 'data-source-wizard';
class DataSourceWizardExtension {
    static _convertDataSource(dashboardSqlDataSource, requestWrapper) {
        var serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer({ useRefs: false });
        return dashboardSqlDataSource ?
            new external_DevExpress_Analytics_Data_.SqlDataSource(serializer.serialize(dashboardSqlDataSource), serializer, requestWrapper) :
            new external_DevExpress_Analytics_Data_.SqlDataSource({}, serializer, requestWrapper);
    }
    get isCustomSqlEnabled() { return this._optionsManager.get('enableCustomSql'); }
    get _dataSourceBrowser() { return this.dashboardControl._dataSourceBrowser; }
    constructor(dashboardControl, options = {}) {
        this.dashboardControl = dashboardControl;
        this._subscriptions = [];
        this._loadingPanelVisible = external_ko_.observable(false);
        this._wizardElement = external_ko_.observable();
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._customTemplate = {
            name: 'dx-dashboard-data-source-wizard',
            data: {
                loadingPanelVisible: this._loadingPanelVisible,
                wizardElement: this._wizardElement
            }
        };
        this.name = data_source_wizard_extension_name;
        let defaultOptions = {
            enableCustomSql: false,
            allowCreateNewJsonConnection: false,
            wizardSettings: {
                enableSqlDataSource: true,
                enableOlapDataSource: true,
                enableJsonDataSource: true,
                enableFederationDataSource: true
            }
        };
        this._optionsManager.initialize({
            extensionName: data_source_wizard_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: defaultOptions,
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => this._optionChanged(args)
        });
        this._requestWrapper = new DashboardRequestWrapper(dashboardControl);
        this._dashboardParameters = external_ko_.computed(() => dashboardControl.dashboard() && dashboardControl.dashboard().parameters() || []);
        this._getConnectionStringsCallback = () => {
            return this.dashboardControl.remoteService.getFromServer(dashboardControl._endpointCollection.dataSourceWizardUrls.GetConnectionStringsAction)
                .fail(request => {
                this.dashboardControl.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.AttemptToConnectionStrings'), request);
            });
        };
        (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
            target: this,
            memberName: 'createDataSource',
            oldMemberDisplayName: 'DataSourceWizardExtension.createDataSource',
            newMemberDisplayName: 'DataSourceWizardExtension.showDataSourceCreatingDialog',
            action: (dataSources) => {
                this.showDataSourceCreatingDialog().done((dataSource) => {
                    dataSources.push(dataSource);
                });
            }
        });
        (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
            target: this,
            memberName: 'editSqlQuery',
            oldMemberDisplayName: 'DataSourceWizardExtension.editSqlQuery',
            newMemberDisplayName: 'DataSourceWizardExtension.showSqlQueryEditingDialog',
            action: (dashboardSqlDataSource, queryName) => {
                this.showSqlQueryEditingDialog(dashboardSqlDataSource, queryName);
            }
        });
    }
    start() {
        this.dashboardControl.customTemplates.push(this._customTemplate);
    }
    stop() {
        this.dashboardControl.customTemplates.remove(this._customTemplate);
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
    }
    showDataSourceCreatingDialog() {
        return this._showDataSourceCreatingDialog(this._getFederationDataProviders());
    }
    _getDashboardDataSources() {
        return this.dashboardControl.dashboard() && this.dashboardControl.dashboard().dataSources() || [];
    }
    _getFederationDataProviders(editedFederationDataSource) {
        return this._getDashboardDataSources().filter(ds => ds._isFederationDataProvider && ds !== editedFederationDataSource);
    }
    _showDataSourceCreatingDialog(federationDataProviders) {
        let deferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        let loadingConnectionsStrings = true;
        this._loadingPanelVisible(true);
        let stopLoading = () => {
            loadingPanelSubscription.dispose();
            loadingConnectionsStrings = false;
        };
        let loadingPanelSubscription = this._loadingPanelVisible.subscribe(newValue => {
            if (!newValue && loadingConnectionsStrings) {
                stopLoading();
                deferred.reject();
            }
        });
        let dashboardConnectionStrings = {
            sql: external_ko_.observableArray()
        };
        this._getConnectionStringsCallback()
            .done((connectionStrings) => {
            stopLoading();
            if (deferred.state() !== 'rejected') {
                dashboardConnectionStrings = {
                    sql: external_ko_.observableArray(connectionStrings.filter(c => c.connectionType === 'Sql')),
                    json: external_ko_.observableArray(connectionStrings.filter(c => c.connectionType === 'Json')),
                    olap: connectionStrings.filter(c => c.connectionType === 'Olap'),
                };
            }
        })
            .always(() => {
            stopLoading();
            if (deferred.state() !== 'rejected') {
                let wizardFederationSources = createDataSourceInfos(federationDataProviders);
                let dataSourceWizard = this.createDataSourceWizard(dashboardConnectionStrings, wizardFederationSources);
                this._initializeDataSourceWizard(dataSourceWizard, deferred);
                this._renderAndStartWizard(dataSourceWizard);
                this._loadingPanelVisible(false);
            }
        });
        return deferred.promise();
    }
    showSqlQueryEditingDialog(dashboardSqlDataSource, queryName) {
        if (queryName && dashboardSqlDataSource.queries().filter(q => q.name() === queryName).length === 0)
            throw new Error((0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.QueryDoesNotExist'), queryName));
        var dataSource = DataSourceWizardExtension._convertDataSource(dashboardSqlDataSource, this._requestWrapper);
        let singleDataSourceWizard = this._createEditQueryWizard();
        singleDataSourceWizard.initialize({
            sqlDataSourceWizard: {
                sqlDataSourceJSON: JSON.stringify(new external_DevExpress_Analytics_Utils_.ModelSerializer().serialize(dataSource)),
                queryName: queryName
            }
        }, (factory, stateManager) => new EditQueryWizardIterator(factory, stateManager));
        singleDataSourceWizard['_finishCallback'] = (state) => {
            var model = (0,external_DevExpress_Analytics_Wizard_namespaceObject._restoreSqlDataSourceFromState)(state.sqlDataSourceWizard);
            var queryIndex = model['_queryIndex'];
            var query = model.sqlQuery;
            if (queryIndex === dashboardSqlDataSource.queries().length) {
                dashboardSqlDataSource.queries.push(query);
            }
            else {
                let oldQuery = dashboardSqlDataSource.queries()[queryIndex];
                dashboardSqlDataSource.queries.splice(queryIndex, 1, query);
                if (oldQuery.name() !== query.name()) {
                    renameDataMember(this.dashboardControl.dashboard(), dashboardSqlDataSource, oldQuery.name(), query.name());
                }
            }
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            def.resolve();
            return def.promise();
        };
        this._renderAndStartWizard(singleDataSourceWizard);
    }
    showFederationQueryEditingDialog(dashboardFederationDataSource, queryName) {
        let element = this._wizardElement();
        if (element) {
            let queryIndex = dashboardFederationDataSource.queries().findIndex(q => q.alias() === queryName);
            if (queryIndex === -1)
                throw new Error((0,external_DevExpress_utils_string_.format)((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.QueryDoesNotExist'), queryName));
            let query = dashboardFederationDataSource.queries()[queryIndex];
            let federationDataProviders = this._getFederationDataProviders(dashboardFederationDataSource);
            let dataSourceInfos = createDataSourceInfos(federationDataProviders);
            let analyticsDataSource = toAnalyticsFederationDataSource(dashboardFederationDataSource, dataSourceInfos, this._dataSourceBrowser);
            let analyticsQuery = analyticsDataSource.queries().find(q => q.alias && q.alias() === queryName);
            let setQuery = (analyticsQuery) => {
                analyticsQuery.sources()
                    .forEach(analyticsSource => addSourceIfNotExists(analyticsSource, dashboardFederationDataSource, dataSourceInfos));
                let newQuery = toSameSourcesFederationQuery(analyticsQuery);
                addOrUpdateQuery(this.dashboardControl.dashboard(), dashboardFederationDataSource, queryIndex, newQuery);
            };
            let popup;
            switch (query.queryType) {
                case 'SelectNode':
                    popup = new external_DevExpress_Analytics_Wizard_Internal_namespaceObject.FederationSelectQueryBuilderPopup(setQuery, analyticsDataSource);
                    break;
                case 'UnionNode':
                    popup = new external_DevExpress_Analytics_Wizard_Internal_namespaceObject.FederationUnionQueryBuilderPopup(setQuery, analyticsDataSource);
                    break;
                case 'TransformationNode':
                    popup = new external_DevExpress_Analytics_Wizard_Internal_namespaceObject.FederationTransformQueryBuilderPopup(setQuery, analyticsDataSource);
                    break;
                default:
                    throw new Error(`The query of '${query.queryType}' type cannot be edited. `);
            }
            external_ko_.cleanNode(element);
            (0,external_DevExpress_Analytics_Internal_.appendStaticContextToRootViewModel)(popup);
            external_ko_.applyBindingsToNode(element, { template: 'dxrd-querybuilder-federation-popup' }, popup);
            let visibleSubscription = popup.popupVisible.subscribe(visible => {
                if (!visible) {
                    visibleSubscription.dispose();
                    popup.dispose();
                    external_ko_.cleanNode(element);
                }
            });
            popup.show(analyticsQuery);
        }
    }
    showManageFederationQueriesDialog(dashboardFederationDataSource) {
        let element = this._wizardElement();
        if (element) {
            let federationDataProviders = this._getFederationDataProviders(dashboardFederationDataSource);
            let federationDataProvidersInfos = createDataSourceInfos(federationDataProviders);
            let analyticsFederationDataSource = toAnalyticsFederationDataSource(dashboardFederationDataSource, federationDataProvidersInfos, this._dataSourceBrowser);
            let editor = new external_DevExpress_QueryBuilder_Widgets_Internal_namespaceObject.ManageFederatedQueriesEditor(analyticsFederationDataSource, () => {
                analyticsFederationDataSource.sources()
                    .forEach(analyticsSource => addSourceIfNotExists(analyticsSource, dashboardFederationDataSource, federationDataProvidersInfos));
                let removedQueries = dashboardFederationDataSource.queries().filter(dashboardQuery => !analyticsFederationDataSource.queries().some(analyticsQuery => analyticsQuery[initialQueryAliasSymbol] === dashboardQuery.alias()));
                removedQueries.forEach(q => dashboardFederationDataSource.queries.remove(q));
                analyticsFederationDataSource.queries().forEach((analyticsQuery, i) => {
                    let newQuery = toSameSourcesFederationQuery(analyticsQuery);
                    let initialQuery = dashboardFederationDataSource.queries().find(q => q.alias() === analyticsQuery[initialQueryAliasSymbol]);
                    let queryIndex = !!initialQuery ? dashboardFederationDataSource.queries().indexOf(initialQuery) : dashboardFederationDataSource.queries().length;
                    addOrUpdateQuery(this.dashboardControl.dashboard(), dashboardFederationDataSource, queryIndex, newQuery);
                });
            });
            external_ko_.cleanNode(element);
            (0,external_DevExpress_Analytics_Internal_.appendStaticContextToRootViewModel)(editor);
            external_ko_.applyBindingsToNode(element, { template: 'dxrd-federated-manageQueries-editor' }, editor);
            let visibleSubscription = editor.popupVisible.subscribe(visible => {
                if (!visible) {
                    visibleSubscription.dispose();
                    editor.dispose();
                    analyticsFederationDataSource.dispose();
                }
            });
            editor.popupVisible(true);
        }
    }
    _createEditQueryWizard() {
        let wizard = createDashboardDataSourceWizard(this._requestWrapper, this._dashboardParameters, !this.isCustomSqlEnabled, false, { enableOlapDataSource: false, enableSqlDataSource: false, enableJsonDataSource: false, enableObjectDataSource: false, enableFederationDataSource: false }, { sql: external_ko_.observableArray() }, [], this._dataSourceBrowser, this.dashboardControl.customTemplates);
        this._customizeDataSourceWizard('EditQueryWizard', wizard);
        return wizard;
    }
    _optionChanged(args) {
        switch (args.name) {
            case 'allowCreateNewJsonConnection':
            case 'enableCustomSql':
            case 'wizardSettings':
                return null;
            default:
                return null;
        }
    }
    createDataSourceWizard(connectionStrings, federationSources) {
        let wizard = createDashboardDataSourceWizard(this._requestWrapper, this._dashboardParameters, !this.isCustomSqlEnabled, this._optionsManager.get('allowCreateNewJsonConnection') || this._optionsManager.getInitialOptions()['canCreateNewJsonDataSource'], this._optionsManager.get('wizardSettings'), connectionStrings, federationSources, this._dataSourceBrowser, this.dashboardControl.customTemplates);
        this._customizeDataSourceWizard('DataSourceWizard', wizard);
        return wizard;
    }
    _createEditJsonDataSourceWizard() {
        let wizard = createEditJsonDataSourceWizard(this._requestWrapper, this._dashboardParameters);
        this._customizeDataSourceWizard('EditJsonDataSourceWizard', wizard);
        return wizard;
    }
    _customizeDataSourceWizard(customizationType, wizard) {
        this._optionsManager.raiseEvent('customizeDataSourceWizard', { type: customizationType, wizard: wizard });
    }
    _createNewDataSourceWizardIterator(factory, stateManager) {
        return new CreateNewDataSourceWizardIterator(factory, stateManager);
    }
    _initializeDataSourceWizard(wizard, deferred) {
        let initialState = new DashboardDataSourceWizardState();
        wizard.initialize(initialState, (factory, stateManager) => this._createNewDataSourceWizardIterator(factory, stateManager));
        wizard['_finishCallback'] = (state) => {
            let sqlModel = state.sqlDataSourceWizard;
            let olapModel = state.olapDataSourceWizard;
            let jsonModel = state.jsonDataSourceWizard;
            let federationModel = state.federationDataSourceWizard;
            if (sqlModel && state.dashboardDataSourceType === 'Sql') {
                let sqlDataSource = model_dashboard/* Dashboard */.x._createDataSource({ '@ItemType': 'SqlDataSource' }, new external_DevExpress_Analytics_Utils_.ModelSerializer());
                let dataSourceWrapper = (0,external_DevExpress_Analytics_Wizard_namespaceObject._restoreSqlDataSourceFromState)(sqlModel);
                sqlDataSource.connection.name(dataSourceWrapper.sqlDataSource.connection.name());
                sqlDataSource.connection.fromAppConfig(true);
                dataSourceWrapper.sqlDataSource.queries().forEach(query => {
                    sqlDataSource.queries.push(query);
                    sqlDataSource.name(sqlDataSource.queries()[0].name());
                });
                deferred.resolve(sqlDataSource);
                return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
            }
            else if (olapModel && state.dashboardDataSourceType === 'Olap') {
                let olapDataSource = model_dashboard/* Dashboard */.x._createDataSource({ '@ItemType': 'OLAPDataSource' }, new external_DevExpress_Analytics_Utils_.ModelSerializer());
                olapDataSource.connectionName(olapModel.connectionName);
                olapDataSource.name((0,_default/* getLocalizationById */.Mu)('DashboardStringId.DefaultOlapDataSourceName'));
                deferred.resolve(olapDataSource);
                return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
            }
            else if (jsonModel && state.dashboardDataSourceType === 'Json') {
                let jsonDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                let analyticsDataSourceDeferred = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                let analyticsDataSource = (0,external_DevExpress_Analytics_Wizard_namespaceObject._restoreJsonDataSourceFromState)(jsonModel);
                if (jsonModel.newConnectionName) {
                    var jsonSource = analyticsDataSource.source;
                    var jsonSourceJSON = JSON.stringify(jsonSource.serialize(true));
                    var requestString = JSON.stringify({
                        connectionName: jsonModel.newConnectionName,
                        customJson: jsonSource.json(),
                        uriJsonSourceJSON: jsonSourceJSON
                    });
                    this._requestWrapper
                        .sendRequest('saveJsonSource', encodeURIComponent(requestString))
                        .done(() => {
                        analyticsDataSource.connectionName(jsonModel.newConnectionName);
                        analyticsDataSource.source = null;
                        analyticsDataSourceDeferred.resolve(analyticsDataSource);
                    })
                        .fail(() => analyticsDataSourceDeferred.reject());
                }
                else {
                    analyticsDataSourceDeferred.resolve(analyticsDataSource);
                }
                analyticsDataSourceDeferred
                    .done((repDataSource) => {
                    var serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer();
                    var analyticsJsonDataSourceJson = serializer.serialize(repDataSource);
                    var dataSource = new json_data_source/* JsonDataSource */.G(analyticsJsonDataSourceJson);
                    dataSource.name((0,_default/* getLocalizationById */.Mu)('DashboardStringId.DefaultJsonDataSourceName'));
                    deferred.resolve(dataSource);
                    jsonDeferred.resolve();
                })
                    .fail(() => {
                    deferred.reject();
                    jsonDeferred.reject();
                });
                return jsonDeferred.promise();
            }
            else if (federationModel && state.dashboardDataSourceType === 'Federation') {
                deferred.resolve(createNewFederationDataSource(federationModel, wizard.options.dataSources));
                return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
            }
            else {
                deferred.reject();
                throw Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.UnsupportedDataSourceType'));
            }
        };
    }
    _showEditJsonDataSourceDialog(jsonDataSource) {
        var serializer = new external_DevExpress_Analytics_Utils_.ModelSerializer();
        var dashboardJsonDataSourceJson = serializer.serialize(jsonDataSource);
        let editJsonDataSourceWizard = this._createEditJsonDataSourceWizard();
        let schema;
        if (!dashboardJsonDataSourceJson.Schema && dashboardJsonDataSourceJson.Source) {
            const parameters = this._dashboardParameters && this._dashboardParameters().map(parameter => {
                return { value: parameter.defaultValue(), name: parameter.name() };
            });
            this._requestWrapper.sendRequest('getJsonSchemaFromBase64', JSON.stringify({ JsonDataSource: dashboardJsonDataSourceJson, parameters: parameters }))
                .then((jsonSchemaResponse) => {
                if (!jsonSchemaResponse.faultMessage) {
                    this._initAndRunJsonSourceWizard(editJsonDataSourceWizard, jsonDataSource, jsonSchemaResponse.jsonSchemaJSON);
                }
            });
        }
        else {
            schema = JSON.stringify(dashboardJsonDataSourceJson.Schema);
            this._initAndRunJsonSourceWizard(editJsonDataSourceWizard, jsonDataSource, schema);
        }
    }
    _initAndRunJsonSourceWizard(editJsonDataSourceWizard, jsonDataSource, schemaJson) {
        editJsonDataSourceWizard.initialize({
            jsonDataSourceWizard: {
                jsonScheme: schemaJson,
                rootElement: jsonDataSource.rootElement()
            }
        }, (factory, stateManager) => new EditJsonDataSourceWizardIterator(factory, stateManager));
        editJsonDataSourceWizard['_finishCallback'] = (state) => {
            var jsonModel = state.jsonDataSourceWizard;
            if (jsonModel) {
                var modifiedReportsDataSource = (0,external_DevExpress_Analytics_Wizard_namespaceObject._restoreJsonDataSourceFromState)(jsonModel);
                jsonDataSource.schema(modifiedReportsDataSource.schema);
                jsonDataSource.rootElement(modifiedReportsDataSource.rootElement());
            }
            return (0,_jquery_helpers/* createJQueryDeferred */.KO)().resolve().promise();
        };
        this._renderAndStartWizard(editJsonDataSourceWizard);
    }
    _renderAndStartWizard(wizardModel) {
        var element = this._wizardElement();
        if (element) {
            external_ko_.cleanNode(element);
            var viewModel = {
                wizardModel: wizardModel,
                dataBindingsProvider: new ParametersItemProvider(this._dashboardParameters()),
                resizeHandler: {
                    starting: () => { },
                    stopped: () => { },
                    disabled: external_DevExpress_Analytics_Internal_.DragDropHandler.started
                }
            };
            (0,external_DevExpress_Analytics_Internal_.appendStaticContextToRootViewModel)(viewModel);
            external_ko_.applyBindingsToNode(element, { template: 'dx-dashboard-data-source-wizard-binding' }, viewModel);
            wizardModel.isVisible.subscribe(visible => {
                if (!visible) {
                    wizardModel.dispose();
                    external_ko_.cleanNode(element);
                }
            });
        }
        wizardModel.start();
    }
}
class MultiQueryDataSourceWizardExtension extends DataSourceWizardExtension {
    constructor(dashboardControl, options) {
        super(dashboardControl, options);
    }
    _createNewDataSourceWizardIterator(factory, stateManager) {
        return new DashboardMultiQueryWizardIterator(factory, stateManager);
    }
    createDataSourceWizard(connectionStrings, federationSources) {
        let wizard = createDashboardMultiQueryWizard(this._requestWrapper, this._dashboardParameters, !this.isCustomSqlEnabled, this._optionsManager.get('allowCreateNewJsonConnection') || this._optionsManager.getInitialOptions()['canCreateNewJsonDataSource'], this._optionsManager.get('wizardSettings'), connectionStrings, federationSources, this._dataSourceBrowser, this.dashboardControl.customTemplates);
        this._customizeDataSourceWizard('MultiQueryDataSourceWizard', wizard);
        return wizard;
    }
}
control_options/* designerExtensions */.YS[data_source_wizard_extension_nameAlias] = (dashboardControl, options) => new DataSourceWizardExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[data_source_wizard_extension_nameAlias] = data_source_wizard_extension_name;
external_ko_.virtualElements.allowedBindings['dx-dashboard-element-accessor-binding'] = true;
external_ko_.bindingHandlers['dx-dashboard-element-accessor-binding'] = {
    init: function (element, valueAccessor, _, __, bindingContext) {
        var params = external_ko_.unwrap(valueAccessor());
        params.element(element);
        return { controlsDescendantBindings: true };
    }
};

;// ./dist/designer/extensions/_available-data-sources-view-model.js
class AvailableDataSourcesViewModel {
    constructor(_dataSources, selectedDataSources, uiState, errorState, _showCreateDataSourceWizardDelegate) {
        this._dataSources = _dataSources;
        this.selectedDataSources = selectedDataSources;
        this.uiState = uiState;
        this.errorState = errorState;
        this._showCreateDataSourceWizardDelegate = _showCreateDataSourceWizardDelegate;
        this.showCreateDataSourceWizard = (federationSources) => {
            if (this.canCreateDataSourceWizard) {
                this._showCreateDataSourceWizardDelegate()(federationSources);
            }
        };
    }
    getDataSources(dataSourcesFilter = (() => true)) {
        return this._dataSources().filter(dataSourcesFilter);
    }
    get canCreateDataSourceWizard() {
        return !!this._showCreateDataSourceWizardDelegate();
    }
}

;// ./dist/designer/extensions/available-data-sources-extension.js











const available_data_sources_extension_name = 'availableDataSources';
const available_data_sources_extension_nameAlias = 'available-data-sources';
class AvailableDataSourcesExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this.name = available_data_sources_extension_name;
        this.templateName = 'dx-dashboard-datasource-available-datasources';
        this.selectedDataSources = external_ko_.observableArray();
        this.dataSources = external_ko_.observableArray();
        this._errorState = external_ko_.observable(null);
        this._uiState = external_ko_.observable('empty');
        let showCreateDataSourceWizardDelegate = external_ko_.computed(() => {
            var dataSourceWizardExtension = (this.dashboardControl.findExtension('dataSourceWizard'));
            if (dataSourceWizardExtension) {
                return (federationSources) => {
                    let createdDataSourcePromise = federationSources ? dataSourceWizardExtension._showDataSourceCreatingDialog(federationSources) : dataSourceWizardExtension.showDataSourceCreatingDialog();
                    createdDataSourcePromise.done(dataSource => {
                        _helper_classes/* NameGenerator */.$A.validateName(dataSource, this.dataSources(), 'name', 1, true);
                        this.dataSources.push(dataSource);
                    });
                };
            }
            else {
                return null;
            }
        });
        this.toDispose(showCreateDataSourceWizardDelegate);
        let isInitialized = false;
        let uiStateComputed = external_ko_.computed(() => {
            if (!isInitialized) {
                this.loadAvailableDataSources();
                isInitialized = true;
            }
            return this._uiState();
        }, this, {
            deferEvaluation: true
        });
        this.toDispose(uiStateComputed);
        this.viewModel = new AvailableDataSourcesViewModel(this.dataSources, this.selectedDataSources, uiStateComputed, this._errorState, showCreateDataSourceWizardDelegate);
        (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
            target: this,
            memberName: 'loadAvaliableDataSources',
            oldMemberDisplayName: 'AvailableDataSourcesExtension.loadAvaliableDataSources',
            newMemberDisplayName: 'AvailableDataSourcesExtension.loadAvailableDataSources',
            action: () => this.loadAvailableDataSources()
        });
    }
    start() {
        if (this.dataSources().length > 0) {
            this.selectedDataSources([this.dataSources()[0]]);
        }
        (0,_knockout_utils/* subscribeArrayChange */.w$)(this.dataSources, {
            added: (item) => this.selectedDataSources([item])
        });
    }
    stop() {
        this._errorState(null);
    }
    loadAvailableDataSources() {
        if (this.dashboardControl._endpointCollection.dataSourceUrls) {
            this._uiState('loading');
            this.dashboardControl.remoteService.getFromServer(this.dashboardControl._endpointCollection.dataSourceUrls.GetDataSourcesAction)
                .then((result) => {
                let dataSources = (0,external_DevExpress_Analytics_Utils_.deserializeArray)(result, (item) => model_dashboard/* Dashboard */.x._createDataSource(item, new external_DevExpress_Analytics_Utils_.ModelSerializer()))();
                dataSources.forEach(dataSource => {
                    if (!dataSource.name()) {
                        dataSource.name(_helper_classes/* NameGenerator */.$A.generateName((0,_default/* getLocalizationById */.Mu)('DashboardStringId.DefaultDataSourceName') + ' ', dataSources, 'name', 1));
                    }
                });
                this.dataSources(dataSources);
                this._uiState('live');
            }, (errorInfo) => {
                let errorDetail = NotificationController._getDetailedErrorMessage(errorInfo);
                this._errorState({
                    title: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DataSources.AvailableDataSourcesError'),
                    detail: errorDetail
                });
                this._uiState('error');
            });
        }
    }
}
control_options/* designerExtensions */.YS[available_data_sources_extension_nameAlias] = (dashboardControl, options) => new AvailableDataSourcesExtension(dashboardControl);
control_options/* extensionNameMap */.RY[available_data_sources_extension_nameAlias] = available_data_sources_extension_name;

;// ./dist/designer/extensions/available-font-families-extension.js






const available_font_families_extension_name = 'availableFontFamilies';
const available_font_families_extension_nameAlias = 'available-font-families';
class AvailableFontFamiliesExtension extends dist_model.DisposableObject {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this.name = available_font_families_extension_name;
        this.fontFamilies = external_ko_.observableArray();
        this._disposables = [];
        this._isDataLoadingStarted = false;
    }
    start() {
        this._isDesignModeSubscription = (0,model_index_internal.subscribeAndPerform)(this.dashboardControl.isDesignMode, (isDesignMode => {
            if (isDesignMode) {
                this._rootSubscription = (0,model_index_internal.subscribeAndPerform)(this.dashboardControl.dashboard, (dashboard => {
                    this._dispose();
                    if (dashboard) {
                        const addRuleHandler = (rule) => {
                            if (!this._isDataLoadingStarted && !this.fontFamilies.length) {
                                this._isDataLoadingStarted = true;
                                this._loadAvailableFontFamilies().then(fonts => {
                                    this.fontFamilies(fonts);
                                });
                            }
                            const condition = rule.condition();
                            condition._getAvailableFontFamilies = () => this.fontFamilies;
                        };
                        const addItemHandler = (item) => {
                            if (this._isAppearanceItem(item)) {
                                item.formatRules().forEach(rule => {
                                    addRuleHandler(rule);
                                });
                                const subscription = (0,model_index_internal.subscribeArrayChange)(item.formatRules, { added: addRuleHandler });
                                this._disposables.push(subscription);
                                return subscription;
                            }
                            return external_ko_.computed(() => { });
                        };
                        dashboard.items().forEach(item => {
                            if (this._isAppearanceItem(item)) {
                                addItemHandler(item);
                            }
                        });
                        this._disposables.push((0,model_index_internal.subscribeToArrayItemProperties)(dashboard.items, addItemHandler));
                    }
                }));
            }
            else {
                this._dispose();
                this._rootSubscription && this._rootSubscription.dispose();
            }
        }));
    }
    stop() {
        this._dispose();
        this._isDesignModeSubscription.dispose();
        this._rootSubscription.dispose();
    }
    _dispose() {
        this._disposables.forEach(disposable => disposable.dispose());
        this._disposables = [];
    }
    _isAppearanceItem(item) {
        return item instanceof dist_model.GridItem
            || item instanceof dist_model.PivotItem
            || item instanceof dist_model.CardItem;
    }
    _loadAvailableFontFamilies() {
        if (this.dashboardControl._serviceClient()) {
            this._isDataLoadingStarted = true;
            return this.dashboardControl._serviceClient().getAvailableFontFamilies().then(fonts => fonts, error => {
                this.dashboardControl.notificationController.showError((0,index_internal.getLocalizationById)('DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies'));
                return [];
            });
        }
        return (0,_jquery_helpers/* createJQueryDeferred */.KO)().reject([]);
    }
}
control_options/* designerExtensions */.YS[available_font_families_extension_nameAlias] = (dashboardControl, options) => new AvailableFontFamiliesExtension(dashboardControl);
control_options/* extensionNameMap */.RY[available_font_families_extension_nameAlias] = available_font_families_extension_name;

;// ./dist/designer/extensions/binding-panel.js






const binding_panel_name = 'itemBindingPanel';
const binding_panel_nameAlias = 'item-binding-panel';
class BindingPanelExtension {
    constructor(dashboardControl, options = {}) {
        this.dashboardControl = dashboardControl;
        this.name = binding_panel_name;
        this._subscriptions = [];
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._optionsManager.initialize({
            extensionName: binding_panel_name,
            dashboardControl: dashboardControl,
            defaultOptions: {},
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => null
        });
    }
    _contextMenuSubscriber(dashboardItemMenu) {
        if (!!dashboardItemMenu) {
            if (this.dashboardControl._actualLayoutController().selectedDashboardItem() instanceof data_dashboard_item/* DataDashboardItem */.s) {
                this._updateDashboardItemMenu(dashboardItemMenu);
            }
        }
    }
    _updateEmptyItemTemplate(dashboardLayout) {
        if (dashboardLayout && dashboardLayout.emptyItemTemplates) {
            dashboardLayout.emptyItemTemplates.push({
                name: 'dx-dashboard-binding-properties-empty-item',
                data: {
                    isDesignMode: this.dashboardControl.isDesignMode,
                    click: () => {
                        var contextMenuExtension = this.dashboardControl.findExtension('itemMenu');
                        if (contextMenuExtension) {
                            contextMenuExtension.menuItemClick(binding_panel_nameAlias);
                        }
                    }
                }
            });
        }
    }
    _updateDashboardItemMenu(menu) {
        if (menu instanceof DashboardItemMenu && menu.selectedItemSurface instanceof _base_item_surface/* DataDashboardItemSurface */.r) {
            const surface = menu.selectedItemSurface;
            if (surface && surface.dataSections && surface.dataSections().length > 0) {
                surface.customizeDataItemContainerTabs = (args) => {
                    this._optionsManager.raiseEvent('customizeDataItemContainerSections', args);
                };
                menu.contextMenuItems.push({
                    menuItemId: binding_panel_nameAlias,
                    icon: 'dx-dashboard-item-options',
                    hint: 'DashboardWebStringId.Bindings',
                    popoverClass: 'dx-dashboard-binding-panel',
                    panelWidth: DashboardItemMenuSizes.BindingPanelPanelWidth(),
                    templateName: 'dx-dashboard-binding-properties',
                    detailVisible: external_ko_.observable(false),
                    customData: surface,
                    index: 100
                });
            }
        }
    }
    start() {
        this._updateEmptyItemTemplate(this.dashboardControl._actualLayoutController());
        this._subscriptions.push(this.dashboardControl._actualLayoutController.subscribe(layoutController => this._updateEmptyItemTemplate(layoutController)));
        var contextMenuExtension = this.dashboardControl.findExtension('itemMenu');
        if (contextMenuExtension) {
            this._subscriptions.push(contextMenuExtension._itemContextMenu.subscribe(this._contextMenuSubscriber, this));
            this._contextMenuSubscriber(contextMenuExtension._itemContextMenu());
        }
    }
    stop() {
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
    }
}
control_options/* designerExtensions */.YS[binding_panel_nameAlias] = (dashboardControl, options) => new BindingPanelExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[binding_panel_nameAlias] = binding_panel_name;

;// ./dist/designer/extensions/chart-indicators-extension.js

const chart_indicators_extension_name = 'chartIndicators';
const chart_indicators_extension_nameAlias = 'chart-indicators';
class ChartIndicatorsExtension {
    get customChartIndicators() {
        return this.options?.customIndicatorTypes;
    }
    constructor(dashboardControl, options) {
        this.dashboardControl = dashboardControl;
        this.options = options;
        this.name = chart_indicators_extension_name;
    }
}
control_options/* extensionNameMap */.RY[chart_indicators_extension_nameAlias] = chart_indicators_extension_name;

;// ./dist/designer/extensions/convert.js









const convert_name = 'itemConversionPanel';
const convert_nameAlias = 'item-conversion-panel';
class ConversionPanelExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = convert_name;
        this._subscriptions = [];
    }
    _contextMenuSubscriber(itemContextMenu) {
        if (!!itemContextMenu) {
            var item = this.dashboardControl._actualLayoutController().selectedDashboardItem();
            if (item instanceof data_dashboard_item/* DataDashboardItem */.s) {
                this._updateContextMenu(itemContextMenu, item, this.dashboardControl.dashboard(), this.dashboardControl._serviceClient());
            }
        }
    }
    start() {
        var contextMenuExtension = this.dashboardControl.findExtension('itemMenu');
        if (contextMenuExtension) {
            this._subscriptions.push(contextMenuExtension._itemContextMenu.subscribe(this._contextMenuSubscriber, this));
            this._contextMenuSubscriber(contextMenuExtension._itemContextMenu());
        }
    }
    stop() {
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
    }
    _updateContextMenu(itemContextMenu, dashboardItem, dashboard, serviceClient) {
        var toolboxExtension = this.dashboardControl.findExtension('toolbox');
        var _convertItem = (0,_utils/* asyncDebounce */.g5)(serviceClient.convertItem.bind(serviceClient), (result) => {
            var tmpDashboard = new model_dashboard/* Dashboard */.x(result);
            var newItem = tmpDashboard.items()[0];
            newItem.dataSource(dashboardItem.dataSource());
            newItem.componentName(undefined);
            dashboard._changeItem(dashboardItem, newItem);
        });
        const groups = toolboxExtension && toolboxExtension
            .toolboxGroups()
            .map(group => ({
            groupTitle: (0,_default/* getLocalizationById */.Mu)(group.title),
            items: group.items()
                .filter(item => !!item.type && item.type !== 'Group' && item.type !== 'Image' && item.type !== 'TabContainer' && !serializable_model/* itemTypesMap */.Jh[item.type].customItemType)
                .map(item => ({
                title: (0,_default/* getLocalizationById */.Mu)(item.title),
                icon: item.icon,
                convert: () => _convertItem(dashboardItem, dashboard_item/* DashboardItem */.K._getCommonItemType(item.type)),
                disabled: dashboardItem.itemType() === item.type,
                type: item.type
            }))
        }))
            .filter(group => group.items.length) || [];
        const viewModel = {
            groups,
            duplicate: () => dashboard._duplicateItem(dashboardItem),
            duplicateActionCaption: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Duplicate'),
        };
        itemContextMenu.contextMenuItems.push({
            menuItemId: convert_nameAlias,
            icon: 'dx-dashboard-convert',
            title: 'DashboardWebStringId.ConvertTo',
            panelWidth: DashboardItemMenuSizes.OptionsPanelWidth(),
            templateName: 'dx-dashboard-convert-to',
            detailVisible: external_ko_.observable(false),
            customData: viewModel,
            index: 400
        });
    }
}
control_options/* designerExtensions */.YS[convert_nameAlias] = (dashboardControl, options) => new ConversionPanelExtension(dashboardControl);
control_options/* extensionNameMap */.RY[convert_nameAlias] = convert_name;

;// ./dist/designer/extensions/create-dashboard.js






const create_dashboard_name = 'createDashboard';
const create_dashboard_nameAlias = 'create-dashboard';
class CreateDashboardExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = create_dashboard_name;
        this.showCreateNewDashboard = () => {
            var extension = this.dashboardControl.findExtension('toolbox');
            if (extension) {
                extension.selectMenuItem(this._newDashboardMenuItem);
            }
        };
        this._createNewDashboard = (dataSources, dashboardName) => {
            var toolboxExtension = this.dashboardControl.findExtension('toolbox');
            if (toolboxExtension) {
                toolboxExtension.menuVisible(false);
            }
            let createDashboardCallback = () => {
                var dashboardPropotype = new model_dashboard/* Dashboard */.x({});
                dashboardPropotype.title.text(dashboardName);
                dataSources.forEach(dataSource => {
                    var newDataSource = model_dashboard/* Dashboard */.x._createDataSource(new external_DevExpress_Analytics_Utils_.ModelSerializer({ useRefs: false }).serialize(dataSource), new external_DevExpress_Analytics_Utils_.ModelSerializer());
                    dashboardPropotype.dataSources.push(newDataSource);
                });
                this.performCreateDashboard(dashboardName, dashboardPropotype.getJSON());
            };
            let saveExtension = this.dashboardControl.findExtension('saveDashboard');
            if (saveExtension) {
                saveExtension.ensureDashboardSaved(createDashboardCallback);
            }
            else {
                createDashboardCallback();
            }
        };
        var accessibleDataSourcesExtension = external_ko_.computed(() => this.dashboardControl.findExtension('availableDataSources'));
        var clickHandler = () => {
            this._newDashboardMenuItem.template = 'dx-dashboard-form-new';
            this._newDashboardMenuItem.data = new CreateNewDashboardViewModel(accessibleDataSourcesExtension, this._createNewDashboard);
        };
        this._newDashboardMenuItem = new DashboardMenuItem(create_dashboard_nameAlias, 'DashboardWebStringId.DashboardMenuNew', 105, 78, () => clickHandler());
    }
    start() {
        var extension = this.dashboardControl.findExtension('toolbox');
        if (extension) {
            extension.menuItems.push(this._newDashboardMenuItem);
        }
        this.dashboardControl._emptyControlTemplates.push({
            name: 'dx-dashboard-add-new-dashboard',
            data: {
                isDesignMode: this.dashboardControl.isDesignMode,
                showCreateNewDashboard: this.showCreateNewDashboard
            }
        });
    }
    stop() {
        var extension = this.dashboardControl.findExtension('toolbox');
        if (extension) {
            extension.menuItems.remove(this._newDashboardMenuItem);
        }
        var template = this.dashboardControl._emptyControlTemplates().filter(temlp => temlp.name === 'dx-dashboard-add-new-dashboard')[0];
        if (template) {
            this.dashboardControl._emptyControlTemplates.remove(template);
        }
    }
    performCreateDashboard(dashboardName, dashboardJson) {
        this.dashboardControl.notificationController.showState((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.DashboardLoading'));
        return this.dashboardControl.remoteService.postToServer(this.dashboardControl._endpointCollection.dashboardUrls.GetDashboardsAction, { name: dashboardName, dashboard: dashboardJson })
            .then((result, status, query) => {
            this.dashboardControl.initializeDashboard(result['dashboardId'], result['dashboard'].Dashboard);
        }, request => {
            this.dashboardControl.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.NewDashboardCannotBeCreated'), request);
        });
    }
}
control_options/* designerExtensions */.YS[create_dashboard_nameAlias] = (dashboardControl, options) => new CreateDashboardExtension(dashboardControl);
control_options/* extensionNameMap */.RY[create_dashboard_nameAlias] = create_dashboard_name;
class CreateNewDashboardViewModel {
    constructor(accessibleDataSourcesExtension, _newDashboardCallback) {
        this.accessibleDataSourcesExtension = accessibleDataSourcesExtension;
        this._newDashboardCallback = _newDashboardCallback;
        this.dashboardName = external_ko_.observable();
        this.selectionMode = 'single';
        this.createNewDashboard = () => {
            this._newDashboardCallback(this.accessibleDataSourcesExtension().selectedDataSources(), this.dashboardName());
        };
        this.dashboardName((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.NewDashboard'));
        this.createNewDashboardDisabled = external_ko_.computed(() => {
            return !this.dashboardName() || !this.accessibleDataSourcesExtension() || this.accessibleDataSourcesExtension().selectedDataSources().length === 0;
        });
    }
}

;// ./dist/designer/items/_item-filter-properties-composer.js











class ItemFilterPropertiesComposer {
    constructor(dataSourceBrowser) {
        this.dataSourceBrowser = dataSourceBrowser;
    }
    composeTabs(item) {
        if (this.dataSourceBrowser.findDataSource(item.dataSource()) instanceof dist_model.OlapDataSource) {
            var itemFilterTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ItemFilter, 'DashboardWebStringId.AccordionTab.ItemFilter');
            this._fillSimpleFilterTab(itemFilterTab, item, this.dataSourceBrowser);
            return [itemFilterTab];
        }
        else {
            var itemFilterTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.ItemFilter, 'DashboardWebStringId.AccordionTab.ItemFilter');
            var visibleDataFilterTab = new _accordion_tab/* AccordionTab */.gV(_accordion_tab/* KnownTabs */.iq.VisibleDataFilter, 'DashboardWebStringId.AccordionTab.VisibleDataFilter');
            this._fillFilterTab(itemFilterTab, item, item.filterString, this.dataSourceBrowser, _data_dashboard_item/* filterString */.GX);
            this._fillFilterTab(visibleDataFilterTab, item, item.visibleDataFilterString, this.dataSourceBrowser, _data_dashboard_item/* visibleDataFilterString */.g6);
            return [itemFilterTab, visibleDataFilterTab];
        }
    }
    _fillFilterTab(tab, dashboardItem, targetObservable, dataSourceBrowser, propertyDescriptor) {
        let wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: dashboardItem,
            properties: [
                {
                    ...propertyDescriptor,
                    formAdapterItem: (0,_form_adapter_editors/* filterEditor */.iP)({
                        fieldListProvider: external_ko_.observable(new _item_filter_items_provider/* ItemFilterItemsProvider */.Nk(dataSourceBrowser, dataSourceBrowser, dataSourceBrowser.parameters, dashboardItem, (di) => { return di instanceof dist_model.Dimension; })),
                        options: (0,_filter_utils/* createItemFilterOptions */.uv)(targetObservable, undefined, dataSourceBrowser),
                        displayNameProvider: new _item_filter_display_name_provider/* ItemFilterDisplayNameProvider */.c(dashboardItem, dataSourceBrowser)
                    })
                }
            ],
            summary: (0,_knockout_utils/* safeComputed */.Tq)({ filterString: targetObservable }, (args) => { return !!args.filterString ? (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ButtonOn') : ''; })
        });
        tab.tabModel(wrapper);
    }
    _fillSimpleFilterTab(tab, dashboardItem, dataSourceBrowser) {
        let wrapper = new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: dashboardItem,
            properties: [
                {
                    ..._data_dashboard_item/* filterString */.GX,
                    formAdapterItem: (0,_form_adapter_editors/* simpleFilterEditor */.Uj)({
                        dashboardItem, dataSourceBrowser
                    })
                }
            ],
            summary: (0,_knockout_utils/* safeComputed */.Tq)({ filterString: dashboardItem.filterString }, (args) => { return !!args.filterString ? (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.ButtonOn') : ''; })
        });
        tab.tabModel(wrapper);
    }
}

;// ./dist/designer/extensions/filter-panel-extension.js





const filter_panel_extension_name = 'itemFilterPanel';
const filter_panel_extension_nameAlias = 'item-filter-panel';
class FilterPanelExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = filter_panel_extension_name;
        this._subscriptions = [];
    }
    _contextMenuSubscriber(itemContextMenu) {
        if (!!itemContextMenu) {
            var item = this.dashboardControl._actualLayoutController().selectedDashboardItem();
            this._updateContextMenu(itemContextMenu, item);
        }
    }
    _updateContextMenu(menu, item) {
        if (menu instanceof DashboardItemMenu && item instanceof dist_model.DataDashboardItem) {
            menu.contextMenuItems.push({
                menuItemId: filter_panel_extension_nameAlias,
                icon: 'dx-dashboard-item-filter',
                title: 'DashboardWebStringId.Filters',
                panelWidth: DashboardItemMenuSizes.OptionsPanelWidth(),
                templateName: 'dx-dashboard-options',
                detailVisible: external_ko_.observable(false),
                showMenu: () => {
                    var composer = new ItemFilterPropertiesComposer(this.dashboardControl._dataSourceBrowser);
                    var tabs = composer.composeTabs(item);
                    menu.propertiesController.mainModel({
                        data: {
                            model: item,
                            propertiesTabs: external_ko_.observableArray(tabs),
                        }
                    });
                },
                customData: {
                    propertiesController: menu.propertiesController,
                },
                index: 150
            });
        }
    }
    start() {
        var contextMenuExtension = this.dashboardControl.findExtension('itemMenu');
        if (contextMenuExtension) {
            this._subscriptions.push(contextMenuExtension._itemContextMenu.subscribe(this._contextMenuSubscriber, this));
            this._contextMenuSubscriber(contextMenuExtension._itemContextMenu());
        }
    }
    stop() {
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
    }
}
control_options/* designerExtensions */.YS[filter_panel_extension_nameAlias] = (dashboardControl, options) => new FilterPanelExtension(dashboardControl);
control_options/* extensionNameMap */.RY[filter_panel_extension_nameAlias] = filter_panel_extension_name;

;// ./dist/designer/extensions/interactivity-panel.js




const interactivity_panel_name = 'itemInteractivityPanel';
const interactivity_panel_nameAlias = 'item-interactivity-panel';
class InteractivityPanelExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = interactivity_panel_name;
        this._subscriptions = [];
    }
    _contextMenuSubscriber(itemContextMenu) {
        if (!!itemContextMenu) {
            var item = this.dashboardControl._actualLayoutController().selectedDashboardItem();
            this._updateContextMenu(itemContextMenu, item);
        }
    }
    _updateContextMenu(menu, item) {
        if (item._isInteractivityAllowed()) {
            if (menu instanceof DashboardItemMenu) {
                menu.contextMenuItems.push({
                    menuItemId: interactivity_panel_nameAlias,
                    icon: 'dx-dashboard-interactivity',
                    title: 'DashboardWebStringId.Interactivity',
                    panelWidth: DashboardItemMenuSizes.OptionsPanelWidth(),
                    templateName: 'dx-dashboard-options',
                    detailVisible: external_ko_.observable(false),
                    showMenu: () => {
                        var composer = new InteractivityPropertiesComposer(menu.propertiesController);
                        var tabs = composer.composeTabs(item);
                        menu.propertiesController.mainModel({
                            data: {
                                model: item,
                                propertiesTabs: external_ko_.observableArray(tabs),
                            }
                        });
                    },
                    customData: {
                        propertiesController: menu.propertiesController,
                    },
                    index: 200
                });
            }
        }
    }
    start() {
        var contextMenuExtension = this.dashboardControl.findExtension('itemMenu');
        if (contextMenuExtension) {
            this._subscriptions.push(contextMenuExtension._itemContextMenu.subscribe(this._contextMenuSubscriber, this));
            this._contextMenuSubscriber(contextMenuExtension._itemContextMenu());
        }
    }
    stop() {
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
    }
}
control_options/* designerExtensions */.YS[interactivity_panel_nameAlias] = (dashboardControl, options) => new InteractivityPanelExtension(dashboardControl);
control_options/* extensionNameMap */.RY[interactivity_panel_nameAlias] = interactivity_panel_name;

;// ./dist/designer/extensions/item-context-menu-extension.js






const item_context_menu_extension_name = 'itemMenu';
const item_context_menu_extension_nameAlias = 'item-menu';
class DashboardItemMenuExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this.name = item_context_menu_extension_name;
        this._itemContextMenu = external_ko_.observable();
    }
    start() {
        this._disposables.push(this.dashboardControl._actualLayoutController.subscribe(layoutController => this._updateExtension(layoutController)));
        this._updateExtension(this.dashboardControl._actualLayoutController());
    }
    stop() {
        this._disposables.forEach(disposable => disposable?.dispose());
    }
    processKeyEvent(keyEventType, eventArgs) {
        if (keyEventType === 'keydown' && eventArgs.keyCode === KeyCodes.Esc) {
            let menu = this._itemContextMenu();
            if (menu && menu instanceof DashboardItemMenu) {
                if (menu.isSecondaryPanelVisible()) {
                    menu.hideBindingProperties();
                    return true;
                }
                else if (menu.propertiesController.mainModel()) {
                    menu.hideBindingProperties();
                    return true;
                }
                else if (menu.menuItemDetailVisible()) {
                    menu.hideBindingPanel();
                    return true;
                }
            }
        }
        return false;
    }
    menuItemClick(menuItemId) {
        let menu = this._itemContextMenu();
        if (menu && menu instanceof DashboardItemMenu) {
            var contextMenuItem = menu.contextMenuItems().filter(item => item.menuItemId === menuItemId)[0];
            if (contextMenuItem) {
                menu.menuItemClick(contextMenuItem.menuItemId);
            }
        }
    }
    _updateExtension(layoutController) {
        var that = this;
        if (layoutController != null && layoutController instanceof DockingLayoutController) {
            layoutController.contextMenu = (layoutItem) => {
                return {
                    data: {
                        dockingLayoutController: layoutController,
                        layoutItem: layoutItem,
                        itemMenuViewModelContainer: that._itemContextMenu,
                        notificationController: that.dashboardControl.notificationController
                    },
                    name: 'dx-dashboard-item-menu-holder'
                };
            };
        }
    }
}
control_options/* designerExtensions */.YS[item_context_menu_extension_nameAlias] = (dashboardControl, options) => new DashboardItemMenuExtension(dashboardControl);
control_options/* extensionNameMap */.RY[item_context_menu_extension_nameAlias] = item_context_menu_extension_name;

;// ./dist/designer/extensions/layout-options-editor/layout-options-editor.js





const layout_options_editor_name = 'layoutOptionEditor';
class LayoutOptionEditorExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl) {
        super();
        this.name = layout_options_editor_name;
        this._dashboardControl = dashboardControl;
        let widthItems = getDimensionToolbarItems((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DesignerToolbar.Width'), 'width');
        let heightItems = getDimensionToolbarItems((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.DesignerToolbar.Height'), 'height');
        this._predefinedToolbarItems = widthItems.items.concat(heightItems.items);
        this._defaultToolbarItems = this._predefinedToolbarItems.map((item, index) => ({ name: item.name, index: LayoutOptionEditorExtension._toolbarItemsIndex + index }));
        this._refreshItems = (layoutOptions) => {
            widthItems.assignModel(layoutOptions && layoutOptions.width);
            heightItems.assignModel(layoutOptions && layoutOptions.height);
        };
        this._disposeItems = () => {
            widthItems.dispose();
            heightItems.dispose();
        };
    }
    start() {
        this._addToolbarItems(this._dashboardControl.findExtension('designerToolbar'));
        this._extensionsChangeSubscription && this._extensionsChangeSubscription.dispose();
        this._extensionsChangeSubscription = this._dashboardControl.subscribeExtensionsChanged({
            added: (extension) => {
                if (extension.name === 'designerToolbar') {
                    this._addToolbarItems(extension);
                }
            },
            deleted: (extension) => {
                if (extension.name === 'designerToolbar') {
                    this._removeToolbarItems(extension);
                }
            }
        });
        this._dashboardSubscription && this._dashboardSubscription.dispose();
        this._dashboardSubscription = (0,_knockout_utils/* subscribeAndPerform */.l4)(this._dashboardControl.dashboard, dashboard => this._refreshItems(dashboard && dashboard.layoutOptions));
    }
    stop() {
        this._extensionsChangeSubscription && this._extensionsChangeSubscription.dispose();
        this._dashboardSubscription && this._dashboardSubscription.dispose();
        this._removeToolbarItems(this._dashboardControl.findExtension('designerToolbar'));
    }
    _addToolbarItems(toolbar) {
        if (toolbar) {
            toolbar._unregisterDefaultItems(this._defaultToolbarItems);
            toolbar._unregisterPredefinedItems(this._predefinedToolbarItems);
            toolbar._registerDefaultItems(this._defaultToolbarItems);
            toolbar._registerPredefinedItems(this._predefinedToolbarItems);
            toolbar._update();
        }
    }
    _removeToolbarItems(toolbar) {
        if (toolbar) {
            toolbar._unregisterDefaultItems(this._defaultToolbarItems);
            toolbar._unregisterPredefinedItems(this._predefinedToolbarItems);
            toolbar._update();
        }
    }
    dispose() {
        this.stop();
        this._disposeItems();
        super.dispose();
    }
}
LayoutOptionEditorExtension._toolbarItemsIndex = 100;
control_options/* designerExtensions */.YS[layout_options_editor_name] = (dashboardControl, options) => new LayoutOptionEditorExtension(dashboardControl);
control_options/* extensionNameMap */.RY[layout_options_editor_name] = layout_options_editor_name;

;// ./dist/designer/extensions/open-dashboard.js




const open_dashboard_name = 'openDashboard';
const open_dashboard_nameAlias = 'open-dashboard';
class OpenDashboardExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = open_dashboard_name;
        this._menuItem = new DashboardMenuItem(open_dashboard_nameAlias, 'DashboardWebStringId.DashboardMenuOpen', 108, 79);
        this._menuItem.template = 'dx-dashboard-form-open';
        this._menuItem.data = {
            dashboardsListStore: (loadOptions) => {
                let def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                this.dashboardControl.requestDashboardList().done(items => {
                    new (external_DevExpress_data_ArrayStore_default())(items).load({ filter: loadOptions.searchValue ? [loadOptions.searchExpr, loadOptions.searchOperation, loadOptions.searchValue] : null }).then(function (data) {
                        def.resolve(data);
                    });
                });
                return def;
            },
            openDashboard: (e) => {
                let toolboxExtension = this.dashboardControl.findExtension('toolbox');
                if (toolboxExtension) {
                    toolboxExtension.menuVisible(false);
                }
                let openDashboardCallback = () => this.loadDashboard(e.itemData.id);
                let saveExtension = this.dashboardControl.findExtension('saveDashboard');
                if (saveExtension) {
                    saveExtension.ensureDashboardSaved(openDashboardCallback);
                }
                else {
                    openDashboardCallback();
                }
            }
        };
    }
    start() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.push(this._menuItem);
        }
    }
    stop() {
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.remove(this._menuItem);
        }
    }
    loadDashboard(dashboardId) {
        return this.dashboardControl.loadDashboard(dashboardId);
    }
}
control_options/* designerExtensions */.YS[open_dashboard_nameAlias] = (dashboardControl, options) => new OpenDashboardExtension(dashboardControl);
control_options/* extensionNameMap */.RY[open_dashboard_nameAlias] = open_dashboard_name;

;// ./dist/designer/extensions/options-panel-extension.js




const options_panel_extension_name = 'itemOptionsPanel';
const options_panel_extension_nameAlias = 'item-options-panel';
class OptionsPanelExtension {
    constructor(dashboardControl, options = {}) {
        this.dashboardControl = dashboardControl;
        this.name = options_panel_extension_name;
        this._subscriptions = [];
        this._perMenuSubscriptions = [];
        this._customizeTabsHandlers = [];
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._optionsManager.initialize({
            extensionName: options_panel_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: {},
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => null
        });
    }
    _contextMenuSubscriber(itemContextMenu) {
        if (!!itemContextMenu) {
            var item = this.dashboardControl._actualLayoutController().selectedDashboardItem();
            this._updateContextMenu(itemContextMenu, item, this.dashboardControl.dashboard(), this.dashboardControl._dataSourceBrowser);
        }
    }
    start() {
        var contextMenuExtension = this.dashboardControl.findExtension('itemMenu');
        if (contextMenuExtension) {
            this._subscriptions.push(contextMenuExtension._itemContextMenu.subscribe(this._contextMenuSubscriber, this));
            this._contextMenuSubscriber(contextMenuExtension._itemContextMenu());
        }
    }
    stop() {
        this._perMenuSubscriptions.forEach(s => s.dispose());
        this._perMenuSubscriptions = [];
        this._subscriptions.forEach(s => s.dispose());
        this._subscriptions = [];
    }
    _updateContextMenu(menu, item, dashboard, dataSourceBrowser) {
        let composer;
        if (menu.selectedItemSurface) {
            composer = menu.selectedItemSurface.getPropertiesComposer();
            menu.selectedItemSurface.customizeDashboardItemTabs = (args) => {
                this._optionsManager.raiseEvent('customizeSections', args);
            };
        }
        menu.contextMenuItems.push({
            menuItemId: options_panel_extension_nameAlias,
            icon: 'dx-dashboard-properties',
            title: 'DashboardWebStringId.Options',
            panelWidth: DashboardItemMenuSizes.OptionsPanelWidth(),
            templateName: 'dx-dashboard-options',
            detailVisible: external_ko_.observable(false),
            showMenu: () => {
                let args = { dataSourceBrowser, dashboard, propertiesController: menu.propertiesController };
                let tabs = composer.composeTabs(item, args);
                this._customizeTabsHandlers.forEach(handler => handler(tabs, item));
                menu.propertiesController.mainModel({
                    data: {
                        model: item,
                        propertiesTabs: external_ko_.observableArray(tabs),
                    }
                });
            },
            customData: {
                propertiesController: menu.propertiesController,
            },
            index: 300
        });
    }
    _subscribeTabsChanged(handler) {
        if (this._customizeTabsHandlers.indexOf(handler) === -1) {
            this._customizeTabsHandlers.push(handler);
        }
        return {
            dispose: () => {
                this._customizeTabsHandlers.splice(this._customizeTabsHandlers.indexOf(handler), 1);
            }
        };
    }
}
control_options/* designerExtensions */.YS[options_panel_extension_nameAlias] = (dashboardControl, options) => new OptionsPanelExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[options_panel_extension_nameAlias] = options_panel_extension_name;

;// ./dist/designer/extensions/save-dashboard-extension.js







const save_dashboard_extension_name = 'saveDashboard';
const save_dashboard_extension_nameAlias = 'save-dashboard';
class SaveDashboardExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = save_dashboard_extension_name;
        this._confirmDialogViewModel = new _confirm_dialog/* ConfirmDialogViewModel */.b();
        this.canSaveDashboard = external_ko_.computed(() => !!this.dashboardControl.dashboard());
        this._isDashboardDirty = external_ko_.computed(() => this._undoEngineExtension && this._undoEngineExtension.isChanged());
        this._customTemplate = {
            name: 'dx-dashboard-confirm-dialog',
            data: this._confirmDialogViewModel
        };
        this.designerToViewerAction = {
            orderNo: 20,
            action: options => {
                var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
                this._ensureDashboardSaved()
                    .then(() => {
                    if (this._isDashboardDirty()) {
                        var container = this.dashboardControl.dashboardContainer();
                        this.dashboardControl.loadDashboard(container.id)
                            .done(() => def.resolve(options));
                    }
                    def.resolve(options);
                }, () => def.reject());
                return def.promise();
            }
        };
        this._menuItem = new DashboardMenuItem('save', 'DashboardWebStringId.DashboardMenuSave', 110, KeyCodes.S, () => { this._toolboxExtension.closeMenu(); this.saveDashboard(); });
        this._menuItem.hasSeparator = true;
        this._menuItem.disabled = external_ko_.computed(() => !this.canSaveDashboard() || !this._isDashboardDirty());
    }
    start() {
        this.dashboardControl.customTemplates.push(this._customTemplate);
        this._toolboxExtension.menuItems.push(this._menuItem);
    }
    stop() {
        this._toolboxExtension.menuItems.remove(this._menuItem);
        this.dashboardControl.customTemplates.remove(this._customTemplate);
    }
    get _toolboxExtension() {
        var extension = this.dashboardControl.findExtension('toolbox');
        if (!extension) {
            throw Error('Open Dashboard Extension requeries Toolbox Extension');
        }
        return extension;
    }
    get _undoEngineExtension() {
        return this.dashboardControl.findExtension('undoRedo');
    }
    performSaveDashboard(dashboardId, dashboardJson) {
        this.dashboardControl.notificationController.showState((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.DashboardSaving'));
        return this.dashboardControl.remoteService.postToServer(this.dashboardControl._endpointCollection.dashboardUrls.DashboardAction + '/' + encodeURIComponent(dashboardId), dashboardJson)
            .done((result) => {
            this.dashboardControl.notificationController.showSuccess((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.DashboardSaved'));
        }).fail((jqXHR) => {
            this.dashboardControl.notificationController.showError((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.DashboardCanNotBeSaved'), jqXHR);
        });
    }
    ensureDashboardSaved(action) {
        this._ensureDashboardSaved().done(action);
    }
    _ensureDashboardSaved() {
        let def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
        if (this._isDashboardDirty()) {
            this._confirmDialogViewModel
                .confirm((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.ConfirmSaving'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.SaveConfirmationDialogMessage') + '<br/>' + (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.SaveChangesDialogMessage'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.Save'), (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Dialog.DoNotSave'))
                .then(result => {
                if (result) {
                    this.saveDashboard()
                        .then(() => def.resolve(), () => def.reject());
                }
                else {
                    def.resolve();
                }
            }, () => def.reject());
        }
        else {
            def.resolve();
        }
        return def.promise();
    }
    saveDashboard() {
        if (this.canSaveDashboard()) {
            var dashboardContainer = this.dashboardControl.dashboardContainer();
            return this.performSaveDashboard(dashboardContainer.id, dashboardContainer.dashboard.getJSON())
                .done(() => this._undoEngineExtension && this._undoEngineExtension.isChanged(false));
        }
        else {
            throw Error((0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Notification.DashboardSavingIsNotAvailable'));
        }
    }
}
control_options/* designerExtensions */.YS[save_dashboard_extension_nameAlias] = (dashboardControl, options) => new SaveDashboardExtension(dashboardControl);
control_options/* extensionNameMap */.RY[save_dashboard_extension_nameAlias] = save_dashboard_extension_name;

// EXTERNAL MODULE: ./dist/model/metadata/_title.js
var _title = __webpack_require__(3411);
;// ./dist/designer/extensions/title-settings.js











const title_settings_name = 'dashboardTitleEditor';
const title_settings_nameAlias = 'dashboard-title-editor';
class DashboardTitleEditorExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this.name = title_settings_name;
        this._titlePreviewViewModel = external_ko_.observable(null);
        this._titleSettingsViewModel = external_ko_.observable(null);
        this._perDashboardSubscriptions = [];
        this._menuItem = new DashboardMenuItem(title_settings_nameAlias, 'DashboardStringId.Title', 220, 84);
        this._menuItem.template = 'dx-dashboard-form-title-settings';
        this._menuItem.data = {
            formCaption: (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.Preview'),
            titleSettings: this._titleSettingsViewModel,
            getTitleComponentArgs: $element => ({
                options: this._titlePreviewViewModel,
                height: external_ko_.observable(_dashboard_title_view_constants_titleHeight),
                width: external_ko_.observable($element.parentElement.innerWidth),
                encodeHtml: true
            })
        };
        this._menuItem.disabled = external_ko_.computed(() => !dashboardControl.dashboard());
    }
    start() {
        this._updateTitleToolbar();
        this.toDispose(this.dashboardControl.dashboard.subscribe(() => this._updateTitleToolbar()));
        let toolbarExtension = this.dashboardControl.findExtension('toolbox');
        if (toolbarExtension) {
            toolbarExtension.menuItems.push(this._menuItem);
        }
    }
    stop() {
        let toolbarExtension = this.dashboardControl.findExtension('toolbox');
        if (toolbarExtension) {
            toolbarExtension.menuItems.remove(this._menuItem);
        }
        this.dispose();
    }
    dispose() {
        this._disposePerDashboardSubscriptions();
        super.dispose();
    }
    _disposePerDashboardSubscriptions() {
        this._perDashboardSubscriptions.forEach(disposable => disposable.dispose());
        this._perDashboardSubscriptions = [];
        if (this._titlePreviewViewModel()) {
            this._titleSettingsViewModel().unbindModel();
        }
        this._titlePreviewViewModel(null);
        this._titleSettingsViewModel(null);
    }
    _updateTitleToolbar() {
        this._disposePerDashboardSubscriptions();
        if (this.dashboardControl.dashboard()) {
            let titleModel = new DashboardTitleModel(undefined, this.dashboardControl.dashboard());
            this._titlePreviewViewModel(titleModel.toolbarOptions());
            this._titleSettingsViewModel(this._createTitleSettings(this.dashboardControl.dashboard().title));
            this._perDashboardSubscriptions.push(titleModel, titleModel.toolbarOptions.subscribe(newOptions => {
                this._titlePreviewViewModel(newOptions);
            }));
        }
    }
    _createTitleSettings(titleModel) {
        const visibilityRules = {};
        visibilityRules[_title/* titleImage64 */.aY.propertyName] = () => titleModel.imageType() === 'embedded';
        visibilityRules[_base_metadata/* url */.OZ.propertyName] = () => titleModel.imageType() === 'linked';
        return new _object_properties_wrapper/* ObjectPropertiesWrapper */.U({
            model: titleModel,
            properties: [
                _title/* titleText */.Qw,
                _title/* titleVisible */.r1,
                _title/* titleAlignment */.k6,
                _title/* includeMasterFilter */.Hc,
                _title/* titleImageType */.KX,
                {
                    ..._title/* titleImage64 */.aY,
                    formAdapterItem: (0,_form_adapter_editors/* filePickerEditor */.Ip)({ placeholderId: 'Image', accept: 'image/bmp, image/gif, image/x-ico, image/jpeg, image/png, image/tiff', type: 'img' })
                },
                _title/* titleImageUrl */.Bd
            ],
            visibilityFilterRules: visibilityRules,
        });
    }
}
control_options/* designerExtensions */.YS[title_settings_nameAlias] = (dashboardControl, options) => new DashboardTitleEditorExtension(dashboardControl);
control_options/* extensionNameMap */.RY[title_settings_nameAlias] = title_settings_name;

;// ./dist/designer/extensions/undo-engine-extension.js













const undo_engine_extension_name = 'undoRedo';
const undo_engine_extension_nameAlias = 'undo-redo';
class UndoRedoExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this.name = undo_engine_extension_name;
        this._undoEngine = external_ko_.observable();
        this._predefinedToolbarItems = [];
        this._defaultToolbarItems = [];
        this.isChanged = external_ko_.computed({
            read: () => !!(this._undoEngine() && this._undoEngine().isDirty()),
            write: (value) => this._undoEngine() && this._undoEngine().isDirty(value)
        });
        (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
            target: this,
            memberName: 'undoEngine',
            oldMemberDisplayName: 'UndoRedoExtension.undoEngine',
            warmMessage: 'The undoEngine property is obsolete.',
            action: () => {
                return this._undoEngine;
            }
        });
    }
    reset() {
        if (this._undoEngine()) {
            this._undoEngine().reset();
        }
    }
    processKeyEvent(keyEventType, eventArgs) {
        if (keyEventType === 'keyup' && eventArgs.ctrlKey) {
            if (eventArgs.keyCode === KeyCodes.Z && this._undoEngine().undoEnabled()) {
                this._undoEngine().undo();
                return true;
            }
            else if (eventArgs.keyCode === KeyCodes.Y && this._undoEngine().redoEnabled()) {
                this._undoEngine().redo();
                return true;
            }
        }
        else if (keyEventType === 'keydown' && eventArgs.ctrlKey && [KeyCodes.Z, KeyCodes.Y].indexOf(eventArgs.keyCode) !== -1) {
            eventArgs.preventDefault();
            return true;
        }
        return false;
    }
    start() {
        this.toDispose(this.dashboardControl.dashboard.subscribe(prevDashboard => {
            this.reset();
        }, null, 'beforeChange'));
        this.toDispose(this.dashboardControl.dashboard.subscribe(newDashboard => {
            var undoEngine = new DashboardUndoEngine(newDashboard, null, 'getInfo');
            _undo_engine_helper/* UndoEngineContainer */.aY.undoEngine = undoEngine;
            this._undoEngine(undoEngine);
        }));
        this._controlOptionChangedHandler = this._onControlOptionChanged.bind(this);
        this.dashboardControl.on('optionChanged', this._controlOptionChangedHandler);
        this._setShowConfirmationDialog(this.dashboardControl.showConfirmationOnBrowserClosing);
        let undoButton = this._createToolbarItem('undoButton', () => this.undo(), 'dx-dashboard-undo', (0,_default/* getLocalizationById */.Mu)('DashboardStringId.UndoText'), external_ko_.pureComputed(() => !this.undoEnabled()));
        let redoButton = this._createToolbarItem('redoButton', () => this.redo(), 'dx-dashboard-redo', (0,_default/* getLocalizationById */.Mu)('DashboardStringId.RedoText'), external_ko_.pureComputed(() => !this.redoEnabled()));
        let separator = { name: 'undoRedoSeparator', location: 'before', ...createToolbarSeparator() };
        this._predefinedToolbarItems = [undoButton, redoButton, separator];
        if (legacy_settings/* LegacySettings */.l.showUndoRedoButtonsInToolbox) {
            let toolboxExtension = this.dashboardControl.findExtension('toolbox');
            if (!!toolboxExtension) {
                let undoItem = new DashboardToolbarItem('undo', () => this.undo(), 'dx-dashboard-undo', 'DashboardStringId.UndoText');
                undoItem.disabled = external_ko_.pureComputed(() => !this.undoEnabled());
                let redoItem = new DashboardToolbarItem('redo', () => this.redo(), 'dx-dashboard-redo', 'DashboardStringId.RedoText');
                redoItem.disabled = external_ko_.pureComputed(() => !this.redoEnabled());
                this._toolboxToolbarGroup = new DashboardToolbarGroup('undo-redo', 'Undo/Redo', 50, undoItem, redoItem);
                toolboxExtension.toolbarGroups.push(this._toolboxToolbarGroup);
            }
        }
        else {
            this._defaultToolbarItems = this._predefinedToolbarItems.map((item, index) => ({ name: item.name, index: UndoRedoExtension._toolbarItemsIndex + index }));
        }
        this._addToolbarItems(this.dashboardControl.findExtension('designerToolbar'));
    }
    _createToolbarItem(name, action, icon, hint, disabled) {
        let subscription;
        return {
            name: name,
            location: 'before',
            widget: 'dxButton',
            cssClass: `dx-dashboard-undo-redo-button ${icon}`,
            options: {
                hint: hint,
                stylingMode: 'text',
                onClick: action,
                focusStateEnabled: false,
                activeStateEnabled: false,
                disabled: disabled(),
                template: (args) => (0,_utils/* getSvgElementByTemplate */.aZ)(icon),
                onInitialized: (args) => {
                    subscription = (0,_knockout_utils/* subscribeAndPerform */.l4)(disabled, () => {
                        args.component && args.component.option('disabled', disabled());
                    });
                },
                onDisposed: () => {
                    subscription.dispose();
                }
            }
        };
    }
    _addToolbarItems(toolbar) {
        if (toolbar) {
            toolbar._unregisterDefaultItems(this._defaultToolbarItems);
            toolbar._unregisterPredefinedItems(this._predefinedToolbarItems);
            toolbar._registerDefaultItems(this._defaultToolbarItems);
            toolbar._registerPredefinedItems(this._predefinedToolbarItems);
            toolbar._update();
        }
    }
    _removeToolbarItems(toolbar) {
        if (toolbar) {
            toolbar._unregisterDefaultItems(this._defaultToolbarItems);
            toolbar._unregisterPredefinedItems(this._predefinedToolbarItems);
            toolbar._update();
        }
    }
    undo() {
        this._undoEngine() && this._undoEngine().undo();
    }
    redo() {
        this._undoEngine() && this._undoEngine().redo();
    }
    undoEnabled() {
        return !!(this._undoEngine() && this._undoEngine().undoEnabled());
    }
    redoEnabled() {
        return !!(this._undoEngine() && this._undoEngine().redoEnabled());
    }
    stop() {
        this._removeToolbarItems(this.dashboardControl.findExtension('designerToolbar'));
        let toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension && this._toolboxToolbarGroup) {
            toolboxExtension.toolbarGroups.remove(this._toolboxToolbarGroup);
        }
        this.reset();
        if (this._controlOptionChangedHandler)
            this.dashboardControl.off('optionChanged', this._controlOptionChangedHandler);
        this._setShowConfirmationDialog(false);
    }
    _onControlOptionChanged(args) {
        switch (args.name) {
            case 'showConfirmationOnBrowserClosing':
                this._setShowConfirmationDialog(args.value);
                break;
        }
    }
    _setShowConfirmationDialog(value) {
        if (value) {
            this._beforeWindowUnloadHandler = this._onBeforeWindowUnload.bind(this);
            window.onbeforeunload = this._beforeWindowUnloadHandler;
        }
        else {
            if (this._beforeWindowUnloadHandler)
                window.onbeforeunload = null;
            this._beforeWindowUnloadHandler = null;
        }
    }
    _onBeforeWindowUnload(event) {
        if (this.dashboardControl.isDesignMode() && this.isChanged()) {
            event.preventDefault();
            return event.returnValue = (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.LayoutHasBeenChangedDialogMessage') + ' ' + (0,_default/* getLocalizationById */.Mu)('DashboardWebStringId.SaveConfirmationDialogMessage');
        }
    }
}
UndoRedoExtension._toolbarItemsIndex = 0;
class DashboardUndoEngine extends external_DevExpress_Analytics_Utils_.UndoEngine {
    constructor(target, ignoredProperties, getInfoMethodName) {
        super(target, ignoredProperties, getInfoMethodName);
    }
    validatePropertyName(target, propertyName) {
        return propertyName;
    }
}
control_options/* designerExtensions */.YS[undo_engine_extension_nameAlias] = (dashboardControl, options) => new UndoRedoExtension(dashboardControl);
control_options/* extensionNameMap */.RY[undo_engine_extension_nameAlias] = undo_engine_extension_name;

;// ./dist/designer/parameter-settings/parameters-editor-extension.js




const parameters_editor_extension_name = 'dashboardParameterEditor';
const parameters_editor_extension_nameAlias = 'dashboard-parameter-editor';
class DashboardParameterEditorExtension {
    constructor(dashboardControl) {
        this.dashboardControl = dashboardControl;
        this.name = parameters_editor_extension_name;
        this.dashboard = external_ko_.computed(() => dashboardControl.dashboard());
        this._viewModel = new ParameterListEditorViewModel(this.dashboard, () => dashboardControl._dataSourceBrowser);
        this._menuItem = new DashboardMenuItem(parameters_editor_extension_nameAlias, 'DashboardWebStringId.DashboardParameters', 240, 80);
        this._menuItem.template = 'dx-dashboard-form-parameters-settings';
        this._menuItem.data = this._viewModel;
        this._menuItem.disabled = external_ko_.computed(() => !dashboardControl.dashboard());
    }
    start() {
        this._viewModel.initialize();
        var toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.push(this._menuItem);
        }
    }
    stop() {
        var toolboxExtension = this.dashboardControl.findExtension('toolbox');
        if (toolboxExtension) {
            toolboxExtension.menuItems.remove(this._menuItem);
        }
        this._viewModel.dispose();
    }
}
control_options/* designerExtensions */.YS[parameters_editor_extension_nameAlias] = (dashboardControl, options) => new DashboardParameterEditorExtension(dashboardControl);
control_options/* extensionNameMap */.RY[parameters_editor_extension_nameAlias] = parameters_editor_extension_name;

// EXTERNAL MODULE: ./dist/designer/public-editors/form-item-templates.js
var form_item_templates = __webpack_require__(3253);
;// ./dist/designer/toolbar-extension/_toolbar-view-model.js


let toolbarAnimationTime = 500;
class ToolbarKoViewModel {
    get height() { return this._visible() ? undefined : 0; }
    constructor(getContainer, toolbarInitialized) {
        this._visible = external_ko_.observable(false);
        this._popupDisposables = [];
        this.left = external_ko_.observable(0);
        this.toolbarItems = external_ko_.observableArray([]);
        this._getContainer = getContainer;
        this._toolbarInitialized = toolbarInitialized;
        this.koToolbarOptions = this._getKoToolbarOptions();
    }
    getKoPopupOptions() {
        let container = this._getContainer();
        let popupOptions = {
            container: container,
            position: {
                my: 'left top',
                at: 'left top',
                of: container,
                collision: 'flipfit',
                boundary: container,
                boundaryOffset: {
                    y: 0
                }
            },
            animation: {
                show: { type: 'slide', from: { top: -toolboxConstants.menuTitleHeight }, to: { top: 0 }, duration: toolbarAnimationTime },
                hide: { type: 'slide', from: { top: 0 }, to: { top: -toolboxConstants.menuTitleHeight }, duration: toolbarAnimationTime }
            },
            onShowing: (args) => {
                let setWidth = () => args.component.option('width', container.getBoundingClientRect().width - this.left());
                this._popupDisposables.push(this.left.subscribe(setWidth));
                let resizeObserver = new ResizeObserver(entries => entries[0] && setWidth());
                resizeObserver.observe(container);
                this._popupDisposables.push({ dispose: () => resizeObserver.unobserve(container) });
                setWidth();
            },
            onHidden: () => {
                this._popupDisposables.forEach(d => d.dispose());
                this._popupDisposables = [];
            },
            focusStateEnabled: false,
            showCloseButton: false,
            dragEnabled: false,
            height: 'auto',
            shading: false,
            wrapperAttr: {
                class: 'dx-dashboard-toolbar-extension'
            },
            showTitle: false
        };
        let koPopupOptions = {
            ...popupOptions,
            visible: this._visible
        };
        let position = koPopupOptions.position;
        let positionOffset = position.boundaryOffset;
        position.boundaryOffset = {
            ...positionOffset,
            x: this.left
        };
        return koPopupOptions;
    }
    _getKoToolbarOptions() {
        let toolbarOptions = {
            onInitialized: (args) => {
                this._toolbarInitialized();
            }
        };
        let koToolbarOptions = {
            ...toolbarOptions,
            items: this.toolbarItems
        };
        return koToolbarOptions;
    }
    setToolbarItems(items) {
        this.toolbarItems(items);
    }
    showPanel() {
        this._visible(true);
    }
    hidePanel() {
        this._visible(false);
    }
}

;// ./dist/designer/toolbar-extension/toolbar-extension.js









const toolbar_extension_name = 'designerToolbar';
class DesignerToolbarExtension extends disposable_object/* DisposableObject */.I {
    constructor(dashboardControl, options = {}) {
        super();
        this._defaultItems = [];
        this._predefinedItems = [];
        this.name = 'designerToolbar';
        this._optionsManager = new _options_manager/* OptionsManager */.y6();
        this._showPanelAsync = (options, cancellationToken) => {
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            if (cancellationToken.canceled)
                def.reject();
            else {
                this._viewModel.showPanel();
                setTimeout(() => {
                    if (!cancellationToken.canceled) {
                        options.surfaceTop = this._viewModel.height;
                        def.resolve(options);
                    }
                    else {
                        def.reject();
                    }
                }, toolbarAnimationTime);
            }
            return def.promise();
        };
        this._hidePanelAsync = (options, cancellationToken) => {
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            if (cancellationToken.canceled)
                def.reject();
            else {
                this._viewModel.hidePanel();
                setTimeout(() => {
                    if (!cancellationToken.canceled) {
                        options.surfaceTop = 0;
                        def.resolve(options);
                    }
                    else {
                        def.reject();
                    }
                }, toolbarAnimationTime);
            }
            return def.promise();
        };
        this._dashboardControl = dashboardControl;
        this._optionsManager.initialize({
            extensionName: toolbar_extension_name,
            dashboardControl: dashboardControl,
            defaultOptions: {},
            eventsHolder: this,
            initOptions: options,
            optionChanged: (args) => {
                switch (args.name) {
                    case 'items':
                    case 'onPreparing':
                        this._update();
                        break;
                }
                return 'noop';
            }
        });
        this._predefinedItems = [
            {
                ...createToolbarSeparator(),
                name: 'separator'
            }
        ];
        let cancelableDesignerToViewerAction = {
            orderNo: 40,
            action: (options) => this._hidePanelAsync(options, _helpers/* CancellationToken */.XO.None),
            cancelableAction: this._hidePanelAsync
        };
        this.designerToViewerAction = cancelableDesignerToViewerAction;
        let cancelableViewerToDesignerAction = {
            orderNo: 40,
            action: (options) => this._showPanelAsync(options, _helpers/* CancellationToken */.XO.None),
            cancelableAction: this._showPanelAsync
        };
        this.viewerToDesignerAction = cancelableViewerToDesignerAction;
        this._viewModel = new ToolbarKoViewModel(() => this._dashboardControl.getWidgetContainer(), () => this._update());
        this.template = {
            data: this._viewModel,
            name: 'dx-dashboard-toolbar-extension'
        };
    }
    start() {
        let toolbox = this._dashboardControl.findExtension('toolbox');
        this._viewModel.left(toolbox ? toolboxConstants.leftPanelWidth : 0);
        this._extensionChangeSubscription && this._extensionChangeSubscription.dispose();
        this._extensionChangeSubscription = this._dashboardControl.subscribeExtensionsChanged({
            added: (extension) => {
                if (extension.name === 'toolbox')
                    this._viewModel.left(toolboxConstants.leftPanelWidth);
            },
            deleted: (extension) => {
                if (extension.name === 'toolbox')
                    this._viewModel.left(0);
            }
        });
        if (this._dashboardControl.isDesignMode())
            this._viewModel.showPanel();
        else
            this._viewModel.hidePanel();
        this._dashboardControl.surfaceTop(this._viewModel.height);
        this._update();
    }
    stop() {
        this._unsubscribe();
        this._viewModel.hidePanel();
        this._dashboardControl.surfaceTop(0);
    }
    _unsubscribe() {
        this._extensionChangeSubscription && this._extensionChangeSubscription.dispose();
    }
    _registerDefaultItems(defaultItems) {
        this._defaultItems.push(...defaultItems);
    }
    _unregisterDefaultItems(defaultItems) {
        this._defaultItems = this._defaultItems.filter(item => !defaultItems.some(n => n === item));
    }
    _registerPredefinedItems(predefinedItems) {
        this._predefinedItems.push(...predefinedItems);
    }
    _unregisterPredefinedItems(predefinedItems) {
        this._predefinedItems = this._predefinedItems.filter(item => !predefinedItems.some(n => n === item));
    }
    _update() {
        let args = {
            component: this._dashboardControl,
            dashboard: this._dashboardControl.dashboard(),
            items: []
        };
        let items = this._optionsManager.get('items');
        if (items) {
            args.items = items;
        }
        else {
            args.items = this._defaultItems
                .filter(defaultItem => _utils/* type */.NW.isDefined(defaultItem.index))
                .sort((item1, item2) => item1.index - item2.index);
        }
        this._optionsManager.raiseEvent('preparing', args);
        let dxToolbarItems = args.items.reduce((acc, sourceItem) => {
            let item = typeof sourceItem === 'string' ? { name: sourceItem } : sourceItem;
            let defaultItem = this._predefinedItems.find(predefinedItem => predefinedItem.name === item.name);
            if (defaultItem) {
                let resultItem = {};
                (0,_options_manager/* mergeOptions */.lL)(resultItem, defaultItem);
                (0,_options_manager/* mergeOptions */.lL)(resultItem, item);
                resultItem.name = undefined;
                return acc.concat(resultItem);
            }
            return acc.concat([item]);
        }, []);
        this._viewModel.setToolbarItems(dxToolbarItems);
    }
    dispose() {
        this.stop();
        this._optionsManager.dispose();
        this._extensionChangeSubscription?.dispose();
        super.dispose();
    }
}
control_options/* designerExtensions */.YS[toolbar_extension_name] = (dashboardControl, options) => new DesignerToolbarExtension(dashboardControl, options);
control_options/* extensionNameMap */.RY[toolbar_extension_name] = toolbar_extension_name;

;// ./dist/designer/toolbox-extension/toolbox-extension.js














const toolbox_extension_name = 'toolbox';
const toolbox_extension_nameAlias = 'toolbox';
class ToolboxExtension extends disposable_object/* DisposableObject */.I {
    get menuVisible() { return this._viewModel.menuVisible; }
    openMenu() {
        this._viewModel.showMenu();
    }
    closeMenu() {
        this._viewModel.closeMenu();
    }
    processKeyEvent(keyEventType, eventArgs) {
        return this._viewModel.processKeyEvent(keyEventType, eventArgs);
    }
    constructor(dashboardControl) {
        super();
        this.dashboardControl = dashboardControl;
        this.name = toolbox_extension_name;
        this.menuItems = external_ko_.observableArray();
        this.addMenuItem = (menuItem) => {
            if (!!this._findMenuItem(menuItem.id)) {
                throw Error("The '" + menuItem.id + "' menu item already exists.");
            }
            this.menuItems.push(menuItem);
        };
        this.removeMenuItem = (menuItemId) => {
            var menuItem = this._findMenuItem(menuItemId);
            this.menuItems.remove(menuItem);
        };
        this.selectMenuItem = (menuItem) => {
            if (!!menuItem) {
                this._viewModel.menuVisible(true);
                this._viewModel.menuItemClick(menuItem);
            }
        };
        this.toolboxGroups = external_ko_.observableArray();
        this.addToolboxItem = (groupName, toolboxItem) => {
            var group = this._findToolboxGroup(groupName);
            if (!!group) {
                group.items.push(toolboxItem);
            }
            else {
                throw Error("The '" + groupName + "' group does not exist.");
            }
        };
        this.removeToolboxItem = (groupName, toolboxItemName) => {
            var group = this._findToolboxGroup(groupName);
            if (group) {
                this._unregisterToolboxItem(group, toolboxItemName);
            }
            else {
                throw Error("The '" + groupName + "' group does not exist.");
            }
        };
        this.toolbarGroups = external_ko_.observableArray();
        this.addToolbarItem = (groupName, toolbarItem) => {
            var group = this.toolbarGroups().filter(group => group.name === groupName)[0];
            if (!!group) {
                group.items.push(toolbarItem);
            }
            else {
                throw Error("The '" + groupName + "' group does not exist.");
            }
        };
        this.removeToolbarItem = (groupName, toolbarItemName) => {
            var group = this.toolbarGroups().filter(group => group.name === groupName)[0];
            if (!!group) {
                var toolbarItem = group.items().filter(item => item.name === toolbarItemName)[0];
                group.items.remove(toolbarItem);
            }
            else {
                throw Error("The '" + groupName + "' group does not exist.");
            }
        };
        this.showPanelAsync = (options) => {
            return this._showPanelAsync(options, _helpers/* CancellationToken */.XO.None);
        };
        this._showPanelAsync = (options, cancellationToken) => {
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            if (cancellationToken.canceled)
                def.reject();
            else {
                this._viewModel.showDesignerPanel();
                setTimeout(() => {
                    if (!cancellationToken.canceled) {
                        options.surfaceLeft = toolboxConstants.leftPanelWidth;
                        def.resolve(options);
                    }
                    else {
                        def.reject();
                    }
                }, 500);
            }
            return def.promise();
        };
        this.hidePanelAsync = (options) => {
            return this._hidePanelAsync(options, _helpers/* CancellationToken */.XO.None);
        };
        this._hidePanelAsync = (options, cancellationToken) => {
            var def = (0,_jquery_helpers/* createJQueryDeferred */.KO)();
            if (cancellationToken.canceled)
                def.reject();
            else {
                this._viewModel.hideDesignerPanel();
                setTimeout(() => {
                    if (!cancellationToken.canceled) {
                        options.surfaceLeft = 0;
                        def.resolve(options);
                    }
                    else {
                        def.reject();
                    }
                }, 500);
            }
            return def.promise();
        };
        this._layoutItemPlaceholderService = (layoutItem) => {
            var currentDashboardItem = layoutItem._parent().viewModel.model;
            return {
                data: {
                    dashboardItems: external_ko_.computed(() => {
                        var placeholderItems = [];
                        this._viewModel.toolboxGroupsSorted().forEach(group => {
                            group
                                .items()
                                .filter(toolboxItem => dist_model.DashboardLayoutNode._canAttach(currentDashboardItem, { '@ItemType': toolboxItem.type }))
                                .forEach(toolboxItem => {
                                placeholderItems.push({
                                    type: toolboxItem.type,
                                    name: toolboxItem.name,
                                    iconName: toolboxItem.icon,
                                    title: toolboxItem.title
                                });
                            });
                        });
                        return placeholderItems;
                    }),
                    addDashboardItem: (data) => {
                        layoutItem.create((0,_dashboard_item_helper/* getItemJson */.Mi)(data.type), 'left');
                    }
                },
                name: 'dx-toolbox-extension-layout-item-placeholder'
            };
        };
        let cancelableDesignerToViewerAction = {
            orderNo: 40,
            action: (options) => {
                this.closeMenu();
                return this.hidePanelAsync(options);
            },
            cancelableAction: (options, cancellationToken) => {
                this.closeMenu();
                return this._hidePanelAsync(options, cancellationToken);
            }
        };
        this.designerToViewerAction = cancelableDesignerToViewerAction;
        let cancelableViewerToDesignerAction = {
            orderNo: 40,
            action: this.showPanelAsync,
            cancelableAction: this._showPanelAsync
        };
        this.viewerToDesignerAction = cancelableViewerToDesignerAction;
        this._createDefaultGroups();
        let draggableController = (0,model_index_internal.safeComputed)({ dockingLayoutController: this.dashboardControl._dockingLayoutAdapter._dockingLayoutController }, (args) => {
            if (args.dockingLayoutController) {
                return args.dockingLayoutController.dragController;
            }
        });
        this.toDispose(draggableController);
        this._viewModel = new ToolboxViewModel(dashboardControl.isDesignMode(), this.dashboardControl, this.menuItems, this.toolboxGroups, this.toolbarGroups, draggableController);
        this.template = {
            data: this._viewModel,
            name: 'dx-dashboard-toolbox-extension'
        };
        if (dashboardControl.isDesignMode()) {
            dashboardControl.surfaceLeft(toolboxConstants.leftPanelWidth);
        }
        this.toDispose(dashboardControl.subscribeExtensionsChanged({
            added: (extension) => {
                if (extension.name === 'dashboardPanel') {
                    this._switchToViewerToolbar = new DashboardToolbarGroup('viewer-button', '', 100);
                    var toViewerItem = new DashboardToolbarItem('toviewer', () => dashboardControl.switchToViewer());
                    toViewerItem.template = 'dx-dashboard-working-mode-extension-viewer-button';
                    toViewerItem.disabled = external_ko_.pureComputed(() => !!this.dashboardControl.dashboard());
                    this._switchToViewerToolbar.items.push(toViewerItem);
                    this.toolbarGroups.push(this._switchToViewerToolbar);
                }
            },
            deleted: (extension) => {
                if (extension.name === 'dashboardPanel') {
                    this.toolbarGroups.remove(this._switchToViewerToolbar);
                }
            }
        }));
        (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
            target: this,
            memberName: 'settingsForm',
            oldMemberDisplayName: 'DevExpress.Dashboard.Designer.ToolboxExtension.settingsForm',
            newMemberDisplayName: 'DevExpress.Dasbhoard.Designer.DashboardMenuItem.template',
            action: () => { return this._viewModel.settingsForm; }
        });
        (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
            target: this,
            memberName: 'settingsFormVisible',
            oldMemberDisplayName: 'DevExpress.Dashboard.Designer.ToolboxExtension.settingsFormVisible',
            newMemberDisplayName: 'DevExpress.Dasbhoard.Designer.DashboardMenuItem.template',
            action: () => { return this._viewModel.settingsFormVisible; }
        });
        (0,_obsolete_helper/* defineObsoleteProperty */.U1)({
            target: this,
            memberName: 'toggleMenu',
            oldMemberDisplayName: 'DevExpress.Dashboard.Designer.ToolboxExtension.toggleMenu',
            newMemberDisplayName: 'DevExpress.Dasbhoard.Designer.ToolboxExtension.openMenu/closeMenu',
            action: () => { return this._viewModel.toggleMenu; }
        });
        (0,_obsolete_helper/* defineObsoleteMethod */.Q3)({
            target: this,
            memberName: 'menuItemClick',
            oldMemberDisplayName: 'DevExpress.Dashboard.Designer.ToolboxExtension.menuItemClick',
            newMemberDisplayName: 'DevExpress.Dasbhoard.Designer.ToolboxExtension.selectMenuItem',
            action: (menuItem) => { return this._viewModel.menuItemClick(menuItem); }
        });
    }
    start() {
        var standardItems = Object.keys(serializable_model/* itemTypesMap */.Jh).filter(key => !serializable_model/* itemTypesMap */.Jh[key].customItemType);
        var itemTypeNames = standardItems.sort((t1, t2) => serializable_model/* itemTypesMap */.Jh[t1].index - serializable_model/* itemTypesMap */.Jh[t2].index);
        itemTypeNames.forEach(itemTypeName => this._registerToolboxItem(itemTypeName, serializable_model/* itemTypesMap */.Jh[itemTypeName]));
        this.dashboardControl.extensions.forEach(extension => this._registerCustomItemToolbox(extension));
        this.toDispose(this.dashboardControl.subscribeExtensionsChanged({
            added: (extension) => {
                this._registerCustomItemToolbox(extension);
            },
            deleted: (extension) => {
                this.toolboxGroups().forEach(group => this._unregisterToolboxItem(group, extension.name));
            }
        }));
        (0,model_index_internal.subscribeAndPerform)(this.dashboardControl._actualLayoutController, (layout) => {
            if (layout && layout instanceof DockingLayoutController) {
                layout.layoutItemPlaceholderService = this._layoutItemPlaceholderService;
            }
        });
    }
    stop() {
        this.dashboardControl.surfaceLeft(0);
    }
    _registerCustomItemToolbox(extension) {
        var customItemExtension = extension;
        if (customItemExtension.metaData) {
            this._registerToolboxItem(customItemExtension.name, customItemExtension.metaData);
        }
    }
    _createDefaultGroups() {
        this.toolboxGroups.push(new DashboardToolboxGroup('common', 'DashboardWebStringId.AccordionTab.Common', 100));
        this.toolboxGroups.push(new DashboardToolboxGroup('maps', 'DashboardStringId.DescriptionMaps', 110));
        this.toolboxGroups.push(new DashboardToolboxGroup('filter', 'DashboardWebStringId.DataSources.Filter', 120));
        this.toolboxGroups.push(new DashboardToolboxGroup('layout', 'DashboardWebStringId.AccordionTab.Layout', 130));
    }
    _registerToolboxItem(itemTypeName, itemDescription) {
        var group = this._findToolboxGroup(itemDescription.groupName) || this._findToolboxGroup('custom');
        if (!group) {
            group = new DashboardToolboxGroup('custom', 'DashboardStringId.CustomItems', 130);
            this.toolboxGroups.push(group);
        }
        var itemClickHandlerCreator = (type) => () => {
            var layout = this.dashboardControl._actualLayoutController();
            layout && layout instanceof DockingLayoutController && layout.addDashboardItem({ type: type });
        };
        var item = new DashboardToolboxItem(itemTypeName, itemClickHandlerCreator(itemTypeName), (0,_dashboard_item_helper/* getIconName */.RU)(itemTypeName, itemDescription.icon), itemDescription.title, itemTypeName);
        item.disabled = external_ko_.computed(() => !this.dashboardControl.dashboard());
        group.items.push(item);
        return itemClickHandlerCreator;
    }
    _unregisterToolboxItem(group, toolboxItemName) {
        var toolboxItem = group.items().filter(item => item.name === toolboxItemName)[0];
        if (!!toolboxItem) {
            group.items.remove(toolboxItem);
        }
    }
    _findToolboxGroup(groupName) {
        return this.toolboxGroups().filter(gr => gr.name === groupName)[0];
    }
    _findMenuItem(menuItemId) {
        return this.menuItems().filter(mi => mi.id === menuItemId)[0];
    }
}
control_options/* designerExtensions */.YS[toolbox_extension_nameAlias] = (dashboardControl, options) => new ToolboxExtension(dashboardControl);
control_options/* extensionNameMap */.RY[toolbox_extension_nameAlias] = toolbox_extension_name;

;// ./dist/designer/index.exports.js


































;// ./dist/designer/index.js





;// ./dist/index.js




;// ./dist/_bundle/bundle.js












var bundle_DevExpress = window.DevExpress || {};
bundle_DevExpress.Dashboard = common_namespaceObject;
bundle_DevExpress.Dashboard.Data = data_namespaceObject;
bundle_DevExpress.Dashboard.Model = dist_model;
bundle_DevExpress.Dashboard.Designer = designer_namespaceObject;
Object.defineProperty(bundle_DevExpress.Dashboard.Designer, 'TextBoxItemEditorExtension', {
    get: () => {
        return (__webpack_require__(4832)/* .TextBoxItemEditorExtension */ .O);
    },
    enumerable: false,
    configurable: true
});
bundle_DevExpress.Dashboard.Metadata = index_metadata;
bundle_DevExpress.Dashboard.Internal = common_index_internal_namespaceObject;
bundle_DevExpress.Dashboard.Internal.Data = index_internal;
bundle_DevExpress.Dashboard.Internal.Model = model_index_internal;
bundle_DevExpress.Dashboard.Internal.Designer = designer_index_internal_namespaceObject;
bundle_DevExpress.Dashboard.Internal.Viewer = viewer_index_internal_namespaceObject;
function defineClassReplace(memberName) {
    (0,_obsolete_helper/* defineClassMoved */.NQ)(memberName, bundle_DevExpress.Dashboard, bundle_DevExpress.Dashboard.Designer, 'DevExpress.Dashboard', 'DevExpress.Dashboard.Designer', 'See https://www.devexpress.com/bcid=BC4459 for details.');
}
defineClassReplace('DashboardItemMenuExtension');
defineClassReplace('DashboardColorSchemeEditorExtension');
defineClassReplace('DashboardCurrencyEditorExtension');
defineClassReplace('DataSourceBrowserExtension');
defineClassReplace('MultiQueryDataSourceWizardExtension');
defineClassReplace('DataSourceWizardExtension');
defineClassReplace('AvailableDataSourcesExtension');
defineClassReplace('BindingPanelExtension');
defineClassReplace('ConversionPanelExtension');
defineClassReplace('CreateDashboardExtension');
defineClassReplace('InteractivityPanelExtension');
defineClassReplace('OpenDashboardExtension');
defineClassReplace('OptionsPanelExtension');
defineClassReplace('SaveDashboardExtension');
defineClassReplace('DashboardTitleEditorExtension');
defineClassReplace('UndoRedoExtension');
defineClassReplace('DashboardParameterEditorExtension');
defineClassReplace('ToolboxExtension');
defineClassReplace('DashboardMenuItem');
defineClassReplace('DashboardToolboxItem');
defineClassReplace('DashboardToolbarItem');
defineClassReplace('DashboardToolboxGroup');
defineClassReplace('DashboardToolbarGroup');
/* harmony default export */ const bundle = (bundle_DevExpress['Dashboard']);

/******/ })()
;