﻿/**
* DevExpress Dashboard (_pivot-item-format-rule.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { IDashboardSerializationInfo, IDashboardSerializationInfoArray } from '../../metadata/_base-metadata';
export declare let applyToColumn: IDashboardSerializationInfo;
export declare let intersectionLevelModeValues: {
    Auto: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    FirstLevel: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    LastLevel: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    AllLevels: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    SpecificLevel: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
};
export declare let restrictedIntersectionLevelModeValues: {
    Auto: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    FirstLevel: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    LastLevel: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    AllLevels: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
    SpecificLevel: "DashboardStringId.ActionClearMasterFilter" | "DashboardStringId.ActionClearSelection" | "DashboardStringId.ActionOtherValues" | "DashboardStringId.ActionDrillUp" | "DashboardStringId.ActionExportTo" | "DashboardStringId.ActionExportToPdf" | "DashboardStringId.ActionExportToImage" | "DashboardStringId.ActionExportToExcel" | "DashboardStringId.RangeFilterCustomDateTimePeriod" | "DashboardStringId.ActionExportTemplate" | "DashboardStringId.ActionAllowMultiselection" | "DashboardStringId.DashboardNullValue" | "DashboardStringId.TopNOthersValue" | "DashboardStringId.DashboardErrorValue" | "DashboardStringId.DateTimeQuarterFormat" | "DashboardStringId.MessageLoading" | "DashboardStringId.ParametersFormCaption" | "DashboardStringId.ParametersSelectorText" | "DashboardStringId.ParametersFormAllowNullColumnCaption" | "DashboardStringId.ParametersFormValueColumnCaption" | "DashboardStringId.ParametersFormNameColumnCaption" | "DashboardStringId.ButtonOK" | "DashboardStringId.ButtonCancel" | "DashboardStringId.SelectDate" | "DashboardStringId.ButtonReset" | "DashboardStringId.ButtonSubmit" | "DashboardStringId.ButtonApply" | "DashboardStringId.ButtonExport" | "DashboardStringId.GridResetColumnWidths" | "DashboardStringId.GridSortAscending" | "DashboardStringId.GridSortDescending" | "DashboardStringId.GridClearSorting" | "DashboardStringId.PivotGridTotal" | "DashboardStringId.PivotGridGrandTotal" | "DashboardStringId.ChartTotalValue" | "DashboardStringId.PageLayout" | "DashboardStringId.PageLayoutAuto" | "DashboardStringId.PageLayoutPortrait" | "DashboardStringId.PageLayoutLandscape" | "DashboardStringId.PaperKind" | "DashboardStringId.PaperKindLetter" | "DashboardStringId.PaperKindLegal" | "DashboardStringId.PaperKindExecutive" | "DashboardStringId.PaperKindA5" | "DashboardStringId.PaperKindA4" | "DashboardStringId.PaperKindA3" | "DashboardStringId.ScaleMode" | "DashboardStringId.ScaleModeNone" | "DashboardStringId.ScaleModeUseScaleFactor" | "DashboardStringId.ScaleModeAutoFitToPagesWidth" | "DashboardStringId.AutoFitPageCount" | "DashboardStringId.ScaleFactor" | "DashboardStringId.PrintHeadersOnEveryPage" | "DashboardStringId.FitToPageWidth" | "DashboardStringId.SizeMode" | "DashboardStringId.SizeModeNone" | "DashboardStringId.SizeModeStretch" | "DashboardStringId.SizeModeZoom" | "DashboardStringId.AutoArrangeContent" | "DashboardStringId.ImageFormat" | "DashboardStringId.ExcelFormat" | "DashboardStringId.CsvValueSeparator" | "DashboardStringId.ExportFilters" | "DashboardStringId.ExportParameters" | "DashboardStringId.DashboardStatePosition" | "DashboardStringId.Resolution" | "DashboardStringId.ShowTitle" | "DashboardStringId.Title" | "DashboardStringId.FileName" | "DashboardStringId.FilterStatePresentationAfter" | "DashboardStringId.FilterStatePresentationAfterAndSplitPage" | "DashboardStringId.FilterStatePresentationSplitSheet" | "DashboardStringId.MessageCustomItemIsNotSupported" | "DashboardStringId.MessageGridHasNoData" | "DashboardStringId.MessagePivotHasNoData" | "DashboardStringId.SparklineTooltipStartValue" | "DashboardStringId.SparklineTooltipEndValue" | "DashboardStringId.SparklineTooltipMinValue" | "DashboardStringId.SparklineTooltipMaxValue" | "DashboardStringId.OpenCaption" | "DashboardStringId.HighCaption" | "DashboardStringId.LowCaption" | "DashboardStringId.CloseCaption" | "DashboardStringId.InitialExtent" | "DashboardStringId.FilterElementShowAllItem" | "DashboardStringId.NumericFormatUnitSymbolThousands" | "DashboardStringId.NumericFormatUnitSymbolMillions" | "DashboardStringId.NumericFormatUnitSymbolBillions" | "DashboardStringId.ActionSelectDateTimePeriod" | "DashboardStringId.RangeFilterSelectRange" | "DashboardStringId.FilterElementCheckedComboBoxNoDataCaption" | "DashboardStringId.FilterElementRadioComboBoxNoDataCaption" | "DashboardStringId.FilterElementNoDataToDisplay" | "DashboardWebStringId.FilterElementCheckedComboBoxSelected" | "DashboardStringId.RangeFilterSelectRangeFromCaption" | "DashboardStringId.RangeFilterSelectRangeToCaption" | "DashboardWebStringId.DashboardParameters" | "DashboardStringId.DataSourceDataMember" | "DashboardStringId.DescriptionMeasures" | "DashboardWebStringId.TextBoxFormatText" | "DashboardStringId.NumericFormatUnitCaption" | "DashboardWebStringId.SummaryType" | "DashboardStringId.CalculationTypeExpression" | "DevExpressWebStringId.CalculatedFieldDataType" | "DashboardStringId.ValueCaption" | "DashboardStringId.Value1Caption" | "DashboardStringId.Value2Caption" | "DashboardStringId.CommandFormatRuleTopBottom" | "DashboardStringId.CommandFormatRuleAboveBelowAverage" | "DashboardStringId.CommandFormatRuleBar" | "DashboardStringId.CommandFormatRuleColorRangeBar" | "DashboardStringId.CommandFormatRuleGradientRangeBar" | "DashboardStringId.FormatRuleStyleAppearance" | "DashboardStringId.FormatRuleStyleIcons" | "DashboardStringId.FormatRuleNegativeStyle" | "DashboardStringId.CommandFormatRuleExpression" | "DashboardWebStringId.TopNMode" | "DashboardStringId.CommandFormatRuleRangeSet" | "DashboardStringId.CommandFormatRuleRangeSetRanges2" | "DashboardStringId.CommandFormatRuleRangeSetRanges3" | "DashboardStringId.CommandFormatRuleRangeSetRanges4" | "DashboardStringId.CommandFormatRuleRangeSetRanges5" | "DashboardStringId.CommandFormatRuleRangeSet2ColorGradientRanges" | "DashboardStringId.CommandFormatRuleRangeSet3ColorGradientRanges" | "DashboardStringId.CommandFormatRuleValue" | "DashboardStringId.CommandFormatRuleDateOccurring" | "DashboardWebStringId.ConditionalFormatting.Appearance.BackColor" | "DashboardWebStringId.ConditionalFormatting.Appearance.ForeColor" | "DashboardStringId.DescriptionBoundImageAttribute" | "DashboardWebStringId.ShowCaptionText" | "DashboardWebStringId.DisplayItemAsPage" | "DashboardStringId.DefaultNameItemGroup" | "DashboardStringId.DefaultNameTabContainerItem" | "DashboardStringId.DefaultDataSourceName" | "DashboardWebStringId.CrossDataSourceFiltering" | "DashboardStringId.RangeFilterCalculationAlongSeries" | "DashboardStringId.RangeFilterCalculationAlongArgument" | "DashboardStringId.DescriptionItemSeries" | "DashboardStringId.DescriptionSeries" | "DashboardWebStringId.Chart.SeriesType" | "DashboardStringId.DescriptionDimensions" | "DashboardWebStringId.TreeView.AutoExpand" | "DashboardWebStringId.ConditionalFormatting.ConditionMinimum" | "DashboardWebStringId.ConditionalFormatting.ConditionMaximum" | "DashboardStringId.DescriptionItemDimension" | "DashboardStringId.DescriptionItemMeasure" | "DashboardWebStringId.Grid.MergeCells" | "DashboardWebStringId.Grid.ColumnWidthMode" | "DashboardWebStringId.Grid.BandedRows" | "DashboardWebStringId.Grid.VerticalLines" | "DashboardWebStringId.Grid.HorizontalLines" | "DashboardWebStringId.Grid.ColumnHeaders" | "DashboardWebStringId.Grid.WordWrap" | "DashboardWebStringId.Grid.ShowFilterRow" | "DashboardWebStringId.Grid.UpdateTotals" | "DashboardWebStringId.Grid.GridColumnFilter" | "DashboardStringId.ActualValueCaption" | "DashboardStringId.TargetValueCaption" | "DashboardStringId.UriPatternCaption" | "DashboardStringId.UriCaption" | "DashboardStringId.DisplayValueCaption" | "DashboardStringId.WeightCaption" | "DashboardStringId.DescriptionItemColor" | "DashboardStringId.Latitude" | "DashboardStringId.Longitude" | "DashboardWebStringId.GeoPointMapClusterization" | "DashboardWebStringId.MapLockNavigation" | "DashboardWebStringId.WeightedLegendGalleryGroup" | "DashboardStringId.DescriptionItemArgument" | "DashboardWebStringId.PieMapIsWeighted" | "DashboardWebStringId.InteractivityOptions.IgnoreMasterFilters" | "DashboardWebStringId.InteractivityOptions.DrillDown" | "DashboardWebStringId.Pie.ShowCaptions" | "DashboardStringId.DescriptionColumns" | "DashboardStringId.DescriptionRows" | "DashboardStringId.DescriptionValues" | "DashboardStringId.DescriptionArguments" | "DashboardStringId.TextGroupIntervalAlphabetical" | "DashboardStringId.ActionMaximizeDashboardItem" | "DashboardStringId.ActionRestoreDashboardItem" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataSource" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DataMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.ValueMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.DisplayMember" | "DevExpress.DashboardCommon.DynamicListLookUpSettings.SortOrder" | "DevExpress.DashboardCommon.DashboardParameter.Visible" | "DevExpress.DashboardCommon.DashboardParameter.Description" | "DevExpress.DashboardCommon.DashboardParameter.AllowMultiselect" | "DevExpress.DashboardCommon.DashboardParameter.AllowNull" | "DevExpress.DashboardCommon.DashboardParameter.SelectAllValues" | "DevExpress.DashboardCommon.StaticListLookUpSettings.Values" | "DevExpress.DashboardCommon.DimensionSortOrder.Ascending" | "DevExpress.DashboardCommon.DimensionSortOrder.Descending" | "DevExpress.DashboardCommon.DimensionSortOrder.None" | "DashboardWebStringId.AccordionTab.ScatterChartPointLabelOptions" | "DashboardWebStringId.AccordionTab.ChoroplethMapShapeLabelsAttribute" | "DashboardStringId.CommandFormatRuleTopN" | "DashboardWebStringId.Type" | "DashboardWebStringId.Grid.ColumnWidth" | "DashboardWebStringId.AccordionTab.ShowTotals" | "DashboardWebStringId.AccordionTab.Layout" | "DashboardWebStringId.AccordionTab.PivotInitialState" | "DashboardWebStringId.AccordionTab.ImageOptions" | "DashboardWebStringId.AccordionTab.Labels" | "DashboardWebStringId.AccordionTab.MapLegend" | "DashboardWebStringId.AccordionTab.WeightedLegend" | "DashboardWebStringId.AccordionTab.Common" | "DashboardWebStringId.AccordionTab.ChartLegend" | "DashboardWebStringId.Grid.AutoFitToContentsColumnWidthMode" | "DashboardWebStringId.Grid.AutoFitToGridColumnWidthMode" | "DashboardWebStringId.Grid.ManualGridColumnWidthMode" | "DashboardStringId.DateTimeIntervalYear" | "DashboardStringId.DateTimeIntervalQuarter" | "DashboardStringId.DateTimeIntervalMonth" | "DashboardStringId.DateTimeIntervalWeek" | "DashboardStringId.DateTimeIntervalDay" | "DashboardStringId.DateTimeIntervalHour" | "DashboardStringId.DateTimeIntervalMinute" | "DashboardStringId.DateTimeIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalYear" | "DashboardStringId.DateTimeGroupIntervalQuarter" | "DashboardStringId.DateTimeGroupIntervalMonth" | "DashboardStringId.DateTimeGroupIntervalDay" | "DashboardStringId.DateTimeGroupIntervalHour" | "DashboardStringId.DateTimeGroupIntervalMinute" | "DashboardStringId.DateTimeGroupIntervalSecond" | "DashboardStringId.DateTimeGroupIntervalDayOfYear" | "DashboardStringId.DateTimeGroupIntervalDayOfWeek" | "DashboardStringId.DateTimeGroupIntervalWeekOfYear" | "DashboardStringId.DateTimeGroupIntervalWeekOfMonth" | "DashboardStringId.DateTimeGroupIntervalMonthYear" | "DashboardStringId.DateTimeGroupIntervalQuarterYear" | "DashboardStringId.DateTimeGroupIntervalWeekYear" | "DashboardStringId.DateTimeGroupIntervalDayMonthYear" | "DashboardStringId.DateTimeGroupIntervalDateHour" | "DashboardStringId.DateTimeGroupIntervalDateHourMinute" | "DashboardStringId.DateTimeGroupIntervalDateHourMinuteSecond" | "DashboardStringId.DateTimeGroupIntervalExactDate" | "DashboardStringId.GroupIntervalNone" | "DashboardWebStringId.Treemap.StripedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SquarifiedLayoutAlgorithm" | "DashboardWebStringId.Treemap.SliceAndDiceLayoutAlgorithm" | "DashboardWebStringId.Treemap.TileLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.TileLabelsNone" | "DashboardWebStringId.Treemap.TileLabelsValue" | "DashboardWebStringId.Treemap.TileLabelsArgument" | "DashboardWebStringId.Treemap.TileTooltipsArgumentAndValue" | "DashboardWebStringId.Treemap.TileTooltipsArgument" | "DashboardWebStringId.Treemap.TileTooltipsValue" | "DashboardWebStringId.Treemap.TileTooltipsNone" | "DashboardWebStringId.Treemap.TopLeftToBottomRightLayoutDirection" | "DashboardWebStringId.Treemap.TopRightToBottomLeftLayoutDirection" | "DashboardWebStringId.Treemap.BottomLeftToTopRightLayoutDirection" | "DashboardWebStringId.Treemap.BottomRightToTopLeftLayoutDirection" | "DashboardWebStringId.Treemap.LayoutDirection" | "DashboardWebStringId.Treemap.GroupLabelsNone" | "DashboardWebStringId.Treemap.GroupLabelsArgument" | "DashboardWebStringId.Treemap.GroupLabelsValue" | "DashboardWebStringId.Treemap.GroupLabelsArgumentAndValue" | "DashboardWebStringId.Treemap.GroupTooltipsNone" | "DashboardWebStringId.Treemap.GroupTooltipsArgument" | "DashboardWebStringId.Treemap.GroupTooltipsValue" | "DashboardWebStringId.Treemap.GroupTooltipsArgumentAndValue" | "DashboardStringId.RankOrderAscending" | "DashboardStringId.RankOrderDescending" | "DashboardStringId.DateTimeFormatYearFormatDefaultCaption" | "DashboardStringId.DateTimeFormatYearFormatFullCaption" | "DashboardStringId.DateTimeFormatYearFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatQuarterFormatDefaultCaption" | "DashboardStringId.DateTimeFormatQuarterFormatNumericCaption" | "DashboardStringId.DateTimeFormatQuarterFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatDefaultCaption" | "DashboardStringId.DateTimeFormatMonthFormatFullCaption" | "DashboardStringId.DateTimeFormatMonthFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatMonthFormatNumericCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatFullCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatAbbreviatedCaption" | "DashboardStringId.DateTimeFormatDayOfWeekFormatNumericCaption" | "DashboardStringId.DateTimeFormatDateFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateFormatLongCaption" | "DashboardStringId.DateTimeFormatDateFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatDefaultCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatLongCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatShortCaption" | "DashboardStringId.DateTimeFormatDateTimeFormatTimeOnlyCaption" | "DashboardStringId.ExactDateFormatYear" | "DashboardStringId.ExactDateFormatQuarter" | "DashboardStringId.ExactDateFormatMonth" | "DashboardStringId.ExactDateFormatDay" | "DashboardStringId.ExactDateFormatHour" | "DashboardStringId.ExactDateFormatMinute" | "DashboardStringId.ExactDateFormatSecond" | "DashboardWebStringId.FormatType" | "DashboardWebStringId.TopN.Top" | "DashboardWebStringId.TopN.Bottom" | "DashboardWebStringId.DimensionSortBy" | "DashboardStringId.NumericFormatUnitAutoCaption" | "DashboardStringId.NumericFormatFormatTypeAutoCaption" | "DashboardStringId.NumericFormatFormatTypeGeneralCaption" | "DashboardStringId.NumericFormatFormatTypeNumberCaption" | "DashboardStringId.NumericFormatFormatTypeCurrencyCaption" | "DashboardStringId.NumericFormatFormatTypeScientificCaption" | "DashboardStringId.NumericFormatFormatTypePercentCaption" | "DashboardStringId.NumericFormatUnitOnesCaption" | "DashboardStringId.NumericFormatUnitThousandsCaption" | "DashboardStringId.NumericFormatUnitMillionsCaption" | "DashboardStringId.NumericFormatUnitBillionsCaption" | "DashboardStringId.DeltaValueTypeActualValueCaption" | "DashboardStringId.DeltaValueTypeAbsoluteVariationCaption" | "DashboardStringId.DeltaValueTypePercentVariationCaption" | "DashboardStringId.DeltaValueTypePercentOfTargetCaption" | "DashboardStringId.DeltaValueTypeTargetValueCaption" | "DashboardStringId.GaugeScaleLabelFormatCaption" | "DashboardStringId.DeltaIndicationModeGreaterIsGoodCaption" | "DashboardStringId.DeltaIndicationModeLessIsGoodCaption" | "DashboardStringId.DeltaIndicationModeWarningIfGreaterCaption" | "DashboardStringId.DeltaIndicationModeWarningIfLessCaption" | "DashboardStringId.DeltaIndicationModeNoIndicationCaption" | "DashboardStringId.DeltaThresholdTypeAbsolute" | "DashboardStringId.DeltaThresholdTypePercent" | "DashboardStringId.CommandDimensionGroupChildValues" | "DashboardStringId.SeriesTypeBar" | "DashboardStringId.SeriesTypeStackedBar" | "DashboardStringId.SeriesTypeFullStackedBar" | "DashboardStringId.SeriesTypePoint" | "DashboardStringId.SeriesTypeLine" | "DashboardStringId.SeriesTypeStackedLine" | "DashboardStringId.SeriesTypeFullStackedLine" | "DashboardStringId.SeriesTypeStepLine" | "DashboardStringId.SeriesTypeSpline" | "DashboardStringId.SeriesTypeArea" | "DashboardStringId.SeriesTypeStackedArea" | "DashboardStringId.SeriesTypeFullStackedArea" | "DashboardStringId.SeriesTypeStepArea" | "DashboardStringId.SeriesTypeSplineArea" | "DashboardStringId.SeriesTypeStackedSplineArea" | "DashboardStringId.SeriesTypeFullStackedSplineArea" | "DashboardWebStringId.Chart.ShowLegend" | "DashboardStringId.DefaultNameBoundImageItem" | "DashboardStringId.DefaultNameImageItem" | "DashboardStringId.DefaultNameTextBoxItem" | "DashboardStringId.DefaultNameCardItem" | "DashboardStringId.DefaultNameChartItem" | "DashboardStringId.DefaultNameComboBoxItem" | "DashboardStringId.DefaultNameListBoxItem" | "DashboardStringId.DefaultNameTreeViewItem" | "DashboardStringId.DefaultNameGaugeItem" | "DashboardStringId.DefaultNameGridItem" | "DashboardStringId.GridHyperlinkUriPatternErrorMessage" | "DashboardWebStringId.DefaultNameBubbleMapItem" | "DashboardWebStringId.DefaultNameChoroplethMapItem" | "DashboardWebStringId.DefaultNameGeoPointMapItem" | "DashboardWebStringId.DefaultNamePieMapItem" | "DashboardStringId.DefaultNamePieItem" | "DashboardStringId.DefaultNamePivotItem" | "DashboardStringId.DefaultNameRangeFilterItem" | "DashboardStringId.DefaultNameScatterChartItem" | "DashboardStringId.DefaultNameTreemapItem" | "DashboardStringId.DescriptionMaps" | "DashboardStringId.EntireRangePeriodCaption" | "DashboardStringId.CalculationTypePercentOfTotal" | "DashboardStringId.CalculationTypeDifference" | "DashboardStringId.CalculationTypePercentageDifference" | "DashboardStringId.CalculationTypeRunningTotal" | "DashboardStringId.CalculationTypeMovingCalculation" | "DashboardStringId.CalculationTypeRank" | "DashboardStringId.ColorPaletteIndex" | "DashboardStringId.DifferenceCalculationTargetPrevious" | "DashboardStringId.DifferenceCalculationTargetNext" | "DashboardStringId.DifferenceCalculationTargetFirst" | "DashboardStringId.DifferenceCalculationTargetLast" | "DashboardStringId.SummaryTypeCount" | "DashboardStringId.SummaryTypeSum" | "DashboardStringId.SummaryTypeMin" | "DashboardStringId.SummaryTypeMax" | "DashboardStringId.SummaryTypeAverage" | "DashboardStringId.SummaryTypeStdDev" | "DashboardStringId.SummaryTypeStdDevp" | "DashboardStringId.SummaryTypeVar" | "DashboardStringId.SummaryTypeVarp" | "DashboardStringId.SummaryTypeCountDistinct" | "DashboardStringId.SummaryTypeMedian" | "DashboardStringId.SummaryTypeMode" | "DashboardStringId.RankTypeUnique" | "DashboardStringId.RankTypeCompetition" | "DashboardStringId.RankTypeDense" | "DashboardStringId.RankTypeModified" | "DashboardStringId.RankTypePercentile" | "DashboardStringId.CardCalculationAlongCards" | "DashboardStringId.CardCalculationAlongSparklineArgument" | "DashboardStringId.CardCalculationAlongCardsAndSparklineArgument" | "DashboardStringId.CardCalculationAlongSparklineArgumentAndCards" | "DashboardStringId.ChartCalculationAlongArguments" | "DashboardStringId.ChartCalculationAlongSeries" | "DashboardStringId.ChartCalculationAlongArgumentsAndSeries" | "DashboardStringId.ChartCalculationAlongSeriesAndArguments" | "DashboardStringId.GridCalculationAlongRows" | "DashboardStringId.GridCalculationAlongSparklineArgument" | "DashboardStringId.GridCalculationAlongRowsAndSparklineArgument" | "DashboardStringId.GridCalculationAlongSparklineArgumentAndRows" | "DashboardStringId.PivotCalculationAlongColumns" | "DashboardStringId.PivotCalculationAlongRows" | "DashboardStringId.PivotCalculationAlongColumnsAndRows" | "DashboardStringId.PivotCalculationAlongRowsAndColumns" | "DashboardStringId.PivotCalculationAlongGroupsInColumns" | "DashboardStringId.PivotCalculationAlongGroupsInRows" | "DashboardStringId.PivotCalculationAlongGroupsInColumnsAndRows" | "DashboardStringId.PivotCalculationAlongGroupsInRowsAndColumns" | "DashboardStringId.PieCalculationAlongArguments" | "DashboardStringId.PieCalculationAlongSeries" | "DashboardStringId.PieCalculationAlongArgumentsAndSeries" | "DashboardStringId.PieCalculationAlongSeriesAndArguments" | "DashboardStringId.RangeFilterCalculationAlongArgumentAndSeries" | "DashboardStringId.RangeFilterCalculationAlongSeriesAndArgument" | "DashboardStringId.GaugeCalculationAlongGauges" | "DashboardStringId.ScatterCalculationAlongArguments" | "DashboardStringId.CalculationAlongSpecificDimensions" | "DashboardStringId.CalculatedFieldTypeString" | "DashboardStringId.CalculatedFieldTypeLong" | "DashboardStringId.CalculatedFieldTypeDecimal" | "DashboardStringId.CalculatedFieldTypeBoolean" | "DashboardStringId.CalculatedFieldTypeDateTime" | "DashboardStringId.CalculatedFieldTypeDouble" | "DashboardStringId.CalculatedFieldTypeAuto" | "DashboardStringId.CalculatedFieldTypeObject" | "DashboardStringId.DefaultEFDataSourceName" | "DashboardStringId.DefaultExcelDataSourceName" | "DashboardStringId.DefaultFileExtractDataSourceName" | "DashboardStringId.DefaultFederationDataSourceName" | "DashboardStringId.DefaultObjectDataSourceName" | "DashboardStringId.DefaultOlapDataSourceName" | "DashboardStringId.DefaultSqlDataSourceName" | "DashboardStringId.DefaultJsonDataSourceName" | "DashboardStringId.DefaultMongoDBDataSourceName" | "DashboardStringId.DefaultXpoDataSourceName" | "DashboardStringId.OlapRaggedHierarchyNoneItemCaption" | "DashboardStringId.FormatRuleApplyToColumn" | "DashboardStringId.SeriesTypeSideBySideRangeBar" | "DashboardStringId.SeriesTypeRangeArea" | "DashboardStringId.SeriesTypeHighLowClose" | "DashboardStringId.SeriesTypeCandleStick" | "DashboardStringId.SeriesTypeStock" | "DashboardWebStringId.StyleSettings" | "DashboardStringId.ParametersFormCalendarTodayButton" | "DashboardStringId.TreemapLabelArgumentTemplate" | "DashboardStringId.TreemapLabelValueTemplate" | "DashboardStringId.SearchNullValuePrompt" | "DashboardStringId.CustomItems" | "DashboardStringId.FormatRuleAllowNegativeAxis" | "DashboardStringId.FormatRuleDrawAxis" | "DashboardStringId.FormatRuleShowBarOnly" | "DashboardStringId.CommandFormatRuleBottomN" | "DashboardStringId.FormatConditionAppearanceNone" | "DashboardStringId.FormatConditionAppearanceCustom" | "DashboardStringId.FormatConditionAppearancePaleRed" | "DashboardStringId.FormatConditionAppearancePaleYellow" | "DashboardStringId.FormatConditionAppearancePaleGreen" | "DashboardStringId.FormatConditionAppearancePaleBlue" | "DashboardStringId.FormatConditionAppearancePalePurple" | "DashboardStringId.FormatConditionAppearancePaleCyan" | "DashboardStringId.FormatConditionAppearancePaleOrange" | "DashboardStringId.FormatConditionAppearancePaleGray" | "DashboardStringId.FormatConditionAppearanceRed" | "DashboardStringId.FormatConditionAppearanceYellow" | "DashboardStringId.FormatConditionAppearanceGreen" | "DashboardStringId.FormatConditionAppearanceBlue" | "DashboardStringId.FormatConditionAppearancePurple" | "DashboardStringId.FormatConditionAppearanceCyan" | "DashboardStringId.FormatConditionAppearanceOrange" | "DashboardStringId.FormatConditionAppearanceGray" | "DashboardStringId.FormatConditionAppearanceGradientRed" | "DashboardStringId.FormatConditionAppearanceGradientYellow" | "DashboardStringId.FormatConditionAppearanceGradientGreen" | "DashboardStringId.FormatConditionAppearanceGradientBlue" | "DashboardStringId.FormatConditionAppearanceGradientPurple" | "DashboardStringId.FormatConditionAppearanceGradientCyan" | "DashboardStringId.FormatConditionAppearanceGradientOrange" | "DashboardStringId.FormatConditionAppearanceGradientTransparent" | "DashboardStringId.FormatConditionAppearanceFontBold" | "DashboardStringId.FormatConditionAppearanceFontItalic" | "DashboardStringId.FormatConditionAppearanceFontUnderline" | "DashboardStringId.FormatConditionAppearanceFontGrayed" | "DashboardStringId.FormatConditionAppearanceFontRed" | "DashboardStringId.FormatConditionAppearanceFontYellow" | "DashboardStringId.FormatConditionAppearanceFontGreen" | "DashboardStringId.FormatConditionAppearanceFontBlue" | "DashboardStringId.IntersectionLevelModeFirst" | "DashboardStringId.IntersectionLevelModeLast" | "DashboardStringId.IntersectionLevelModeAuto" | "DashboardStringId.IntersectionLevelModeAll" | "DashboardStringId.IntersectionLevelModeSpecific" | "DashboardStringId.FormatRuleApplyToRow" | "DashboardStringId.FormatRuleApplyTo" | "DashboardStringId.FormatRuleApplyToChartElement" | "DashboardStringId.ChartElementPointCaption" | "DashboardStringId.ChartElementLineOrAreaCaption" | "DashboardWebStringId.FilterItem.AllowEmptyFilter" | "DashboardStringId.FormatConditionAppearanceFontStrikeout" | "DashboardStringId.FormatConditionAutomaticValueType" | "DashboardStringId.FormatConditionNumberValueType" | "DashboardStringId.FormatConditionPercentValueType" | "DashboardStringId.CommandFormatRuleRangeIcons" | "DashboardStringId.CommandFormatRuleGreaterThan" | "DashboardStringId.CommandFormatRuleGreaterThanOrEqualTo" | "DashboardStringId.CommandFormatRuleLessThan" | "DashboardStringId.CommandFormatRuleLessThanOrEqualTo" | "DashboardStringId.CommandFormatRuleEqualTo" | "DashboardStringId.CommandFormatRuleNotEqualTo" | "DashboardStringId.CommandFormatRuleBetween" | "DashboardStringId.CommandFormatRuleNotBetween" | "DashboardStringId.CommandFormatRuleBetweenOrEqual" | "DashboardStringId.CommandFormatRuleNotBetweenOrEqual" | "DashboardStringId.CommandFormatRuleContains" | "DashboardStringId.ColorAutoAssigned" | "DashboardStringId.CalculationTypeNone" | "DashboardStringId.UndoText" | "DashboardStringId.RedoText" | "DashboardStringId.DashboardCurrencyUseCurrentCurrency" | "DashboardStringId.CommandDimensionSortModeDisplayText" | "DashboardStringId.CommandDimensionSortModeValue" | "DashboardStringId.CommandDimensionSortModeID" | "DashboardStringId.CommandDimensionSortModeKey" | "DashboardWebStringId.Chart.AddPane" | "DashboardStringId.MapShapeNoneAttribute" | "DashboardStringId.DefaultPeriodName" | "DashboardStringId.CardLayoutTemplateStretchedCaption" | "DashboardStringId.CardLayoutTemplateCenteredCaption" | "DashboardStringId.CardLayoutTemplateCompactCaption" | "DashboardStringId.CardLayoutTemplateLightweightCaption" | "DashboardStringId.CardLayoutTemplateCustomCaption" | "DashboardStringId.CardLayoutTemplateNoneCaption" | "DashboardStringId.CardRowDataElementTypeTitleCaption" | "DashboardStringId.CardRowDataElementTypeSubtitleCaption" | "DashboardStringId.CardRowDataElementTypeActualValueCaption" | "DashboardStringId.CardRowDataElementTypeTargetValueCaption" | "DashboardStringId.CardRowDataElementTypeAbsoluteVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentVariationCaption" | "DashboardStringId.CardRowDataElementTypePercentOfTargetCaption" | "DashboardStringId.CardRowDataElementTypeDimensionValueCaption" | "DashboardStringId.CardRowDataElementTypeCardNameCaption" | "DashboardStringId.CardRowDataElementTypeDeltaIndicatorCaption" | "DashboardStringId.CardRowDataElementTypeSparklineCaption" | "DashboardStringId.FormatRuleApplyToAllElements" | "DashboardWebStringId.FormatRuleApplyToDimensionElement" | "DashboardWebStringId.FormatRuleApplyToTextElement" | "DashboardStringId.FormatRuleDisplayInLegend" | "DashboardStringId.FormatRuleDisplayName" | "DashboardStringId.LegendItemFormatString" | "DashboardWebStringId.Pie.LabelPosition" | "DashboardWebStringId.Pie.LabelPositionOutside" | "DashboardWebStringId.Pie.LabelPositionInside" | "DashboardStringId.IncludeExportDashboardState" | "DashboardStringId.PointLabelContentTypeArgument" | "DashboardStringId.PointLabelContentTypeSeriesName" | "DashboardStringId.PointLabelContentTypeValue" | "DashboardStringId.PointLabelContentTypePercent" | "DashboardWebStringId.DashboardMenu" | "DashboardWebStringId.DashboardMenuNew" | "DashboardWebStringId.DashboardMenuOpen" | "DashboardWebStringId.DashboardMenuSave" | "DashboardWebStringId.DashboardMenuCurrency" | "DashboardWebStringId.DashboardMenuDataSources" | "DashboardWebStringId.DashboardMenuColorScheme" | "DashboardWebStringId.DashboardMenuNewDashboardCreate" | "DashboardWebStringId.DashboardMenuNewDashboardNamePlaceholder" | "DashboardWebStringId.Binding.DefaultEmptyPlaceholder" | "DashboardWebStringId.Binding.DefaultSelectedPlaceholder" | "DashboardWebStringId.Binding.DataSource" | "DashboardWebStringId.Binding.Argument" | "DashboardWebStringId.Binding.Attribute" | "DashboardWebStringId.Binding.Sparkline" | "DashboardWebStringId.Binding.Columns" | "DashboardWebStringId.Binding.TooltipDimensions" | "DashboardWebStringId.Binding.TooltipMeasures" | "DashboardWebStringId.Binding.HiddenDimensions" | "DashboardWebStringId.Binding.HiddenMeasures" | "DashboardWebStringId.Binding.AddDimension" | "DashboardWebStringId.Binding.AddMeasure" | "DashboardWebStringId.Binding.AddColumn" | "DashboardWebStringId.Binding.AddRow" | "DashboardWebStringId.Binding.AddValue" | "DashboardWebStringId.Binding.AddSeries" | "DashboardWebStringId.Binding.SetLatitude" | "DashboardWebStringId.Binding.SetLongitude" | "DashboardWebStringId.Binding.SetArgument" | "DashboardWebStringId.Binding.AddArgument" | "DashboardWebStringId.Binding.SetWeight" | "DashboardWebStringId.Binding.SetColor" | "DashboardWebStringId.Binding.SetAttribute" | "DashboardWebStringId.Binding.SetValue" | "DashboardWebStringId.Binding.XAxis" | "DashboardWebStringId.Binding.YAxis" | "DashboardWebStringId.Binding.ConfigureDimension" | "DashboardWebStringId.Binding.ConfigureMeasure" | "DashboardWebStringId.Binding.ConfigureSeries" | "DashboardWebStringId.Binding.ConfigureArgument" | "DashboardWebStringId.Binding.ConfigureValue" | "DashboardWebStringId.Binding.ConfigureAttribute" | "DashboardWebStringId.Binding.ConfigureLatitude" | "DashboardWebStringId.Binding.ConfigureLongitude" | "DashboardWebStringId.Binding.ConfigureColumn" | "DashboardWebStringId.Binding.ConfigureRow" | "DashboardWebStringId.Binding.ConfigureWeight" | "DashboardWebStringId.Binding.ConfigureColor" | "DashboardWebStringId.Binding.ShowAll" | "DashboardWebStringId.ColorScheme.Color" | "DashboardWebStringId.ColorScheme.Colors" | "DashboardWebStringId.Parameters.ParameterList" | "DashboardWebStringId.Parameters.AddParameter" | "DashboardWebStringId.Parameters.AddParameter.Tooltip" | "DashboardWebStringId.Parameters.NoSelectedParameter" | "DashboardWebStringId.Parameters.Reorder" | "DashboardWebStringId.Parameters.Done" | "DashboardWebStringId.Currency.Currency" | "DashboardWebStringId.Currency.CurrencyCulture" | "DashboardWebStringId.Currency.DefaultCurrencyWarning" | "DashboardWebStringId.Preview" | "DashboardWebStringId.Add" | "DashboardWebStringId.DataSources.UsedDataSources" | "DashboardWebStringId.DataSources.DataItems" | "DashboardWebStringId.DataSources.AddQuery" | "DashboardWebStringId.DataSources.ManageQueries" | "DashboardWebStringId.DataSources.AddCalculatedField" | "DashboardWebStringId.DataSources.AddDataSource" | "DashboardWebStringId.DataSources.RenameDataSource" | "DashboardWebStringId.DataSources.NoUsedDataSources" | "DashboardWebStringId.DataSources.NoAvailableDataSources" | "DashboardWebStringId.DataSources.ChooseDataSource" | "DashboardWebStringId.DataSources.CreateDataSource" | "DashboardWebStringId.DataSources.CreateNewDataSource" | "DashboardWebStringId.DataSources.CreateDataSource.Tooltip" | "DashboardWebStringId.DataSources.EditCalculatedField" | "DashboardWebStringId.DataSources.CalculatedField.Name" | "DashboardWebStringId.DataSources.CalculatedField.FieldType" | "DashboardWebStringId.DataSources.CalculatedField.UniqueNameError" | "DashboardWebStringId.DataSources.CalculatedField.Corrupted" | "DashboardWebStringId.DataSources.Edit" | "DashboardWebStringId.DataSources.Rename" | "DashboardWebStringId.DataSources.NewDataSourceName" | "DashboardWebStringId.DataSources.DataSourceNameExistsMessage" | "DashboardStringId.MessageCollectionTypesNotSupported" | "DashboardWebStringId.New.DashboardName" | "DashboardWebStringId.Bindings" | "DashboardWebStringId.Interactivity" | "DashboardWebStringId.Filters" | "DashboardWebStringId.Options" | "DashboardWebStringId.Remove" | "DashboardWebStringId.MasterFilterMode" | "DashboardWebStringId.Title.Text" | "DashboardWebStringId.Title.Visible" | "DashboardWebStringId.Title.IncludeMasterFilter" | "DashboardWebStringId.Title.Aligment" | "DashboardWebStringId.Title.Image" | "DashboardWebStringId.DataSources.Cancel" | "DashboardWebStringId.DataSources.IncludeToTheDashboard" | "DashboardWebStringId.DataSources.AvailableDataSourcesError" | "DashboardWebStringId.DataSources.DashboardDataSourceWizard" | "DashboardWebStringId.Viewer" | "DashboardWebStringId.Loading" | "DashboardWebStringId.ClickHereInvitation" | "DashboardWebStringId.BindDataInvitation" | "DashboardWebStringId.AddItemInvitation" | "DashboardWebStringId.Parameters.Values" | "DashboardWebStringId.Binding.Cards" | "DashboardWebStringId.Binding.AddCard" | "DashboardWebStringId.Binding.ConfigureCard" | "DashboardWebStringId.Binding.AddValues" | "DashboardWebStringId.Binding.ConfigureValues" | "DashboardWebStringId.Binding.Maps" | "DashboardWebStringId.Binding.AddMap" | "DashboardWebStringId.Binding.ConfigureMap" | "DashboardWebStringId.Binding.Gauges" | "DashboardWebStringId.Binding.AddGauge" | "DashboardWebStringId.Binding.ConfigureGauge" | "DashboardWebStringId.InteractivityOptions" | "DashboardWebStringId.Binding.Values" | "DashboardWebStringId.Binding.RemovePane" | "DashboardWebStringId.ClickToSetFilterCriteria" | "DashboardWebStringId.DataSources.OK" | "DashboardWebStringId.DataSources.Save" | "DashboardWebStringId.Cards.ArrangementMode" | "DashboardWebStringId.Cards.ArrangementMode.Auto" | "DashboardWebStringId.Cards.ArrangementMode.FixedRows" | "DashboardWebStringId.Cards.ArrangementMode.FixedColumns" | "DashboardWebStringId.Cards.LineCount" | "DashboardWebStringId.ConditionalFormatting" | "DashboardWebStringId.CollectionEditor.NoItems" | "DashboardWebStringId.CollectionEditor.Totals.NoItems" | "DashboardWebStringId.CollectionEditor.Parameters.NoItems" | "DashboardWebStringId.PivotGrid.AutoExpandColumnGroups" | "DashboardWebStringId.PivotGrid.AutoExpandRowGroups" | "DashboardWebStringId.PivotGrid.ColumnGrandTotals" | "DashboardWebStringId.PivotGrid.RowGrandTotals" | "DashboardWebStringId.PivotGrid.ColumnTotals" | "DashboardWebStringId.PivotGrid.RowTotals" | "DashboardWebStringId.PivotGrid.ValuesPosition" | "DashboardWebStringId.PivotGrid.ValuesPositionColumns" | "DashboardWebStringId.PivotGrid.ValuesPositionRows" | "DashboardWebStringId.PivotGrid.RowTotalsPosition" | "DashboardWebStringId.PivotGrid.RowTotalsPositionBottom" | "DashboardWebStringId.PivotGrid.RowTotalsPositionTop" | "DashboardWebStringId.PivotGrid.ColumnTotalsPosition" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionFar" | "DashboardWebStringId.PivotGrid.ColumnTotalsPositionNear" | "DashboardWebStringId.PivotGrid.LayoutType" | "DashboardWebStringId.PivotGrid.LayoutTypeCompact" | "DashboardWebStringId.PivotGrid.LayoutTypeTabular" | "DashboardWebStringId.Options.Caption" | "DashboardWebStringId.InteractivityOptions.IsMasterFilter" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.None" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Single" | "DashboardWebStringId.InteractivityOptions.MasterFilterMode.Multiple" | "DashboardWebStringId.InteractivityOptions.TargetDimensions" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Arguments" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Series" | "DashboardWebStringId.InteractivityOptions.TargetDimensions.Points" | "DashboardWebStringId.ColoringOptions" | "DashboardWebStringId.DataSources.Filter" | "DashboardWebStringId.Chart.Rotated" | "DashboardWebStringId.Chart.Panes" | "DashboardWebStringId.Chart.Legend" | "DashboardWebStringId.Chart.AxisX" | "DashboardWebStringId.Chart.AxisY" | "DashboardWebStringId.Chart.AxisYSecondary" | "DashboardWebStringId.Chart.PointLabelOptions" | "DashboardWebStringId.Chart.AxisXMeasure" | "DashboardWebStringId.Chart.AxisYMeasure" | "DashboardWebStringId.Chart.Weight" | "DashboardWebStringId.Chart.Content" | "DashboardWebStringId.Chart.ArgumentAndWeight" | "DashboardWebStringId.Chart.ArgumentAndValues" | "DashboardWebStringId.Chart.Reverse" | "DashboardWebStringId.Chart.Visible" | "DashboardWebStringId.Chart.Title" | "DashboardWebStringId.Chart.TitleText" | "DashboardWebStringId.Chart.EnableZooming" | "DashboardWebStringId.Chart.LimitVisiblePoints" | "DashboardWebStringId.Chart.VisiblePointsCount" | "DashboardWebStringId.Chart.AlwaysShowZeroLevel" | "DashboardWebStringId.Chart.GridLines" | "DashboardWebStringId.Chart.LogarithmicScale" | "DashboardWebStringId.Chart.LogarithmicScaleBase" | "DashboardWebStringId.Chart.LogarithmicScaleBase2" | "DashboardWebStringId.Chart.LogarithmicScaleBase5" | "DashboardWebStringId.Chart.LogarithmicScaleBase10" | "DashboardWebStringId.Chart.Position" | "DashboardWebStringId.Chart.IsInsideOfDiagram" | "DashboardWebStringId.Chart.PrimaryAxisY" | "DashboardWebStringId.Chart.SecondaryAxisY" | "DashboardWebStringId.Chart.Name" | "DashboardWebStringId.Chart.PlotOnSecondaryAxis" | "DashboardWebStringId.Chart.IgnoreEmptyPoints" | "DashboardWebStringId.Chart.ShowPointMarkers" | "DashboardWebStringId.Chart.Value" | "DashboardWebStringId.Chart.ShowZeroValues" | "DashboardWebStringId.Chart.OverlappingMode" | "DashboardWebStringId.Chart.Orientation" | "DashboardWebStringId.Chart.ShowPointLablels" | "DashboardWebStringId.Chart.TooltipContent" | "DashboardWebStringId.Chart.LabelContent" | "DashboardWebStringId.Card.SparklineOptions" | "DashboardWebStringId.Card.SparklineVisible" | "DashboardWebStringId.Chart.Position.TopLeftVertical" | "DashboardWebStringId.Chart.Position.TopLeftHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterHorizontal" | "DashboardWebStringId.Chart.Position.TopRightVertical" | "DashboardWebStringId.Chart.Position.TopRightHorizontal" | "DashboardWebStringId.Chart.Position.BottomLeftVertical" | "DashboardWebStringId.Chart.Position.BottomLeftHorizontal" | "DashboardWebStringId.Chart.Position.BottomCenterHorizontal" | "DashboardWebStringId.Chart.Position.BottomRightVertical" | "DashboardWebStringId.Chart.Position.BottomRightHorizontal" | "DashboardWebStringId.Chart.Position.TopCenterVertical" | "DashboardWebStringId.Chart.Position.BottomCenterVertical" | "DashboardWebStringId.Chart.Indicator.DashStyle" | "DashboardWebStringId.Chart.Indicator.DashStyle.Empty" | "DashboardWebStringId.Chart.Indicator.DashStyle.Solid" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dash" | "DashboardWebStringId.Chart.Indicator.DashStyle.Dot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDot" | "DashboardWebStringId.Chart.Indicator.DashStyle.DashDotDot" | "DashboardWebStringId.Chart.Indicator.Type" | "DashboardWebStringId.Chart.Indicator.Type.Regression" | "DashboardWebStringId.Chart.Indicator.Type.Trend" | "DashboardWebStringId.Chart.Indicator.LegendText" | "DashboardWebStringId.Chart.Indicator.ShowInLegend" | "DashboardWebStringId.Chart.Indicator.Thickness" | "DashboardWebStringId.Chart.Indicator.ValueLevel" | "DashboardWebStringId.Chart.Indicator.ValueLevel.Value" | "DashboardWebStringId.Chart.Indicator.Visible" | "DashboardWebStringId.Chart.Indicator.Color" | "DashboardWebStringId.Chart.Indicator.Value" | "DashboardWebStringId.Chart.Indicators" | "DashboardWebStringId.Chart.IndicatorSettings" | "DashboardWebStringId.FilterItem.Type" | "DashboardWebStringId.FilterItem.Type.Standard" | "DashboardWebStringId.FilterItem.Type.Checked" | "DashboardWebStringId.FilterItem.Type.Radio" | "DashboardWebStringId.FilterItem.ShowAllValue" | "DashboardWebStringId.FilterItem.EnableSearch" | "DashboardWebStringId.Gauge.Min" | "DashboardWebStringId.Gauge.Max" | "DashboardWebStringId.Gauge.ScaleOptions" | "DashboardWebStringId.Gauge.Type" | "DashboardWebStringId.Gauge.Type.FullQuarterGauge" | "DashboardWebStringId.Gauge.Type.HalfCircular" | "DashboardWebStringId.Gauge.Type.LeftQuarterCircular" | "DashboardWebStringId.Gauge.Type.RightQuarterCircular" | "DashboardWebStringId.Gauge.Type.ThreeFourthCircular" | "DashboardWebStringId.Gauge.Type.LinearHorizontal" | "DashboardWebStringId.Gauge.Type.LinearVertical" | "DashboardWebStringId.Gauge.Captions" | "DashboardWebStringId.Gauge.Scale.Custom" | "DashboardWebStringId.Gauge.Scale.Auto" | "DashboardWebStringId.Grid.ColumnType" | "DashboardWebStringId.Grid.DisplayMode" | "DashboardWebStringId.Grid.DisplayMode.Value" | "DashboardWebStringId.Grid.DisplayMode.Bar" | "DashboardWebStringId.Grid.DisplayMode.Text" | "DashboardWebStringId.Grid.DisplayMode.Image" | "DashboardWebStringId.Grid.FixedWidth" | "DashboardWebStringId.Grid.WidthType" | "DashboardWebStringId.Grid.WidthType.Weight" | "DashboardWebStringId.Grid.WidthType.FitToContent" | "DashboardWebStringId.Grid.DeltaOptions" | "DashboardWebStringId.Grid.ShowStartEndValues" | "DashboardWebStringId.Grid.TotalType" | "DashboardWebStringId.Grid.Dimension" | "DashboardWebStringId.Grid.Measure" | "DashboardWebStringId.Grid.Delta" | "DashboardWebStringId.Grid.Sparkline" | "DashboardWebStringId.Grid.Hyperlink" | "DashboardWebStringId.Grid.Options" | "DashboardWebStringId.Map.ShapeFileLoaded" | "DashboardWebStringId.Map.AttributeFileLoaded" | "DashboardWebStringId.Map.ValueMap" | "DashboardWebStringId.Map.DeltaMap" | "DashboardWebStringId.Map.TooltipCaption" | "DashboardWebStringId.Map.TooltipActualValueCaption" | "DashboardWebStringId.Map.TooltipDeltaCaption" | "DashboardWebStringId.Map.CustomMapOptions" | "DashboardWebStringId.Map.CustomMapOptionsSource" | "DashboardWebStringId.Map.CustomMapOptionsUrl" | "DashboardWebStringId.Map.CustomMapOptionsFile" | "DashboardWebStringId.Map.CustomMapUrl" | "DashboardWebStringId.Map.CustomMapFile" | "DashboardWebStringId.Map.CustomAttributeFile" | "DashboardWebStringId.Map.AttributeDimension" | "DashboardWebStringId.Map.IncludeSummaryValueToShapeTitle" | "DashboardWebStringId.Map.AttributeName" | "DashboardWebStringId.Map.TooltipAttribute" | "DashboardWebStringId.Map.TooltipDimensions" | "DashboardWebStringId.Map.Area.Custom" | "DashboardWebStringId.Map.Area.WorldCountries" | "DashboardWebStringId.Map.Area.Europe" | "DashboardWebStringId.Map.Area.Asia" | "DashboardWebStringId.Map.Area.NorthAmerica" | "DashboardWebStringId.Map.Area.SouthAmerica" | "DashboardWebStringId.Map.Area.Africa" | "DashboardWebStringId.Map.Area.USA" | "DashboardWebStringId.Map.Area.Canada" | "DashboardWebStringId.Map.Viewport" | "DashboardWebStringId.Map.ShapeTitleAttribute" | "DashboardWebStringId.Map.UseBindingAttribute" | "DashboardWebStringId.Map.WeightedLegendType" | "DashboardWebStringId.Map.WeightedLegendType.Linear" | "DashboardWebStringId.Map.WeightedLegendType.Nested" | "DashboardWebStringId.Map.Orientation.Vertical" | "DashboardWebStringId.Map.Orientation.Horizontal" | "DashboardWebStringId.Map.Position.TopLeft" | "DashboardWebStringId.Map.Position.TopCenter" | "DashboardWebStringId.Map.Position.TopRight" | "DashboardWebStringId.Map.Position.BottomLeft" | "DashboardWebStringId.Map.Position.BottomCenter" | "DashboardWebStringId.Map.Position.BottomRight" | "DashboardWebStringId.Map.Viewport.TopLatitude" | "DashboardWebStringId.Map.Viewport.LeftLongitude" | "DashboardWebStringId.Map.Viewport.RightLongitude" | "DashboardWebStringId.Map.Viewport.BottomLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLatitude" | "DashboardWebStringId.Map.Viewport.CenterPointLongitude" | "DashboardWebStringId.Map.Viewport.CreateViewerPaddings" | "DashboardWebStringId.Map.ShowLegend" | "DashboardWebStringId.Map.ShowWeightedLegend" | "DashboardWebStringId.Pie.Type" | "DashboardWebStringId.Pie" | "DashboardWebStringId.Pie.Donut" | "DashboardWebStringId.Pie.LabelContentType.None" | "DashboardWebStringId.Pie.LabelContentType.Argument" | "DashboardWebStringId.Pie.LabelContentType.Percent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndPercent" | "DashboardWebStringId.Pie.LabelContentType.Value" | "DashboardWebStringId.Pie.LabelContentType.ArgumentAndValue" | "DashboardWebStringId.Pie.LabelContentType.ValueAndPercent" | "DashboardWebStringId.Pie.LabelContentType.ArgumentValueAndPercent" | "DashboardWebStringId.Image.BindingMode" | "DashboardWebStringId.Image.BindingMode.BinaryArray" | "DashboardWebStringId.Image.BindingMode.Uri" | "DashboardWebStringId.RangeFilter.UriPattern" | "DashboardWebStringId.Image.SizeMode.Clip" | "DashboardWebStringId.Image.SizeMode.Stretch" | "DashboardWebStringId.Image.SizeMode.Zoom" | "DashboardWebStringId.Image.SizeMode.Squeeze" | "DashboardWebStringId.Image.HorizontalAlignment" | "DashboardWebStringId.Image.VerticalAlignment" | "DashboardWebStringId.Image.Alignment.Left" | "DashboardWebStringId.Image.Alignment.Center" | "DashboardWebStringId.Image.Alignment.Right" | "DashboardWebStringId.Image.Alignment.Top" | "DashboardWebStringId.Image.Alignment.Bottom" | "DashboardWebStringId.SeriesItem.SeriesDimensions" | "DashboardWebStringId.TextBox.Text" | "DashboardWebStringId.Chart.Orientation.Default" | "DashboardWebStringId.Chart.Orientation.RotateRight" | "DashboardWebStringId.Chart.Orientation.RotateLeft" | "DashboardWebStringId.Chart.OverlappingMode.Hide" | "DashboardWebStringId.Chart.OverlappingMode.None" | "DashboardWebStringId.Chart.Position.Outside" | "DashboardWebStringId.Chart.Position.Inside" | "DashboardWebStringId.Chart.SeriesType.Weighted" | "DashboardWebStringId.Coloring.MeasuresColoringMode" | "DashboardWebStringId.Coloring.Global" | "DashboardWebStringId.Coloring.Local" | "DashboardWebStringId.Delta.ValueType" | "DashboardWebStringId.Delta.ResultIndication" | "DashboardWebStringId.Delta.ThresholdType" | "DashboardWebStringId.Delta.ThresholdValue" | "DashboardWebStringId.Sparkline.ViewType" | "DashboardWebStringId.Sparkline.HighlightMinMaxPoints" | "DashboardWebStringId.Sparkline.HighlightStartEndPoints" | "DashboardWebStringId.Title.Aligment.Left" | "DashboardWebStringId.Title.Aligment.Center" | "DashboardWebStringId.Parameters.LookUpSettingsType.NoLookUp" | "DashboardWebStringId.Parameters.LookUpSettingsType.StaticList" | "DashboardWebStringId.Parameters.LookUpSettingsType.DynamicList" | "DashboardWebStringId.Parameters.LookUpSettingsType" | "DashboardWebStringId.Parameters.DefaultValue" | "DashboardWebStringId.DataItem" | "DashboardWebStringId.DataItem.Precision" | "DashboardWebStringId.DataItem.IncludeGroupSeparator" | "DashboardWebStringId.DataItem.ShowValues" | "DashboardWebStringId.DataItem.ShowTotals" | "DashboardWebStringId.DataItem.ShowGrandTotals" | "DashboardWebStringId.Dialog.ConfirmSaving" | "DashboardWebStringId.Dialog.Warning" | "DashboardWebStringId.Dimension.GroupInterval" | "DashboardWebStringId.Dimension.SortMode" | "DashboardWebStringId.Dialog.ArgumentMode" | "DashboardWebStringId.Calculations" | "DashboardWebStringId.Calculations.Expression" | "DashboardWebStringId.Calculations.DifferenceCalculation" | "DashboardWebStringId.Calculations.Moving" | "DashboardWebStringId.Calculations.RunningTotal" | "DashboardWebStringId.Calculations.PercentOfTotal" | "DashboardWebStringId.Calculations.Rank" | "DashboardWebStringId.Calculations.DefinitionMode" | "DashboardWebStringId.Calculations.WindowDefinition" | "DashboardWebStringId.Calculations.WindowDefinitionModeSpecific" | "DashboardWebStringId.Calculations.WindowDefinitionModePredefined" | "DashboardWebStringId.Calculations.DifferenceType" | "DashboardWebStringId.TreemapLayoutAlgorithm" | "DashboardWebStringId.TilesLabelContentType" | "DashboardWebStringId.TilesTooltipContentType" | "DashboardWebStringId.GroupsLabelContentType" | "DashboardWebStringId.GroupsTooltipContentType" | "DashboardWebStringId.ShowOthersValue" | "DashboardWebStringId.TopNEnabled" | "DashboardWebStringId.Parameters.StaticListLookUpSettings" | "DashboardWebStringId.Parameters.DynamicListLookUpSettings" | "DashboardWebStringId.ConvertTo" | "DashboardWebStringId.Duplicate" | "DashboardWebStringId.DataSourceWizard" | "DashboardWebStringId.RangeFilter.CustomPeriods" | "DashboardWebStringId.RangeFilter.StartMode" | "DashboardWebStringId.RangeFilter.EndMode" | "DashboardWebStringId.RangeFilter.StartIntervalAndOffset" | "DashboardWebStringId.RangeFilter.EndIntervalAndOffset" | "DashboardWebStringId.RangeFilter.StartDate" | "DashboardWebStringId.RangeFilter.EndDate" | "DashboardWebStringId.RangeFilter.None" | "DashboardWebStringId.RangeFilter.Fixed" | "DashboardWebStringId.RangeFilter.Flow" | "DashboardWebStringId.Tabs.Binding" | "DashboardWebStringId.Tabs.DataShaping" | "DashboardWebStringId.Tabs.Format" | "DashboardWebStringId.Calculations.Types.Moving" | "DashboardWebStringId.Parameters.SortByMember" | "DashboardWebStringId.Parameters.LookUpSettingsTypeCaption" | "DashboardWebStringId.Dashboard.Items" | "DashboardWebStringId.Dashboard.Groups" | "DashboardWebStringId.Dashboard.LayoutItems" | "DashboardWebStringId.Dashboard.ComponentName" | "DashboardWebStringId.ButtonConfirm" | "DashboardWebStringId.Colorization.GroupInterval" | "DashboardWebStringId.ButtonOn" | "DashboardWebStringId.ButtonOff" | "DashboardWebStringId.ButtonYes" | "DashboardWebStringId.ButtonNo" | "DashboardWebStringId.ButtonDiscrete" | "DashboardWebStringId.ButtonContinuous" | "DashboardWebStringId.ButtonVisible" | "DashboardWebStringId.ButtonHidden" | "DashboardWebStringId.Calculations.PreviousValuesCount" | "DashboardWebStringId.Calculations.NextValuesCount" | "DashboardWebStringId.Calculations.RankType" | "DashboardWebStringId.Calculations.RankOrder" | "DashboardWebStringId.TileOptions" | "DashboardWebStringId.MapLockNavigationLocked" | "DashboardWebStringId.MapLockNavigationUnlocked" | "DashboardWebStringId.ConditionalFormatting.BarOptions" | "DashboardWebStringId.ConditionalFormatting.CalculatedBy" | "DashboardWebStringId.ConditionalFormatting.IconType" | "DashboardStringId.FormatRulePredefinedColor" | "DashboardStringId.FormatRuleCustomColor" | "DashboardWebStringId.FormatConditionPredefinedAppearanceCaption" | "DashboardWebStringId.FormatConditionCustomAppearanceCaption" | "DashboardWebStringId.FormatConditionRangeSetNoStyleCaption" | "DashboardWebStringId.EditorAutomaticValue" | "DashboardWebStringId.ConditionalFormatting.Save" | "DashboardWebStringId.ConditionalFormatting.AppearanceType" | "DashboardWebStringId.ConditionalFormatting.FontStyle" | "DashboardWebStringId.ConditionalFormatting.FontFamily" | "DashboardWebStringId.ConditionalFormatting.FontRegular" | "DashboardWebStringId.ConditionalFormatting.CustomStyleSettings" | "DashboardWebStringId.ConditionalFormatting.IconType.None" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowSideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayArrowUp" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayUpInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGraySideArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownInclineArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGrayDownArrow" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalYellowDash" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalRedTriangleDown" | "DashboardWebStringId.ConditionalFormatting.IconType.DirectionalGreenTriangleUp" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingHalfGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayStar" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingFullGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1QuarterGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3QuartersGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.RatingEmptyGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1Bar" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0Bars" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating4FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating3FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating2FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating1FilledBox" | "DashboardWebStringId.ConditionalFormatting.IconType.Rating0FilledBoxes" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedTrafficLight" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeGreenCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightRedCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeLightGrayCircle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeYellowTriangle" | "DashboardWebStringId.ConditionalFormatting.IconType.ShapeRedDiamond" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledGreenCheck" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledYellowExclamation" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorCircledRedCross" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorGreenFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorYellowFlag" | "DashboardWebStringId.ConditionalFormatting.IconType.IndicatorRedFlag" | "DashboardWebStringId.ConditionalFormatting.IntersectionColumnDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionRowDimension" | "DashboardWebStringId.ConditionalFormatting.IntersectionLevelMode" | "DashboardWebStringId.ConditionalFormatting.GradientRangeBar" | "DashboardWebStringId.ConditionalFormatting.RangeGradient" | "DashboardWebStringId.ConditionalFormatting.SegmentNumber" | "DashboardWebStringId.ConditionalFormatting.ValueComparison" | "DashboardWebStringId.ConditionalFormatting.Ranges" | "DashboardWebStringId.ConditionalFormatting.AverageType" | "DashboardWebStringId.ConditionalFormatting.Above" | "DashboardWebStringId.ConditionalFormatting.AboveOrEqual" | "DashboardWebStringId.ConditionalFormatting.Below" | "DashboardWebStringId.ConditionalFormatting.BelowOrEqual" | "DashboardWebStringId.ConditionalFormatting.StyleSettingsType" | "DashboardWebStringId.ConditionalFormatting.Positive" | "DashboardWebStringId.ConditionalFormatting.Negative" | "DashboardWebStringId.ConditionalFormatting.MinimumType" | "DashboardWebStringId.ConditionalFormatting.MaximumType" | "DashboardWebStringId.ConditionalFormatting.DateType" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNone" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEmpty" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringYesterday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringToday" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringTomorrow" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLastWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringNextWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter1" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlierThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo3" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo4" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo5" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAgo6" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringEarlier" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringPriorThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisWeek" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisMonth" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringLaterThisYear" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringMonthAfter2" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyond" | "DashboardWebStringId.ConditionalFormatting.DatesOccurringBeyondThisYear" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeDataItem" | "DashboardWebStringId.ConditionalFormatting.CardRuleTypeCard" | "DashboardWebStringId.ConditionalFormatting.InvalidApplyToValue" | "DashboardWebStringId.Colorization.NoSelectedSchema" | "DashboardWebStringId.Colorization.ColorSchemes" | "DashboardWebStringId.LayoutHasBeenChangedDialogMessage" | "DashboardWebStringId.SaveConfirmationDialogMessage" | "DashboardWebStringId.SaveChangesDialogMessage" | "DashboardWebStringId.Dialog.Save" | "DashboardWebStringId.Dialog.DoNotSave" | "DashboardWebStringId.Dialog.UnsupportedCalculatedField" | "DashboardWebStringId.Colorization.ColorSchemeType" | "DashboardWebStringId.Colorization.MeasureNames" | "DashboardWebStringId.Colorization.AddColor" | "DashboardWebStringId.Colorization.ValidationSelectMeasure" | "DashboardWebStringId.ColoringModeAuto" | "DashboardWebStringId.ColoringModeOff" | "DashboardWebStringId.ColoringModeOn" | "DashboardWebStringId.ColorScheme.Empty" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButton" | "DashboardWebStringId.DashboardItemMenu.Bindings.SelectDataSourceButtonTooltip" | "DashboardWebStringId.DashboardItemMenu.Bindings.ChangedDataSourceMessage" | "DashboardWebStringId.ConditionalFormatting.Miscellaneous" | "DashboardWebStringId.Dashboards" | "DashboardWebStringId.EditInDesigner" | "DashboardWebStringId.NoDashboards" | "DashboardWebStringId.AddNewDashboard" | "DashboardWebStringId.NewDashboard" | "DashboardWebStringId.Binding.Searching" | "DashboardWebStringId.Binding.EmptySearchResult" | "DashboardWebStringId.Errors.AttemptToLoadData" | "DashboardWebStringId.ConditionType" | "DashboardWebStringId.ConditionalFormatting.UnsupportedDataType" | "DashboardWebStringId.FormatRule" | "DashboardWebStringId.Notification.DashboardSaving" | "DashboardWebStringId.Notification.DashboardSaved" | "DashboardWebStringId.Notification.DashboardCanNotBeSaved" | "DashboardWebStringId.Notification.DashboardSavingIsNotAvailable" | "DashboardWebStringId.Notification.AttemptToLoadDashboards" | "DashboardWebStringId.Notification.DashboardLoading" | "DashboardWebStringId.Notification.AttemptToLoadDashboard" | "DashboardWebStringId.Notification.AttemptToConnectionStrings" | "DashboardWebStringId.Notification.MethodIsNotAllowedInViewerMode" | "DashboardWebStringId.Notification.AttemptToLoadParameterValues" | "DashboardWebStringId.Notification.AttemptToGetUnderlyingData" | "DashboardWebStringId.Notification.AttemptToConvertItemToType" | "DashboardWebStringId.Notification.AttemptToLoadDimensionUniqueValues" | "DashboardWebStringId.Notification.AttemptToLoadFieldListForDataSource" | "DashboardWebStringId.Notification.AttemptToGetColorScheme" | "DashboardWebStringId.Notification.AttemptToLoadAvailableFontFamilies" | "DashboardWebStringId.Notification.AttemptToPerformExport" | "DashboardWebStringId.Notification.NewDashboardCannotBeCreated" | "DashboardWebStringId.Notification.ErrorHasOccuredOn" | "DashboardWebStringId.Notification.UnsupportedDataSourceType" | "DashboardWebStringId.Notification.QueryDoesNotExist" | "DashboardWebStringId.Notification.UnderlyingRequestDataNotLoaded" | "DashboardWebStringId.LimitVisibleData.DisplayAllDataTooltip" | "DashboardWebStringId.LimitVisibleData.IncreasePerformanceTooltip" | "DashboardWebStringId.ConditionalFormatting.Condition" | "DashboardWebStringId.CardLayout.MinWidth" | "DashboardWebStringId.CardLayout.MaxWidth" | "DashboardWebStringId.CardLayout.Editor.CardLayout" | "DashboardWebStringId.CardLayout.Editor.FormatOptions" | "DashboardWebStringId.CardLayout.LayoutOptions" | "DashboardWebStringId.CardLayout.ResetTemplate" | "DashboardWebStringId.CardLayout.ApplyToAllCards" | "DashboardWebStringId.Binding.ValuesPattern" | "DashboardWebStringId.Parameters.ParameterNameShouldBeUnique" | "DashboardWebStringId.Title.ImageEmbedded" | "DashboardWebStringId.Title.ImageLinked" | "DashboardWebStringId.Title.ImageNone" | "DashboardWebStringId.RangeFilter.SetDefaultCustomPeriod" | "DashboardWebStringId.RangeFilter.ClearDefaultCustomPeriod" | "DashboardWebStringId.MobileLayout.Back" | "DashboardWebStringId.MobileLayout.SwitchToViewer" | "DashboardWebStringId.Search" | "DashboardWebStringId.SearchFontFamilies" | "DashboardStringId.DefaultNameTabPage" | "DashboardStringId.DefaultNameChartPane" | "DashboardStringId.DefaultNameChartIndicator" | "DashboardStringId.NewCalculatedFieldNamePrefix" | "DashboardStringId.NewParameterNamePrefix" | "AnalyticsCoreStringId.Parameter_Type_String" | "AnalyticsCoreStringId.Parameter_Type_DateTime" | "AnalyticsCoreStringId.Parameter_Type_Int16" | "AnalyticsCoreStringId.Parameter_Type_Int32" | "AnalyticsCoreStringId.Parameter_Type_Int64" | "AnalyticsCoreStringId.Parameter_Type_Float" | "AnalyticsCoreStringId.Parameter_Type_Double" | "AnalyticsCoreStringId.Parameter_Type_Decimal" | "AnalyticsCoreStringId.Parameter_Type_Boolean" | "AnalyticsCoreStringId.Parameter_Type_Guid" | "AnalyticsCoreStringId.ExpressionEditor_ExpressionCaption" | "DataAccessUIStringId.FiltersView" | "DashboardStringId.SeriesTypeGroupArea" | "DashboardStringId.SeriesTypeGroupBar" | "DashboardStringId.SeriesTypeGroupBubble" | "DashboardStringId.SeriesTypeGroupFinancial" | "DashboardStringId.SeriesTypeGroupPointLine" | "DashboardStringId.SeriesTypeGroupRange" | "DashboardStringId.FunctionCategoryWindow" | "DashboardStringId.FunctionCategoryAggregate" | "DashboardStringId.FunctionCategoryAdvanced" | "DashboardStringId.FunctionDescriptionRunningCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowCustomAggregate" | "DashboardStringId.FunctionDescriptionWindowAvg" | "DashboardStringId.FunctionDescriptionRunningMin" | "DashboardStringId.FunctionDescriptionTotal" | "DashboardStringId.FunctionDescriptionRankCompetition" | "DashboardStringId.FunctionDescriptionLookup" | "DashboardStringId.FunctionDescriptionRunningCount" | "DashboardStringId.FunctionDescriptionWindowMax" | "DashboardStringId.FunctionDescriptionVarp" | "DashboardStringId.FunctionDescriptionRunningAvg" | "DashboardStringId.FunctionDescriptionFirst" | "DashboardStringId.FunctionDescriptionWindowMin" | "DashboardStringId.FunctionDescriptionWindowStdDev" | "DashboardStringId.FunctionDescriptionLast" | "DashboardStringId.FunctionDescriptionWindowCount" | "DashboardStringId.FunctionDescriptionCountDistinct" | "DashboardStringId.FunctionDescriptionIndex" | "DashboardStringId.FunctionDescriptionWindowStdDevp" | "DashboardStringId.FunctionDescriptionWindowMode" | "DashboardStringId.FunctionDescriptionRunningMax" | "DashboardStringId.FunctionDescriptionRankPercentile" | "DashboardStringId.FunctionDescriptionRankDense" | "DashboardStringId.FunctionDescriptionWindowSum" | "DashboardStringId.FunctionDescriptionWindowCountDistinct" | "DashboardStringId.FunctionDescriptionStdDevp" | "DashboardStringId.FunctionDescriptionSize" | "DashboardStringId.FunctionDescriptionMedian" | "DashboardStringId.FunctionDescriptionRankModified" | "DashboardStringId.FunctionDescriptionWindowMedian" | "DashboardStringId.FunctionDescriptionRunningSum" | "DashboardStringId.FunctionDescriptionWindowVarp" | "DashboardStringId.FunctionDescriptionWindowVar" | "DashboardStringId.FunctionDescriptionStdDev" | "DashboardStringId.FunctionDescriptionRankUnique" | "DashboardStringId.FunctionDescriptionVar" | "DashboardStringId.FunctionDescriptionAggr" | "DashboardStringId.FunctionDescriptionAggrJoinRule" | "DashboardStringId.FunctionDescriptionWindowDefinition" | "DashboardStringId.FunctionDescriptionWindowDefinitionPartitionBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderBy" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderAsc" | "DashboardStringId.FunctionDescriptionWindowDefinitionOrderDesc" | "DashboardStringId.AggregateExFunctionDescriptionCountNotNull" | "DashboardStringId.AggregateExFunctionDescriptionMode" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHour" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinute" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateHourMinuteSecond" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateMonthYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear" | "DashboardStringId.FunctionDescriptionGetDateWeekYear2" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetDateQuarterYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetQuarter" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfMonth" | "DashboardStringId.FunctionOperatorExFunctionDescriptionGetWeekOfYear" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime3" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime4" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime5" | "DashboardStringId.FunctionOperatorExFunctionDescriptionMakeDateTime6" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToBoolean" | "DashboardStringId.FunctionOperatorExFunctionDescriptionToDateTime" | "DashboardStringId.SparklineIndicationModeLine" | "DashboardStringId.SparklineIndicationModeArea" | "DashboardStringId.SparklineIndicationModeBar" | "DashboardStringId.SparklineIndicationModeWinLoss" | "DashboardStringId.DefaultNameDateFilterItem" | "DashboardWebStringId.DateFilter.FilterType" | "DashboardWebStringId.DateFilter.FilterTypeExact" | "DashboardWebStringId.DateFilter.FilterTypeAfter" | "DashboardWebStringId.DateFilter.FilterTypeBefore" | "DashboardWebStringId.DateFilter.FilterTypeBetween" | "DashboardWebStringId.DateFilter.ArrangementMode" | "DashboardWebStringId.DateFilter.ArrangementModeAutoHeight" | "DashboardWebStringId.DateFilter.ArrangementModeHorizontal" | "DashboardWebStringId.DateFilter.ArrangementModeVertical" | "DashboardWebStringId.DateFilter.DatePickerLocation" | "DashboardWebStringId.DateFilter.DatePickerLocationFar" | "DashboardWebStringId.DateFilter.DatePickerLocationNear" | "DashboardWebStringId.DateFilter.DatePickerLocationHidden" | "DashboardStringId.DateFilterDisplayTextPattern" | "DashboardStringId.DateFilterDatePickerButtonDefaultText" | "DashboardStringId.FromDatePeriodCaption" | "DashboardStringId.ToDatePeriodCaption" | "DashboardStringId.FromToDatePeriodCaption" | "DashboardStringId.UniqueNameValidationMessage" | "DashboardStringId.NumberRangeValidationMessage" | "DashboardStringId.GridTotalAutoTemplate" | "DashboardStringId.GridTotalValueTemplate" | "DashboardStringId.GridTotalTemplate" | "DashboardStringId.GridTotalTypeCount" | "DashboardStringId.GridTotalTypeMin" | "DashboardStringId.GridTotalTypeMax" | "DashboardStringId.GridTotalTypeAvg" | "DashboardStringId.GridTotalTypeSum" | "DashboardStringId.GridTotalTypeAuto" | "DashboardStringId.ActionShowDataInspector" | "DashboardStringId.InspectedData" | "DashboardStringId.InspectedTypeFormatString" | "DashboardStringId.AggregatedDataType" | "DashboardStringId.RawDataType" | "DashboardStringId.OLAPUnavailableRawData" | "DashboardStringId.SparklineValuesSeparator" | "DashboardStringId.SparklineArgumentValueSeparator" | "DashboardStringId.DataInspectorButtonClose" | "DashboardWebStringId.Grid.FilterClause.ApplyFilter" | "DashboardWebStringId.Grid.FilterClause.ResetOperation" | "DashboardWebStringId.Grid.FilterClause.Contains" | "DashboardWebStringId.Grid.FilterClause.DoesNotContain" | "DashboardWebStringId.Grid.FilterClause.StartsWith" | "DashboardWebStringId.Grid.FilterClause.EndsWith" | "DashboardWebStringId.Grid.FilterClause.Equals" | "DashboardWebStringId.Grid.FilterClause.DoesNotEqual" | "DashboardWebStringId.Grid.FilterClause.Less" | "DashboardWebStringId.Grid.FilterClause.Greater" | "DashboardWebStringId.Grid.FilterClause.LessOrEqual" | "DashboardWebStringId.Grid.FilterClause.GreaterOrEqual" | "DashboardWebStringId.Grid.FilterClause.Between" | "DashboardWebStringId.Grid.FilterClause.BetweenStart" | "DashboardWebStringId.Grid.FilterClause.BetweenEnd" | "DashboardWebStringId.AccordionTab.Content" | "DashboardWebStringId.TextBoxItemEditor.NoFields" | "DashboardWebStringId.TextBoxItemEditor.InsertField" | "DashboardWebStringId.TextBoxItemEditor.EditTextButton" | "DashboardWebStringId.TextBoxItemEditor.DialogCaption" | "DashboardWebStringId.TextBoxItemEditor.DialogSaveAndClose" | "DashboardWebStringId.TextBoxItemEditor.DialogClose" | "DashboardStringId.StartDate" | "DashboardStringId.EndDate" | "DashboardWebStringId.AccordionTab.MeasureFilter" | "DashboardStringId.FunctionDescriptionAggregateFilter" | "DashboardWebStringId.TabPages" | "DashboardWebStringId.More" | "DashboardStringId.MeasureFilterCaptionFormatString" | "DashboardWebStringId.AccordionTab.ItemFilter" | "DashboardWebStringId.AccordionTab.VisibleDataFilter" | "DashboardStringId.LayoutDimensionModeAuto" | "DashboardStringId.LayoutDimensionModeFixed" | "DashboardWebStringId.DesignerToolbar.Width" | "DashboardWebStringId.DesignerToolbar.Height" | "DashboardWebStringId.DesignerToolbar.Pixels" | "DashboardWebStringId.DesignerToolbar.LayoutDimensionValidationError" | "DataAccessStringId.Wizard_NoDataSourcesForDataFederationMessage" | "DevExpressWebStringId.AriaLabel.EmptyDashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardItem" | "DevExpressWebStringId.AriaLabel.DashboardMasterFilter" | "DevExpressWebStringId.AriaLabel.DashboardItemUpdated" | "DevExpressWebStringId.AriaLabel.DashboardTitle";
};
export declare let intersectionLevelMode: IDashboardSerializationInfo;
export declare let pivotLevel: IDashboardSerializationInfo;
export declare let pivotItemFormatRuleSerializationsInfo: IDashboardSerializationInfoArray;
