﻿/**
* DevExpress Dashboard (_docking-layout-bindings.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import { Properties as dxScrollViewOptions } from 'devextreme/ui/scroll_view';
import * as ko from 'knockout';
import { Dashboard } from '../../model/dashboard';
import { DataSourceBrowser } from '../_data-source-browser';
import { ElementAccessorKoComponentArgs } from '../internal/_ko-element-accessor';
import { IDashboardTitleContext } from '../viewer/title/_title-component';
import { FullscreenItemModel } from './_docking-layout-fullscreen-item';
import { LayoutItem } from './core/_layout-item';
export type CssStyleObject = {
    [key in keyof CSSStyleDeclaration]?: string | number | ko.Subscribable<string> | ko.Subscribable<number>;
};
export type DockingLayoutKoComponentArgs = {
    dashboard: Dashboard;
    dataSourceBrowser: DataSourceBrowser;
    layout: LayoutItem;
    layoutMainElementEvents: ElementAccessorKoComponentArgs;
    headerHeight: ko.Observable<number>;
    repaintRequest: JQueryCallback;
    allowExportDashboard?: boolean;
    titleContext: IDashboardTitleContext;
    encodeHtml: boolean;
    resizeByTimer: ko.Observable<boolean>;
    fullscreenItemModel: FullscreenItemModel;
    scrollViewEvents: dxScrollViewOptions;
};
export declare const _registerDashboardDockingLayout: () => void;
