﻿/**
* DevExpress Dashboard (_layout-item-drag-item.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DashboardDragItemInfo } from './_drag-item-info';
export class LayoutItemDragItemInfo extends DashboardDragItemInfo {
    constructor(_currentLayoutItem) {
        super();
        this._currentLayoutItem = _currentLayoutItem;
    }
    canDrop(layoutItem) {
        return this._currentLayoutItem !== layoutItem && layoutItem.canAttach(this._currentLayoutItem.viewModel);
    }
    drop(dragOverState) {
        this._currentLayoutItem.moveTo(dragOverState.targetItem, dragOverState.hoverLocation, dragOverState.targetItemBehavior);
    }
    dragStart() {
        this._currentLayoutItem.visible(false);
    }
    dragEnd() {
        this._currentLayoutItem.visible(true);
    }
}
